Contents

 ILWIS 3.4 Open

Introduction
What is ILWIS for Windows
When you are new to Windows
Getting started with ILWIS for Windows
Basic concepts
ILWIS window types
ILWIS objects and icons
Before creating ILWIS maps and tables
Working with domains
Attribute tables
Layers in a map window
Map views and Layouts
Drag and drop
Dependent data objects
Properties of objects
ILWIS window types and their functionality
Main window
Map window
Table window
Graph window
Pixel information window
Stereo Pair - Stereoscope window
SMCE window
Progress manager
ILWIS objects
Data objects
Container objects
Service objects
Special objects
Editors
Introduction to map editors
Pixel editor
Polygon editor
Segment editor
Point editor
Layout editor
Annotation Text editor
Domain Class/ID editor
Representation Class editor
Representation Value/Gradual editor
Georeference Tiepoint editor
Georeference 3D editor
Coordinate system Tiepoint editor
Sample Set editor
Epipolar Stereo Pair - Creation window
Function editor
Script editor
Map and Table calculation
Alphabetic overview of operators and functions
Functional overview of operators and functions
General syntax
Simple calculators
Merging domains
Creating an attribute map
Classifying two maps with a two-dimensional table
Assigning undefined values
Joining columns from other tables
Neighbourhood operations & iterations
Calculating with map lists
Creating and applying user-defined functions
User-defined functions (advanced)
Creating and running scripts (example)
ILWIS Operations
Menu commands
Main window
Map window
Table window
Pixel information window
SMCE window
Editors
How to ...
basics: display maps and tables + zoom
basics: start applications
basics : how to create objects
basics : how to open objects
basics : how to open pixel information
basics : how to edit objects
add ...
aggregate ...
break dependency links
calculate ...
calculate (advanced) ...
change ...
classify a map or column
copy objects
create ...
cross maps
customize ...
digitize
display ...
drag and drop
edit ...
export
filter maps
import ...
interpolate
join
make dependent data up-to-date
monoplot
open ...
open (advanced) ...
paste coordinates into georef tiepoints print
rasterize
release disk space
run scripts
screen digitize
set up ...
start operations
slice an image
use ...
view and edit the properties of an object
zoom in on maps
Appendices
ILWIS objects
Relations between ILWIS objects
ILWIS operations
ILWIS commands and expressions
ILWIS commands
ILWIS expressions
Construction of expressions
ILWIS script language (syntax)
ILWIS as DDE server
File extensions
General structure of object definition files
Keyboard shortcuts
Mouse functions


ILWIS introduction

Introduction

What is ILWIS for Windows

When you are new to Windows

Getting started with ILWIS for Windows


ILWIS introduction : what is ILWIS for Windows

Introduction

What is ILWIS for Windows

ILWIS for Windows is a Windows-based, integrated GIS and Remote Sensing application consisting of:

  • Display of raster and multiple vector maps in map windows
  • Display of tables in table windows
  • Interactive retrieval of attribute information
  • Image processing facilities
  • Manipulation of maps in a Map Calculator
  • Manipulation of tables in a Table Calculator
  • GIS analysis tools
  • Script language to perform 'batch' jobs

ILWIS functionality for vectors includes: digitizing with mouse and/or digitizer, interpolation from isolines or points, calculation of segment or point density, pattern analysis.

ILWIS functionality for raster includes: distance calculation, creation of a Digital Elevation Model (DEM), calculation of slope/aspect, deriving attribute maps, classifying maps, manipulating maps with iff-statements, with Boolean logic, crossing maps, etc.

For satellite imagery: creation of histograms, color composites, sampling and classification, filtering, multi-band statistics.

Furthermore ILWIS provides import and export routines, editing of point, segment, polygon and raster maps, change of projection/coordinate systems of maps, and output possibilities with annotation.

With Windows, you can start one operation and keep it running while you start one or more additional applications. This is a sort of multitasking. You may work with both Windows and DOS application programs, you can perform one or more ILWIS calculations in the background and at the same time display maps, run other ILWIS operations, print, etc.

ILWIS 3 for Windows is designed for Windows '95, Windows '98, Windows NT4 and Windows 2000.

See also:

When you are new to Windows


ILWIS introduction : when you are new to Windows

Introduction

When you are new to Windows

When you are new to Windows you might have to learn some basic Windows terminology and techniques. To acquaint yourself with Windows, you can read some parts of the Windows Help. Open the Windows Help for instance from My Computer or from Windows Explorer, and use the Index tab to find topics on Introduction, Welcome, etc.

The following Windows terms and techniques should be familiar to you:

minimize, maximize, moving windows, sizing windows, title bar, menu bar, using scroll bars, using menus. You can read more about this in the following topics:

Windows features : introduction

(minimize, maximize, move, etc.)

Windows features : parts of a window

(terms like title bar, menu bar, scroll bars, etc.)

Windows features : using a menu

(terms related to menus and commands)

Windows features : Control-menu

(commands of the Control-menu)

Windows features : using a dialog box

(list boxes, check boxes, option buttons, etc.)

See also:

Getting started with ILWIS 3


ILWIS introduction : getting started with ILWIS for Windows

Introduction

Getting started with ILWIS for Windows

When the ILWIS icon is double-clicked on the desktop, the ILWIS logo appears, followed by the ILWIS Main window.

Main window:

Just below the menu bar you see a line in which text appears as soon as you click a map or menu command. This is the command line, on which you can type for example MapCalc statements. Below the command line is a toolbar which allows you to quickly display maps or tables. If you want to change to another directory or drive you can use the navigator: the list boxes to the right of the toolbar.

The central right part of the Main window is the Catalog. It displays the ILWIS objects in the current directory. All ILWIS objects are preceded by an icon. The icons preceding data objects are:

for map lists,

for raster maps,

for polygon maps,

for segment maps,

for point maps,

for tables.

To see more objects in the Catalog than only data objects, see How to customize the Catalog.

For a list of all ILWIS objects and their icons, see ILWIS objects. For short Help on an object in the Catalog, click an object with the right mouse button and choose Help from the context-sensitive menu.

Below the Catalog, you find a scroll bar which you can use to view more objects of the current directory in the Catalog.

Lists of all operations can be found in the Operation-tree and the Operation-list, by default located on the first two tabs at the left hand side of the Main window. The operations are preceded by an icon.

At the bottom of the Main window you see the status bar which gives additional information on maps, tables, operations, etc. The Main window can be sized by dragging its borders.

Displaying maps and tables:

There are several ways to open a map or table in a window:

  • open the File menu, choose the Open command, and select a map or table to display, or
  • double-click a map or table in the Catalog.

Other ways to display maps and tables are by using the toolbar, the context-sensitive menu under the right mouse button when the mouse pointer is positioned on a map or table, or by double-clicking the Show item in the Operation-tree or the Operation-list. When opening a map, a dialog box appears in which you can specify some display options for the map.

A map is displayed in a map window. You can open as many map windows as you like. A map window can display one or more rasters, polygon maps, segment maps, and/or point maps; a map list as a color composite with additional vector maps; and furthermore, optional grid lines, graticules and annotation text layers. You can zoom in and zoom out, and if the map does not fit in the map window, you can pan or scroll.

You can add other maps to an existing map window, either by dragging the desired map(s) from the Catalog to the existing map window, or by using the Add Layer command on the Layers menu of the map window. To see the value or meaning of a pixel, point, segment, or polygon of displayed maps in a map window, you can press the left mouse button (info). When the displayed map has an attribute table, you can double-click in the map window to see and edit the attributes.

You can use Layer Management pane for instance to add or to remove layers from a map window, to change the order of layers or to change display options of a layer.

Multiple maps, grid lines, graticules, etc. displayed in a map window can be saved as a map view. You can add one or more map views to a layout, to which you can then add further annotation.

A table is displayed in a table window. You can open as many table windows as you like. Each table window displays one table. A table can be shown as a whole, or record by record. When the table does not fit in the table window, you can scroll. Fields in a table can be edited by clicking them. The width of a column and the order of columns can easily be changed. From a table window, you can create graphs in a graph window.

Pixel info:

In the pixel information window you can get information on multiple maps and attribute tables which contain attribute data. Open the pixel information window through the command Open Pixel Info on the File menu of the Main or a map window. Add one or more maps to the pixel info window by using the File menu of the pixel info window, or drag map icons from the Catalog to the pixel information window.

Starting ILWIS operations:

ILWIS operations, such as Distance calculation or Filter, are listed in the Operation-tree and the Operation-list. There are five ways to start an ILWIS operation:

  1. Open the Operations menu in the Main Window and choose an operation, or
  2. Double-click an operation in the Operation-tree, or
  3. Double-click an operation in the Operation-list, or
  4. Press the right mouse button on an object in the Catalog: a context-sensitive menu appears from which you can choose an operation, or
  5. Drag an ILWIS data object from the Catalog to an operation in the Operation-tree or the Operation-list.

Usually a dialog box is opened in which you can select input and output object names and where you can set some parameters necessary for the operation.

To obtain short Help on an operation in the Operation-tree or the Operation-list, click an operation with the right mouse button and choose Help from the context-sensitive menu.

Command lines:

Map calculation formulae can be typed on the command line of the Main window, table calculation formulae can be typed on the command line of a table window. These command lines can also be used as a pocket line calculator. The command line of the Main window can also be used to type ILWIS commands, ILWIS expressions, or to run a script.

See also:

Basic concepts

ILWIS window types and their functionality


Basic concepts

ILWIS window types

ILWIS objects and icons

Before creating ILWIS maps and tables

Working with domains

Attribute tables

Layers in a map window

Map views and Layouts

Drag and drop

Dependent data objects

Properties of objects


Basic concepts : window types

Basic concepts

ILWIS window types

Basically, there are four ILWIS window types: the Main window, map windows, table windows and the pixel info window.

The Main window is the window which is opened when ILWIS is started. The Main window consists of:

  • a Command line on which you can type commands to display objects, map calculation formulae, expressions to perform complete operations, run scripts, etc.;
  • one or more Catalogs which display the objects available in a certain directory, the raster maps in a map list or the objects in an object-collection; you can for instance drag a map from the Catalog to an existing map window, or to an operation in the Operation-tree or the Operation-list;
  • a Operation-tree and an Operation-list, and the Operations menu which list all ILWIS operations; and
  • a Navigator to go to other drives or directories.

A map window displays one or more maps with grid lines, graticules or annotation text layers. You can open as many map windows as you like. When a raster map is displayed, you can display other point, segment or polygon maps on top of this raster map; add annotation; zoom in and out; and pan or scroll through the map if the map does not fit in the map window. To add or remove layers, to change the order of layers or to change the display options of a layer, you can use the Layer Management pane. To see the value or meaning of a pixel, point, segment, or polygon displayed in a map window, press the left mouse button (info). When the displayed map has an attribute table, you can double-click in the map window to see and edit the attributes. Furthermore, all raster maps in a map list can be displayed one after the other in a map window as a slide show.

The contents of a map window can be saved as a map view. From a map view, you can create a layout to which you can and add annotation.

You can use the map editors to edit positions, values or meanings of points, segments, polygons and pixels.

A table window displays a table and allows you to edit the table. You can open as many table windows as you like. A table can be shown as a whole, or record by record. When the table does not fit in the table window, scroll bars are provided. Fields in a table can be edited by clicking them. The width of a column and the order of columns can easily be changed. On the command line in a table window, you can enter table calculation statements. Besides table calculations, you can perform joins between tables, aggregations and a least squares fit. From a table window, you can create graphs in a graph window. Also histograms are presented in a kind of table window; you can calculate with the columns of the histogram. Advanced users may also wish to open point maps, class/ID/picture domains or class representations a table; you can perform special calculation with the coordinates, colors, etc.

In the pixel info window, you can see the values or meanings of multiple maps and attribute values stored the attribute tables of the maps at the current position of the mouse pointer in a map window.

Map windows, table windows and the pixel information window are called data windows because they can display data objects.


Basic concepts : objects and icons

Basic concepts

ILWIS objects and icons

There are several types of ILWIS objects: data objects, container objects, service objects, and special objects. Click the next link to get a list of all ILWIS objects and their icons in a secondary window.

Data objects are point, segment, polygon and raster maps, satellite images, tables and columns; that are the GIS/RS materials to work with. Maps can be displayed and edited in a map window, tables and columns in a table window. You can perform calculations and operations on data objects.

Data objects are:

raster maps | (containing pixels)
polygon maps | (containing area features)
segment maps | (containing line features)
point maps | (containing point features)
tables | (containing columns)
columns | (not listed in Catalog)

Container objects are collections of data objects.

Container objects are:

map lists

(containing a set of raster maps)

object collections

map views

layouts

annotation text

graphs

Service objects are domains, representations, georeferences, and coordinate systems. Service objects are used by data objects; they contain accessories that data objects need besides the data itself. Service objects can be selected to serve one or more data objects; they can be created, edited, etc. through the properties of an object.

Service objects are:

domains

representations

georeferences

coordinate systems

Special objects are histograms, sample sets, stereo pairs, criteria trees, two-dimensional tables, matrices, filters, user-defined functions and scripts.

Special objects are:

histograms of raster maps

histograms of polygon maps

histograms of segment maps

histograms of point maps

sample sets

stereo pairs

criteria trees

two-dimensional tables

matrices

filters

functions

scripts

Furthermore, grid lines and graticules can be added to a map window.

Annotation as legends, a map border including coordinates and ticks for grid lines and/or a graticule, a North arrow, a scale bar and a scale text, texts, boxes, bitmaps, pictures, and a page border can be added to a layout.

See also:

ILWIS objects

Appendices : ILWIS objects

Appendices : Relations between ILWIS objects


Basic concepts : before creating maps and tables

Basic concepts

Before creating ILWIS maps and tables

A map contains certain features and refers to the geographic position of those features:

point maps: a point map contains point features;

segment maps: a segment map contains line features;

polygon maps: a polygon map contains closed area features;

raster maps: a raster map contains pixels. In ILWIS, most spatial operations are performed on raster maps.

When using satellite images, you already have raster maps. Pixels in a satellite image have values ranging from 0 to 255, although not every value may occur in your image. In ILWIS, satellite images have domain Image.

When starting from an analog paper map, you begin with:

  • digitizing point features of interest with the point editor,
  • digitizing line features of interest with the segment editor, and/or
  • digitizing the boundaries of area features of interest with the segment editor; then polygonizing these boundaries to obtain polygons; and editing the polygons with the polygon editor.

Afterwards, point, segment and polygon maps can be rasterized into a raster map.

However, before digitizing, you have to know that features in any map can be identified in the following manner:

- | by ID: | each feature is identified by its own name or number; each feature occurs in general only once in the map;
- | by Classes: | features are identified by their class name; features may occur in several places in the map;
- | by Value: | features are identified by a measurable value.

The following scheme illustrates the above:

Map type: | Features in map: | Identification of features by: | Example:
Point map | Points: indiv. sample points Points: classes of farms Points: height information | IDs Class names Values | 1,2,3 small farm, large farm 500, 600, 700 (m)
Segment map | Lines: individual rivers Lines: classes of roads Lines: isolines for height | IDs Class names Values | section1, section2 prim. road, sec. road 500, 600, 700 (m)
Polygon map | Areas: indiv. cadastral plots Areas: land use classes Areas: acid deposition | IDs Class names Values | plot 234a, plot 345b rice, maize, forest 1000, 2000, 5000 (mol/ha/y)
Raster map | Pixels: rasterized points, lines or areas with IDs Pixels: rasterized points, lines, or areas with Class names Pixels: rasterized points, lines or areas with Values Pixels: value outcome of calculations | IDs Class names Values Values | plot 234a, plot 345b rice, maize, forest values any value
Raster map | Pixels (satellite images) | pixel value 0 to 255 | TM images, SPOT images

The user-defined collection or set of IDs, class names or values that may be used in a map is called the domain of a map. In ILWIS, we speak of maps with domains of the ID, class or value type, meaning that the elements in that map are either identified by IDs, class names or values.

Only maps with features identified by IDs or class names can have attributes; i.e. extra information about the point, segment, polygons or mapping units, in so-called attribute tables. When creating an attribute table, this table should have the same domain as your ID or class map. Afterwards you can add extra columns with the attribute information. The domain provides here the relational link between the map and the attribute table.

Maps containing values, for example a satellite image or a height map, cannot have attributes in an attribute table.

See also:

Working with domains


Basic concepts : domains

Basic concepts

Working with domains

A domain defines the values, classes or identifiers that can be stored in a map or column. When you create a map or column, you also have to select or create a suitable domain for that map or column. When you create an attribute table for a map, the table must use the same domain as the map to which the table refers; the domain provides the link between the map and the table. Further, a domain uses a certain representation which defines the graphical representation of a map, e.g. the coloring.

All ILWIS data objects have a domain. One domain can be used for several data objects. To view the domain of a data object, open the properties of that data object. To list existing domains in the Catalog, refer to How to customize the Catalog.

The four main types of domains are:

- | ID | for data objects that contain unique identifiers (e.g. plot 1024, plot 1025)
- | Class | for data objects that contain classes (e.g. soil units: clay, sandy loam)
- | Value | for data objects that contain measured, calculated or interpolated values (e.g. height, concentration)
- | Image | for satellite images and scanned aerial photographs that contain values between 0 and 255.

Domains for new maps:

When you create a new map, you should also select or create a suitable domain for the map. As described above, you can:

  • create a class domain Soils when you want to digitize soil classes and fill this domain with your soil classes;
  • create an identifier domain Plots when you want to digitize unique identified cadastral plots and;
  • create a value domain Height when you want to digitize contour lines.

You can directly add classes to a class domain when you create the domain, but you can also add classes to the domain when actually editing or digitizing the map. Identifier domains can automatically be filled with numbers, but you can also add the identifiers yourself.

However, when working for instance with multiple land use maps of different years, the idea is that you create only one class domain Landuse in which you enter all possible land use classes of all years. This domain can then be used for all your land use maps and related attribute tables. It is not necessary that all classes in the domain actually occur in each map. As a domain is linked to a representation, the use of one domain for maps of the same theme ensures that these maps are also by default displayed in the same colors.

Domains for attribute tables and columns:

For maps using a class or ID domain, you can create an attribute table. You have to make sure that the table uses the same domain as the map because the domain provides the link between them. In the table, the class names or IDs of the domain appear on the record buttons. You can add attribute columns to the table which contain additional information on the classes or IDs in the map. When you create columns in the attribute table, you may create suitable domains for each column; for general use of values however use the system domain Value.

Domains for value maps and value columns:

When calculating with value maps and value columns, you can usually accept the default system domain Value and adjust the value range and precision for the output map if necessary.

You only need to create a user-defined value domain (e.g. Height, pH, Yields, or concentration values):

  • if the output values have a specific 'standardized' meaning that you want to document and
  • if you have, or want to create, a specific representation for these values (colors are linked to values).

A number of value domains are available in your ILWIS\SYSTEM directory:

Value, Count, Distance, Min1to1, NILto1, NOAA, Perc, Radar. For calculations on value maps, you can of course also use the Image domain.

Other domain types:

- | Bit | system domain Bit is available for raster maps and columns that have to store values 0 and 1.
- | Bool | system domain Bool and system domain Yes/No are available for maps and columns that have to store True, False or undefined values.
- | Picture | for raster maps which contain merely colors, the pixels have no meaning, for instance color composites or scanned pictures.
- | Color | for raster maps that are stored in 24-bit colors.
- | Group | a user-defined list of values and class names that can be used to classify a value map (similar to the ILWIS 1.41 classify tables)
- | String | system domain String is available for columns that contain text.

See also:

Before creating maps and tables

ILWIS objects : domains


Basic concepts : attribute tables

Basic concepts

Attribute tables

Attribute tables store additional information on elements in a map, i.e. extra tabular data which relates to the mapping units, points, segments, or polygons in your maps.

Raster, polygon, segment and point maps that use a domain of the class or ID type can have attribute tables. The domain of the attribute table should be the same as the domain of the map to which it relates. The domain is the relational link between the map and the attribute table.

Maps of domain type Value contain purely values; they cannot have attributes.

When a map that is linked to an attribute table is displayed in a map window, and you double-click in the map, the attributes of the selected class or ID are shown and can be edited. Whether an attribute table is linked to a map can be inspected in the properties sheet of the map.

The best way to create an attribute table is:

  • open the Properties sheet of a point, segment, polygon or raster map,
  • in the Point Map Properties, Segment Map Properties, Polygon Map Properties, Raster Map Properties sheet:
    • select the Attribute check box, and
    • create a new table by clicking the create button or select an existing table (only tables with the same domain as the map are shown).

For more information, refer to How to view and edit the properties of an object and How to create a table.

You can perform calculations on your attribute data in the attribute table with Table Calculation, and you can also derive another map from a column in an attribute table with the Attribute Map, Attribute Polygon Map, Attribute Segment Map or Attribute Point Map operations.

Example:

A map with terrain units may have the following classes: Lagoon plain, Coastal upland, Infilled valleys, Inland levees, Volcanic hills moderately steep, Volcanic hills steep, Colluvial footslopes, etc.

Attributes for these classes might be: minimum and maximum slope, slope length, drainage density, genesis, etc.


Basic concepts : layers in a map window

Basic concepts

Layers in a map window

Map window:

In a map window, you can display: one or more raster maps, polygon maps, segment maps and/or point maps. In a map window you can also display: three images of a map list as an interactive color composite, or all maps of a map list as a slide show. Maps displayed in a map window are called data layers.

Furthermore, you can add Annotation Text layers, and grid lines and/or graticules to a map window. All objects that are added to a map window are called layers.

Before a layer can be displayed in a map window, you need to specify the display options of the layer, i.e. settings that will determine how the layer will be displayed.

Layer Management pane in a map window:

All layers that are added to a map window will appear in the Layer Management pane of the map window. By default, this pane is located along the left-hand side of a map window.

The Layer Management pane allows you:

  • to inspect the meaning of the maps that were added to a map window: the legends of added maps will appear in the Layer Management pane;
  • to change the order of layers in a map window;
  • to show or hide a certain layer;
  • to inspect the properties of a map, such as the domain of a map, the representation used by the domain, the map's georeference and/or coordinate system;
  • to change the colors, line-widths etc. in user-defined representations as used by the domain of a map; etc.

For more information, see How to use layers in a map window.

Storing layers in a map view:

All layers as displayed in a map window can be saved as a map view. Map views are used to store and quickly re-display a set of maps and other layers in a map window, without the need of specifying display options. Furthermore, you will need map views later on to be able to print one or more map windows; you have to add map views to a layout where you can additionally add legends, north arrows, bitmaps and pictures, ticks and coordinates, etc.

For more information, see Basic concepts : map views and layouts.

See also:

Map window : functionality

Map window : menu commands

How to use layers in a map window

Basic concepts : map views and layouts

Basic concepts : properties of objects


Basic concepts : map views and layouts

Basic concepts

Map views and Layouts

Map views:

When a map window displays one or more raster maps, polygon maps, segment maps and/or point maps, and optionally Annotation Text layers, grid lines and/or graticules, you may store such a set as a map view.

A map view contains the names of maps and their display settings, and the settings for the grid lines and/or the graticule(s). Furthermore, the georeference of the map window, the area on which you may have zoomed in, and the scale factor by which the map(s) should be displayed are stored.

By opening a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window, nor specify their display options, nor zoom in on a specific area anymore.

Layouts:

For presentation purposes or to print maps later on, you must create a layout.

A layout is a virtual sheet of paper on which you can make a composition of one or more map views; for each map view you can specify the scale on which this map view should be displayed and printed later on.

Mind: A map view in a layout may only contain one raster map.

For each map view in the layout, you can add additional annotation such as:

  • a legend for a certain map in a map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and a scale text.

To complete your layout, you can also add:

  • texts;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

See also:

Map window : functionality

ILWIS objects : map views

ILWIS objects : layouts

Layout editor : functionality


Basic concepts : drag and drop

Basic concepts

Drag and drop

The idea of drag and drop is that you can pick up one or more ILWIS objects from a Catalog or from Windows Explorer, move the object(s) to another position and release the object(s) at the new position, in order to perform a certain task without using any menu.

The drag and drop mechanism can for example be used:

  • to copy objects between Catalogs,
  • to add maps or annotation text objects to an existing map window,
  • to change the order of layers in a map window,
  • to add maps with their attribute table to a pixel information window,
  • to start an operation with a certain map or table,
  • to change the order of columns.

How to drag and drop:

  1. Select for instance multiple maps in a Catalog or in Windows Explorer:
    • hold the Ctrl key down and select the maps by clicking them with the left mouse button,
    • when the selection is OK, you can release the Ctrl key.
  2. Click the selection, hold the left mouse button down, and move the mouse for instance to:
    • another Catalog,
    • a map window,
    • a pixel information window,
    • an operation in the Operation-tree or the Operation-list,
    • a drop-down list box in a dialog box (drag).
  3. Then, release the left mouse button (drop).

For more information on multiple selections, see below.

When to drag and drop:

The drag and drop mechanism can be used in ILWIS:

  • to copy objects between directories: drag one or more selected objects from a Catalog to another Catalog or to a folder/directory in the Navigator;
  • to add extra maps to an existing map window: drag a raster map or drag one or more polygon, segment, or point maps from a Catalog to the map window;
  • to add an annotation text object to an existing map window: drag the annotation text object to a map window;
  • to change the order of layers displayed in a map window: in the Layer Management pane of a map window, drag layers to another position;
  • to add maps and their attribute data to a pixel information window: drag one or more maps from a Catalog to a pixel info window;
  • to start an ILWIS operation with a certain map or table: drag a map or table from a Catalog to an operation in the Operation-tree or the Operation-list. The dialog box of the operation will appear, the input map or table is automatically filled out;
  • to use a certain map or table name as input for an operation: drag the map, table or any other object to a drop-down list box on a dialog box;
  • to change the order of columns when showing a Catalog in Details View: drag a column header to another position,
  • in a table window: change the order of columns by dragging a column header to another position; you can change the width of a column by positioning the mouse in between two column names (the mouse pointer changes into a double-sided arrow), and drag to the left or right. This decreases or increases the width of the left column.

For more information, see How to drag and drop.

Additional information: multiple selection

To select two or more objects in sequence:

  • click the first object you wish to select,
  • press and hold down the Shift key while you click the last object in the group,

or

  • click the first object you wish to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last object you wish to select,
  • then release the left mouse button.

To select two or more objects out of sequence:

  • press and hold down the Ctrl key while you click each object.

To cancel the selection of an object:

  • press and hold down the Ctrl key while you click a selected object.

See also:

How to drag and drop

How to use a Catalog

How to use the Operation-tree and Operation-list


Basic concepts : dependent data objects

Basic concepts

Dependent data objects

Dependent maps, tables and columns are the result of a calculation with MapCalc or TabCalc (in which you used the definition sign =) or the result of another operation. The complete expression by which dependent output objects are created is stored by the output maps, tables and columns as their definition. Dependent data objects thus know how they were created and on which input data they depend.

Example:

You digitized roads as segments, you rasterized the segment map and then performed the Distance operation: you obtain a raster map with distances to the nearest road. Both the rasterized segment map and the output map of the Distance operation are dependent maps. When you edit the segment map later and added for instance new roads, it is obvious that both the rasterized segment map and the output distance map need to be updated according to the new situation, i.e. the dependent maps need to be recalculated.

Advantages of working with dependent data objects:

Easy update: when you have new information and you accordingly edited input maps, tables or columns, the dependent output maps, tables or columns can be recalculated as the system can execute their definition again. There is thus no need to repeat operations and choose input and output objects again: you can simply press the Make Up-to-Date button in the Properties sheet of a dependent output map, table or column.

Easy change of calculation formulas: MapCalculate and ColumnCalculate formulas that are stored as the definition of dependent raster maps and columns can be modified in the Properties sheet of such a map or column. This enables you to quickly change calculation formulas and see results displayed in the same raster map or column. The need to create new maps and columns for each similar calculation is thus reduced. To edit the MapCalc formula by which a dependent raster map is created: press the Edit Definition button in the Properties sheet of the raster map. The TabCalc formula of a dependent column can directly be edited in the Properties sheet of the column.

Minimum use of disk space: when you perform a calculation or another operation, the outcome is a dependent map or table and in principle only the object definition file of the dependent map (.MPR, .MPA, .MPS, .MPP) or table (.TBT) is stored on disk. Object definition files are small ASCII files and they store amongst others the expression by which the output object is created and contain a reference to the output data file(s). You can directly continue to perform calculations and/or operations on the dependent objects that do not have calculated data files yet. The data files which may need a lot of disk space are automatically calculated and stored on disk when the map or table is displayed, i.e. when needed. In most cases, also the pixel information window can even show results of dependent raster maps that do not have calculated data files yet. The pixel information is able to calculate output values of pixels on the fly.

For dependent maps and tables that already have stored data files, you can delete the data files that are not needed immediately. As long as the object definition file of a dependent object remains, the data files can always be recalculated. To release disk space: press the Release Disk Space button in the Properties sheet of a dependent map or table.

To protect the results of calculations or operations, you cannot directly edit dependent maps, columns in dependent tables, or dependent columns. In case you do want to edit a dependent map or column, you first have to break the dependency link between the dependent map or column and its input data. To break dependencies: press the Break Dependency Link button in the Properties sheet of dependent map or dependent column.

See also:

Basic concepts : properties of objects

How to make dependent data objects up-to-date

How to change the definition of calculated data objects

How to release disk space

How to break dependency links


Basic concepts : properties of objects

Basic concepts

Properties of objects

The Property sheet of a map, table or column or any other ILWIS object shows you important information on the object. In fact, an object's Property sheet is listing the information that is stored in an object's object definition file and that is relevant to the user.

A Property sheet lists:

  • object type, object name and its date, time and size,
  • whether the object is read-only or not,
  • the description of the object,
  • other objects that this object uses, e.g. the domain of a map, table or column; the georeference of a raster map; the coordinate system of a point, segment or polygon map, etc., see also Appendices : relations between ILWIS objects;
  • objects that use the current object,
  • for maps and domains, whether an attribute table is linked to the map or the domain,
  • some additional information on the object, e.g. the number of segments in a segment map, and the number of lines and columns and the pixel size in a raster map, and the number of records and columns in a table, etc.,
  • whether a map, table or column is dependent or not, see also Basic concepts : dependent data objects;
  • for dependent maps, tables and columns, the definition of the object, i.e. the expression by which the current object was created,
  • for dependent maps, tables and columns, whether the object is up-to-date or not,
  • for dependent maps, tables and columns, the objects on which the dependent object depends,
  • for raster maps, whether the map is stored using 1 bit, or 1, 2, 4, or 8 bytes per pixel.

Further, a number of the following buttons may be available:

Used By: | Click this button to see by which other objects the current object is used.
Make Up-to-date: | For dependent data objects of which the input data has changed: click this button to redefine the dependent output object. See also How to make dependent data objects up-to-date.
Edit Definition: | For dependent raster maps that are the result of a map calculation (MapCalculate), click this button to modify the map calculation formula by which this map was created. The definition of a dependent column that is the result of a table calculation (ColumnCalculate), can be directly edited in the Properties dialog box of the column. See also How to change the definition of a dependent data object.
Break Dependency Link: | For dependent data objects: click this button to break the dependency links between the current dependent object and the objects it depends on. After breaking dependency links of a dependent map, table or column, the map, table, or column becomes editable. See also How to break dependency links.
Release Disk Space: | For dependent data objects with a calculated data file: click this button to delete calculated data files. Only the object definition file that contains the expression by which the object is defined remains. See also How to release disk space.
Calculate: | For dependent data objects without a calculated data file: click this button to execute the expression by which this object was created and store the calculated data file on disk.
Additional Info: | For objects that have extra information.

Advanced users may wish to change some relations between the current editable object and other objects that the current object uses, such as domain, georeference, coordinate system, etc.

See also:

How to view and edit the properties of an object

Property sheets


ILWIS window types and their functionality

ILWIS window types

and their functionality

Main window

Map window

Table window

Graph window

Pixel information window

Stereo Pair - Stereoscope window

SMCE window

Progress manager


Main window

Contents

Introduction

Catalog(s)

Operation-tree and Operation-list

Navigator

Command line

Standard toolbar

Object selection toolbar

Status bar

Menu commands

Mouse functions


Main window : introduction

Main window

Introduction

The Main window contains:

  • Menu bar: the Main window has six menus: File, Edit, Operations, View, Window, and Help.
  • Catalog(s): the right central part of the Main window may show one or more Catalogs. A Catalog may provide an overview of available ILWIS objects in the current directory; opened map lists and opened object collections are also shown as a Catalog.
    When you double-click an object, the object will generally be opened. When you click an object with the right mouse button, you can choose to start an application with the selected object as input.
  • Operation-tree and Operation-list: located on the first two tabs in the Operations/Navigator pane, by default along the left hand side of the Main window. The Operation-tree and the Operation-list provide an overview of ILWIS operations. Operations are preceded by an icon of the output object of that operation.
    You can start an operation by double-clicking an operation in the Operation-tree or the Operation-list, or by dragging an ILWIS object from the Catalog to the operation in the Operation-tree or the Operation-list to start the operation with that object. Of course, you can also start operations by selecting one from the Operations menu.
  • The Navigator is found on the third tab in the Operations/Navigator pane, by default along the left hand side of the Main window.
    When you click a drive or directory in the Navigator, the contents of the selected directory will be shown in the currently active Catalog.
    You can use the History of the Navigator to return to previously used directories.
  • Standard toolbar: by default located just below the menu bar.
    This toolbar provides short cuts for some regularly used menu commands.
  • Object selection toolbar: by default located just below the standard toolbar.
    With this toolbar you can select the type of objects that should be shown in a Catalog.
  • Command line: by default located just below the toolbars.
    The command line can be used to type commands and expressions to perform map calculations, operations, and series of calculations and/or operations described in user-written scripts.
    You can use the History of the command line to retrieve previously used commands and expressions.
  • Status bar: located at the bottom of the Main window.
    The status bar gives short explanations on highlighted menu commands, descriptions on the functionality of buttons in the standard toolbar, descriptions of the operations in the Operation-tree and the Operation-list, descriptions of objects in the Catalog and whether objects are dependent, calculated and/or up-to-date, and the query used in the active Catalog.

The Main window can be sized by dragging its borders. For information on minimizing, maximizing the Main window, using scroll bars, using menus, etc., see the Introduction on Windows features topic.

See also:

Main window : Catalog(s)

Main window : Operation-tree and Operation-list

Main window : Command line

Main window : Standard toolbar

Main window : Object selection toolbar

Main window : Menu commands


Main window : Catalog(s)

Main window

Catalog(s)

The large right-central part of the Main window may show one or more Catalogs.

A Catalog provides an overview of:

  • the ILWIS objects in a directory,

  • the raster maps that are available in a map list,
  • the objects that are available in an object-collection.

Objects and icons:

The ILWIS object types and their icons that can be shown in a Catalog are:

raster maps

polygon maps

segment maps

point maps

tables

map lists

object collections

map views

layouts

annotation text objects

domains

representations

georeferences

coordinates systems

histograms of raster maps

histograms of polygon maps

histograms of segment maps

histograms of point maps

sample sets

two-dimensional tables

matrices

(user-defined) filters

user-defined functions

scripts

Also [image] drives and [image] directories can be shown. To see foreign file types in a Catalog, i.e. files with non-ILWIS extensions, use the Customize Catalog, Object Selection tab.

To get Help on a certain object type, click the object in a Catalog with the right mouse button, and choose Help from the context-sensitive menu.

List View and Details View:

In ILWIS 3, you can choose to see the objects in a Catalog listed in:

  • List View: simple list of object names and icons,
  • Details View: detailed information for each object.

You can use the List and the Details commands on the View menu of the Main window, but you can also use the List button [image] or the Details button [image] in the standard toolbar of the Main window.

Visible object types, sorting objects, querying for objects:

Furthermore, in each Catalog, you can specify:

  • the visible object types,

    • see Catalog - Show, Main window : object selection toolbar or Customize Catalog, Object Selection tab,

  • the sorting method of objects,

    • see Catalog - Sort By or Details View,

  • a query to search for specific objects,

    • see Catalog - Queries or Customize Catalog, Query tab.

For more information, see also the List View and Details View topics.

Multiple Catalogs:

To open another new Catalog, you can choose the New Catalog command from the Window menu in the Main window, or click the [image] New Catalog button in the standard toolbar of the Main window. Multiple Catalogs may give you a better overview of your data in several directories or in several object collections, etc. You can also easily copy objects from one Catalog (directory, object collection) to another by dragging.

Using a Catalog:

A Catalog is mainly used for the following actions:

  • move the mouse pointer over an object in a Catalog:
    the status bar displays the description of that object, and whether an object is dependent (D), calculated (C) and/or up-to-date (U);
  • double-click an object in a Catalog:
    the object is opened and displayed in a new window; if you open a dependent object which has not been calculated yet, the object will first be calculated;
  • click the right mouse button on an object in a Catalog:
    a context-sensitive menu appears from which you can choose a command or an operation,
  • drag one or more raster, polygon, segment or point maps from a Catalog to a map window or to a pixel information window:
    the object(s) are added to that map window or that pixel info window,
  • drag a compatible georeference or coordinate system from a Catalog to a map window which does not have a raster map yet:
    the map window will temporarily use that georeference or coordinate system;
  • drag a compatible coordinate system from a Catalog to a pixel info window:
    the coordinate system will be added to the pixel info window; you can thus read coordinates in the new coordinate system as well;
  • drag one or more objects from one Catalog to another:
    the selected objects are copied to the other Catalog;
  • drag a map or table from a Catalog to an operation in the Operation-tree or the Operation-list:
    the dialog box of that operation is opened and the input map or table name already filled out;
  • drag a map or table from a Catalog to a drop-down list box in a dialog box of an operation:
    the object is filled out in the field of the dialog box.

Other functionality:

  • To refresh the contents of a Catalog, choose the Refresh command from the Window menu, or press the F5 key on the keyboard.
  • To arrange Catalogs, choose the Arrange Catalogs command from the Window menu.
  • To close all Catalogs, choose the Close All Catalogs command from the Window menu.

The settings of each Catalog are stored in the registry when a Catalog is closed.

See also:

Basic concepts : ILWIS objects

How to use a Catalog

How to customize a Catalog

Operation-tree and Operation-list


Main window : Operation-tree and Operation-list

Main window

Operation-tree and Operation-list

The Operation-tree and the Operation-list are located on the first two tabs in the Operations/Navigator pane, by default along the left hand side of the Main Window.

  • The Operation-tree provides a tree structure for all ILWIS operations, similar to the Operations menu in the Main window;
  • The Operation-list contains an alphabetic list of all ILWIS operations.

The icon by which an operation is preceded indicates the output data type of the operation.

The Operation-tree and the Operation-list are mainly used to start operations, bypassing the Operations menu. Furthermore, the Operation-tree and the Operation-list contain commands to create new objects, to open and/or edit objects, to view the properties of an object, to copy and delete one or more objects, etc. If you wish you can hide the Operations/Navigator pane.

For some short Help on an operation, you can click an operation with the right mouse button, and choose Help from the context-sensitive menu.

Tip: To extend the Operation-tree, the Operation-list and the Operations menu with scripts or external tools, see How to customize the Operation-tree, the Operation-list and the Operations menu.

Using the Operation-tree and the Operation-list:

The Operation-tree and the Operation-list are mainly used for the following actions:

  • move the mouse pointer over an operation:
    the status bar displays a brief description of that operation;
  • double-click an operation:
    the operation is started and the operation's dialog box appears;
  • drag a map or table from the Catalog to an operation in the Operation-tree or Operation-list:
    the operation's dialog appears and the input map (or table) name is already filled out in the dialog box;
  • drag a map or table from a Catalog to a text box or a drop-down list box in a dialog box of an operation:
    the object is filled out in the field of the dialog box;
  • click an operation with the right mouse button:
    a context-sensitive menu appears; start the operation by choosing the Run command, or get short Help on the operation by choosing the Help command.

Tips:

  • To start an operation, you can also type a command on the command line of the Main window (see also Appendices : ILWIS commands).
  • In all cases mentioned above, a dialog box is opened in which you can enter the input and output object names and other parameters necessary for the operation.

    • When you click the Show or Define button in the operation's dialog box, an ILWIS expression is generated on the command line of the Main window.

    Output objects that are obtained through an operation's dialog box are always dependent.

  • Advanced users can type complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions. For more information, see Appendices : ILWIS expressions and Appendices : ILWIS script language (syntax).

See also:

How to use the Operation-tree and Operation-list

How to customize the Operation-tree and Operation-list

ILWIS operations


Main window : navigator

Main window

Navigator

The Navigator is located on the third tab in the Operations/Navigator pane, by default along the left hand side of the Main window.

The Navigator:

  • provides a tree structure for all drives and directories,
  • has a history of recently visited drives and directories.

You can click the plus sign in front of a folder/directory to expand the folder and see possible subdirectories.

To view the contents of a drive or directory:

When you click a directory in the Navigator, the contents of the currently active Catalog will be replaced with the contents of the selected drive or directory.

When you click a directory in the Navigator with the right mouse button, and choose New Catalog from the context-sensitive menu, the contents of the selected directory will be shown in a new Catalog.

Tip: To open a new Catalog, you can also click the [image] New Catalog button in the standard toolbar of the Main window.

Other functionality:

  • When you selected one or more objects in a Catalog or in Windows Explorer, you can directly drag the object(s) to a folder/directory in the Navigator in order to copy the objects to the other directory.
  • When you selected one or more objects in a Catalog, and used Copy, you can use the right mouse button on a destination folder in the Navigator and choose Paste from the context-sensitive menu to Paste into the object(s) into the destination folder/directory.
  • When you click a folder/directory in the Navigator with the right mouse button and select Create Directory, you can enter a name for a new subdirectory. The new subdirectory will appear under the selected folder/directory.
  • To quickly return to a previously used folder or directory, expand the History item ( [image]) at the top of the list in the Navigator, and choose the directory to which you wish to return.

Tip: For performance purposes, it is advised to access data from the hard disk, not from floppy drives nor from network drives/directories.

See also:

New Catalog

Basic concepts : drag and drop

How to copy objects


Main window : command line

Main window

Command line

The command line of the Main window is by default located at the top of the Main window, just below the menu bar and the toolbar.

The user may type commands and expresssions on the command line to carry out calculations, operations and scripts.

The command line is used:

  • to perform calculations with maps and attribute tables,
  • to perform ILWIS commands: to display, edit, create or view the properties of ILWIS objects, and to obtain dialog boxes to start an ILWIS operation. This functionality is equivalent to typing an ILWIS 1.4 executable name on the DOS command line in ILWIS version 1.4.
  • to perform ILWIS expressions: to perform complete ILWIS operations. This functionality is equivalent to typing the ILWIS 1.4 executable name and all parameters required by this executable, on the DOS command line in ILWIS version 1.4.
  • to run scripts, which usually contain a sequence of ILWIS expressions. With a script, you can build a complete GIS and Remote Sensing analysis/application for your own research discipline. Scripts are more or less equivalent to batch files in ILWIS version 1.4.
  • to copy and delete objects, break dependency links of objects, etc. For more information, see ILWIS commands and ILWIS script syntax.

If you wish you can move the command line and dock it for instance at the bottom of the Main window; you can also make the command line floating. The command line can be hidden or shown by opening the View menu in the Main window, choose Command line.

Tips:

  • The command line has a history: use the Arrow Up key to retrieve previously used expressions and commands. The Arrow Down key can be used to scroll forwards again. You can also open the list of previously used commands and expressions by clicking the arrow at the right hand side of the command line.
  • The maximum length of an expression on the command line is 32000 characters. You can use the (Ctrl+) Left and Right Arrow keys on the keyboard to move back and forth in your formula. You can use the somewhat larger MapCalc dialog box if you want to type a MapCalc formula on multiple lines.
  • In ILWIS 3, object names comply with Windows long file names. On the command line however, object names must be enclosed in single quotes when they start with a digit, contain a space or any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .
    For more information, see How to use long object names.

Other functionality:

?expression | Performs calculations as a pocket line calculator. For more information, see Appendices : ILWIS commands, section Other commands and expressions.
!command optional_parameter(s) !!command optional_parameter(s)
 | Starts any Windows application, Windows shortcut, files with a registered file type, a batch file, a DOS application (with a .PIF file available), etc. Type the command directly after the exclamation mark (no spaces allowed). Example: to start Notepad, type: !Notepad For more information, see Appendices : ILWIS commands, section Other commands and expressions.
Miscellaneous | Copy, del, cd, md, rd. For more information, see Appendices : ILWIS commands, section Data management.

See also:

Map calculation

Map calculation : general syntax

Map calculation : overview of operators and functions

Appendices : ILWIS commands

Appendices : ILWIS expressions

Appendices : ILWIS script language (syntax)


Main window : standard toolbar

Main window

Standard toolbar

The standard toolbar of the Main window provides shortcuts for some regularly used menu commands for instance to open a new Catalog, to copy and paste objects from one Catalog into another, to delete objects from a Catalog, to view the Properties of an object, and to customize a Catalog.

The actions can be performed on Catalogs showing the contents of a directory as well as on opened map lists and opened object collections.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

New Catalog: | Open another Catalog. A dialog box will appear from which you can choose a directory; the selected directory will be opened as a new Catalog.
Open: | Open a raster, polygon, segment or point map in a new map window or open any other ILWIS object. The Open Object dialog box appears; you can select a map or any other object.
Open Pixel Info: | Open a pixel information window. When you selected one or more maps or coordinate systems in the Catalog, these objects will be added to the pixel information window automatically.
Copy: | Copy the selected object(s) to the clipboard. You can then paste them into another Catalog. When you copy one or more maps to the clipboard, you can also paste them into a map window. You can also use the Ctrl+C keys on the keyboard.
Paste: | Paste one or more copied objects into the current Catalog. You can also use the Ctrl+V keys on the keyboard.
Delete: | Delete the selected object(s) from the current Catalog. You can also use the Del key on the keyboard.
Properties: | Open the Properties of a selected object.
Customize Catalog: | Open the Customize Catalog sheet in which you can specify the object types that should be visible in the Catalog (Object selection tab), how the Catalog should look like in Details View (Details View tab), and/or choose or create a query to search for specific objects (Query tab).
List View: | Show the objects in the current Catalog as a list of icons and object names. You can select to view only certain object types, sort or order objects not only on their name, and/or use queries to search for certain objects (see the commands on the View menu).
Details View: | Show the details of the objects in the current Catalog. Object details include whether objects are up-to-date or not, calculated or not, dependent or not, object date, domain type, domain name, expression, description, etc. You can order the objects in ascending or descending order by clicking a column button. You can also drag columns to another position. Furthermore, you can select to view only certain object types, and/or use queries to search for certain objects (see the commands on the View menu).
cd.. | Navigate to the parent directory.

The standard toolbar can be hidden or shown with the Standard Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Main window : Catalog(s)

Main window : Operation-tree and Operation-list

Main window : Object selection toolbar

Main window : Menu commands


Main window : object selection toolbar

Main window

Object selection toolbar

The object selection toolbar of the Main window allows you to specify the object types that should be visible in the current Catalog.

  • All object types of which the button appears down will be shown.
  • The first button is used to hide all object types (after which you can click specific object buttons, to show only these object types), or to show all object types.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the object that you are pointing to.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating.

Object types:

raster maps

polygon maps

segment maps

point maps

tables

map lists

object collections

map views

layouts

annotation text objects

graphs

domains

representations

georeferences

coordinates systems

histograms of raster maps

histograms of polygon maps

histograms of segment maps

histograms of point maps

sample sets

stereo pairs

criteria trees

two-dimensional tables

matrices

(user-defined) filters

user-defined functions

scripts

Using the object selection toolbar:

Click the ILWIS button to switch between:

  • hide all object types; after this you can click specific object buttons, to show only these object types,
  • show all object types.

Click an object type button to switch between:

  • show the object type,
  • hide the object type.

Click the directory button or the drive button to switch between:

  • show subdirectories and the parent directory or drives,
  • hide subdirectories and the parent directory or drives.

Mind:

  • Settings are applicable to the currently active Catalog only.
  • In a Catalog, only those objects will be shown which match the selected object types and a used query.

The Object Selection toolbar can be hidden or shown with the Object Selection Toolbar command on the View menu.

See also:

Main window : Catalog(s)

Main window : Operation-tree and Operation-list

Main window : Standard toolbar

Main window : Menu commands

ILWIS objects


Main window : status bar

Main window

Status bar

A status bar is located at the bottom of the Main window.

The status bar:

  • gives a brief explanation on highlighted menu commands,
  • gives a brief explanation on the effect of buttons in a toolbar when moving with the mouse pointer over a button,
  • displays the description of operations when moving the mouse pointer over an operation in the Operation-tree or the Operation-list,
  • displays the description of objects when moving the mouse pointer over an object in a Catalog,
  • displays whether objects are dependent (D), calculated (C), and/or up-to-date (U) when moving the mouse pointer over an object in a Catalog,
  • displays the query that is used in a Catalog.

Tip:

When during an operation no description is filled out for the dependent output object, the dependent output object will use its definition or expression as description.

For more information, see How to use the Status bar.


Main window : menu commands

Main window

Menu commands
File

Create
Point map ...
Segment map ...
Raster map ...
Table ...
Map List ...
Object Collection ...
Layout ...
Graph ...
Domain ...
Representation ...
Georeference ...
Coordinate System ...
Sample Set ...
2 Dimensional Table ...
Filter
Function
Script
Open ...
Open As Table ...
Open Pixel Information

Create Pyramid Layers

Preferences

Setup Digitizer
Map Reference

Import
Map
Table
General Raster
Export ...

Exit

 Edit

Copy
Copy Object To ...
Paste
Delete

Select All

Edit Object
Properties ...

 Operations

Visualization
Show Map ...
Show Table ...
Show MapList ...
as Color Composite
as Slide Show
Display 3D ...
Apply 3D ...
Anaglyph ...
Stereoscope ...
Raster Operations
Map Calculate ...
Attribute Map ...
Cross ...
Aggregate Map ...
Distance ...
Iteration ...
Area Numbering ...
Sub Map ...
Glue Maps ...
Mirror Rotate ...
Spatial Multi-Criteria Evaluation ...
Image Processing
Filter ...
Stretch ...
Slicing ...
Color Separation ...
Color Composite ...
Cluster ...
Sample ...
Classify ...
Resample ...
Epipolar Stereo Pair ...
Stereo Pair from DTM ...
Statistics
Histogram ...
Raster
Autocorrelation ...
Variogram Surface ...
Map List
Principal Components ...
Factor Analysis ...
Variance Covariance ...
Correlation Matrix ...
Polygons
Neighbour Polygons ...
Segments
Direction Histogram ...
Points
Spatial Correlation ...
Variogram Surface ...
Cross Variogram ...
Pattern Analysis ...
Interpolation
Densify Map ...
Kriging From Raster ...
Contour Interpolation ...
Point Interpolation
Nearest Point ...
Moving Average ...
Trend Surface ...
Moving Surface ...
Kriging ...
Anisotropic Kriging ...
Universal Kriging ...
CoKriging ...
Vector Operations
Unique ID ...
Polygons
Attribute Map
Mask Polygons
Assign Labels
Transform Polygons
ID Grid Map
Segments
Attribute Map
Mask Segments
Assign Labels
Sub Map
Glue Maps
Densify Coordinates
Transform Segments
Tunneling
Points
Attribute Map
Mask Points
Sub Map
Glue Maps
Transform Points
Coordinates
Transform Coordinates
Find Datum Parameters
Rasterize
Polygons to Raster ...
Segments to Raster ...
Segment Density ...
Points to Raster ...
Point Density ...
Vectorize
Raster to Polygons ...
Raster to Segments ...
Raster to Points ...
Polygons to Segments ...
Polygons to Points ...
Segments to Polygons ...
Segments to Points ...
Table Operations
Transpose Table ...
Change Domain of Table ...
Table to Point Map ...
Glue Tables ...
DEM Hydro-Processing
DEM Visualization ...
Flow Determination
Fill Sinks ...
Flow Direction ...
Flow Accumulation ...
Flow Modification
DEM Optimization ...
Topological Optimization ...
Variable threshold computation ...
Network and Catchment Extraction
Drainage network extraction ...
Drainage network ordering ...
Catchment extraction ...
Catchment merge ...
Compound Parameter Extraction
Overland flow length ...
Compound Index Calculation ...
Statistical Parameter Extraction
Horton Statistics ...
Aggregate Statistics ...
Cumulative Hypsometric Curve ...
Class Coverage Statistics ...
Script
Additional scripts
Tools
Additional external tools

 View

List
Details

Customize Catalog ...
Show
Maps and tables
All data objects
All objects
Sort By
Name
Type
Modified
Etc.
Catalog Queries
All
All objects made today
Etc.

Standard Toolbar
Object Selection Toolbar
Operation-List/Navigator
Command Line
Status Bar

 Window

New Catalog
Refresh

Arrange Catalogs
Cascade
Tile Horizontally
Tile Vertically
Close All Catalogs

Data Windows
Close All
Minimize All
Restore All

Catalog 1
Catalog 2
Object Collection "OBC"
Map List "SPOT99"
Etc.


Create a point map

A point map is created to obtain digital point features. You can use the digitizer but you can also create a point map with the mouse.

This dialog box appears when creating a new point map:

  • from the File menu of the Main window, choose the Create Point Map command, or
  • by double-clicking the New PntMap item in the Operation-list, or
  • from the File menu in an existing map window, choose the Create Point Map command. Known parameters such as coordinate system and map boundaries are already filled out. This ensures that the new point map will fit on the map displayed in the map window.

Dialog box options:

Map name:

Type a new name for the point map.

Description:

Type a description for the map. The description of a map appears in the title bar when the map is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in the Catalog.

Coordinate system:

Select a coordinate system for the map; open the list box by clicking it. Or create a new coordinate system by clicking the create button.

When you work with multiple maps of the same area, you should use the same coordinate system for these maps.

Boundaries of map:

Type the minimum and maximum X and Y coordinates for the map.

  • With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant;
  • with the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

The four boundary values determine the outermost coordinate values of the new map; the map cannot contain coordinates outside these values.

When you selected an existing coordinate system, the corners of the coordinate system are set as the default boundary values for this map. If the new map is just a part (e.g. one map sheet) of the total coordinate system, you should make the boundary values fit to the new map and not to the coordinate system.

Domain:

Select a domain for the map; open the list box by clicking it. Or create a new domain by clicking the create button [image]: the Create Domain dialog box follows. A domain contains the set of valid IDs, class names or values in a map.

When creating more maps of the same theme, or when creating maps that contain the same class names, IDs or values as an existing map, select the same domain as used before. You can always add extra class names or IDs to an existing class or ID domain. Not every class name, ID or value present in a domain, needs to be used in the maps that use that domain. A representation can be linked to a domain, so that maps using the same domain can be displayed with the same colors.

The Point editor is started: use a digitizer or the mouse to insert points, and assign class names, IDs, or values to the points.

Additional information:

Map boundaries: It is advised to use map boundary values (Xmin, Ymin, Xmax and Ymax) according to the map rather than to a selected coordinate system.

Domain: The domain of a point map defines the kind of codes that are used to name the points:

  • (use or) create an ID domain when the points in the map can be uniquely named,
  • (use or) create a class domain when the points in the map belong to classes which occur in several places in the map,
  • (use or) create a value domain when the points in the map represent measurable values (e.g. height values).

It is advised to select the same domains as far as possible, for example when:

  • creating more point maps of the same theme (Class),
  • creating more point maps containing the same IDs,
  • creating more point maps containing the same kind of values, or
  • creating point maps of different years but of the same theme, or with the same class names, IDs or values.

For more information on domains, see Basic concepts : before creating maps and tables and Basic concepts : domains.

See also:

ILWIS objects : point maps

Point editor : functionality


Create a segment map

A segment map is created in order to obtain digital line features. To obtain digital area features (polygons), you should also first digitize the lines in a segment map, and then you should use the Polygonize option in the segment editor. In the segment editor, you can use the digitizer but you can also create a segment map with the mouse.

This dialog box appears when creating a new segment map:

  • from the File menu of the Main window, choose the Create Segment Map command, or
  • by double-clicking the New SegMap item in the Operation-list, or
  • from the File menu in an existing map window, choose the Create Segment Map command. Known parameters such as coordinate system and map boundaries are already filled out. This ensures that the new segment map will fit on the map(s) displayed in the map window.

Dialog box options:

Map name:

Type a new name for the segment map.

Description:

Type a description for the map. The description of a map appears in the title bar when the map is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in the Catalog.

Coordinate system:

Select a coordinate system for the map; open the list box by clicking it. Or create a new coordinate system by clicking the create button: the Create Coordinate System dialog box follows.

When you work with multiple maps of the same area, you should use the same coordinate system for these maps.

Boundaries of map:

Type the minimum and maximum X and Y coordinates for the map.

  • With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant;
  • with the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

The four boundary values determine the outermost coordinate values of the new map; the map cannot contain coordinates outside these values.

When you selected an existing coordinate system, the corners of the coordinate system are set as the default boundary values for this map. If the new map is just a part (e.g. one map sheet) of the total coordinate system, you should make the boundary values fit to the new map and not to the coordinate system.

Domain:

Select a domain for the map; open the list box by clicking it. Or create a new domain by clicking the create button [image]: the Create Domain dialog box follows. A domain contains the set of valid IDs, class names or values in a map.

When creating more maps of the same theme, or when creating maps that contain the same class names, IDs or values as an existing map, select the same domain as used before. You can always add extra class names or IDs to an existing class or ID domain. Not every class name, ID or value present in a domain, needs to be used in the maps that use that domain. A representation can be linked to a domain, so that maps using the same domain can be displayed with the same colors.

The Segment editor is started: use a digitizer or the mouse to to insert segments, and assign class names, IDs, or values to the segments.

Additional information:

Map boundaries: It is advised to use map boundary values (Xmin, Ymin, Xmax and Ymax) according to the map rather than to a selected coordinate system.

Domain: The domain of a segment map defines the kind of codes that are used to name the segments:

  • (use or) create a class domain when the segments in the map belong to classes which occur in several places in the map, e.g. roads: primary roads, secondary roads, etc.,
  • (use or) create an ID domain when the segments in the map can be uniquely named, when the segments in your map are uniquely identified, e.g. individual pipe lines P8236, P9234, P9845, etc., or
  • (use or) create a value domain when the segments in the map represent measurable values, e.g. height values in a contour map.

It is advised to select the same domains as far as possible, for example when:

  • creating more segments maps of the same theme (Class),
  • creating more segment maps containing the same IDs,
  • creating more segment maps containing the same kind of values, or
  • creating segment maps of different years but of the same theme, or with the same class names, IDs or values.

For more information on domains, see Basic concepts : before creating maps and tables and Basic concepts : domains.

See also:

ILWIS objects : segment maps

Segment editor : functionality


Create a raster map

Usually, a raster map is created by other means, namely by rasterizing an existing point, segment or polygon map. The option you chose here is to create a new raster map from scratch: you are expected to assign all IDs, class names or pixels values to all pixels yourself.

This dialog box appears when creating a new raster map:

  • from the File menu of the Main window, choose the Create Raster Map command, or
  • by double-clicking the New Map item in the Operation-list, or
  • from the File menu in an existing map window, choose the Create command. The georeference is already filled out. This ensures that the new raster map will fit on the map(s) displayed in the map window.

Dialog box options:

Map name:

Type a new name for the raster map.

Description:

Type a description for the map. The description of a map appears in the title bar when the map is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in the Catalog.

Georeference:

Select a georeference for the raster map; open the listbox by clicking it. Or create a new georeference by clicking the create button.

When you work with multiple maps of the same area, you should use the same georeference for all these maps.

Domain:

Select a domain for the map; open the list box by clicking it. Or create a new domain by clicking the create button [image]: the Create Domain dialog box follows. A domain contains the set of valid IDs, class names or values in a map.

When creating more maps of the same theme, or when creating maps that contain the same class names, IDs or values as an existing map, select the same domain as used before. You can always add extra class names or IDs to an existing class or ID domain. Not every class name, ID or value present in a domain, needs to be used in the maps that use that domain. A representation can be linked to a domain, so that maps using the same domain can be displayed with the same colors.

Value Range:

In case you selected a value domain, type the minimum and maximum values of this domain or accept the default value range.

Precision:

In case this value domain uses decimals, type a value for the precision of this domain or accept the default precision.

The Pixel editor is opened: assign class names, IDs or values to the pixels in the map.

Additional information:

Georeference: You should only create a new georeference when this is the only raster map or the first raster map of a series of raster map in one area. When you already have raster maps of the same area, you should select the georeference of the existing maps.

Domain: The domain of a raster map defines the kind of codes that are used to name the pixels:

  • use or create a class domain when the pixels in your map refer to classes,
  • use or create an ID domain when the pixels in your map refer to unique IDs, or
  • use or create a value domain when the pixels in your map represent measurable values.

For more information on domains, refer to Basic concepts : before creating maps and tables and Basic concepts : domains.

See also:

ILWIS objects : raster maps

Pixel editor : functionality


Create a table

A table is for instance created to store attributes for features in existing raster, polygon, segment or point maps.

This dialog box appears:

  • when you choose Create Table from the File menu in the Main window, or
  • when you double-click the New Table item in the Operation-list, or
  • when viewing the properties of an existing map, and in the Properties dialog box, you clicked the create attribute table button.

Dialog box options:

Table name: | Type a new name for the table.
Description: | Type a description for the table. The description of a table appears in the title bar when the table is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the table in the Catalog.
Domain: | Select a domain for this table or create a new domain. If you want to create an attribute table, you should select for the table the same domain name as is used by the map to which this table refers. Only maps of the domain type Class or ID can have an attribute table. Only if you want to create a table that has no relation to a map, select domain None.
Records: | In case of a table with domain None, enter the number of records that the table should contain. For tables with any other domain, the domain determines the number of records that appear in the table.

The table appears in a table window. When you are in the process of creating an attribute table, all class names or Identifiers of the selected domain appear as records in the table. You can start adding attribute columns to the table.

Tip:

To create an attribute table, it is often easier to open the Properties dialog box of a map, and create a new attribute table there by clicking the create button.

See also:

ILWIS objects : tables

Table window : functionality


Create a map list

Create a map list. A map list is for instance required in Sample to locate sample pixels. You can also create a map list of images to display three selected images of your map list as an interactive color composite. When you add raster maps of the same theme but for instance of different years to a map list, i.e. the map list contains a time-series, you can display the map list as a slide show.

A map list can only be created of raster maps that have the same georeference and the same domain.

This dialog box appears:

  • when you choose Create Map List from the File menu in the Main window, or
  • when you double-click the New MapList item in the Operation-list, or
  • when you click the create button in a dialog box which requires a map list as input.

Dialog box options:

Map List name:

Type a new name for the map list.

Description:

Type a description for the map list. The description is visible on the status bar of the Main window when moving the mouse pointer over the map list in the Catalog.

Selectable raster maps:

The left hand list box lists all available raster maps in the current directory.

Select the raster maps (same georeference and same domain) which you want to include in the map list and click the > button.

To select multiple raster maps, press and hold down the Shift key while selecting, see also below.

Selected raster maps:

The right hand list box lists the raster maps that will be included in the map list.

To excluded one or more raster maps from the map list, use the < button, see below.

Tip: For slide shows: you can change the order of maps by dragging individual raster maps up or down in the list.

To add one or more raster maps to the map list:

  • select one or more raster maps in the left hand list box
    (to select multiple raster maps, press and hold down the Shift or the Ctrl key while selecting, see also below);
  • then press this > button.

The raster maps will be added to the bottom of the list in the right hand list box.

To remove one or more raster maps from the map list:

  • select one or more raster maps in the right hand list box
    (to select multiple raster maps, press and hold down the Shift or the Ctrl key while selecting, see also below);
  • then press this < button.

If the selected raster maps use the same domain and the same georeference, the map list is created; it will appear in the Catalog.

Additional information : Multiple selection

To select two or more maps in sequence:

  • click the first raster map you want to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last raster map you want to select,
  • then release the left mouse button;

or

  • click the first raster map you want to select,
  • press and hold down the Shift key while you click the last raster map in the group.

To select two or more maps out of sequence:

  • press and hold down the Ctrl key while you click each raster map.

To cancel the selection of a map:

  • press and hold down the Ctrl key while you click a selected raster map.

See also:

ILWIS objects : map lists


Create an object collection

An object collection [image] is a set of ILWIS objects. An object collection only stores the names and locations of the object definition files of the maps, tables, etc. that are included in the object collection. The object definition files of these maps, tables, etc. contain further references to the names and locations of the data files on disk.

Object collections:

  • can be created to organize your data as 'projects';
  • can be the result of import when only ILWIS object definition files are created while the data files remain in their native format and in their original directory.

This dialog box appears when:

  • in the Main window, you choose the Create Object Collection command from the File menu,
  • in the Operation-tree, you open the Create item, and select the New Object Collection command, or
  • in the Operation-list, you double-click the New Object Collection command.

Dialog box options:

Name: | Type a new name for the object collection.
Description: | Optionally, type a description for the object collection. The description is visible on the status bar of the Main window when moving the mouse pointer over the object collection in a Catalog.

The new object collection will be opened as a new Catalog.

You can add objects to the object collection by selecting objects in another Catalog, then drag these objects to the object collection. You can also select objects in another Catalog and then use Copy and Paste.

For more information, see How to copy objects.

Tip:

You can choose whether in a Catalog you wish to see:

  • both object collections and the objects that are included in object collections (the members of the object collections), or
  • only object collection(s) and not the members of object collections.

The setting can be specified on the Customize Catalog, Object Selection page.

See also:

ILWIS objects : object collections


Create a layout

A layout [image] is required to print maps with annotation. A layout is a virtual sheet of paper on which you can make a composition of one or more map views, specify the scale on which these map views should be printed, and on which you can insert annotation.

In the layout editor, you can add to a layout:

  • one or more map views, each of which may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules;
  • texts such a titles;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

For each map view, you can add to the layout:

  • a legend for a layer in a map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

To create a layout:

  • In the Main window, choose the Create Layout command from the File menu;
  • In a Catalog, click a map view with the right mouse button and choose the Create Layout command from the context-sensitive menu;
  • In the Operation-tree, open the Create item, and select the New Layout command;
  • In the Operation-list, double-click the New Layout command;
  • In a map window, choose the Create Layout command from the File menu.

The Layout editor is started.

While working in the layout editor, or at least when you are finished editing, you need to save the layout.

See also:

Layout editor : functionality

ILWIS objects : layout


Create a graph

Create a new Graph from Columns in a graph window.

This dialog box appears:

  • when you choose the Create Graph command from the File menu in a table window,
  • when you click the Create Graph button [image] in the toolbar of a table window,
  • when you choose the Create Graph command from the File menu in the Main window,
  • when you double-click the New Graph item in the Operation-list,
  • when you click a table with the right mouse button in a Catalog and choose Create Graph from the context-sensitive menu, or
  • when you choose the New Graph command from the File menu in a graph window, in case the graph window already displays a graph from columns, a graph from formula, a least squares fit, or a semi-variogram model.

Dialog box options:

Table: | Select a table which contains the column(s) that you wish to show as a graph.
X-axis: | Select this check box when you wish to use a column for the X-axis of the graph. Clear this check box when the domain of the table should be used on the X-axis of the graph.
Y-axis: | Select a column for the Y-axis of the graph. The list box shows all columns of the table.

A new graph window will be opened, displaying the graph.

  • When a value column is selected for the X-axis, you will by default obtain a point graph.
  • When using the domain of a table, and when the table uses system domain None, you will by default obtain a point graph.

  • When a class or ID column is selected for the X-axis, you will by default obtain a bar graph.
  • Similarly, when using the class or ID domain of a table, you will by default obtain a bar graph.

Tips:

  • When creating a new graph in an existing graph window and when the existing graph has changed, a question will first be asked whether you wish to save the existing graph.
  • To edit the appearance or the name of the graph, double-click the graph layer in the Graph Management pane: the Graph Options - Graph from Columns dialog box will appear.
  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To add another graph layer to an existing graph displayed in a graph window, choose Add Graph from the Edit menu in the graph window. You can also click the Add Graph button [image] in the toolbar of the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

ILWIS objects : graphs


Create a rose diagram

The option Rose Diagram is designed to display the output of the Segment direction histogram operation in graphical format.

With the Segment direction histogram operation you can analyze the patterns of the line features in a segment map; the direction, length, and frequencies of segments without intermediate points or within segments (i.e. in between all intermediate points) are calculated.

The results of the Segment direction histogram operation are stored in a table. For a better understanding of the values, it is advised to create a rose diagram.

To create a rose diagram / this dialog box appears:

  • when you open the output table of the Segment direction histogram operation, and choose the Create Rose Diagram command from the File menu in the table window,
  • when you choose the Create Rose Diagram command from the File menu in the Main window,
  • when you double-click the New Rose Diagram item in the Operation-list, or
  • when you click a table with the right mouse button in a Catalog, and choose Create Rose Diagram from the context-sensitive menu.

Dialog box options:

Table: | Select a table which contains the columns that you wish to show as a rose diagram.
Angle: | Select column 'Direction', or select any other value column which represents angles (X-axis). Note: The column used for the X-axis of a rose diagram is supposed to contain values between 0-180° or between 0-360°.
Value: | Select either column 'Length' or column 'NrSeg', or select any other value column to be used as Y-axis.

The rose diagram will be displayed in a new graph window.

Tips:

  • To edit the appearance of the rose diagram, double-click the rose diagram layer in the Graph Management pane: the Graph Options - Rose Diagram dialog box will appear.
  • To adapt the title, X-axis, or Y-axis of the rose diagram, double-click the appropriate item in the Graph Management pane or in the graph window itself: the Title, X-axis (rose diagram), or the Y-axis (rose diagram) dialog box will appear.

    • The grid lines of the rose diagram can be modified in the X-axis and Y-axis dialog boxes.

  • To add another rose diagram to an existing rose diagram displayed in a graph window, choose Add Graph from the Edit menu in the graph window. You can also click the Add Graph button [image] in the toolbar of the graph window: the Add Rose Diagram dialog box will appear.

Examples:

Figure 1 below shows a rose diagram of the Faults in segment map Faults of the example data. The X-axis shows the direction of the Fault segments, the Y-axis show the length of these segments in a certain direction.

Fig. 1: Rose diagram showing directions and lengths of Faults.

Figure 2 below shows a rose diagram of the Lineaments in segment map Faults of the example data. The X-axis shows the direction of the Lineament segments, the Y-axis show the length of these segments in a certain direction.

Fig. 2: Rose diagram showing directions and lengths of Lineaments.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Rose Diagram (dialog box)

ILWIS objects : graphs


Create a domain

A domain contains the set of valid IDs, class names or values that can be used in a map or a table. All ILWIS data objects (maps, tables, columns) need a domain. A representation can be linked to a domain, so that maps using the same domain can be displayed with the same colors.

This dialog box appears:

  • when you choose Create Domain from the File menu in the Main window,
  • when you double-click the New Domain item in the Operation-list,
  • when you clicked the little create button [image] next to a domain drop-down list box in a dialog box.

Dialog box options:

Name:

Type a new name for the domain.

Domain type:

Select the domain type:

Class:

Create a class domain when the elements in your map are classes which occur in several places in your map (e.g. soil units: clay, sandy loam). Subsequently, the domain Class/ID editor is opened where you can add all classes of this domain.

Group:

Only select 'Group' if you want to create a domain Group with which you can permanently slice or classify the values in an image or in a value map. The domain Group editor is opened where you can add the upper boundary values of groups, group names, etc. See also tip 5 below.

Identifier:

Create an ID domain when the elements in your map are uniquely identified (e.g. cadastral plots: 1024, 1025).

Nr. of items:

Type a value for the number of items that should be automatically added to this ID domain.

  • When you accept the default number of items 0, the domain Class/ID editor is opened; you have to add IDs yourself.
  • When you type a value, the specified number of IDs are automatically added to the domain as numbers starting from 1. All IDs will be preceded by the prefix which you have to specify in the Prefix box.

The maximum number of items that can be shown in the domain Class/ID editor is 100 million.

Prefix:

Type a (short) text that will be used as the prefix for all numbered IDs which will be automatically added to this domain. The IDs in this domain may appear for instance as My Prefix 1, My Prefix 2, etc. The default prefix is nr. In a prefix, it is allowed to use spaces and characters as @, #, etc., the colon character : however may not be used in a prefix.

Bool:

Create a Bool domain when the elements in your map may only use 2 possible codes (e.g. "Suitable" and "Not Suitable") or may be undefined. Subsequently, the Edit Bool domain dialog box will be opened.

Value:

Create a value domain when the elements in your map represent measurable values (e.g. height, concentration).

Min Max:

Type values for the minimum and maximum value of this domain. This is also called the value range.

The specified minimum and maximum values of a value domain will be used as the default minimum and maximum values for any new maps or columns that use this domain.

When you create a representation for this value domain, the specified minimum and maximum values will determine the absolute lower and upper boundaries of that representation.

Precision:

Type a value for the precision of this domain. By specifying a precision of 0.01, all values will use 2 decimals; by specifying a precision of 25, all values will increase or decrease in steps of 25, etc.

The combination of specified values for minimum, maximum and precision implies the store type of raster maps that use this domain.

Width:

Specify a value for the default width (i.e. the number of characters) to be used in other parts of the software by lists which show class names or IDs. By default, class names in class domains will be shown in 15 characters and IDs of an ID domain will be shown in 6 characters. If you are planning to use longer class names or IDs, you specify a larger width value. This domain width is used for instance in map editors when you are assigning class names/id's to points, segments, polygons and in tables when editing fields of class/id columns. The domain width can also be set in the Properties of a Class/ID domain.

Description:

Type a description for the domain. The description is visible on the status bar of the Main window when moving the mouse pointer over the domain in the Catalog.

Tip 1:

It is advised not to create more than one domain for:

  • maps of the same theme (Class),
  • maps containing the same IDs,
  • maps containing the same kind of values, or
  • maps of different years but of the same theme, or with the same IDs or values.

Instead, select the same domain as used before. It is not necessary that all IDs, class names or values actually occur in each map.

Tip 2:

Similarly, when creating an attribute table for a map, you should not create a new domain for the attribute table; the attribute table should use the same domain as the map to which the attribute table is related.

More tips:

  1. When calculating with value maps, you can generally accept the default system domain Value.
    You can select or create a user-defined value domain when the values have a specific meaning, i.e. when values are known to be valid only between certain minimum and maximum values, and when the values should always use a certain precision.
  2. When creating a new class or group domain, a new representation class is automatically created. This representation has the same name as the class or group domain and it will be used as the default representation for this domain. You can edit the colors etc. of the classes in the Representation Class editor.

  3. When creating a new value domain, the default representation for that domain will be system representation Pseudo.

  4. To create your own representation for a value domain, you can:
    • open the Properties of your value domain and in the Domain Properties dialog box, click the create button [image] next to the Representation list box; or
    • open the map with your value domain, and in the map's Display Options dialog box, click the create button [image] next to the Representation list box.

    The Create Representation dialog box follows.

    • For (maps using) the system domain Value, you can both create representations of type gradual in which boudaries are defined in percentages as well as representations of type value in which boundaries are defined in values.
    • For (maps using) a user-defined value domain, you can create representations of type value.

    Representations for value maps are edited in the Representation Value/Gradual editor.

  5. To permanently slice an image or to permanently classify a map, you have to create a domain Group and fill it with upper boundary values and class names. To apply the domain Group, you have to use the Slicing operation or the CLFY function on the command line.
    To interactively slice an image or to interactively classify a map, you don't have to create a domain Group. You can simply create a new representation value or gradual for an image or a value map. When you display the image or value map with such a representation, the value map appears as if it was sliced but the original values are retained.
    Both the interactive and the permanent method are described in How to slice an image and How to classify a map or column.

See also:

Basic concepts : before creating maps and tables

Basic concepts : domains

ILWIS objects : domains

How to create a domain


Create a representation

Create a new representation for an existing domain.

When you display a map with such a domain, the newly created representation is selectable in the display options dialog box of the map.

This dialog box appears when creating a new representation:

  • by opening the File menu of the Main window and choosing the Create Representation command,
  • by opening the Create item in the Operation-tree, and double-clicking the New Representation item,
  • by double-clicking the New Representation item in the Operation-list,
  • when in the Catalog, you right-click a class, group or value domain, and choose the Create Representation item from the context-sensitive menu,
  • when in a Display Options dialog box of a map with a class, group or value domain, you click the create representation button. The domain of the map, i.e. the domain for which this representation should be created, is already filled out.
  • when in the Domain Properties sheet of a class, group or value domain, on the Domain tab, you click the create representation button. The domain for which this representation should be created, is already filled out.
  • when in the Properties sheet of a map with a class, group or value domain, on the Map tab, you right-click the domain of a map and select the Create Representation command. The domain for which this representation should be created, is already filled out.

Dialog box options:

Representation name: | Type a new name for the representation.
Description: | Type a description for the representation. The description is visible on the status bar of the Main window when moving the mouse pointer over the representation in the Catalog.
Domain: | Select an existing domain for which you want to create this representation. For more information, see below.
Use percentages: | When you chose the system domain Value, select this checkbox when you want to create a representation gradual which shows values as percentages. Clear this checkbox when you want to create a representation value which shows values as values.

Representation types:

  • A representation class will be created when you select a class or group domain.
    In the Representation Class editor you can assign colors to the classes.
  • A representation value will be created when you select:
    • a user-defined value domain,
    • the system domain Value while you clear the Use Percentages checkbox, or
    • one of the other system value domains for instance system domain Image.
    In the Representation Value/Gradual editor you can assign colors to specific values by inserting and editing limits, etc.
  • A representation gradual will be created when you select the system domain Value while you select the Use Percentages checkbox.
    In the Representation Value/Gradual editor you can assign colors to percentage values by inserting and editing limits, etc.
    • A representation gradual can be used to display any value map.

Tips:

  1. The easiest way to create a representation for a map with a certain domain is to open the Display Options dialog box of that map and then click the create button [image] next to the Representation list box.
  2. Default representations for non-system domains:
    • A new representation class will automatically become the default representation for the selected class or group domain. The representation is linked to the selected domain.
    • A new representation value will only become the default representation if you selected a user-defined value domain. The representation is linked to the selected domain.

    You can view and/or change the default representation of class and group domains and of user-defined value domains in the Properties of the domain.

  3. System domains are not editable and they therefore have a fixed default representation.
    • For system domains Value and Distance, the default representation is representation gradual Pseudo.
    • For all other system value domains, the default representation is representation gradual Gray.

See also:

ILWIS objects : representations

How to create a representation

How to edit a representation

Representation Class editor : functionality

Representation Value/Gradual editor : functionality


Create a georeference

Create a new georeference for raster maps. A georeference determines the relation between row and column numbers in a raster map and XY-coordinates.

This dialog box appears:

  • when you choose the Create Georeference command from the File menu in the Main window, or
  • when you double-click the New GeoRef item in the Operation-list.

This dialog box can be used to create:

  • a georeference corners: to be used during rasterize operations, or as a North-oriented georeference to which you want to resample raster maps, or
  • a georeference tiepoints: to add coordinates to a satellite image or a scanned photograph without using a DTM, or
  • a georeference direct linear: to add coordinates to a scanned photograph while using a DTM, or
  • a georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters, or
  • a georeference 3D: to obtain a three-dimensional view of your study area.

Dialog box options:

Georeference name: | Type a new name for the georeference. In case of a georeference which will be used for multiple raster maps of the same size and of the same area, it is advised to enter a georeference name that applies to all maps (e.g. the name of the study area).
Description: | Type a description for the georeference. The description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.
Georef Corners: | Select Georef Corners to create a North-oriented georeference, for example when rasterizing point, segment or polygon maps, or for the output of a Resampling operation.
Georef Tiepoints: | Select Georef Tiepoints when you want to add coordinates to a satellite image or to a scanned photograph and when you do not have a DTM. This type of georeference can be used to add coordinates to satellite imagery and for subsequent screen digitizing or to resample the image to another georeference (e.g. to a georef corners).
Georef Direct Linear: | Select Georef Direct Linear when you want to add coordinates to a scanned photograph which was taken with a normal camera, and when you have an existing DTM to also correct for tilt and relief displacement (Direct Linear Transformation). This type of georeference can for instance be used to add coordinates to small format aerial photographs and for subsequent screen digitizing or to resample the photograph to another georeference (e.g. to a georef corners).
Georef OrthoPhoto: | Select Georef Orthophoto when you want to add coordinates to a scanned aerial photograph with fiducial marks, taken with a photogrammetric camera with known principal distance, and when you have an existing DTM to also correct for tilt and relief displacement (Differential rectification). This type of georeference can be used to add coordinates to professional near vertical aerial photographs and further monoplotting on the photograph or for creating an orthophoto (resampling).
Georef 3D display: | Select Georef 3D when you want to make a three-dimensional picture of your study area using a Digital Elevation Model.

For Georef Corners:

Coordinate system: | Select a coordinate system in which this georeference fits. If you do not have a coordinate system yet, it is advised to create one first. To create a coordinate system, click the create button next to this list box or select the Create Coordinate System command from the File menu in the Main window: the Create Coordinate System dialog box will appear.
Pixel size: | Type a pixel size for the new raster map. When you specify for instance 20, the size of each pixel in the raster map will be 20 x 20 m.
Map boundaries: | When an existing coordinate system is selected, the boundary Xmin, Ymin, Xmax and Ymax values of the map are already filled out as defaults. Or type the minimum and maximum X and Y values yourself.
Centers: | Select this check box if the four boundary values (Xmin, Ymin, Xmax, Ymax) of this map should refer to the centers of the four corner pixels of the map. Clear this check box if the four boundary values should refer to the outer corners of the four corner pixels of this map.

See also the Georeference Corners Tip below.

For Georef Tiepoints:

Coordinate system:

Select a coordinate system in which this georeference fits. If you do not have a coordinate system yet, it is advised to create one first. To create a coordinate system, click the create button or select the Create Coordinate System command from the File menu in the Main window.

Background Map:

Select a map list (advised for satellite images), a single band of a satellite image, a color composite, or a scanned photograph that will be displayed in the Tiepoint editor and on which you will position the tiepoints. The background map will directly use the georeference which you are creating.

When you use a map list as a background map, and when the georeference is opened, the map list will be shown as an interactive color composite. After adding tiepoints, the newly created georeference tiepoints is automatically added to all raster maps in the map list.

For more information, see the Georeference Tiepoints Tip below, How to add coordinates to an image, or How to screen digitize.

For Georef DirectLinear and Georef OrthoPhoto:

Background Map:

Select the scanned aerial photograph that will be displayed in the Tiepoint editor and on which you will position the tiepoints. The background map will directly use the georeference which you are creating.

DTM:

Select an existing Digital Terrain Model (DTM), also called a Digital Elevation Model (DEM), from which the height values will be used. Pixel size and accuracy of the DTM are of great importance.

Tip: For a correct behaviour of a georef direct linear or a georef orthophoto, it is essential that you have marked the 'Interpolation' check box in the Properties dialog box of your DTM raster map. For more information, refer to the Raster Map Properties dialog box. Furthermore, the tiepoints of a georef direct linear may not be coplanar, i.e. lie in one (tilted) plane. For more information, see ILWIS objects: georeference direct linear.

For more information, see How to screen digitize, How to monoplot and How to create an orthophoto.

For Georef 3D:

Rows Columns: | Type values for the size of the map window in which the three-dimensional view will be displayed or accept the default values. Values refer to screen pixels.
DTM: | Select a raster map with height values (Digital Terrain Model or Digital Elevation Model) which is used to construct the three-dimensional view. For more information on creating a DTM/DEM and a 3D view, see How to calculate a Digital Elevation Model.

For more information, see also How to create a 3D view.

Next dialog boxes:

  • When creating a Georef Corners, specify all parameters in this dialog box.
  • When creating a Georef Tiepoints or a Georef DirectLinear, the Tiepoint editor will be opened. When creating a Georef OrthoPhoto, first the Locate Fiducial Marks dialog box will appear, then the Tiepoint editor will be opened.

    • In the Tiepoint editor, you can insert tiepoints, also called ground control points, which establish relationships between map pixels (row,col) and XY- or XYZ-coordinates.

  • When creating a Georef 3D, first the Display Options - 3D Grid dialog box will appear, then the Georeference 3D editor will be opened.

Georeference Corners Tip:

This dialog box asks for minimum and maximum map boundary values and for a pixel size: the combination of these determines the total number of rows and columns thus the total number of pixels in the raster map.

It is a good idea to spend some time thinking over the right pixel size for your work:

  • choosing a small pixel size brings more detail in your rasterized map(s),
  • choosing a small pixel size results in raster maps of increased size (more rows and columns); to be exact: reducing the pixel size by 5, increases the map size on disk by 25,
  • operations on large raster maps take more time.

Georeference Tiepoints Tip:

  • By selecting a map list as the background map for a Georef Tiepoints, the newly created georef tiepoints will automatically be added to all raster maps in the maplist. This is handy in case you work with satellite imagery with multiple bands.
  • When you selected a single raster map as background map for a Georef Tiepoints, you have to manually add the newly create Georef Tiepoints to all other bands of the satellite image (same map size, same area) after you finished adding tiepoints.
    • The easiest way to do this is to create a map list of all bands, then open the Property sheet of the map list, and select the Georeference Tiepoints you just created: the newly created Georef Tiepoints will automatically be added to all raster maps in the maplist.
    • You can also open the Property sheets of all other bands, and select the newly created Georef Tiepoints for each band separately.

See also:

ILWIS objects : georeferences

Georeference Tiepoints editor

Georeference 3D editor


Create a georeference corners (during Rasterize)

Create a georeference corners

during Rasterize

Create a new georeference corners when rasterizing a point, segment or polygon map. The georeference determines the relation between row and column numbers in the output raster map and XY-coordinates.

This dialog box appears when in a dialog box of a Rasterize operation, you clicked the create georeference button.

When you want to perform overlay operations with the output raster maps in a later stage, it is strongly advised that all raster maps of the same area use the same georeference. In most cases, it is therefore sufficient to create a georeference corners only once.

Dialog box options:

Georeference name:

Type a new name for the georeference corners.

As one georeference should be used for multiple raster maps of the same size and of the same area, it is advised to enter a georeference name that applies to all maps (e.g. the name of the study area).

Description:

Type a description for the georeference. The description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.

Coordinate system:

Accept the default coordinate system of the vector maps.

Pixel size:

Type a pixel size for the new raster map. When you specify for instance 20, the size of each pixel in the raster map will be 20 x 20 m.

Map boundaries:

When you selected an input vector map in the previous Rasterize dialog box, the boundary Xmin, Ymin, Xmax, Ymax values of the input vector map are already filled out. This is usually a good starting point for a georeference corners.

When you did not select an input vector map in the previous Rasterize dialog box, while in this dialog box you did select a coordinate system, the boundary Xmin, Ymin, Xmax and Ymax values of the coordinate system are already filled out.
Accept these defaults or type the minimum and maximum X and Y values for the georeference yourself.

Centers:

Select this check box if the four boundary values (Xmin, Ymin, Xmax, Ymax) of this map should refer to the centers of the four corner pixels of the map.
Clear this check box if the four boundary values should refer to the outer corners of the four corner pixels of this map.

Tips:

  1. This dialog box asks for minimum and maximum map boundary values and for a pixel size. This determines the number of rows and columns for the output raster map and thus the total number of pixels in that raster map.
  2. It is a good idea to spend some time thinking over the right pixel size for your work:
    • choosing a small pixel size brings more detail in your rasterized map(s),
    • choosing a small pixel size results in raster maps of increased size (more rows and columns); to be exact: reducing the pixel size by 5, increases the map size on disk by 25,
    • operations on large raster maps take more time.

See also:

How to create a georeference

ILWIS objects : georeference


Create a georeference 3D

Create a georeference 3D in order to obtain a three-dimensional view of your study area; a Digital Terrain Model (DTM) also called a Digital Elevation Mode (DEM) is required. For more information on obtaining a DTM/DEM, see How to calculate a Digital Elevation Model.

This dialog box appears:

  • when you click the create georeference button in the Display 3D dialog box or in the Apply 3D dialog box.

Dialog box options:

Georeference name: | Type a new name for the georeference 3D.
Description: | Type a description for the georeference. The description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.
Rows Columns: | Type values for the size of the georeference 3D. During Display 3D, the map window will use the same width/height ratio. The Apply 3D operation will produce a map with these dimensions.
DTM: | Select a raster map with height values (Digital Terrain Model/Digital Elevation Model) from which the three-dimensional picture should be constructed. For more information on creating a DTM/DEM, see How to calculate a Digital Elevation Model.

By creating a georeference 3D, the size of the window in which the 3D view will be displayed and the name of the DEM/DTM to use are specified. Also, some default 3D view parameters are assigned but these are not visible to the user at this point. These parameters such as view angle, height scaling and rotations can be edited when you display the 3D view and open the Georeference 3D editor.

When you click the OK button, the Display 3D dialog box or the Apply 3D dialog box is re-activated.

See also:

How to create a 3D view

ILWIS objects : georeference


Georef ortho : Locate fiducial marks

Locate Fiducial Marks

When creating a Georef OrthoPhoto (differential rectification), you first have to reference the fiducial marks which appear on the scanned aerial photograph and you have to specify the principal distance of the photogrammetric camera with which the photo was taken. In photogrammetry, this process in known as the inner orientation.

This dialog box appears:

  • when you are creating a georef orthophoto, i.e. as a second dialog box after a Create Georeference dialog box in which you specified to create a georef orthophoto,
  • when you open an existing georef orthophoto, for instance by double-clicking a georef orthophoto in the Catalog or by selecting the Georeference command from the Edit menu in a map window when the map window is displaying an aerial photograph which already has a georef orthophoto,
  • when you choose the Fiducial Marks command from the Edit menu of the Tiepoint editor.

Specifying the principal distance:

The principal distance is the distance between the photo plane (the negative) and the projection center of the lens, is generally slightly greater than the focal length, and should be listed in the calibration report of your photograph. The principal distance is generally a value between 90 mm and 300 mm; many aerial photographs have a principal distance in the order of 152 mm or 153 mm.

  • Fill out the value for the principal distance (you are allowed to use decimals).

Registering fiducial marks:

An aerial photograph usually has 4 fiducial marks in the corners of the photo and/or 4 fiducial marks in the middle along the edges of the photo. In the scanned photograph however not all fiducial marks may appear.

You must make a choice to use either the corner fiducial marks or the ones in the middle along the edges of the photo. It is best if you can locate all 4 fiducial marks. In case your scanned photo contains only 3 fiducial marks, use those 3. In case you can see only 2 fiducial marks on your photo, these must be located on opposite sides of the photo.

  • Zoom in on a fiducial mark on the scanned photograph.
  • Position the mouse pointer carefully in the middle of the fiducial mark and press the left mouse button.
  • Repeat for other fiducial marks. There is no special order required in which you have to click fiducial marks, but you have to keep in mind the order in which you entered them.

In the dialog box, under heading RowCol (pixels), the row and column numbers of the fiducial marks will appear.

Then, if you have the paper photograph available, measure the distance between the fiducial marks as precisely as possible. In this dialog box, you then have to fill out photo-coordinates in mm for the fiducial marks; in photogrammetry, it is customary that the center of the photo (principal point) is located at 0, 0.

  • Click the first box under heading Photo ( mm) and enter photo-coordinates in mm for this fiducial mark (you are allowed to use decimals).
  • Repeat for other fiducial marks.

When the size of your aerial photograph is 23 x 23 cm and you are using the center fiducial marks along the edges, the photo-coordinates for the fiducial marks will be something like:

0.0 | -111.3 | (Lower)
-111.8 | 0.0 | (Left)
0.0 | 111.6 | (Upper)
111.1 | 0.0 | (Right)

When using corner fiducial marks, photo-coordinates will be something like:

-159.3 | -159.1 | (Lower, Left)
-159.1 | 159.3 | (Upper, Left)
159.8 | 159.4 | (Upper, Right)
159.5 | -159.6 | (Lower, Right)

Be sure that entered photo-coordinates match with the fiducial marks.

  • Finally, tick the boxes in front of the fiducial mark numbers.

As soon as a transformation is possible, residuals will appear under heading diffRow and diffCol. The residuals are a measure of accuracy of your fiducial marks referencing and are presented in pixels in your scanned photo. The size of pixels in the scanned photo naturally depends on the resolution with which the photo has been scanned.

Furthermore, the dialog box gives feedback on the scan resolution (dpi) and on the scale factor, i.e. the fraction of photo-coordinates and pixels (mm/pixel).

In case you do not have the paper photograph anymore, you can enter similar photo-coordinates for the fiducial marks on the scanned photo as above, as long as you keep shape similarity between the position of fiducial marks and photo-coordinates.

Next steps:

When finished registering the fiducial marks, the Tiepoint editor will be opened. In the Tiepoint editor, you can insert tiepoints, also known as ground control points, which establish the relationships between pixels in your digital photo (row,col) and real world XYZ-coordinates. When you know Z-coordinates for your control points, you can enter these, otherwise height values will be used as found in the DTM. In photogrammetry, this process is known as the outer orientation.

See also:

Tiepoint editor

Create Georeference (dialog box)

How to monoplot

How to create an orthophoto


Create a coordinate system

Create a new coordinate system. A coordinate system defines the XY-coordinates or LatLon-coordinates in your maps. A coordinate system is directly used by point, segment and polygon maps; a raster map uses a georeference which uses a coordinate system. One coordinate system can be used by many maps.

This dialog box appears:

  • when from the File menu of the Main window, you choose the Create Coordinate System command, or
  • when you double-clicked the New CrdSys item in the Operation-list,
  • when you clicked the create coordinate system button [image] in the Polygon Map Properties, Segment Map Properties, Point Map Properties or the Georeference Properties sheet,
  • when you clicked the create coordinate system button [image] in a Create Georeference dialog box,
  • when you clicked the create coordinate system button [image] in the dialog box of the Transform polygon map, Transform segment map, Transform point map operation.

Dialog box options:

Coordinate system name:

Type a new name for the coordinate system. As one coordinate system is used for all maps with the same projection, it is advised to enter a coordinate system name that applies to all maps (the name of the country, region, project, etc.).

Description:

Optionally, type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

CoordSys Boundary Only:

Select Coordinate System Boundary Only when you want to define XY-coordinates by only specifying the outer boundaries of a study area. This type of coordinate system should only be used when you are sure that you will not use projections at all. The Edit Coordinate System Boundary Only dialog box will appear.

CoordSys Projection:

Select Coordinate System Projection when you want to define XY-coordinates by specifying the outer boundaries of a study area and when you want to have the possibility to add projection information, ellipsoid information or datum information. You can add the projection information later on or right away. The Edit Coordinate System Projection dialog box will appear.

This type of coordinate system can be used to define XY-coordinates of a study area (as coordsys boundary only) but when you know the projection in which your map(s) are drawn, you can add this information. You will then see XY-coordinates and LatLon coordinates on the status bar of a map window when you display the map and you can transform your maps to a coordinate system with another projection. You can also use this option to create a couple of coordinate systems with different projections in which you would like to present your data later on.

CoordSys LatLon:

Select Coordinate System LatLon when you want to define LatLon- coordinates by only specifying the outer boundaries of a study area in LatLon. Optionally, you can add ellipsoid information and datum information. This type of coordinate system can be used when you obtained data in LatLon. The Edit Coordinate System LatLon dialog box will appear.

CoordSys Formula:

Select Coordinate System Formula when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you know the relation between the two coordinate systems. The Edit Coordinate System Formula dialog box will appear.

This type of coordinate system can be created for maps which use artificial coordinates, for instance maps starting at (0,0), or maps digitized in millimeters. You have to specify parameters like origin shift, scale, rotation, etc. or you can type complete formulas. To change the XY-coordinates of a vector map with artificial coordinates, perform a Transform operation.

Related coordsys:

Select the coordinate system with the correct coordinates.

CoordSys Tiepoints:

Select Coordinate System Tiepoints when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you do not know the relation between the two coordinate systems.

This type of coordinate system can be created for maps which use artificial coordinates, for instance maps starting at (0,0) or maps digitized in millimeters. The Coordinate System Tiepoint editor will be opened in which you can add tiepoints to the selected background map.

Related coordsys:

Select the coordinate system with the correct coordinates.

Background map:

Select a point, segment or polygon map (with 'wrong' coordinates) that will be displayed in the Tiepoint editor and on which you will position the tiepoints. The background map will directly use the coordinate system which you are creating.

Tips:

  1. When you create a coordinate system by using the File menu in the Main window or by double-clicking the New Coordinate System item in the Operation-tree or the Operation-list, the Create Coordinate System dialog box as described above will appear. When finished creating the coordinate system, you have to make sure that the newly created coordinate system is linked to ALL maps that should use that coordinate system: you have to edit the properties of these maps.
  2. When you create a coordinate system by using File menu in a map window, the Create Coordinate System (in map window) dialog box will appear. You can only create a coordsys formula, a coordsys tiepoints, a coordsys direct linear or a coordsys orthophoto. A question will be asked whether the newly created coordinate system should be directly linked to the maps which are displayed in the map window. You should answer the question with Yes; then you do not have to edit the properties of these maps.
  3. Once you have created a correct coordinate system, it is advised to make it read-only in the Coordinate System Properties sheet.
  4. To change the coordinates of maps from one coordinate system to another coordinate system, use the Transform Points, Transform Segments or Transform Polygons operation. To transform coordinates of raster maps from one georeference to another georeference (which has for instance another coordsys), use the Resample operation.

See also:

ILWIS objects : coordinate system

Edit Coordinate System Boundary Only (dialog box)

Edit Coordinate System Projection (dialog box)

Edit Coordinate System LatLon (dialog box)

Edit Coordinate System Formula (dialog box)

Coordinate System Tiepoint editor


Create a sample set

A sample set must be created before you can start sampling. A sample set is required for a multi-spectral image classification. During sampling, class names are assigned to groups of pixels with similar spectral values that are supposed to represent a known feature on the ground. The sampled pixels are also called training pixels. A sample set thus stores locations of sampled pixels and the assigned class names.

This dialog box appears when creating a new sample set:

  • from the File menu of the Main window, choose the Create command, or
  • by double-clicking the New SmpleSet item in the Operation-list, or
  • from the File menu in an existing map window, choose the Create command. As a default, the currently displayed raster map in that map window is already filled out as the background map.

Dialog box options:

Sample Set Name:

Type a new name for the sample set.

Description:

Type a description for the sample set. The description of a sample set appears in the title bar of the sample set editor when adding training pixels to the sample set. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the sample set in the Catalog.

Domain:

Select an existing class domain which contains the class names that you want to use during sampling (open the list box by clicking it), or create a new class domain by clicking the little create button [image].

Map List:

Select an existing map list (open the list box by clicking it), or create a new map list by clicking the little create button [image].

The map list will be shown as in interactive color composite; you can locate your training pixels on this color composite. If you wish to locate training pixels on another map, you have to add that map to the map window yourself.

Values of the maps in the map list at the position of training pixels, are used to calculate sample statistics during sampling (to ensure coherent spectral values per class), and are the basis on which a classification is performed in a later stage.

Next dialog boxes:

When creating a new class domain, the Create domain dialog box appears.

When creating a new map list, the Create map list dialog box appears.

When your graphics board is configured to use more than 256 colors, for instance High Color 16-bit or True Color 24-bit, the Display Options - Map list as color composite dialog box appears, in which you can select the bands/maps in your map list from which an interactive color composite will be created. This color composite will be used as a background during sampling. You can easily change bands and stretch intervals of the interactive color composite during sampling by changing the Display Options of the map list: click the right mouse button in the sample editor and select the map list from the context-sensitive menu.

When your graphics board is configured to use 256 colors: a warning will appear.

When everything is OK, the Sample set editor is started.

Tips:

  • To perform for instance a land use classification, you can use or create a domain called Landuse, in which you enter the following land use classes: forest, grass land, arable land etc.
  • You can still add new classes to the domain during sampling.
  • It is advised to use the same domains throughout a project as far as possible.

See also:

Sample set editor

How to create a sample set

ILWIS objects : sample sets


Create a two-dimensional table

A two-dimensional table is used to combine or reclassify two raster maps or columns which use a class or ID domain. The domains of these two maps or columns are the two input domains for the two-dimensional table.

The two maps or columns can be reclassified to another class, ID or value domain. This is firstly determined by the output domain of the two-dimensional table, and secondly by the class names, IDs or values which you need to assign to each field in the two-dimensional table.

This dialog box appears:

  • when from the File menu of the Main window, you choose the Create 2 Dimensional Table command, or
  • when you double-click the New 2DimTbl item in the Operation-list.

Dialog box options:

Table name: | Type a new name for the two-dimensional table.
Description: | Type a description for the two-dimensional table. The description of the table appears in the title bar when the table is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the table in the Catalog.
Primary Domain: | Select an existing class or ID domain, i.e. the domain of the first map or column which you wish to reclassify. The classes or IDs of this domain will appear as rows in the table.
Secondary Domain: | Select an existing class or ID domain, i.e. the domain of second map or column which you wish to reclassify. The classes or IDs of this domain will appear as columns in the table.
Domain: | Select or create [image] a domain for the fields in the table. The output domain selected here and the values of the fields in the two-dimensional table, which you have to fill out yourself, will determine the values in the output map when applying the two-dimensional table.
Value Range: | If you you selected a value domain for the fields in the two-dimensional table, type the minimum and maximum value that you want to be able to enter in the fields of the two-dimensional table.
Precision: | If you selected a value domain for the fields in the two-dimensional table, type a value to define the number of decimals that you can use in the fields of the two-dimensional table.

After clicking the OK button, the two-dimensional table appears in a table window.

In the table window, you will see rows which represent the first input domain, and columns which represent the second input domain. In the two-dimensional table, you have to define a value, class name or ID for each possible combination of input classes or IDs.

When you finished editing a two-dimensional table, you have to apply it on the input maps by typing an expression on the command line of the Main window. For more information, see Map calculation : classifying two maps according to a two-dimensional table.

See also:

ILWIS objects : two-dimensional tables

Map calculation : classfying maps according to a two-dimensional table


Create a filter

Filtering is a process in which each pixel value in a raster map is replaced with a new value. The new value is obtained by applying a certain function to each input pixel and its neighbourhood.

You can create your own linear filter. Linear filters use a linear combination of all pixels in a rectangle around the input pixel.

This dialog box appears:

  • when from the File menu of the Main window, you choose the Create Filter command, or
  • when you double-click the New Filter item in the Operation-list, or
  • when you click the create filter button [image] in the dialog box of the Filter operation.

Dialog box options:

Filter name: | Type a new name for your linear filter.
Description: | Optionally, type a description for the filter. The description is visible on the status bar of the Main window when moving the mouse pointer over the filter in the Catalog.
Rows: | Type an odd value to define the number of rows for the filter.
Columns: | Type an odd value to define the number of columns for the filter.

After clicking the OK button, the Filter editor is opened.

See also:

ILWIS objects : filters

Filter editor

Filter : functionality

Filter types : linear filters

Filters: user-defined linear filters


Create a function

Functions can be used in all three calculators in ILWIS: MapCalc, in TabCalc, in scripts or in the pocket line calculator. Some 50 internal functions are available (see also MapCalc and TabCalc), but also user-defined functions can be created.

A user-defined function generally contains of a combination of:

  • existing MapCalc/TabCalc operators and functions, and
  • user-defined parameters which represent maps and/or columns on which the function will be applied later on.

To create a user-defined function:

  • in the Main window, open the File menu and choose Create Function, or
  • in the Operation-tree, expand the Create item and double-click New Function, or
  • in the Operation-list , double-click the New Function item.

A user-defined function can be created:

  • to perform calculations in MapCalc and TabCalc which use difficult or long formulas that are tedious to type in on the command line, or
  • to define calculations for MapCalc and TabCalc which you want to use a number of times on different maps or columns.

Dialog box options:

Function name:

Type a new name for the user-defined function.

Expression:

Type the expression that the function should perform.

An expression is a combination of user-defined parameter names with which you want to calculate and some MapCalc and TabCalc operators and functions.

Parameter names:

  • must start with a character from A to Z,
  • may contain characters from A to Z, digits 0 to 9, and underscores,
  • may be longer than 8 characters.

Description:

Type a description for the user-defined function. The description is visible on the status bar of the Main window when moving the mouse pointer over the function in the Catalog.

The Function editor is opened. For more information on function syntax, see Function editor : functionality.

Example:

  • To sum for each record in a table (e.g. Rainfall), the values of two columns (e.g. January and February), you can create a function (e.g. sumcols).
  • The expression for this function can be: a + b
  • To apply the function, open the table Rainfall and type on the command line of the table window:

    • newcol = sumcols(January,February)

  • To use the same function on columns March and April, type on the command line:

    • newcol2 = sumcols(March,April)

In Map calculation : creating and applying user-defined functions and in Table calculation : creating and applying user-defined functions other 'basic' examples are available.
For more advanced user-defined functions, e.g. user-defined functions with IF, THEN, ELSE loops, FOR loops, WHILE loops and REPEAT/UNTIL loops, see Map and Table calculation : User-defined functions (advanced).

Tips:

  • User-defined functions can be used on the command line of the Main window for map calculations, on the command line of a table window for table calculations and in scripts for a sequence of map and table calculations.
  • ILWIS operations can be started from the command line of the Main window by typing an ILWIS expression. For more information, see Appendices : ILWIS expressions.
  • To perform a function on multiple maps or columns at a go, or to perform a series of ILWIS operations at a go, use a script. For more information, see ILWIS script language (syntax).

See also:

ILWIS objects : functions

Function editor : functionality

Map calculation : creating and applying user-defined functions

Table calculation : creating and applying user-defined functions

Map and Table calculation : user-defined functions (advanced)


Script editor

Functionality

The script editor allows you to create, view, edit and test scripts. With a script, you can build your own GIS and Remote Sensing application.

To open the script editor:

The script editor automatically opens when you create a new script. The script editor is also opened when you edit an existing script, e.g. by double-clicking a script in the Catalog. For other methods to open the script editor, see How to edit objects.

Parts of the script editor:

The script editor has a menu bar, a description bar, a toolbar, a script tab, a parameters tab, a default values tab and a context-sensitive menu.

The description bar and the toolbar can be moved and docked along an edge of the window. You can also make them floating. You can hide or show the description bar, the toolbar and the status bar via commands on the View menu. These settings as well as the size of the window etc. are stored per script in the registry. The script that is closed last thus determines the appearance of any newly opened script.

  • On the Script tab, you can type your script commands and expressions. Optionally, you can use parameters %1 until %9.
  • On the Parameters tab, you can assign names to parameters. Parameter names will be visible in the Run Script dialog box when you run the script.
  • On the Default Values tab, you can fill out default objects for your parameters so that you can test the script and/or specify the objects that you wish to get as defaults in the Run Script dialog box.

To run a script:

  • click the right mouse button on a script in a Catalog, and choose Run from the context-sensitive menu,
  • in the Script editor, press the Run Script Run Script button, or
  • when you copy your script to the ILWIS\Scripts directory, you can also double-click the script in the Operation-list or Operation-tree.

If a script contains parameters, the Run Script dialog box will appear. This dialog box lists:

  • parameter names (as specified on the Parameters tab).
    For each input parameter you have to select an input object and for each output parameter you have to type an output object name in the Run Script dialog box.
  • default objects (as specified on the Default Values tab).
    Any specified default objects or default file names, default values or default strings are automatically filled out in the Run Script dialog box.

Script tab

On the script tab you have to type your script expressions. Lines in a script may contain commands for object management (e.g. copy or delete), for the display of data objects (open or show), and for the creation and calculation of data objects. All MapCalc, and TabCalc formulas, and all ILWIS expressions to perform operations may be used. You can also call other scripts or other Windows applications from within a script. For more information on valid expressions, refer to Appendices : ILWIS commands, Appendices : ILWIS expressions or Appendices : ILWIS script language (syntax).
An example of a script to create slope maps in percentages and in degrees is presented in Map & Table calculation : creating and running scripts and in How to use parameters in scripts.

Using parameters on the Script tab:

You can directly type map and column names in expressions, but you can also use parameters. Parameters in a script replace (parts of) object names, operations, etc. Parameters in scripts work as DOS replaceable parameters in DOS batch files, and must be written on the Script Tab in the script editor as %1, %2, %3, up to %9. For more information, see below and/or How to use parameters in scripts.

Parameters tab

If you use parameters in your script, you are advised to specify names for the parameters on this Parameters tab. Parameter names will later on appear in the Run Script dialog box when a user runs the script. The user can then select object names for input parameters and/or type object names for output parameters. When your script does not have any parameters you can skip this tab.

Parameters tab options:

Nr of parameters: | Select the number of parameters. Make sure that the number corresponds with the number of parameters defined in the script itself. The maximum number of parameters that can be specified is 9.
Name: | Type a name for every parameter. It is advised to use names that clearly describe the meaning of each parameter. The parameter names will appear on the Default Values tab and in the Run Script dialog box.
Type: | Select a type for each parameter; parameter types are used when you run the script. You can choose between: Raster Map | Segment Map | Polygon Map | Point Map | Table | Column | Map List | Map View | CoordSystem | GeoReference | Domain | Representation | Filter | Script | Function | Matrix | Sample Set | 2-Dimensional Table | Annotation Text | String | Value | Filename
Include extension: | Select this check box if the extension of an ILWIS object should be sent to the ILWIS command line when the script is executed. Clear this check box if the extension of an ILWIS object should not be sent to the ILWIS command line when the script is executed. You can use this option when you wish to use suffixes behind object names etc.

When for a parameter type, you specify a regular ILWIS object (e.g. Raster map, Segment map, Table), it means that the parameter expects an ILWIS input object of a certain type (a raster map, a segment map, a table, etc.). In fact, in the Run Script dialog box which appears when the script is run, the user should select an ILWIS object of the specified type and thus supply the script with the necessary information to execute itself.

Special parameter types available on the Parameters tab:

  • Parameter type Filename: for an output object,
  • Parameter type Value: to use a certain value in the script,
  • Parameter type String: to define a string in a column of a table, or to define a string in a Class/ID domain.

Default Values tab

On the Default Values tab, you may fill out all variables / parameters as you would like to use them in the script. This tab is very useful when you want to test your script or when you directly want to run your script. The information on this tab is based on the information as specified on the Parameters tab. When your script does not have any parameters you can skip this tab.

Using the script editor

To cut, copy, paste and delete selections within the script editor:

You can cut, copy, paste and delete texts in the same way as in a text editor.

  • Use the Cut, Copy, Paste, or Delete commands from the Edit menu,
  • Use the [image] [image] [image] buttons in the toolbar,
  • Use the Cut, Copy, Paste, and Delete commands from the context-sensitive menu, or
  • Use the Ctrl+X, Ctrl+C, Ctrl+V or the Delete key(s) on the keyboard.

To reverse the last action:

  • Open the Edit menu and select the Undo command, or
  • Click the right-mouse button, and choose Undo from the context-sensitive menu.

To search for and/or replace certain characters or text:

You can search and replace texts in the same way as in a text editor.
  • Use the Find or Replace commands from the Edit menu, or
  • Use the [image] Find button in the toolbar.

To save a script:

  • Open the File menu and select the Save command, or
  • Click the [image] Save button in the toolbar.

When you close the editor and the script contains any unsaved changes, you will be prompted to save the script.

To save a script with a different name and/or location:

  • Open the File menu and select the Save As command.

The Save As dialog box appears in which you can specify a name and a location to save the script.

To run or test a script from within the script editor:

  • Open the File menu and select the Run Script command, or
  • Click the [image] Run Script button in the toolbar.

  1. If your script does not contain parameters, the script will immediately be executed.
  2. If your script does contain parameters with names specified on the Parameters tab, first the Run Script dialog box will appear. In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab.
  3. If you did not specify default objects on the Default Values tab you will need to select objects for input parameters and/or type object names for output parameters.
  4. If you did fill out objects on the Default Values tab, the Run Script dialog box will already be filled out with these defaults.
  5. When the OK button is clicked in the Run Script dialog box and when all parameters are correctly specified, the script will be executed.

For more information about running scripts, e.g. to run a script from the command line, see How to run scripts.

To print a script or a selection of a script:

  • Open the File menu and select the Print command, or
  • Click the [image] Print button in the toolbar.

The Print dialog box appears in which you can select your printing options, such as the name of the printer you want to use and the number of copies you want.

To select the whole script:

  • Open the Edit menu and choose the Select All command, or
  • Click the right-mouse button, and choose Select All from the context-sensitive menu.

You can now copy the script contents to the clipboard and paste it for instance in a document.

To open the script properties:

  • Open the File menu and select the Properties command, or
  • Click the [image] Properties button in the toolbar.

The Script Properties sheet will appear.

To open another script:

  • Open the File menu and select the Open command, or
  • Click the [image] Open button in the toolbar.

The Open dialog box appears in which you can select the script that you want to open.

To exit the script editor:

  • Open the File menu and select the Exit command, or
  • Click the Close button.

If the script contains any unsaved changes, you will be prompted to save the script.

Creating your own Help for a script

You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

See also:

Script editor : toolbar

Script editor : menu commands

Run script (dialog box)

ILWIS objects : scripts

Appendices : ILWIS script language (syntax)

Appendices : ILWIS commands

Appendices : ILWIS expressions

How to use parameters in scripts

Map & Table calculation : creating and running scripts (example)


Open/Show Map or other object

Select a map, table, or any other object and show/open it in a new window.

This dialog box appears:

  • when you choose Open from the File menu in the Main window,
  • when you choose Visualization, Show Map from the Operations menu in the Main window,
  • when you expand the Visualization item in the Operation-tree, and double-click the Show item,
  • when you double-click the Show item in the Operation-list,
  • when you click the Show Map button in the toolbar of the Main window.

Dialog box options:

Select an object: | Select an object which you want to open in a new window.
Select object type: | Select the type of object you want to open: a map, a table, a map list, a map view, a domain, a representation, a georeference, a coordinate system, a histogram, etc.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

A map is displayed in a new map window. A Display Options dialog box appears to set display options for the map. To display multiple maps in one map window, use the Add Layer command on the Layers menu of a map window.

A table, histogram, two-dimensional table, or an annotation text object will be displayed in a table window.

For other objects: either a specific editor is opened, or a dialog box appears.

When the selected object is not open yet, it is opened in a new window.

When the selected object is already open, the object is restored and its window becomes the active window.

Tips:

  1. To open a map or table or any other object, you can also double-click it in a Catalog, or click the right mouse button on the object in a Catalog and select Open from the context-sensitive menu.
  2. To hide or show certain object types from a Catalog, use the Object Selection toolbar or the Customize Catalog, Object Selection tab.
  3. You can also open objects by typing the Open or Show command on the command line of the Main window. For more information, see Appendices : ILWIS commands.

See also:

ILWIS objects


Open/Show Object As Table

Select a table, a two-dimensional table, a histogram, a point map, an annotation text object, a domain class/ID, a representation class/picture, a georeference tiepoints or a coordinate system tiepoints, and show this object as a table in a table window.

Tables, histograms and two-dimensional tables are always opened as a table, for instance when they are double-clicked in the Catalog.

Point maps, annotation text objects, class/ID domains, class/picture representations, georeferences tiepoints and coordinate systems tiepoints are internally stored as a table and these objects can therefore also be opened as a table.

Note:

The option Open As Table is designed for experienced users. Opening an object as a table means that you can touch the object as it is stored on disk; you can see and edit the binary data files of an object, which are otherwise not readable, in ASCII now. Editing leads to changes with the risk of making an object unusable. Keep in mind that names and codes of domain items should be unique. Further it is not advised to edit the values in columns Ind and Ord of a domain as this can lead to serious problems such as missing domain items, wrong colors, wrongly linked attributes, etc.

The general idea behind opening these objects as a table is to allow the user to manually edit the object in table form, and to perform calculations with TabCalc on or with the columns in the table. For some purposes editing an object in table form might be quicker, easier or more precise, than using the point map editor, the annotation text editor, the domain class/ID editor, the representation class editor, or the georef tiepoints editor.

A special set of functions was designed to be able to calculate with XY-coordinate columns, color columns, etc. For more information, refer to TabCalc : special calculations.

Opening point maps, representations or annotation text objects as a table will look familiar to ILWIS 1.4 users because ILWIS 1.4 point maps, color look-up-tables and annotation text files were always stored as ASCII tables.

This dialog box appears:

  • when you choose Open As Table from the File menu in the Main window.

Dialog box options:

Select a table: | Select the object which you want to open in a new table window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

When the object is not open yet, it is opened in a new table window.

When the object was already open in another form, it is also opened as a table.

Tips:

  • An annotation text object is directly opened as a table by double-clicking it in the Catalog.
  • To open a point map, domain class/ID, representation class/picture, a georeference tiepoints, or a coordinate system tiepoints as a table, you can also click them in the Catalog with the right mouse button, then choose Open as Table from the context-sensitive menu.
  • You can also open objects as a table by typing the ShowAsTbl or the OpenAsTbl command on the command line of the Main window. For more information, see Appendices : ILWIS commands.


Main window

 File menu

Create Pyramid Layers

Create pyramid layers for one or more raster maps.

Pyramid layers speed up the display of large raster maps in a map window, for instance when raster maps are larger than a few thousand lines and columns.

  • If no selection is made in the current Catalog, then pyramid layers will be created for every raster map in the Catalog;

  • If one or more raster maps have been selected in the Catalog, then pyramid layers will only be created for the selected raster maps;

  • If one or more map lists have been selected in the Catalog, then pyramid layers will only be created for the raster maps that are part of the selected raster map lists.

Tip:

You can also create Pyramid layers:

  • through the Preferences command on the File menu of the Main window: choose Map window, Display, Raster maps, and select the check box Create Pyramid Layers by default.
  • through the Properties of a raster map, or through the Properties of a map list,
  • through the Display Options dialog box of a raster map,
  • by typing a CreatePyramidLayers command on the command line of the Main window, or by using this command in a script (for more information, see Appendices : ILWIS script language (syntax), section Creating/Deleting pyramid layers).

See also:

ILWIS objects : Raster maps - Pyramid layers


Main window

 File menu

Preferences

Specify some preferred settings that will be used throughout ILWIS.

Tip: Click the links or the arrows [image] to open or to close the explanations.

Main window

Command line

History entries:

Specify the number of commands, formulae, expressions that should be kept in the history of the command line in the Main window and table windows.

General options

Give a warning when an object is opened which is not up-to-date:

Select this check box when you wish to receive a warning when you open an object that is not up-to-date anymore.

Clear this check box when an object should be opened without checking.

Show a Raster Map Definition form when calculating:

Select this check box when you wish to get the Raster Map Definition dialog box after you typed a MapCalc formula on the command line of the Main window; in the Raster Map Definition dialog box, you can specify for instance the desired precision of the output map.

Clear this check box when you do not wish to obtain the Raster Map Definition dialog box, i.e. use defaults during calculations.

Default double-click actions

Filter:

Select the action to be performed when double-clicking a filter in a Catalog:

  • Open: to open the filter in the filter viewer/editor.
  • Filter: to start the Filter operation by opening the Filter : dialog box.

Map list:

Select the action to be performed when double-clicking a map list in a Catalog:

  • Open: to open the map list in the map list editor.
  • ColorComp: to open the Display Options - Map List as Color Composite dialog box to display three images in the map list as an interactive color composite.
  • SlideShow: to open a Display Options - Raster Map dialog box, and then the Display Options - Map List as Slide Show dialog box to show all maps in the map list as a slide show.

Stereo pair:

Select the action to be performed when double-clicking a stereo pair in a Catalog:

  • Anaglyph: to open the Display Options - Stereo Pair as Anaglyph dialog box, to show the stereo pair as an anaglyph in a map window.
  • Stereoscope: to directly open the stereo pair in the stereoscope window.
Position & size
Default position and size of the Main window
X position: | Type a value (in screen pixels from left edge of screen) for the location of the upper left corner of the Main window when restarting ILWIS.
Y position: | Type a value (in screen pixels from top edge of screen) for the location of the upper left corner of the Main window when restarting ILWIS.
Width: | Type a value (in screen pixels) for the width of the Main window when restarting ILWIS.
Height: | Type a value (in screen pixels) for the height of the Main window when restarting ILWIS.
Reset: | Click this button to remove any previous settings for default position and size of the Main window when restarting ILWIS. If ILWIS is reopened, the Main window will appear at the same position on your screen as when it was when ILWIS was closed.
Map window
Display
Default colors for domain Bool
True: | Select or create a default color for True values in a map with a Bool domain or with system domain Bit. The selected color will also be the default color when displaying a segment map or a polygon map in a single color.
False: | Select or create a default color for False values in a map with a Bool domain or with system domain Bit.
Raster maps

Show Display Options dialog box for

All raster maps:

Select this check box when you always wish to obtain a Display Options dialog box when displaying a raster map.

Clear this check box when you wish to show all raster maps with their default display settings, i.e. without a Display Options dialog box.

using domain Image, etc.:

Select for which types of raster maps (depending on the domain of the map) you wish to obtain a Display Options dialog box before the map is displayed.

Pyramid layers

Create Pyramid layers by default:

Select this check box when pyramid layers should be created for every raster map that will be displayed. When pyramid layers exist for a large raster map (e.g. larger than a few thousand lines and columns), the map can be displayed faster.

Clear this check box when you do not wish to create pyramid layers by default.

Segment maps

Show Display Options dialog box for

All segment maps:

Select this check box when you always wish to obtain a Display Options dialog box when displaying a segment map.

Clear this check box when you wish to show all segment maps with their default display settings, i.e. without a Display Options dialog box.

using domain Value, etc.:

Select for which types of segment maps (depending on the domain of the map) you wish to obtain a Display Options dialog box before the map is displayed.

Polygon maps

Show Display Options dialog box for

All polygon maps:

Select this check box when you always wish to obtain a Display Options dialog box when displaying a polygon map.

Clear this check box when you wish to show all polygon maps with their default display settings, i.e. without a Display Options dialog box.

using domain Value, etc.:

Select for which types of polygon maps (depending on the domain of the map) you wish to obtain a Display Options dialog box before the map is displayed.

Point maps

Show Display Options dialog box for

All point maps:

Select this check box when you always wish to obtain a Display Options dialog box when displaying a point map.

Clear this check box when you wish to show all point maps with their default display settings, i.e. without a Display Options dialog box.

using domain Value, etc.:

Select for which types of point maps (depending on the domain of the map) you wish to obtain a Display Options dialog box before the map is displayed.

Default representations
System domain | Default representation for the system domain
Byte | Gray; double-click to change the default representation.
Count | Gray
Distance | Pseudo
Image | Gray
Min1to1 | Gray
NILto1 | NILto1
NOAA | Gray
Perc | Gray
Radar | Gray
Value | Pseudo
Position & size
Default position and size of map windows
X position: | Type a value (in screen pixels from left edge of screen) for the location of the upper left corner of any map window.
Y position: | Type a value (in screen pixels from top edge of screen) for the location of the upper left corner of any map window.
Width: | Type a value (in screen pixels) for the width of any map window.
Height: | Type a value (in screen pixels) for the height of any map window.
Reset: | Click this button to remove any previous settings for default position and size of any map window.
Editors
Point editor

Specify some settings for the point editor, see also Point editor : Customize.

Show text: | Select this check box when you wish to show the class names, IDs, or values of points next to the points.
Text color: | Select or create a color for the text that will appear next to the points.
Background: | Select or create a color for the background of the text that will appear next to the points.
Symbol type: | Select a symbol type with which the points should be displayed.
Symbol size: | Specify a value (in screen pixels) for the size with which the symbols should be displayed.
Pen width: | Specify a value (in screen pixels) for the size with which the outline of the symbols should be drawn.
Color: | Select or create a color for (the outline of) the symbols.
Fill color: | In case of symbol type circle, square, diamond, delta up or delta down: select or create a color to fill these symbols.
Segment editor

Specify some settings for the segment editor, see also Segment editor : Customize. Some settings will be used by the point editor and the polygon editor.

Color digitizer cursor:

Select or create a color for the digitizer cursor in the segment editor.

Note: The selected color will also be used as the Digitizer Cursor color in the point editor and the polygon editor.

Auto snap:

Select this check box to automatically snap the begin node and end node of a newly inserted segment (using the mouse) to existing nodes or to existing segments, provided that the distance to the existing node or segment is less than the snap tolerance.

Clear this check box if newly inserted segments should not be automatically snapped to existing nodes or existing segments. If you clear this check box, use the Shift key to snap to an existing node, and use the Ctrl key to split an existing segment and snap to the newly created node. For more information, see Appendices : mouse functions.

Show nodes:

Select this check box to show the nodes of segments when in Select mode and Insert mode. When you are in Move Points mode, segment nodes and intermediate points within segments are always shown.

Clear this check box when segment nodes should not be visible in Select mode and Insert mode.

Snap tolerance (pixels):

Specify a value for the distance interval in which snapping between newly inserted segments and existing ones is allowed, when working with the mouse.

Normal color:

Select or create a color for segments, nodes and intermediate points within segments, for any segment map that is opened in the segment editor.

Retouch color:

Select or create a color for segments, nodes and intermediate points within segments, when moving a node or an intermediate point to another position in Move Points mode.

Deleted color:

Select or create a color to show deleted segments when using the Undelete Segments option.

Find undef color:

Select or create a color to show undefined segments (i.e. segments without value, class name or ID) when using the Find Undefineds option.

Note: The selected color will also be used as the Find Undefineds color in the point editor and the polygon editor.

Table window
Command line
Show command line when showing non-tables:
 | Select this check box to show the command line when opening objects like histograms, representations, etc. (i.e. objects that are internally stored as tables).
Default position and size of table windows
X position: | Type a value (in screen pixels from left edge of screen) for the location of the upper left corner of any table window.
Y position: | Type a value (in screen pixels from top edge of screen) for the location of the upper left corner of any table window.
Width: | Type a value (in screen pixels) for the width of any table window.
Height: | Type a value (in screen pixels) for the height of any table window.
Reset: | Click this button to remove any previous settings for default position and size of any table window.
Graph window
Default position and size of graph windows
X position: | Type a value (in screen pixels from left edge of screen) for the location of the upper left corner of any graph window.
Y position: | Type a value (in screen pixels from top edge of screen) for the location of the upper left corner of any graph window.
Width: | Type a value (in screen pixels) for the width of any graph window.
Height: | Type a value (in screen pixels) for the height of any graph window.
Reset: | Click this button to remove any previous settings for default position and size of any graph window.
Font
General font
Font name: | Select the font to be used in the Main window, Catalog(s), and in map windows.
Font size: | Specify the font size.
Bold: | Select this check box when the font should appear in bold.
Italic: | Select this check box when the font should appear in italic.
Dialog font
Font name: | Select the font to be used in dialog boxes.
Font size: | Specify the font size.
Bold: | Select this check box when the font should appear in bold.
Italic: | Select this check box when the font should appear in italic.
Table font
Font name: | Select the font to be used in table windows.
Font size: | Specify the font size.
Bold: | Select this check box when the font should appear in bold.
Italic: | Select this check box when the font should appear in italic.
Graphs font
Font name: | Select the font to be used in graph windows.
Font size: | Specify the font size.
Bold: | Select this check box when the font should appear in bold.
Italic: | Select this check box when the font should appear in italic.
General

Use old style progress indicators during operations and scripts:

Select this check box to use, for every newly started operation, a progress indicator in a separate window.

Clear this check box to use the progress manager: one window which incorporates all progress indicators.

Directories

Tools directory:

Specify the path(s) for the folder(s) where commonly used external tools are located. If desired, multiple Tools folders can be specified: separate folders by semicolons ; . When one or more Tools folders are specified, a Tools entry will appear on the Operations menu, in the Operation-tree, and in the Operation-list. This will list all tools that are present in the specified folder(s). See also: How to customize the Operation-tree, the Operation-list and the Operations menu.

Script directory:

Specify the path(s) for the folder(s) where commonly used ILWIS scripts are located. If desired, multiple Script folders can be specified: separate folders by semicolons ; . When one or more Script folders are specified, a Script entry will appear on the Operations menu, in the Operation-tree, and in the Operation-list. This will list all scripts that are present in the specified folder(s). See also: How to customize the Operation-tree, the Operation-list and the Operations menu.

Directory for LOG file:

Specify the path for the ILWIS.LOG file. The LOG file stores all commands that have been used on the command line of the Main window.

Default startup dir:

First close all Catalogs in the Main window. Then, specify the path for the directory in which ILWIS should start next time. Close ILWIS.

Mind: If you close ILWIS while any Catalogs are still open, these Catalogs will be reopened when you restart ILWIS.

For more information, see also How to change the working or startup directory.

Advanced

Restore defaults:

Click the button to delete any Preference settings and return to the original installation settings.

See also:

Main window

How to customize a Catalog

How to customize the Operation-tree, the Operation-list and the Operations menu

Pixel information window : Customize

Point editor : Customize

Polygon editor : Customize

Segment editor : Customize


Setup Digitizer

Setup Digitizer wizard

 Main window, File menu

Select Port

 Next >

Select the serial port to which you connected the digitizer or select to use an installed WinTab driver.

WinTab driver:

Some of the larger manufacturers of digitizer tablets offer the standard WinTab digitizer driver for Windows on their web sites. The WinTab driver will take care of a correct communication between a digitizer and any software application (such as ILWIS).

The major advantages of using WinTab are:

  • an extremely easy digitizer setup, i.e. no knowledge required to establish communication between a digitizer tablet and your computer, and
  • your digitizer can be used by multiple Windows applications, i.e. without the need of changing any settings on the digitizer tablet anymore as might normally be required for a particular application.

Steps to take:

  • Download and install the WinTab driver.
  • In ILWIS, simply specify on this first page of the Setup Digitizer wizard that you are using the WinTab driver; all other pages of the Setup Digitizer wizard will be skipped.

Your digitizer will now be ready for use.

The Setup Digitizer command on the File menu of the Main window will be preceded by a check mark [image].

Preparation when not using a WinTab driver:

Before you can start to tell ILWIS how the communication between your digitizer and your computer will take place, you should already have configured your digitizer: Run mode, ASCII format, Data Rate, Resolution, Baud Rate, Parity, Data Bits, Stop Bits etc. For more information, please refer to your digitizer manual.

  • The digitizer must be configured in Run Mode, No Increment, No Prompt.
  • For the digitizer's Data Rate, we recommend 20 points per second.
  • For the Resolution, we recommend a figure of 10 lines per mm = 254 lines per inch or higher.
  • The digitizer must be configured to send information in ASCII. We recommend the format CalComp 2000-A also known as Summagraphics BitPad 2/1103 ASCII.
  • For the Baud Rate, we recommend 9600 or 19200.
  • For Parity, you can choose Even, Odd or None.
  • For Data Bits, you can choose 7 or 8.
  • For Stop Bits, you can choose 1 or 2.

Combinations of settings for Data Bits, Parity and Stop Bits that are often used are for example:

  • Data bits 7, Parity Even, Stop Bits 2;
  • Data bits 8, Parity None, Stop Bits 1.

It is however not so important what you choose, as long as you use the same settings both for the configuration of the digitizer tablet itself and for the port settings!

Tips:

  • When configuring the digitizer tablet, please make notes of the settings you use.
  • Up to this point, the digitizer settings are only valid on the digitizer end of the cable between your digitizer and your computer.
  • The crux of setting up a digitizer is that all settings used for the digitizer configuration have to exactly match the settings for selected port.
  • The port configuration is performed on the next page of the wizard.

Page options:

None: | Select this option if you don't have a digitizer. The point, segment and polygon editors will not show a digitizer menu.
WinTab: | When you installed the WinTab driver, select this option so that the WinTab driver will take care of the correct communication between your digitizer and your computer. You can directly click the Finish button.
COM1, COM2, COM3, COM4: | When you are not using an installed WinTab driver, select the serial port to which you connected the digitizer. You will have to specify settings on 3 more pages of the Setup Digitizer wizard. Click the Next button.

After clicking the Next button, the Setup Digitizer - Port Settings page will appear. On that page, you must make sure that you specify exactly the same settings (exactly the same figures) for Baud Rate, Parity, Data Bits, and Stop Bits for the port settings as were used for the digitizer tablet configuration.

After specifying the serial port settings, the Setup Digitizer - Automatic Detection page will appear. If you have communication between digitizer and computer, you should be able to follow the Automatic Detection instructions on that page. It means that the settings for Baud Rate, Parity, Data Bits, Stop Bits as well as the required Run mode, ASCII Data Format, and Data Rate are OK, and that buttons on the digitizer cursor are recognized.

Finally, on the last page of the wizard, the Setup Digitizer - Size, Resolution and Final Check page will appear. There you can specify the size of the tablet, the Resolution you use, and you can check the correct behaviour of the buttons.

See also:

Setup Digitizer - Port Settings

How to set up a digitizer


Setup Digitizer - Port Settings

Setup Digitizer wizard

Port Settings

 < Back | Next >

Specify the port settings: Baud Rate, Parity, Data Bits, and Stop Bits.

You must make sure that the settings used for Baud Rate, Parity, Data Bits, and Stop Bits during the configuration of the digitizer tablet will also be used (exactly the same figures) for the port settings.

Page options:

Baud Rate: | Specify a value for the Baud Rate; choose the same value as you used for the configuration of the digitizer tablet.
Data Bits: | Select a value for the Data Bits (7 or 8); choose the same value as you used for the configuration of the digitizer tablet.
Parity: | Select a value for the Parity (Even, Odd or None); choose the same value as you used for the configuration of the digitizer tablet.
Stop Bits: | Select a value for the Stop Bits (1 or 2); choose the same value as you used for the configuration of the digitizer tablet.

When setting up a digitizer for the first time, you may need to change the default port configuration. For all settings on this page, you MUST fill out the exact same values as you used when configuring the digitizer tablet.

When clicking the Next button, the Setup Digitizer - Automatic Detection page will appear.

See also:

Setup Digitizer - Automatic Detection

How to set up a digitizer


Setup Digitizer - Automatic Detection

Setup Digitizer wizard

Automatic Detection

 < Back | Next >

This page helps you to check:

  • whether you selected the correct port;
  • whether you specified for the Port Settings exactly the same values as you used for the configuration of the digitizer tablet itself (settings for Baud Rate, Parity, Data Bits and Stop Bits);
  • whether your digitizer is configured to send coordinates in Run Mode;
  • whether your digitizer is configured so send coordinates in ASCII format;
  • whether the digitizer configuration for Data Rate is accepted.

If the communication between digitizer and computer port is correct, you will assign the digitizer cursor buttons with the Automatic Setup.

Received digitizer coordinates (check whether you have communication):

Do not press any buttons on the digitizer cursor. Move your digitizer cursor over the tablet. Inspect the string that is listed on the first line after 'Received'.

You have communication between the digitizer and the computer:

  • when the first line of this page reads:

    • Received: coordinates as readable numbers

  • when coordinates change from about 0,0 (when moving the digitizer cursor into the lower left corner of the tablet) to greater positive figures (when moving the digitizer cursor into upper right corner of the tablet).

The message Trying Automatic Detection will appear.

The digitizer setup is proceeding satisfactorily: you can continue to have ILWIS recognize the digitizer cursor buttons. Follow the instructions for Automatic Detection (below).

You definitely don't have communication between your digitizer and your computer:

  • when the first line of this page reads:

    • Received: Nothing

  • when the first line of this page reads:

    • Received: coordinates as unreadable characters

  • when coordinates do not change when you move the digitizer cursor over the tablet;
  • when the message Press Button 0 does not appear.

Go to the Trouble shooting section (below).

Trying Automatic Detection:

When you have communication and when the message Press Button 0 appears:

  • move the digitizer cursor into the upper right corner of the tablet (but still inside the active area);
  • press button 0 on the digitizer cursor;
  • when asked for, also press buttons 1, 2, and 3 on the digitizer cursor.

You will automatically go to the last page of the Setup Digitizer wizard: the Setup Digitizer - Size, Resolution, Final Check page.

If you experience any strange behaviour when using Automatic Detection, you may go Back to the Port Settings page and then with Next to this Automatic Detection page and try again. Otherwise go to the Trouble shooting section (below).

Trouble shooting:

  • The first line on this page reads:

    • Received: Nothing

    Problems: You may have selected the wrong Port number; the Port Settings (such as Baud Rate, Data Bits, etc.) may not correspond to the digitizer configuration settings; the digitizer may not send coordinates in ASCII format; the digitizer may not be configured to work in Run Mode.

    Received: coordinates appear as unreadable characters

    Problem: Digitizer may not send coordinates in ASCII format.

  • Coordinates do not change when moving the digitizer cursor over the tablet.

    Problem: Digitizer may not be configured to work in Run Mode.

  • The message Press Button 0 does not appear.

    • Problem: Digitizer may not be configured to work in Run Mode and/or reduce the Data Rate.

  • Coordinates only appear after pressing a button on the digitizer cursor.

    • Problem: Digitizer is not configured to work in Run Mode.

    Port Settings may be already correct.

  • The page does not respond to pressing buttons 0, 1, 2, 3 on the digitizer cursor when Trying Automatic Detection.

    Try going Back to the Port Settings page and then with Next to this Automatic Detection page and try again.

    If this does not solve your problem: check all digitizer settings.

Remedy:

  1. Check the configuration settings of the digitizer tablet itself: Run mode, ASCII format, Baud Rate, Data Bits, Parity, Stop Bits and write the figures down;
  2. Press the < Back button and return to the Setup Digitizer - Port Settings page;
  3. On the Setup Digitizer - Port Settings page, make sure that the settings for the port (Baud Rate, Data Bits, Parity, Stop Bits) is exactly the same as the settings you used for the digitizer tablet, then press the Next button;
  4. On this Setup Digitizer - Automatic Detection page again, check whether you communication:
    • if you have communication now, continue with the Automatic Detection.
    • if you don't have communication, check whether all cables are properly connected, whether you use the correct port number, cancel the setup, switch the digitizer off and on again, reboot your computer and try again.
  5. Keep trying until you have communication.

Tip:

It is strongly advised to first ensure the communication between the digitizer and the port and then to choose the ILWIS Automatic Detection. Trying the manual setup button on this page will not make things easier.

Manual setup (advanced):

Press the Manual button if you are sure that you have communication, but when Automatic Detection is not able to recognize a certain 'difficult' digitizer Format. You can unravel the received ASCII string yourself: the Setup Digitizer - Manual Setup page will appear.

See also:

Setup Digitizer - Size, Resolution, Final Check

How to setup a digitizer


Setup Digitizer - Size, Resolution, Final Check

Setup Digitizer wizard

Size, Resolution and Final Check

 < Back | Finish >

This page allows you to check the behaviour of received digitizer coordinates, to specify the resolution of digitizer tablet (as configured), to specify the size of your digitizer tablet and to check size and resolution feedback.

Check behaviour of digitizer coordinates and digitizer buttons:

At the top of this page:

  • check whether all digitizer buttons work (press buttons 0,1,2,3):
    after Button: you should see the number of the button that you press on the digitizer cursor,
  • check whether the left hand X-value increases by moving the digitizer cursor to the right,
  • check whether the left hand Y-value increases by moving the digitizer cursor up.

If this is the case, you have communication and the Automatic Detection has succeeded. You may proceed to fill out remaining options on this page, see below.

Mind:

If you get any unexpected behaviour, you don't have a proper communication between digitizer tablet and your computer. The following combination of problems may occur:

  • the digitizer settings for (Baud Rate, Parity, Data Bits, Stop Bits) and the specified port settings may not match;
  • the digitizer may not send coordinates in Run Mode;
  • the digitizer may not be configured to send coordinates in a proper ASCII format.

To fix your problems, press the Back button and read the Trouble shooting section in Setup Digitizer - Automatic Detection.

Page options:

Metric Coordinates:

Select this check box if during the configuration of the digitizer tablet, you chose a certain number of lines per mm for the Resolution of the tablet.

Clear this check box if you chose to use certain number of lines per inch for the Resolution of the tablet.

Lines per mm/inch:

Type a value for the number of lines per mm (or per inch) as used for the Resolution during the configuration of the digitizer tablet. Only when you use the correct Resolution, you will see correct feedback on the Scale of the map on the digitizer in the Map Reference - Digitizer Control Points dialog box.

If you used 1000 lines per inch on the digitizer tablet, you can clear the Metric System check box, fill out 1000 for the resolution, then select the Metric check box again: the value 1000 lines per inch will be automatically converted into 39.37079 lines per mm.

X-size:

Specify the size of the digitizer tablet in X-direction (in mm or in inches).

Y-size:

Specify the size of the digitizer tablet in Y-direction (in mm or in inches).

Check tablet size and tablet resolution feedback:

Check the behaviour of the X Y values on the right hand side at the top of this page:

  • Locate the digitizer cursor in the lower left corner of the digitizer tablet:
    the right hand X and Y values should be similar to 0, 0.
  • Locate the digitizer cursor in the upper right corner of the digitizer tablet:
    the right hand X and Y values should be similar to the size of the digitizer.

When the feedback is correct, click the Finish button. You have successfully completed the digitizer setup. Your digitizer is ready for use. On the File menu of the Main window, a check mark [image] will appear in front of the Setup Digitizer command.

Starting to digitize a map:

The next step is to establish a relationship between the coordinates sent by the digitizer and the coordinates of your paper map on the digitizer. This process is called Map Reference. In the Main window, open the File menu and choose Map Reference.

First, select a coordinate system in the Map Reference - Coordinate System dialog box; then establish a relation between the digitizer and the map on the tablet in the Map Reference - Digitizer Control Points dialog box.

See also:

How to setup a digitizer and start digitizing

Map Reference - Coordinate System

Map Reference - Digitizer Control Points


Map Reference - Coordinate System

Map Reference

Coordinate System

First dialog box to establish a relation between digitizer coordinates (as received from your digitizer) and map coordinates.

The purpose of using Map Reference is to be able to use a digitizer:

  • to add points or segments to a new digital point or segment map, and/or
  • to edit an existing digital point, segment or polygon map.

This dialog box appears:

  • when you choose Map Reference from the File menu of the Main window, or
  • when you choose Digitizer, Map Reference from the File menu of the point editor, from the File menu of the segment editor, or from the File menu of the polygon editor.

Before you can use Map Reference, you should have:

  • set up your digitizer correctly:
    • the Setup Digitizer command on the File menu of the Main window should be preceded by a check mark [image];
  • you fixed an analog map onto your digitizer;
  • you know the real world map coordinates of at least three points in your analog map; these points will be used as reference or control points. You can use for instance the coordinates of the corners of your analog map or the coordinates of crossings of grid lines on your analog map.

Dialog box options:

Coordinate System:

Select the coordinate system which fits the map(s) that you will digitize, or create a new coordinate system by clicking the little create button [image].

It is advised to use a coordinate system of type Projection: for the time being you can just specify the coordinates of the outer boundaries of your study area; specific information on a projection, ellipsoid or datum may be added to the coordinate system in a later stage or not at all.

You can use a coordinate system of type Boundaries Only when you are sure that you will not work with projections at all in your project.

Mind: It is not allowed to select or create a coordinate system of type LatLon, nor to select system coordsys LatLon.csy, nor system coordsys LatLonWGS84.csy.

Metric Coordinates:

Select this option when, in the next dialog box, you want to enter the map coordinates of your control points as XY-coordinates in meters.

Geographic Coords:

Select this option when you can only read Latitudes and Longitudes from your analog map. In the next dialog box, enter the map coordinates of your control points as LatLong-coordinates in minutes, degrees and seconds.

Mind: to use geographic coordinates, the selected coordinate system MUST have projection information.

When you click OK, the Map Reference - Digitizer Control Points dialog box will appear.


Map Reference - Digitizer Control Points

Map Reference

Digitizer Control Points

Second dialog box to establish a relation between digitizer coordinates (as received from your digitizer) and map coordinates.

The purpose of using Map Reference is to be able to use a digitizer:

  • to add points or segments to a new digital point or segment map, and/or
  • to edit an existing digital point, segment or polygon map.

This dialog box appears after you clicked OK in the Map Reference - Coordinate system dialog box.

It is assumed that:

  • your digitizer set up is correct:
    • the Setup Digitizer command on the File menu of the Main window should be preceded by a check mark [image];
  • you fixed an analog map onto your digitizer;
  • you know the real world coordinates of at least three points in your analog map; these points will be used as reference or control points. You can use for instance the coordinates of the corners of your analog map or the coordinates of crossings of grid lines on your analog map.

When the digitizer is on and properly set up, you should see, besides this Map Reference - Digitizer Control Points dialog box, a little floating window called Map Referencing which displays digitizer coordinates that change when you move the digitizer cursor on the digitizer.

The floating Map Referencing window contains the options:

0 | Digitize Point
1 | Next Point
2 | Delete Point

If the digitizer coordinates in this little floating window do not change when you move the digitizer cursor on the digitizer, the digitizer setup is not correct and should be done again. For more information, see Setup Digitizer wizard or How to set up a digitizer.

Steps to take and dialog box options:

  1. Position the digitizer cursor on the first reference or control point of your map on the digitizer tablet, and press button 0 on the digitizer cursor.
    Under heading digitizer, the coordinates will appear as sent by the digitizer.
  2. Depending on the setting 'metric (projected) coordinates' or 'geographic coordinates' as specified in the previous Map Referencing - Coordinate System dialog box, fill out the XY-coordinates or the LatLon-coordinate of the first reference or control point.
    1. When using metric coordinates:

      2. under heading coordinates, type the XY-coordinate of this point as read from your map: first the X-coordinate in meters, then the Y-coordinate in meters.

    2. When using geographic coordinates:

      3. under heading coordinates, type the LatLong-coordinate of this point as read from your map: first the Latitude in degrees, mintues, seconds, N or S, then the Longitude in degrees, mintues, seconds, E or W.

  3. Continue with the next reference or control points.
  4. Check the feedback in this dialog box on diff X and diff Y, Sigma, and Scale.

You can use the little floating window:

  • to go to a next reference point without inserting a new one (press button 1 on the digitizer cursor), and
  • to delete wrongly digitized reference points (press button 2 on the digitizer cursor).

Conformal transformation: | In a Conformal transformation, the scale in X and Y direction is the same. Mathematically a minimum of 2 reference points are needed but it is advised to specify at least 3.
Affine transformation: | In an Affine transformation, the scale in X and Y directory may be a bit different. Mathematically a minimum of 3 reference points are needed but it is advised to specify at least 4.

When finished, click the OK button.

  • In the Main window: the Map Reference command on the File menu of the Main window will now be preceded by a check mark [image];
  • When you are already in the point, segment or polygon editor: the Digitizer, Map Reference command on the File menu of the point editor, on the File menu of the segment editor, and on the File menu of the polygon editor will now be preceded by a check mark [image].

When you are already in the point, segment or polygon editor and wish to start or to continue digitizing an analog map:

  • choose Digitizer, Active from the File menu of the point editor, from the File menu of the segment editor, or from the File menu of the polygon editor.

The Digitizer, Active command on the File menu of the editor will then be preceded by a check mark [image].

Now, you can start or continue to digitize your analog map. For more information, see How to setup a digitizer and start digitizing, sections Start digitizing a new map and/or Continue to digitize an existing map.

Tips:

  1. For a good map reference in an affine transformation, the diff X and diff Y values should be in the range of -0.3 to 0.3 or less.
  2. The Scale figure(s) should be close to the scale as specified on your analog map.
  3. The OK button in this dialog box is grayed out when the Sigma is greater than 20.
  4. A maximum of 6 reference or control points can be inserted.
  5. When you take a break during digitizing, you can exit the editor and exit ILWIS and even switch the computer off. As long as your map is still at the same position on the digitizing tablet when you wish to resume digitizing later on, you do not need to reference your map again.
  6. Map Reference settings are stored in the registry.

See also:

Map Reference - Coordinate System

How to set up a digitizer and start digitizing


Main window

 File menu

Import

Import Map

Import General Raster

Import Table Wizard

Import a map in the format of another software package into ILWIS 3 by using ILWIS Map Import. If an attribute table is included in the file to be imported, then the attribute table will be imported as well.

When you convert files, it is assumed that you already understand some of the main ILWIS concepts. It is recommended that you have read at least the following topics: Basic concepts : before creating ILWIS maps and tables and Basic concepts : working with domains.

The Import dialog box can be used for various types of import:

  1. Import Map (ILWIS Import, described below)
    1. Raster formats (described below)
    2. Vector formats (described below)
    3. ASTER (1A/1B) images
  2. Import General Raster (ILWIS Import)

The type of import that will be used depends on the menu command you selected and on the Import Format you select in the Import dialog box. You can read Help according to the type of Import by clicking the links in the header of this topic.

Below, the formats are described that are supported by ILWIS Map Import and sometimes an explanation of the import behaviour is given.

Note:

ILWIS Map Import also supports the ASTER level 1A and level 1B EOS-HDF format. Importing ASTER images is however described in a separate topic. See Import ASTER for more information.

Tips:

  • To import separate tables, see the Import Table wizard.
  • When you wish to import multiple files, it is advised to type an Import expression on the command line or to write a script with Import expressions. The Import expressions are described in Appendices : ILWIS script language (syntax), section Import expressions.

Import dialog box options:

Select a file:

Select the file that you wish to import.

Directories:

If necessary, change the current directory.

Drives:

If necessary, change the current drive.

Import format:

Select the format of the file which you wish to import. When an import format is selected, the input files that have the correct extension in the current directory will be shown.

Tip:

  • There are separate Help topics for the Import formats [image] Aster(1A/1B), and [image] Use General Raster Import (click the links).
  • You can also click Import General Raster Import in the header of this topic.

Output file name:

Type a name for the output ILWIS object(s). Do not specify an extension for the ILWIS object(s); ILWIS will add its own extensions.

Height offset:

Only for GARtrip import (see below).

Importing Raster maps through ILWIS Import

Import raster maps of a number of different formats (indicated by the name of the option) to the ILWIS raster format. For each map, an .MPR and an .MP# file are created. Furthermore, a domain, a representation, a georeference, a coordinate system and an attribute table may be created.

Raster import formats:

Arc/Info ASCII:

Imports an Arc/Info non-compressed ASCII file; the input file is expected to have extension .ASC or .NAS.

Arc/Info .E00:

Imports an Arc/Info .E00 file. For more information, refer to the Vector import below.

Tip: To import Arc/Info Grid files, export the Arc/Info files to .E00 or to non-compressed ASCII.

Compuserve-GIF:

Imports a GIF image. First, it is checked whether the file contains the GIF signature. Then, it is checked whether a color lookup table is available. When a color lookup table is found, the raster map will use domain Picture, otherwise, the map will use domain Image. After that the (LZW compressed) raster data is retrieved.
A GIF file does not contain any geographic information, therefore the resulting raster map in ILWIS will not be georeferenced. Furthermore, the raster map will always be stored as using 1 byte per pixel (maximum of 256 colors).

Tip: When the colors in a GIF file represent classes, and when you obtained a raster map with a Picture domain from import, you can easily change the Picture domain to a Class domain in the properties of the raster map. After that you can edit the class names in the Domain Class/ID editor. For more information, see How to change the domain of a map (section on From a Picture domain to a Class domain).

Erdas-GIS:

Imports an Erdas .GIS file (thematic map). You can import any maps stored as 4, 8 or 16 bits per pixel. Coordinate information is retrieved from the Erdas .GIS file. Note: Information on class names and representation colors is retrieved from the trailer file (.TRL), if available. Both pre-version 7.4 and Erdas version 7.4 files can be imported.
The resulting raster map will have a georeference corners.

Erdas-LAN:

Imports an Erdas .LAN file (Remote Sensing Images). You can import any map stored as 4, 8 or 16 bits per pixel. Coordinate information is retrieved from the Erdas .LAN file. Both pre-version 7.4 and Erdas version 7.4 files can be imported.
The import results are a map list and a number of individual raster maps which will have a georeference corners.

IDA image:

Imports an IDA (Image Display and Analysis) image (.IMG).

Idrisi map:

Imports an Idrisi raster image. Select the .DOC file which accompanies the .IMG file. All required information will be extracted from the .DOC file. When a color file (.PAL) is found, this will be used to create a representation. You can import Idrisi byte maps, integer maps and real maps. When the Idrisi file contains classes, ILWIS will create a class map; otherwise an Image (for Idrisi byte maps) or a Value map (for Idrisi integer and real maps) will be created.

ILWIS ASCII raster:

Imports an ILWIS 1.x ASCII raster file (.ASC).

Paintbrush-PCX:

Imports a Paintbrush file (.PCX); the resulting map will not have coordinates.

TIFF:

Imports a Tag Image File Format file (.TIF). ILWIS can import:

  • raster data with 1 bit per pixel: to a raster map with the Bit domain;
  • raster data with 4 or 8 bits per pixel: to a raster map with the Image domain,
  • raster data with 4 or 8 bits per pixel and a color lookup table: to a map with a Picture domain,
  • raster data with 24 bits per pixel (RGB): to a raster map with the Color domain.

Tip: When the colors in a TIFF file represent classes, and when you obtained a raster map with a Picture domain from import, you can easily change the Picture domain to a Class domain in the properties dialog box of the raster map. After that you can edit the class names in the Domain Class/ID editor. For more information, see How to change the domain of a map (section on From a Picture domain to a Class domain).

ILWIS can import raster data from the TIFF file that is uncompressed, LZW-compressed (for 8 bits per pixel or more), or Packbits compressed (run-length encoded).

Furthermore, ILWIS can import GeoTiff information to create a georeference corners (1 or 2 tiepoints) or a georeference tiepoints (3 or more tiepoints). An empty coordinate system is created which contains textual information in its description: you have to edit the coordinate system yourself and specify projection parameters and datum, etc. as found in the description.

After it is checked whether the input file is a TIFF file, the TIFF file is scanned to find:

  • the number of lines and columns,
  • the number of bits per pixel,
  • the number of values (may be different from the number of bits per pixel!),
  • the availability of a color lookup table,
  • the TIFF compression method,
  • GeoTiff information.

Finally, the raster data is imported and decompressed if necessary.

Windows bitmap:

Imports a Microsoft Windows bitmap (.BMP). You can import any bitmap stored as 1, 4, 8, 16 or 24 bits per pixel. The resulting raster map will not have coordinates.

Note:

ILWIS Map Import also supports the ASTER level 1A and level 1B HDF format. Importing ASTER images is however described in a separate topic. See Import ASTER for more information.

Tips:

  • For the structure of the different formats mentioned in this section, please refer to the manuals of the corresponding software packages.
  • To import maps via the ILWIS command line or via a script, see Appendices ILWIS script language (syntax), section ILWIS Map Import.

Importing Vector maps through ILWIS Import

Vector Import imports vector maps in several formats to vector maps in ILWIS format.

When the input is a polygon map, the following files are created:

.MPA: | the object definition file for the polygon map; contains all properties. This file will be visible in the Catalog.
.MPAP# | contains coordinates of the bounding box around each polygon, polygon areas, length of polygon boundaries, polygon codes and references to the topology of the polygons.
.MPAT# | contains coordinates of polygon boundaries, coordinates of nodes, and topology information of the polygon map.

When importing a segment map, the following files are created:

.MPS: | the object definition file for the segment map; contains all properties. This file will be visible in the Catalog.
.MPS# | contains coordinates of intermediate points, coordinates of nodes and segment codes.

When the input is a point map, the following files are created:

.MPP: | the object definition file for the point map; contains all properties. This file will be visible in the Catalog.
.PT# | contains all point coordinates and the codes of the points.

Furthermore, a domain, a representation, a coordinate system and an attribute table may be created.

Import vector formats:

Arc/Info .E00:

Imports an Arc/Info file in interchange format (.E00) into an ILWIS raster, a polygon map, a segment map and/or a point map.

When attributes are available, also one or more ILWIS tables will be created. When the .E00 file contains a table only, this table is imported with domain None.

The E00 import can handle compressed, partially compressed, and uncompressed files.

The conversion first scans the .E00 file to gather information, such as:

  • Types of maps included in the .E00 file,
  • Codes of segments (IDs), polygons (IDs) and points (labels),
  • Value range for raster,
  • Attribute tables,
  • Map boundary.

Next, the E00 file is imported, taking into account a number of E00 tags. When the Arc/Info export split the data into several consecutive .E00 files (same file name, extensions .E00, E01, E02, etc.), ILWIS reads all data until the EOF tag is encountered.

Output:

When the .E00 file contains:

  • a segment map only (ARC section only): ILWIS creates a segment map and a table which consists of a single column containing the original Arc/Info IDs;
  • a segment map with attributes (.AAT): ILWIS creates a segment map and an attribute table where one column contains the original Arc/Info IDs, and where the other columns contain the attribute values;
  • a point map only: ILWIS creates a point map and a table which consists of a single column containing the original Arc/Info IDs;
  • a point map with attributes (.PAT): ILWIS creates a point map and an attribute table where one column contains the original Arc/Info IDs, and where the other columns contain the attribute values;
  • a segment map and a point map; ILWIS creates a segment map and a point map and tables for the segment map and the point map with a single column containing the original Arc/Info IDs,
  • a segment map, a point map and a polygon map (.PAL): a question is asked whether the user wants to obtain a polygon map or not.
    • When this question is answered with No, ILWIS creates a segment map and a point map and tables with a single column containing the original Arc/Info IDs for the segment map and the point map;
    • When this question is answered with Yes, ILWIS creates a polygon map using the ILWIS Segments to Polygons operation, a point map and a table with a single column containing the original Arc/Info IDs of the points. By using the Assign labels to polygons operation, the original label point IDs can be applied to the polygons.
  • a segment map, a point map and a polygon map with point or polygon attributes (.PAL + .PAT): a question is asked whether the user wants to obtain a polygon map or not.
    • When this question is answered with No: then ILWIS creates a segment map and a point map and tables with a single column containing the original Arc/Info IDs for the segment map and the point map;
    • When this question is answered with Yes, then ILWIS creates (a) a polygon map using the ILWIS Polygonize operation, (b) a point map and (c) a table where one column contains the original Arc/Info IDs, and where the other columns contain the attribute values.
  • a raster map (GRD section): ILWIS creates a raster map with a value domain.
  • a table only: ILWIS creates a table with domain None.

The output map(s) usually obtain the same name as the input .E00 file. The same is also true for any class or ID domain; however when a domain with that name already exists, the domain name is slightly adjusted to be unique.

Limitations:

  • Arc/Info IDs that are whole positive numbers up to 2 billion are supported.
  • This version does not import possible coordinate system information contained in the .E00 file. Furthermore, some sections may be recognized but ignored (see E00 tags).
  • Extracting attribute information for raster maps is not yet implemented.

Arc/Info .LIN, .PTS ASCII:

Imports files that were created with the Arc/Info ungenerate command (extension .LIN/.PTS). A .LIN file will be converted to a segment map; a .PTS file to a point map. The extension .GEN (generate) is also used by some systems.

LIN file: .LIN files are considered to contain segments (arcs in Arc/Info terminology); the output map will be a segment map. The segment map will obtain an ID domain and an attribute table will be linked to the map. The attribute table has a single column which contains the original segment codes. The column which contains the Arc/Info IDs is usually called mapname_ID. To obtain a segment map with these original codes, you will have to use the Attribute map of segment map operation after import.

The ILWIS map usually has the same name as the input file. The same is also true for its domain, unless there already is a domain carrying the envisioned name, in which case the domain name is slightly adjusted to be unique.

The attribute table will get a name based on the map name, making sure the table name is unique. The name of the attribute column will be mapname_ID.

PTS file: .PTS files are considered to contain points; the output map will be a point map. The output point map will obtain an ID domain and an attribute table will be linked to the map. The attribute table has a single column which contains the original point codes. The column which contains the Arc/Info IDs is usually called mapname_ID. To obtain a point map with these original codes, you will have to use the Attribute map of point map operation after import.

The ILWIS map usually has the same name as the input file. The same is also true for its domain, unless there already is a domain carrying the envisioned name, in which case the domain name is slightly adjusted to be unique.

The attribute table will get a name based on the map name, making sure the table name is unique. The name of the attribute column will be PtsValue.

Tip: To reconstruct a polygon map, see the remarks under the E00 import.

Arc/View Shape files .SHP:

Imports Arc/View Shape files to an ILWIS polygon and/or segment and/or point map. Furthermore, also possible attribute data will be imported into attribute tables. ILWIS expects to find three files to perform the conversion: filename.SHP, filename.SHX and filename.DBF files, such as for instance landuse.shp, landuse.shx and landuse.dbf. Newly created ILWIS attribute tables will be automatically linked to the maps to which they refer. New Shape types like Measure types (M-types) and Elevation types (Z-types) are recognized but the extra information in these file types is skipped.

Atlas .BNA:

Imports a file in Atlas/Map Edit format (.BNA).

Depending on the contents of the BNA file, you can obtain a polygon map and/or a segment map and/or a point map.

The output ILWIS map(s) and attribute table(s) will use an internally defined UniqueID domain; all columns in the attribute table will use the system String domain.

  • You can convert the String columns in the attribute table to regular Class or ID columns via the Column Properties.
  • You can change the domain of the table from a UniqueID domain to a regular Class or ID domain (containing point, segment or polygon codes) with the Change domain of table operation.
  • You can obtain original codes of the point, segments or polygons in the output maps by performing an Attribute map operation on the output maps.
  • You can check whether an attribute table is linked to a map through the properties of the map.

AutoCAD .DXF:

Imports vector files in AutoCAD Drawing eXchange Files (.DXF).

Depending on the contents of the DXF file, you can obtain a polygon map and/or a segment map and/or a point map.

First, the DXF file is scanned to find for instance information on:

  • Segment codes
  • Boundary
  • Height information

Then, the domain is determined:

  • When the codes contain numeric values only, and the difference between the minimum and maximum value is greater than 1, then a value domain will be created.
  • Else, the number of classes is checked;
    • When there is more than one class, a class domain will be created.
    • Else, i.e. when all elements have the same code, the height information is checked:
      • When the maximum height difference is more than 10 meters, a value domain will be created containing height values.
      • Else, i.e. when no height information is available and all elements have the same non-numeric code, the domain will become a class domain with a single class.

Next, the DXF file is imported. The following DXF elements are recognized and imported:

  • LWPOLYLINE (DXF14 or higher; imported as a polygon when closed, otherwise imported as a segment)
  • POLYLINE (and thus VERTEX, including bulge; imported as a polygon when closed, otherwise imported as a segment)
  • LINE (line segment with only two points)
  • ARC (part of circle; imported as one segment)
  • POINT (single point)

The codes of these DXF elements are used for the class names, values, etc. of the imported segments and points. In case of LWPOLYLINE and POLYLINE: the class name, value, etc. is taken to be the code of the LWPOLYLINE or POLYLINE, not of any VERTEX within.

When several LINE items follow each other, Import will check whether they are connecting. If this is the case, the lines will be combined into one single segment. Other elements (such as BLOCKS sections, INSERT entities and others) are ignored and skipped.

Tip: To import BLOCK sections, first Explode all the blocks to layer 0 in AutoCad.

GARtrip Text .TXT:

Imports a GARtrip file (.TXT) with GPS data. It is expected that the input file is created by using the Export option in GARtrip. GARtrip (http://www.gartrip.de) is PC shareware software for Garmin and Magellan GPS receivers.

  • When the first line in the GARtrip file contains the word 'Waypoints', an ILWIS point map and an attribute table will be created.
  • When the first line in the GARtrip file contains the word 'Track', an ILWIS point map and an attribute table will be created, and furthermore an ILWIS segment map will be created.
  • When a UTM projection is used, also an ILWIS coordinate system (with UTM projection and WGS84 datum) will be created. When the UTM projection uses multiple zones, then all coordinates are automatically transformed to the first zone encountered in the file.
    If no UTM projection is used, ILWIS will use coordinate system Unknown.
    You may adapt the initially created coordinate system yourself after import.
  • Optionally, height values in an Altitude 'Alt' column in the input file can be corrected by using the Height offset option in this Import Map dialog box:
    • a positive value for the Height offset will increase the 'Altitude' values;
    • a negative value for the Height offset will decrease the 'Altitude' values.

The output ILWIS point map and its attribute table will use an internally defined UniqueID domain; columns in the attribute table will either use system domain String or system domain Value.

An output ILWIS segment map will use a new ID domain.

ILWIS ASCII segments .SMT:

Imports an ILWIS 1.x ASCII file (.SMT) into an ILWIS segment map. If the first line is not 'Segments', an error message will be displayed.

SMT file structure:

1st line: Segments

Defines a segment map.

2nd line: min X min Y

Defines the minimum coordinate boundaries of the map.

3rd line: max X max Y

Defines the maximum coordinate boundaries of the map.

4th line: the class name, ID, or value of the first segment.

5th line and following:

Each line will contain an XY-coordinate of the segment until all coordinates of the segment are listed.

The next line states the class name, ID, or value of the second segment. And again, from the next line onward, all coordinates of the second segment will be listed. Example of an .SMT segment file.

To import an .SMT file which contains polygons, use Convert1.4 to import the file into ILWIS 1.4, then use Import to import the results into ILWIS 3.

Infocam Sequential .SEQ:

Imports an Infocam sequential file (.SEQ) to a point map and/or a segment map and/or a polygon map. The different types of vector maps that may be present in the .SEQ file are imported as different ILWIS maps. For each map, an attribute table is created in which information on the points, segments and polygons is stored. An Infocam object may have different attributes per element, thus the attribute table may be sparsely filled. The ILWIS maps will always obtain an ID domain; the IDs in the domain will be according to code information.

Limitations: Double polygon boundaries are not removed thus topology may not be correct. Furthermore, Spline or Arc information in a .SEQ file is not translated.

Tips:

  • For the structure of the different formats mentioned in this section, please refer to the manuals of the corresponding software packages.
  • To import maps via the ILWIS command line or via a script, see Appendices ILWIS script language (syntax), section ILWIS Map Import.

Note: Polygon data are not checked when read. If polygons partly or entirely overlap, problems may occur. Therefore, check your data carefully before conversion!

See also:

ILWIS objects

Basic concepts : working with domains

How to change the domain of a map

How to import data

Import ASTER

Import General Raster

Import Table wizard

Appendices : ILWIS script language (syntax), section Import expressions

Appendices ILWIS script language (syntax), section ILWIS Map Import


Main window

 File menu

Import ASTER

Import Map

Import General Raster

Import Table Wizard

Import ASTER level 1A and/or level 1B images by using ILWIS Map Import.

The dialog box described below appears when you choose Import Map

  • from the File menu in the Main window;
  • in the Operation-tree or;
  • in the Operation-list

and select in the Import dialog box Import Format Aster (1A/1B).

When using Import ASTER, you can choose:

  • to perform a genuine import and translate the external file to an ILWIS data format, or
  • to keep the external file in its original format (Use As).

For more information, see the Convert to ILWIS data format option below.

After you used Import Map with Import Format Aster (1A/1B), you will obtain an ILWIS object collection [image]. The object collection contains the ILWIS objects that are the result of the import. You can open an object collection by double-clicking it in a Catalog; subsequently you can also open the imported objects by double-clicking.

Import dialog box options:

Select a file:

Select the file that you wish to import.

Directories:

If necessary, change the current directory.

Drives:

If necessary, change the current drive.

Import format:

ASTER (1A/1B)

When you select another Import format, please refer to the other Import topics in the Help; you can click one of the links in the header of this topic.

Output file name:

Type a name for the output ILWIS object collection. Do not specify an extension; ILWIS will add its own extensions. The imported data will be part of the output object collection.

Show:

Select this check box when you like to directly open the resulting object collection.

Use Radiances (Wm-2sr-1µm-1):

For ASTER level 1A images:

  • Select this check box if you want to convert the raw Digital Numbers of the ASTER HDF file to radiometric corrected radiance values.
  • Clear this check box if you want to convert the raw Digital Numbers of the ASTER HDF file to sensor calibrated DN values.

For ASTER level 1B images:

  • Select this check box if you want to convert the radiometrically corrected DN values of the ASTER HDF file to radiance values.
  • Clear this check box if you want to use the radiometrically corrected DN values of the ASTER HDF file.

Notes:

  • Sensor calibrated DN values are not the actual digital unprocessed numbers of the file but radiometric corrected radiance values scaled back into an appropriate range.
  • For more technical information about radiometric and geometric corrections of ASTER images refer to ASTER Import : Radiometric and geometric corrections (technical information).

Convert to ILWIS data format:

Select this check box to perform a genuine import and translate the external file to an ILWIS format:

  • the external data will be translated into ILWIS file formats: ILWIS object definition files (e.g. .MPR) as well as ILWIS data files will be created;
  • you can view the imported data, calculate with it, use it in ILWIS operations, etc.;
  • the imported data can be edited in ILWIS.

Clear this check box when you wish to keep the external file in its original format (Use As):

  • the external data will not be translated into ILWIS file formats: only ILWIS object definition files (e.g. .MPR) will be created; as the same data file will not appear twice on your hard disk in different formats, you will save some hard disk space in this way;
  • you can view the imported data, calculate with it, use it in ILWIS operations, etc.;
  • the original file can not be edited in ILWIS;

Necessary service objects like georeferences, etc. will always be imported into the ILWIS format.

Tips:

  • When you wish to import multiple files, it is advised to type an Import expression on the command line or to write a script with Import expressions. The Import expressions are described in Appendices : ILWIS script language (syntax), section ILWIS ASTER Import.
  • To show ASTER files with an extension in a Catalog: open the Customize Catalog sheet, on the Selection tab, and specify the external extension(s) you wish to see in the External file extensions text box. ASTER files with no extension can not be shown in the Catalog.

See also:

ASTER Import : Radiometric and geometric corrections (technical information)

ILWIS Map Import

Import General Raster

Import Table wizard

How to import data

ILWIS objects : object collections

Appendices : ILWIS script language (syntax), section ILWIS ASTER Import

Appendices : ILWIS script language (syntax), section Import expressions

Appendices : ILWIS script language (syntax), section ILWIS Map Import


ASTER import: radiometric and geometric corrections (technical information)

ASTER import

Radiometric and geometric corrections (technical information)

Introduction

ASTER (Advanced Spaceborne Thermal Emission and Reflection Radiometer) images are files written in the Earth Observation System Hierarchical Data Format (EOS-HDF) format, which is a type of the HDF4 file format. An ASTER image is acquired by three different telescopes and contains 15 bands:

  • 4 Visible and Near-Infra Red (VNIR) bands with a ground resolution of 15 meters;
  • 6 ShortWave Infra Red (SWIR) bands with a ground resolution of 30 meters, and;
  • 5 Thermal Infra Red (TIR) bands with a ground resolution of 90 meters.

The individual ASTER bands have the following properties:

ASTER band | Wave length (µm)
VNIR band 1 | 0.520-0.600
VNIR band 2 | 0.630-0.690
VNIR band 3N | 0.760-0.860
VNIR band 3B | 0.760-0.860
SWIR band 4 | 1.600-1.700
SWIR band 5 | 2.145-2.185
SWIR band 6 | 2.185-2.225
SWIR band 7 | 2.235-2.285
SWIR band 8 | 2.295-2.365
SWIR band 9 | 2.360-2.430
TIR band 10 | 8.125-8.475
TIR band 11 | 8.475-8.825
TIR band 12 | 8.925-9.275
TIR band 13 | 10.250-10.950
TIR band 14 | 10.950-11.650

Notes:

  • ILWIS ASTER Import supports the HDF4 format but does not support the HDF5 format.
  • Data acquired in ASTER VNIR bands 3N (Nadir looking) and 3B (Backward looking) can be used to create a Digital Elevation Model (DEM).

Tip:

Detailed information on the ASTER sensor can currently be found at http://asterweb.jpl.nasa.gov/instrument.asp.

ILWIS ASTER import supports two types of ASTER images:

  • ASTER level 1A files
  • ASTER level 1B files

The level 1A raw data are reconstructed, unprocessed instrument digital counts. This product contains image data with geometric correction coefficients and radiometric calibration coefficients appended but not applied. This includes correcting for SWIR parallax as well as registration within and between telescopes. The spacecraft ancillary and instrument engineering data are also included. The radiometric calibration coefficients consisting of offset and sensitivity information is generated from a database for all detectors. The geometric correction is the coordinate transformation for band-to-band registration.

The level 1B product contains radiometrically calibrated and geometrically coregistered data for all channels. This product is created by applying the radiometric and geometric coefficients to the level 1A data. After that the radiances are scaled back to DN values making use of a single calibration coefficient "Linc" for each band (see formula 3). The bands have been coregistered both between and within the telescopes, and the data have been resampled to apply the geometric corrections. As for level 1A products these level 1B radiances are generated at 15 meter, 30 meter and 90 meter resolutions corresponding to the VNIR, SWIR and TIR channels. Calibrated, at-sensor radiances are given in Wm-2sr-1µm-1. Level 1B data is path oriented and destriping and bad pixel replacement have been applied.

Tip:

Detailed information about the ASTER products can currently be found at http://asterweb.jpl.nasa.gov/data_products.asp.

Radiometric Corrections

The Digital Numbers in a ASTER level 1A file are values describing the voltage output of a sensor mapped within a suitable range (0-255 for the VNIR and SWIR channels and 0-4094 for the TIR channels). These raw DN values can be converted to an actual physical value, called radiance (in Wm-2sr-1µm-1), using the corrections of the radiometric correction table that is embedded in the HDF file. Radiometrically correcting the ASTER level 1A image will remove, as far as possible the striping (slight systematic differences in DN values between adjacent columns in the map) caused by different characteristics of the sensors. When applying radiometric corrections two cases have to be handled:

  • correction for VNIR and SWIR bands, and;
  • correction for TIR bands.

The VNIR and SWIR bands use a pushbroom sensor technology so that each line will be captured in full by an array of 4100 sensors. The radiometric correction has to be applied for each of the 4100 sensors. The formula used in ILWIS to convert the raw DN values of each individual VNIR and SWIR band to radiance values (L) is:

Lij = AjVij / G + Dj formula 1

where:

Lij | = Radiance value at a specific row, column position
Aj | = the Amplification (column 2 in the VNIR/SWIR radiometric correction table)
Vij | = raw DN value at a specific row, column position
G | = the Gain (column 3 in the VNIR/SWIR radiometric correction table)
Dj | = an Offset (column 1 in the VNIR/SWIR radiometric correction table)
ij | = is respectively the row and the column number (VNIR i=1-4200, j=1-4100, SWIR i=2100, j=2048)

The TIR bands use a whiskbroom technology so another correction is needed. Blocks of an image are scanned in a 10 x 700 matrix that moves across the scene (70 blocks). Each of the 10 lines in a block has a separate set of parameters for radiometric correction. For each individual TIR band the formula to convert DN values to radiance values (L) is:

Lij = C0,i + C1,iVij + C2,iVij2 formula 2

where:

Lij | = the radiance value at a specific row, column position
C0,i | = is the Offset (column 1 in the TIR radiometric correction table, i=1-10)
C1,i | = is the first constant (column 2 in the TIR radiometric correction table, i=1-10)
C2,i | = is the second constant (column 3 in the TIR radiometric correction table, i=1-10)
Vij | = the raw DN value at a specific row, column position
ij | = is respectively the row and the column number

Notes:

  • Even after the radiometric correction process some striping may remain as the radiometric correction table may diverge from the actual correction needed. A filter may be required to further remove striping.
  • All calculations for radiometric correction will use a precision of 0.001.
  • The user may want to convert radiance values back to sensor calibrated DN values. These sensor calibrated DN values are not the actual digital unprocessed numbers of the file but radiometric corrected radiance values scaled back into an appropriate range using the formula:
    DNcalibrated = L/C formula 3

    where:

    DNcalibrated

    = sensor calibrated DN value

    L

    = calculated radiance value

    C

    = unit conversion coefficient; a linear scale factor for each band read from the meta data in the HDF file

An ASTER level 1B file already contains radiometrically calibrated DN values. The formula used in ILWIS to convert these radiometrically calibrated DN values to radiance values (L) is:

L = (DN-1) * C formula 4

where:

L | = radiance value
DN | = radiometrically corrected DN value of the ASTER level 1B file
C | = unit conversion coefficient; a linear scale factor for each type of sensor read from the meta data in the HDF file

Output

 | Digital Numbers |  | Radiances
ASTER band | Domain type | Value range | Domain type | Value range
VNIR band 1 | Image | 0-255 | Value | 0-250
VNIR band 2 | Image | 0-255 | Value | 0-250
VNIR band 3N | Image | 0-255 | Value | 0-250
VNIR band 3B | Image | 0-255 | Value | 0-250
SWIR band 4 | Image | 0-255 | Value | 0-250
SWIR band 5 | Image | 0-255 | Value | 0-250
SWIR band 6 | Image | 0-255 | Value | 0-250
SWIR band 7 | Image | 0-255 | Value | 0-250
SWIR band 8 | Image | 0-255 | Value | 0-250
SWIR band 9 | Image | 0-255 | Value | 0-250
TIR band 10 | Value | 0-4094 | Value | 0-20
TIR band 11 | Value | 0-4094 | Value | 0-20
TIR band 12 | Value | 0-4094 | Value | 0-20
TIR band 13 | Value | 0-4094 | Value | 0-20
TIR band 14 | Value | 0-4094 | Value | 0-20

Geometric corrections

Geometrical knowledge of the imported ASTER bands is defined by the Georeference (relation between pixel RowCol positions and plane XY coordinates) and the Coordinate System parameters (either geographic or geodetic LatLons or projected map coordinates).

ASTER level 1A data contains sets of tiepoints with given geocentric LatLons on the WGS84 spheroid. The Aster User’s Guide Version 3.1 Part 1, March/June 2001 gives formulas to convert them to geodetic LatLons, at least for the center of each scene. The following calculations are carried out when importing an ASTER image. The results are found under the Additional Info of the created UTM coordinate system.

The geocentric latitude PSI for scene number K is calculated as (Aster User's Guide Part 1, March 2001):

PSI = ASIN(COS(360(K - 0.5)/Kmax)SIN(A)) formula 5

where:

ASIN | = the arc sine, i.e. the inverse sine (sin-1), of a value
COS | = the cosine of an angle
K | = a scene number
Kmax | = 670; the maximum number of scenes
SIN | = the sine of an angle
A | = 81.8°; the complementary angle of the orbit inclination

The geocentric latitude PSI found in the HDF file can be converted into the geodetic (WGS84) latitude PHI using the following formula (Aster User's Guide Part 1, March 2001):

PHI = ATAN(C*TAN(PSI)) formula 6

where:

ATAN | = the arc tangent, i.e. the inverse tangent (tan-1), of a value
C | = 1.0067394967422764; the squared ratio of the Earth radius at the equator to that of the pole of the WGS84 spheroid
TAN | = the tangent of an angle
PSI | = the geocentric Latitude

The longitude in the center of the scene can be found from the scene number K and the path number J using the following formulas:

The longitude LK=168,J of the descending node at the Equator for the path J can be expressed as follows:

LK=168,J = -64.60-360(J-1)/233 | (for J=1-75) | formula 7
LK=168,J = 295.40-360(J-1)/233 | (for J=76-233) | formula 8
where:

J

= the path

The longitude LK,J of row K and path J can be expressed as follows:

For the descending path:

Lk,J- Lk=168,J =ATAN(TAN(360(168-K)/Kmax)COS(A))+(168-K)(T*we/Kmax)+360*N (for K=1-335) formula 9

For the ascending path:

Lk,J- Lk=168,J =ATAN(TAN(360(503-K)/Kmax)COS(A))+180+(168-K)(T*we/Kmax)+360*N (for K=1-335) formula 10

where:

ATAN | = the arc tangent, i.e. the inverse tangent (tan-1), of a value
TAN | = the tangent of an angle
K | = a scene number
Kmax | = 670; the maximum number of scenes
COS | = the cosine of an angle
T | = 16*24*60/233 = 98.884; the orbit period of the spacecraft in minutes
we | = 360/86400 = 0.0041666667; the angular velocity of the rotating earth in degrees/second
N | = an integer needed to adjust the obtained longitude to a value > -180º and <= 180º

The LatLon tiepoints of ASTER level 1A are converted to Universal Transverse Mercator (UTM) coordinates of the appropriate zone, similar to what is done for ASTER level 1B data. However for the level 1A data the full set of tiepoints available in the HDF file and a 3rd order transformation are used.

Note:

The number of tiepoints is variable depending on the telescope.

ASTER level 1B data contains images already resampled to the geometry of the appropriate UTM projection with the WGS84 Datum. The images are however not north-oriented but path-oriented. ILWIS creates for this purpose a georeference with the 4 corners as tiepoints

The tiepoints coordinates (in UTM) can be obtained from the lattice of 13 X 11, 107x104 and 12x11 LatLons given for respectively VNIR, SWIR and TIR, simply by applying the relevant projection transformation. The applicable UTM zone can be found in the metadata of the HDF file.

Output

 |  | Level 1A |  | Level 1B
ASTER band | Georeference | Nr. of tiepoints | Size (RowCol) | Nr. of tiepoints | Size(RowCol )
VNIR band 1 | Tiepoints | 13x11=143 | 4200 x 4100 | 4 | 4200 x 4980
VNIR band 2 | Tiepoints | 13x11=143 | 4200 x 4100 | 4 | 4200 x 4980
VNIR band 3N | Tiepoints | 13x11=143 | 4200 x 4100 | 4 | 4200 x 4980
VNIR band 3B | Tiepoints | 16x11=176 | 5400 x 5000 | 4 | 4600 x 4980
SWIR band 4 | Tiepoints | 107 X 104 =11128 | 2100 x 2048 | 4 | 2100 x 2490
SWIR band 5 | Tiepoints | 107 X 104=11128 | 2100 x 2048 | 4 | 2100 x 2490
SWIR band 6 | Tiepoints | 107 X 104=11128 | 2100 x 2048 | 4 | 2100 x 2490
SWIR band 7 | Tiepoints | 107 X 104=11128 | 2100 x 2048 | 4 | 2100 x 2490
SWIR band 8 | Tiepoints | 107 X 104=11128 | 2100 x 2048 | 4 | 2100 x 2490
SWIR band 9 | Tiepoints | 107 X 104=11128 | 2100 x 2048 | 4 | 2100 x 2490
TIR band 10 | Tiepoints | 12 X 11 = 132 | 700 x 700 | 4 | 700 x 830
TIR band 11 | Tiepoints | 12 X 11 = 132 | 700 x 700 | 4 | 700 x 830
TIR band 12 | Tiepoints | 12 X 11 = 132 | 700 x 700 | 4 | 700 x 830
TIR band 13 | Tiepoints | 12 X 11 = 132 | 700 x 700 | 4 | 700 x 830
TIR band 14 | Tiepoints | 12 X 11 = 132 | 700 x 700 | 4 | 700 x 830

Notes:

The georeferences for ASTER level 1B are the same per sensor group (VNIR, SWIR and TIR) except VNIR band 3B which has a separate one.

Tips:

  • With the Epipolar Stereo Pair operation you can create a stereo pair from the two ASTER bands VNIR 3N and VNIR 3B.
  • The Coordinate System Properties sheet gives additional information that can be relevant in case of mosaicking ASTER images. The Additional Info tab gives information about:
    Zone:
    Central Meridian:
    Scale Factor at Central Meridian:
    Geographic area:
    Latitude limits: rMinLat, rMaxLat
    Longitude limits: rMinLon, rMaxLon
    Scene (Row-) Number: iSceneNr
    Orbit Path Number: iPathNr
    Geocentric Latitude at Row SceneNr
    Geodetic Latitude at Row SceneNr
    Longitude at Row SceneNr

See also:

Import ASTER

Import Map


Main window

 File menu

Import

Import Map

Import General Raster

Import Table Wizard

Import a (set of) raster map(s), usually satellite images, of which the format is not directly supported by ILWIS Map Import.

This option does not automatically read the header line of the file which normally contains information about the map's dimensions, coordinates, data type, etc. The user is asked to enter required information manually, therefore you should have some knowledge about the header size and the structure of the file. The Import General Raster option only reads pixel values, and creates one or more raster maps with the system Image domain or the system Value domain, and generally also a map list.

The dialog boxes described below appear when you select Import General Raster from the File menu in the Main window, in the Operation-tree or in the Operation-list. In the Import dialog box, the Import Format is then directly set to Use General Raster Import.

You can also select the Import Format Use General Raster Import yourself in the Import dialog box.

When you wish to import multiple general raster files, it is advised to type an Import expression on the command line or to write a script with Import expressions. The Import expressions are described in Appendices : ILWIS script language (syntax), section Import General Raster.

Import dialog box options:

Select a file: | Select the file that you wish to import.
Import format: | Use General Raster Import When you select another Import format, please refer to the other Import topics in the Help; you can click one of the links in the header of this topic.
Output file name: | Type a name for the output ILWIS raster map or the map list. Do not specify an extension for the ILWIS object; ILWIS will add its own extensions.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

After selecting a file, the Import General Raster dialog box is opened; which is described below.

Import General Raster dialog box options:

Header size:

Type a value for the number of bytes of the header. Before starting to read the pixel values, the program will skip this specified number of bytes that are supposed to be the header.

If the header size is unknown, specify 0 as size. After conversion, study the image on the screen. Count the numbers of pixels on the first line that have a signature which is different from the rest of the image: this is probably the header. The number of pixels corresponds to the header size.

Number of bands:

Type a value for the number of bands that are stored in the file.

Number of columns:

Type a value for the number of columns that should appear in the raster map. If the number of columns of the image is unknown, specify, for a byte map, the square root of the number of bytes the image occupies, or a round value there about. This assumes that the image is square. If the image is an integer image (i.e. 2 bytes are used to store one pixel value), the value should be the square root of half the number of bytes. Still, this is likely to yield a distorted image. If the image shows a certain left skewness, the specified number of columns is probably too large. Try again with a smaller number of columns. If the image is skewed to the right, try the other way around.

Pixel structure:

Specify the type of values that are stored per pixel.

Bit:

Interpret each bit in the input file as an output pixel value. Each output pixel value will have either value 0 (False) or 1 (True). Bit maps are useful to store simple maps, for instance maps indicating occurrences of any item, a condition being fulfilled (yes or no, true or false, occurrence or no occurrence).

Byte:

Interpret each byte (8 bits) in the input file as an output pixel value. The output pixel values will range from 0 to 255.

Integer numbers:

Interpret each 1, 2, or 4 bytes in the input file as an output pixel value and consider this value as a whole value.

Floating point numbers (IEEE):

Interpret each 4 bytes (floats) or 8 bytes (doubles) in the input file as an output pixel value and consider this value as a floating point value according to the IEEE standard.

Number of bytes per pixel:

Select how many bytes per pixel are used in the input file to store the values in the map.

High Endian Byte Order:

In case of using 2, 4 or 8 bytes per pixel: select this check box, when the input file is using Motorola type ordering (highest byte first) instead of Intel. You should select High Endian Byte Order when the input file was for instance created on a Unix or Apple system.

Clear this check box when the file uses the Intel byte order.

File structure:

In case the input file stores multiple bands, select how the values of the bands are stored:

Band Interleaved (BIL):

The input file stores lines of different bands one after the other; i.e. after a possible header, the input file contains the first line of the first band, followed by the first line of the second band, etc.

Band Sequential (BSQ):

The input file stores entire bands one after the other; i.e. after a possible header, the input file contains the entire first band, followed by the entire second band, etc.

Pixel Interleaved (BIP):

The input file stores pixels of different bands one after the other; i.e. after a possible header, the input file contains the first pixel of the first band, followed by the first pixel of the second band, etc.

Use data file in original format:

Select this option to only create the object definition files in ILWIS storing information on the size of the map, the kind of values in the map, etc. while the original data file(s) will be used to display and calculate with the maps.

  • When importing a file that contains a single band (Number of Bands = 1),

    • an object definition file for a raster map (.MPR) will be created.

  • When importing a file that contains multiple bands (Number of Bands >= 2),

    • an object definition file for a map list (.MPL) will be created;

    depending on the check box Create Separate Maps, also object definition files for the raster maps (.MPR) may be created.

Create separate maps:

When importing a file containing multiple bands:

  • select this check box to obtain besides the map list (.MPL) also separate raster maps (.MPR).
  • clear this check box to obtain only a map list (.MPL); the original data will be used for the raster maps in the map list. It is advised to clear the check box when your map list contains very many raster maps.

Convert to ILWIS data format:

Select this option to create the object definition files as well as data files that actually store the values of the map(s).

  • When importing a file containing a single band (Number of Bands = 1),

    • an object definition file for a raster map (.MPR) and a data file for a raster map (.MP#) will be created.

  • When importing a file containing multiple bands (Number of Bands >= 2),

    • an object definition file for a map list (.MPL), object definition files for the raster maps (.MPR) in the map list, and data files for the raster maps (.MP#) will be created.

Output name:

Accept the name for the output ILWIS 3 object(s) or type the desired output object name yourself. The name you type here will have precedence over the output file name typed before in the Import dialog box.

  • When importing only one raster map (Number of Bands = 1, Use As, or Convert):

    • the output raster map will have the specified output name.

  • When importing only a map list map (Number of Bands >= 2, Use As, No separate maps):

    • the output map list will have the specified output name. The bands in the map list will be automatically called 'band 1', 'band 2', etc. You can calculate with the bands by addressing them as maplistname:bandnumber as for instance in OUT = MyMapList:1 + MyMapList:2

  • When importing a map list map and creating separate raster maps (Number of Bands >= 2, Use As & Separate maps, or Convert):

    • the output map list will have the specified output name, the output raster maps will have the specified output name directly followed by a band number, for instance as Out1, Out2, etc.

Description:

Optionally, type a description for the output raster map or the output map list.

Additional information

 | Use As no separate maps | Use As separate maps | Convert
Nr of Bands = 1 | single raster map output.MPR | - | single raster map output.MPR single data file output.MP#
Nr of Bands >= 2 | single map list output.MPL virtual raster maps in map list as output:nr | single map list output.MPL multiple raster maps outputnr.MPR | single map list output.MPL multiple raster maps outputnr.MPR multiple raster data files outputnr.MP#

Tip:

To show external files in a Catalog:

  • Open the Customize Catalog sheet,
  • On the Selection tab, specify the external extension(s) you wish to see in the External file extensions text box.
    • Extensions can be specified with and without dot in front of the extension.
    • Multiple file extensions should be separated with a semicolon, for instance as in dbf;tif or as in .dbf;.tif

      • Mind: It is not allowed to use any spaces between multiple file extensions.

See also:

ILWIS objects

ILWIS objects : map lists

ILWIS objects : raster maps

How to import data

ILWIS Map Import

Import Table wizard

Appendices : ILWIS script language (syntax), section Import expressions

Appendices : ILWIS script language (syntax), section General Raster Import


Import Table wizard

 Main window, File menu

Specify Input Table Name

 ILWIS import, Next >
dBase DBF, Next >
Database, Next >

The Import Table wizard can be used:

  1. To import a file in a foreign format (ASCII or DBF) into ILWIS.

    2. The table will be converted to the ILWIS table format [image].

    For more information, see ILWIS table import below.

  2. To access or import a single table from a file-based database format (DBF, XLS, MDB).

    3. You can choose:

    • to use the table in its original format and obtain a Use As table [image] u, or
    • to convert the table to the ILWIS table format [image].

    For more information, see Import table from Database below.

Page options:

Select a file: | Select the file you wish to import (1), or select a file-based database (2) from which you wish to import a single table.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

(1) ILWIS table import:

With ILWIS import, the following formats can be imported:

  • dBase III/IV files (DBF),
  • ILWIS 1.4 tables (ASCII),
  • Comma delimited files (ASCII),
  • Space delimited files (ASCII), and
  • Fixed format or standard format files (SDF, ASCII).

The imported file will always be converted to the ILWIS table format [image].

The ILWIS Import Table wizard will guide you through the import process:

  • the format of the external file may be automatically recognized (DBF, ILWIS 1.4, Comma delimited);
  • for ASCII formats, you will get a view inside the file, which may help you to distinguish whether the file is comma delimited, space delimited or in fixed format. It may also help you to determine the number of columns in the file, the kind of values that the file contains per column, etc.;
  • you can interactively separate columns, assign new or existing domains to columns, select a key domain for the output table, etc.

When you convert files, it is assumed that you already understand some of the main ILWIS concepts. It is recommended that you have read at least the following topics: Basic concepts : before creating ILWIS maps and tables and Basic concepts : working with domains.

Note: When importing, column names may not contain any of the following characters - + ( ) = /

(2) Table from database (ODBC or OLE DB):

The following database tables can be accessed or imported:

  • a file-based database such as a dBase .DBF file, an Excel .XLS file, or an Access .MDB file, for which an ODBC driver has been installed on your system.

The selected table can be used in its original format, you will then obtain a Use As table [image] u; but you can also convert the table to the ILWIS table format [image].

General tip: Using the Import Table wizard is only one of the methods of accessing an external database. For other methods, and for more information on databases and database collections [image], refer to ILWIS objects : tables - databases.

Import Excel .XLS requirements:

  • It is expected that the first row of the Excel sheet that you wish to import is a header from which column names can be constructed.
  • Furthermore, it is expected that actual data starts in the second row of the Excel sheet.
  • Columns in the Excel sheet are converted to ILWIS columns that use the following data types (domains): domain Value or domain String. If conversion to value or string fails, the column will be skipped.

Next pages of the Import Table wizard

(1) ILWIS table import:

  • When you selected a dBase DBF file, first the dBase DBF import method page will appear in which you have to choose whether you wish to import the table with ILWIS table import or a Database ODBC driver. In case you select ILWIS table import (else see Database ODBC), you will continue with the Import Table - Select Table Format page where you have to specify the format of the table you wish to import.

  • The Import Table - Select Table Format page will directly appear when you selected an ASCII table.

    • On the Select Table Format page, you have to specify the format of the table you wish to import.

  • Subsequently, in case of a file in ASCII format (ILWIS 1.4, Comma delimited, Space delimited, or Fixed format), the Import Table - View File page will appear. In case of a dBase DBF file, this page will be skipped.

  • Then, on the Import Table - Edit Column Details page, specify the name and type of domains of each column and optionally, the domain of the table.

  • Finally, on the last page of the wizard, the Import Table - Specify ILWIS Table Name page, specify the name of the ILWIS table that will be the result of import.

(2) Table from Database (ODBC or OLE DB):

  • When you selected a dBase DBF file, first the dBase DBF import method page will appear, in which you have to choose whether you wish to import the table with ILWIS table import or use a Database ODBC driver. In case you select Database ODBC driver (else see ILWIS table import), you will continue with the Table and/or Table domain page, where you can specify a domain for the table that you wish to import.

  • For a file-based database from which you wish to use or import a table, you will directly go to the Import database - Table and/or Table domain page
    • .

    On the Import database - Table and/or Table domain page, select a table and choose a domain for the table.

    For a dBase table, you only have to specify the domain of the table.

  • Subsequently, on the Import database - SQL query page, specify the query to retrieve records from the database.

    • The default query will select all records of the table.

  • Finally, on the last page of the wizard, the Import Table - Specify ILWIS Table Name page, specify the name of the ILWIS table that will be the result of import.

    • You can choose to use the original data (and obtain a Use As table) or to convert the table to the ILWIS table format.

Tips:

  • When you wish to import multiple files, it is advised to type an Import expression on the command line or to write a script with Import expressions. Import expressions to import tables are described in Appendices : ILWIS script language (syntax), section ILWIS Table import.
  • To import maps, see:

    • Import Map (ILWIS Import)
    • Import General Raster (ILWIS Import)

See also:

Import Table - Select Table Format

Import Table - DBF import method

Import Database - Table and/or Table domain

ILWIS objects : tables - databases

How to import data


Import Table wizard - dBase DBF import method

Import Table wizard

 Main window, File menu

dBase DBF import method

 < Back | ILWIS import, Next >
< Back | Database, Next >

Note: This page is only shown when importing a dBase DBF file.

As DBF files can be imported both by ILWIS import and by database access (ODBC), you have to choose the method you wish to use.

This page is skipped when importing:

  • an ASCII table in ILWIS 1.4 format,
  • an ASCII table in comma delimited format,
  • an ASCII table in space delimited format, or
  • an ASCII table in fixed format.

In these cases, you will automatically be directed to the ILWIS import method. You can click ILWIS import, Next at the top of this Help page.

This page is also skipped when importing:

  • a database format such as Access .MDB, for which an ODBC driver has been installed on your system.

In this case, you will automatically be directed to the Database method. You can click Database, Next at the top of this Help page.

Page options:

Use ILWIS import: | To import the dBase DBF file with ILWIS DBF import.
Use Open Database Connectivity (ODBC):
 | To import the dBase DBF file using an ODBC driver or OLE DB.

If you choose ILWIS import:

After clicking the Next button, the Import Table - Select Table Format page will appear. On that page, you have to specify the format of the table you wish to import.

When you specified that the external file is a file in ASCII format (ILWIS 1.4, Comma delimited, Space delimited, or Fixed format), the Import Table - View File page will appear.

This page will be skipped if you specified that the external file is a file in dBase format.

The Import Table - Edit Column Details can be used to specify the name and type of domains of each column and optionally, the domain of the table.

Finally, on the last page of the wizard, the Import Table - Specify ILWIS Table Name page will appear. There you can specify the name of the ILWIS table that will be the result of import.

If you choose ODBC:

After clicking the Next button, the Import Database - Select Table and/or Table Domain page will appear. On that page, you can choose a domain for the output table.

Subsequently, you will go to the Import Database - SQL query page. On that page, you can specify the SQL query to retrieve specific record from the table.

Finally, on the last page of the wizard, the Import Table - Specify ILWIS Table Name page will appear. There, you can specify the output name for the table, and you can choose to obtain a Use As table or to convert the table to the ILWIS table format.

See also:

Import Table - Select Table Format

Import Database - Table and/or Table domain

ILWIS objects : tables - databases

How to import data


Import Table wizard - Select Table Format

Import Table wizard

 Main window, File menu

Select Table Format

 < Back | Next >

Select the format of the table you wish to import. The dBase DBF format, the ILWIS 1.4 table format and the Comma delimited format are automatically recognized.

Page options:

dBase DBF: | The file to be imported is a binary file in dBase format; required extension .DBF
ILWIS 1.4: | The file to be imported is an ASCII file in ILWIS 1.4 table format; default extension .TBL, any extension allowed.
Comma Delimited: | The file to be imported is an ASCII file; any extension allowed; in a record, fields are separated by a comma.
Space Delimited: | The file to be imported is an ASCII file; any extension allowed; in a record, fields are separated by (at least) one space or (at least) one tab.
Fixed Format: | The file to be imported is an ASCII file; default extension .SDF, any extension allowed; in every record, a certain field starts at the same specific position.

When you specify to import a file in ASCII format (ILWIS 1.4, Comma delimited, Space delimited, or Fixed format), and click the Next button, the Import Table - View File page will appear. On that page, the first 100 lines of the file will be displayed, so that you can see whether the file to be imported has a header that should be skipped, and where you can inspect the structure of the file.

When you specify to import a file in dBase format, and click the Next button, the Import Table - Edit Column Details page will appear directly.

Additional information

Space delimited format:

A files that is space delimited may look like:

1 45 abc 999 0.045

2 44 defghij 25 0.061

3 48 xxyyz 31 0.075

In a record, a field is separated from a next field by (at least) one space or (at least) one tab.

Fixed format (Standard format):

A files that is in fixed format (also called standard format) may look like:

1 45 abc 999 0.0450.4

2 44 defghij 25 0.0610.5

3 48 xxyyz 31 0.0750.7

In every record, a certain field starts at the same specific position. Positions without information are supposed to be filled with spaces.

As you can see, subsequent fields are not necessarily separated from one another by a separator (last 2 'columns').

See also:

Import Table - View File

Import Table - Edit Column Details

How to import data

Appendices : ILWIS script language (syntax), section ILWIS Table import


Import Table wizard - View File (only for ASCII tables)

Import Table wizard

 Main window, File menu

View File (ASCII tables only)

 < Back | Next >

Note: This page is only shown when you are importing:

  • an ASCII table in ILWIS 1.4 format,
  • an ASCII table in comma delimited format,
  • an ASCII table in space delimited format, or
  • an ASCII table in fixed format.

When importing a dBase DBF file, this page is skipped; you can click Next at the top of this page.

Page options:

The first 100 lines of the ASCII file are shown in a list box.

You can use this page to inspect the contents of your ASCII table.

  • You can determine for instance whether you selected the correct format on the previous page (see the Additional information below).
  • For Fixed format, you can count the number of characters used by a column; this is necessary for the next page.

If you wish to change the format that should be used to import the file, click the Back button; on the Select Table Format page, select another format; then click the Next button to return to this View File page again.

After clicking the Next button, the Import Table - Edit Column Details can be used to specify the name and type of domain for each column, and, optionally, specify a domain for the table.

Additional information

ILWIS 1.4 format:

A file that is in ILWIS 1.4 table format may look like:

col1# col2$ col3% col4& #1

45 abc 999 0.045

44 defghij 25 0.061

48 xxyyz 31 0.075

The first line is a header which defines the column types, and sets the record numbers:

colname$ | column stores any strings or characters
colname# | column stores byte values (whole positive numbers between 0 and 255)
colname% | column stores integer values (whole numbers between -32766 and 32767)
colname! | column stores long integer values (whole numbers between - 2 billion to 2 billion)
colname& | column stores real values (values with decimals)
#number | the offset of the record numbers in the table, #1 means that the first record is record number 1.

In a record, a field is separated from a next field by a space.

Comma delimited format:

A file that is comma delimited may look like:

1,45,abc,999,0.045

2,44,defghij,25,0.061

3,48,xxyyz,31,0.075

In a record, a field is separated from a next field by a comma.

Space delimited format:

A file that is space delimited may look like:

1 45 abc 999 0.045

2 44 defghij 25 0.061

3 48 xxyyz 31 0.075

In a record, a field is separated from a next field by (at least) one space or (at least) one tab.

Fixed format (Standard format):

A file that is in fixed format (also called standard format) may look like:

1 45 abc 999 0.0450.4

2 44 defghij 25 0.0610.5

3 48 xxyyz 31 0.0750.7

In every record, a certain field starts at the same specific position. Positions without information are supposed to be filled with spaces.

As you can see, subsequent fields are not necessarily separated from one another by a separator (last 2 'columns').

See also:

Import Table - Edit Column Details

How to import data

Appendices : ILWIS script language (syntax), section ILWIS Table import


Import Table wizard - Edit Column Details

Import Table wizard

 Main window, File menu

Edit Column Details

 < Back | Next >

Specify for each column: the name and type of the domain that should be used for the column. Optionally, you can specify the domain that should be used by the table.

Page options:

Column name:

Required to assign names to the output columns. If you like, change the default names for the output columns to nicer ones.

Width:
  • Required for Fixed format: for each column, specify the number of characters used by that column. Use the previous View File page to count the number of characters for each column.
  • For any other format than Fixed format: the value for Width will not be used; so you can keep default Width value 0.

New Domain, Domain type, Domain Name, Extend:

For each column to be imported, these parameters represent a group of possibilities.

Tip: It is strongly recommended to read the Additional Information below.

New Domain:

Yes or No

Specify whether you wish to create a new domain for a column (Yes) or not (No).

Domain type:

'Class', 'ID', 'Value', 'Bool', or 'String'.

Specify the type of domain that should be used by a column.

Domain name:

Specify the name of the domain for a column.

  • When Domain type is set to 'Class', 'ID', or 'Value', and when New Domain is set to Yes:

    • type a new name for a domain; you may specify for instance the name of the column that uses this domain.

  • When Domain type is set to 'Class', 'ID', or 'Value', and when New Domain is set to No:

    • select an existing domain.

When you chose Domain Type 'String', the column will always use system domain String.

When you chose Domain Type 'Bool', the column will always use system domain Bool.

Extend:

Yes or No

  • When Domain type is set to 'Class' or 'ID': specify whether the class names or identifiers of a new or existing Class or ID domain should be extended with any new strings found in the column or not.

    • When creating a new Class or ID domain for a column, the Extend field MUST be set to Yes for that column.

  • For other Domain type settings: - blank -

Min:

When Domain type is set to 'Value': to check whether the default minimum value as found in this column is OK. The values specified for Min and Max together define the value range for the output column.

For other Domain type settings: - blank -.

Max:

When Domain type is set to 'Value': to check whether the default maximum value as found in this column is OK. The values specified for Min and Max together define the value range for the output column.

For other Domain type settings: - blank -.

Precision:

When Domain type is set to 'Value': to check whether the number of decimals as found in this column is OK. This is also called the precision of the output column.

For other Domain type settings: - blank -.

Undef:

When Domain type is set to 'Value': in case a certain value is used in the column to define 'Undefined' (e.g. 999), you can optionally specify the value in the column that should be imported as ILWIS 'Undefined', i.e. in the output column, this value will appear as ?.

For other Domain type settings: - blank -.

Table Domain:

Optionally, you can select this check box and select a Class or ID column that should be used as the domain of the table. The specified column will not appear as a column in the output table.

Purpose of setting a Table Domain: when an output table itself uses a certain Class or ID domain, you can link the output table to a map which uses the same Class or ID domain; the output table will then become an attribute table of the map to which you linked it. You can also link the output table to the Class or ID domain itself; then the table will be the (default) attribute table of all maps which use that domain.

  • Select this check box and select the Class or ID column that contains unique strings which will be the 'record numbers' in the output table. A star will appear at the column which will be used as the domain of the table.
  • Clear this check box when you wish to obtain a table with system domain None. The table will have record numbers like 1, 2, 3, etc. You may have to use the Change domain of table operation after import to convert the table to an attribute table.

Nr. of columns:

For a file in ASCII format: check the number of columns in the input table. When you selected the correct input format on a previous page (excluding Fixed format), the number of columns should be correct by default on this page. When the file is in Fixed format, you may need to change the number of columns to the expected value (use the previous View File page).

This option is not available when your file is in dBase DBF format.

Nr. of lines to skip:

For a file in ASCII format: when your file has a header, specify the number of lines that should be skipped at the beginning of the file. When your file is for instance in ILWIS 1.4 table format, the first line should be skipped. You can check the number of lines that should be skipped at the previous View File page.

This option is not available when your file is in dBase DBF format.

After clicking the Next button, the Import Table - Specify ILWIS Table Name page will appear. There you can specify the name of the ILWIS table that will be the result of import.

Additional information

Importing a column containing characters (strings):

To import a column containing strings (such as a dBase Character column), it is advised to create a new Class or ID domain for the column.

You can use the following combinations:

1. To create a new Class or ID domain for a column:

New Domain:

Yes

Domain type:
  • Class, when the strings in the column of the external file may occur more than once in this column, e.g. classes of soil types.
  • ID, i.e. Identifiers, when each string in the column of the external file (generally) occurs only once in this column, e.g. identifiers of cadastral plots.

Domain name:

Accept a default domain name as generated by the system, or type new name for the domain yourself; you can use for instance the same name as the name of the column.

Extend:

Yes, required.

2. To use system domain String for a column:

New Domain:

No

Domain type:

String

Domain name:

Accept system domain String.

Extend:

- blank -

Tip: Columns which use the system domain String can be converted to regular Class or ID columns by opening the table, double-clicking the column header of String column, and clicking the Create New Domain from Strings in Column button in the Column Properties dialog box.

Importing a column containing values:

To import a column containing values (such as a dBase Numeric column), you can generally use system domain Value.

You can use the following combination:

New Domain: | No
Domain type: | Value
Domain: | Value, i.e. this is system domain Value
Extend: | - blank -

To import a column which contains percentage values from 0 to 100, select for Domain: Perc. This is system domain Perc. Other settings as above.

Similarly, to import a column which contains values between -1 and 1, select for Domain: Min1to1. This is system domain Min1to1. Other settings as above.

You can use the same method for other existing value domains (system value domains or user-defined value domains that were created before).

When you wish to create a specific new value domain for a column, select for New Domain: Yes. For Domain, type a new domain name. Other settings as above.

Importing a column containing only values 0 and 1, or True and False, etc.:

To import a column containing values 0 and 1, or True and False, etc. (such as a dBase Logical column), you can generally use system domain Bool.

You can use the following combination:

New Domain: | No
Domain type: | Bool
Domain: | Bool, i.e. this is system domain Bool
Extend: | - blank -

You can also import such a column using the system domain YesNo. Select for Domain: YesNo. Other settings as above. In the output column, the values of the column will be Yes and No only.

See also:

Import Table - Specify ILWIS Table Name

How to import data

Appendices : ILWIS script language (syntax), section ILWIS Table import


Import Table wizard (table from database) - Select table and table domain

Import Table wizard

 Main window, File menu

Database, Table + Table Domain

 < Back | Next >

Select the table from the database that you wish to use or that you wish to import, and select the domain for the table.

In case of a dBase DBF table, the table is already known, so you only need to specify a domain.

Page options:

Database tables:

Select a table from the database.

  • Excel sheets are listed with a $ sign behind the sheet name.
  • The database tables list box is not available when importing a dBase DBF file.

Possible key columns:

Select a domain for the output table.

You can select:

  • system domain None: the output table will resemble the original table.
  • a String column from the table: the items in the string column will be converted to an ID domain, and the output table will use this ID domain.

Tips:

  • For Excel import requirements, see Import Table wizard, section Import Excel .XLS requirements.
  • This option is one of the methods to access a database. For a general introduction, refer to ILWIS objects : tables - databases.
  • After initial import, you can change the domain of a String column through the Column Properties of a column.
  • After initial import, you can change the domain of a table (e.g. when table uses domain None) through the Change domain of table operation.

See also:

Import database - SQL query

ILWIS objects : tables - databases

ILWIS objects : object collections

How to import data


Import Table wizard (table from database) - SQL query

Import Table wizard

 Main window, File menu

Database, SQL query

 < Back | Next >

Type a SQL query to retrieve specific records from the database.

The default query will select all records from the selected table.

Page options:

SQL query:

Accept the default query or type your own SQL query to retrieve a specific set of records from the database.

  • The default query reads: select * from tablename
  • Frequently used 'selectors'/'operations' in a SQL query are for instance: where and group by.
  • The exact SQL syntax to be used here may depend on the SQL implementation of the package in which the database or the file was created.

Tip: This option is one of the methods to access a database. For a general introduction, refer to ILWIS objects : tables - databases.

See also:

Import table - Specify ILWIS Table Name

ILWIS objects : tables - databases

ILWIS objects : object collections

How to import data


Import Table wizard - Specify ILWIS Table Name

Import Table wizard

 Main window, File menu

Specify ILWIS Table Name

 < Back, ILWIS Import | Finish >
< Back, Database | Finish >

Specify a name for the output ILWIS table.

Page options:

Output Table:

Specify a name for the output table. The table will appear in the current directory.

When you used ILWIS import (i.e. when not importing a table from a database through ODBC), the output table is always in ILWIS format [image].

Convert to ILWIS format:

In case you imported a table from a database through ODBC:

  • Select this check box when you wish to obtain an ILWIS table [image].
  • Clear the check box when you wish to use the data from the database itself; you will obtain a Use As table [image] u.

For more information, refer to ILWIS objects : tables - databases.

When you click the Finish button, the external file will be imported. You can inspect the result by double-clicking the output table in the Catalog.

Additional information

The following files are created:

.TBT:

the object definition file for the table; contains all properties. This file will be visible in a Catalog.

.TB#:

contains all the table information; i.e. the data of all fields in the table. This file is only created:

  • when you used ILWIS import to import a .DBF or an ASCII file, or
  • when you imported a table of a database, and chose to convert the table to ILWIS format.

Furthermore, when you used ILWIS import, domains and representations may be created.

Tips:

When the output table is in ILWIS table format, i.e. not for Use As tables:

  • After initial import, you can change the domain of a String column through the Column Properties of a column. Double-click a column header in the ILWIS table, and click the Create new domain from strings in column button.
  • After initial import, you can change the domain of a table through the Change domain of table operation. For instance when an imported table uses domain None, you can choose to use a class or ID column of this table to be used as the domain of the table. Then, the table can be linked to a map through the Properties of the map.

See also:

ILWIS objects : tables

ILWIS objects : tables - databases

Appendices : ILWIS script language (syntax), section Import expressions

Appendices : ILWIS script language (syntax), section ILWIS Table import


Main window

 File menu

Export

Export a selected ILWIS 3 map, table, histogram or coordinate system to ILWIS 2 or to the format of another software package.

For raster maps, you can use ILWIS export. For more information, see below.

Dialog box options:

Select an object: | Select the ILWIS object which you want to export.
Export format: | Select the format to which you want to export.
Output file name: | Type a name for the output file.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Tips:

  • With this dialog box, you can export a single selected object to one of the formats described below.
  • In case you need to export multiple objects, it is advised to type an Export expression on the command line or to write a script with Export expressions. The Export expressions are described in Appendices : ILWIS script language (syntax), section Export expressions.

    • By using the command line or a script, you also have the possibility to export ILWIS objects which are internally stored as a table such as 2-dimensional tables, domain class, representation class, georeference tiepoints, and coordinate system tiepoints.

Supported Export formats

The supported export formats are described in a number of sections below:

1. ILWIS export

1a. Raster export

1b. Vector export

1c. Table and histogram export

1d. Coordinate system export

2. Tips: using clipboard and exporting layouts

1. ILWIS export

1a. Exporting raster maps

Export raster maps in the ILWIS raster format to a number of other formats.

Arc/Info ASCII:

Exports to Arc/Info non-compressed ASCII format (extension .ASC).

Erdas GIS:

Exports to Erdas .GIS format.

The Erdas-LAN and Erdas-GIS formats can only handle North-oriented maps.

The output consists of a .GIS file which contains the raster map, and, in case you exported a raster map with a class domain, a .TRL file which contains class and representation information.

Erdas LAN:

Exports a series of images in an ILWIS map list or a single raster map to the Erdas .LAN format.

The Erdas-LAN and Erdas-GIS formats can only handle North-oriented maps.

Furthermore, the Erdas-LAN format can only contain positive integers. This means that the ILWIS raster map(s) must use a class, ID domain or value domain; in case of a value domain, the values must be between 0 and (maximum) 32767, and the precision must be 1.

The output file contains a header (according to the Erdas .LAN format) with a description of the data that follows in the same file. In case you exported raster map with a class domain, also a trailer file (extension .TRL) will be written.

IDA image IMG:

Exports to IDA (Image Display and Analysis) image format (extension .IMG). IDA claims compatibility with the Terramar Micro-Image System. Image type and projection are set to 0, resp. generic and none.

Idrisi IMG/DOC:

Exports to Idrisi format (extensions .DOC, .IMG, and optionally .PAL)

The ILWIS raster map can have a class domain, an ID domain (only less than 32767 items allowed in Idrisi), the Image domain or a value domain. Furthermore, the ILWIS raster map must be north-oriented.

When exporting ILWIS value maps stored using 4 or 8 bytes per pixel, there is a possible loss of accuracy as Idrisi only supports floats (4 bytes per pixel).

The output consists of an Idrisi .DOC file which contains ASCII information on the map's store type, numbers of rows and columns, coordinates, etc., and a binary .IMG file which contains the actual map data.

When you export an ILWIS raster map with a class or ID domain, and the domain contains less than 255 items, then all class names or IDs are available in Idrisi as categories.

In case you export an ILWIS map with a class domain or a picture domain, also a file with color information (.PAL) is created. In Idrisi, this file must be translated into the internal Idrisi format with the palette workshop: read in as .PAL, and Save As .SMP.

ILWIS 1.4:

Exports to ILWIS 1.4 format (extensions .MPD, .MPI, and optionally .INF and .COL). Mind: ILWIS 1.4 map names may not be longer than 8 characters.

ILWIS ASCII:

Exports to ILWIS ASCII format (extension .ASC).

TIFF (GeoTiff):

Exports to Tagged Interchange File format (extension .TIF).

Any ILWIS raster map can be exported to TIFF format:

  • When exporting a raster map with the Bit domain, the TIFF file is stored using 1 bit per pixel. Value 0 is represented by black and value 1 is represented by white.
  • When exporting a raster map with a Bool domain, the TIFF file is stored using 8 bits per pixel. Colors will be available for True, False and Undefined values.
  • When exporting a raster map with the Image domain, a picture domain, a class domain, an ID domain (with less than 256 IDs), or a value domain where the values are between 0 and 255 (and precision 1), i.e. when the ILWIS map is stored using 1 byte per pixel, then the TIFF file is stored using 8 bits per pixel and colors will be available for all values.
    • For maps which use a Picture domain, colors in the TIFF file are taken from this Picture domain;
    • For maps which use a Class domain, colors are taken from the representation Class that is currently linked to the class domain;
    • For maps which use the Image domain, colors are taken from representation Gray;
    • For maps which use use an ID domain, a number of primary colors are used;
    • For maps which use a value domain, colors are taken from the representation value or gradual.
  • When exporting raster maps with the Color domain, then the TIFF file is stored using 24 bits per pixel.
  • When exporting raster maps which use an ID domain which contains more than 256 IDs, then the TIFF file is stored using 24 bits per pixel. For each value, a color will be created by first filling the Red plane from 0 to 255, then filling the Green plane from 0 to 255 and finally filling the Blue plane from 0 to 255. These colors may thus not correspond to the colors your ILWIS maps.
  • When exporting raster maps which use a value domain where the values are not in the range between 0 and 255 and/or when the precision <> 1, i.e. ILWIS map is stored using 2, 4 or 8 bytes per pixel, then the TIFF file is stored using 24 bits per pixel. For each value, a color will be created.

Furthermore, information found in the raster map's georeference will be written into the regular GeoTiff tags, and information from the coordinate system will be written in string format in the GeoTiff citation tag.

The output file is an uncompressed TIFF file.

Windows Bitmap BMP:

Exports to Microsoft Windows bitmap format (extension .BMP). Any ILWIS raster map (domain Bit, Bool, Class, ID, Picture, Image, Value, Color) can be exported to a Windows bitmap. The procedure is similar to TIFF export.

Notes:

  • Pixels with the undefined value will usually obtain color black in the export result.
  • Coordinates of north-oriented raster maps can be stored by the following formats: Erdas GIS, Erdas LAN, Idrisi IMG/DOC, ILWIS 1.4, and TIFF/GeoTIFF.
  • Coordinates of raster maps with a georeference tiepoints, can only be stored by the TIFF/GeoTiff format. However, non North-oriented raster maps are generally not supported by other GIS/RS packages.
  • For information about the structure of the different formats mentioned in this section, please refer to the manuals of the corresponding software packages.

1b. Exporting vector maps

Exports vector maps in ILWIS format to vector maps in several other formats.

Arc/Info E00 file:

Exports an ILWIS point, segment, or polygon map to an Arc/Info file in interchange format (extension .E00).

When exporting a point map, the output file will contain information on points (Arc/Info: Labels).

When exporting a segment map, the output file will contain information on segments (Arc/Info: Arcs).

When exporting a polygon map, the output file will contain information on segments and polygon label points.

Furthermore, the .E00 file will always contain a section with attribute information: .AAT for segments, .PAT both for polygons and points. This section lists for instance the class names, IDs, or values as used by the domain of the exported ILWIS map, and, in case the exported ILWIS map used an attribute table, also the attributes will appear.

When you export an ILWIS polygon map, the polygons will be transferred as segments and polygon labels. To recreate the polygons in Arc/Info, use the Arc/Info Build command after you have imported the .E00 file into a coverage. Attribute information will be retained.

Arc/Info ASCII vector LIN:

Exports an ILWIS segment map to an ASCII Arc/Info file (extension .LIN).

When the ILWIS segment codes are whole positive numbers, then these will be used as the IDs in Arc/Info. In other cases, a sequential number will be assigned to the individual segments. To obtain the lines in Arc/Info, you have to use the Generate command.

Arc/Info Generate PTS:

Exports an ILWIS point map to an ASCII Arc/Info file (extension .PTS).

To obtain the points in Arc/Info, you have to use the Generate command.

Arc/View Shape file SHP:

Exports an ILWIS point, segment or polygon map to files in Arc/View format (extensions .SHP, SHX, .DBF).

Atlas segments BNA:

Exports an ILWIS segment map to a file in Atlas/Mapedit format (extension .BNA).

The code of a segment is used to name a segment.

Also IDA (Image Display and Analysis) vector maps claims compatibility with the .BNA format.

AutoCad DXF:

Exports an ILWIS point, segment, or polygon map to a file in AutoCAD Drawing Exchange Format (extension .DXF).

The code of each segment is assigned to attribute 8.

ILWIS ASCII segments SMT:

Exports an ILWIS segment map to the ASCII ILWIS 1.x SegMenT-list format (extension .SMT).

The .SMT file lists for every segment, the segment's class names, IDs, or value and the segment's coordinates.

ILWIS version 1.4:

Exports an ILWIS 3 point or segment map to an ILWIS 1.4 point or segment map. For the output file name, you should type a new map name; there is no check whether the output map name already exists. Mind: ILWIS 1.4 map names may not be longer than 8 characters.

Extensions: .PNT for point tables and .SEG etc. for segments maps.

ILWIS version 2.x:

Exports an ILWIS 3 point, segment or polygon map to an ILWIS 2 point, segment or polygon map. For the output file name, you should type a new map name; there is no check whether the output map name already exists. Mind: ILWIS 2 map names may not be longer than 8 characters.

Infocam Sequential SEQ:

Exports an ILWIS point, segment and polygon maps to an Infocam separate SEQ files. Each vector file will be translated to one SEQ file. The values of the elements of the maps are retrieved from the domain. The coordinates of the elements of the map must be smaller than 1.000.000, because Infocam does not allow larger coordinates.

Note:

For information about the structure of the different formats mentioned in this section, please refer to the manuals of the corresponding software packages.

1c. Exporting tables and histograms

Exports an ILWIS table or an ILWIS point, segment or polygon histogram to one of the following formats:

dBase III/IV table DBF:

Exports an ILWIS table or histogram to a dBase III/IV file (extension .DBF).

dBase SDF table:

Exports an ILWIS table or histogram to an ASCII dBase-SDF file (extension .SDF). This format is also known as Standard format, or Fixed format.

When exporting with Export 1.4; Enter width of columns: the number of characters for each column to define the length of a record is asked for.

Delimited Text TXT:

Exports an ILWIS table or histogram to an ASCII Comma Delimited file (extension .TXT).

ILWIS version 1.4 format:

Exports an ILWIS 3 table to ILWIS 1.4 format. Histograms cannot be exported. For the output file name, you should type a new table name; there is no check whether the output table name already exists. Mind: ILWIS 1.4 table names may not be longer than 8 characters.

ILWIS version 2.x format:

Exports an ILWIS 3 table to ILWIS 2 format. Histograms cannot be exported. This can be used to export tables which contain columns that use a coordinate system as domain. Mind: ILWIS 2 table names may not be longer than 8 characters.

Notes:

  • For the structure of the different formats mentioned in this section, please refer to the manuals of the corresponding software packages.
  • Make sure that the maximum values in your columns do not exceed the maxima set for the comparable ILWIS column types.

1d. Exporting coordinate systems

Exports an ILWIS coordinate system to an:

ESRI ArcGIS .prj file:

Exports an ILWIS coordinate system projection or an ILWIS coordinate system latlon to an ESRI ArcGIS projection file (.PRJ). An ILWIS coordinate system should have an ellipsoid WGS 84 or an ellipsoid and a datum.

Note:

For information about the structure of the ESRI ArcGIS projection file mentioned in this section, please refer to the manuals of the corresponding software package.

2. Tips: using clipboard and exporting layouts

  1. You can use Export as described above to convert your ILWIS GIS and Remote Sensing data to a format which is readable by other GIS and Remote Sensing software packages.

  2. You can use the clipboard to copy ILWIS maps, tables, etc. as a picture, a bitmap or as text to the clipboard and then paste them into another Windows application (such as Word, PaintShop, CorelDraw, etc.):
    • display one or more maps or a map view in a map window,
    • from the Edit menu, choose the Copy command,
    • the contents of the map window will be copied as a picture to the clipboard,
    • you can then paste this into another Windows application.

    The Copy command is available in most ILWIS windows, e.g. a table window.

  3. To copy a complete map or table window as a bitmap to the clipboard (including window borders, menu bar, toolbar, status bar etc.), press Alt+PrintScrn on the keyboard.

    4. You can then paste this into another Windows application.

  4. You can export a layout as a bitmap in the layout editor. The layout may include one or more map views and annotation.

    5. For more information, refer to Layout editor : export to bitmap.

  5. To 'export' a layout to Postscript format:

    6. To install a Postscript printer:

    • From the Windows Start menu, choose Settings, Printers. Double-click the Add Printer icon.
    • Select Local Printer.
    • Choose any Postscript printer.
    • Instead of choosing a printer port, choose FILE:
    • Type a name by which you want to recognize this 'printer'.
    • Do not ask for a test page.

    Create a layout to which you add your map views, and annotation, and in the layout editor :

    • Choose File Print,
    • Select the Postscript 'printer' and select the Print To File checkbox.
    • Then print by clicking OK.

See also:

How to export data

Appendices : ILWIS script language, section Export expressions

Appendices : ILWIS script language, section ILWIS Export


Main window

 Edit menu

Copy Object To

Copy a selected object to a new name or to a new directory.

This dialog box appears when:

  • you select an object in the Catalog, and choose the Copy To command from the Edit menu.

Dialog box options:

Object name:

The first line of this dialog box states the name and type of object you are about to copy.

Description:

The second line of this dialog box displays the description of the object you are about to copy.

New Name:

Select this option button if you want to copy the selected object to a new name in the current directory. Subsequently, type a new name for the object.

New Directory:

Select this option button if you want to copy the object to another directory. Subsequently, either:

  • click the Browse button to browse to another directory, or
  • directly type the path of the directory where this object should be copied to.

When copying an object to another directory, the object cannot be renamed; it will always keep its name.

Break dependency links:

This check box only appears in case of dependent data objects:

Select this check box when you want to copy only those files that are necessary for this object.

Clear this check box if you want to copy all objects that are necessary to recalculate this object.

When copying an object to a new name, only the object selected to be copied obtains the new name. When copying to a new directory, all objects keep the same name.

Tips:

Other ways to copy one or more objects are:

  1. Use drag and drop between two Catalogs:
    • press the New Catalog [image] button and select a destination directory which will be shown in the new Catalog,
    • select one or more objects in the original Catalog,
    • drag the selected object(s) to the destination Catalog.

  2. Use copy and paste:
    • select one or more objects in the original Catalog,
    • choose the Copy command from the context-sensitive menu or from the Edit menu,
    • use the Navigator to select a destination directory; the contents of this directory which will be shown in the current Catalog,
    • choose the Paste command from the context-sensitive menu or from the Edit menu.

    You can also use copy and paste between an original and a destination Catalog.

  3. Use the command line in the Main window. For more information, see Appendices : ILWIS script language (syntax).

See also:

How to copy objects

Additional information

When an object is copied to another directory, the object definition file of the object and its data files are always copied. When other objects are encountered in the object definition file of the selected object, e.g. service objects, these are also copied. When in one of these object definition files other objects are encountered, the same procedure is followed.

Example: when you copy a raster map to another directory, the domain, georeference and if available the attribute table and histogram are copied as well. If the domain is a domain Class or Picture, then also the representation is copied. Further, as the georeference needs a coordinate system, the coordinate system of this georeference is copied as well.

When copying dependent maps, tables and columns to another directory, all objects that are needed to recalculate the dependent object are copied as well, i.e. all objects listed in the expression/definition in the object definition file. These necessary objects are listed on the Properties dialog boxes of the dependent object under the heading 'Depends on'.

The list below presents for each object that is copied to another directory the additional objects that are automatically copied with it.

Raster map: | Domain, georeference, attribute table, histogram.
Polygon map: | Domain, coordinate system, attribute table, histogram.
Segment map: | Domain, coordinate system, attribute table, histogram.
Point map: | Domain, coordinate system, attribute table, histogram.
Table: | Domain of table and domains of columns.
Map list: | All raster maps of the map list.
Domain: | For Class and Picture domains: Representation. For user-defined value domains: representation Value. For system value domains, a representation Gradual is not copied.
Georeference corners: | Coordinate system.
Georeference tiepoints: | Coordinate system and background map.
Georeference 3D: | Coordinate system, DTM.
Map view: | All maps and annotation and their display options as listed in the map view.
Sample set: | Sample map and background map.

For more information, see also Appendices : Relations between ILWIS objects and Appendices : General structure of object definition files.


Main window

 Edit menu

Edit Object

Open the objects, which are currently selected in the active Catalog, in appropriate windows so that the objects can be edited. If you wish, you can select multiple objects and open/edit these at the same time.

Mind:

  • Dependent data objects and objects marked as read-only may be opened but cannot be edited.
  • To edit dependent objects, you first have to break the dependency link in the Properties sheet of the object.

Depending on the selected objects, the following windows/editors are opened:

Raster map: | The Pixel editor is started.
Polygon map: | The Polygon editor is started.
Segment map: | The Segment editor is started.
Point map: | The Point editor is started.
Table: | The table is displayed in a table window. Fields of editable columns can directly be edited.
Two-dimensional table: | The two-dimensional table is displayed in a table window. Fields in the table can directly be edited.
Map list: | The map list is opened in a kind of Catalog which has some extra possibilities. See How to edit a map list.
Map view: | The map view is displayed in a map window. You can add data and annotation layers as usual.
Domain: | For a class or identifier domain, the Domain Class/ID editor is started. For a value domain, the Edit Value Domain dialog box appears. For a bool domain, the Edit Bool Domain dialog box appears.
Representation: | For a representation linked to a class domain, the Representation Class editor is started. For a representation linked to a value domain: the Representation Value/Gradual editor is started.
Georeference: | For a georeference corners, the Edit Georeference Corners dialog box appears. For a georeference tiepoints, the Georeference Tiepoints editor is started. For a georeference 3D, the Georeference 3D editor is opened.
Coordinate system: | For a coordinate system boundary only, the Edit Coordinate System Boundary Only dialog box will appear. For a coordinate system projection, the Edit Coordinate System Projection dialog box will appear. For a coordinate system latlon, the Edit Coordinate System LatLon dialog box will appear. For a coordinate system formula, the Edit Coordinate System Formula dialog box will appear. For a coordinate system tiepoints, the Coordinate system Tiepoints editor will be opened.
Histogram: | The histogram is displayed in a table window. Histogram columns cannot be edited, but you can perform calculations using the histogram columns.
Sample set: | The Sample set editor is started.
Matrix: | The matrix is displayed. You cannot edit the matrix.
Filter: | The Filter editor is started.
Function: | The Function editor is started.
Script: | The Script editor is started.

Tips:

  1. To edit a map or a map list, you can also click the right mouse button on the map or map list in a Catalog, and choose Edit from the context-sensitive menu.
  2. In a map window, you can also choose Edit Layer from the Edit menu and select the layer which you want to edit; the appropriate map editor is opened.
  3. To edit a table, domain, a representation, a georeference or a coordinate system, it is generally easier to double-click it in a Catalog. The object is opened and you can directly edit it.
  4. To edit a table, domain, representation, georeference, coordinate system, map view, sample set, filter, function or script, you can also click it with the right mouse button in a Catalog, and then choose Open from the context-sensitive menu.
  5. To select the type of objects that are displayed in a Catalog, click the Customize Catalog button [image] in the toolbar of the Main window.

See also:

ILWIS objects

Editors


Edit a Bool domain

Edit the codes that are used for 'True' and 'False' by a user-defined Bool domain.

This dialog box appears:

  • when in the Create Domain dialog box, you choose to create a Bool domain and click the OK button in that dialog box,
  • when you double-click a user-defined Bool domain in a Catalog,
  • when you press the right mouse button on a user-defined Bool domain in a Catalog and choose Open from the context-sensitive menu,
  • when you select a user-defined Bool domain in a Catalog, and choose Edit Object from the Edit menu in the Main window.

Dialog box options:

Description: | You can change the description of the domain. The description is visible on the status bar of the Main window when moving the mouse pointer over the domain in the Catalog.
'True' string: | You can change code for 'True' values in maps and tables that use this Bool domain; the code will come up when pressing the left mouse button in a map window (Info), and in Layer Management. You may use for instance code 'Suitable'.
'False' string: | You can change code for 'False' values in maps and tables that use this Bool domain. You may use for instance code 'Not Suitable'.

Tip:

To set default colors for 'True' and 'False' for a Bool domain, you can:

  • use the Preferences, or
  • use the Display Options dialog box of a Bool map.

See also:

ILWIS objects : domains


Properties of objects

Main window

 Edit menu

Properties

Open the Property sheet of one or more selected object(s) in the currently active Catalog to view and/or edit the properties of the object(s).

A Property sheet is listing all kind of important information on an ILWIS object. In fact, all relevant information as stored in an object's object definition file is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects.

Depending on the selected object(s), a Property sheet is opened:

Raster map properties

Polygon map properties

Segment map properties

Point map properties

Table properties

Column properties

Map list properties

Object collection properties

Map View properties

Layout properties

Annotation Text properties

Domain properties

Representation properties

Georeference properties

Coordinate system properties

Histogram properties

Sample Set properties

Two-dimensional Table properties

Matrix properties

Filter properties

Function properties

Script properties

Tip:

  • To view and edit properties of an object, you can also click with the right mouse button on an object in the Catalog, a context-sensitive menu appears, select Properties. The Properties sheet of the selected object is displayed.

See also:

Basic concepts : Properties of objects


Raster Map Properties

The Raster Map Properties sheet lists all kind of important information on a selected raster map. In fact, all relevant information that is stored in the object definition file of the raster map is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

The Raster Map Properties sheet appears:

  • when you click a raster map in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a raster map in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you display a raster map, and choose Properties from the File menu in a map window;
  • when you display a raster map, and double-click the word 'Properties' for a raster map in the Layer Management pane in the map window.

Raster Map tab:

Object type and name:

Raster Map "raster map name": the raster map is an editable source map.

Map Calculate "raster map name": the raster map is the result of a MapCalc formula (dependent map).

Dependent Raster Map "raster map name": the raster map is the result of another operation (dependent map).

When you click this flat button, the raster map will be (re)opened.

Georeference:

The name, the type and the description of the georeference used by this raster map are listed.

Coordinate system:

The name, the type and the description of the coordinate system used by the georeference of this raster map are listed.

(Pixel) Size of raster map:

The number of lines and columns of the raster map are listed. If possible, also an estimation of the pixel size of the raster map is listed.

Boundaries of map:

It is listed whether the coordinates of the georeference are used by the Corners of the corner pixels or by the Centers of the corner pixels.

Furthermore, the coordinate boundaries of this map are listed as:

Top Left: | (MinX, MaxY),
Top Right: | (MaxX, MaxY),
Bottom Left: | (MinX, MinY),
Bottom Right: | (MaxX, MinY).

In case the coordinates of the map are in LatLon, degrees, minutes and seconds will be shown.

Number of bytes per pixel:

The number of bytes used on disk to store each pixel of this raster map is listed (either 1 bit per pixel, or 1, 2, 4, or 8 bytes per pixel).

Domain:

The name, the type and the description of the domain that is used by this raster map are listed.

Attribute table:

In case this map uses a class or ID domain, and the map or the domain has an attribute table, then the name of the attribute table is shown.

Select this check box to link an attribute table to this raster map, or select this check box to create a new attribute table for this raster map (click the create button).

Value range:

In case this map uses a value domain, the minimum and maximum values that can be stored by this map are listed. This is also called the value range of the map.

Precision:

In case this map uses a value domain, the precision of the values that can be stored by this map is listed.

Minimum and maximum:

In case this is a value map and the actual minimum and maximum values as occurring in the map have been calculated, the actual minimum and maximum value in this map are shown.

Interpolation:

For value raster maps: Select this check box when within pixels, values should be interpolated. This means that a pixel value of a certain pixel will refer to the center of that pixel only; elsewhere a value will be interpolated on the basis of 4 or 16 neighbouring pixel values. Subsequently choose for bilinear interpolation or bicubic interpolation.

It is strongly advised to use the interpolation option for Digital Terrain Models (DTMs), also called Digital Elevation Models (DEMS), that are used by a georef direct linear or a georef orthophoto.

Furthermore, when you selected the Interpolation option,

  • when you zoomed in in a map window and pressing the left mouse button, you will obtain Info on sub-pixel level,
  • the pixel info window will show interpolated values, and
  • in a table window, you can retrieve interpolated values by using the MAPVALUE() function.

Clear this check box when pixel values should be applied to the whole pixels.

Definition:

For dependent maps: the expression by which the object was created is listed, i.e. the object definition.

Edit Definition:

For Map Calculate raster maps, click this button to edit the MapCalc formula by which this raster map is created. The Raster Map Definition dialog box will appear.

'No pyramid layers available' + Create / 'Pyramid layers available' + Remove:

It is listed whether pyramid layers have been created for this raster map or not. Pyramid layers speed up the display of large raster maps in a map window.

  • If no pyramid layers are available for this raster map, click the Create button to create the pyramid layers.
  • If pyramid layers are available for this raster map, you can click the Remove button to delete the pyramid layers.

The information is not listed, and the Create/Remove buttons are not available, when the raster map has been defined but has not been calculated yet.

General tab:

Object type and name:

Raster Map "raster map name": the raster map is an editable source map.

Map Calculate "raster map name": the raster map is the result of a MapCalc formula (dependent map).

Dependent Raster Map "raster map name": the raster map is the result of another operation (dependent map).

When you click this flat button, the raster map will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this raster map was last changed.

Object size:

Total size of the raster map on disk in bytes (.MPR and .MP#).

Read only:

Select this check box to make the raster map read only. Clear this check box to make the raster map changeable.

Description:

Description of the object; freely editable. The description of a map appears in the title bar of a map window when the map is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in a Catalog.

Dependency tab (for dependent maps):

Object type and name:

Map Calculate "raster map name": the raster map is the result of a MapCalc formula (dependent map).

Dependent Raster Map "raster map name": the raster map is the result of another operation (dependent map).

When you click this flat button, the raster map will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this raster map is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this raster map depends.

Calculate:

When only the object definition file of this raster map (.MPR) exists:

  • click this button to (re)calculate the data file (.MP#) of this raster map by (re)executing the definition of this map.

Make Up-to-Date:

When the raster map is not up-to-date anymore,

i.e. when one or more objects on which this raster map depends have been changed, and when both the object definition file (.MPR) and the data file (.MP#) of this raster map exist:

  • click this button to check all objects on which this raster map depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this raster map depends, and finally recalculate the data file of this raster map using all new changed objects.

Release Disk Space:

When both the object definition file (.MPR) and a calculated data file (.MP#) exist:

  • click this button to delete the data file of this raster map.

The expression by which this dependent raster map was created remains stored in the object definition file, so this raster map can always be recalculated.

Break Dependency Link:

Whether this raster map is Up-to-Date or not:

  • click this button to break the dependency link between this raster map and the objects on which it depends. This raster map will become an editable source object.

Do not break the dependency link if you wish to be able to update this raster map in a later stage on the basis of changed input objects.

Used By tab:

Object type and name:

Raster Map "raster map name": the raster map is an editable source map.

Map Calculate "raster map name": the raster map is the result of a MapCalc formula (dependent map).

Dependent Raster Map "raster map name": the raster map is the result of another operation (dependent map).

When you click this flat button, the raster map will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this raster map is used.

Additional Info tab:

Object type and name:

Dependent Raster Map "raster map name": the raster map is the result of another operation (dependent map).

When you click this flat button, the raster map will be (re)opened.

Additional Info:

When a dependent raster map is the result of a Trend Surface operation: the equation of the calculated Trend Surface is listed.

When a dependent raster map is the result of a Variogram Surface operation: the average, variance and the unbiased variance estimate of the input pixel values are listed.

For editable maps, advanced users may in some cases wish to change properties.

Tips:

  • To open the Properties of a raster map, you can also type Prop or Prop rasmap.mpr on the command line of the Main window.
  • You can also handle object properties from the command line in the Main window or in a script. For more information, see Appendices : ILWIS script language (syntax).
  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : raster maps


Raster Map Definition

The Raster Map Definition dialog box appears:

  • after you have typed a MapCalc formula on the command line of the Main window, or
  • when for a dependent raster map, you clicked the Edit Definition button in the Raster Map Properties sheet. You can change the map's expression, domain, value range, precision, or description, i.e. the definition of the raster map.

In this dialog box, you can set or change the MapCalc expression to (re-) create the raster map, and you can set or change the map's domain, value range, precision or description. In other words, the definition of the raster map will be set or changed.

Dialog box options:

Expression: | Accept or change the MapCalc expression which defines how this map should be calculated.
Defaults: | Click this button to obtain a default domain, and for value domains, a value range and precision. Or when you changed the default domain, value range or precision, click this button to obtain the defaults again.
Domain: | Accept the default domain, or select or create your own output domain.
Value Range: | If the output map uses a value domain, accept the default value range, or specify your own range of possible values in the output map (a liberal estimate will do).
Precision: | If the output map uses a value domain, accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

After typing a MapCalc formula on the command line (using the = definition symbol):

  • when you click the Show button, the dependent output map will be defined, calculated and shown.
  • when you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Tip: When calculating, it is advised to always use the definition symbol = in order to obtain dependent maps.

After typing a MapCalc formula on the command line (using the := assignment symbol):

  • when you click the Show button, the output map will be calculated and shown;
  • when you click the Calculate button, the output map will just be calculated.

The dependency link is immediately broken after the output map has been calculated.

After using the Edit Definition button in the Raster Map Properties sheet:

  • click the OK button to redefine the definition of the map; the map will be calculated later when required.
  • to directly recalculate the map, you can click the Calculate button in the Raster Map Properties sheet.

Tips:

  • For more information on the operators and functions that can be used in a MapCalc formula, refer to Map calculation.
  • When working with value maps, you can generally accept the default value domain. You only need to select or create a user-defined value domain when the values have a specific meaning for which you have or want to create a meaningful representation.

Note:

  • ILWIS uses its internal defaults to determine whether the internal calculation will be performed in integers or in reals.
    In general it can be said, that:

    • when the input consists of integers, the internal calculation will also be performed in integers;
    • when the input consists of reals, the internal calculation will also be performed in reals.

    Any user specification of the desired output domain and value range can only limit the results from the internal calculation. It is thus not possible, that when all input is in integers, to obtain output in reals by using a precision smaller than 1, for instance by using OUT{dom=Value;vr=0:10000:0.001} = ....

See also:

Basic concepts : dependent data objects

Map calculation


Create a georeference (through Raster Map Properties)

Create a georeference

through the Property sheet of a raster map

Create a new georeference for an existing raster map. A georeference determines the relation between row and column numbers in a raster map and XY-coordinates.

This dialog box appears when, in the Raster Map Properties sheet of an editable raster map, you clicked the create georeference button.

This dialog box can be used to create:

  • a georeference corners: to be used during rasterize operations, or as a North-oriented georeference to which you want to resample raster maps, or
  • a georeference tiepoints: to add coordinates to a satellite image or a scanned photograph without using a DTM, or
  • a georeference direct linear: to add coordinates to a scanned photograph while using a DTM, or
  • a georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters.

Dialog box options:

Georeference name: | Type a new name for the georeference.
Description: | Type a description for the georeference. The description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.
Georef Corners: | Select Georef Corners to create a North-oriented georeference, for example when rasterizing point, segment or polygon maps, or for the output of a Resampling operation.
Georef Tiepoints: | Select Georef Tiepoints when you want to add coordinates to a satellite image or to a scanned photograph and when you do not have a DTM. This type of georeference can be used to add coordinates to satellite imagery and for subsequent screen digitizing or to resample the image to another georeference (e.g. to a georef corners).
Georef Direct Linear: | Select Georef Direct Linear when you want to add coordinates to a scanned photograph which was taken with a normal camera, and when you have an existing DTM to also correct for tilt and relief displacement (Direct Linear Transformation). This type of georeference can for instance be used to add coordinates to small format aerial photographs and for subsequent screen digitizing or to resample the photograph to another georeference (e.g. to a georef corners).
Georef OrthoPhoto: | Select Georef Orthophoto when you want to add coordinates to a scanned aerial photograph with fiducial marks, taken with a photogrammetric camera with known principal distance, and when you have an existing DTM to also correct for tilt and relief displacement (Differential rectification). This type of georeference can be used to add coordinates to professional near vertical aerial photographs and further monoplotting on the photograph or for creating an orthophoto (resampling).

For Georef Corners:

Coordinate system: | Select a coordinate system in which this georeference fits. If you do not have a coordinate system yet, it is advised to create one first. To create a coordinate system, click the create button next to this list box or select the Create Coordinate System command from the File menu in the Main window: the Create Coordinate System dialog box appears.
Map boundaries: | Type new XY-coordinate values for the boundaries of this existing map. You are supposed to change these boundary values.
Centers: | Select this check box if the four boundary values (Xmin, Ymin, Xmax, Ymax) of this map should refer to the centers of the four corner pixels of the map. Clear this check box if the four boundary values should refer to the outer corners of the four corner pixels of this map.

See also the Georeference Corners Tip below.

For Georef Tiepoints:

Coordinate system: | Select a coordinate system in which this georeference fits. If you do not have a coordinate system yet, it is advised to create one first. To create a coordinate system, click the create button or select the Create Coordinate System command from the File menu in the Main window.
Background Map: | Select a band of a satellite image, a color composite, or a scanned photograph that will be displayed in the Tiepoint editor and on which you will position the tiepoints. The background map will directly use the georeference which you are creating. When finished, you can add the created Georef Tiepoints to all bands of your satellite image of the same area.

See also the Georeference Tiepoints Tip below.

For Georef DirectLinear and Georef OrthoPhoto:

Background Map:

Select the scanned aerial photograph that will be displayed in the Tiepoint editor and on which you will position the tiepoints. The background map will directly use the georeference which you are creating.

DTM:

Select an existing Digital Terrain Model (DTM) or Digital Elevation Model (DEM) from which the height values will be used. Pixel size and accuracy of the DTM are of great importance.

Tip: For a correct behaviour of a georef direct linear or a georef orthophoto, it is essential that you have marked the 'Interpolation' check box in the Properties sheet of your DTM raster map. For more information, refer to the Raster Map Properties sheet. Furthermore, the tiepoints of a georef direct linear may not be coplanar, i.e. lie in one (tilted) plane. For more information, see ILWIS objects: georeference direct linear.

For more information, see also How to screen digitize, How to monoplot or How to create an orthophoto.

Georeference Corners Tip:

This dialog box asks for minimum and maximum map boundary values and for a pixel size: the combination of these determines the total number of rows and columns thus the total number of pixels in the raster map.

It is a good idea to spend some time thinking over the right pixel size for your work:

  • choosing a small pixel size brings more detail in your rasterized map(s),
  • choosing a small pixel size results in raster maps of increased size (more rows and columns); to be exact: reducing the pixel size by 5, increases the map size on disk by 25,
  • operations on large raster maps take more time.

Georeference Tiepoints Tip:

For a Georef Tiepoints which should be used by all bands of a satellite image: after you have finished adding tiepoints to a background map in the Tiepoint editor, you have to add the created Georef Tiepoints to all bands of the image (same map size, same area). This can be done by opening the Property sheets of the bands; then select the correct Georef Tiepoints.

Other tips:

  1. To check the accuracy of your tiepoints while entering them in the Tiepoint editor, you can already display any existing vector data on top of the background map in the Tiepoint editor: choose Add Layer from the Layers menu. You can see whether existing roads, water ways etc. coincide with the background map. You can also open the pixel info window and use both maps.
  2. While creating a Georef Tiepoints, a Georef DirectLinear or a Georef OrthoPhoto, you add coordinates to the background map (satellite image or photograph) displayed in the Tiepoint editor. The map which is displayed in the Tiepoint editor, will thus directly use the georeference which you are creating.
  3. When finished creating a georeference for an image or photograph, you can directly create a segment map (choose File, Create in the map window) and start screen digitizing on the image or photograph which now uses the create Georef Tiepoints, Georef DirectLinear or Georef OrthoPhoto. When you created a Georef OrthoPhoto, the screen digitizing is called monoplotting.
  4. You can rasterize any vector data on a Georef Tiepoints (for map calculations), and you can resample maps with a Georef Tiepoints to another georeference or vice versa.
  5. To have a raster map use another georeference than its current one, perform the Resample operation.
  6. To obtain an orthophoto, create a Georef OrthoPhoto for a professional aerial photograph and addf tiepoints. Then, resample the photograph which now uses this Georef OrthoPhoto to a Georef Corners.

See also:

How to create a georeference

ILWIS objects : georeference


Polygon Map Properties

The Polygon Map Properties sheet lists all kind of important information on a selected polygon map. In fact, all relevant information that is stored in the object definition file of this polygon map is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

The Polygon Map Properties sheet appears:

  • when you click a polygon map in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a polygon map in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you display a polygon map, and choose Properties from the File menu in a map window;
  • when you display a polygon map, and double-click the word 'Properties' for a raster map in the Layer Management pane in the map window.

Polygon Map tab:

Object type and name:

Polygon Map "polygon map name": the polygon map is an editable source map.

Dependent Polygon Map "polygon map name": the polygon map is the result of an operation.

When you click this flat button, the polygon map will be (re)opened.

Coordinate system:

The name and the description of the coordinate system used by this polygon map are listed.

Boundaries of map:

The coordinate boundaries of this map are listed as (MinX, MinY) and (MaxX, MaxY).

Domain:

The name of the domain that is used by this polygon map is listed. Also the description of the domain is listed.

Value range:

In case this map uses a value domain, the minimum and maximum values that can be stored by this map are listed. This is also called the value range of the map.

Precision:

In case this map uses a value domain, the precision of the values that can be stored by this map is listed.

Attribute table:

In case this map uses a class or ID domain, and the map or the domain has an attribute table, then the name of the attribute table is shown.

Select this check box to link an attribute table to this polygon map, or select this check box to create a new attribute table for this polygon map (click the create button).

Definition:

For dependent maps: the expression by which the object was created is listed, i.e. the object definition.

Topology:

"Polygon map has full topology": the structure of the polygon map is topological, i.e. each polygon boundary defines both the boundary of the polygon to the left and to the right of that boundary. The polygon map has for instance been obtained by polygonizing segments that were digitized in ILWIS.

"Polygon map does not have full topology": the structure of the polygon map is non-topological; currently this means that every polygon is enclosed by a polygon boundary of its own. The polygon map has for instance been obtained by polygonizing segments that were imported from DXF.

For more information on Topology, refer to Segment editor : Polygonize or Segments to Polygons : dialog box.

Number of polygons:

The number of polygons as counted by the system in this polygon map; this includes some additionally counted polygons for the outer polygon(s) and for islands.

General tab:

Object type and name:

Polygon Map "polygon map name": the polygon map is an editable source map.

Dependent Polygon Map "polygon map name": the polygon map is the result of an operation.

When you click this flat button, the polygon map will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this polygon map was last changed.

Object size:

Total size of the polygon map on disk in bytes (.MPA and .MPAP#, .MPAT#).

Read only:

Select this check box to make the polygon map read only. Clear this check box to make the polygon map changeable.

Description:

Description of the object; freely editable. The description of a map appears in the title bar of a map window when the map is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in a Catalog.

Dependency tab (for dependent maps):

Object type and name:

Dependent Polygon Map "polygon map name": the polygon map is the result of an operation. When you click this flat button, the polygon map will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this polygon map is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this polygon map depends.

Calculate:

When only the object definition file of this polygon map (.MPA) exists:

  • click this button to (re)calculate the data files (.MPAP#. and .MPAT#) of this polygon map by (re)executing the definition of this map.

Make Up-to-Date:

When the polygon map is not up-to-date anymore,

i.e. when one or more objects on which this polygon map depends have been changed, and when the object definition file (.MPA) as well as calculated data files (.MPAP# and .MPAT#) of this polygon map exist:

  • click this button to check all objects on which this polygon map depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this polygon map depends, and finally recalculate the data files of this polygon map using all new changed objects.

Release Disk Space:

When the object definition file (.MPA) and calculated data files (.MPAP# and .MPAT#) exist:

  • click this button to delete the data files of this polygon map.

The expression by which this dependent polygon map was created remains stored in the object definition file, so this polygon map can always be recalculated.

Break Dependency Link:

Whether this polyogn map is Up-to-Date or not:

  • click this button to break the dependency link between this polygon map and the objects on which it depends. This polygon map will become an editable source object.

Do not break the dependency link if you wish to be able to update this polygon map in a later stage on the basis of changed input objects.

Used By tab:

Object type and name:

Polygon Map "polygon map name": the polygon map is an editable source map.

Dependent Polygon Map "polygon map name": the polygon map is the result of an operation.

When you click this flat button, the polygon map will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this polygon map is used.

For editable maps, advanced users may in some cases wish to change properties.

Tips:

  • To open the Properties of a polygon map, you can also type Prop or Prop polmap.mpa on the command line of the Main window.
  • You can also handle object properties from the command line in the Main window or in a script. For more information, see Appendices : ILWIS script language (syntax).
  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : polygon maps


Segment Map Properties

The Segment Map Properties sheet lists all kind of important information on a selected segment map. In fact, all relevant information that is stored in the object definition file of the segment map is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

The Segment Map Properties sheet appears:

  • when you click a segment map in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a segment map in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you display a segment map, and choose Properties from the File menu in a map window;
  • when you display a segment map, and double-click the word 'Properties' for a raster map in the Layer Management pane in the map window.

Segment Map tab:

Object type and name:

Segment Map "Segment map name": the segment map is an editable source map.

Dependent Segment Map "Segment map name": the segment map is the result of an operation.

When you click this flat button, the segment map will be (re)opened.

Coordinate system:

The name and the description of the coordinate system used by this segment map are listed.

Boundaries of map:

The coordinate boundaries of this map are listed as (MinX, MinY) and (MaxX, MaxY).

Domain:

The name of the domain that is used by this segment map is listed. Also the description of the domain is listed.

Value range:

In case this map uses a value domain, the minimum and maximum values that can be stored by this map are listed. This is also called the value range of the map.

Precision:

In case this map uses a value domain, the precision of the values that can be stored by this map is listed.

Attribute table:

In case this map uses a class or ID domain, and the map or the domain has an attribute table, then the name of the attribute table is shown.

Select this check box to link an attribute table to this segment map, or select this check box to create a new attribute table for this segment map (click the create button).

Definition:

For dependent maps: the expression by which the object was created is listed, i.e. the object definition.

Number of segments:

The number of segments as counted by the system in this segment map; this includes segments that are marked for deletion (undefined value).

General tab:

Object type and name:

Segment Map "Segment map name": the segment map is an editable source map.

Dependent Segment Map "Segment map name": the segment map is the result of an operation.

When you click this flat button, the segment map will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this segment map was last changed.

Object size:

Total size of the segment map on disk in bytes (.MPS and .MPS#).

Read only:

Select this check box to make the segment map read only. Clear this check box to make the segment map changeable.

Description:

Description of the object; freely editable. The description of a map appears in the title bar of a map window when the map is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in a Catalog.

Dependency tab (for dependent maps):

Object type and name:

Dependent Segment Map "Segment map name": the segment map is the result of an operation. When you click this flat button, the segment map will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this segment map is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this segment map depends.

Calculate:

When only the object definition file of this segment map (.MPS) exists:

  • click this button to (re)calculate the data file (.MPS#) of this segment map by (re)executing the definition of this map.

Make Up-to-Date:

When the segment map is not up-to-date anymore,

i.e. when one or more objects on which this segment map depends have been changed, and when both the object definition file (.MPS) and the data file (.MPS#) of segment point map exist:

  • click this button to check all objects on which this segment map depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this segment map depends, and finally recalculate the data file of this segment map using all new changed objects.

Release Disk Space:

When both the object definition file (.MPS) and a calculated data file (.MPS#) exist:

  • click this button to delete the data file of this segment map.

The expression by which this dependent segment map was created remains stored in the object definition file, so this segment map can always be recalculated.

Break Dependency Link:

Whether this segment map is Up-to-Date or not:

  • click this button to break the dependency link between this segment map and the objects on which it depends. This segment map will become an editable source object.

Do not break the dependency link if you wish to be able to update this segment map in a later stage on the basis of changed input objects.

Used By tab:

Object type and name:

Segment Map "Segment map name": the segment map is an editable source map.

Dependent Segment Map "Segment map name": the segment map is the result of an operation.

When you click this flat button, the segment map will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this segment map is used.

For editable maps, advanced users may in some cases wish to change properties.

Tips:

  • To open the Properties of a segment map, you can also type Prop or Prop segmap.mps on the command line of the Main window.
  • You can also handle object properties from the command line in the Main window or in a script. For more information, see Appendices : ILWIS script language (syntax).
  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : segment maps


Point Map Properties

The Point Map Properties sheet lists all kind of important information on a selected point map. In fact, all relevant information that is stored in the object definition file of the point map is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

The Point Map Properties sheet appears:

  • when you click a point map in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a point map in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you display a point map, and choose Properties from the File menu in a map window;
  • when you display a point map, and double-click the word 'Properties' for a raster map in the Layer Management pane in the map window.

Point Map tab:

Object type and name:

Point Map "Point map name": the point map is an editable source map.

Dependent Point Map "Point map name": the point map is the result of an operation.

When you click this flat button, the point map will be (re)opened.

Coordinate system:

The name and the description of the coordinate system used by this point map are listed.

Boundaries of map:

The coordinate boundaries of this map are listed as (MinX, MinY) and (MaxX, MaxY).

Domain:

The name of the domain that is used by this point map is listed. Also the description of the domain is listed.

Value range:

In case this map uses a value domain, the minimum and maximum values that can be stored by this map are listed. This is also called the value range of the map.

Precision:

In case this map uses a value domain, the precision of the values that can be stored by this map is listed.

Attribute table:

In case this map uses a class or ID domain, and the map or the domain has an attribute table, then the name and the description of the attribute table is shown.

Select this check box to link an attribute table to this point map, or select this check box to create a new attribute table for this point map (click the create button).

Definition:

For dependent maps: the expression by which the object was created is listed, i.e. the object definition.

Number of points:

The number of points as counted by the system in this point map; this includes points with the undefined value (?) or with invalid coordinates.

General tab:

Object type and name:

Point Map "Point map name": the point map is an editable source map.

Dependent Point Map "Point map name": the point map is the result of an operation.

When you click this flat button, the point map will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this point map was last changed.

Object size:

Total size of the point map on disk in bytes (.MPP and .PT#).

Read only:

Select this check box to make the point map read only. Clear this check box to make the point map changeable.

Description:

Description of the object; freely editable. The description of a map appears in the title bar of a map window when the map is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map in a Catalog.

Dependency tab (for dependent maps):

Object type and name:

Dependent Point Map "Point map name": the point map is the result of an operation. When you click this flat button, the point map will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this point map is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this point map depends.

Calculate:

When only the object definition file of this point map (.MPP) exists:

  • click this button to (re)calculate the data file (.PT#) of this point map by (re)executing the definition of this map.

Make Up-to-Date:

When the point map is not up-to-date anymore,

i.e. when one or more objects on which this point map depends have been changed, and when both the object definition file (.MPP) and the data file (.PT#) of this point map exist:

  • click this button to check all objects on which this point map depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this point map depends, and finally recalculate the data file of this point map using all new changed objects.

Release Disk Space:

When both the object definition file (.MPP) and a calculated data file (.PT#) exist:

  • click this button to delete the data file of this point map.

The expression by which this dependent point map was created remains stored in the object definition file, so this point map can always be recalculated.

Break Dependency Link:

Whether this point map is Up-to-Date or not:

  • click this button to break the dependency link between this point map and the objects on which it depends. This point map will become an editable source object.

Do not break the dependency link if you wish to be able to update this point map in a later stage on the basis of changed input objects.

Used By tab:

Object type and name:

Point Map "Point map name": the point map is an editable source map.

Dependent Point Map "Point map name": the point map is the result of an operation.

When you click this flat button, the point map will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this point map is used.

Additional Info tab:

Object type and name:

Dependent Point Map "Point map name": the point map is the result of an operation.

When you click this flat button, the point map will be (re)opened.

Additional Info:

When a dependent point map is the result of a Variogram Surface operation: the average, variance and the unbiased variance estimate of the input point values are listed.

For editable maps, advanced users may in some cases wish to change properties.

Tips:

  • To open the Properties of a point map, you can also type Prop or Prop pntmap.mpp on the command line of the Main window.
  • You can also handle object properties from the command line in the Main window or in a script. For more information, see Appendices : ILWIS script language (syntax).
  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : point maps


Table Properties

The Table Properties sheet lists all kind of important information of a selected table. In fact, all relevant information that is stored in the object definition file of the table is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

The Table Properties sheet appears:

  • when you click a table in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a table in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a table, and choose Properties from the File menu in a Table window.

Table tab:

Object type and name:

Table "Table Name": the table is an editable table.

Dependent Table "Table Name": the table is the result of an operation.

When you click this flat button, the table will be (re)opened.

Domain:

The name and and the type of the domain used by this table are listed.

Nr of records and columns:

The number of records and the number of columns of which this table consists are listed.

Definition:

For dependent tables: the expression by which the object was created is listed, i.e. the object definition.

General tab:

Object type and name:

Table "Table Name": the table is an editable table.

Dependent Table "Table Name": the table is the result of an operation.

When you click this flat button, the table will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this object was last changed.

Object size:

Total size of the table on disk in bytes (.TBT and .TB#).

Read only:

Select this check box to make the object read only. Clear this check box to make the object changeable.

Description:

Description of the object; freely editable. The description of a table appears in the title bar of a map window when the table is displayed. Further, for all objects, the description is visible on the status bar of the Main window when moving the mouse pointer over the object in the Catalog.

Dependency tab (for dependent tables):

Object type and name:

Dependent Table "Table name": the table is the result of an operation. When you click this flat button, the table will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this table is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this table depends.

Calculate:

When only the object definition file of this table (.TBT) exists:

  • click this button to (re)calculate the data file (.TB#) of this table by (re)executing the definition of this table.

Make Up-to-Date:

When the table is not up-to-date anymore,

i.e. when one or more objects on which this table depends have been changed, and when both the object definition file (.TBT) and the data file (.TB#) of this table exist:

  • click this button to check all objects on which this table depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this table depends, and finally recalculate the data file of this table using all new changed objects.

Release Disk Space:

When both the object definition file (.TBT) and a calculated data file (.TB#) exist:

  • click this button to delete the data file of this table.

The expression by which this dependent table was created remains stored in the object definition file, so this table can always be recalculated.

Break Dependency Link:

Whether this table is Up-to-Date or not:

  • click this button to break the dependency link between this table and the objects on which it depends. This table will become an editable source object.

Do not break the dependency link if you wish to be able to update this table in a later stage on the basis of changed input objects.

Used By tab:

Object type and name:

Table "object name". When you click this flat button, the table will be (re)opened.

Used by:

In a tree view, it is listed by which other objects this table is used.

Additional Info tab:

Object type and name:

Dependent Table "Table Name": the table is the result of an operation. When you click this flat button, the table will be (re)opened.

Additional Info:

When a dependent table is the result of a Pattern Analysis operation: additional information on reflexive nearest neighbours and distance to nearest neighbours is available.

Tips:

  • To view and/or edit the properties of a column, double-click a column header in the table window.
  • A dependent table can be recalculated when it is opened and one of the objects on which it depends has changed.
  • You can also handle object properties from the command line in the Main window. For more information, see Appendices : ILWIS script language (syntax).
  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Column properties

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : tables


Map List Properties

The Map List Properties sheet lists all kind of important information on a selected map list. In fact, all relevant information that is stored in the object definition file of the map list is displayed. For more information, refer to Basic concepts : properties of objects.

The Map List Properties sheet appears:

  • when you click a map list in a Catalog with the right mouse button, and select Properties from the context-sensitive menu;
  • when you select a map list in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a map list, and click the Properties button [image] in the map list viewer.

Map List tab:

Object type and name:

Map List "map list name": the map list is editable.

Dependent Map List "map list name": the map list is the result of an operation.

When you click this flat button, the map list will be (re)opened.

For editable map lists and for dependent map lists that have been calculated already:

Nr of raster maps:

The number of raster maps that are contained by this map list is listed.

Georeference:

The name and the description of the georeference used by the raster maps in this map list are listed.

Coordinate system:

The name, the type and the description of the coordinate system used by the georeference of the raster maps in this map list are listed.

Domain:

The name of the domain that is used by the raster maps in this map list is listed.

For dependent map lists (calculated or not):

Definition:

For dependent map lists: The expression by which the object was created is listed, i.e. the object definition.

For editable map lists and for dependent map lists that have been calculated already:

'No pyramid layers available' + Create / 'Pyramid layers available' + Remove:

It is listed whether pyramid layers have been created for the raster maps in this map list or not. Pyramid layers speed up the display of large raster maps in a map window.

  • If no pyramid layers are available for the raster maps, click the Create button to create the pyramid layers.
  • If pyramid layers are available for the raster maps, you can click the Remove button to delete the pyramid layers.

The Create/Remove buttons are not available when the map list and/or the raster maps are read-only.

General tab:

Object type and name:

Map List "map list name": the map list is editable.

Dependent Map List "map list name": the map list is the result of an operation.

When you click this flat button, the map list will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this map list was last changed.

Object size:

Total size of the this map list (.MPL) on disk in bytes. This does not include the raster maps that are part of the map list.

Read only:

Select this check box if this map list should be read only. You are then not allowed to edit or delete the map list. Clear this check box if you want to be able to edit the map list.

Description:

Optionally, change the description of this map list. The description of a map list appears in the title bar when the map list is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map list in a Catalog.

Dependency tab (for dependent map lists):

Object type and name:

Dependent Map List "map list name": the map list is the result of an operation. When you click this flat button, the map list will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this map list is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this map list depends.

Calculate:

When the raster maps of this map list have not been calculated yet:

  • click this button to (re)calculate the raster maps that are contained by this map list. The definition of this map list will be (re)executed which ensures that the object definition files of the raster maps (.MPR) contained by the map list are (re)created, and that the data files of the raster maps (.MP#) in the map list are (re)calculated.

Make Up-to-Date:

When the map list is not up-to-date anymore,

i.e. when one or more objects on which this map list depends have been changed, and when the raster maps of this map lists are already calculated:

  • click this button to check all objects on which this map list depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this map list depends, and finally recalculate the raster maps of this map list using all new changed objects.

Release Disk Space:

When the raster maps in the map list have been calculated already:

  • click this button to delete the raster maps of this map list.

The expression, by which this dependent map list was created, and by which the raster maps can be recreated, remains stored in the map list's object definition file, so the raster maps can always be recalculated.

Break Dependency Link:

Whether this map list is Up-to-Date or not:

  • click this button to break the dependency link between this map list and the objects on which it depends. This map list will then become editable.

Do not break the dependency link if you wish to be able to update all raster map contained by the map list in a later stage on the basis of changed input objects.

Contains tab:

Object type and name:

Map List "map list name": the map list is editable.

Dependent Map List "map list name": the map list is the result of an operation.

When you click this flat button, the map list will be (re)opened.

Objects in container:

The raster maps that are part of this map list are listed.

Used By tab:

Object type and name:

Map List "map list name": the map list is editable.

Dependent Map List "map list name": the map list is the result of an operation.

When you click this flat button, the map list will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this map list is used.

Additional Info tab:

Object type and name:

Map List "Name". When you click this flat button, the map list will be (re)opened.

Additional info:

When you have calculated a Variance-Covariance matrix or a Correlation matrix of this map list as input, or when you have performed a Principal Components Analysis or a Factor Analysis with this map list as input: the Optimum Index Factors (OIF) for each possible combination of three bands of the map list are listed. The Optimum Index Factors displays which combination of three bands provides the highest standard deviations with lowest correlation and can therefore probably best be viewed as a color composite. For more information, refer to How to calculate the Optimum Index Factor.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : map lists

How to edit a map list


Object Collection Properties

The Object Collection Properties sheet lists all kind of important information on a selected object collection. In fact, all relevant information that is stored in the object definition file of the object collection is displayed. For more information, refer to Basic concepts : Properties of objects.

When the object collection is a database collection, which is a special form of an object collection, this Property sheet lists the properties of the database collection.

This Properties sheet appears:

  • when you click an object collection or a database collection in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select an object collection or a database collection in a Catalog, and choose Properties from the Edit menu in the Main window.

General tab:

Object type and name:

Object Collection "Name", or Database Collection "Name". When you click this flat button, the object collection or database collection will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this object was last changed.

Object size:

Total size of this object collection or database collection (.IOC) on disk in bytes. This does not include any objects which are part of the object collection or database collection.

Read only:

Select this check box if this object collection should be read-only. You are then not allowed to edit or delete the object collection. Clear this check box if you want to be able to edit the object collection.

For database collections: you are never allowed to add any tables to, or to delete any tables from, the database collection. If a database collection is read-only, you cannot delete the database collection itself.

Description:

Optionally, change the description of this object collection or this database collection. The description of an object collection appears in the title bar when the object collection is displayed. Furthermore, the description of an object collection or a database collection is visible on the status bar of the Main window when moving the mouse pointer over the object collection or database collection in a Catalog.

Contains tab:

Object type and name:

Object Collection "Name", or Database Collection "Name". When you click this flat button, the object collection or database collection will be (re)opened.

Objects in container:

The ILWIS objects that are stored by this object collection are listed. Other objects that are also part of this object collection may be used in their native format (these are not listed).

For database collections: the tables that are part of the database collection are listed.

Used By tab:

Object type and name:

Object Collection "Name", or Database Collection "Name". When you click this flat button, the object collection or database collection will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this object collection or this database collection is used.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : object collections

ILWIS objects : tables - databases


Map View Properties

The Map View Properties sheet lists all kind of important information on a selected map view. In fact, all relevant information that is stored in the object definition file of the map view is displayed. For more information, refer Basic concepts : Properties of objects.

The Map View Properties sheet appears:

  • when you click a map view in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a map view in a Catalog, and choose Properties from the Edit menu in the Main window.
Map View tab:
Object type and name: | Map View "Name". When you click this flat button, the map view will be (re)opened.
Georeference: | The name , the type and the description of the georeference used by this map view are listed.
Coordinate system: | The name, the type and the description of the coordinate system used by the georeference of the raster maps in this map view are listed.
General tab:
Object type and name: | Map View "Name". When you click this flat button, the map view will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this map view was last changed.
Object size: | Total size of this map view (.MPV) on disk in bytes. This does not include any maps or annotation text that may have been added to the map view.
Read only: | Select this check box if this map view should be read only. You are then not allowed to edit or delete the map view. Clear this check box if you want to be able to edit the map view.
Description: | Optionally, change the description of this map view. The description of a map view appears in the title bar when the map view is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the map view in a Catalog.
Contains tab:
Object type and name: | Map View "Name". When you click this flat button, the map view will be (re)opened.
Objects in container: | All objects that are part of this map view are listed; this includes point, segment, and polygon maps, a raster map or a map list, and annotation text layers.
Used By tab:
Object type and name: | Map View "Name". When you click this flat button, the map view will be (re)opened.
Used By: | In a tree view, it is listed by which other objects this map view is used, e.g. layouts.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : map views


Layout Properties

The Layout Properties sheet lists all kind of important information on a selected layout. In fact, all relevant information that is stored in the object definition file of the layout is displayed. For more information, refer to Basic concepts : Properties of objects.

The Layout Properties sheet appears:

  • when you click a layout in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a layout in a Catalog, and choose Properties from the Edit menu in the Main window.
General tab:
Object type and name: | Layout "Name". When you click this flat button, the layout will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this layout was last changed.
Object size: | Total size of this layout (.ILO) on disk in bytes. This does not include any map views, or maps that may have been added to the layout. However, inserted pictures or bitmaps are included.
Read only: | Select this check box if this layout should be read only. You are then not allowed to edit or delete the layout. Clear this check box if you want to be able to edit the layout.
Description: | Optionally, change the description of this layout. The description of a layout appears in the title bar when the layout is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the layout in a Catalog.
Contains tab:
Object type and name: | Layout "Name". When you click this flat button, the layout will be (re)opened.
Objects in container: | The map views that have been included in this layout are listed.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : layouts


Annotation Text Properties

The Annotation Text Properties sheet lists all kind of important information on a selected annotation text object. In fact, all relevant information that is stored in the object definition file of the annotation text object is displayed. For more information, refer Basic concepts : Properties of objects.

The Annotation Text Properties sheet appears:

  • when you click an annotation text object in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select an annotation text object in a Catalog, and choose Properties from the Edit menu in the Main window.
  • when you display an annotation text layer, and choose Properties from the File menu in a map window.
General tab:
Object type and name: | Annotation Text "Name". When you click this flat button, the annotation text object will be (re)opened as a table.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this annotation text object was last changed.
Object size: | Total size of this annotation text object (.ATX) on disk in bytes.
Read only: | Select this check box if this annotation text object should be read only. You are then not allowed to edit or delete the annotation text layer. Clear this check box if you want to be able to edit the annotation text layer.
Description: | Optionally, change the description of this annotation text object. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the annotation text in a Catalog.
Used By tab:
Object type and name: | Annotation Text "Name". When you click this flat button, the annotation text object will be (re)opened as a table.
Used By: | In a tree view, it is listed by which map views this annotation text object is used.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : annotation text


Graph Properties

The Graph Properties sheet lists all kind of important information on a selected graph. In fact, all relevant information that is stored in the object definition file of the graph is displayed. For more information, refer Basic concepts : Properties of objects.

The Graph Properties sheet appears:

  • when you click a graph in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a graph in a Catalog, and choose Properties from the Edit menu in the Main window.
General tab:
Object type and name: | Graph "Name". When you click this flat button, the graph will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this graph was last changed.
Object size: | Total size of this graph (.MPV) on disk in bytes. This does not include any maps or annotation text that may have been added to the graph.
Read only: | Select this check box if this graph should be read only. You are then not allowed to edit or delete the graph. Clear this check box if you want to be able to edit the graph.
Description: | Optionally, change the description of this graph. The description of a graph appears in the title bar when the graph is displayed. Furthermore, the description is visible on the status bar of the Main window when moving the mouse pointer over the graph in a Catalog.
Contains tab:
Object type and name: | Graph "Name". When you click this flat button, the graph will be (re)opened.
Objects in container: | The table(s) that contain the columns from which the graph is constructed are listed.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : graphs


Domain Properties

The Domain Properties sheet lists all kind of important information on a selected domain. In fact, all relevant information that is stored in the object definition file of the domain is displayed. For more information, refer to Basic concepts : properties of objects.

The Domain Properties sheet appears:

  • when you click a domain in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a domain in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a class or ID domain, and choose Properties from the File menu in the domain class/ID editor;
  • when you open a class or ID domain, and click the Properties button [image] in the toolbar of the domain class/ID editor.

Domain tab:

Object type and name:

Domain type "domain name". When you click this flat button, the domain will be (re)opened. For Class and ID domains, the Domain Class/ID editor is opened. For an editable value domain, the Edit Domain Value dialog box is opened. System domains cannot be edited.

Width:

Accept the default domain width or type a value for the domain width yourself. The domain width determines with how many characters (default) a column with this domain is shown in a table, and with how many characters domain items will be shown in an Edit dialog box in the pixel, polygon, segment or point editor. You can always adjust column widths in tables by dragging column headers.

Attribute table:

For Class and ID domains: Select this check box when you wish to link an attribute table to this domain. Subsequently, select an attribute table or create a new attribute table for this domain by clicking the create button [image].

Clear this check box when no attribute table should be linked to this domain.

Nr. of items:

For Class and ID domains: the number of items that this domain contains.

Value Range:

For Value domains: the minimum and maximum values that can be stored by this domain.

Representation:

For Class and Value domains: select the (default) representation that should be linked to this domain.

When you click the create button, you can create a new representation for this domain. The Create Representation dialog box will follow.

Convert to identifiers:

For Class domains: click this button to change this Class domain into an ID domain, i.e. the classes are transformed into identifiers.

Convert to classes:

For Identifier and Picture domains. Click this button to change this domain into a Class domain, i.e. the identifiers or colors are transformed into classes.

General tab:

Object type and name:

Domain type "domain name". When you click this flat button, the domain will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this domain was last changed.

Object size:

Total size of the domain on disk in bytes (.DOM; in case of a class or ID domain .DOM and .DM#).

Read only:

Select this check box if this domain should be read only. You are then not allowed to edit or delete the domain. Clear this check box if you want to be able to edit the domain.

Description:

Optionally, change the description of this domain. The description of a domain appears in the title bar when the domain is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the domain in the Catalog.

Used By tab:

Object type and name:

Domain type "domain name". When you click this flat button, the domain will be (re)opened.

Used by:

In a tree view, it is listed by which other objects this domain is used.

Domains are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : domains

Domain Class/ID editor : functionality

Edit Domain Value (dialog box)


Representation Properties

The Representation Properties sheet lists all kind of important information on a selected representation. In fact, all relevant information that is stored in the object definition file of the representation is displayed. For more information, refer to Basic concepts : properties of objects.

The Representation Properties sheet appears:

  • when you click a representation in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a representation in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a representation, and choose Properties from the File menu in the representation class editor, or from the File menu in the representation value/gradual editor;
  • when you open a representation, and click the Properties button [image] in the toolbar of the representation class editor or the representation value/gradual editor.
Representation tab:
Object type and name: | Representation type "representation name". When you click this flat button, the representation will be (re)opened.
Domain: | For your information, the domain to which this representation belongs is listed.
General tab:
Object type and name: | Representation type "representation name". When you click this flat button, the representation will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this representation was last changed.
Object size: | Total size of the representation on disk in bytes (.RPR; in case of a representation class .RPR and .RP#).
Read only: | Select this check box if this representation should be read only. You are then not allowed to edit or delete the representation. Clear this check box if you want to be able to edit the representation.
Description: | Optionally, change the description of this representation. The description of a representation appears in the title bar when the representation is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the representation in the Catalog.
Used By tab:
Object type and name: | Representation type "representation name". When you click this flat button, the representation will be (re)opened.
Used by: | In a tree view, it is listed by which other objects this representation is used.

A representation is never a dependent object.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : representations

Representation Class editor : functionality

Representation Value/Gradual editor : functionality


Georeference Properties

The Georeference Properties sheet lists all kind of important information on a selected georeference. In fact, all relevant information that is stored in the object definition file of the georeference is displayed. For more information, refer to Basic concepts : properties of objects.

The Georeference Properties sheet appears:

  • when you click a georeference in a Catalog with the right mouse button, and select Properties from the context-sensitive menu;
  • when you select a georeference in a Catalog, and choose Properties from the Edit menu in the Main window.

Georeference tab:

Object type and name:

GeoReference type "Georeference name". When you click this flat button, the georeference will be (re)opened.

Nr. of Lines and Columns:

For your information, the number of lines and columns of this georeference is listed.

Pixel size:

For your information, and if available, the pixel size of this georeference is listed.

Coordinate System:

The Name, Description and Coordinate Boundaries of the coordinate system used by this georeference are listed.

Background map:

For a georef of type tiepoints, linear, orthophoto, or parallel projective: the name of background raster map is listed. The background raster map is the raster map which will be opened when you open this georeference.

You may also use a map list as a background map. When the georeference is opened, the map list will be shown as an interactive color composite.

DTM:

For a georef of type direct linear, orthophoto, parallel projective, or 3D: the Digital Terrain Model (DTM) that is used by this georeference is listed. Also, the description, the number of lines and columns and the size of the DTM is listed.

General tab:

Object type and name:

GeoReference type "Georeference name". When you click this flat button, the georeference will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this georeference was last changed.

Object size:

Total size of the georeference on disk in bytes (.GRF; for a georeference tiepoints, a georef direct linear or a georef orthophoto .GRF and .GR#).

Read only:

Select this check box if this georeference should be read only. You will then not be allowed to edit or to delete the georeference. Clear this check box if you want to be able to edit the georeference.

Description:

Optionally, change the description of this georeference. The description of a georeference appears in the title bar when the georeference is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.

Used By tab:

Object type and name:

GeoReference type "Georeference name". When you click this flat button, the georeference will be (re)opened.

Used by:

In a tree view, it is listed by which other objects this georeference is used.

Additional Info tab:

Object type and name:

GeoReference type "Georeference name". When you click this flat button, the georeference will be (re)opened.

Additional Info:

For a georef tiepoints, a georef direct linear and a georef orthophoto, information on transformation or orientation results is listed. For more information on the Additional Info of a georeference direct linear, refer to ILWIS object : georeference direct linear.

Georeferences are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : georeferences


Coordinate System Properties

The Coordinate System Properties sheet lists all kind of important information on a selected coordinate system. In fact, all relevant information that is stored in the object definition file of the coordinate system is displayed. For more information, refer to Basic concepts : properties of objects.

The Coordinate System Properties sheet appears:

  • when you click a coordinate system in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a coordinate system in a Catalog, and choose Properties from the Edit menu in the Main window.

CoordinateSystem tab:

Object type and name:

Coordinate system type "Coordinate system name". When you click this flat button, the coordinate system will be (re)opened.

Boundaries:

For your information, the coordinate boundaries are listed as (MinX, MinY) and (MaxX,MaxY).

When this coordinate system is a coordsys of type latlon, the boundaries will appear in minutes, degrees, seconds.

Sphere radius:

For a coordinate system of type projection to which no projection information has been added yet: the default Sphere radius is listed.

Projection:

For a coordinate system of type projection to which projection information has been added: the name of the Projection is listed.

Datum, Ellipsoid:

For a coordinate system of type projection, when a datum and/or an ellipsoid has been specified for the projection: the name of the Datum, the Datum Area, and/or the name of the Ellipsoid are listed as well.

For a coordinate system of type latlon, when a datum and/or an ellipsoid has been specified: the Datum and/or the Ellipsoid are listed as well.

Related coordsys:

For a coordinate system of type formula, tiepoints, direct linear or orthophoto: the name of the related coordinate system is listed as well. The related coordinate system is usually the coordinate system with correct coordinates.

Background map:

For a coordinate system of type tiepoints, direct linear or orthophoto: the name of background vector map is listed. The background vector map is the vector map which will be opened when this coordinate system is opened.

General tab:

Object type and name:

Coordinate system type "Coordinate system name". When you click this flat button, the coordinate system will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this coordinate system was last changed.

Object size:

Total size of the coordinate system on disk in bytes (.CSY; for a coordinate system tiepoints, direct linear, orthophoto .CSY and .CS#).

Read only:

Select this check box if this coordinate system should be read only. You will then not be allowed to edit or delete the coordinate system. Clear this check box if you want to be able to edit the coordinate system.

Description:

Optionally, change the description of this coordinate system. The description of a coordinate system appears in the title bar when the coordinate system is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

Used By tab:

Object type and name:

Coordinate system type "Coordinate system name". When you click this flat button, the coordinate system will be (re)opened.

Used by:

In a tree view, it is listed by which other objects this coordinate system is used.

Additional Info tab:

Object type and name:

Coordinate system type "Coordinate system name". When you click this flat button, the coordinate system will be (re)opened.

Additional Info:

For a coordsys tiepoints, direct linear or orthophoto: information on transformation or orientation results is listed.

Coordinate systems are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : coordinate systems


Histogram properties

The Histogram Properties sheet lists all kind of important information on a selected histogram. In fact, all relevant information that is stored in the object definition file of the histogram is displayed. Furthermore, Property sheets are designed to handle the properties of dependent objects. For more information, refer to the Histogram operation or to Basic concepts : properties of objects. Note that you can calculate histograms of raster, polygon, segment and point maps.

The Histogram Properties sheet appears:

  • when you click a histogram in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a histogram in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a histogram, and choose Properties from the File menu.

Histogram tab:

Object type and name:

Histogram "Name". When you click this flat button, the histogram will be (re)opened.

Domain:

For your information, the domain and domain type of the histogram table are listed.

General tab:

Object type and name:

Histogram "Name". When you click this flat button, the histogram will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this histogram was last changed.

Object size:

Total size of the histogram on disk in bytes. For raster histograms .HIS and .HI#; for polygon histograms .HSA and .HA#; for segment histograms .HSS and .HS#; for point histograms .HSP and .HP#.

Read only:

Select this check box if this histogram should be read only. You are then not allowed to edit or delete the histogram. Clear this check box if you want to be able to edit the histogram.

Description:

Optionally, change the description of this histogram. The description of a histogram appears in the title bar when the histogram is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the histogram in the Catalog.

Dependency tab:

Object type and name:

Histogram "Name". When you click this flat button, the histogram will be (re)opened.

Definition:

For your information, the expression by which this histogram was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this histogram is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree structure, it is listed on which objects this histogram depends (name of the map for which this histogram was calculated).

Make Up-to-Date:

When the histogram is not up-to-date and both the object definition file and a calculated data file exist: click this button to check the object on which this histogram depends, see if this object is up-to-date, if not, check all objects below, etc., and recalculate the data file of this histogram using all new changed objects.

Release disk space:

When both the object defintion file (.HIS, .HSA, .HSS, .HSP) and a calculated data file (.HI#, .HA#, .HS#, .HP#) exist: click this button to delete the data file of this histogram.

The expression by which this dependent histogram was created remains stored in the object definition file, so this histogram can always be recalculated.

Break dependency link:

Click this button to break the dependency links between this histogram and the map on which it depends and make this histogram an editable source object. Do not break dependencies if you want to be able to update this histogram in a later stage on the basis of changed input objects.

Additional Info tab:

Object type and name:

Histogram "Name". When you click this flat button, the histogram will be (re)opened.

Additional Info:

For raster histograms: summary information on the histogram is listed. For histograms of value raster maps: Mean, Median, Standard deviation, Predominant value, Number of undefined pixels, and Percentage intervals. For histograms of other raster maps: Predominant class name, ID, or color, etc. and Number of undefined pixels (if any).

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

Histogram operation

ILWIS objects : histograms


Sample Set Properties

The Sample Set Properties sheet lists all kind of important information on a selected sample set. In fact, all relevant information that is stored in the object definition file of the sample set is displayed. For more information, refer to Basic concepts : properties of objects.

The Sample Set Properties sheet appears:

  • when you click a sample set in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a sample set in a Catalog, and choose Properties from the Edit menu in the Main window.

Sample Set tab:

Object type and name:

SampleSet "Name". When you click this flat button, the sample set will be (re)opened.

Domain:

For your information, the domain used by the sample set and the sample map is listed; this domain contains all the class names that you can assign to your training pixels.

Sample map:

Shows which sample map is used by the sample set. This map contains the locations of the training pixels and the class names assigned to them.

Optionally, you can select another sample map from the drop-down list, if you want to view the results of another sample set (e.g. using different sampling techniques).

Map list:

Shows which map list is used by the sample set, that is the set of images you want to classify in a later stage.

Optionally, you can select another map list from the drop down list, or create one by pressing the create button. This option may be usefull if you want to check spectral class separation in another set of input bands (e.g. principle components of your original bands).

General tab:

Object type and name:

SampleSet "Name". When you click this flat button, the sample set will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this sample set was last changed.

Object size:

Total size of the sample set on disk in bytes (.SMS).

Read only:

Select this check box if this sample set should be read only. You are then not allowed to edit or delete the sample set. Clear this check box if you want to be able to edit the sample set.

Description:

Optionally, change the description of this sample set. The description of a sample set appears in the title bar when the sample set is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the sample set in the Catalog.

Used By tab:

Object type and name:

SampleSet "Name". When you click this flat button, the sample set will be (re)opened.

Used by:

In a tree view, it is listed by which other objects this sample set is used.

Sample sets are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : sample sets

Classify


Stereo Pair Properties

The Stereo Pair Properties sheet lists all kind of important information on a selected stereo pair. In fact, all relevant information that is stored in the object definition file of the stereo pair is displayed. For more information, refer to Basic concepts : Properties of objects.

This Properties sheet appears:

  • when you click a stereo pair in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a stereo pair in a Catalog, and choose Properties from the Edit menu in the Main window.

General tab:

Object type and name:

Dependent Stereo Pair "Name": for a dependent stereo pair of which the output maps have been defined and/or calculated.

Stereo Pair "Name": for a stereo pair which is not dependent anymore on its input maps.

When you click this flat button, the stereo pair will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this stereo pair was last changed.

Object size:

Total size of this stereo pair (.STP) on disk in bytes. This does not include any objects which are part of the stereo pair.

Read only:

Select this check box if this stereo pair should be read-only.

Description:

Optionally, change the description of this stereo pair. The description of a stereo pair is visible on the status bar of the Main window when moving the mouse pointer over the stereo pair in a Catalog.

Dependency tab (for dependent/calculated stereo pairs):

Object type and name:

Dependent Stereo Pair "Name": for a dependent stereo pair of which the output maps have been defined and/or calculated.

When you click this flat button, the stereo pair will be (re)opened.

Definition:

In case of a dependent epipolar stereo pair:

  • A text string stating the name of the stereo pair, the names of the input raster maps from which the stereo pair has been created.
  • The expression by which an epipolar stereo pair was created (its definition) is stored internally.

In case of a dependent stereo pair from DTM, the expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this stereo pair is up-to-date or not. If not, the name of the input object that was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of two raster maps are listed on which this stereo pair depends.

Calculate:

When the stereo pair and its two output raster maps have not been calculated yet:

  • click this button to (re)calculate the stereo pair and its two output raster maps. The (internal) definition of this stereo pair will be (re)executed which ensures that the object definition files of the output raster maps (.MPR) are (re)created, and that the data files of these raster maps (.MP#) are (re)calculated.

Make Up-to-Date:

When the stereo pair is not up-to-date anymore,

i.e. when one or more of the input raster maps on which this stereo pair depends have been changed, and when the output raster maps of this stereo pair are already calculated:

  • click this button to check all objects on which this stereo pair depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this stereo pair depends, and finally recalculate the output raster maps of this stereo pair using all new changed objects.

Release Disk Space:

When the output raster maps of the stereo pair have been calculated already:

  • click this button to delete the output raster maps of this stereo pair.

The expression, by which this dependent stereo pair was created, and by which the output raster maps can be recreated, remains stored in the stereo pair's object definition file; the output raster maps can thus always be recalculated.

Break Dependency Link:

Regardless of whether this stereo pair is Up-to-Date or not:

  • click this button to break the dependency link between this stereo pair and the input raster maps on which it depends.

Do not break the dependency link if you wish to be able to update/recalculate the output raster maps of this stereo pair in a later stage on the basis of changed input objects.

Contains tab:

Object type and name:

Dependent Stereo Pair "Name": for a dependent stereo pair of which the output maps have been defined and/or calculated.

Stereo Pair "Name": for a stereo pair which is not dependent anymore on its input maps.

When you click this flat button, the stereo pair will be (re)opened.

Objects in container:

The two output raster maps that are stored by this stereo pair are listed.

Used By tab:

Object type and name:

Dependent Stereo Pair "Name": for a dependent stereo pair of which the output maps have been defined and/or calculated.

Stereo Pair "Name": for a stereo pair which is not dependent anymore on its input maps.

When you click this flat button, the stereo pair will be (re)opened.

Used By:

In a tree view, it is listed by which other objects this stereo pair is used.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : stereo pairs


Criteria tree Properties

The Criteria tree Properties sheet lists all kind of important information on a selected criteria tree. In fact, all relevant information that is stored in the object definition file of the criteria tree is displayed. For more information, refer to Basic concepts : Properties of objects.

The Criteria tree Properties sheet appears:

  • when you click a criteria tree in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a criteria tree in a Catalog, and choose Properties from the Edit menu in the Main window.
General tab:
Object type and name: | Criteria tree "Name". When you click this flat button, the criteria tree will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this criteria tree was last changed.
Object size: | Total size of the criteria tree (.SMC) on disk in bytes.
Read only: | Select this check box if this criteria tree should be read only. You are then not allowed to edit or delete the criteria tree. Clear this check box if you want to be able to edit the criteria tree.
Description: | Optionally, change the description of this criteria tree. The description is visible on the status bar of the Main window when moving the mouse pointer over the layout in a Catalog.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : criteria trees


Two-dimensional Table Properties

The Two-dimensional Table Properties sheet lists all kind of important information on a selected two-dimensional table. In fact, all relevant information that is stored in the object definition file of the two-dimensional table is displayed. For more information, refer to Basic concepts : properties of objects.

The Two-dimensional Table Properties sheet appears:

  • when you click a two-dimensional table in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a two-dimensional table in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open the two-dimensional table, and choose Properties from the File menu of the two-dimensional table viewer/editor;
  • when you open a two-dimensional table, and click the Properties button [image] in the toolbar of the two-dimensional table viewer/editor.
2-dim Table tab:
Object type and name: | 2-Dimensional Table "Name". When you click this flat button, the two-dimensional table will be (re)opened.
Primary: | Shows the domain type, name and description of the primary domain, this is the domain that is used for the rows in the two-dimensional table.
Secondary: | Shows the domain type, name and description of the secondary domain, this is the domain that is used for the columns in the two-dimensional table.
Domain: | Shows the type and name of the domain that is used for the fields, i.e. the contents, of the two-dimensional table.
Value Range: | In case the two-dimensional table uses a value domain for its fields, the minimum and maximum value and precision of values that can be used in the fields is listed.
General tab:
Object type and name: | 2-Dimensional Table "Name". When you click this flat button, the two-dimensional table will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this two-dimensional table was last changed.
Object size: | Total size of the two-dimensional table on disk in bytes (.TA2 and T2#).
Read only: | Select this check box if this two-dimensional table should be read only. You are then not allowed to edit or delete the two-dimensional table. Clear this check box if you want to be able to edit the two-dimensional table.
Description: | Optionally, change the description of this two-dimensional table. The description of a two-dimensional table appears in the title bar when the two-dimensional table is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the two-dimensional table in the Catalog.
Used by tab:
Object type and name: | 2-Dimensional Table "Name". When you click this flat button, the two-dimensional table will be opened.
Used by: | In a tree view, it is listed by which other objects this two-dimensional table is used.

Two-dimensional tables are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : two-dimensional tables


Matrix Properties

The Matrix Properties sheet lists all kind of important information on a selected matrix. In fact, all relevant information that is stored in the object definition file of the matrix is displayed. For more information, refer to Basic concepts : properties of objects.

The Matrix Properties sheet appears:

  • when you click a matrix in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a matrix in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a matrix, and choose Properties from the File menu.

General tab:

Object type and name:

Principal Components Coefficients "object name", or

Factor Analysis Coefficients "object name".

When you click this flat button, the matrix will be (re)opened.

Location:

The path and directory where this object is stored.

Object date and time:

Date and time when this object was last changed.

Object size:

Total size of the object on disk in bytes (.MAT).

Read only:

Select this check box to make the object read only. Clear this check box to make the object changeable.

Description:

Description of the object; freely editable. The description of a matrix is visible on the status bar of the Main window when moving the mouse pointer over the object in a Catalog.

Dependency tab (for dependent matrices):

Object type and name:

Principal Components Coefficients "object name", or

Factor Analysis Coefficients "object name".

When you click this flat button, the matrix will be (re)opened.

Definition:

The expression by which the object was created is listed, i.e. the object definition.

Up-to-date or not:

Lists whether this matrix is up-to-date or not. If not, the name of the object which was changed last is shown including that object's date and time.

Depends on:

In a tree view, the names of the objects are listed on which this matrix depends.

Calculate:

When the matrix has only been defined by its object definition:

  • click this button to (re)calculate the matrix by (re)executing the definition of this matrix.

Make Up-to-Date:

When the matrix is not up-to-date anymore,

i.e. when one or more objects on which this matrix depends have been changed, and when the matrix has been calculated already:

  • click this button to check all objects on which this matrix depends, see if these are up-to-date, if not, check all objects below, etc.,
  • recalculate all changed objects on which this matrix depends, and finally recalculate the matrix using all new changed objects.

Release Disk Space:

When the matrix has been calculated already:

  • click this button to temporarily 'remove' calculated values of the matrix.

The expression by which this dependent matrix was created remains stored in the object definition file (.MAT), so this matrix can always be recalculated.

Break Dependency Link:

Whether this matrix is Up-to-Date or not:

  • click this button to break the dependency link between this matrix and the objects on which it depends. This matrix will no longer depend on its input objects and cannot be recalculated if any input will be changed.

Do not break the dependency link if you wish to be able to update this matrix in a later stage on the basis of changed input objects.

Additional Info tab (when the matrix has been calculated):

Object type and name:

Principal Components Coefficients "object name", or
Factor Analysis Coefficients "object name".
When you click this flat button, the matrix will be (re)opened.

Additional info:

The total variance of each input band in the map list is listed and the percentage variance of each band that accounts for the eigenvalues.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : matrices

Principal Component Analysis

Factor Analysis


Filter Properties

The Filter Properties sheet lists all kind of important information on a selected filter. In fact, all relevant information that is stored in the object definition file of the filter is displayed. For more information, refer to Basic concepts : properties of objects.

The Filter Properties sheet appears:

  • when you click a filter in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a filter in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a filter, and choose Properties from the File menu.
General tab:
Object type and name: | Filter "object name". When you click this flat button, the filter will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this object was last changed.
Object size: | Total size of the filter on disk in bytes (.FIL).
Read only: | Select this check box to make the object read only. Clear this check box to make the object changeable.
Description: | Description of the object; freely editable. The description of a map view appears in the title bar of a map window when the map view is displayed. Further, for all objects, the description is visible on the status bar of the Main window when moving the mouse pointer over the object in the Catalog.
Used By tab:
Object type and name: | Filter "object name". When you click this flat button, the filter will be (re)opened.
Used by: | In a tree view, it is listed by which other objects this filter is used.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : filters


Function Properties

The Function Properties sheet lists all kind of important information on a selected function. In fact, all relevant information that is stored in the object definition file of the function is displayed. For more information, refer to Basic concepts : properties of objects.

The Function Properties sheet appears:

  • when you click a function in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu,
  • when you select a function in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a function, you choose Propertiesfrom the File menu in the Function editor.
General tab:
Object type and name: | Function "function name". When you click this flat button, the function will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this function was last changed.
Object size: | Total size of the function on disk in bytes (.FUN and .FND).
Read only: | Select this check box if this function should be read only. You are then not allowed to edit or delete the function. Clear this check box if you want to be able to edit the function.
Description: | Optionally, change the description of this function. The description of a function appears in the description bar when the function is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the function in the Catalog.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

Functions are never dependent objects.

See also:

ILWIS objects : functions


Script Properties

The Script Properties sheet lists all kind of important information on a selected script. In fact, all relevant information that is stored in the object definition file of the script is displayed. For more information, refer to Basic concepts : properties of objects.

The Script Properties sheet appears:

  • when you click a script in a Catalog with the right mouse button, and choose Properties from the context-sensitive menu;
  • when you select a script in a Catalog, and choose Properties from the Edit menu in the Main window;
  • when you open a script, and choose Properties from the File menu in the script editor;
  • when you open a script, and click the Properties button [image] in the toolbar of the script editor.
General tab:
Object type and name: | Script "script name". When you click this flat button, the script will be (re)opened.
Location: | The path and directory where this object is stored.
Object date and time: | Date and time when this script was last changed.
Object size: | Total size of the script on disk in bytes (.ISL and .ISF).
Read only: | Select this check box if this script should be read only. You are then not allowed to edit or delete the script. Clear this check box if you want to be able to edit the script.
Description: | Optionally, change the description of this script. The description of a script appears in the description bar when the script is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the script in the Catalog.

Scripts are never dependent objects.

Tips:

  • To print or to copy the contents of all Property pages to the clipboard, choose Print or Copy from the Control menu.
  • To print or to copy the contents of the currently active Property tab to the clipboard, click with the right mouse button in the white space of the Property page and choose Print or Copy from the context-sensitive menu.

See also:

ILWIS objects : scripts


ILWIS operations

 Quick reference of ILWIS operations

VISUALIZATION
Show Map
Show Table
Show Map List as Color Composite
Show Map List as Slide Show
Display 3D
Apply 3D
Show Stereo Pair as Anaglyph
Show Stereo Pair with Stereoscope
RASTER OPERATIONS
Map Calculate
Attribute Map
Cross
Aggregate Map
Distance Calculation
Iteration
Area Numbering
Sub Map
Glue Maps
Mirror Rotate
Spatial Multi-Criteria Evaluation
IMAGE PROCESSING
Filter
Stretch
Slicing
Color Separation
Color Composite
Cluster
Sample
Classify
Resample
Epipolar Stereo Pair
Stereo Pair from DTM
STATISTICS
Histogram
Raster:
Autocorrelation - Semivariance
Variogram surface
Map List:
Principal Components
Factor Analysis
Variance Covariance matrix
Correlation matrix
Polygons:
Neigbour Polygons
Segments:
Direction Histogram
Point statistics:
Spatial Correlation
Variogram Surface
Cross Variogram
Pattern Analysis
INTERPOLATION
Densify
Kriging from Raster
Contour interpolation
Point interpolation:
Nearest point
Moving average
Trend surface
Moving surface
Kriging
Anisotropic Kriging
Universal Kriging
CoKriging
VECTOR OPERATIONS
Unique ID
Polygons:
Attribute Map
Mask Polygons
Assign Labels
Transform Polygons
ID Grid Map
Segments:
Attribute Map
Mask Segments
Assign Labels
Sub Map
Glue Maps
Densify Coordinates
Tunneling
Transform Segments
Points:
Attribute Map
Mask Points
Sub Map
Glue Maps
Transform Points
Coordinates:
Transform Coordinates
Find Datum Transformation Parameters
RASTERIZE
Polygons to raster
Segments to raster
Segment density
Points to raster
Point density
VECTORIZE
Raster to polygons
Raster to segments
Raster to points
Polygons to segments
Polygons to points
Segments to polygons
Segments to points
TABLE OPERATIONS
Transpose table
Change domain of table
Table to point map
Glue tables
DEM HYDRO-PROCESSING
DEM visualization
Flow determination:
Fill sinks
Flow direction
Flow accumulation
Flow modification:
DEM optimization
Topological optimization
Variable threshold computation
Network and Catchment extraction:
Drainage network extraction
Drainage network ordering
Catchment extraction
Catchment merge
Compound parameter extraction:
Overland flow length
Compound Index calculation
Statistical parameter extraction:
Horton statistics
Aggregate statistics
Cumulative hypsometric curve
Class coverage statistics
SCRIPT
Additional scripts
TOOLS
Additional external tools


Main window

 View menu

Catalog - List View

View the objects in a Catalog (directory), in an opened object collection or in an opened map list as a simple list of icons and object names. To see detailed information on objects in a Catalog, use Details View.

When using List View, you can:

  • specify the object types you want to see,
  • order the objects by name, by date, etc.,
  • search for certain objects, e.g. objects of a certain type, with certain name, using a certain domain or georef type, using a certain domain or georef, etc.

For more information, see below.

When the current Catalog is shown in List View, the List View command is preceded by an option bullet [image].

To specify visible object types:

  • Use the Show command on the View menu, and select a group of objects that you want to see;
  • Click the right mouse button in the white space of a Catalog, choose the Show command from the context-sensitive menu, and select a group of objects that you want to see;
  • Use the Object Selection toolbar in the Main window; object types of which the button is 'down' are shown;
  • Use the Customize Catalog command on the View menu, or click the Customize Catalog button [image] in the Standard toolbar, and choose the Selection tab.

Tip:

To include system objects or non-ILWIS objects in a Catalog, e.g. DBF files and/or TIF files, see Customize Catalog, Selection tab.

To sort or order objects:

  • Use the Sort By command on the View menu, and select a sorting method.
  • Click the right mouse button in the white space of a Catalog, choose the Sort By command from the context-sensitive menu, and select a sorting method;

When showing objects in a Catalog in Details View, you can also click the column buttons to sort objects.

To perform a query on objects:

By using a Catalog query, ILWIS will scan the contents of all object definition files in the current Catalog and show only those objects that are the result of the query. By using a query, you can search for instance for objects that use domain type Class/ID, domain type Image, a certain domain (e.g. domain landuse), a certain georeference, etc. The query that is in use is shown in the status bar of the Main window.

  • Use the Catalog Queries command on the View menu, and select a predefined query;
  • Use the Customize Catalog command on the View menu, or click the Customize Catalog button [image] in the Standard toolbar, choose the Query tab, and select a predefined query or construct a query yourself;
  • Click the right mouse button in the white space of a Catalog, choose the Customize Catalog command from the context-sensitive menu, choose the Query tab, and select a predefined query or construct a query yourself.

Query examples:

map.name=Land* | shows the raster, polygon, segment and point maps that start with Land.
map.domain=Landuse | shows the raster, polygon, segment and point maps that use domain Landuse.
map.domain.type=image | shows the maps that use domain type Image.

For more information, see Customize Catalog, Query tab.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

See also:

Catalog - Show ...

Catalog - Sort by ...

Catalog - Predefined queries ...

Customize Catalog, Selection tab

Customize Catalog, Details View tab

Customize Catalog, Query tab

Catalog - Details View

Main window : Catalog


Main window

 View menu

Catalog - Details View

View the objects in a Catalog (directory), in an opened object collection, or in an opened map list as a table. The columns in the table give extra information on individual objects such as: dependent or not, used domain/georeference/coordinate system, description, expression, etc. This information is read from the object definition files in the Catalog, object collection or map list.

To see only object names and icons in a Catalog, use List View.

When using Details View, you can change the order and/or the width of columns in the table.

Furthermore, you can:

  • specify the object types you want to see,
  • order the objects by name, by date, etc.,
  • search for certain objects, e.g. objects of a certain type, with certain name, using a certain domain or georef type, using a certain domain or georef, etc.

For more information, see below.

When the current Catalog is shown in Details View, the Details View command is preceded by an option bullet [image].

Available columns in Details View:

Name | lists object's icon and the object's name.
D | lists whether the object is Dependent (D) or not (blank).
C | lists whether a dependent object is Calculated (C) or not (N); blank for non-dependent objects.
U | lists whether a dependent object is Up-to-Date (U) or not (N); blank for non-dependent objects.
R | lists whether the object is Read-only (R) or not (blank).
Modified | lists the date and time the object was modified last.
Domain | lists the name of the domain that is used by the object; blank if object does not use a domain.
Domain type | lists the type of domain used by the object.
CoordSystem | lists the name of the coordinate system that is used by the object; blank if object does not use a coordinate system.
Csy type | lists the type of coordinate system that is used by the object; blank if object does not use a coordinate system.
Georef | lists the name of the georeference that is used by the object; blank if object does not use a georeference.
Georef type | lists the type of georeference that is used by the object; blank if object does not use a georeference.
Size | lists the 'Contents Size' of the object, e.g. nr of lines and cols for raster maps, nr of polygons for polygon maps, nr of records and columns in a table, nr of items in a class or ID domain, etc.
Attribute | lists the name of the attribute table that is linked to a map or to a domain; blank if object does not have an attribute table.
Description | lists the Description of an object; when during an operation no description is filled out for the dependent output object, the dependent output object will use its definition or expression as description; blank if a non-dependent object has no description.
Expression | lists for a dependent object the expression or definition by which the object was created; blank for non-dependent objects.
Type | Lists the type of the object.

You can specify which columns should be visible in Details View on the Customize Catalog, Details View tab.

To change the order and/or the width of columns in the table:

  • Order of columns: Drag and drop a column header to and at another position (horizontally);
  • Column width: Drag the vertical line which separates two column headers to the left or right. The mouse pointer changes to a double-sided arrow when you are at the correct position to start dragging.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

To specify visible object types:

  • Use the Show command on the View menu, and select a group of objects that you want to see;
  • Click the right mouse button not the Name or the Domain column but on one of the other columns in the table, choose the Show command from the context-sensitive menu, and select a group of objects that you want to see;
  • Use the Object Selection toolbar in the Main window; object types of which the button is 'down' are shown;
  • Use the Customize Catalog command on the View menu, or click the Customize Catalog button [image] in the Standard toolbar, and choose the Selection tab.

Tip:

To include system objects or non-ILWIS objects in a Catalog, e.g. DBF files and/or TIF files, see Customize Catalog, Selection tab.

To sort or order objects:

  • Use the Sort By command on the View menu, and select a sorting method;
  • Click the right mouse button in the white space of the table, choose the Sort by command from the context-sensitive menu, and select a sorting method;
  • Click a column header: every column can be sorted Ascending order (delta up) and in Descending order (delta down).

To perform a query on objects:

By using a Catalog query, ILWIS will scan the contents of all object definition files in the current Catalog and show only those objects that are the result of the query. By using a query, you can search for instance for objects that use domain type Class/ID, domain type Image, a certain domain (e.g. domain landuse), a certain georeference, etc. The query that is in use is shown in the status bar of the Main window.

  • Use the Catalog Queries command on the View menu, and select a predefined query;
  • Use the Customize Catalog command on the View menu, or click the Customize Catalog button [image] in the Standard toolbar, choose the Query tab, and select a predefined query or construct a query yourself;
  • Click the right mouse button not the Name or the Domain column but on one of the other columns in the table, choose Customize Catalog command from the context-sensitive menu, choose the Query tab, and select a predefined query or construct a query yourself.

Query examples:

map.name=Land* | shows the raster, polygon, segment and point maps that start with Land.
map.domain=Landuse | shows the raster, polygon, segment and point maps that use domain Landuse.
map.domain.type=image | shows the maps that use domain type Image.

For more information, see Customize Catalog, Query tab.

See also:

Catalog - Show ...

Catalog - Sort by ...

Catalog - Predefined queries ...

Customize Catalog, Selection tab

Customize Catalog, Details View tab

Customize Catalog, Query tab

Catalog - List View

Main window : Catalog


Customize Catalog - Object Selection

Main window

 View menu

Customize Catalog

Object Selection

Details View

Query

Select the object types that should be shown in a Catalog. Furthermore, you can choose to show or hide system objects in a Catalog, show or hide objects that are part of an object collection from a directory Catalog, and you can specify which external file formats you would like to see in a Catalog.

The Customize Catalog sheet appears:

  • when in the Main window, you choose the Customize Catalog command from the View menu,
  • when you click the Customize Catalog button [image] in the standard toolbar of the Main window,
  • when you click the right mouse button in the white space of a Catalog and choose the Customize Catalog command from the context-sensitive menu.

The Object Selection page is the default page of this sheet.

Tips:

  • To specify visible objects in a Catalog, you can also use the object selection toolbar in the Main window.
  • To select groups of objects, you can also use the Show command on the View menu.

Page options:

Object types:

Select the type(s) of objects to be shown in this Catalog. Use the scroll bar in this list box to see more ILWIS object types. For more information on how to select a number of object types, see below.

Include system objects:

Select this check box if you wish system objects to be shown in this Catalog. Clear this check box if you wish to hide system objects.

Hide objects which are member of an object collection:

Select this checkbox when objects that are part of an object collection should not be visible in a normal directory Catalog; these objects will only be shown when you open the object collection.

External file extensions:

Specify one or more file extensions of non-ILWIS files that you wish to show in a Catalog.

Multiple file extensions can be specified as dbf;tif;mdb or as .dbf;.tif;.mdb Mind: It is not allowed to use any spaces.

  • Databases that consist of a file (such as dBase or Access) and contain one or more tables, can also be 'opened' (in a Use As manner) by double-clicking the file in the Catalog. In the background, an object definition file for a database collection will be created, while the original external data file remains on disk.
  • Table data can also be imported using the Import Table wizard.

For more information on import, see How to import data.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

Selecting multiple object types

To select two or more items in sequence:

  • click the first object type you want to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last object type you want to select,
  • then release the left mouse button;

or

  • click the first object type you want to select,
  • press and hold down the Shift key while you click the last object type of the group.

To select two or more items out of sequence:

  • press and hold down the Ctrl key while you click each object type.

To cancel a selected object type:

  • press and hold down the Ctrl key while you click a selected object type.

See also:

Main window : Object Selection toolbar

Main window : Catalog


Customize Catalog - Details View

Main window

 View menu

Customize Catalog

Object Selection

Details View

Query

Specify the columns that should be shown when displaying a Catalog, an opened object collection, or an opened map list in Details View.

The Customize Catalog sheet appears:

  • when in the Main window, you choose the Customize Catalog command from the View menu,
  • when you click the Customize Catalog button [image] in the standard toolbar of the Main window,
  • when you click the right mouse button in the white space of a Catalog and choose the Customize Catalog command from the context-sensitive menu.

Subsequently, click the Details View tab.

Page options:

Visible columns: | Select the columns that you wish to see when in Details View. For more information on how to select a number of columns, see below.
Grid visible: | Select this check box if grid lines should be drawn around the 'cells' in the Details View table. Clear this check box if you do not want to see grid lines.
Use current settings for new Catalogs:
 | Click this button to apply the settings of the currently active Catalog to all new Catalogs that will be opened. Settings include visible objects, sorting method, and queries.
Use default settings for new Catalogs:
 | Click this button to ensure that the settings of the active Catalog are NOT applied to any new Catalog that will be opened. For any new Catalog that will be opened, the default Customize Catalog settings will be used.

Available columns:

Name | lists the object icons and the object names.
D | lists whether objects are Dependent (D) or not (blank).
C | lists whether dependent objects are Calculated (C) or not (N); blank for non-dependent objects.
U | lists whether dependent objects are Up-to-Date (U) or not (N); blank for non-dependent objects.
R | lists whether objects are Read-only (R) or not (blank).
Modified | lists the date and time that objects were modified last.
Domain | lists the name of the domain that is used by objects; blank if object does not use a domain.
Domain type | lists the type of domain used by objects.
CoordSystem | lists the name of the coordinate system that is used by objects; blank if object does not use a coordinate system.
Csy type | lists the type of coordinate system that is used by objects; blank if object does not use a coordinate system.
Georef | lists the name of the georeference that is used by the object; blank if object does not use a georeference.
Georef type | lists the type of georeference that is used by an object; blank if object does not use a georeference.
Size | lists the 'Contents Size' of objects, e.g. nr of lines and cols for raster maps, nr of polygons for polygon maps, nr of records and columns in a table, nr of items in a class or ID domain, etc.
Attribute | lists the name of the attribute table that is linked to a map or to a domain; blank if object does not have an attribute table.
Description | lists the Description of objects; when during an operation no description is filled out for the dependent output object, the dependent output object will use its definition or expression as description; blank if a non-dependent object has no description.
Expression | lists for dependent objects the expression or definition by which the object was created; blank for non-dependent objects.
Type | lists the type of the objects as text.

Tips:

  • To view only certain objects, use the Show command on the View menu, the Object Selection toolbar, or the Customize Catalog, Selection tab.
  • To sort objects, use the Sort By command on the View menu, or click the column headers when in Details View.
  • To search for certain objects, use the Catalog Queries command on the View menu, or use the Customize Catalog, Query tab.

Selecting multiple items in a list

To select two or more items in sequence:

  • click the first object type you want to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last object type you want to select,
  • then release the left mouse button;

or

  • click the first object type you want to select,
  • press and hold down the Shift key while you click the last object type of the group.

To select two or more items out of sequence:

  • press and hold down the Ctrl key while you click each object type.

To cancel a selected object type:

  • press and hold down the Ctrl key while you click a selected object type.

See also:

Catalog - Details View

Main window : Catalog


Customize Catalog - Query

Main window

 View menu

Customize Catalog

Object Selection

Details View

Query

Search for certain objects in a (directory) Catalog and show only the objects that are the result of your query. You can select one of the predefined queries, but you can also construct a query yourself.

You can search for instance for objects that use domain type Class/ID, domain type Image, a certain domain (e.g. domain landuse), a certain georeference, etc. To find query results, ILWIS has to scan the contents of all object definition files in the current Catalog.

The query that is in use is shown in the status bar of the Main window.

The Customize Catalog sheet appears:

  • when in the Main window, you choose the Customize Catalog command from the View menu,
  • when you click the Customize Catalog button [image] in the standard toolbar of the Main window,
  • when you click the right mouse button in the white space of a Catalog and choose the Customize Catalog command from the context-sensitive menu.

Subsequently, click the Query tab.

Page options:

Catalog Queries: | Select one of the Predefined Catalog Queries (see below).
Query text box: | Construct a query yourself. For more information and examples, see Query Syntax below.
Save: | Save a query. The query will be added to the existing Catalog Queries list.
Save as: | Save an existing query by another name. The query will be added to the existing Catalog Queries list.
Delete: | Delete an existing user-defined query. The query will be removed from the Catalog Queries list.

Queries are saved in the registry. The query that is applied will be shown on the status line of the Main window.

Tips:

  • To select a predefined query, you can also use the Catalog Queries command on the View menu.
  • To view all objects again in a Catalog, type dir on the command line, or select predefined query All.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

Query Syntax

Query expressions use the following syntax (case-insensitive):

Query | Term | Term and Term | Term or Term
Term | Object.Attribute Operator Value | Attribute Operator Value | Object.Term
where:
Object | IlwisObject (all ILWIS objects) | Map (all maps: ras, pol, seg, pnt) | RasterMap | PolygonMap | SegmentMap | PointMap | Table | MapList | ObjectCollection | MapView | Layout | AnnotationText | Graph | Domain | Representation | GeoRef | CoordSystem | RasHistogram | PolHistogram | SegHistogram | PntHistogram | SampleSet | StereoPair | Table2D | Matrix | Filter | Function | Script
Attribute | Name | Type | Time | Description | Version (for all objects) Domain (for all maps, tables and representations) Georef (for raster maps) Representation (for domains) Projection | Datum (for coordinate systems)
Operator | = | <> | >= | <= | > | < | contains

Object.Attribute | Attribute | accepted Values
Name | any string, wildcards allowed
Object.Domain | any string, wildcards allowed (e.g. to find objects that use a certain domain)
Object.Representation | any string, wildcards allowed (e.g. to find objects that use a certain representation)
Object.Georef | any string, wildcards allowed (e.g. to find objects that use a certain georeference)
Object.CoordSystem | any string, wildcards allowed (e.g. to find objects that use a certain coordinate system)
Type | Map | RasterMap | PolygonMap | SegmentMap | PointMap | Table | MapList | ObjectCollection | MapView | Layout | AnnotationText | Graph | Domain | Representation | GeoRef | CoordSystem | RasHistogram | PolHistogram | SegHistogram | PntHistogram | SampleSet | StereoPair | Table2D | Matrix | Filter | Function | Script | Source | Dependent
Domain.Type | value | image | class| id | identifier
Representation.Type | rprclass | rprvalue | gradual
Georef.Type | corners | tiepoints | georefctp
CoordSystem.Type | projection | latlon
CoordSystem.Datum | datum name as string, wildcards allowed
Time | year:month:day | year:month:day:hour | year:month:day:sec | now-x (now means today, x in days before today)
Version | real value (e.g. 2.1, 3.0)

Term Operator | accepted Values
map contains | real value, real value (representating an XY-coordinate in a map) integer value, integer value (representating a row,col position in a raster map)
Description contains | any string, wildcards allowed

Query examples:

name=land* | shows all ILWIS objects that have a name starting with Land.
name=*use | shows all ILWIS objects that have a name ending on Use.
map.name=land* | shows the raster, polygon, segment and point maps that start with Land.
map.domain=landuse | shows the raster, polygon, segment and point maps that use domain Landuse.
map.domain.type=image | shows the maps that use domain type Image.
rastermap.georef.type=corners | shows all raster maps with a georeference corners
coordsystem.projection="utm" | shows all coordinate systems that use a UTM projection.
map.coordsystem.projection="utm" | shows all maps (ras, pol, seg, pnt) that make use of a coordinate system with a UTM projection.
map.description contains DEM | shows the raster, polygon, segment and point maps maps that have a description which contains the string DEM.
time > now-1 | shows the objects that were modified after yesterday (thus today).
time >= 2000:01:01 | shows the objects that were modified from the 1st of January of the year 2000 onwards.
domain.time >= 2000:01:01 | shows the domains that were modified from the 1st of January of the year 2000 onwards.

The Query syntax as selected or as typed into the Query text box in this dialog box, will be sent to the command line as:

dir Query

Predefined Catalog Queries

All |
All objects made today | time > now-1
Maps with domain class or id | map.domain.type=class or map.domain.type=identifier
Maps with domain image | map.domain.type=image
Maps with domain value | map.domain.type=value
Maps with georef corners | map.georef.type=georefcorners
Maps with georef tiepoints | map.georef.type=georefctp

See also:

Catalog - Predefined Query

Main window : Catalog


Catalog - Show objects

Main window

 View menu

Catalog - Show ...

Show only certain groups of object types in a Catalog or show all objects in a Catalog. The Show commands work both in List View and in Details View.

Tip:

To specify visibility settings for individual object types, you can also use:

  • the Object Selection toolbar, or
  • the Customize Catalog command on the View menu, Selection tab.

With the Show command, you can choose to show:

Maps and Tables: Shows:

raster maps

polygon maps

segment maps

point maps

tables

All Data Objects: Shows the objects listed above and:

map lists

object collections

map views

layouts

annotation text objects

graphs

All Objects: Shows all objects listed above, and:

domains

representations

georeferences

coordinates systems

histograms of raster maps

histograms of polygon maps

histograms of segment maps

histograms of point maps

sample sets

stereo pairs

two-dimensional tables

matrices

(user-defined) filters

user-defined functions

scripts

Tips:

  • To include [image] directories or [image] drives, use the Object Selection toolbar.
  • To include system objects or non-ILWIS objects in a Catalog, e.g. DBF files and/or TIF files, see Customize Catalog, Selection tab.
  • To sort objects in a Catalog, see Catalog - Sort By ....
  • To search for certain objects, see Catalog - Predefined queries, or Customize Catalog, Query tab.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

See also:

Main window : Object Selection Toolbar

Customize Catalog, Selection tab

Catalog - List View

Catalog - Details View

Main window : Catalog


Catalog - Sort objects by ...

Main window

 View menu

Catalog - Sort By ...

View the objects in a Catalog (directory) or in an opened object collection ordered by Name, Type, Modification date, or any of the other possibilities. The Sort By command works both in List View and in Details View.

In short, you can choose to sort on:

  • Name, Type, Modification Date of the objects,
  • whether objects are Dependent, Calculated, Up-to-Date or Read-only,
  • the name of the Domain used by the objects, and the Domain Type,
  • the name of the Coordinate System used by the objects, and the Coordinate System Type,
  • the name of the Georeference used by the objects, and the Georeference Type,
  • the 'Contents Size' of the object, as the number of lines and columns for raster maps, number of items in a class or ID domain, number of polygons in a polygon map, etc.
  • the name of a possible Attribute Table linked to a map or to a class or ID domain,
  • the Description of the objects,
  • the Expression by which a dependent object is created.

The available sorting methods are described in detail in topic Catalog - Details View.

The selected sorting method will be preceded by an option bullet [image].

Tips:

  • To view only certain types of objects in a Catalog, see Catalog - Show ..., Main window : Object selection toolbar, or Customize Catalog, Object Selection tab.
  • To search for certain objects, see Catalog - Predefined queries, or Customize Catalog, Query tab.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

See also:

Catalog - Details View

Customize Catalog, Details View tab

Main window : Catalog


Catalog - Predefined queries

Main window

 View menu

Catalog - Predefined queries ...

Show only the objects in a (directory) Catalog that are the result of one of the predefined queries. The Catalog Queries command works both in List View and in Details View.

In short, you can use the predefined queries to see:

  • All objects,
  • All objects made today,
  • Maps with a class or ID domain, the image domain or a value domain,
  • Maps with a georeference corners or a georeference tiepoints,
  • Any queries created by yourself using the Customize Catalog, Query tab and which were saved.

For more information on predefined queries and on query syntax to create queries yourself, see Customize Catalog, Query tab.

The selected query will be preceded by an option bullet [image]. Furthermore, the query that is currently in use is shown in the status bar of the Main window.

Tips:

  • To view only certain types of objects in a Catalog, see Catalog - Show ..., Main window : Object selection toolbar, or Customize Catalog, Object Selection tab.
  • To sort objects in a Catalog, see Catalog - Sort By ....

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

See also:

Customize Catalog, Query tab

Main window : Catalog


Main window

 Window menu

New Catalog

Open a new (directory) Catalog so that you can work with multiple Catalogs. A small dialog box appears in which you can choose a directory.

In ILWIS 3, you can use multiple Catalogs. For each Catalog, you can choose to view the contents in List View or in Details View; you can indicate which object types you wish to see (Show); and you can sort the objects on Name, Type, Modification Date, Description, etc. (Sort By). Multiple Catalogs allow you to work easily with multiple directories, to drag and drop objects between Catalogs to copy these objects, etc.

Tips:

To open a new Catalog, you can also:

  • use the Open New Catalog button [image] in the standard toolbar of the Main window, or
  • click a [image] directory in the current Catalog with the right mouse button, and select Open from the context-sensitive menu, or
  • click a folder/directory in the Navigator with the right mouse button, and select New Catalog from the context-sensitive menu.

When you open a map list or an object collection, their contents are always shown in a new Catalog.

Tips:

To replace the contents of the current Catalog by those of another directory:

  • click the Navigator tab in the Main window, and select another directory,
  • double-click a [image] directory in the current Catalog,
  • click a directory in the current Catalog with the right mouse button, and select Open Here from the context-sensitive menu.

See also:

Main window : Catalog


Main window : mouse functions

Main window

Mouse functions

The Catalog, the Operation-tree, and the Operation-list are very sensitive to clicking, double-clicking and drag and drop actions. Using the Catalog and Operation-tree or Operation-list capabilities is far more efficient than using menus.

Moving with the mouse over:

  • A command on a menu: the status bar displays information that helps explain the task of the highlighted menu command; Highlight a menu command by opening a menu and drag the mouse pointer along the commands on the menu. You can also use the Up Arrow and Down Arrow keys on the keyboard to move through the commands on a menu;
  • A button in the toolbar: the status bar gives a short explanation of the function of the button;
  • An object in the Catalog: the status bar displays the description of the object;
  • An operation in the Operation-tree or Operation-list: the status bar gives a brief explanation on the operation.

Clicking:

  • A button in the toolbar: performs the action of the button.

Double-clicking:

  • A map, table and most other objects in the Catalog: the object is opened in a new window;
  • A filter in the Catalog: starts the Filter operation, the Filter dialog box is displayed;
  • A script in the Catalog: starts to run the script;
  • An operation in the Operation-tree or Operation-list: the operation's dialog box appears;
  • Another directory or drive in the Catalog, changes the current directory or drive;

Drag:

  • A raster, polygon, segment, or point map from the Catalog to an existing map window: adds the map as an extra data layer to the map window. It is not possible to display two raster maps in one map window;
  • A raster, polygon, segment, or point map from the Catalog to an existing pixel information window: adds the map to the pixel info window. When an attribute table is linked to the map, the attribute values also appear;
  • A data object from the Catalog to an operation in the Operation-tree or Operation-list: the dialog box of that operation appears with the data object specified as input for the operation;
  • An object from the Catalog to a drop-down list box in an opened dialog box of an operation: the object is put in the box.

Clicking the right mouse button:

  • On an object in the Catalog: a context-sensitive menu appears from which you can select an operation that you want to perform with this object, or a command such as Open, Edit, Properties, Copy and Delete. You can also select Help from the context-sensitive menu to obtain short Help on the selected object type;
  • On an operation in the Operation-tree or Operation-list: a context-sensitive menu appears from which you can select Run to start the operation, or select Help to obtain short Help on the selected operation.

See also:

Basic concepts : drag and drop

How to use the Catalog

How to use the Operation-tree and the Operation-list

How to use the status bar


Map window

Contents

Introduction

Functionality

Functionality (advanced)

Layer Management

Overvier window

Toolbar

Status bar

Menu commands

Mouse functions


Map window : introduction

Map window

Introduction

A map window may display one or more raster maps combined with and/or one or more polygon maps, segment maps and/or point maps. Maps that are displayed in a map window are called data layers. The legend of each map is automatically displayed in the Layer Management pane of a map window.

A map window can also display three images of a map list as an interactive color composite, or all maps of a map list as a slide show.

You can zoom in and zoom out, pan, measure distances, view the histogram of a displayed raster map, click in maps to view the value or meaning of a unit, and double-click to perform a certain action.

You can also create an Annotation Text object which usually contains the labels of a point, segment or polygon map. You can add multiple Annotation Text objects to a map window.

Furthermore, you can add grid lines and graticules as a layer to a map window.

A map window displaying one or more maps, annotation text layers, optional grid lines and graticules can be saved as a map view. Map views can be added to a layout which is used to make a final composition before printing. To a layout, you can then add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

A map window consists of a viewer which displays the map(s) and additional layers, a Layer Management pane, an overview window, a menu bar, a toolbar and a status bar. Besides displaying, you can also edit maps in a map window.

See also:

Map window : functionality

Map window : Layer Management

Map window : overview window

Map window : toolbar

Map window : menu commands

Layout editor : functionality


Map window : functionality

Map window

Functionality

A map window may display one or more raster maps, polygon maps, segment maps, and/or point maps. Maps that are displayed in a map window are called data layers. The legend of each map is automatically displayed in the Layer Management pane of a map window.

A map window can also display three images of a map list as an interactive color composite, or all maps of a map list as a slide show.

You can also create an Annotation Text object which usually contains the labels of a point, segment or polygon map. You can add multiple Annotation Text objects to a map window.

Furthermore, you can add grid lines and graticules as a layer to a map window.

A map window displaying one or more maps, annotation text layers, optional grid lines and graticules can be saved as a map view. Map views can be added to a layout which is used to make a final composition before printing.

To a layout, you can then add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

A map window consists of a viewer which displays the map(s) and additional layers, a Layer Management pane, an overview window, a menu bar, a context-sensitive menu, a toolbar and a status bar. Besides displaying, you can also edit maps in a map window.

To open a new map window:

A new map window is automatically opened when you open a map:

  • open the File menu in the Main window, and choose the Open command, or
  • double-click a [image] raster map, a [image] polygon map, a [image] segment map, or a [image] point map in a Catalog.

Before a map is actually displayed, some display options have to be specified in a Display Options dialog box.

You can also use the Open Map button [image] in the toolbar of the Main window, or use the Show command in the Operation-tree or the Operation-list. For more information, see also How to open objects or How to display maps and tables.

Tips:

  • If you like, you can choose not to show Display Options dialog boxes: use the Preferences command on the File menu in the Main window, and choose Map window, Display. For each map type, you can specify whether or not you wish to obtain a Display Options dialog box when a map is opened. If no Display Options dialog boxes are used, maps will be displayed with their default settings.
  • In the Preferences (Map window, Display, Position and Size), you can also specify a fixed size or a fixed position for all map windows to be opened.
  • To speed up the display of large raster map, for instance maps that have more than a few thousand lines and columns, you can create pyramid layers. For more information, refer to ILWIS objects : Raster maps - Pyramid layers.

To display multiple layers in a map window:

You can add several layers to a map window by using the Add Layer command from the Layers menu, or by clicking the Add Layer button [image] in the toolbar of the map window. You can add a raster map, a polygon map, a segment map, a point map, a map list or an existing annotation text object to the map window.

When you add a map list to a map window, you can choose to display the map list as a color composite, or as a slide show.

To add grid lines or a graticule, you can choose the Add Grid Lines, or the Add Graticule command from the Layers menu.

For each new layer to be displayed in the map window, display options have to be specified. In the Display Options dialog box of maps that have an attribute table, you can choose to display a map by one of its attributes. Any layer that is added to a map window is also added to the Layer Management pane of the map window.

Layers that are added to a map window will be displayed on top of the other layers that are already displayed. When a map window already displays a raster map, you can only add another raster layer (or a map list) when the raster maps use the same georeference. You can use the Resample operation to transform a raster map to another georeference.

Tips:

  • For more information on adding layers to a map window, see also How to add extra layers to a map window.
  • To temporarily hide layers or to remove layers, see Map window : Layer Management.
  • For more information on working with layers, see How to use layers in a map window.

Displaying layers with transparency:

In the Display Options dialog box of a layer, you can specify whether a layer has to be displayed with a certain transparency. In this manner, you can display (partly transparent) thematic information on top of images, a shadow map etc. and view both types of information simultaneously.

  • First display a map that you wish to use as background (without Transparency).
  • Then, add one or more other vector or raster layers; you can select the Transparency check box in the layer's Display Options dialog box.

Click the following link for an Example of transparent layers.

Technically spoken, transparency is obtained by using the standard Windows method of AlphaBlending. The method is not available for Windows 95 or Windows NT. Transparent layers are thus only possible in Windows 98, Windows 2000, Windows ME or Windows XP; furthermore, the Display Settings of your screen must be set to 32 bit (True Color).

Mind:

It is not possible to display map views with transparent layers in a layout, nor to print any transparent layers.

To get Info on maps and attributes:

When you press the left mouse button at a position of interest in the map window, you will obtain information on a map and optionally of the attributes.

  • When, for example, a satellite image is displayed in the map window, you will see the pixel value at the current mouse position.
  • When a rasterized polygon map is displayed that contains for example land use classes, you will see the names of the land use classes.
  • Similarly, when pointing to a polygon, segment or point in a map window, the name or value of the polygon, segment or point is displayed.

To obtain information on a data layer it is necessary that the Info check box in the Display Options dialog box of the layer is selected. In the Layer Management pane, the layer will then be preceded by a small [image]. By pressing the left mouse button in the map window, you will obtain 'Info' on the top layer of which the Info check box has been selected. When a map is shown by one of its attribute values, 'Info' shows the class name or identifier and the attribute value of this class or identifier.

When multiple maps are displayed, a search will be performed at the position of the mouse pointer through all layers (from top to bottom) that are displayed, and of which the Info check box has been selected. When in the first layer a class name, identifier, value or a color is found, it is displayed next to the mouse pointer. When an undefined value is found, the search continues in the next layer. If in a raster map no class name, identifier, value or color is found, a question mark is shown. If in a vector map no class name, identifier, or value is found, nothing is shown.

Tips:

  • You can increase or decrease the number of characters shown by 'Info' in a map window and in the map editors by setting the 'width' in the properties of the domain. The default width for a class domain is 15, the default width for an identifier domain is 6.
  • For value raster maps, it is advised to select the Interpolation check box in the Raster Map Properties sheet; you will then obtain interpolated value information on sub-pixel level.
  • To inspect the meanings and/or values of multiple maps and their attribute data, you can add multiple maps to a pixel information window.

Double-click action, e.g. to view/edit attributes:

When an attribute table is linked to a map or its domain (class or ID domain), you can double-click at a position of interest in the map window and directly view and/or edit the attributes as stored in the attribute table.

Double-click can also be used to edit the representation of the classes in a map with a class domain, and to open other maps, tables, (GIF) images, sounds or videos, etc. i.e. via an Action column in the map's attribute table.

The action that will be performed on a double-click is determined by the Double-Click Action command on the Layers menu.

Tip: For more information, see also Map window : functionality (advanced).

To zoom in and out on maps, and pan:

To zoom in on a map, you can use for instance the Zoom In command on the Options menu, or you can click the Zoom In button [image] in the toolbar. To zoom in on a certain area or position, you can also use the overview window.

If you zoom in very deeply on a raster map and when the Text check box has been selected in the map's Display Options dialog box, the values or meanings of pixels will appear inside the pixels of your map.

When zoomed in, you can use the Pan command from the Options menu or the Pan button [image] to roam through your map(s), or use the scroll bars.

To zoom out or to (re)display the entire map, you can use for instance the Zoom Out or the Entire Map commands on the Options menu, or click the Zoom Out button [image], or the Entire Map button [image] in the toolbar.

If you wish to display a raster map without any zooming, you can use the No Zoom command on the Options menu.

To switch off Zoom In, Zoom Out, Pan or Measure Distance mode and return to normal pointing mode, choose the Normal command from the Options menu or click the Normal button [image] in the toolbar. The mouse pointer will change back into a normal pointer. You can also press the Esc key or the Ctrl+N keys on the keyboard to return to Normal mode.

Tips:

  • The overview window provides an overview of the entire area of the maps that were added to the map window. You can use the overview window to quickly zoom in on a certain area, and it may help to orient yourself on the position of the area on which you zoomed in and that is currently shown by the map window.
  • For more information on zooming, see also Map window : toolbar, and/or Zoom In.

To change a representation:

If you are not satisfied with the current colors, hatching, line types, symbols, etc. of a map in your map window:

  • open the Display Options dialog box of the map and select another representation, or create a new one yourself, or
  • double-click the word 'Legend' of a map in the Layer Management pane, or
  • if you wish to edit the color etc. of a class in a map with a class domain, double-click the class or its color as listed in the Legend of the map in the Layer Management pane.

When the map window displays a map which uses a user-defined representation, you can also open Edit menu and choose Representation.

Depending on the domain used by the map, the representation Class editor or the representation Value/Gradual editor will be opened.

Tips:

  • When a map uses a system domain and a system representation, the representation cannot be edited. You can create a new, custom representation for the map through the map's Display Options dialog box.
  • For maps with a Class domain, you can also set the Double-click action to Representation (Layers menu); double-clicking in the window then allows you to edit colors directly.
  • For maps with a Bool domain, you can set the default colors for True and False through the Preferences command on the File menu of the Main window.
  • For more information, see also ILWIS objects : representations or How to use representations.

Other functionality:

  • The scale on which the maps in a map window are displayed can be set in the Scale control. The Scale control is by default located next to the toolbar.
  • To display certain layers only on certain scales, you can use the Scale Limit check box in the Display Options dialog box of a layer.
  • When the map window is displaying a raster map or a map list as a color composite, you can show the histogram(s) of the raster map(s) by using the Show Histogram command on the Options menu.
  • The distance and angle between two points in a map window can be measured by selecting the Measure Distance command from the Options menu or by clicking the Measure Distance button [image] in the toolbar.
  • The background color of undefined parts in maps displayed in a map window can be changed by selecting Background Color from the Layers menu.

    • The color of the map window background itself, i.e. the space outside the map(s) displayed in a map window (by default dark gray), can be changed by adapting the Windows Display/Appearance Settings. On the Appearance tab of the Windows Display Properties sheet, choose another color for Application Background.

  • The size of a map window can be increased or decreased by selecting the Extend Window command from the Options menu.
  • The coordinate system or georeference used by a map window can be changed by selecting Coordinate System from the Options menu. This is useful to display map(s) with different coordinate systems.

To edit maps:

To edit maps you can start one of the editors. In raster, polygon, segment and point maps, you can edit the IDs, class names or values in these maps, depending on the domain of the map. You can insert new segments or new points with or without using the digitizer. You can check segments and polygonize them. Furthermore, in point maps, points can be moved to a new position; and in segment maps, the position of coordinates within segments can be edited.

Note: Dependent maps cannot be edited until you break the dependency links in the Properties sheet of the dependent map.

To save multiple layers as a view and to create a layout:

You can save the layers in a map window, their display settings, as well as the scale of the map window, and the position of the layers in the map window as a map view. Use the Save button [image] in the toolbar, or choose the Save View or the Save View As commands from the File menu.

When a map view is opened later, all the layers in the map view are directly displayed in one map window without any display options being asked.

Furthermore, you need one or more map views if you wish to create a layout to print your map(s). To create a layout, choose Create Layout from the File menu in the map window. If the layers in the map window still need to be saved, you will be asked to do so. Then the layout editor will be opened. To a layout, you can add one or more map views, and additional annotation.

See also:

Basic concepts : layers in a map window

Basic concepts : map views and layouts

Basic concepts : working with domains

How to basics: display maps and zoom

How to use layers in a map window

Map window : functionality (advanced)

Map window : Layer Management

Map window : overview window

Map window : toolbar

Map window : menu commands

ILWIS objects : map views


Map window : functionality (advanced)

Map window

Functionality (advanced)

This topic deals with:

  • double-click actions on raster, polygon, segment or point maps (Class or ID domain) in a map window,
  • displaying the raster maps in a map list as a slide show in a map window.

Double-click actions

By double-clicking a mapping unit in a displayed raster, polygon, segment or point map, of which the Info check box in the layer's Display Options dialog box has been selected, you can:

  1. View and/or edit attributes of a double-clicked mapping unit:
    • the map should have a Class domain or an ID domain,
    • an attribute table should be linked to the map or to the domain of the map.

  2. Change the representation of a mapping unit:
    • the map should have a Class domain.

  3. Execute an action, i.e. show another map, a table, a GIF image, a bitmap, play a sound or a video, etc.:
    • the map should have a Class domain or an ID domain,
    • an attribute table should be linked to the map or to the domain of the map,
    • the attribute table should contain a column named Action, this column should use the String domain,
    • in this Action column, you have specified the file names inclusive path and extension of the (ILWIS) map, (ILWIS) table, GIF image, picture, sound or video that should be opened when a certain class or ID unit in the map is double-clicked, and
    • Windows should know which program should be used to open the specified files (registered file types, default 'Open' action).

    Executing an action on a double-click may give spectacular effects.

You must make sure that the Info check box of the layer you wish to use is selected. The Info check box is available in the Display Options dialog box of a layer.

You can select the type of double-click action by choosing the Double-click Action command on the Layers menu in a map window; select Attributes, Representation, or Execute Action from the cascading menu.

Upon a double-click, it is attempted to find the (defined) class name or ID of the unit that was double-clicked. When multiple layers are displayed, all layers will be searched from top to bottom. You can see which class name or ID will be found by pressing the left mouse button in the map window (Info).

Results when using:

  • Attributes: if, upon a double-click, a class name or an identifier is found, and an attribute table is available, then the attributes of this class or identifier will be shown in a separate window. You can also edit the attributes there.
  • Representation: if, upon a double-click, a class name is found, then an Edit Representation Item dialog box will appear in which you can select another color, etc. for this class. Changes will be directly applied in the map window.
  • Execute Action: if, upon a double-click, a class name or identifier is found, and an attribute table is found with a column Action in which, for this class or ID, a filename is found that has a known 'Open' action, then that file is opened (map or table is shown, audio or video is played, etc.).

For more information, see Double-click Action dialog box.

Displaying the raster maps in a map list as a slide show

A map window can show multiple raster maps like a slide show. A slide show is designed to present multi-temporal changes in maps. All maps that you wish to show need to be combined in a map list, then the maps in the map list are displayed one by one in a map window at a user-specified rate.

  • Create a map list of the maps that you want to show.
  • Open the map list, for instance:
    • by double-clicking the map list in a Catalog, then click the Open As Slide Show button [image] in the Catalog displaying the contents of the map list, or
    • by using the right mouse button on a map list in a Catalog and choosing Visualization, as Slide Show from the context-sensitive menu, etc.
  • In a slide show, only one set of Display Options will be used; the defaults are based on the first map in the map list. The parameters as set for this map define the display options for all the other maps in the map list.
  • Then, in the Display Options - Map list as slide show dialog box, specify the number of images you want to see per minute in the map window.

For more information, see How to display a map list as a slide show.


Map window : Layer Management

Map window

Layer Management

The Layer Management is by default located along the left hand side of a map window. It lists the layers that were added to the current map window. For maps, the Layer Management pane offers a tree structure, to view the properties of the map and the objects used by the map, the legend of a map, etc.

Introduction

In the Layer Management pane, all layers are preceded by their icon:

raster maps,
polygon maps,
segment maps,
point maps,
map lists,
grid lines,
graticules,
annotation text layers.

For maps, the name of the map is displayed as well as the map's description.

Each layer is preceded by a check box which indicates whether the layer is displayed or not:

this layer is displayed in the map window.
this layer is not displayed in the map window.

A map is preceded by a small [image] when, in the map's Display Options dialog box, the Info check box has been selected.

for this map you will obtain Info on a point, segment, polygon or pixel when you press the left mouse button in the map window.

For maps that were added to the map window, you will find the properties of the map in the Layer Management pane:

By clicking the + sign in front of the word 'Properties', the Properties will be expanded; you will see the objects that are used by the map.

For maps that were added to the map window, you will find the legend of the map in the Layer Management pane:

Depending on the domain used by the map, by default, the legend shows all class names and their colors (hatching, line type, symbol, etc.), or a limited number of values and their colors.

You can move the Layer Management pane and dock it along the right hand side or the left hand side of a map window; you can also make the Layer Management pane floating. The Layer Management pane can be hidden or shown with the Layer Management command on the Options menu. Some of the actions that are available via the Layer Management pane are also available via the context-sensitive menu.

Functionality of Layer Management

For layers that were added to the map window, the Layer Management pane allows you:

  • to show or hide a layer,
  • to change the display options of a layer,
  • to change the order in which layers are drawn,
  • to open the properties of a map,
  • to view the objects used by a map,
  • to open and/or edit the legend of a map,
  • to edit a legend item (for maps with a class domain),
  • to add a layer,
  • to remove a layer,
  • to edit a map (for maps which are not dependent).

To show or hide layers:

  • Click the [image] or the [image] check box to toggle between showing or hiding a layer.

To change the display options of a layer:

  • Double-click a layer in the Layer Management pane.
  • Click a layer with the right mouse button in the Layer Management pane, and choose Display Options from the context-sensitive menu.

A Display Options dialog box will appear.

To change the order in which layers are drawn:

  • Select a layer in the Layer Management pane and drag it to another position in the list.

The layer which appears at the top of the list in Layer Management will be drawn last in the map window (=on top).

To open the properties of a map:

  • Double-click the word 'Properties' of a map in the Layer Management pane.
  • Click a layer with the right mouse button in the Layer Management pane, and choose Properties from the context-sensitive menu.

A Properties sheet will be opened.

To view the objects used by a map:

  • Expand the Properties of a map in the Layer Management pane by clicking the + button in front of the word 'Properties'.

You can double-click the objects to open and/or edit them.

To open and/or edit the legend of a map:

  • Double-click the word 'Legend' of a map in the Layer Management pane.

Depending on the domain used by the map, the representation Class editor or the representation Value/Gradual editor will be opened.

Mind: When a map uses a system domain and a system representation, you cannot edit the map's representation. You can create a new, custom representation in the map's Display Options dialog box.

To edit a legend item (for maps with a class domain):

  • Double-click a class or a color listed in the Legend of a map in the Layer Management pane.

To add other maps to a map window:

To add an existing raster, polygon, segment, or point map to a map window, or to add a map list, or an annotation text layer:

  • Click with the right mouse button in the white space of the Layer Management pane, and choose Add Layer from the context-sensitive menu.

The Add Layer dialog box will appear.

You can also use the Add Layer [image] button in toolbar of the map window; press the Ins key on the keyboard; or drag and drop multiple maps from a Catalog or from Windows Explorer into a map window.

To add grid lines or a graticule:

To add grid lines or a graticule to a map window:

  • Click with the right mouse button in the white space of the Layer Management pane, and choose Add Grid Lines or Add Graticule from the context-sensitive menu.

The Display Options - Grid Lines dialog box or the Display Options - Graticule dialog box will appear.

To remove a layer:

  • Click with the right mouse button on a layer in the Layer Management pane, and choose Remove Layer from the context-sensitive menu.

You can also select a layer in the Layer Management pane and use the Remove Layer [image] button in toolbar of the map window.

To edit a map (for maps which are not dependent):

  • Click a map with the right mouse button in the Layer Management pane, and choose Edit Layer from the context-sensitive menu.

For more information, refer to Map window : Edit layer.

See also:

Map window : functionality

Map window : overview window

Map window : toolbar

Map window : menu commands

How to use layers in a map window


Map window : overview window

Map window

Overview window

The overview window shows the entire area of the maps that were added to the map window; it allows you to quickly zoom in on a certain area, and it helps to orient yourself on the position of the area that is currently displayed in the map window.

The overview window shows the position of the area on which you zoomed in (and that is currently displayed by the map window), either by a rectangle or by a cross:

The map window will only display the part of the maps that is within the rectangle or that is around the cross in the overview window.

You can move the overview window and dock it along an edge of a map window; you can also make the overview window floating. The overview window can be hidden or shown with the Overview Window command on the Options menu.

To zoom in on a new area:

  • Drag a rectangle with the left mouse button in the overview window;
  • the mouse pointer will temporarily change to a magnifying glass with a plus sign inside.

The map window will directly scroll to and display the selected part of the map(s).

To move the area on which you zoomed in:

  • Click the existing rectangle in the overview window, and hold the left mouse button down;
  • move the mouse pointer to another position in the overview window, then release the left mouse button.

The map window will directly scroll to and display the newly selected part of the map(s).

The behavior is similar to using Pan in a map window.

To select another area when you zoomed in deeply:

When you zoomed in deeply on a part of the map window, the area that is displayed in the map window may be too small to be shown as a rectangle in the overview window. Then, the overview window indicates the approximate position of the displayed part in the entire area as a large cross.

To change the area displayed by the map window:

  • Position the mouse pointer at the center of the cross in the overview window, and hold the left mouse button down;
  • move the mouse pointer to another position in the overview window, then release the left mouse button.

The map window will directly scroll to and display the map(s) around the new position.

Other functionality:

  • When you use the scroll bars in the map window, or when you use Pan in the map window, the overview window will always show you where are.
  • When you click the right mouse button in the overview window, a context-sensitive menu will appear containing the Select Area command.

Tip:

To avoid the appearance of a point, segment, or polygon map in the overview window, select the Scale Limits check box in the map's Display Options dialog box, and reduce the number for the upper scale limit.

See also:

Map window : functionality

Map window : functionality (advanced)

Map window : Layer Management

Map window : toolbar

Map window : menu commands


Map window : toolbar

Map window

Toolbar

The toolbar of a map window provides shortcuts for some regularly used menu commands for instance to zoom in on maps, to pan, to add a layer to the map window, to remove a layer from the map window, or to save the contents of a map window as a map view.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Entire Map:

Displays the entire map in the map window.

Redraw:

Redraws the contents of the map window.

Measure Distance:

Allows you to measure the distance and the angle between two points in the map window.

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the map window when zoomed in.

The mouse pointer will change into a hand, then:

  • click somewhere in the map window, and drag this part of the map window to another position.

Zoom In:

Allows you to zoom in on a selected spot or area in the map window.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the map window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom in factor).

Tip: To zoom in, you can also use the overview window.

Zoom Out:

Allows you to zoom out from a map window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the map window to zoom out with a factor 2, or
  • drag a rectangle with the mouse pointer in the map window; the smaller the rectangle, the more you will zoom out.

Normal:

Switch off Measure Distance, Pan, Zoom In, or Zoom Out and return to normal pointing mode. The mouse pointer will change back into a normal pointer. You can also press the Esc key or the Ctrl+N keys on the keyboard to return to Normal mode.

Add Layer:

Add another data layer or an annotation text layer to the map window. The Add Layer dialog box will appear.

Remove Layer:

Remove a selected layer from the map window. First select the layer to be removed in the Layer Management pane of the map window.

Save View:

Save the contents of this map window as a map view. When this is the first time you save the map window as a map view, the Save View As dialog box will appear.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Map window : functionality

Map window : Layer Management

Map window : overview window

Map window : menu commands


Map window : status bar

Map window

Status bar

A status bar is located at the bottom of each map window.

The status bar:

  • gives a brief explanation on highlighted menu commands,
  • gives a brief explanation on the functionality of buttons in the toolbar,
  • displays the X and Y coordinate information depending on the position of the mouse pointer in the map window,
  • displays Row and Column numbers when a raster map is displayed, and
  • displays geographic coordinates when the coordinate system used by a point, segment or polygon map, or by a georeference of a raster map, has projection information.

For more information, see How to use the status bar.


Map window : menu commands

Map window

Menu commands
File

Create
Point map ...
Segment map ...
Raster map ...
Sample Set ...
Georeference ...
Coordinate System ...
Annotation Text ...
Save View
Save View As ...
Create Layout

Open Pixel Information
Properties

Exit

Edit

Copy
Paste

Edit Layer
Edit Other Map

Representation
Domain
Georeference
Coordinate System

Layers

Add Layer ...
Add Grid Lines ...
Add Graticule ...
Remove Layer
Display Options

Background Color ...
Double-Click Action

Options

Entire Map
Normal
Zoom In
Zoom Out
Pan
No Zoom

Redraw
Measure Distance
Show Histogram

Extend Window
Coordinate System ...

Adjust Window Size
Layer Management
Overview Window
Scale Control
Toolbar
Status Bar


Create a georeference (in map window)

Map window

 File menu

Create a georeference

Create a georeference tiepoints, a georeference direct linear of a georeference orthophoto for the currently displayed raster map, for instance to a satellite image, a scanned aerial photograph, a scanned map, etc. A georeference determines the relation between row and column numbers in a raster map and XY-coordinates.

This dialog box appears when you choose the Create Georeference command from the File menu in a map window and the map window contains a raster map.

This dialog box can be used to create:

  • a georeference tiepoints: to add coordinates to a satellite image or to a scanned photograph without using a DTM, or
  • a georeference direct linear: to add coordinates to a scanned photograph while using a DTM, or
  • a georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters.

When you want to create another type of georeference, use the Create Georeference command on the File menu in the Main window.

Dialog box options:

Georeference name:

Type a new name for the georeference.

Description:

Type a description for the georeference. The description is visible on the status bar of the Main window when moving the mouse pointer over the georeference in the Catalog.

Georef Tiepoints:

Select Georef Tiepoints when you want to add coordinates to a satellite image or to a scanned photograph and when you do not have a DTM. This type of georeference can be used to add coordinates to satellite imagery and for subsequent screen digitizing or to resample the image to another georeference (e.g. to a georef corners).

Tip: When you wish to create a georef tiepoints for a satellite image with multiple bands, it is advised to first create a map list, display the map list as an interactive color composite and then create a georef tiepoints.

Georef Direct Linear:

Select Georef Direct Linear when you want to add coordinates to a scanned photograph which was taken with a normal camera, and when you have an existing DTM to also correct for tilt and relief displacement (Direct Linear Transformation). This type of georeference can for instance be used to add coordinates to small format aerial photographs and for subsequent screen digitizing or to resample the photograph to another georeference (e.g. to a georef corners).

Georef OrthoPhoto:

Select Georef Orthophoto when you want to add coordinates to a scanned aerial photograph with fiducial marks, taken with a photogrammetric camera with known principal distance, and when you have an existing DTM to also correct for tilt and relief displacement (Differential rectification). This type of georeference can be used to add coordinates to professional near vertical aerial photographs and further monoplotting on the photograph or for creating an orthophoto (resampling).

For Georef Tiepoints:

Coordinate system:

Select a coordinate system in which this georeference fits. If you do not have a coordinate system yet, it is advised to create one first. To create a coordinate system, click the create button or select the Create Coordinate System command from the File menu in the Main window. The Create Coordinate System dialog box appears.

For Georef DirectLinear and Georef OrthoPhoto:

DTM:

Select an existing Digital Terrain Model (DTM) or Digital Elevation Model (DEM) from which the height values will be used. Pixel size and accuracy of the DTM are of great importance.

Tip: For a correct behaviour of a georef direct linear or a georef orthophoto, it is essential that you have marked the 'Interpolation' check box in the Properties sheet of your DTM raster map. For more information, refer to the Raster Map Properties sheet. Furthermore, the tiepoints of a georef direct linear may not be coplanar, i.e. lie in one (tilted) plane. For more information, see ILWIS objects: georeference direct linear.

Next dialog boxes:

  • When creating a Georef Tiepoints or a Georef Direct Linear, the Tiepoint editor will be opened.
  • When creating a Georef OrthoPhoto, first the Locate Fiducial Marks dialog box will appear, then the Tiepoint editor will be opened.

In the Tiepoint editor, you can insert tiepoints, also called ground control points, which establish relationships between map pixels (row,col) and XY- or XYZ-coordinates.

Tips:

  1. To check the accuracy of your tiepoints while entering them in the Tiepoint editor, you can already display any existing vector data on top of the background map in the Tiepoint editor: choose Add Layer from the Layers menu. You can see whether existing roads, water ways etc. coincide with the background map. You can also open the pixel info window and use both maps.
  2. While creating a Georef Tiepoints, a Georef DirectLinear or a Georef OrthoPhoto, you add coordinates to the background map (satellite image or photograph) displayed in the Tiepoint editor. The map which is displayed in the Tiepoint editor, will thus directly use the georeference which you are creating.
  3. For a Georef Tiepoints which should be used by all bands of a satellite image: it is advised to first create a map list, display the map list as an interactive color composite and then create a Georeference Tiepoints in the map window. After you added tiepoints, the newly created Georef Tiepoints is automatically added to all raster maps in the map list, i.e. to all bands of your satellite image.

  4. If you displayed a single band of a satellite image in a map window and created a Georef Tiepoints: after you finished adding tiepoints to the background map in the Tiepoint editor, you have to manually add the created Georef Tiepoints to all other bands of the image.
    • The easiest way to do this is to create a map list of all bands, then open the Property sheet of the map list, and select the Georeference Tiepoints you just created: the newly created Georef Tiepoints will automatically be added to all raster maps in the maplist.
    • You can also open the Property sheets of all other bands, and select the newly created Georef Tiepoints for each band separately.
  5. When finished creating a georeference for an image or photograph, you can directly create a segment map (choose File, Create in the map window) and start screen digitizing on the image or photograph which now uses the create Georef Tiepoints, Georef DirectLinear or Georef OrthoPhoto. When you created a Georef OrthoPhoto, the screen digitizing is called monoplotting.
  6. You can rasterize any vector data on a Georef Tiepoints (for map calculations), and you can resample maps/images with a Georef Tiepoints to another georeference or vice versa.
  7. To have a raster map use another georeference than its current one, perform the Resample operation.
  8. To obtain an orthophoto, create a Georef OrthoPhoto for a professional aerial photograph and add tiepoints. Then, resample the photograph which now uses this Georef OrthoPhoto to an existing Georef Corners.

See also:

How to add coordinates to a satellite image

How to screen digitize

How to monoplot

How to create an orthophoto

ILWIS objects : georeference


Create a coordinate system (in map window)

Map window

 File menu

Create a coordinate system

Create a coordinate system formula or a coordinate system tiepoints. A coordinate system defines the XY-coordinates in your maps. A coordinate system is directly used by point, segment and polygon maps; a raster map uses a georeference which uses a coordinate system. One coordinate system can be used by many maps.

This dialog box appears when you choose the Create Coordinate System command from the File menu of a map window and the map window contains one or more vector maps.

Dialog box options:

Coordinate system name:

Type a new name for the coordinate system. As one coordinate system is used for all maps with the same projection, it is advised to enter a coordinate system name that applies to all maps (the name of the country, region, project, etc.).

Description:

Optionally, type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

CoordSys Formula:

Select Coordinate System Formula when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you know the relation between the two coordinate systems. The Edit Coordinate System Formula dialog box will appear.

This type of coordinate system can be created for maps which use artificial coordinates, for instance maps starting at (0,0), or maps digitized in millimeters. You have to specify parameters like origin shift, scale, rotation, etc. or you can type complete formulas.

Related coordsys:

Select the coordinate system with the correct coordinates.

CoordSys Tiepoints:

Select Coordinate System Tiepoints when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you do not know the relation between the two coordinate systems.

This type of coordinate system can be created for maps which use artificial coordinates, for instance maps starting at (0,0) or maps digitized in millimeters. The Coordinate System Tiepoint editor will be opened in which you can add tiepoints to the selected background map.

Related coordsys:

Select the coordinate system with the correct coordinates.

For every vector map that is displayed in the map window, a message will appear whether the current coordinate system of that map should be replaced with the new coordinate system.

In general, this question should be answered with Yes.

The coordinate system which you are creating will thus be directly linked to the all maps for which you answered the question with yes.

When you display maps with different coordinate systems, the question can be answered with No for those maps which already have the correct coordinates.

The coordinate system which you are creating will automatically be used by the map window.

After you have created the coordinate system formula or tiepoints, you can:

  • transform the map with artificial coordinates to the correct coordinate system (the related coordsys).
  • display the maps which use the coordsys formula or tiepoints and maps which use the related coordsys together in one map window.
  • combine maps which use coordinate systems that can be transformed in to one another in the pixel information window.
  • display the maps which use the coordsys formula or tiepoints and maps with a graticule, when the related coordinate system has projection information.

Tips:

  1. When you create a coordinate system by using File menu in a map window, the Create Coordinate System (in map window) dialog box as described above will appear. You can only select to create a coordsys formula, a coordsys tiepoints, a coordsys direct linear or a coordsys orthophoto. A question will be asked whether the newly created coordinate system should be directly linked to the maps which are displayed in the map window. You should answer the question with Yes; then you do not have to edit the properties of these maps.
  2. When you create a coordinate system by using the File menu in the Main window or by double-clicking the New Coordinate System item in the Operation-tree or the Operation-list, the Create Coordinate System dialog box will appear. You can choose to create a coordsys boundary only, a coordsys projection, a coordsys latlon, a coordsys formula, a coordsys tiepoints, a coordsys direct linear, or a coordsys orthophoto. When finished creating the coordinate system, you have to make sure that the newly created coordinate system is linked to ALL maps that should use this coordinate system: you have to edit the properties of these maps.
  3. Once you have created a correct coordinate system, it is advised to make it read-only in the Coordinate System Properties sheet.
  4. To change the coordinates of maps from one coordinate system to another coordinate system, use the Transform Points, Transform Segments or Transform Polygons operation. To transform coordinates of raster maps from one georeference to another georeference (which has for instance another coordsys), use the Resample operation.

See also:

ILWIS objects : coordinate systems

Edit Coordinate System Formula (dialog box)

Coordinate System Tiepoint editor


Create an annotation text object

Map window

 File menu

Create Annotation Text

Create a new annotation text object which will then be added to the current map window. An annotation text object is designed to display and store multiple texts at multiple positions.

This dialog box appears when in a map window:

  • from the File menu, you choose Create, Annotation Text.

Dialog box options:

Ann Text Name:

Type a new name for the annotation text object.

Description:

Type a description for the annotation text object. The description of an annotation text object will appear in the title bar of the Annotation Text editor. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the annotation text object in a Catalog.

Based on map:

Select this check box when you want to obtain texts (class names, IDs, or values) for every point, segment or polygon in a map. Subsequently, select a point, segment or polygon map. In fact, you will automatically obtain labels for all elements in the selected point, segment or polygon map. In the Annotation Text editor, you can easily refine positions, fonts, sizes, colors, etc. of all class names, IDs, or values. For points, segments or polygons that have the undefined value, no annotation text elements are created.

Clear this check box when you want to create an empty annotation text object; you will need to enter all texts yourself in the Annotation Text editor.

When the Annotation Text object is based on a map with a Class, ID, Group domain:

Code:

To obtain only the codes of your classes, IDs, or groups as annotation text. When a domain item in the domain of the selected map does not have a code, there will be no annotation text for that class.

Name:

To obtain only the names of your classes, IDs, or groups as annotation text.

Both:

To obtain both the names and the codes of your classes, IDs, or groups as annotation text.

Working scale:

Type a value for the scale on which you wish to work; this can be for instance the scale on which you will print your maps later on. The working scale value is used to properly display font sizes, etc., which you specify in the Annotation Text editor, on your screen and on your printer.

By default, a scale value appears which reflects the scale that would be used if the current map window would be printed on the currently selected printer with option Fit on Page.

You can always change the working scale later on: in the Annotation Text editor, open the File menu and choose Options.

The Annotation Text editor will be opened.

See also:

ILWIS objects : annotation text

Annotation Text editor : functionality


Save map view in map window

Map window

 File menu

Save View

Save the contents of the current map window as a map view.

All layers in the map window and their display settings as well as the georeference of the map window are stored. When you open a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window anymore, nor specify their display options.

For presentation purposes and printing, you need to create a layout to which you can add one or more map views and make a final composition. To the layout, you can further add annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

Note:

When you are in the Layout editor and save a map view, please go to topic Layout editor : Save Map View.

When you save the contents of a map window for the first time, the Save View As dialog box appears. In that dialog box, you can enter a name and a title for the new map view.

Also, when you choose the Create Layout command from the File menu in a map window, and you have not saved the multiple layers displayed in the map window as a map view before, you will be asked to save the layers as a view first in the Save View As dialog box.

When you use the Save View command and when the map window already displays an existing map view, the contents of the current window are directly saved. The same map view name and title are used as previously specified in the Save View As dialog box, i.e. the previously stored map view is overwritten.

See also:

Save View As

Map window : functionality

Layout editor : functionality


Save map view in map window as ...

Map window

 File menu

Save View As ...

Save the contents of the current map window as a map view.

All layers in the map window and their display settings as well as the georeference of the map window are stored. When you open a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window anymore, nor specify their display options.

Note:

When you are in the Layout editor and save a map view, please go to topic Layout editor : Save Map View As.

This dialog box appears:

  • in a map window, by choosing the Save View As command on the File menu,
  • in a map window, when you save the contents of the map window for the first time, by choosing the Save View command from the File menu, or
  • in a map window, when you have not yet saved the multiple layers displayed in the map window as a map view before, by choosing the Create Layout command from the File menu.

Dialog box options:

Map View Name: | Type a name for the map view.
Title: | Type a title (=description) for the map view. The description of a map view appears in the title bar of a map window when the map view is displayed. Further, the description is visible on the status bar of the Main window when moving the mouse pointer over the map view in the Catalog.

For presentation purposes and printing, you need to create a layout to which you can add one or more map views and make a final composition. To the layout, you can further add annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

See also:

Map window : functionality

Layout editor : functionality


Map window

 File menu

View/Edit Properties of Layer

View and/or edit the properties of a map that is currently displayed in the map window.

The Property sheet of a map shows important information. In fact, the Property sheet of an object lists information that is stored in the object definition file of an object; only information relevant to a user is shown. Furthermore, Property sheets are designed to handle the properties of dependent data objects, e.g. Make up-to-date, Edit Definition, Release Disk Space, etc. For a general introduction on object properties, see Basic concepts : properties of objects.

Depending on the type of map you selected:

  • the Raster Map Properties sheet follows;
  • the Polygon Map Properties sheet follows;
  • the Segment Map Properties sheet follows;
  • the Point Map Properties sheet follows.

See also:

Property sheets

Basic concepts : properties of objects


Copy map window to clipboard

Map window

 Edit menu

Copy to clipboard

Copies the current contents of the map window as a picture to the clipboard.

If you copy for instance a map window which displays multiple layers (i.e. a map view) to the clipboard, you can paste the picture later into a word processor, a desk top publishing system, etc.

  • All layers that are displayed in the map window will be copied to the clipboard.
  • When you zoomed in on a part of the map window, only that part will be copied.

Tips:

  • You can also use Ctrl+C to copy the currently displayed part of the map window to the clipboard.
  • To copy the whole map window including the window borders, title bar, menu bar, toolbar, status bar, etc., press Alt+PrintScrn on the keyboard. The map window will be copied as a bitmap to clipboard.
  • You can use Windows' Clipboard Viewer to inspect the current contents of the clipboard.
  • To copy (part of) a map as ILWIS data or as text (coordinates and class names, IDs or values) to the clipboard, use the Copy command on the Edit menu of the Pixel editor, Polygon editor, Segment editor or Point editor.
  • To add maps to a layout, it is advised to first save the contents of a map window as a map view, and then add the map view to the layout in the layout editor.

See also:

Map window : functionality

Pixel editor : Copy

Polygon editor : Copy

Segment editor : Copy

Point editor : Copy


Map window

 Edit menu

Edit Layer

Edit a map that is currently displayed in the map window.

Editing a map means that you want to:

  • change values or meaning of pixels in a raster map, or
  • change values or meanings of polygons in a polygon map, or
  • change values or meanings of segments in a segment map, change the shape of segments, or insert new segments or delete existing ones, or
  • change values or meanings of points in a point map, or insert new points or delete existing ones, or move points to a new position.

Depending on the selected layer, the Pixel editor, the Polygon editor, the Segment editor or the Point editor is opened.

Mind:

Dependent maps and maps marked as read-only cannot be edited; also maps using a Picture domain or a Color domain cannot be edited. When you wish to edit a dependent map, you first have to break the dependency links of the map in the map's Properties sheet.

See also:

Editors: introduction to map editors

How to break dependency links


Map window

 Edit menu

Edit Other Map

Edit another map than the maps that are currently displayed in this map window.

This option is designed to edit a map while using the contents of the current map window as a background. In this way, you can update an existing map on the basis of the maps which are displayed as background. This is also called screen digitizing.

Select from the cascading menu:

Pixel editor: | The Edit Raster Map dialog box follows.
Point editor: | The Edit Point Map dialog box follows.
Segment editor: | The Edit Segment Map dialog box follows.
Polygon editor: | The Edit Polygon Map dialog box follows.

Tip:

To create and edit a new map while using the contents of the current map window as a background, open the File menu in the map window, and choose the Create command.

The layers that are displayed remain displayed in the map window.

  • When you select a polygon, segment or point map to be edited, the polygons, segments or points of this second map will be displayed as a new layer over the existing layers displayed in the map window; you can then edit the newly added vector layer.
  • When only vector data is displayed in your map window, and you select to edit a raster map, the georeference of the raster map will become the georeference of the map window.
  • When you already have a raster map displayed in your map window, and you select another raster map to be edited, usually it is necessary to zoom in until you can view and edit the pixels of the second map.

The maps in the map window and the map that you select to edit must use the same georeference or coordinate system, or a compatible coordinate system.

Mind:

Dependent maps and maps marked as read-only cannot be edited; also maps using a Picture domain or a Color domain cannot be edited. When you want to edit a dependent map, you first have to break the dependency links of the map in the map's Properties sheet.

See also:

How to screen digitize

Segment editor : functionality

Point editor : functionality

Polygon editor : functionality

Pixel editor : functionality


Map window

 Edit menu

Edit Raster Map

Select a raster map that you want to edit while using the current contents of the map window as a background. This is also called screen digitizing.

This dialog box appears when from the Edit menu in a map window, you choose Edit Other Map, Pixel editor.

Dialog box options:

Raster map: | Select the raster map you wish to edit. Only maps with the same georeference as the raster map currently displayed in the map window can be selected.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Pixel editor is started; you can start editing the selected raster map.

When the map window already displayed a raster map, the existing raster map remains displayed. The Pixel editor is opened:

  • if you zoom in only a little, the pixels of the map you want to edit are displayed on top of the raster map that was already displayed.
  • if you zoom in very much, the class names, IDs or values of the map you want to edit are displayed as text on top of the raster map that was already displayed.

Tips:

  1. Dependent maps and maps marked as read-only cannot be edited. First break the dependency link or remove the read-only flag in the Raster Map - Properties sheet.
  2. To directly edit a raster map:
    • in the Catalog, select an editable raster map, then open the Edit menu in the Main window and choose Edit Object, or
    • in the Catalog, click an editable raster map with the right mouse button and choose Edit from the context-sensitive menu, or
    • in a map window where the raster map is displayed, open the Edit menu and select Edit Layer.

See also:

Pixel editor


Map window

 Edit menu

Edit Polygon Map

Select a polygon map that you want to edit while using the current contents of the map window as a background. This is also called screen digitizing.

This dialog box appears when from the Edit menu in a map window, you choose Edit Other Map, Polygon editor.

Dialog box options:

Polygon map: | Select the polygon map you wish to edit.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Polygon editor is started; you can start editing the selected polygon map.

Tips:

  1. Dependent maps and maps marked as read-only cannot be edited. First break the dependency link or remove the read-only flag in the Polygon Map - Properties sheet.
  2. To directly edit a polygon map:
    • in the Catalog, select an editable polygon map, then open the Edit menu in the Main window and choose Edit Object, or
    • in the Catalog, click an editable polygon map with the right mouse button and choose Edit from the context-sensitive menu, or
    • in a map window where the polygon map is displayed, open the Edit menu and select Edit Layer.

See also:

Polygon editor


Map window

 Edit menu

Edit Segment Map

Select a segment map that you want to edit while using the current contents of the map window as a background. This is also called screen digitizing.

This dialog box appears when from the Edit menu in a map window, you choose Edit Other Map, Segment editor.

Dialog box options:

Segment map: | Select the segment map you wish to edit.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Segment editor is started; you can start editing the selected segment map.

Tips:

  1. Dependent maps and maps marked as read-only cannot be edited. First break the dependency link or remove the read-only flag in the Segment Map - Properties sheet.
  2. To directly edit a segment map:
    • in the Catalog, select an editable segment map, then open the Edit menu in the Main window and choose Edit Object, or
    • in the Catalog, click an editable segment map with the right mouse button and choose Edit from the context-sensitive menu, or
    • in a map window where the segment map is displayed, open the Edit menu and select Edit Layer.

See also:

Segment editor


Map window

 Edit menu

Edit Point Map

Select a point map that you want to edit while using the current contents of the map window as a background. This is also called screen digitizing.

This dialog box appears when from the Edit menu in a map window, you choose Edit Other Map, Point editor.

Dialog box options:

Point map: | Select the point map you wish to edit.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Point editor is started; you can start editing the selected point map.

Tips:

  1. Dependent maps and maps marked as read-only cannot be edited. First break the dependency link or remove the read-only flag in the Point Map - Properties sheet.
  2. To directly edit a point map:
    • in the Catalog, select an editable point map, then open the Edit menu in the Main window and choose Edit Object, or
    • in the Catalog, click an editable point map with the right mouse button and choose Edit from the context-sensitive menu, or
    • in a map window where the point map is displayed, open the Edit menu and select Edit Layer.

See also:

Point editor


Map window

 Edit menu

Edit Representation

Edit the user-defined representation of a map that is currently displayed in the map window.

  • For maps using a class domain, a group domain, or a picture domain, the Representation Class editor is opened. In the representation class editor, the colors of classes in the domain can be edited, as well as patterns assigned to polygons, line widths assigned to segments and symbols assigned to points.
  • For maps using a value domain or the image domain, the Representation Value/Gradual editor is opened. In the representation Value/Gradual editor, the colors of boundary values can be edited, new boundary values can be inserted, and the coloring in between boundary values can be arranged.

This option is only available if you selected a representation in the Display Options dialog box of this layer.

This option is never available for maps using an ID domain, or the Bit, a Bool, the Color, the ColorCmp domain and for point maps using a value domain. This option is also not available for value maps that are currently displayed with one of the standard (=read-only) gradual representations, or in general when a representation is marked read-only.

Tips:

  • If you do not succeed to change the colors of a map through the Edit menu, Edit Representation command, use the Layers menu, and select the Display Options command instead.
    • For point maps or for maps using an ID domain, the Display Options dialog box allows you to arrange colors, etc.
    • For other maps, the Display Options dialog box contains options to select other existing representations or to create a new representation by clicking the little create button.
  • To edit a representation, you can also double-click the word 'Legend' of a layer in the Layer Management pane in a map window, or double-click a representation in a Catalog.

See also:

ILWIS objects : representations

Representation Class editor : functionality

Representation Value/Gradual editor : functionality


Edit domain

Map window

 Edit menu

View/Edit Domain

View and/or edit the domain of a map that is currently displayed in the map window:

  • edit the class names or their codes of a class domain, or
  • edit identifiers or their codes of an identifier domain, or
  • edit the minimum and maximum values and the precision of a user-defined value domain.

When you select:

  • a map using a class or identifier domain, the Domain Class/ID editor will be opened;
  • a map using a user-defined value domain, the Edit Value Domain dialog box will appear.

This option is not available for maps using a system domain (Bit, Bool, Color, ColorCmp, Count, Distance, Image, Min1to1, NILto1, Perc, Value, Yes/No domain). This option is also not available for maps using a Picture domain. Furthermore, this option is not available for read-only domains.

Tip:

To edit a domain, you can also double-click it in the Catalog. To make domains visible in the Catalog, refer to How to customize the Catalog.

See also:

ILWIS objects : domains

Domain Class/ID editor

Edit Value Domain (dialog box)


Edit a Value domain

Edit the minimum and maximum values (the value range) that can be used by this domain and the precision of a user-defined Value domain.

This dialog box appears:

  • when you double-click a user-defined Value domain in a Catalog,
  • when you press the right mouse button on a user-defined Value domain in a Catalog, and choose Open from the context-sensitive menu,
  • when you you select a user-defined Value domain in a Catalog, and choose Edit Object from the Edit menu in the Main window,
  • when you choose Domain from the Edit menu in a map window and subsequently you select a layer that uses a user-defined Value domain.

Dialog box options:

Description:

You can change the description of the domain. The description is visible on the status bar of the Main window when moving the mouse pointer over the domain in the Catalog.

Min Max:

You can change the minimum and maximum value of this domain. This is also called the value range.

The specified minimum and maximum values of a value domain will be used as the default minimum and maximum values for any new maps or columns that use this domain.

When you create a representation for this value domain, the specified minimum and maximum values will determine the absolute lower and upper boundaries of that representation.

Precision:

You can change the value for the precision of this domain.

By specifying a precision of 0.01, values will use 2 decimals; by specifying a precision of 25, values will increase or decrease in steps of 25, etc.

The combination of specified values for minimum, maximum and precision implies the store type of raster maps that use this domain.

Fixed range:

Select this check box if any output map or column (created by a calculation or an operation) and which will use this domain, must use values as specified for the value range (Min Max) for this domain. During calculation or operations, the value range boxes for an output object which uses this domain will be grayed out. Any calculated values outside this range will become undefined.

Clear this check box when you wish to keep the possibility to set the value range yourself (during calculations or operations) for any output map or column that will use this domain. During calculations or operations, the value range for the output object which uses this domain is still changeable.

Fixed precision:

Select this check box if any output map or column (created by a calculation or an operation) and which will use this domain, must use the precision as specified for this domain. During calculation or operations, the precision box for an output object which uses this domain will be grayed out. Any calculated values that do not fit the precision will be rounded to the nearest value that fits the precision of the domain.

Clear this check box when you wish to keep the possibility to set the precision yourself (during calculations or operations) for any output map or column that will use this domain. During calculations or operations, the precision for the output object which uses this domain is still changeable.

Unit:

Select this check box when the values in this domain use a certain unit, for instance mm, ha, or m3/ha/year, etc. Subsequently, type a text for the Unit.

The specified Unit text will appear:

  • when using left mouse Info in a map window,
  • in legends, and
  • in the pixel information window.

Clear this check box when you do not wish to view units for the values of this domain.

Width:

You can change the value of the width to increase or decrease the number of characters shown.

Tip:

To view the representation that is currently linked to your value domain, or to create a new representation value for your value domain, you can:

  • open the Properties of your value domain and in the Domain Properties dialog box; you can click the create button [image] next to the Representation list box; or
  • open the map with your value domain, and in the map's Display Options dialog box; you can click the create button [image] next to the Representation list box.

The Create Representation dialog box follows.

See also:

ILWIS objects : domains


Edit georeference

Map window

 Edit menu

View/Edit Georeference

View and/or edit the georeference of the raster map that is currently displayed in the map window.

Depending on the type of georeference which is used by the raster map in the map window, a dialog box and/or an editor will be opened:

  • georeference corners (rasterized vector maps): the Edit Georeference Corners dialog box will appear;
  • georeference tiepoints (satellite images or scanned photograph without DTM), or
    georeference direct linear (scanned photograph without fiducial marks), or
    georeference orthophoto (scanned photograph with fiducial marks):
    the Georeference Tiepoints editor will be opened.
    When the raster map uses a georeference orthophoto, the Locate Fiducial Marks dialog box is opened first;
  • georeference 3D: the Georeference 3D editor is opened in the form of an Georeference 3D : Edit dialog box in which you can specify parameters for your 3D view.

This option is not available when the map window only displays polygon, segment and/or point maps. Further, this option is not available for raster maps that have a georeference which is marked read-only, nor for raster maps that use a georeference submap, georeference mirrorrotate, or a georeference factor.

Tip:

To view and/or edit a georeference, you can also double-click it in the Catalog. To make georeferences visible in the Catalog, refer to How to customize the Catalog. For more information, see also How to edit a georeference.

See also:

ILWIS objects : georeferences

Edit Georeference Corners (dialog box)

Georeference Tiepoints editor

Georeference 3D editor


Edit Georeference Corners

View and/or edit a georeference corners. North-oriented raster maps are usually georeferenced by a georeference corners. A georeference corners stores the coordinates of two diagonal corners of the map (lower right corner and upper left corner). From this, the coordinates for all other pixels are calculated.

This dialog box appears:

  • when you double-click a georeference corners in the Catalog,
  • when you press the right mouse button on a georference corners in the Catalog and choose Open from the context-sensitive menu,
  • when you choose Edit Object from the Edit menu in the Main window and subsequently you select a georeference corners,
  • when you choose Georeference from the Edit menu in a map window and subsequently you select a layer that uses a georeference corners.

Dialog box options:

Description:

Type a description for this georeference.

Coordinate system:

If you have a coordinate system available, you can select this coordinate system; you can also create a new coordinate system by clicking the little create button. If you do not know the coordinate system of your maps, you select coordinate system unknown.

Mind: ILWIS expects that all maps that you want to display together in one map window have the same coordinate system.

Center of corner pixels:

Select this check box if the minimum and maximum X and Y coordinates should be linked to the centers of the corner pixels of the map.

Clear this check box if the minimum and maximum X and Y coordinates should be linked to the outer corners of the corner pixels of the map.

Min X, Y

Change the minimum X-coordinate and/or the minimum Y-coordinate of the raster map or accept the minimum XY-coordinates as they are. With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant.

Max X, Y

Change the maximum X-coordinate and the maximum Y-coordinate of the raster map or accept the maximum XY-coordinates as they are. With the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

For your information, the number of lines and columns and the pixel size of the raster map are displayed in the dialog box.

See also:

Map window : View/Edit Georeference


Edit coordinate system

Map window

 Edit menu

View/Edit coordinate system

View and/or edit the coordinate system that is currently used by the map window.

Depending on the type of coordinate system that is currently used by the map window, a dialog box or an editor will be opened:

  • coordinate system boundary only: the Edit Coordinate System Boundary Only dialog box will appear.
  • coordinate system projection: the Edit Coordinate System Projection dialog box will appear.
  • coordinate system latlon: the Edit Coordinate System LatLon dialog box will appear.
  • coordinate system formula: the Edit Coordinate System Formula dialog box will appear.
  • coordinate system tiepoints: the Coordinate system Tiepoints editor will be opened.

This option is not available when the map window only displays raster maps. Further, this option is not available when the current coordinate system is marked read-only.

Tip:

To view or edit a coordinate system, you can also double-click it in the Catalog. To make coordinate systems visible in the Catalog, refer to How to customize the Catalog.

See also:

ILWIS objects : coordinate system

Edit Coordinate System Boundary Only (dialog box)

Edit Coordinate System Projection (dialog box)

Edit Coordinate System LatLon (dialog box)

Edit Coordinate System Formula (dialog box)

Coordinate system Tiepoints editor


Edit Coordinate System Boundary Only

View and/or edit a coordinate system boundary only. A coordinate system boundaries defines the XY-coordinates in your maps. Coordinate systems are used by polygon, segment and point maps, and by the georeference of a raster map. It is advised to use one coordinate system for all the maps in your project.

A coordinate system boundaries can be used for maps for which you do NOT want to specify projection information. Specify the XY- coordinates for the boundaries of your coordinate system, i.e. the total extent of XY-coordinates which defines your study area. The boundary values will only be used to determine:

  • default map coordinate boundaries for vector maps, and
  • default coordinate boundaries for a georeference for raster maps.

This dialog box appears:

  • when in the Create Coordinate System dialog box, you selected to create a coordinate system of the type boundary only,
  • when in the Catalog, you double-click a coordinate system of the type boundary only,
  • when in the Catalog, you press the right mouse button on a coordinate system of the type boundary only and choose Open from the context-sensitive menu,
  • when from the Edit menu in the Main window, you choose Edit Object and subsequently you select a coordinate system of the type boundary only,
  • when from the Edit menu in the map window which uses a coordinate system of the type boundary only, you choose Coordinate System.

Dialog box options:

Description: | Type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.
Min X, Y: | Type the minimum X-coordinate and the minimum Y-coordinate for this coordinate system. With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the coordinate system is meant.
Max X, Y: | Type the maximum X-coordinate and the maximum Y-coordinate for this coordinate system. With the maximum XY-coordinate, the XY-coordinate of the upper right corner of the coordinate system is meant.

Tips:

  1. When you work with multiple adjacent map sheets, it is advised to create one coordinate system in which the smallest minimum X and Y, and the largest maximum X and Y coordinates of all those map sheets are defined. Then, select this one coordinate system for all the maps you will create.
  2. When digitizing one single map sheet out of many adjacent map sheets:
    • create one coordinate system in which all the coordinates of the different map sheets fit,
    • use this coordinate system for all your maps,
    • as the boundaries of each map, use the coordinates of each separate map sheet.
  3. When you have imported vector maps comprising the same study area from other packages, you can create one proper coordinate system. You can then link this coordinate system to all imported maps of the area in the Coordinate System Properties sheet of the maps.
  4. Once you have created a correct coordinate system, it is advised to make it read-only in the Coordinate System Properties sheet.

See also:

ILWIS objects : coordinate systems

Create Coordinate System (dialog box)


Edit Coordinate System Projection

View and/or edit a coordinate system projection. A coordinate system projection defines the XY-coordinates in your maps, and optionally the projection of the maps. Coordinate systems are used by polygon, segment and point maps, and by the georeference of a raster map.

Specify the XY-coordinate boundaries of a map, and optionally supply projection information. You can specify projection information later on or right away. By supplying projection information, you will see the geographic coordinates (latitude, longitude in degrees) on the status bar of a map window for every position in a map. Furthermore, when a map has projection information, you will be able to transform the map to another coordinate system with another projection.

Depending on the projection you have or want to use, you will need to specify a number of projection parameters.

  • For calculation purposes, you must be absolutely sure about the required parameters for a selected projection.
  • For display purposes, you can make a number of different coordinate systems with different projections and/or different projection parameters and play around.

For more information, refer to Select Projection.

This dialog box appears:

  • when in the Create Coordinate System dialog box, you selected to create a coordinate system of the type projection,
  • when in the Catalog, you double-click a coordinate system of the type projection,
  • when in the Catalog, you press the right mouse button on a coordinate system of the type projection, and choose Open from the context-sensitive menu,
  • when from the Edit menu in the Main window, you choose Edit Object and subsequently you select a coordinate system of the type projection,
  • when from the Edit menu in a map window which uses a coordinate system of the type projection, you choose Coordinate System; you can refine for instance projection information of the coordinate system.

Dialog box options:

Description:

Type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

Min X, Y:

Type the minimum X-coordinate and the minimum Y-coordinate for this coordinate system.

Max X, Y:

Type the maximum X-coordinate and the maximum Y-coordinate for this coordinate system.

The boundary values will only be used to determine:

  • default map coordinate boundaries for vector maps, and
  • default coordinate boundaries for a georeference for raster maps.

Tips:

  1. When you work with multiple neighbouring map sheets, it is advised to create one coordinate system in which the smallest minimum X and Y, and the largest maximum X and Y coordinates of all those map sheets are defined. Then, select this one coordinate system for all your maps which you will create.
  2. When digitizing one single map sheet out of many neighbouring map sheets:
    • create one coordinate system in which all the coordinates of the different map sheets fit,
    • use this coordinate system for all your maps,
    • as the boundaries of each map, use the coordinates of each separate map sheet.

Projection:

Click this button if you want to add or change projection information for the coordinate system. The Select Projection dialog box appears in which you can select a projection. In that dialog box, you can also find explanations for all available projections.

After selecting a projection, this Edit Coordinate System Projection dialog box will reappear in which you have to specify the parameters for the selected projection. These projection parameters, such as for instance Central Meridian, Central Parallel, Standard Parallels, Scale Factor, etc., depend on the projection you select. For more information on projection parameters see below.

When mapping the whole world, a hemisphere or large continents, you can assume that the earth is a sphere, i.e. there is no need to specify an ellipsoid or a datum.

Ellipsoid:

This button appears when a projection is selected for which ellipsoidal transformations are available. When you click this button, the Select Ellipsoid dialog box will appear. You need to select an ellipsoid when you are making maps at medium scale, for instance when mapping areas like countries or provinces.

Datum:

This button appears when a projection is selected for which datum transformations are available. When you click this button, the Select Datum dialog box will appear. You need to specify a datum when you are making maps at a rather large scale (e.g. 1: 20,000 or less), thus when mapping areas like small provinces, towns, infrastructure as sewage systems, water pipes, electricity cables, etc. By supplying a datum, you will be able to transform coordinates from one datum to another; differences between ellipsoid centers will be taken into account.

Projection parameters:

Projection:

States the name of the selected projection.

Ellipsoid:

States the name of the selected ellipsoid.

Datum:

States the name of the selected datum (it automatically specifies the ellipsoid)

Sphere radius (m):

This option is available when no ellipsoid or datum can or has been selected. That is correct when mapping the entire earth, a hemisphere or larger continents. It is assumed that the earth is a sphere and a spherical model can be used. As default a sphere of 6371007.0m is given. If you wish you can change this value.

In case you did select an ellipsoid or datum, the radius (equatorial and polar) of the ellipsoid is already defined; then, the name of the selected ellipsoid and/or datum will be displayed.

False Easting:

The value of the X-coordinate at the origin, i.e. at the center of projection. The overall increase of map X-coordinates ('eastings') indicates a westward shift of the redefined origin relative to the origin of projection. A reason to redefine the origin might be to obtain positive coordinates on the map.

False Northing:

The value of the Y-coordinate at the origin, i.e. at the center of projection. The overall increase of map Y-coordinates ('northings') indicates a southward shift of the redefined origin relative to the origin of projection. A reason to redefine the origin might be to obtain positive coordinates on the map.

Central Meridian:

The line of longitude at the center of a projection. Generally the basis for constructing the projection. (The specified values determine the center vertical line in the map).

Central Parallel:

The line of latitude at the center of a projection. (The specified values determine the center horizontal line in the map).

Scale factor:

Factor to specify the distortion of the map at the central meridian. The default scale factor is 1. A scale factor of 1 means that the scale at the central meridian, central parallel, or the two standard parallels is true, i.e. linearly and proportionally to the earth. By deliberately choosing a scale factor of for instance 0.9996, the scale of a map will be correct at two lines at an equal distance from the central meridian, central parallel, two standard parallels, etc. This will reduce the overall scale error in your map.

Conical:

When the cone is tangent to the earth surface at the central parallel the scale factor is one (no distortion at the central parallel). When the cone is secant through the earth surface, the two standard parallels along the central meridian will then have a scale factor of 1. So at the central parallel, the scale factor will be less then 1.

Cylindrical:

At the place where the cylinder is tangent to the earth surface, the scale is 1. If the scale is smaller than 1, the cylinder is secant through the surface.

Azimuthal:

At the point where the plane is tangent to the earth surface the scale is 1. If the scale is smaller than 1, the plane is secant through the surface.

Standard Parallel 1 / Standard Parallel 2:

These parameters appear when a conical projection is chosen. The values for standard parallel 1 and 2 indicate the latitudes where the cone is secant through the earth surface. At the parallels the (east-west) scale of a map is correct. When specifying the same value for both standard parallels, the cone is tangent to the earth surface and latitude at this parallel is of true scale.

Latitude of True Scale:

The plane of projection touches the globe along a single parallel, where the (east-west) specified scale factor (see above) is correct. The same as a central parallel.

Azimuth of Central Line of True Scale:

For the Oblique Mercator projection: specify an angle (-90° < angle < 90°) between the central line and the central meridian. The central line is a great circle of true scale. The specified angle determines the great circle which goes through the center of projection. The center of projection is the point where the central meridian and central parallel meet. This azimuth is an angle 'east of north', i.e. clockwise starting at the central meridian. If the projected coordinates are not North-oriented, then the X-axis of the projection is pointing from the center of projection in the direction of the central line.

North-Oriented XY-Coordinate System:

For the Oblique Mercator projection: select this check box when the Y-axis in your map should be parallel to the direction of the central meridian where this central meridian intersects with the central parallel, i.e. in the center of of the projection.

Clear this check box to make the central line coincide with the X-axis of the projected coordinates (see also Azimuth of Central Line above). As a consequence, the Y-axis will not point to the North.

When you want to use an azimuth of 90, use the Mercator projection instead.

When you want to use an azimuth of 0, use the Transverse Mercator projection instead.

Height Perspective Center (m):

For the General Perspective projection: specify a value for the height (measured from the earth's spherical surface) from which you want to look at the earth or where your 'camera' is located. For Vertical Perspective projections, this value can be rather large, i.e. from space. For Tilted Perspective projections, this value is usually closer to the earth. The height of the perspective center will usually be less than 600,000,000 m.

Tilt of Projection Plane:

For the General Perspective projection: when the default tilt = 0 is accepted, you will use a Vertical Perspective projection. The 'camera' precisely faces the center of the earth and the plane of projection is perpendicular to the line from the center of the earth and the 'camera', tangent to the earth in the projection center.

When a value > 0 (angle) is specified for the tilt, you will use a Tilted Perspective projection. The 'camera' is not facing the center of the earth; the plane of projection is parallel to the line from the center of projection and the 'camera'. A tilt angle should normally be less than ± 20°.

Azimuth of Projection Y-axis:

For the General Perspective projection: specify a value for the clockwise angle between the central (straight) meridian with respect to the Y-axis of the map (-90° ≤ angle ≤ 90°)

Northern Hemisphere:

For a UPS or a UTM projection: select this box when the mapped area is situated on the northern hemisphere. Clear this box when the mapped area is situated on the southern hemisphere.

Zone:

For UTM projection or Gauss Boaga (Italy), Gauss (Colombia), Gauss-Krüger (Germany), Lambert Conformal Conic (France) projection: specify the zone number in which your mapped area is located.

For more information on UTM zones, see UTM zones; for more information on zone numbers for the other projections, see the Select Projection dialog box.

Tips:

  1. ILWIS expects that all maps that you want to display together in one map window have the same coordinate system. Displaying maps with different coordinate systems in one map window is possible though:
    • when for both coordinate systems projection information is available, or
    • when another transformation is possible, e.g. when a map is using a coordsys tiepoints or a coordsys formula which is related to the current coordsys of the map window.

    Then, the coordinates of a vector map are temporary and instantaneously transformed into the coordinate system that the map window is using at the moment.

  2. Of course, you can also use the Transform Polygon Map, Transform Segment Map and/or the Transform Point Map operations to permanently transform coordinates of vector maps to another coordinate system, or the Resample operation to permanently transform coordinates of raster maps to another georeference.
  3. Once you have created a correct coordinate system it is advised to make it read-only.

See also:

ILWIS objects : coordinate systems

Create Coordinate System (dialog box)

Select Projection (dialog box)

Suggested projections

Select Ellipsoid (dialog box)

Select Datum (dialog box)


Select Projection

General information:

When you know the projection of your maps, e.g. from a national mapping agency, you can attach this projection information to the coordinate system(s) of your maps.

Creating a coordinate system with projection information enables you:

  • to see the geographic coordinates of the map (Lat, Long) on the status bar when the map is displayed in a map window,
  • to add a graticule on top of the map in a map window,
  • to easily present the map in another projection,
  • to transform maps from one coordinate system to another,
  • to resample raster maps from one georeference to another.

Projections are designed to solve the problem of drawing objects which are located in a spherical coordinate system (on the earth's surface) in a planar coordinate system (XY-coordinate system), i.e. on a piece of paper. The problem can be compared by making a whole orange, halve an orange peel or part of an orange peel appear flat.

Presentation purposes:

  • You can use multiple projections.
  • To interactively present one or more maps in various projections:
    • create a couple of coordinate systems each using a different projection or different projection parameters; you can choose required projection parameters yourself,
    • display a map in a map window, and add a coordinate system with a projection by dragging a coordinate system from the Catalog to the map window (or choose Coordinate System from the Options menu in the map window),
    • if you like you can refine your projection information by choosing Coordinate System from the Edit menu in a map window,
    • add a graticule to each map window; choose Add Annotation, Graticule from the Layers menu. This enables you to see the meridians, parallels. etc. and you can see the influence of the projection attached to the map,
    • save the map window as a map view.
  • To permanently make maps appear in a different projection, you can use the Transform Polygon Map, Transform Segment Map, or the Transform Point Map operation (vector maps) or the Resample operation (raster maps):
    • use one input map and perform the operation several times, each time using another target coordinate system (with a different projection) and using different output map names,
    • display each output map in a map window and add a graticule.

    For more information, refer to the specific operations.

Calculation purposes:

  • All your maps must use one and the same projection before you can perform overlay operations with these maps.
  • When you obtained input data in a certain projection and want to create a coordinate system with projection information that can be used by these maps, you must be absolutely sure that you use the exact same parameters (central meridian, central parallel or standard parallel(s), etc.) as were used when the input data was created.
  • When your input data use for example UTM projections of different zones, first carefully add the correct projections to the different maps, then:
    • transform all maps to one of these UTM projections, or
    • create a totally different projection that also suits your maps and transform all maps to that projection.
  • Before calculations, make sure that all maps use the same projection:
    • use the Transform Polygon Map, the Transform Segment Map and/or the Transform Point Map operation to transform existing vector maps from their original coordinate system to one new or one other coordinate system (for instance with another projection), or
    • use the Resample operation to transform existing raster maps from their original georeference (using a certain coordinate system) to one new or one other georeference (using another coordinate system with another projection).
  • When your analyses will involve area calculations (e.g. Histogram operations), you should use an Equal Area projection so that areas are comparable in all parts of your maps. You can choose the required parameters for such an Equal Area projection yourself.

Dialog box options:

Projection:

Select a projection. For a list of available projections and some of their characteristics, see further below. To choose a projection, see also Suggested projections.

When finished, the Edit Coordinate System Projection dialog box will reappear.

In the reappearing Edit Coordinate System Projection dialog box:

  • For most projections, you will have to fill out the other projection parameters that are necessary for the selected projection such as for instance: false Easting, false Northing, central meridian, central parallel or standard parallels, scale factor, latitude of true scale, etc. Furthermore, if required, you can specify an ellipsoid or a datum for some projections.
  • When selecting one of the following projections: UTM, Gauss-Boaga (Italy), Gauss (Colombia), Gauss-Krüger (Germany) or Lambert Conform Conic (France), you will need to fill out in the Edit Coordinate System Projection dialog box a zone number. These projections are designed for certain regions on earth (UTM) or specific countries. For UTM, you will need to specify a datum. For the other country projections, the datum that belongs to the selected country projection will be used.
    All other necessary parameters for these projections are defined by the selected zone.

Available projections:

Azimuthal Equidistant:

Azimuthal projection. Map is equidistant. Also known as Postel or Hatt projection.

Polar aspect: Meridians are equally spaced straight lines intersecting at the central pole. Angles between meridians are true angles. Parallels are equally spaced circles, centered at a pole, which is a point. The entire earth can be shown, but the opposite pole is a bounding circle having a radius twice that of the equator.

Equatorial aspect: Central meridian is a straight line. Meridian 90° away is a circle. Other meridians are complex curves, equally spaced along the Equator and intersecting at each pole. The Equator is a straight line. Other parallels are complex curves concave towards the nearest pole and equally spaced along the central meridian and the meridian 90° from the central meridian.

Oblique aspect: Central meridian is a straight line. Other meridians are complex curves intersecting at each pole. Parallels are complex curves equally spaced along the central meridian.

The entire earth can be shown but the projection is convenient on one hemisphere. Scale is true on any straight line radiating from the center of projection. Scale increases in a direction perpendicular to the radius as the distance to the center increases. Only the center is free of distortion. Distortion is moderate for one hemisphere but becomes extreme for a map of the entire earth. The distance between any two points on a straight line passing through the center of projection is shown at true scale; this feature is especially true when one of these points is the center.

In its equatorial aspect it is used (mostly under spherical assumption) for atlas maps of scale 1 : 1000000 and smaller. In its polar aspect it is used for maps of polar regions and the Northern and Southern hemispheres. The oblique aspect is frequently used for world maps centered on important cities, and world maps for radio and aviation use, furthermore occasionally for maps of continents. Useful for showing airline distances from center of projection.

In oblique aspect (in its ellipsoidal form), it is also used in hydrography, navigation, telecommunication, seismology etc. where the equidistant property is important. Some countries use topographic map series with a 'polycentric' Hatt projection, which means that for different zones (e.g. quadrangles of 30' by 30') a different center of projection is used.

Available in spherical form and in ellipsoidal form.

Albers Equal Area Conic:

Conic projection. Map is equal area. Meridians are equally spaced straight lines converging at a common point, which is usually beyond a pole. Parallels are unequally spaced concentric circular arcs centered on the point of convergence of the meridians. Spacing of the parallels decreases away from the central latitudes. Poles are shown as circular arcs. Scale is true along one or two chosen standard parallels, usually on the same side of the equator. Map is free of angular and scale distortion only along the (one or two) standard parallels.

Frequently used for maps of the United States, for thematic maps and for world atlases. Recommended for equal area maps of regions that are mainly east-west in extent. Available in spherical form and in ellipsoidal form.

Bonne:

Pseudo-conic projection. Map is equal area. The central meridian is a straight line. Other meridians are complex curves. Parallels are concentric circular arcs. Poles are shown as points. Graticule is symmetric about the central meridian. Scale is true along the central meridian and along all parallels. Map is free of all distortion along the central meridian and the central or standard parallel. Frequently used until mid-20th century for atlas maps of continents and for topographic mapping of some countries. Available in spherical form and in ellipsoidal form.

Cassini:

Cylindrical projection. Map is equidistant. Transverse aspect of Plate Carree; conceptually projected onto a cylinder tangent to the globe at the central meridian. The central meridian, each meridian 90° from the central meridian and the Equator are straight lines. Other meridians and parallels are complex curves. Poles are shown as points along the central meridian. Graticule is symmetric about any straight meridian or the Equator. Scale is true along the central meridian and along any straight line perpendicular to the central meridian. Scale increases with distance from the central meridian, along a direction parallel to the central meridian. Distortion is a function of the distance from the central meridian. No distortion occurs along the central meridian, but there is both area and local shape distortion elsewhere. Used in ellipsoidal form for topographic mapping of Great Britain before the 1920's (supposedly Airy ellipsoid) and detailed mapping of German states in the same period; also used for topographic mapping of France in the 18th century. Available in spherical form and in ellipsoidal form.

Central Cylindrical:

Also known as Simple Perspective Cylindrical. Cylindrical projection. Map is perspective and neither conformal nor equal area. Projected perspectively from the center of the earth onto a cylinder tangent to the equator. Looks like Mercator. Equator and other parallels are straight lines (spacing increases towards the poles) and meet meridians (equally spaced straight lines) at right angles. Parallel spacing increases more rapidly towards the poles than Mercator. Poles cannot be shown. Scale is true along the equator. Shape, area and scale distortion increases rapidly away from the equator. Only used for teaching purposes. Only used in spherical form.

Dutch RD:

Dutch topographic map projection. Map is conformal. The Stereographic projection of the Netherlands is a so-called double projection. This means that first the points are projected from the Bessel ellipsoid on a tangent sphere according to the conformal Gauss transformation. The sphere and the ellipsoid coincide at the central projection point, i.e. at the geodetic base point in Amersfoort (Netherlands). The sphere has as its radius the geometric mean of the two principal radii of curvature of the ellipsoid in Amersfoort.

Secondly,the projected points are stereographically projected from the sphere onto the map plane. The projected coordinates have a false origin such that the base point in Amersfoort has coordinates 155 000 East, 463 000 North; this ensures that all coordinates in the Netherlands are positive and that Eastings are always different from Northings.

The datum Rijksdriehoeksmeting, which implies the Bessel 1841 ellipsoid, will be used automatically.

Eckert I:

Pseudo-cylindrical projection. Map has equally spaced parallels and is neither conformal nor equal area. Meridians are equally spaced converging straight lines broken at the equator. Central meridian is half as long as the Equator. Parallels are equally spaced parallel lines, perpendicular to the central meridian. Poles are shown as lines half a long as the Equator. Scale is true along latitudes 47°10' N and S and constant along any given latitude. Map is never free of distortion. Used for showing straight line equal-area graticule. Only available in spherical form.

Eckert II:

Pseudo-cylindrical projection. Map is equal area. Meridians are equally spaced straight lines broken at the Equator. Central meridian is half as long as the Equator. Parallels are unequally spaced straight parallel lines, widest separation near the Equator. Poles are lines half as long as the Equator. Scale is true along latitudes 55°10' N and S. Map is free of distortion only at latitudes 55°10' N and S at the central meridian. Used for showing straight line equal-area graticule. Only available in spherical form.

Eckert III:

Pseudo-cylindrical projection. Map has equally spaced parallels and is neither conformal nor equal area. Central meridian is a straight line half as long as the Equator. Other meridians are equally spaced semi-ellipses, concave toward the central meridian. The outer meridians are semicircles. Parallels are equally spaced straight parallel lines and are perpendicular to the central meridian. Poles are lines half as long as the Equator. Scale is true along latitudes 35°58' N and S. No point is free of distortion, but the Equator is free of angular distortion. Only available in spherical form.

Equidistant Conic:

Also called Simple Conic. Conic projection. Map is equidistant. Meridians are equally spaced straight lines converging at a common point, which is normally beyond a pole. Parallels are equally spaced concentric circular arcs centered on the point of convergence of the meridians. Poles are normally circular arcs. Scale is true along the two standard parallels which are usually on the same side of the equator. Map is free of distortion at the standard parallels. The most common projection in atlases for small countries on higher latitudes. Also used by the former Soviet Union for mapping that nation. Available in spherical form and in ellipsoidal form.

Gauss-Boaga (Italy):

Transverse Mercator used in topographic maps of Italy. Consists of two zones of 6° next to each other. Central meridian of zone 1 at 9° E; central meridian of zone 2 at 15° E.

The user only needs to select a zone; the scale (0.9996), false Northing (0), and central or standard parallel (0) are already defined. The false Easting is defined by the selected zone: 1 500 000 for zone 1; and 2 520 000 for zone 2.

The datum Rome 1940, which implies the International 1924 ellipsoid, will be used automatically.

Gauss (Colombia):

Transverse Mercator used in topographic maps of Colombia; the projection is oriented at the observatory in Bogotá. Consists of four zones of 3° next to each other.

The user only needs to select a zone; the scale (1.0), false Easting (1 000 000); false Northing (1 000 000), and central or standard parallel (4°35'56"57 N) are already defined. The central meridians are defined by the selected zone:
central meridian for zone 1 (West) at 77°04'51"30 W;
central meridian for zone 2 (Center) at 74°04'51"30 W;
central meridian for zone 3 (East) at 71°04'51"30 W; and
central meridian for zone 4 (East-East) at 68°04'51"30 W.

The datum Bogotá Observatory, which implies the International 1924 ellipsoid, will be used automatically.

Gauss-Krüger (Germany):

Transverse Mercator used in topographic maps of Germany. Consists of three zones of 3° next to each other. Central meridian of zone 1 at 6° E; central meridian of zone 2 at 9° E; central meridian of zone 3 at 12° E.

The user only needs to select a zone; the scale (1.0), false Northing (0), and central or standard parallel (0) are already defined. The false Easting is defined by the selected zone: 2 500 000 for zone 1; 3 500 000 for zone 2; and 4 500 000 for zone 3.

The datum ED50, which implies the International 1924 ellipsoid, will be used automatically.

General Perspective:

Shows the earth as seen from space. Projection is perspective.

Vertical Perspective projections: camera precisely faces the center of the earth, projection on a plane tangent to the earth, plane of projection is perpendicular to line from camera to center of earth, tilt=0. Projection is also azimuthal. Little distortion at the center; considerable distortion near the projection limit. Directions from the center are true on the sphere. Only available in spherical form.

Related projections:

  • If the point of perspective is at infinite distance, you have an Orthographic projection.
  • If the point of perspective is on the surface of the Earth opposite the center of projection, you have a Stereographic projection.
  • If the point of perspective is at the center of the Earth, you have a Gnomonic projection.

Tilted Perspectives projections: camera is not facing the center of the earth, projection on a tilted plane secant to the earth. Projection is modified azimuthal. Used for space photographs. The horizon or outline of the map depends on the angle of tilt and the point of perspective. Scale normally varies widely if a large area is covered. Substantial distortion of shape, area and scale if a large area is covered. Specify tilt and optionally rotation. Only available in spherical form.

Gnomonic:

Azimuthal projection. Map is perspective. Less than one hemisphere can be shown on one map. Convenient for continents, oceans or smaller regions. The outstanding (and only useful) feature of the Gnomonic projection is that all great circles are shown as straight lines. Therefore, the shortest path between any two points on the map is a straight line. Used to show great circle paths as straight lines and thus to assist navigators and aviators in determining appropriate courses.

Polar aspect: Meridians are equally spaced straight lines intersecting at the central pole. Angles between them are true angles. Parallels are unequally spaced circles centered at the pole, which is a point. The Equator and the opposite pole cannot be shown. Spacing increases rapidly away from the pole. Graticule is symmetric about any meridian.

Equatorial aspect: Meridians are unequally spaced straight parallel lines. Only meridians within 90° of the central meridian can be shown. Spacing increases away from the central meridian. The Equator is a straight line perpendicular to the meridians. Other parallels are hyperbolic arcs concave towards the nearest pole. Spacing increases rapidly away from the Equator. Poles cannot be shown. Graticule is symmetric about the central meridian or the Equator.

Oblique aspect: Meridians are unequally spaced straight lines intersecting at the pole nearest to the center of projection. Equator is a straight line perpendicular to the central meridian. All parallels are ellipses, parabolas or hyperbolas because of spherical assumption. Graticule is symmetric about the central meridian.

Scale is only true where the central meridian crosses the standard parallel and increases rapidly away from the center. Only the center is free from distortion; distortion increases rapidly away from the center. Directions from the center are true. Used only in spherical form.

Goode:

Also known as Homolosine projection; combination of Sinusoidal and Mollweide projection, smoothly connecting the two projections. The Goode projection:

    • equals the Sinusoidal projection between the latitudes 40° 43' 00" South and 40° 43' 00" North;
    • equals the Mollweide projection at the polar sides of these parallel circles.

The Goode projection is like its component projections pseudo-cylindrical and equal-area. The projection combines the advantages of the Sinusoidal projection at low latitudes with the advantages of the Mollweide projection near the poles. A user can define a central meridian of choice to minimize shape distortion of certain continents or oceans. Only available in spherical form.

Hammer-Aitoff:

Also called Hammer projection. Modified form of the Lambert Azimuthal Equal Area projection. Modified azimuthal. Map is equal area.

In this projection, the vertical coordinates of the equatorial aspect of one hemisphere are halved while the values of the meridians from the center are doubled. Central meridian is a straight line half the length of the Equator. Other meridians are complex curves, unequally spaced along the Equator and concave toward the central meridian. Parallel at the Equator is straight. Other parallels are complex curves, unequally spaced along the central meridian and concave toward the nearest pole. Poles are displayed as points. Graticule is symmetric about the central meridian and the Equator. Scale decreases along the central meridian and the Equator with distance from the center. Moderate distortion. Elliptical border.

Used for whole-world maps. Available in spherical form and ellipsoidal form.

Lambert Azimuthal Equal Area:

Also called Zenithal Equal-Area or Zenithal Equivalent. Azimuthal projection. Map is equal area and nonperspective. Convenient on one hemisphere.

Polar aspect: Meridians are equally spaced straight lines intersecting at the central pole. Angle between them are true angles. Parallels are unequally spaced circles, centered at the pole, which is a point. Spacing of the circles gradually decreases away from the pole.

Equatorial aspect: Central meridian is a straight line. Meridian 90° away is a circle. Other meridians are complex curves, unequally spaced along the Equator and intersecting at each pole. Spacing decreases away from the central meridian.

Parallel at the Equator is a straight line. Other parallels are complex curves concave toward the nearest pole, unequally spaced along the central meridian, and spacing decreases away from the Equator. Parallels are equally spaced along the meridian 90° from the central meridian.

Oblique aspect: Central meridian is a straight line. Other meridians are complex curves intersecting at each pole shown. Parallels are complex curves unequally spaced along the central meridian; spacing decreases away from the center of projection. Scale decreases gradually away from the center point. Distortion of shapes increases away from the center point. Used for maps of continents and hemispheres. Also suited for regions extending equally in all directions from a center point, such as Asia and the Pacific Ocean. Normally used in the spherical form.

Lambert Conformal Conic:

Conic projection. Map is conformal. Meridians are equally spaced lines converging at a common point, which is one of the poles. Parallels are unequally spaced concentric circular arcs centered on the pole of convergence of the meridians. Spacing of parallels increases away from the central latitudes. The pole nearest to a standard parallel is shown as a point; the other pole cannot be shown. Scale is true along one or two chosen standard parallels which are usually on the same side of the equator. Map is free of distortion along the one or two standard parallels. Map is conformal everywhere except at the poles. Extensively used for large-scale mapping of regions predominantly east-west in extent. Further widely used for topographic maps. Available in spherical form and in ellipsoidal form.

Lambert Conform Conic (France):

Lambert conformal conic projection used in topographic maps of France. Consists of four zones 'on top' of each other, all using the meridian of Paris (2.3372291667° E). The user only needs to select a zone; all necessary parameters are already defined for the selected zone.

Zone 1: standard parallel at 49.5°; false Easting 600 000; false Northing 1 200 000; scale at standard parallel 0.99987734.

Zone 2: standard parallel at 46.8°; false Easting 600 000; false Northing 2 200 000; scale at standard parallel 0.99987742.

Zone 3: standard parallel at 44.1°; false Easting 600 000; false Northing 3 200 000; scale at standard parallel 0.9998775.

Zone 4: standard parallel at 42.165°; false Easting 234 358; false Northing 4 185 861.369; scale at standard parallel 0.99994471.

The datum NTF (Nouvelle Triangulation de France), which implies the Clark 1880 ellipsoid, will be used automatically.

Lambert Cylind Equal Area:

Also called Cylindrical Equal Area. Cylindrical projection. Map is equal-area. Equator and other parallels are straight lines (spacing decreases towards the poles) and meet meridians (equally spaced straight lines) at right angles. Scale is true along the equator. Scale increases away from the Equator in the direction of the poles, but decreases away from meridians to maintain equal area. Thus there is shape distortion but no area distortion. Shape distortion is extreme in polar regions. Mainly used for educational purposes. Only available in spherical form.

Mercator:

Cylindrical projection for world maps, and principally for oceans. Map is conformal. Standard for marine charts. Designed for navigational use: sailing route between two points is shown as a straight line if the direction of the ship remains constant with respect to the north (constant compass course). This kind of route is usually longer than the great circle path (shortest possible route on the sphere).

Equator and other parallels are straight lines (spacing increases towards the poles) and meet meridians (equally spaced straight lines) at right angles. Poles cannot be shown. Scale is true at the Equator or along two parallels equidistant from the equator. Scale increases away from the Equator to infinity at the poles. Areas and shapes of large shapes are distorted. Distortion increases away from the Equator and is extreme in polar regions. Reasonably true shapes and distances within 15° of the equator.

Recommended use for conformal mapping of regions predominantly bordering the equator. Often and inappropriately used as a world map in atlases and for wall charts. It presents a misleading view of the world because of excessive area distortion. Available in spherical form and in ellipsoidal form.

Miller:

Cylindrical projection for world maps compromising distortion. Map is neither conformal nor equal area. Looks like Mercator. Equator and other parallels are straight lines (spacing increases towards the poles) and meet meridians (equally spaced straight lines) at right angles. Parallel spacing increases towards poles but less than Mercator. Poles are shown as straight lines. Scale is true along the Equator in all directions. Shape, area and scale distortion increases moderately away from the Equator but becomes severe at poles. Used in numerous world maps. Used only in spherical form.

Mollweide:

Pseudo-cylindrical projection for world maps. Map is equal area. The whole world is shown as an ellipse with the Equator twice as long as the central meridian. Central meridian is a straight line. Meridians at 90° E and W of the central meridian form a circle. Other meridians are equally spaced semi-ellipses intersecting at the poles and concave to the central meridian. Parallels are unequally spaced straight lines, farthest apart near the equator; spacing changes gradually. Poles are shown as points. Scale is true along latitudes 40°44' N and S. Distortion is severe near outer meridians at high latitudes. Used only in spherical form.

Oblique Mercator:

Cylindrical projection. Map is conformal. Oblique aspect of Mercator. Mathematically projected on a cylinder tangent along any great circle but not the Equator or a meridian. Two meridians 180° apart are straight lines; other meridians are complex curves concave toward the great circle. Equator and other parallels are complex curves concave toward the nearest pole. Graticule spacing increases away from the great circle but conformality is retained. Both poles can be shown. Scale is true along a chosen central line (a great circle at an oblique angle) or along two straight lines on the map parallel to the central line. The central line appears horizontally on the map and goes through the center of projection (= intersection of central meridian and central parallel). Scale increases with distance from the central line and becomes infinite at 90° from the central line. Distortion of areas, distances and shapes increases away from the great circle. Directions, areas and distances are reasonably accurate only within 15° of the line of tangency. Distortion is excessive toward the edges of a world map except near the path of the great circle.

This kind of map can be made to show as a straight line the shortest distance between any two selected points along the selected great circle. Used to show regions along a great circle other than the Equator or a meridian. Recommended for conformal mapping of regions having predominant extent in oblique direction, neither east-west nor north-south. If the Equator is the central line: Mercator. If a meridian is a central line: Transverse Mercator. Used for larger scale mapping in Switzerland, Madagascar and Borneo, and for atlas maps of regions having a greater extent in an oblique direction, such as Hawaii. Available in spherical form and in ellipsoidal form.

Orthographic:

The earth appears as it would on a photograph from a very distant point in space.

Azimuthal projection. Map is perspective. Closely resembles a globe in appearance, since it is a perspective projection from infinite distance. Only one hemisphere can be shown. Scale is true at the center of projection and along any circle having its center at the projection center but only in the direction of the circumference of the circle. Scale decreases rapidly with distance from the center. Directions are only true from the center point of projection. Distortion rapidly increases away from the center point and is extreme near the edge of a hemisphere. Used for perspective views of the earth, moon, etc. Used only in spherical form.

Plate Carree:

Also called Simple Cylindrical or Equidistant Cylindrical. Cylindrical projection. Equator is standard parallel. Map is equidistant along the Equator and along all meridians. Meridians are exactly half as long as the Equator (assuming a sphere). All parallels and meridians are equally spaced straight lines and meet at straight angles. Scale is true along the Equator and all meridians but increases for east-west directions towards the poles. Distortion in shapes and sizes increases towards the poles.

Used for mapping the earth taken as a sphere. Used for raster maps which store information of the whole world: each pixel represents a square block of LatLon coordinates, i.e. information is stored per degree, per minute, etc. A map in Plate Carree projection corresponds to a map using a LatLon coordinate system where you have angular intervals (graticule spacing in degrees); in Plate Carree you have linear spacing in meters depending on the radius of the earth. Used only in spherical form.

Plate Rectangle:

Also called Equirectangular, Equidistant rectangular.

Cylindrical projection. Map is equidistant. Variant of Plate Carree, Plate Rectangle having east-west compression. Two standard parallels are symmetrical about the Equator. Meridians are equally spaced straight parallel lines more than half as long as the Equator. Parallels are equally spaced straight parallel lines, perpendicular to and having wider spacing than the meridians. Poles are straight lines equal in length to the Equator. Scale is true along the standard parallels equidistant from the Equator and along all meridians. Scale increases with the distance from the Equator along the parallels. Thus, there is distortion of both shape and area. Used for raster maps which store information of the whole world: each pixel represents a rectangular block of LatLon coordinates. Used only in spherical form.

PolyConic:

Also called American Polyconic. Polyconic projection. Map is neither conformal nor equal area. Central meridian is a straight line. Other meridians are complex curves, equally spaced at the Equator and concave towards the central meridian. The Equator is a straight line, poles are points, and all other parallels are nonconcentric circular arcs spaced at true distances along the central meridian. Many cones are involved, hence polyconic. Scale is true along the central meridian and along each parallel. Map is free of distortion along the central meridian. Extensive distortion if the range extends very far east-west. The sole projection used for large scale mapping in the ellipsoidal form of the United States by the USGS until the 1950's. Not recommended for regional maps because other projections are better. Available in spherical form and in ellipsoidal form.

Robinson:

Pseudo-cylindrical projection for world maps compromising distortion. Map is neither conformal nor equal area. Central meridian is a straight line 0.51 as long as the Equator. Other meridians resemble elliptical arcs, are equally spaced, and are concave toward the central meridian. Parallels are straight lines, equally spaced between latitudes 38° N and S; space decreases beyond these limits. Poles are lines 0.53 as long as the Equator. Graticule is symmetrical about the central meridian or the Equator. Scale is true along latitudes 38° N and S. Map is never free of distortion, but is very low within about 45° of the center and along the Equator. Used for world maps, for example, by Rand McNally in Goode’s Atlas for thematic world maps. Only used in spherical form.

Sinusoidal:

Also called Mercator Equal Area. Pseudo-cylindrical projection for world maps. Map is equal area. Central meridian is a straight line; other meridians ares equally spaced sinusoidal curves. Parallels are equally spaced straight lines perpendicular to the central meridian. Poles are shown as points. Graticule is symmetrical about the central meridian or the Equator. Scale is true along the central meridian and along all parallels. Distortion is severe near outer meridians at high latitudes but can be substantially reduced by choosing an interrupted form (see below). Used in atlas maps of South America and Africa. Occasionally used for world maps. Normally used in spherical form.

Sinusoidal Interrupted:

A modification of the Sinusoidal projection. The Interrupted Sinusoidal projection is bounded by a meridian in the Pacific Ocean and is interrupted at another meridian in the Atlantic Ocean (at 0° E). Has two fixed central meridians (at 90° W and 90° E) to reduce the distortion at high latitudes. Interruptions are symmetrical about the Equator. Interruptions and central meridians can be shifted by using an offset longitude different from 0 (default). Only used in spherical form.

Sinusoidal 2x Interrupted:

Like the Sinusoidal Interrupted projection, but with an extra interruption in the Asian continent. The interruptions reduce the distortion of shapes and size of the continents. Has three fixed central meridians. Interruptions at 18° W and 60° E; central meridians at 99° W, 21° E, and 120° E. Only used in spherical form.

Sinusoidal 3x Interrupted:

Like the Sinusoidal 2x Interrupted projection, but with an extra interruption in the Indian Ocean. The interruptions reduce the distortion of shapes and size of the continents. Has four fixed central meridians. Interruption at 18° W at the Northern hemisphere; central meridians at 99° W and 81° E. Other interruptions at 18° W and 60° E at the Southern hemisphere; central meridians at 99° W, 21° E, and 120° E. Only used in spherical form.

Stereographic:

Azimuthal projection. Map is conformal and perspective. Convenient on one hemisphere in spherical form.

Polar aspect: Meridians are equally spaced straight lines intersecting at the pole. Parallels are unequally spaced circles centered at the pole, which is a point. Opposite pole cannot be shown. Spacing gradually increases away from the pole.

Equatorial aspect: Central meridian is a straight line. Other meridians are unequally spaced circular arcs intersecting at each pole. Spacing gradually increases away from the central meridian. Equator is a straight line. Other parallels are unequally spaced circular arcs concave towards the nearest pole. Spacing gradually increases away from the Equator along the central meridian.

Oblique aspect: Central meridian is a straight line. Other meridians are circular arcs intersecting at each pole. Spacing gradually increases away from the central meridian.

Scale is true where the central latitude crosses the central meridian, or, alternatively, along a circle concentric about the projection center (or a parallel on the polar aspect). Scale moderately increases with distance from the center. Only the center or the circle of true scale are free from all distortion. Directions are only true from the center point of projection.

Used in combination with UTM projection as Universal Polar Stereographic (UPS) for mapping poles and in navigation charts for latitudes above 80°. Used as double projection in the Dutch RD projection. Recommended for conformal mapping of regions that are approximately circular in shape. Available in spherical form and in ellipsoidal form.

Transverse Mercator:

Also called Gauss Conformal or Gauss Krüger. Transverse cylindrical projection. Map is conformal. Transverse form of Mercator. Basis for UTM. Central meridian, each meridian 90° from central meridian and Equator are straight lines. Other meridians and parallels are complex curves. Scale is true along the central meridian or along two straight lines equidistant from and parallel to the central meridian. Scale increases away from the central meridian and becomes infinite at 90° from the central meridian. Distances and sizes of areas are reasonably correct within a 15° zone around the central meridian. Used for many topographic maps at scales of 1: 20,000 to 1: 250,000. Recommended for conformal mapping of regions having predominantly north-south extent. Available in spherical form and in ellipsoidal form.

UPS:

Universal Polar Stereographic. Azimuthal and perspective projection. Map is conformal. Meridians are equally spaced straight lines intersecting at the pole. Parallels are unequally spaced circles centered at the pole, which is a point. Opposite pole cannot be shown. Spacing gradually increases away from the pole. Graticule is symmetric about any meridian. Used in combination with UTM projection as Universal Polar Stereographic (UPS) in Arctic and Antarctic maps and in navigation charts for latitudes above 80°. Available in spherical form and in ellipsoidal form.

UTM:

Universal Transverse Mercator. Standardized form of Transverse Mercator. Transverse cylindrical projection. Map is conformal. Widely used for topographic maps and military maps. Central meridian, each meridian 90° from central meridian, and Equator are straight lines. Poles as displayed as points along the central meridian.

For UTM, the whole earth is divided into 60 (vertical) zones with a width of 6° degrees longitude. These zones are identified by numbers and cover the complete surface of the Earth from 0° to 180° W and from 0° to 180° E. For zone numbers, see UTM zones.

A further subdivision is made into 20 (horizontal) belts of 8° degrees latitude, except for the most northern belt which covers 12° in latitude. These belts are identified by letters and cover the Earth from 80° S to 84° N. Polar regions are mapped in UPS.

By definition, all zones have a false Easting of 500,000m at their central meridian. The false Northing is 0 at the Equator for maps on the northern hemisphere, and 10,000,000 at the Equator for maps on the southern hemisphere. Furthermore, by definition, the scale factor at the central meridian is 0.9996.

Depending on the region in which your map is located, you can select one of the following ellipsoids:

  • Bessel 1941: for Japan, North Korea, South Korea, Manchuria, Indonesia (except Irian Jaya),
  • Clarke 1866: for North America (except Greenland), Central America, Philippines,
  • Clarke 1880: for African countries located south of 5° N latitude and located south of the Equator, except Congo-Brazzaville, Gabon, Equatorial Guinea, Madagascar,
  • Everest 1830: for Pakistan, India, Nepal, Bhutan, Bangladesh, Myanmar (Burma), Thailand, Laos, Cambodia, Vietnam, Malaysia,
  • International 1924: for all other regions.

Available in spherical form and in ellipsoidal form.

VanderGrinten:

Also called Van der Grinten I. Polyconic projection for world maps. Shows the entire earth within one circle. Map is neither conformal nor equal area. Central meridian is straight. Other meridians are circular, equally spaced along the Equator and concave toward the central meridian. Parallel at the Equator is straight. Other parallels are circular arcs, concave toward the nearest pole. Poles are displayed as points. Scale is true along the Equator and increases rapidly with distance from the Equator. All areas, shapes and angles are greatly distorted. Great distortion of area near the poles. Only used in spherical form.

VanHuut:

Comic organic projection for world maps according to the architect of the new ITC building. Rarely used and only in spherical form.

References:

  • Maling, D.H., 1973. Coordinate systems and map projections. Philip Ltd, London.
  • Maling, D.H., 1989, Measurements from maps; principles and methods of cartography. Pergamon Press.
  • Snyder, J.P., 1982. Map projections used by the U.S. Geological Survey. Washington.
  • Snyder, J.P., 1987, Map projections, a working manual. U.S. Geological Survey professional paper 1395. United States Government Printing Office, Denver.
  • Snyder, J.P. & Voxland, P.M., 1989. An album of map projections. U.S. Geological Survey professional paper 1453. United States Government Printing Office, Denver.

See also:

ILWIS objects : coordinate systems

Edit Coordinate System Projection (dialog box)

Select Ellipsoid (dialog box)

Select Datum (dialog box)

Suggested projections


Select Ellipsoid

For many maps it is assumed that the Earth is a sphere. However, because of the Earth’s rotation, the shape of the Earth is not a perfect sphere. Actually, the Earth is slightly flattened towards the poles: the equatorial axis (line from the center to the equator) is longer than the polar axis. The Earth's shape can better be represented by an ellipsoid. Over the years, various different ellipsoids are calculated. Variations in calculated ellipsoids are due to the irregularities in the surface of the Earth. The choice of the ellipsoid which fits best a certain region of the Earth surface to be mapped, depends on the surface curvature and undulations in that region. Hence every country has its own 'best fit' ellipsoid.

For large scale topographic maps such an ellipsoid must be chosen. For a number of projections available in ILWIS, an ellipsoid can be selected. Spherical projection algorithms are provided for certain less current projections and projections for global atlas maps. In addition, with small scale maps, the flattening is negligible and a spherical model is preferred.

This dialog box appears:

  • when you click the Ellipsoid button in the Edit Coordinate System Projection dialog box, or
  • when you click the Ellipsoid button in the Edit Coordinate System LatLon dialog box.

Dialog box options:

Ellipsoid:

Select an ellipsoid from the list box.

Next dialog boxes:

  • When you clicked the Datum button in the Edit Coordinate System Projection dialog box, that dialog box will reappear; you will need to fill out the remaining projection parameters.
  • When you clicked the Datum button in the Edit Coordinate System LatLon dialog box, that dialog box will reappear.

Additional information

Available ellipsoids:

Sphere

Airy 1830

Modified Airy

ATS 77

Australian National

Bessel 1841

Bessel 1841 (Japan by Law)

Bessel 1841 (Namibia)

Clarke 1866

Clarke 1880

Clarke 1880 (IGN)

D-PAF (Orbits)

Du Plessis Modified

Du Plessis Reconstituted

Everest (India 1830)

Everest (India 1956)

Everest (Malaysia 1969)

Everest (E. Malaysia and Brunei)

Everest (Malaysia and Singapore 1948)

Everest (Pakistan)

Everest (Sabah Sarawak)

Fischer 1960

Fischer 1960 Modified

Fischer 1968

GRS 80

Helmert 1906

Hough 1960

Indonesian 1974

International 1924

Krassovsky 1940

New International 1967

SGS 85

South American 1969

WGS 60

WGS 66

WGS 72

WGS 84

Available ellipsoids are listed in the ellips.def file in the ILWIS system directory.

The ellipsoids, are sometimes called spheroids (shapes that are generated by revolving an ellips around its minor axis). A spheroid by this definition has two different semi-axes a and b, where a is the radius of the equator circle and b is the half axis of rotation (b < a).

The flattening f and eccentricity e of the ellipsoid are defined by respectively:

f = (a - b) / (a)

e * e = (a * a - b * b) / (a * a)

It follows that the ellipsoid shape is also completely defined by a and f or by a and e. You are free to define your own pair of ellipsoid constants a and f. However, most (about 20) ellipsoid shapes are predefined and selectable in ILWIS. They are stored in the text file ellips.def. The file lists the shape of the defined ellipsoids, expressed in the length of the equatorial axis (a) in meters and the inverse flattening (1/f).

If no ellipsoid is known, the choice by default is a sphere with a = b = 6371007.0 m. A sphere with this radius has an area equal to that of the WGS84 ellipsoid.

See also:

ILWIS objects : coordinate systems

Edit Coordinate System Projection (dialog box)

Select Projection (dialog box)

Select Datum (dialog box)

Edit Coordinate System LatLon (dialog box)


Select Datum

For large scale maps (small areas such as cities, regions, provinces etc.) it can be necessary to supply a datum for a coordinate system.

A geodetic datum defines a reference ellipsoid for a particular region, oriented to the landscape, with an 'initial point' of reference on the surface. The 'initial point' is assigned a latitude, longitude, an elevation above the ellipsoid, a direction of the vertical, and the azimuth of a point in the vicinity (to fix the North). Once a datum is adopted, features on the ground in a given area can be mapped relative to the adopted ellipsoid and the adopted 'initial point'.

This dialog box appears:

  • when you click the Datum button in the Edit Coordinate System Projection dialog box, or
  • when you click the Datum button in the Edit Coordinate System LatLon dialog box.

Dialog box options:

Predefined datum:

Select a datum from the list box. The last line in the dialog box lists the name of the country (or region) for which the selected datum can be used.

Tip: After selecting a predefined datum; the ellipsoid is automatically defined.

Area:

For some datums, you can select a specific area (country). For these areas averaged shift estimates are used in x, y and z position in meters. For example for the datum 'Adindan' shifts are estimated for the countries: Burkina Faso, Cameroon, Ethiopia, Mali, Mean (Mean for Ethiopia, Mali, Senegal and Sudan).

User-defined datum:

Select this option if you know the necessary transformation parameters to enable a transformation from the current coordinates to the globally defined WGS 84 datum.

Note: This option is automatically selected and all transformation parameters are automatically filled out when you used the Find datum transformation parameters operation.

Molodensky:

Select this option to use Molodensky datum transformation parameters:

  • translations dX, dY, dZ (in meters) between the geocentric coordinates of the current datum and the WGS 84 datum.

Bursa Wolf:

Select this option to use Bursa Wolf datum transformation parameters:

  • translations dX, dY, dZ (in meters) between the geocentric coordinates of the current datum and the WGS 84 datum.
  • rotation angles Rot X, Rot Y, Rot Z (in arc seconds) between the geocentric coordinates of the current datum and the WGS 84 datum, and
  • a scale factor dScale (as 10-6, or ppm) between the current datum and the WGS 84 datum.

Badekas:

Select this option to use Molodensky Badekas datum transformation parameters:

  • translations dX, dY, dZ (in meters) between the geocentric coordinates of the current datum and the WGS 84 datum.
  • rotation angles Rot X, Rot Y, Rot Z (in arc seconds) between the geocentric coordinates of the current datum and the WGS 84 datum,
  • a scale factor dScale (as 10-6, or ppm) between the current datum and the WGS 84 datum, and
  • a rotation center (pivot) Xo, Yo, Zo (in geocentric coordinates), between the current datum and the WGS 84 datum.

dX, dY, dZ, Rot X, Rot Y, Rot Z, dScale, Xo, Yo, Zo:

Depending on the selected datum transformation method, fill out the required parameters.

Tip: To find transformation parameters between the coordinate systems of two point maps, where:

  • the coordinate system of the first point map is supposed to use a local (unknown) datum,
  • the coordinate system of the second point map is supposed to use a global datum, preferably WGS 84,

use the Find datum transformation parameters wizard.

Next dialog boxes:

  • When you clicked the Datum button in the Edit Coordinate System Projection dialog box, that dialog box will reappear; you will need to fill out the remaining projection parameters.
  • When you clicked the Datum button in the Edit Coordinate System LatLon dialog box, that dialog box will reappear.

Using national coordinate systems:

When you use one of the following country projections, the predefined datum which belongs to the national system of that country is automatically selected for you by the system:

Projection: | Datum:
Dutch RD | Rijksdriehoeksmeting; this implies the Bessel 1841 ellipsoid.
Gauss Boaga (Italy) | Rome 1940; this implies the International 1924 ellipsoid.
Gauss (Colombia) | Bogota Observatory; this implies the International 1924 ellipsoid.
Gauss-Krueger (Germany) | Rauenberg (currently not available), or ED50 (for small scale maps); this implies the International 1924 ellipsoid.
Lambert Conform Conic (France) | NTF (Nouvelle Triangulation de France); this implies the Clark 1880 ellipsoid.

Using a user-defined datum:

If two maps have different coordinate systems, both with a known projection, it could be that the underlying ellipsoids have different datums. This means that, apart from different a and f values, the centers of the ellipsoids do not coincide; and it could mean that even the polar axes are not parallel, let alone coincide. To relate the two map coordinate systems, one need in such a case a so-called datum transformation.

Mathematically this is feasible via 3 dimensional geocentric coordinates, implying a 3D similarity (Helmert) transformation; and transformations between the geocentric coordinates (X,Y,Z) and ellipsoidal latitude and longitude (j and l) in both datum systems. However, a good approximation of this is given by the Molodensky equations relating directly the ellipsoidal j and l of both systems. In ILWIS, this is combined with forward and inverse map projection equations. It solves the problem of projection change between different geodetic datums. The Molodensky equations require the shift vector of the ellipsoid centers involved with respect to the WGS84 ellipsoid. Recent measurement results are provided by the US DMA (Defense Mapping Agency). The choice of a geodetic datum defines the choice of the ellipsoid and overrules a possibly previous selection of an ellipsoid for the projection.

An overview of available datums can be found in the datum.def file in the ILWIS system directory. It defines:

  • the datum name followed by an equal sign,
  • followed by the name of the ellipsoid, and
  • the estimated shifts in x, y and z position in meters, averaged for the specific region.

Tips:

  1. To find transformation parameters between the coordinate systems of two point maps, where:
    • the coordinate system of the first point map is supposed to use a local (unknown) datum,
    • the coordinate system of the second point map is supposed to use a global datum, preferably WGS 84,

    use the Find datum transformation parameters wizard.

  2. For a general explanation of the Molodensky, Bursa Wolf and Badekas calculation methods for datum transformation parameters, see the Find datum transformation parameters - Method page.

Reference:

  • D.M.A., 1991. World Geodetic System 1984, its definition and relationships with local geodetic systems. U.S. Defense Mapping Agency, Department of Defense, Technical Report 8350.2, 2nd ed.

See also:

ILWIS objects : coordinate systems

Edit Coordinate System Projection (dialog box)

Select Projection (dialog box)

Select Ellipsoid (dialog box)

Edit Coordinate System LatLon (dialog box)

Find datum transformation parameters wizard


Projections : Suggested projections

Suggested projections

This topic contains a simple list of suggested projections after Snyder (1987). The following projection methods and projection properties are supposed to be understood: cylindrical projections, conic projections, azimuthal projections, conformal, equal area, equidistant. Furthermore, it is expected that, if required, the user is capable of specifying a polar, equatorial or oblique aspect for each of the projection methods in the Edit Coordinate System dialog box after the selection of a projection in the Select Projection dialog box.

For more information on the projections mentioned below, see the Select Projection dialog box.

World (Earth should be treated as a sphere)

Conformal (gross area distortion)

  • Constant scale along equator: Mercator
  • Constant scale along meridian: Transverse Mercator
  • Constant scale along oblique great circle: Oblique Mercator

Equal-Area

  • Standard without interruption: Mollweide, Sinusoidal, misc. pseudo-cylindricals
  • Interrupted: Sinusoidal interrupted.

Equidistant

  • Centered on pole: Azimuthal Equidistant (polar aspect)
  • Centered on a city: Azimuthal Equidistant (oblique aspect)

Straight rhumb lines (constant compass course)

  • Mercator

Compromise distortion

  • Miller
  • Robinson

Hemisphere (Earth should be treated as a sphere)

Conformal

  • Stereographic (any aspect)

Equal Area

  • Lambert Azimuthal Equal Area (any aspect)

Equidistant

  • Azimuthal Equidistant (any aspect)

Global look

  • Orthographic (any aspect)

Continent, ocean, or smaller region (Earth should be treated as a sphere for larger continents and oceans and as an ellipsoid for smaller regions, especially at a larger scale)

Predominant east-west extent

  • Along equator and conformal: Mercator
  • Along equator and equal area: Lambert Cylindrical Equal Area
  • Away from equator and conformal: Lambert Conformal Conic
  • Away from equator and equal area: Albers Equal Area Conic

Predominant north-south extent

  • Conformal: Transverse Mercator

Predominant oblique extent (for instance North America, South America, Atlantic Ocean)

  • Conformal: Oblique Mercator
  • Equal Area: Lambert Cylindrical Equal Area (oblique aspect)

Equal extent in all directions (for instance Europe, Africa, Asia, Australia, Antarctica, Pacific Ocean, Indian Ocean, Arctic Ocean, Antarctic Ocean)

  • Center at pole and conformal: Stereographic (polar aspect)
  • Center at pole and equal area: Lambert Azimuthal Equal Area (polar aspect)
  • Center along equator and conformal: Stereographic (equatorial aspect)
  • Center along equator and equal area: Lambert Azimuthal Equal Area (equatorial aspect)
  • Center away from pole or equator and conformal: Stereographic (oblique aspect)
  • Center away from pole or equator and equal area: Lambert Azimuthal Equal Area (oblique aspect)

Straight rhumb lines (=constant compass course)

  • Mercator (principally for oceans)

Straight great-circle routes (=shortest path between two points)

  • Gnomonic (less than a hemisphere)

Correct scale along meridians

  • Center at pole: Azimuthal Equidistant (polar aspect)
  • Center along equator: Plate Carree
  • Center away from pole or equator: Equidistant Conic.

Reference:

  • Snyder, J.P., 1987, Map projections, a working manual. U.S. Geological Survey professional paper 1395. United States Government Printing Office, Denver.

See also:

Select Projection (dialog box)

ILWIS objects : coordinate systems


Projections : UTM zones

UTM zones

UTM zone code | Long. centr. merid. | Long. range from: | Long. range to: | UTM zone code | Long. centr. merid. | Long. range from: | Long. range to:
1 | -177 | -180 | -174 | 31 | 3 | 0 | 6
2 | -171 | -174 | -168 | 32 | 9 | 6 | 12
3 | -165 | -168 | -162 | 33 | 15 | 12 | 18
4 | -159 | -162 | -156 | 34 | 21 | 18 | 24
5 | -153 | -156 | -150 | 35 | 27 | 24 | 30
6 | -147 | -150 | -144 | 36 | 33 | 30 | 36
7 | -141 | -144 | -138 | 37 | 39 | 36 | 42
8 | -135 | -138 | -132 | 38 | 45 | 42 | 48
9 | -129 | -132 | -126 | 39 | 51 | 48 | 54
10 | -121 | -126 | -114 | 40 | 57 | 54 | 60
11 | -117 | -120 | -114 | 41 | 63 | 60 | 66
12 | -111 | -114 | -108 | 42 | 69 | 66 | 72
13 | -105 | -108 | -102 | 43 | 75 | 72 | 78
14 | -99 | -102 | -96 | 44 | 81 | 78 | 84
15 | -93 | -96 | -90 | 45 | 87 | 84 | 90
16 | -87 | -90 | -84 | 46 | 93 | 90 | 96
17 | -81 | -84 | -78 | 47 | 99 | 96 | 102
18 | -75 | -78 | -72 | 48 | 105 | 102 | 108
19 | -69 | -72 | -66 | 49 | 111 | 108 | 114
20 | -63 | -66 | -60 | 50 | 117 | 114 | 120
21 | -57 | -60 | -54 | 51 | 123 | 120 | 126
22 | -51 | -54 | -48 | 52 | 129 | 126 | 132
23 | -45 | -48 | -42 | 53 | 135 | 132 | 138
24 | -39 | -42 | -36 | 54 | 141 | 138 | 144
25 | -33 | -36 | -30 | 55 | 147 | 144 | 150
26 | -27 | -3- | -24 | 56 | 153 | 150 | 156
27 | -21 | -24 | -18 | 57 | 159 | 156 | 162
28 | -15 | -18 | -12 | 58 | 165 | 162 | 168
29 | -9 | -12 | -6 | 59 | 171 | 168 | 174
30 | -3 | -6 | 0 | 60 | 177 | 174 | 180

See also:

Select projection


Edit Coordinate System LatLon

View and/or edit a coordinate system latlon. A coordinate system latlon defines the LatLon-coordinates in your maps, and optionally the projection of the maps. Coordinate systems are used by polygon, segment and point maps, and by the georeference of a raster map.

This dialog box appears:

  • when in the Create Coordinate System dialog box, you selected to create a coordinate system of the type latlon,
  • when in the Catalog, you double-click a coordinate system of the type latlon,
  • when in the Catalog, you press the right mouse button on a coordinate system of the type latlon, and choose Open from the context-sensitive menu.

You should use a coordinate system of the type latlon, when you obtained raster maps and/or vector maps from other sources which are supposed to be using geographic coordinates (Latitude, Longitude), but when the maps do not yet have a coordinate system.

  • When you want to have LatLon-coordinates for maps which comprise the whole world or when are not interested in choosing an ellipsoid or datum, you can directly link system coordinate system LatLon to the maps. Edit the properties of the maps and select system coordinate system LatLon.
  • When you may want to change the figure used for the radius of the earth or when you may want to add ellipsoid or datum information, you can create a user-defined coordinate system of the type latlon and edit it in this dialog box.

Specify the LatLon-boundaries of the map, and optionally supply ellipsoid or datum information. You can specify ellipsoid or datum information later on or right away. When a map has ellipsoid or datum information, you will be able to transform the map to another coordinate system with another ellipsoid or another datum.

Dialog box options:

Description:

Type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

Min Latitude:

Type the minimum latitude of your map in degrees, minutes and seconds, and type S when this corner of the map in located on the southern hemisphere or type N when this corner of the map in located on the northern hemisphere.

Max Latitude:

Type the minimum latitude of your map in degrees, minutes and seconds, and type S when this corner of the map in located on the southern hemisphere or type N when this corner of the map in located on the northern hemisphere.

Min Longitude:

Type the minimum longitude of your map in degrees, minutes and seconds, and type E when this corner of the map in located on the Eastern hemisphere or type W when this corner of the map in located on the western hemisphere.

Max Longitude:

Type the maximum longitude of your map in degrees, minutes and seconds, and type E when this corner of the map in located on the eastern hemisphere or type W when this corner of the map in located on the western hemisphere.

The boundary values will only be used to determine:

  • default map coordinate boundaries for vector maps, and
  • default coordinate boundaries for a georeference for raster maps.

Ellipsoid:

Click the Ellipsoid button when you want to specify an ellipsoid for the LatLon-coordinates of this coordinate system. The Select Ellipsoid dialog box will appear.

You need to select an ellipsoid when you are making maps at medium scale, for instance when mapping areas like countries or provinces.

Datum:

Click the Datum button when you want to specify datum information for the LatLon-coordinates of this coordinate system. The Select Datum dialog box will appear.

You need to specify a datum when you are making maps at a rather large scale (e.g. 1: 20,000 or less), thus when mapping areas like small provinces, towns, infrastructure as sewage systems, water pipes, electricity cables, etc. By supplying a datum, you will be able to transform coordinates from one datum to another; differences between ellipsoid centers will be taken into account.

Sphere radius (m):

This option is only available when no ellipsoid or datum has been selected. That is correct when mapping the entire earth, a hemisphere or larger continents. It is assumed that the earth is a sphere and a spherical model can be used. As default a sphere of 6371007.0m is given. If you wish you can change this value.

In case you already selected an ellipsoid or datum, the radius (equatorial and polar) of the ellipsoid is already defined; then, the name of the selected ellipsoid and/or datum will be displayed.

Tip:

When finished creating a coordinate system latlon, you have to link this coordinate system to the maps which should use it by editing the properties of these maps.

See also:

ILWIS objects : coordinate system

Select Ellipsoid (dialog box)

Select Datum (dialog box)


Edit Coordinate System Formula

View and/or edit a coordinate system formula. A coordinate system defines the XY-coordinates in your maps; a coordinate system formula is based on another coordinate system and a user-defined formula.

Coordinate systems are used by polygon, segment and point maps, and by the georeference of a raster map. It is advised to use one coordinate system for all the maps in your project.

This dialog box appears:

  • when in the Create Coordinate System dialog box, you selected to create a coordinate system of the type formula,
  • when in the Create Coordinate System (in map window) dialog box, you selected to create a coordinate system of the type formula,
  • when in the Catalog, you double-click a coordinate system of the type formula,
  • when in the Catalog, you press the right mouse button on a coordinate system of the type formula, and choose Open from the context-sensitive menu,
  • when a map window currently uses a coordinate system of the type formula, and you choose Coordinate System from the Edit menu in the map window.

Specify the formula that should be applied on an input coordinate system (= related coordinate system), and specify the boundary XY-coordinates for the coordinate system that you are creating (artificial coordinates).

Dialog box options:

Description:

Type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

Min X, Y:

Type the minimum X-coordinate and the minimum Y-coordinate for this coordinate system (artificial coordinates).

Max X, Y:

Type the maximum X-coordinate and the maximum Y-coordinate for this coordinate system (artificial coordinates).

Defaults:

First, fill out parameters for your formula.

Then, you can click the Defaults button and see how the coordinate boundaries of the related coordinate system map/fit with the coordinates of the current coordsys formula.

The boundary values are calculated by applying the current formula as defined by this dialog box on the related coordinate system. In this way, you can check whether your formula results in the current (artificial) boundary coordinates.

The boundary values will only be used to determine:

  • default map coordinate boundaries for vector maps, and
  • default coordinate boundaries for a georeference for raster maps.

Related coordsys:

Select the coordinate system with the correct coordinates.

Related origin:

The coordinates of the origin of the related coordinate system, i.e. the input coordinate system.

Target origin:

The coordinates of the origin of the target coordinate system, i.e. the current coord sys formula.

The text boxes for Related origin and Target origin together define a shift or translation of the origin. Example: To make an origin shift of 1000 to the right and 1000 up, specifying 0, 0 for the Related origin boxes and 1000, 1000 for the target origin.

In the formulae below, [image] is used for the related coordinates, [image] for the coordinates of the coordsys formula which you are editing, [image] for the origin in the related coordsys, [image] for the origin of the coordsys formula which you are editing.

Affine transformation:

Select the option affine transformation when you want to construct an affine transformation formula. You can select a method and specify various parameters to obtain a translation (shifted origin) and/or a rotation and/or a scale factor, etc.

Conformal:

A transformation which is equal for both the X-coordinates and the Y-coordinates.

Scaling:

Specify a scale factor or multiplication factor with which all coordinates will be multiplied.

A scale factor of 1 returns the same coordinates; a scale factor of 0.5 divides your coordinates by 2; a scale factor of 2 multiplies your coordinates by 2; a scale factor of -1 reflects the coordinates in the origin.

Rotation:

Specify an angle in degrees for a rotation of the coordinate system. Rotation is clockwise about the origin of the input coordinate system.

The complete formula for a conformal transformation reads:

Differential scaling:

Transformation which allows different scale / multiplication factors for the X-coordinates and for the Y-coordinates.

When you do not shift the origin, the formulas are:

Xout = k1 * Xin

Yout = k2 * Yin

X-scaling:

Specify a scale factor or multiplication factor (k1) with which all X-coordinates will be multiplied.

Y-scaling:

Specify a scale factor or multiplication factor (k2) with which all Y-coordinates will be multiplied.

The complete formula reads:

Skew along X-axis:

Transformation in which X-coordinates will be stretched, while Y-coordinates remain the same. (A square becomes a parallellogram.)

When you do not shift the origin, the formulas are:

Xout = Xin + Yin * tana

Yout = Yin

Specify a clockwise angle (-90<angle<90) in degrees.

The complete formula reads:

Skew along Y-axis:

Xout = Xin

Yout = Yin + Xin * tana

The complete formula inclusive a translation reads:

Matrix coefficients:

For advanced users: specify matrix coefficients by which the input coordinates will be multiplied.

The complete formula reads:

User-defined expression:

Select the option user-defined expression when you want to type in a formula which establish relations for XY-coordinates of the input or related coordinate system and the desired output XY-coordinates of the coordinate system formula that you are creating. Optionally, you can also specify the inverse formulae. This option to specify a user-defined expression can be used to create a coordinate system from a coordinate system projection, when you know ellipsoidal or datum formulae to go from one system to the other.

out X =

Type a formula which defines the relation between desired output X-coordinates (this coordsys formula) and input XY-coordinates (the related coordsys). The parameter for the X-coordinates is X, the parameter for the Y-coordinates is Y. Furthermore, you can use any ILWIS function just as in MapCalc or TabCalc on the command line.

out Y =

Type a formula which defines the relation between desired output Y-coordinates and input XY-coordinates.

Inverse Formulae

Select this check box when you want to specify the inverse formulae. There is no check on whether the inverse formula supplied by the user is really the inverse of the formulae above. Use with care.

inv X =

Type a formula which defines the inverse formula.

The input XY's for this formula are coordinates from this coordinate system formula (artificial coordinates).

The resulting X is a coordinate of the related coordinate system.

The parameter for the X-coordinates is X; the parameter for the Y-coordinates is Y. Furthermore, you can use any ILWIS function just as in MapCalc or TabCalc on the command line.

inv Y =

Type a formula which defines the inverse formula.

Tips:

  • Once you have created a correct coordinate system, it is advised to make it read-only in the Coordinate System Properties sheet.
  • To change the coordinates of maps from one coordinate system to another coordinate system, use the Transform Points, Transform Segments or Transform Polygons operation. The input vector map can have the coordinate system with the artificial coordinates. Transform the map to the coordinate system formula which you just created.
  • To transform coordinates of raster maps from one georeference to another georeference (which has for instance another coordsys), use the Resample operation.

See also:

ILWIS objects : coordinate system

Transform point map

Transform segment map

Transform polygon map


Add layer to map window

Map window

Layers menu

Add Layer

Add a data layer (raster map, polygon map, segment map, point map or a map list to be displayed as a color composite) or an annotation text layer to the current map window.

Dialog box options:

Select layer: | Select the object that you wish to add as a layer to the current map window: a raster map, a polygon map, a segment map, a point map, a map list, or an annotation text object.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Depending on the type of object you selected, a Display Options dialog box will be opened in which you can specify the display options for the selected layer.

Tips:

  • When a map window already displays a raster map (or a map list) and you wish to add another raster map (or map list) to the map window, the selected raster map (or map list) can only be added to the map window when it uses the same georeference as the raster map(s) that are already displayed.
  • You can also drag one or more maps, map lists or annotation text layers from a Catalog or from Windows Explorer to the desired map window with the mouse.

See also:

Map window : functionality

How to add extra layers to a map window

How to use layers in a map window


Map window

Layers menu

Display Options - Grid Lines

Specify display options for grid lines to be displayed in a map window.

Grid lines are created based on the georeference that is used by a displayed raster map, or when no raster map is displayed, on the coordinate system used by the displayed vector map(s).

Dialog box options:

Grid distance:

Type a value for the spacing of grid lines.

It is not recommended to use a grid spacing less than the pixel size of a raster map.

Line type:

Select a line type in which the grid lines should be drawn: Single, Dot, Dash, Dash dot, or Dash dot dot. Grid lines will always be drawn as fine as possible, i.e. using one pixel on the screen and using one dot on the printer.

Color:

Select a color for the grid lines. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Custom Colors dialog box will appear.

Scale limits:

Select this check box when the grid lines should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the grid lines should be displayed. The grid lines will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that certain grid lines are only shown when using a large scale in a map window, and/or that other grid lines (other spacing) are only shown when using a small scales in a map window, etc.

Clear this check box when you wish to display the grid lines regardless of the scale of the map window.

Tip:

  • To store the contents of a map window, you need to save the map window as a map view. Open the File menu of the map window and choose the Save View or the Save View As command.

See also:

Layout editor

How to change the display options of layers in a map window


Map window

Layers menu

Display Options - Graticule

Specify display options for a graticule to be displayed in a map window.

A graticule can only be created if the map(s) displayed in the map window use a coordinate system that contains projection information. It is not yet possible to have Latitude and Longitude coordinates appear as text next to the graticule.

Dialog box options:

Graticule distance:

Type values in degrees, minutes and seconds for the spacing of the graticule.

Line type:

Select a line type in which the graticule should be drawn: Single, Dot, Dash, Dash dot, or Dash dot dot. The graticule will always be drawn as fine as possible, i.e. using one pixel on the screen and using one dot on the printer.

Color:

Select a color for the graticule. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Custom Colors dialog box will appear.

Scale limits:

Select this check box when this graticule should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the graticule should be displayed. The graticule will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that a certain graticule is only shown when using a large scale in a map window, and/or that another graticule (other spacing) is only shown when using a small scales in a map window, etc.

Clear this check box when you wish to display the graticule regardless of the scale of the map window.

Tips:

  • To obtain a graticule of:
    1 degree: use distance values 1°, 0', 0.00";
    1 minute: use distance values 0°, 1', 0.00";
    30 seconds: use distance values 0°, 0', 30.00".
  • To store the contents of a map window, you need to save the map window as a map view. Open the File menu of the map window and choose the Save View or the Save View As command.

See also:

Layout editor

How to change the display options of layers in a map window


Remove layer from map window

Map window

 Layers menu

Remove Layer

Remove a layer from the map window.

  • First, select the layer that you wish to remove in the Layer Management pane.
  • Then, either:
    • choose the Remove Layer command from the Layers menu, or
    • click the Remove Layer button [image] in the toolbar of the map window.

You can also remove a layer from the map window by selecting a layer in the Layer Management pane with the right mouse button, and then choose the Remove Layer command from the context-sensitive menu.

Tip: To temporarily not display a layer in the map window, you can also switch the layer off in the Layer Management pane.

See also:

Map window : functionality

Map window : Layer Management

Map window : toolbar

How to use layers in a map window


Display options - Raster domain Value

Display options

 Layers menu

Raster map domain Value

Specify display options for a raster map with a value domain.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the pixel values when you press the left mouse button in a map window. Clear this check box if you do not want to see pixel values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you want to see pixel values displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just want to see the map.

Representation:

Select a representation with which the map should be displayed; open the list box by clicking it. You can select one of the system representations, a user-defined representation value linked to the domain of this map, or a user-defined representation gradual. Or create a new representation value by clicking the little create button. By creating a new representation value with the Representation Value/Gradual editor, you can make the values of the map appear as if they were 'classified'; but the original values are retained.

Stretch:

In case you selected a user-defined representation value, the map is displayed in the colors as defined in that representation.

In case you selected a representation gradual, the map will be stretched and the user has to indicate the stretch range:

  • For value maps that are stored using 1 or 2 bytes per pixel value, the histogram of the map is automatically calculated when the map itself is calculated. In that case the 1% interval values of the histogram are given as the default stretch range.
  • For value maps that are stored using 4 or 8 bytes per pixel value, only the minimum and maximum values in the map are calculated when the map is calculated. Then, these minimum and maximum values are given as the default stretch range. When you want to stretch on the 1% interval, you have to calculate a histogram yourself with the Histogram operation.
  • When neither a histogram nor minimum and maximum values are available, the minimum and maximum values of the domain are given as the default stretch range.

Linear:

Choose Linear stretching to stretch the values of the map between the minimum and maximum value of the Stretch range linearly and map the result on the colors of the representation gradual.

Logarithmic:

Choose Logarithmic stretching to stretch the values of the map between the minimum and maximum value of the Stretch range logarithmically and map the result on the colors of the representation gradual.

Light, etc.:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the selected representation.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

For more information on representations, see How to use representations.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Image

Display options

 Layers menu

Raster map domain Image

Specify display options for a raster map with a domain Image.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the pixel values when you press the left mouse button in a map window.

Clear this check box if you do not want to see pixel values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you want to see pixel values displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just want to see the image.

Representation:

Select a representation with which the map should be displayed; open the list box by clicking it. You can select one of the system representations, a user-defined representation value linked to domain Image, or a user-defined representation gradual. Or create a new representation value by clicking the little create button. By creating a representation value with the Representation Value/Gradual editor, you can make the image appear as if it was sliced but the original values are retained.

Stretch:

Stretching an image results in a better contrast.

  • In case the default system representation Gray was accepted:

    • Select the Stretch check box if you want to display the image with stretching. Subsequently, specify the stretch range. By default, the 1% interval values are given. This means that 1% of the first values in the histogram and 1% of the last values in the histogram are ignored during stretching.

    Clear this check box if you want to display the image without stretching.

  • In case a representation gradual was selected:

    • The map is always stretched and the user has to specify the stretch range. By default the 1% interval values are given.

  • In case a representation value was selected:

    • The image is displayed in the colors as defined in the representation value.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the selected representation.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Class

Display options

 Layers menu

Raster map domain Class

Specify display options for a raster map with a class domain or a group domain.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the class names of pixels when you press the left mouse button in a map window. Clear this check box if you do not want to see class names.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you want to see the class names of pixels displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just want to see the map.

Attribute:

Select this check box if you want to display the map by an attribute column found in the attribute table linked to this map. Subsequently, select a column from the attribute table and select a representation for the classes, IDs or values of that column. Clear this check box if you want to display the class map itself.
The 'Attribute' check box only appears if an attribute table is linked to this map or its domain.

Representation:

Select a user-defined representation class for this map, or create a new representation with the Representation Class editor. In case you display this class map by a value attribute column, and you click the create representation button, the Representation Value/Gradual editor is opened.

Light, etc.:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the selected representation.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

For more information on representations, see How to use representations.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain ID

Display options

 Layers menu

Raster map domain ID

Specify display options for a raster map with an ID domain.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you wisht to see the IDs of pixels when you press the left mouse button in a map window. Clear this check box if you do not wish to see IDs.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you wish to see the IDs of pixels displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just wish to see the map.

Attribute:

Select this check box if you wish to display the map by an attribute column found in the attribute table linked to this map. Subsequently, select a column from the attribute table and select a representation for the classes, IDs or values of that column. Clear this check box if you wish to display the class map itself.
The 'Attribute' check box only appears if an attribute table is linked to this map or its domain.

Single Color:

Select option Single color, if you wish to display all elements in this map in the same color. Subsequently, select a color from the appearing drop-down list box. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

Multiple Colors:

Select option Multiple colors, if you wish to display the elements in this map in 7, 15 or 31 different colors or in random colors.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of previously selected colors.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

Raster maps with an ID domain do not have a representation.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Picture

Display options

 Layers menu

Raster map domain Picture

Specify display options for a raster map with a picture domain.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Raster maps with a domain Picture are displayed according to the colors in the picture.

Dialog box options:

Info:

Select this check box if you want to see the color values for Red, Green and Blue when you press the left mouse button in a map window. Clear this check box if you do not want to see color values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the colors in the picture.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Color

Display options

 Layers menu

Raster map domain Color

Specify display options for a raster map with a color domain.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Raster maps with a Color domain are displayed according to the colors defined by the map.

Dialog box options:

Info:

Select this check box if you want to see the color values for Red, Green and Blue when you press the left mouse button in a map window. Clear this check box if you do not want to see color values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the colors in the picture.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Bool

Display options

 Layers menu

Raster map domain Bool

Specify display options for a raster map with domain Bool or domain YesNo.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the pixel values when you press the left mouse button in a map window. For a domain Bool map, you will see True, False, and ? for undefined pixels; for a domain YesNo map, you will see Yes, No and ? for undefined pixels. Clear this check box if you do not want to see pixel values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you want to see the values of pixels displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just want to see the map.

True Color:

Select a color for the true pixels of this boolean map; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

Tip: The default color can be set in the Preferences, section Map window, Display (color selected for True in Bool maps).

False Color:

Select a color for the false pixels of this boolean map; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button. Pixels with the undefined value (?) are displayed in the background color.

Tip: The default color can be set in the Preferences, section Map window, Display (color selected for False in Bool maps).

Light, etc.:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the previously selected colors.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Raster domain Bit

Display options

 Layers menu

Raster map domain Bit

Specify display options for a raster map with a domain Bit.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the pixel values (0 or 1) when you press the left mouse button in a map window. Clear this check box if you do not want to see pixel values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this raster layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent raster layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

Text:

Select this check box if you want to see the values of pixels displayed as text on top of the pixels. Subsequently, select a color for the text from the appearing Text Color list box. Clear this check box if you just want to see the map.

Color:

Select a color for the true pixels of this bit map; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button. False pixels are displayed in the background color.

Tip: The default color for True can be set in the Preferences, section Map window, Display (color selected for True in Bool maps).

Light, etc.:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the previously selected color.

Create Pyramid Layers:

In case pyramid layers are not yet available for this raster map:

  • Select this check box to create pyramid layers for this raster map. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for this raster map.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map.

See also:

Map window : functionality

ILWIS objects : raster maps


Display options - Polygon map

Display options

 Layers menu

Polygon map

Specify display options for a polygon map.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you wish to see the class name, ID, or value of a polygon when you press the left mouse button on a polygon in a map window. Clear this check box if you do not wish to see information on polygon class names, IDs or values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this polygon layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent polygon layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind: For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).

Mask:

Select this check box when you only wish to display polygons with specific class name (s), identifier(s) or value(s). Subsequently, specify the mask, i.e. the class names, IDs or values of the polygons that you wish to display. For more information, see How to use masks. Clear this check box when you wish to display all polygons of this polygon map.

Boundaries only:

Select this check box if you only wish to display the boundaries of the polygons. Clear this check box if you wish to display the polygons themselves (hatched or in color) and the polygon boundaries.

Hide superfluous boundaries:

Select this check box if you wish to display only polygon boundaries that separate polygons with different names or values. When using the Attribute option, only boundaries that separate of areas with different attributes will be shown.

Clear this check box if you wish to display all polygon boundaries.

Boundary color:

Select a color for the polygon boundaries from the list box. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

Boundary width:

Specify a line width for the polygon boundaries. When you specify a boundary width of 0, no polygon boundaries are shown. Line width is expressed in screen pixels.

Attribute:

In case of Class and ID maps with an attribute table linked to the map or its domain:

Select this check box if you wish to display the map by an attribute column found in the attribute table. Subsequently, select an attribute column from the attribute table and select a representation for the classes, identifiers or values of that column. Clear this check box if you wish to display the map itself.

Representation:

This option is available for maps using a class or a value domain.

In case of a class map: Select a user-defined representation class for this map, or create a new representation with the Representation Class editor. A representation class for polygons contains colors and patterns (hatching).

In case of a value map: Select a system representation or a user-defined representation Value/Gradual for the map or create a new representation with the Representation Value/Gradual editor. By creating a new representation, you can 'classify' the map. A representation value/gradual contains colors.

Single color:

Select option Single color if you wish to display all polygons in the same color. Subsequently, select a color from the appearing list box. To create your own color, select Custom at the bottom of the drop-down list, or click the create button. Tip: The default color can be set in the Preferences, section Map window, Display (color selected for True in Bool maps).

Multiple colors:

For maps using an identifier domain: Select option Multiple colors if you wish to display the polygons of the map in 7, 15, or 31 different colors or in random colors.

Stretch:

For value maps with a representation gradual: Specify the stretch range. When a histogram is available of the map, the 1% interval values are given as default stretch range, else the 0% interval values are given as the default stretch range.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray if you wish to see the map displayed in gray tones regardless of previously selected colors.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map. In case of a value map, also the minimum and maximum values of the map are shown when these values are available, i.e. when a polygon histogram exists.

For more information on representations, see How to use representations.

See also:

Map window : functionality


Display options - Segment map

Display options

 Layers menu

Segment map

Specify display options for a segment map.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you want to see the class name, ID, or value of a segment when you press the left mouse button on a segment in a map window. Clear this check box if you do not want to see information on segment class names, IDs or values.

Note: For segment maps, the Info check box is not selected by default. If you wish to view the class names, ID, or values of segments in the map window, you have to select the Info check box yourself.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this segment layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent segment layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind: For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).

Mask:

Select this check box when you only want to display segments with specific class name(s), identifier(s) or value(s). Subsequently, specify the mask, i.e. the class names, IDs or values of the segments that you want to display. For more information, see How to use masks. Clear this check box when you want to display all segments of this segment map.

Attribute:

In case of Class and ID maps with an attribute table linked to the map or its domain:

Select this check box if you want to display the map by an attribute column found in the attribute table. Subsequently, select an attribute column from the attribute table and select a representation for the classes, identifiers or values of that column. Clear this check box if you want to display the map itself.

Representation:

This option is available for maps using a class or a value domain.

In case of a class map: Select a user-defined representation class for this map, or create a new representation with the Representation Class editor. Colors and line widths are specified in this representation for each class.

In case of a value map: Select a system representation gradual or a user-defined representation value or gradual for the map, or create a new representation with the Representation Value/Gradual editor. Colors are specified in such representations, the line width of segments can be specified at the bottom of this dialog box. By using or creating a representation value or gradual, you can make the segments appear as if they were classified.

Single color:

Select option Single color to display all segments in the same color. Subsequently, select a color from the appearing list box and specify a line width for the segments (see below). To create your own color, select Custom at the bottom of the drop-down list, or click the create button. Tip: The default color can be set in the Preferences, section Map window, Display (color selected for True in Bool maps).

Multiple colors:

For maps using an identifier or value domain: Select option Multiple colors to display the segments in this map in different colors. Subsequently, specify whether to use 7, 15, or 31 different colors or random colors.

Stretch:

For value maps with a representation gradual: Specify the stretch range. When a histogram is available of the map, the 1% interval values are given as default stretch range, else the 0% interval values are given as the default stretch range.

Line width:

In case of Single Color or Multiple Colors or in case of a Representation value/gradual, specify the line width for the segments. Line width is expressed in screen pixels.

Light, etc.:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray if you want to see the map displayed in gray tones regardless of previously selected colors.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map. In case of a value map, also the minimum and maximum values of the map are shown when these values are available, i.e. when a segment histogram exists.

For more information on representations, see How to use representations.

See also:

Map window : functionality


Display options - Point map

Display options

 Layers menu

Point map

Specify display options for a point map.

Before a map is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window. Also, once a map is displayed in a map window, you may want to change the display options of a certain layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Info:

Select this check box if you wish to see the class name, ID, or value of a point when you press the left mouse button on a point in the map window. Clear this check box if you do not wish to see information on point class names, IDs or values.

Scale limits:

Select this check box when this map should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the map should be displayed. The map will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the map regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display this point layer with a certain transparency. Any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent point layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the layer, i.e. non-transparent.

Mind: For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).

Mask:

Select this check box when you only wish to display points with specific class name(s), identifier(s) or value(s). Subsequently, specify the mask, i.e. the class names, IDs or values of the points that you wish to display. For more information, see How to use masks. Clear this check box when you wish to display all points of this point map.

Attribute:

In case of a point map with a class or ID domain and an attribute table that is linked to the map or to the domain of the map:

  • Select this check box if you wish to display the map by an attribute column found in the attribute table. Subsequently, select an attribute column from the attribute table. The attribute column may use a value domain, a class or ID domain, a bool domain, or system domain String.

    • Tip: By using the Attribute option, you will display a temporary attribute map; you can use the Attribute of point map operation to create a permanent attribute map.

  • Clear the Attribute check box if you wish to display the map itself.

Text:

Select this check box if you wish to see the class names, IDs, or values of the points displayed as text. When you show a map itself, the class names, IDs, or values of the map will appear next to your points; when you show a map by one of its attributes, i.e. when the Attribute check box above is selected, the class names, IDs, or values of the selected attribute column will be displayed next to your points.

Subsequently, you can choose a font and you can select or create a color for the text. The text will appear to the lower right of the symbols.

Clear this check box if you wish to display the points without text.

Tip: You can also create an Annotation Text object which can be based on a map; in this way you obtain all class names, IDs, or values of the points in your map, while you can edit the exact positions, fonts, font sizes, etc. of the texts later on in the Annotation Text editor.

When you selected the Text check box, click the Font button to select another font, to change the font style (bold, italic, etc.) or the font size in the following Font dialog box.

Text color:

When you selected the Text check box, select a color in which the text of the points should be displayed. Open the list box by clicking it. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button.

Representation:

For point maps with a class domain, or when showing a point map by a class attribute column, select a user-defined representation class for this map, or create a new representation with the Representation Class editor. Each class of points is displayed in its own symbol, color and size, according to the representation.

This option can be used for instance:

  • to visualize location and type cities (class point map with city types), where each type has its own colors, symbol, etc.
  • to visualize location and type of volcanoes (class point map with volcano types), where each type has its own colors, symbol, etc.

Single Symbol:

For point maps with a class domain or an ID domain, or when showing a point map by a class attribute column, select option Single Symbol when all points should be displayed by the same symbol. Subsequently, click the Symbol button.

Click the Symbol button to specify symbol type, size, color, line width and line color in which your points should be displayed.

For point maps with a class or ID domain, or when showing a point map by a class attribute column, the Symbol (Class /ID) dialog box will appear. All points will be displayed similarly (one kind of symbol, one size, one color, etc.) as specified in the Symbol dialog box.

This option can for instance be used:

  • to visualize the location of main cities simply as filled circles (ID point map with main cities);
  • to visualize the location of active volcanoes by filled delta-up symbols (class point map with one class 'volcanoes'), etc.

For point maps with a value domain, or when showing a point map by a value attribute column, the Symbol (Value) dialog box will appear. All points can be displayed similarly (one kind of symbol, one size, one color, etc.) but you also have the possibility to size the symbols proportionally to the value of the points.

This option can be used to visualize for instance:

  • population size per region as filled circles where the size of the symbol represents the size of the population. You require an ID polygon map of provinces and an attribute table with a value column containing population figures; prepare a label point map of the polygon map; link the attribute table of the polygon map to the label point map; show the point map by Attribute (option at the top of this dialog box) and select the population column. In the Symbol (Value) dialog box, select a symbol and specify how population figures should be stretched (symbol size). The population figures can be displayed next to the text. Add the polygon map to the map window, choose Boundaries only.

Symbols by Attributes:

For point maps with an ID domain and an attribute table linked to the map or to the domain: select the By Attributes option button to display points according to the symbols of a representation class linked to a class column in the attribute table. Optionally, you can overrule the settings in the representation, such as the rotation, color, and size of symbols by using more columns from the attribute table. When you click the Details button, the Symbols by Attributes dialog box will appear.
This option can be used for example:

  • to visualize cities by type based on the number of inhabitants, for instance cities with more than 1 million inhabitants as larger filled red squares, cities with 500,000 to 1 million inhabitants as smaller filled red squares, and cities with less than 500,000 inhabitants as filled black circles. You require an ID point map with cities and an attribute table with a value column containing the number of inhabitants of each city; classify the inhabitants column of so that you obtain a class attribute column in attribute table; prepare a representation class for this class column, each class may be represented by its own symbol, color, size, etc. The names of the cities can be displayed next to the points, e.g. by creating an Annotation Text object based on the point map.
  • to visualize type and amount of mining activities; ID point map with mining locations: mining categories as gold, silver and diamonds (class column in attribute table), each category represented by different symbols and colors (according to the representation of this class column), and different symbol sizes according to a production column in the attribute table;

Symbols as Arrows:

For point maps with an ID domain and an attribute table linked to the map or to the domain: select the Arrow option button to display points as arrows with a direction and optionally a certain length, line width, and color; all according to attribute columns in the attribute table. When you click the Details button, the Symbols as Arrows dialog box will appear.
This option can be used to visualize attributes with a direction such as direction of winds, sea currents or magnetic fields.

Symbols as Graphs:

For point maps with an ID domain and an attribute table linked to the map or to the domain: select the Graph option button to display for each point, (multiple) attributes visualized as pie charts, a bar graphs, line graphs, composed vertical bars, or as volume cubes. When you click the Details button, the Symbols as Graphs dialog box will appear.
This option can be used for example:

  • to visualize for each point (e.g. per city, province or country), the proportions of various categories (e.g. number of children going to various school types, areas of various crops) as pie charts;
  • to visualize for each weather station, the amount of rainfall per time period as bar graphs;
  • to visualize for each point, value attribute information (e.g. temperature) over time as line graphs;
  • to visualize for each point, agricultural production (various categories) as volume cubes, etc.

The first text line in this dialog box states the map type and the map name. Furthermore, the dialog box shows the description and domain of the map. In case of a value map, also the minimum and maximum values of the map are shown when these values are available, i.e. when a point histogram exists.

See also:

Map window : functionality


Symbols for Value point maps

Symbol

Point maps with a value domain

Specify symbol type, color, line width and line color for all points. The size of symbols is either the same for all points (no stretch) or proportional to the point values (stretch).

This dialog box appears when you open a value point map, or display a point map by a value attribute column. In the Display Options - Point Map dialog box, you clicked the Symbol button.

Dialog box options:

Symbol Type:

Select the ILWIS Simple symbols or any installed symbol font; open the list box by clicking it. Windows symbol fonts are for example Symbol, Wingdings, etc.

In case of ILWIS Simple symbols:

Symbol ...: | Select a symbol type from the list box: circle, square, diamond, delta up, delta down, plus, minus, or cross.
Fill Color: | For circle, square, diamond, delta up, delta down: select a color to fill the symbols with; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list. To obtain symbols which are not filled, select Transparent from the drop-down list.
Line width: | Specify a value for the line width of the symbols. Line width is expressed in screen pixels.
Color: | Select a color to draw the (outer lines of) symbols; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

In case of a Windows symbol font:

Symbol box: | In case of a Windows symbol font, select a symbol from the symbol box by clicking it.
Color: | Select a color to draw the symbols; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

For all symbol types:

Stretch: | Select this check box if you want to size the point symbols proportionally to the point values. Specify the stretch range; by default, the 0% interval values are given. When you want to add a legend later on, it is advised to choose round values. Clear this check box, if you want to display all points with the same size.
Size: | In case of no stretching: Specify a value for the symbol size of all points. In case of stretching: Specify a symbol size for the smallest value in the stretch range and a symbol size for the largest value in the stretch range.
Linear, Logarithmic: | In case of symbol size stretching, choose between Linear or Logarithmic stretching.
Radius, Area: | In case of symbol size stretching, choose to make the point values proportional to the Radius or to the Area of the symbol.

Tip:

When point values are stretched proportionally to symbol sizes, you can add a legend to this point map. Choose Add Annotation, Legend from the Layers menu in the map window. The Display Options - Legend (point values as symbols) will appear.

See also:

Display Options - Point map (dialog box)


Symbols for Class and ID point maps

Symbol

Point maps with a class or ID domain

Specify symbol type, size, color, line width and line color in which all points should be displayed. You can use simple symbols or use any installed True Type symbol font.

This dialog box appears when you open a class or ID point map, or when you display a point map by a class or ID attribute column, and you choose to show the points by the same kind of symbols. In the Display Options dialog box of a point map, you selected the Single Symbols option and/or clicked the Symbol button.

Dialog box options:

Symbol type:

Select Simple symbols or any installed True Type symbol font; open the list box by clicking it. Windows symbol fonts are for example Symbol, Wingdings, etc; you can also select an installed Corel Draw symbol font, see also the Tip below.

In case of symbol type Simple:

Symbol ...: | Select a symbol type from the list box: circle, square, diamond, delta up, delta down, plus, minus, or cross.
Size: | Specify a value for the symbol size. Symbol size is expressed in points (1/72 inch), i.e. as choosing a font size in word processing packages.
Fill Color: | For symbols circle, square, diamond, delta up, delta down: select a color to fill the symbols with; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list. To obtain symbols which are not filled, select Transparent from the drop-down list.
Line width: | Specify a value for the line width with which the selected symbols should be drawn. Line width values are expressed in screen pixels (for on the screen) and in dots (for on the printer).
Color: | Select a color to draw the (outer lines of) symbols; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

In case of a Windows symbol font:

Symbol box: | Select a symbol from the symbol box by clicking it.
Size: | Specify a value for the symbol size. Symbol size is expressed in points, i.e. as choosing a font size in word processing packages.
Color: | Select a color with which symbols should be drawn; open the list box by clicking it. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.
Rotation: | Type a value for the rotation of the symbols. Rotation is expressed in degrees (anti-clock wise).

Mind:

These settings are not automatically stored. To store the display of the point map, you can save the contents of the map window as a map view.

Tip:

To use for instance a Corel Draw symbol font, first make sure that the font is registered by Windows:

  • In the Windows Settings, choose Control Panel, and choose Fonts. A list of installed fonts will appear.
  • When the desired symbol fonts are not yet in this list, choose File, Install New Font. The Add Font dialog box will appear.
  • Specify the Corel Draw/Symbols directory, select the fonts you want to use and click OK.

Now that the symbol fonts are registered by Windows, you can use them in ILWIS as well.

See also:

Display Options Point map (dialog box)


Symbols by attributes (ID point map with attr. table)

Symbols by attributes

Point maps with ID domain and attribute table

When the attribute table of a point map with an ID domain contains a class column, you can display the points by the representation of the classes. A representation class which can be used by the class column will provide the basis of how point symbols will be represented. In the representation class, you can already select symbols, colors, sizes and rotations for each class of points.

However, by choosing the Symbols as Attributes option, you can overrule some of the representation settings by letting other attribute columns determine the rotation, color, and sizes of symbols. Furthermore, you can select a column from which the text will be displayed next to the point symbols.

This dialog box appears:

  • when you open a point map with an ID domain, and an attribute table is linked to the map or to the domain,
    and in the Display Options dialog box of a point map, you selected the Symbols By Attribute option and clicked the Details button.

Dialog box options:

Class:

Select a class column in the attribute table. All representations which fit the domain of this column can be used as the basis.

Representation:

Select a representation class which will serve as a starting point to show the point symbols.

Rotation:

Select this check box when you want to use an attribute column to determine the rotation of point symbols. When this check box is selected all rotations as specified in the representation class will be overruled. Rotations are specified in degrees.

Clear this check box when the rotations of the representation class should be used for the point symbols.

Color:

Select this check box when you want to use an attribute column to determine the color of point symbols. When this check box is selected all colors as specified in the representation class will be overruled.

Clear this check box when the colors of the representation class should be used for the point symbols.

Stretch:

Select this check box when the sizes of point symbols should be proportional to the values in an attribute column. Subsequently, select a value attribute column and specify the stretch range and minimum and maximum symbol sizes below. When this check box is selected, all symbol sizes as specified in the representation class will be overruled.

Clear this check box when all point symbols should be displayed in the same size; then, specify the desired size in the Size text box below.

Stretch (min, max):

Specify the stretch range; by default, the 0% interval values are given of the selected attribute column. These values can generally be accepted.

Size (pt):
  • In case of no stretching: select this check box when all symbols should be displayed in one size and type a size value.

    • Clear this check box when you want to use the symbol sizes as specified in the representation class.

  • In case of symbol size stretching on the basis of values in an attribute column: specify symbol sizes for the smallest value in the stretch range and a symbol size for the largest value in the stretch range. The minimum value in the stretch range will thus be displayed with the minimum symbol size and the maximum value in the stretch range will be displayed in the maximum symbol size.

Linear, Logarithmic:

In case of symbol size stretching, choose between Linear or Logarithmic stretching. You can use Logarithmic stretching when the values in the selected stretch column are very different from each other, i.e. when some values are very large while others are very small.

Radius, Area:

In case of symbol size stretching, choose whether the sizes specified for the symbols should refer to the radius of the symbols or to the areas of the symbols. You can select the Radius option to make differences between various symbol sizes more pronounced.

Text:

Select this check box when you want to show the texts of a column in the attribute table next to your symbols. You can select any column of domain type class, ID, value or String. Texts will always appear to the lower right of a symbol.

Clear this check box when you do not want to show texts of an attribute column next to your symbols. You can then for instance select the Text check box in the Display Options Point Map dialog box to obtain the ID texts of the domain of your point map next to your symbols.

Tip:

To display texts next to point symbols, you can also create an Annotation Text object based on the point map itself or based on an attribute map of the point map. Display your point map with the desired symbols and add the annotation text layer to the map window. You can then easily (re-)position the texts in the text layer, choose fonts, text sizes, etc. in the Annotation Text editor.

See also:

Display Options Point Map (dialog box)


Symbols as arrows (ID point map with attr. table)

Symbols as arrows

Point map with ID domain and attribute table

For an ID point map with an attribute table which contains a column with directional attribute information, specify how the directional attributes should be represented as arrows. The length, thickness and colors of arrows can also be specified by choosing attribute columns.

This dialog box appears:

  • when you open a point map with an ID domain, and an attribute table is linked to the map or to the domain,
    and in the Display Options - Point Map dialog box, you selected the Arrow option and clicked the Details button.

Dialog box options:

Color:

Select this check box when the color of the arrows should be determined by a column in the attribute table of your ID point map. You can select a class column, or a column with a Picture domain or the Color domain. When you want to add a legend for the arrows later on, you should select a class column.

Clear this check box when you want to use default colors; the Windows text color will be used.

Length:

Select this check box when the length of the arrows should be determined by a column from the attribute table of your ID point map.

You can select any value column. You can for instance select a column containing wind speeds. Clear this check box when you want to use default arrow length 10.

Line width:

Select this check box when the line width of the arrows should be determined by a column from the attribute table of your ID point map.

You can select any value column. You can for instance select a column containing wind speeds.
Clear this check box when you want to use default length 0.

Direction:

Select the column in the attribute table which contains the directions of the arrows. You can select any value column; direction values of 0 or 360 will result in an arrows pointing to the North, a direction value of 90 will result in arrows pointing to the East. Values larger than 360 are also allowed (modulo 360).

Tip:

When points are displayed as arrows, and when you selected to use a class column for the color of the arrows, you can add a legend to this point map. Choose Add Annotation, Legend from the Layers menu in the map window. The Display Options - Legend (symbols as arrows) dialog box will appear.

See also:

Display Options Point Map (dialog box)


Symbols as graphs (ID point maps with attr. table)

Symbols as graphs

Point maps with ID domain and attribute table

When the attribute table of an ID point map contains comparable value columns of various categories, specify whether and how, for each point, these values should be represented as pie charts, bar graphs, composed vertical bars, or as volume cubes.

Furthermore, when the attribute table of an ID point map contains comparable value columns which refer to different time periods, specify how, for each point, these values should be represented as line graphs.

You have to select a graph type and select multiple comparable value columns from which the graphs will be constructed. Furthermore, you can specify the colors to be used in the graphs, total size of the graph symbols, etc.

This dialog box appears:

  • when you open a point map with an ID domain, and an attribute table is linked to the map or to the domain,
    and in the Display Options dialog box of a point map, you selected the Graph option and clicked the Details button.

Dialog box options:

Pie chart:

Categories will be represented by colored wedges in pies. For each ID, the values of the selected columns (amounts, percentages, etc.) determine the size of a wedge. The total amount of all categories can represent the total size of the pie.

Bar graph:

Categories will be represented by colored bars next to each other. For each ID, the values of the selected columns (amounts) determine the length of the bars.

Line graph:

Values of subsequent time periods will be connected by a line of a certain color. For each ID, a line graph will be constructed from the values of the selected columns.

Composed bar:

Categories will be represented by colored bars on top of each other. For each ID, the values of the selected columns (amounts) determine the length of parts in the bar.

Volume cubes:

Categories will be represented by colored cubes next to each other. The values of the selected columns (amounts) determine the volume of a cube.

Stretch:

Check box for pie charts only: select this check box when the total size of the pie charts should represent the total amount of all variables depicted in the pie charts. Subsequently, select a value column from the attribute table and specify the stretch range and symbol sizes below. You can select a column which contains the total values of all columns which you want to show in the pie charts. In case of a label point map of a polygon map, you can select a column which contains the area values of the polygons.
Clear this check box when the total size of all pie charts should be the same; then, specify the desired size in the Size text box below.

Stretch (min, max):

For pie charts when you selected the Stretch check box: by default the minimum and maximum values of the column which you selected above are displayed. The minimum stretch value specified here will be used to draw pie charts of minimum size, and the maximum stretch value will be used to pie charts of maximum size as specified in the Size text boxes below. The default values can usually be accepted.

For other graph types: type a minimum and maximum value (a range in which the values of all selected columns fit) which you want to use to size the graph symbols.
The minimum stretch value specified here will always be used for graph symbol size 0. It is therefore advised to specify a minimum stretch value which is smaller than the actual occurring minimum value in your selected columns.
The maximum stretch value specified here will used to draw graphs of maximum size or height as specified in the Size or Height text boxes below, i.e. the maximum height of bars in bar graphs, maximum length of Y-axis in line graphs, maximum size of parts in vertical composed bars, or maximum size of edges of cubes in volume cubes graphs.

Size (pt):

For pie charts with a fixed size (stretch check box off): specify one value for the size of all your pie charts.

For pie charts where the total size depends on a column (stretch check box on): specify values for the minimum size and the maximum size of your pie charts.

For volume cubes: specify a value for the maximum length of an edge of your cubes. The maximum value as specified in the Stretch boxes will be represented by a cube with edges of this size.

Radius, Area:

For pie charts where the total size depends on a column (stretch check box on): Select whether the sizes of the pie charts should refer to the radius of the pie charts or to the area of the pie charts. You can select the Radius option to make differences between various symbol sizes more pronounced.

Height (mm):

For bar graphs: type a value for the maximum height of the bars. The maximum value as specified in the Stretch boxes will be represented by a bar of this height.

For composed vertical bars: type a value for the maximum height of a part of the vertical bar. The maximum value as specified in the Stretch boxes will be represented by a part in the bar of this height.

For line graphs: type a value for the length of the Y-axis of the graphs. The maximum value as specified in the Stretch boxes will be represented by an Y-axis of this length.

Height values are specified in mm.

Width (pt):

For bar graphs: type a value for the width of one bar.

For line graphs: type a value for the length of the X-axis of the graphs.

For composed vertical bars: type a value for the width of the bar.

Line color:

For line graphs: select a color for line in the graphs; the line will connect the values of all selected columns in the line graph.

For pie charts, bar graphs and composed vertical bars: optionally, select a color which will be used to draw outer lines around the elements of the graphs and around the complete graph itself.

For volume cubes: select a color which will be used to depict the shape of the cubes.

To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button: the Custom Colors dialog box will appear. Lines will always be drawn as fine as possible, i.e. using 1 pixel on the screen and using 1 dot on the printer.

Axes color:

For line graphs only: select a color for the X- and Y-axes of the graphs.

To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button: the Custom Colors dialog box will appear. Axes will always be drawn as fine as possible, i.e. using 1 pixel on the screen and using 1 dot on the printer.

Column selection:

The left hand list box lists all available value columns in your attribute table.
The right hand list box lists the selected columns from which the graphs will be constructed. The selected columns should contain comparable values for different categories (for pie charts, bar graphs, composed vertical bars, or volume cubes) or comparable values for a number of time units (for line graphs).

Select one or multiple columns (press and hold the Shift key down while selecting columns) in the left hand list box, and click the > button. The selected column(s) will be added to the right hand list box and will be preceded by a default color.
To change the color of a column or category, select a column in the right hand list box and click the Color button. To change the order of columns, you can drag a column in the right hand list box to another position. To exclude a selected column, select a column in the right hand list box and click the < button.

Color button:

For all graph types except line graphs: click the Color command button to change the color in which a category will be represented in the graphs. A Color dialog box will appear with the usual list of colors and a button to create custom colors.

For line graphs, the color of the line is specified by the option Line color.

Tips:

  • When points are displayed as pie charts, bar diagrams, composed bars, or volume cubes, you can add a color legend to this point map. Choose Add Annotation, Legend from the Layers menu in the map window.
    For more information, see the Display Options - Legend (symbols as graphs, color) dialog box.
  • When points are displayed as stretched pie charts, bar diagrams, composed bars, you can also add a size legend to this point map. For more information, see the Display Options - Legend (symbols as graphs, size) dialog box.

See also:

Display Options Point Map (dialog box)


Display options - Map list as color composite

Display options

 Layers menu

Map list as color composite

Displays three raster images, or other raster maps with a value domain, that are part of your map list as an interactive color composite. One map will be displayed in shades of red, one in shades of green, and one in shades of blue. Furthermore, specify the stretch intervals to be used for each of the selected maps.

This dialog box appears:

  • when you choose Show Map List as Color Composite from the Operations, Visualization menu in the Main window, and subsequently select a map list,
  • when you choose Open from the File menu in the Main window, and subsequently select a map list which contains raster maps with the Image domain or a value domain,
  • when you double-click the [image] ColorComp item in the Operation-list and subsequently select a map list,
  • when you are creating a sample set and your graphics board is configured to use more than 256 colors; the interactive color composite will be used as a background during sampling,
  • when you double-click a map list in a Catalog, and when the map list contains raster maps with the Image domain or a value domain, and you click the Open as Color Composite button [image] in the map list editor,
  • when you use the right mouse button on a map list in a Catalog, and select Visualization, as Color Composite from the context-sensitive menu,
  • when a map window already displays an interactive color composite, and double-click the map list in the Layer Management pane of the map window,
  • when a map window already displays an interactive color composite, and you choose Display Options from the Layers menu in the map window,
  • when a map window already displays an interactive color composite, and you press the right mouse button in the map window and select the map list from the context-sensitive menu.

Dialog box options:

Info:

Select this check box if you wish to see the values of the three selected bands as (band 1, band 2, band 3) when you press the left mouse button in a map window. Clear this check box if you do not wish to obtain info when pressing the left mouse button.

Scale limits:

Select this check box when this color composite should be displayed or hidden depending on the scale specified in the scale control of the map window; specify the scale range within which the color composite should be displayed. The color composite will be automatically hidden if the scale of the map window is outside this range.

With this option you can achieve for instance, that very detailed maps (e.g. on cadastral units) are only displayed when using a large scale in a map window, or that very general maps which depict overviews are only displayed when using a small scales in a map window, etc.

Clear this check box when you wish to display the color composite regardless of the scale of the map window.

Transparent:

Select this check box when you wish to display the interactive color composite with a certain transparency. Any layer that has been added to the map window before, e.g. a shadow map, will remain partly visible through the transparent color composite layer. Subsequently, type a value for the transparency rate (percentage): value 1 means almost not transparent, and value 99 means almost totally transparent.

Clear this check box to just display the color composite, i.e. non-transparent.

Mind:

  • For Transparency, the Display Settings of your screen must be set to 32 bit (True Color).
  • When the map window already displays another raster map, you can only add raster maps which have the same georeference. You can use the Resample operation to transform a raster map to a desired georeference.

RGB:

Select this option when one band should be displayed in Red, one in Green and one in Blue.

YMC:

Select this option when the three selected bands should be displayed as Yellow, Magenta, Cyan.

HSI:

Select this option when the three selected bands should be displayed as Hue, Saturation, Intensity.

When using the RGB option:

Red band:

Select a map from the map list to be displayed in shades of red.

Green band:

Select a map from the map list to be displayed in shades of green.

Blue band:

Select a map from the map list to be displayed in shades of blue.

When using the YMC option:

Yellow band:

Select a map from the map list to be displayed in Yellow.

Magenta band:

Select a map from the map list to be displayed in Magenta.

Cyan band:

Select a map from the map list to be displayed in Cyan.

When using the HSI option:

Hue band:

Select a map from the map list which will be used for Hue.

Saturation band:

Select a map from the map list which will be used for Saturation.

Intensity band:

Select a map from the map list which will be used for Intensity.

Stretch ranges:

Specify for each selected map the range of values that should be taken into account. By default, the 1% intervals are listed, i.e. 1% of the values on both sides of a map's histogram will be ignored.

Notes:

  • For more information on color composites, refer to Color Composite : algorithm.

  • For more information on YMC or HSI conversion formulas, refer to Color Separation : algorithm.

Light, etc:

Select option Light to display this map a little lighter than normal, select option Normal to display this map with normal brightness, or select option Dark to display this map a little darker than normal. Select option Gray to display this map in gray tones regardless of the colors in the picture.

Create Pyramid Layers:

In case pyramid layers are not yet available for the raster maps of this map list:

  • Select this check box to create pyramid layers for all raster maps in the map list. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for the raster maps in the map list.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The interactive color composite will be displayed in a map window.

Tips:

  1. To modify a displayed interactive color composite:
    • double-click the map list in the Layer Management pane of the map window,
    • open the Layers menu in the map window, choose Display Options and select the map list, or
    • use the right mouse button in the map window and select the map list from the context-sensitive menu.

    This Display Options dialog box will appear again. You can change the coloring method, select other bands and/or change stretch ranges.

  2. An interactive color composite is very suitable to be used during sampling and on-screen digitizing as you can easily change the bands to be used in the color composite and the stretch ranges of the bands by changing the display options of the map list. This will make different features in the bands visible in the map window.
  3. To add extra layers to the map window such as segment maps, point maps etc., select the Add Layer command from the Layers menu in the map window.
  4. You can save the contents of the map window as a map view: choose the Save View command from the File menu in the map window. You can also click the Save button in the toolbar of the map window.
  5. When you want to create a permanent color composite, which can for instance be used as a drape over a 3D model, choose Color Composite from the Operations, Image Processing menu.

See also:

How to create color composites

ILWIS objects : map lists

Show map list as color composite

Color Composite (operation)

Color Separation : algorithm


Display options - Map list as slide show

Display options

 Layers menu

Map list as slide show

Specify how fast all raster maps in a map list should be displayed in the map window as a slide show. Showing a map list as a slide show is especially suitable when a map list contains a time series.

This dialog box appears:

  • when you started a slide show and subsequently specified the Display Options of one of the raster maps in the map list.

Dialog box options:

Refresh Rate (/min): | Select the number of raster maps you want to see per minute.
Display Options: | Click this button to return to the Display Options - Raster Map dialog box to specify or change the display options for all raster maps in the map list. In the Display Options Raster dialog box, the information is shown about the first or the currently displayed map.

When everything is OK, the slide show is started.

Tips:

  • When the refresh rate is set to zero, it means that the maps will not be refreshed automatically. Press the Redraw button [image] in the toolbar of the map window (or Ctrl+R) to show the next slide.
  • When the map list contains value raster maps and you are not satisfied with the selected stretch range that is applied on all maps in the map list when running the slide show, you can easily adjust this stretch range by pressing the Display Options button in this Display Options - Map List as Slide Show dialog box.

See also:

Show a map list as a slide show

ILWIS objects : map lists


Display options - 3D grid

Display options

3D Grid

Specify how the 3D view should be drawn in a map window, using your georeference 3D.

  • When you already created a georeference 3D, the map window will directly display a 3D view using grid lines and/or a raster drape. In the map window you can add other vector maps to the 3D view in the usual way.
  • When you create a 3D view for the first time, you probably have to modify the parameters of the georeference 3D with the georeference 3D editor. The georeference 3D editor can be started from within the map window (see below).

Your Digital Elevation Model can be drawn in three dimensions:

  • by using 3D grid lines in X and Y directions,
  • by using a raster map draped over your height values,
  • by using both a raster map draped over your height values, and 3D grid lines.

Dialog box options:

Grid:

Select this check box to see 3D grid lines that follow the height values of your DEM raster map. Clear this box if you do not want to see grid lines.

Grid distance:

Specify a distance between the grid lines. When the distance between the grid lines is decreased, you obtain a more accurate representation of your DEM but drawing speed in the map window will decrease as well.

Color:

Select a color for the grid lines. To create your own color, select Custom at the bottom of the drop-down list, or click the create button.

Raster Drape:

Select this check box if a raster map should be superimposed on your height values. Subsequently, select the name of a raster map in the list box or drag a raster map directly from the Catalog into this box.

Pixel steps:

To speed up the display of the raster drape, specify an aggregation factor for the pixels of the raster map that will be superimposed.

When you specify a pixel step value of 3, every block of 3 by 3 pixels of the input map is grouped into one output display element.

When you specify a pixel step value of 1, all pixels of the raster map are displayed but this will slow down the display.

When you click the OK button, the 3D grid lines and/or the raster drape are displayed in a map window.

When you already specified parameters for the georeference 3D in an earlier session, and the 3D view is OK, you can add other vector data layers (point maps, segment maps, etc) to the map window. To save the 3D view, store the map window as a map view.

To start editing the 3D view, open the Edit menu in the map window and select the Georeference command. The Georeference 3D editor will be opened. In the editor, you can make sure that your complete study area falls inside the view, that you look into the terrain from the right angle, that height differences are clearly displayed, etc.

Tips:

  • To redraw a 3D view, click the Redraw button in the toolbar of the map window, or press Ctrl+R on the keyboard.
  • To permanently display a raster map with a georeference 3D, use the Apply 3D operation.

Next dialog box:

Georeference 3D editor : Edit


Display options - Stereo Pair as Anaglyph

Display options

 Layers menu

Stereo Pair as Anaglyph

Specify display options for a stereo pair that you wish to show as an anaglyph in a map window.

Before the stereo pair is displayed as an anaglyph in a map window, you have to answer some questions on how the stereo pair should be displayed. Also, once maps are displayed in a map window, you may wish to change the display options of a layer:

  • from the Layers menu in a map window, choose the Display Options command, then select a layer from the cascading menu, or
  • click the right mouse button in the map window, choose the Display Options command from the context-sensitive menu, and select a layer from the cascading menu, or
  • double-click a layer in the Layer Management pane of a map window.

Dialog box options:

Red - Green:

Select the Red-Green option, if you wish to view the anaglyph with Red-Green glasses.

Red - Blue:

Select the Red-Blue option, if you wish to view the anaglyph with Red-Blue glasses.

Left Range:

Optionally, stretch the values of the left photograph/image to enhance the contrast in the image.

By default, the 1% interval is used for stretching.

Right Range:

Optionally, stretch the values of the right photograph/image to enhance the contrast in the image.

By default, the 1% interval is used for stretching.

Create Pyramid Layers:

In case pyramid layers are not yet available for the (output) raster maps of the stereo pair:

  • Select this check box to create pyramid layers for the (output) raster maps of the stereo pair. Pyramid layers speed up the display of large raster maps in a map window.
  • Clear this check box if you do not wish to create pyramid layers for the raster maps.

For more information on pyramid layers, see ILWIS objects : Raster maps - Pyramid layers.

The first text line in this dialog box states the object type (stereo pair) and the object name. Furthermore, the dialog box shows the description of the stereo pair.

Tips:

  • As the calculated output images of the stereo pair may have a very large file size, it is advised to create Pyramid Layers for both output raster maps. This will speed up display in the map window.
  • In order to show the stereo pair as an anaglyph, the output images of the stereo pair must use the Image domain or another value domain. To convert a map with the Color domain to the Image domain, you can use the Color Separation operation; choose option Intensity. See also How to change the domain of a map.

See also:

Map window : functionality

ILWIS objects : stereo pairs


Map window

 Layers menu

Background color

Select a color for the undefined parts of map(s) displayed in a map window. By default, undefined parts of maps are displayed as white.

Everything in the map(s) which is undefined is considered as background, i.e.:

  • everything which does not have a class name or an ID as defined in the class domains or ID domains as used by the map(s), and
  • everything that has an undefined value according to the used value domains.

Dialog box options:

Background:

Select a color from the drop-down list box. To create your own color, select Custom at the bottom of the list or click the little create button.

Tip: The color of the map window background itself, i.e. the space outside the map(s) displayed in a map window (by default dark gray), can be changed by adapting the Windows Display/Appearance Settings. On the Appearance tab of the Windows Display Properties sheet, choose another color for Application Background.

See also:

Map window : functionality


Double-click action in a map window

Map window

 Layers menu

Double-Click Action

Select the action to be performed when double-clicking a mapping unit in a domain Class map or an element in domain ID map which is displayed in the map window. The double-click action works on point, segment, polygon and raster maps.

First, you must make sure that the Info check box has been selected for the data layer you wish to use. You can select the Info check box in the layer's Display Options dialog box.

On a double-click, it is attempted to find the (defined) class name or ID of the mapping unit that was double-clicked. When multiple data layers with a selected Info check box are displayed, all data layers will be searched from top to bottom. You can see the class name or ID that will be found by pressing the left mouse button in the map window (Info).

Attributes:

Select this option to view and/or edit the attributes of a mapping unit or element when you double-click it. The map should have a Class or an ID domain, and an attribute table should be linked to the map or to the domain of the map.

If a class name or an identifier is found, then the attributes of this class or identifier are shown in a separate window. You can also edit the attributes there. If no class name or ID is found, or if no attribute table is found nothing happens.

Representation:

Select this option to edit the representation (colors, line width, patterns, etc.) of a mapping unit when you double-click it. The map should have a Class domain.

If a class name is found, then an Edit Representation item dialog box appears in which you can select another color, etc. for the class. Changes will be directly applied in the map window. If no class name is found, nothing happens.

Execute Action:

Select this option to execute an action when you double-click a certain mapping unit or element in a displayed map. The map should have a Class or ID domain, and an attribute table should be linked to the map or to the domain of the map. Furthermore, the attribute table should contain a column named Action (using the String domain).

In this Action column, and for the classes or the ID which should execute a certain action when double-clicked in a map window, you should have specified:

  • the map name or the table name (including path and extension .MPR, .MPA, .MPS, .MPP, .TBT) that should be opened, or
  • the file name of the GIF image, picture, sound or video (including path and extension) that you wish to see/hear.

For any registered file type in Windows, the program will be used that is specified for the default 'Open' action of that registered file type (for more information, see the Windows Help). Native ILWIS extensions are automatically registered to be opened with ILWIS. If, on a double-click, a class name or identifier is found, then the specified map, table, GIF image, bitmap, photograph of the site (.TIF etc.) will be shown, or the specified sound or video will be played, etc.

See also:

Map window : functionality (advanced)


Zoom in on maps

Map window

 Options menu

Zoom in

Zooms in on a spot or an area within a map window. The Zoom In command is also available in the Pixel editor, Polygon editor, Segment editor, Point editor, Georeference Tiepoint editor, Sample set editor and the Layout editor.

To zoom in on maps, first:

  • click the Zoom In button [image] in the toolbar, or
  • press the right mouse button in a map window and choose Zoom In from the context-sensitive menu, or
  • from the Options menu, choose the Zoom In command.

The mouse pointer changes into a magnifying glass with a large plus inside, then:

  • click somewhere in the map, to zoom in on a certain position with a factor 2, or
  • drag a rectangle with the mouse pointer from one point of interest to another, to zoom in on the area of interest (any zoom factor).

Tips:

  1. To zoom in, you can also press Ctrl+I on the keyboard: ILWIS will automatically zoom in at the center of the window with a factor 2.
  2. When zoomed in, you can use the Pan button [image] to roam through the map(s); you can also use the scroll bars or some keyboard keys (see below).
  3. The overview window in a map window, may help to orientate yourself when zoomed in; you can also use the overview window to easily zoom in on a certain area.
  4. Whether the shape of the map window changes or not when zooming in, depends on whether the command Adjust Window Size on the Options menu of the map window is marked or not.
  5. To display a map without any automatic zooming, select the No Zoom command on the Options menu.

Scrolling by keyboard:

When you zoom in on a map, scroll bars will appear at the right and bottom side of the map window. You can use the scroll bars in the normal way with the mouse, but you can also use the following key combinations:

  • PageUp, PageDown, Home, or End

    • to scroll up, down, to the left or to the right, or

  • Ctrl+PageUp, Ctrl+PageDown, Ctrl+Home and Ctrl+End

    • to scroll vertically to the top line, bottom line, and to scroll horizontally to the first column and last column.

To move the mouse pointer exactly one screen pixel up, down, to the left, or to the right, you can use the Arrow keys on the keyboard.

See also:

Map window : functionality


Map window

 Options menu

Measure distance

Measure the distance between two selected locations (in meters) and the direction or angle (in degrees) with respect to the North.

The Measure Distance function uses the coordinate system that is used by a map window:

  • when one or more raster maps are displayed in a map window, the map window uses the coordinate system of the georeference of the raster map(s);
  • when only vector maps are displayed in a map window, in principle the map window uses the coordinate system of the first vector map;
    • however, for vector maps, if you added another coordinate system or another georeference to the map window, by dragging or by choosing Coordinate System from the Options menu,
      • the newly added coordinate system will be used.

To start the Measure Distance function:

  • Choose Measure Distance from the Options menu in a map window, or
  • click the Measure Distance [image] button in the toolbar of the map window.

When the mouse pointer appears as a pair of compasses:

  1. locate the mouse pointer at the start position from which you wish to measure;
  2. press and hold down the left mouse button;
  3. move the mouse pointer to the end position; while moving the mouse pointer, the distance is continuously displayed;
  4. then, release the left mouse button.

Results in the Measure Distance message box:

From:

Shows the XY-coordinate or the LatLon-coordinate of the start position.

To:

Shows the XY-coordinate or the LatLon-coordinate of the end position.

Distance on map:

Shortest distance in meters between start position and end position, calculated in a plane (Euclidean distance).

Azimuth on map:

Angle between the line from start position to end position and the XY North of the map (in degrees, clockwise). Tip: You can show the XY-North of a map by adding grid lines to the map window.

  • For North oriented maps, e.g. raster maps with a georef corners, and by default for all vector maps:
    • Start | End | Azimuth
South | North | 0
North | South | 180
West | East | 90
East | West | 270
  • For satellite images with a georef tiepoints, etc.: the map North can be located anywhere.

Ellipsoidal Distance:

Shortest distance in meters (or kilometers) between start position and end position, calculated over the ellipsoid.

  • In case the distance is larger than 800 km, the distance will be calculated over the sphere, using the current equatorial radius.
  • Also, when system coordinate system LatLon is used, which has no ellipsoid, the distance will be calculated over the sphere (spherical distance).

Ellipsoidal Azimuth:

Angle between the line from start position to end position and the geographic North of the map (in degrees, clockwise). Tip: You can show the geographic North of a map by adding a graticule to the map window.

Scale Factor:

Indicator of scale distortion, calculated as Distance on map / Ellipsoidal Distance.

For example, when the Scale Factor is 1.001500, it means that the measured Distance on map should be divided by 1.001500 to obtain the true distance (Ellipsoidal Distance).

The Scale Factor depends on the position in the map and on the parameters of the map's projection.

  • As the Scale Factor is calculated over the total measured distance, the Scale Factor figure should be regarded as an average.
  • The Scale Factor is therefore most reliable when measuring very short distances (in theory, an infinitely small distance should be measured).
  • In literature, Tissot indicatrices are used to graphically represent scale factors in different directions and at different positions in a projected map.
  • For maps with a conformal projection, the Scale Factor is independent of the direction of measurement.
  • For other types of projections, the Scale Factor is generally not the same when measuring for instance in North-South direction or in East-West direction, etc.

Meridian Convergence:

The difference between the geographic North and the XY-North of the map, calculated as Ellipsoidal Azimuth - Azimuth on map (degrees).

  • The Meridian Convergence is positive when the XY-North points more to the East than the geographic North.
  • The Meridian Convergence is calculated for the starting position.

LatLon-coordinates, Ellipsoidal or Spherical Distance, and Ellipsoidal or Spherical Azimuth are shown when the geographic coordinates are available, i.e.:

  • when the coordinate system has a projection (coordinate system of type Projection),
  • when the coordinate system is system coordinate system LatLon or LatLonWGS84, or
  • when the coordinate system is of type LatLon.

Spherical Distance and Spherical Azimuth are calculated instead of Ellipsoidal Distance and Ellipsoidal Azimuth when geographic coordinates are available, and:

  • when an ellipsoid is available, but when the distance is larger than 800 km, or
  • when no ellipsoid is available, for instance:
    • when the coordinate system has a projection (coordinate system of type Projection), but when no ellipsoid or datum has been selected,
    • when the coordinate system is system coordinate system LatLon.

Scale Factor and Meridian Convergence are shown:

  • when the coordinate system has a projection (coordinate system of type Projection),

Mind: Results are only reliable when the distance between the start position and the end position is not too large.

See also:

Map window : functionality

ILWIS objects : coordinate system


Map window

 Options menu

Extend Window by Coordinates

Increase or decrease the size of the current map window. The current boundaries of the map window are given as defaults.

  • If you increase the coordinates boundaries of the map window, extra space will be added to the map window.
  • If you decrease the coordinates boundaries of the map window, only part of your map will be shown.

Only the coordinate boundaries of the current map window will be changed, i.e. display; the coordinate boundaries of map(s) in the map window will remain the same. You can save the new situation of the map window, by saving the map window as a map view.

Dialog box options:

Minimum X, Y: | Type a value for the new minimum X-coordinate and for the new minimum Y-coordinate of the map window. With minimum XY-coordinates, the coordinates of the lower left corner are meant.
Maximum X, Y: | Type a value for the new maximum X-coordinate and for the new maximum Y-coordinate of the map window. With maximum XY-coordinates, the coordinates of the upper right corner are meant.

Tip: To permanently change the size or outer coordinates of a map, use the Sub-map operations.

See also:

Extend Window by Percentage


Map window

 Options menu

Extend Window by Percentage

Increase or decrease the size of the current map window. The original height and width of the map window are considered 100%.

  • If you increase the size of the map window, extra space will be added to the map window.
  • If you decrease the size of the map window, only part of your map will be shown.

Only the size of the current map window will be changed, i.e. display; the size of map(s) in the map window will remain the same. You can save the new situation of the map window, by saving the map window as a map view.

Dialog box options:

Percentage at top: | Type a value for the percentage that should be added to the top of the map window.
Percentage at bottom: | Type a value for the percentage that should be added to the bottom of the map window.
Percentage at left: | Type a value for the percentage that should be added to the left of the map window.
Percentage at right: | Type a value for the percentage that should be added to the right of the map window.

Tip: To permanently change the size or outer coordinates of a map, use the Sub-map operations.

See also:

Extend Window by Coordinates


Change coordinate system of a map window

Map window

 Options menu

Change Coordinate System

Show the point, segment and polygon maps displayed in this map window with another coordinate system and/or georeference.

The newly selected coordinate system or georeference is only temporarily used by the map window, it is not added to the vector map(s).

  • This option can be used to quickly display vector maps in different coordinate systems, for example with different projections.
  • You can also use this option to show the vector maps with a previously created georeference 3D, or with a georeference tiepoints as used by images of the same area.

Dialog box options:

Select coordinate system or georeference:
 | Select a coordinate system or a georeference to be used by the current map window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

If ILWIS is able to convert the coordinate system of the map into the 'new' coordinate system, the map window displays the maps using the 'new' coordinate system. The resulting map window can be saved as a map view.

Tips:

  • Instead of choosing the menu command Change Coordinate System, you can also drag a coordinate system or a georeference from the Catalog to the map window. This has the same effect.
  • Another way to set the georeference of a map window is to add a raster map to the map window. The map window then automatically gets the georeference of that raster map.
  • To permanently change the coordinate system of a vector map, use one of the Transform operations.
  • To show raster maps with a different coordinate system or georeference, the Resample operation should be used.

See also:

Transform point map : functionality / algorithm

Transform segment map : functionality / algorithm

Transform polygon map : functionality / algorithm

Resample : functionality


Map window : mouse functions

Map window

Mouse functions

Moving with the mouse over:

  • A map in a map window: the status bar displays XY-coordinates when a raster map in the map window has a georeference other than georeference None, and when vector maps in the map window have a coordinate system other than coordinate system Unknown;

    • When the map window contains a raster map, also row and column numbers of the raster map are displayed.

    When the maps in the map window have a coordinate system with projection information, the status bar also shows the coordinates in LatLon-coordinates;

  • A command on a menu: the status bar displays information that helps explain the task of the highlighted menu command. Highlight a menu command by opening a menu and drag the mouse pointer along the commands on the menu. You can also use the Up Arrow and Down Arrow keys on the keyboard to move through the commands on a menu;
  • A button in the toolbar: the status bar gives a short explanation of the function of the button.

Clicking:

  • A map in a map window: the class names, IDs or values in the map are displayed depending on the domain of the map. To retrieve information of a map layer, make sure that the Info check box is selected in the Display Options dialog box of that layer;
  • A button in the toolbar: performs the action of the button.

Continuously pressing the left mouse button:

  • On a map in a map window: continuous display of class names, IDs or values of the data layers information in the window of which the Info box is marked.

Double-clicking on:

  • A map in a map window: allows you to edit the attributes of this selection if an attribute table is linked to the map, or allows you to edit the colors of this selection. Choose the Double-Click Action command on the Layers menu to select to edit attributes or colors.

Clicking the right mouse button:

  • On a map in a map window: a context-sensitive menu appears. You can choose to go to Normal pointing mode, to Zoom In, to Zoom Out, or to Pan, or to Display the Entire Map. Furthermore, you can select a layer of this map window to change its display options.

See also:

How to use the status bar

Introduction on Windows features


Table window

Contents

Introduction

Functionality

Statistics pane

Record view

Toolbar

Command line

Status bar

Menu commands

Mouse functions


Table window : introduction

Table window

Introduction

A table window displays a table. In a table window, you can view and edit table data, and you can calculate with your table data. Furthermore, parts of the table window are used when a histogram, a cross table, or a two-dimensional table is opened, or when the georeference tiepoints editor or the coordinate system tiepoints editor is opened.

A table consists of columns, records and fields. Schematically, this looks like:

Besides the table viewer, in which you can view and edit the table, the table window consists of:

  • a statistics pane, at the bottom of a table window, to view the minimum, maximum, average, standard deviation and sum of values in a value column,
  • a record view (dockable window) in which you can display and edit table data record by record,
  • a command line, on which you can enter your Table calculation formulae,
  • a menu bar, a toolbar, and a status bar.

For an overview of the functionality of a table window, refer to the Table window : functionality topic.

See also:

Table window : functionality

Table window : statistics pane

Table window : record view

Table window : command line

Table window : toolbar

Table window : menu commands


Table window : functionality

Table window

Functionality

A table window displays a table. In a table window, you can view and edit table data, and you can calculate with your table data.

A table window consists of:

  • a table viewer which displays the table data,
  • a menu bar,
  • a toolbar,
  • a command line on which you can type your table calculation statements,
  • a statistics pane, at the bottom of a table window, to view the minimum, maximum, average, standard deviation and sum of values in a value column,
  • a record view (dockable window) in which you can display table data record by record,
  • a status bar, at the bottom of a table window, which gives short information on highlighted menu commands, and for certain mouse positions.

Furthermore, a context-sensitive menu is available.

The remainder of this topic is divided into the following sections:

  • Showing table data
  • Basic actions in a table window
  • Editing table data
  • Calculating with table data
  • Other functionality of a table window

Showing table data

Contents of the table viewer:

The table viewer displays the contents of your table. A table consists of columns, records and fields. Schematically, this looks like:

Record names or record numbers appear on (gray) record buttons that are arranged along the left side of the table.

  • Record names are shown when the table is an attribute table; the record buttons list the class names or IDs of the map to which this table relates.
  • Record numbers are shown when the table is not an attribute table, i.e. when the domain of the table is system domain None. Such tables are for instance the result of an operation.

Column names appear on (gray) column buttons, also called column headers, arranged along the top of the table viewer.

The record buttons and column headers in a table window are sensitive to clicking, double-clicking and drag-and-drop actions.

In general, a table window displays a table. However, parts of the table viewer are also used when displaying a histogram, a cross table, or a two-dimensional table, or when opening the georefence tiepoints editor or the coordinate system tiepoints editor.

Advanced users may also open objects as a table which are internally stored as tables, such as: point maps; class, ID, and picture domains; class representations; georeference tiepoints. You can then edit and calculate with the table-owned columns. For more information, see How to open objects as a table.

For more information on creating new tables, see How to create a table.

To display existing tables in a table window, see How to display maps and tables.

Statistics pane, to view statistics of value columns:

The statistics pane can be shown in a split window at the bottom of the table window. It shows for every value column: minimum, maximum, average, standard deviation and sum of the values in the value column.

To switch on the statistics pane:

  • choose Statistics Pane from the View menu.

For more information, refer to Table window : statistics pane.

Record View, to view table data record by record:

Record View can be used to display table data for a single specific record.

To switch on the Record View dockable window:

  • choose Record View from the View menu, or
  • click a specific record button in the table.

For more information, refer to Table window : record view.

Setting the font for table windows:

The font that is used in a table can be set in the Preferences:

  • in the Main window, choose Preferences from the File menu,
  • open the Font item and click Table Font.

Basic actions in a table window

Column Management:

Column Management provides you with a simple interface to:

  • add and delete columns,
  • change the properties of a column: change the number of decimals shown for a value column, change the width of a column, or change the expression of a dependent column,
  • change the order of columns,
  • view whether dependent columns are up-to-date; if not, you can make columns up-to-date.

To open Column Management:

  • click the Column Management button [image] at the upper left corner of the table viewer, or
  • choose Column Management from the Columns menu.

For more information, refer to Column Management or to How to use columns.

To go to a specific column or record:

  • Choose Goto Column from the Columns menu.

    • Select a column and the table window will scroll to that column.

  • Choose Goto Record from the Records menu.

    • Select a record and the table window will scroll to that record; the record will furthermore be shown in record view.

    Tip: To move to the first, previous, next, or last record, you can also use the [image] [image] [image] [image] buttons in the toolbar.

To add or delete columns:

To add an editable column:

  • click or double-click the column button to the right of the last existing column in the table viewer,
  • choose Add Column from the columns menu, or
  • click the Add Column button in the Column Management dialog box.

For more information, refer to Add Column.

Tip: You can also obtain new columns by typing a TabCalc formula on the command line of the table window. For more information, see section Calculating with table data below.

To delete one or more subsequent columns:

  • click the column header of the first column of a sequence of columns you wish to delete,
  • hold the Shift key down, and
  • click the column header of the last column of a sequence of columns you wish to delete, and
  • click the Delete button in the toolbar, or choose Delete from the Edit menu, or press the Del key on the keyboard.

For more information, refer to Table window: Clear/Delete.

To change the width or to change the order of columns:

To change the width of a column:

  • position the mouse pointer at the end of a column,
  • the mouse pointer will change into a double-sided arrow,
  • drag the mouse pointer to the right to make the column wider, or drag the mouse pointer to left to make the column narrower.

To change the width of a column, you can also use Column Management or Column Properties.

To move a column to another position:

  • click the column header of the column you wish to move, and hold the left mouse button down,
  • the mouse pointer will change into a column icon [image], and
  • drag the column to another position.

To add and to delete records:

If the table is an attribute table, the records in the table are part of a domain which is both used by the table and by the map to which the table refers.

  • To add a record to an attribute table which uses a domain Class or ID, you have to add a class name or identifier to that domain in the Domain Class/ID editor.
  • To delete a record from a table which uses a domain Class or ID, you have to delete an item from that domain in the domain Class/ID editor (not advised).

If the table is not an attribute table, but uses system domain None:

  • to add a record, choose Add Record from the Edit menu,
  • to delete one or more records, select a single record or select a sequence or records, then click the Delete button in the toolbar, or choose Delete from the Edit menu, or press the Del key on the keyboard.

To sort records:

  • Choose Sort from the Columns menu.

The Sort Records dialog box will be opened. You can sort on the domain of the table or sort on a column of the table, either in ascending or descending order.

Tip: To sort on a column, you can also select a column, then click the selection with the right mouse button and choose Sort Ascending or Sort Descending from the context-sensitive menu.

To view the properties of the table or the properties of a column:

To view the properties of the table:

  • choose Properties from the File menu.

The Table Properties sheet will be opened.

To view the properties of a column:

  • double-click a column header,
  • select a column, and click the Properties button [image] in the toolbar, or
  • select a column, click the selection with the right mouse button and choose Properties from the context-sensitive menu.

The Column Properties dialog box will be opened.

Editing table data

To edit a table:

Fields of editable columns, i.e. columns which are not dependent nor read-only, can be edited directly in the table viewer, but also in record view.

  • For fields in columns that use a value or identifier domain, you can select a field by clicking it with the mouse pointer and directly start typing.
  • For fields in columns that use a class domain, you can select a field and then select a class name from the drop-down list.

For more information, see How to edit a table.

If you wish to edit many single fields in the table, it is advised not to use the Enter key on the keyboard, instead:

  • press the Down Arrow or Up Arrow keys,
    to move downward or to move upward in the table to edit other fields;
  • press the Tab key,
    to move to the right in a table to edit other fields;
  • press the Shift+Tab keys,
    to move to the left in a table to edit other fields.

Whenever you move to another field, the previously edited field is directly stored on disk.

As long as the 'Edit box' is open, you can still press Esc to undo an edit action. After you pressed the Enter key, or the Arrow Up, Arrow Down, Tab, or Shift+Tab keys, the edit action is completed and the change is stored.

Note: You cannot edit:

  • fields of dependent columns, which contain the results of a calculation or a column operation,
  • fields in a dependent table, where the table is the result of an operation, or
  • fields of read-only columns.

    • For more information, see ILWIS objects : columns.

In the table viewer, you can not only edit single fields, but you can also edit the values of blocks of fields in a single column, or the values of multiple fields in one or more records in multiple columns.

  • Select one or more fields, or one or more records,
  • click the selection with the right mouse button, and
  • choose Edit for instance from the context-sensitive menu.

The Edit fields in a single column or the Edit fields in multiple columns dialog box will appear.

All editing changes are directly stored on disk. You cannot undo an editing action.

Calculating with table data

Column calculations:

A very important feature of a table window is its command line through which calculations can be performed. The available MapCalc and TabCalc operators and functions are extensively described, including examples, in the Map and Table Calculation section.

To calculate with columns, type a tabcalc formula on the command line of the table window. A very simple calculation may read:

OutColumn = Column1 + Column2

When the definition symbol (=) is used, calculations will result in dependent columns.

Besides some 50 available internal TabCalc functions, you can also define your own functions.

Pocket line calculator:

Optionally, you can use the command line as a pocket line calcalator: start an expression by a questionmark. You will then calculate a single value, which will be displayed in a message box and you will not obtain an output column.

Column operations:

You can also use the command line to perform an aggregation or a join, to calculate a cumulative sum or other statistics, to perform a least squares fit, to calculate semi-variogram values according to a semi-variogram model, or to classify column values (slicing). However, at first sight, the required syntax may seem rather complicated. It may therefore be easier to use the Aggregate, Join, Cumulative, Statistics, Least Squares, Semi-variogram or Column Slicing commands on the Columns menu. The appearing dialog box, or the Join wizard, will then produce the necessary syntax for you.

Making dependent columns up-to-date:

When you edit values in one or more source columns, the values of dependent columns (which may use the values of these source columns as input) are not automatically recalculated or made up-to-date.

To recalculate all dependent columns in the table:

  • click the Update All Columns button [image] in the toolbar, or
  • choose Update All Columns from the Columns menu.

When you used the assignment symbol (:=) in calculations, the output of the calculation will be an editable source column again. These cannot be recalculated when input has changed.

Other functionality of a table window

To copy (part of) the table into the clipboard:

  • Select the part of the table which you wish to copy to the clipboard, and
    • choose Copy from the Edit menu, or
    • click the Copy button [image] in the toolbar, or
    • press the Ctrl+C keys on the keyboard, or
    • click the selection with the right mouse button, and choose Copy from the context-sensitive menu.

For more information and examples, refer to Table window : Copy.

You can use the Paste option in the same table or another ILWIS table, or in another Windows application to paste the copied part into the other application. For more information on and examples of pasting into ILWIS tables, refer to Table window : Paste.

To print a table:

  • Choose Print from the File menu in a table, or
  • click the Print button [image] in the toolbar.

You can print the entire table or a selection of the table, and you can select the font for printing.

Join, Aggregate, Statistics etc. through the Columns menu:

To perform a join or an aggregation, to calculate a cumulative sum or other statistics, to perform a least squares fit, to calculate semi-variogram values according to a semi-variogram model, or to classify column values (slicing), you can use the corresponding commands on the Columns menu.

By filling out the appearing Join wizard, or the Aggregate, Cumulative, Statistics, Least Squares Fit, Semi-variogram or Column Slicing dialog box, the necessary syntax will be produced for you, and the results will be calculated.

Graphs:

From a table window, you can create graphs. You can either:

  • create a graph from columns (i.e. from the values in two columns in the table) and later on, optionally, add other graphs from columns, graphs from formula, graphs by least squares fit, or semi-variogram models, or
  • create a rose diagram (to plot directions or angles against a Y-value) and later on, optionally, add other rose diagrams.

Graphs are shown in a graph window.

To create a graph:

  • choose Create Graph or Create Rose Diagram from the File menu in a table window, or the Main window,
  • choose New Graph from the File menu in an existing graph window, or
  • click a table in a Catalog with the right mouse button and choose Create Graph or Create Rose Diagram from the context-sensitive menu.

For more information, refer to Graph window : functionality, Graph window : examples of graphs, Graph window : Graph management.

Confusion matrix:

To assess the accuracy of an image classification, you can cross a raster map containing extra ground thruth information with your classification result. When you display the cross table, you can display a confusion matrix: choose the Confusion matrix command from the View menu.

See also:

Table window : statistics pane | ILWIS objects : tables
Table window : record view | ILWIS objects : columns
Table window : toolbar | How to create a table
Table window : command line | How to add a column to a table
Table window : menu commands | How to use columns
Table window : mouse functions |
Table window : status bar


Table window : Statistics pane

Table window

Statistics pane

The statistics pane lists for each value column in a table:

  • the minimum,
  • the maximum,
  • the average,
  • the standard deviation, and
  • the sum of the values in the column.

The statistics pane is a split window which can either be shown or hidden. If it is shown it will always be shown at the bottom of the table window; you cannot drag the statistics pane to another position on your screen. If you like, you can change the height of the statistics pane. The order of the statistical values is fixed and the values themselves cannot be edited.

Figure 1 below shows part of the Rainfall table. In the upper part of the picture, there is the table view pane showing the names of the rainfall stations (domain of table) and the rainfall values for the months March and April (columns). The statistics pane is shown in the lower part of the picture.

Fig. 1: Statistics pane at the bottom of a table window.

To hide or show the statistics pane:

  • Choose Statistics Pane from the View menu of the table window.

The statistics pane is shown when a check mark [image] appears in front of the menu command.

Upon closing a table, it is stored whether or not the statistics pane is shown in the current table. This will then be used as the default setting to show or hide the statistics pane when the table is re-opened later on.

To change the height of the statistics pane:

  • Position the mouse pointer at the split bar between the table view pane and the statistics pane as indicated in Figure 1.
  • Drag the split bar up or down to increase or to decrease the height of the statistics pane.

To recalculate column statistics:

When you have dependent columns, and when input data has changed, the values in the dependent columns may still reflect the situation of the 'old' input data. The statistics pane will then also show 'old' values.

  • Recalculate all columns:
    • choose Update All Columns from the Columns menu in the table window, or
    • click the Update All Columns button [image] in the toolbar.
  • The values in the statistics pane are automatically recalculated.

To copy statistics to clipboard:

To copy the statistical values for all columns to clipboard, copy the records in the statistics pane to clipboard.

  1. Select the records you wish to copy:
    • To select a single record: click the record button of the record you wish to copy.
    • To select multiple records in sequence:
      • keep the left mouse button down while moving over the record buttons of the records that you wish to copy,

        • or

      • click the first record button of a sequence of records that you wish to copy,
      • press the Shift key on the keyboard and hold it down,
      • click the last record button of a sequence or records that you wish to copy.
  2. Copy the selection to clipboard:
    • choose Copy from the Edit menu,
    • click the Copy button [image] in the toolbar,
    • press the Ctrl+C keys on the keyboard, or
    • click the selection with the right mouse button, and choose Copy from the context-sensitive menu.

For more information, see Table window : Copy to clipboard.

Tip:

To calculate other column statistics, such as Standard error, Variance, Covariance, Correlation, Student's t-test or a [image] -test, choose Column Statistics from the Columns menu of a table window.

See also:

Table window : functionality

Table window : record view

Table window : toolbar

Table window : command line

Table window : menu commands

Column Statistics


Table window : Record View

Table window

Record View

Record View displays for a single record, all values, class names, IDs etc. of the fields in that record. It thus allows you to inspect and edit the values of a specific record in your table.

You can move the Record View window and dock it along an edge of a table window; you can also make the Record View window floating.

Figure 1 below shows the 'Laguna Totura' record of the Rainfall table in Record View. At the top, the name of the current record is listed; at the left side, the columns in the table are listed; to the right, you can view and edit the values for this record.

Fig. 1: Example of Record View.

To hide or show Record View:

  • Choose Record View from the View menu of the table window.

Record View is shown when a check mark [image] appears in front of the menu command.

Upon closing a table, it is stored whether or not Record View is shown for the current table. This will then be used as the default setting to show or hide Record View when the table is re-opened later on.

To edit values, class names, IDs, etc. in Record View:

  • Click the field you wish to edit in record view.
  • If the field is editable, you can type another value, choose a class name, type an ID, etc.
  • If the field is not editable, it will appear gray.
  • After editing a field:
    • use the Enter key to confirm the value and stop editing, or
    • use the Arrow Down key to confirm the value and move to the next field.

As long as the 'Edit box' is open, you can still press Esc to undo an edit action. After you pressed the Enter key or an Arrow key, the edit action is completed and the change is stored.

Notes:

  • The contents of fields of dependent columns cannot be edited, as these 'values' are the result of a calculation or a column operation.
  • Furthermore, you cannot edit fields of read-only columns nor fields in dependent tables.
  • All changes are directly stored on disk. You CANNOT UNDO a completed edit action.

To show a next or previous record, etc:

  • Click the Next button [image] in the toolbar of the table window, to display the next record in record view,
  • Click the Previous button [image] in the toolbar of the table window, to display the previous record in record view.
  • Similarly, you can use the First Record button [image], or the Last Record button [image].
  • Click the Goto Record button [image], and select a record, to display that record.

Other functionality:

You can copy fields or the whole record to the clipboard.

  • Select the field(s) you wish to copy to clipboard, or
  • click the record name/record number at the top of record view to select the whole record,
  • then, choose Copy from the Edit menu, click the Copy button [image], press Ctrl+C on the keyboard, etc.

For more information, refer to Table window : Copy.

See also:

Table window : functionality

Table window : statistics pane

Table window : toolbar

Table window : command line

Table window : menu commands


Table window : toolbar

Table window

Toolbar

The toolbar of a table window provides shortcuts for some regularly used menu commands for instance to copy and paste, to print, to view the properties of a column, and to go to the first, the previous, a specific, the next, or the last record of the table.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Copy: | Copies the contents of the selected field(s), column(s) or record(s) to the clipboard.
Paste: | Pastes the contents of the clipboard into the selected field(s), or into the selected column(s) of the current table.
Delete: | Clears the contents of the selected fields, or of the selected record(s), or deletes the selected column(s).
Print: | Prints the whole table or a selection of the table. First, a Print Options box will appear.
Column Properties: | When a column is selected: the Column Properties dialog box will appear.
Update All Columns: | Updates the values of all dependent columns.
Graph: | Opens the Create Graph dialog box to create a new graph from columns in a new graph window. For more information on graphs, refer to Graph window : functionality.
Goto First Record: | Scrolls to the first record and slightly highlights this record. The record is furthermore shown in Record View.
Goto Previous Record: | Scrolls to previous first record and slightly highlights this record. The record is furthermore shown in Record View.
Goto Record: | Opens the Goto Record dialog box in which you can specify a record you wish to view. After clicking the OK button, the table will scroll to the specified record and will slightly highlight it. The record will also be shown in Record View.
Goto Next Record: | Scrolls to the next record and slightly highlights this record. The record is furthermore shown in Record View.
Goto Last Record: | Scrolls to the last record and slightly highlights this record. The record is furthermore shown in Record View.

The toolbar can be hidden or shown with the Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Table window : functionality

Table window : menu commands

Table window : command line

Graph window : functionality


Table window : command line

Table window

Command line

The command line of a table window is by default located at the top of a table window, just below the menu bar and the toolbar. The command line can be hidden or shown by opening the View menu, and choosing Command line. If you like, you can move the command line and dock it for instance at the bottom of the table window; you can also make the command line floating.

  1. The command line in a table window is mainly is used to perform calculations with (attribute) tables. You can type your table calculation formulae on the command line yourself. Syntax and available TabCalc functions are extensively described, including examples, in the Table calculation section.

  2. By starting a tabcalc formula with a question mark, you can use the command line as a pocket line calculator.

  3. Also expressions to perform an aggregation, a join, a least squares fit, can be carried out via the command line of a table window. However, it may be easier to use the Columns menu.

    4. For more information on expression for column operations, see Appendices : ILWIS expressions, section Column operations.

  4. Finally, you can also use some special ILWIS commands for the table window for instance to obtain a dialog box, or to open the Additional Info pane. This merely skips working with the menu.

Tips:

  • The command line in each table window has a history: use the Arrow Up key to retrieve previously used expressions and commands. The Arrow Down key can be used to scroll forwards again. You can also open the list of previously used commands and expressions by clicking the arrow at the right hand side of the command line.
  • The maximum length of an expression on the command line is 32000 characters. You can use the (Ctrl+) Left and Right Arrow keys on the keyboard to move back and forth in your formula.
  • In ILWIS 3, object names comply with Windows long file names. On the command line however, object names must be enclosed in single quotes when they start with a digit, contain a space or any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .
    For more information, see How to use long object names.

See also:

Table calculation

Table calculation : general syntax

Table calculation : overview of operators and functions

Table window : functionality

Table window : toolbar

Table window : menu commands


Table window : status bar

Table window

Status bar

A status bar is located at the bottom of each table window. The status bar can be shown or hidden with the Status Bar command on the View menu.

The status bar gives brief explanations when the mouse pointer is located on:

  • a menu command,
  • a button in the toolbar,
  • a column header:

    • double-click to change column properties, also the column name and column description are shown,

  • a record button:

    click to view the record in record view and optionally edit the record there,

  • the Column Management button [image] :

    • click to open the Column Management dialog box.

  • a field in the table:

    • column name and column description are shown.

  • a record button or field in the statistics pane.

See also:

Table window : functionality

Table window : toolbar

Table window : command line

Table window : menu commands

How to use the status bar


Table window : menu commands

Table window

Menu commands
File

Create
Graph ...
Rose Diagram
Print ...

Properties ...

Exit

Edit

Copy
Paste
Delete
Edit ...

Select All

Add Record

Columns

Column Management
Add Column ...
Goto Column ...
Sort ...
Update All Columns

Statistics ...
Join ...
Aggregation ...
Cumulative ...
Least Squares ...
Semi-variogram ...
Column Slicing ...

Records

Goto Record ...
Goto First Record
Goto Previous Record
Goto Next Record
Goto Last Record

View

Record View
Additional Info
Confusion Matrix ...

Command Line
Statistics pane
Toolbar
Status Bar


Print table

Table window

 File menu

Print Options

Print (a selection of) the current table on a printer.

This dialog box appears:

  • when you choose Print from the File menu in a table;
  • when you click the Print button [image] in the toolbar of a table window.

Dialog box options:

Header on all pages: | Select this check box to obtain a header on each page. The header will read: Table "Table name". Clear this check box when you do not want to obtain a header on the print out(s).
Leftmost column on all pages: | Select this check box to print the class names, IDs, or record numbers (i.e. the domain items) of your table; this will appear to the left of any printed columns and fields. Clear this check box when you only wish to print columns and/or fields.
Font Name: | Select one of the fonts from the list of installed fonts.
Font Size: | Type a font size for printing.
Bold: | Select this check box when you wish to print columns/fields in Bold.
Italics: | Select this check box when you wish to print columns/fields in Italics.
All: | When you made a selection in the table, select this option to print the entire table.
Current selection: | When you made a selection in the table, select this option to print the selected part of the table only.

When you click OK, a standard Windows Print dialog box will follow in which you can select a printer and specify some settings for the selected printer.

When you click OK in the Windows Print dialog box, the table or the table selection will be printed.

Tip: To install a printer and choose a default printer, see your Windows documentation.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Font


Copy table selection to clipboard

Table window

 Edit menu

Copy to clipboard

Copy a selected part of a table to the clipboard.

You can copy a single selected field, a block of selected fields, a selected column or a sequence of selected columns, a selected record or a sequence of selected records, or the whole table. Furthermore, you can copy selected parts of the statistics pane to clipboard.

You can then paste this into (part of) another or into the same ILWIS table, or into a database, a spreadsheet, a word processor, a desktop publishing system, etc.

To copy:

Make a selection, and:

  • choose Copy from the Edit menu,
  • click the Copy button [image] in the toolbar,
  • press the Ctrl+C keys on the keyboard, or
  • click the selection with the right mouse button, and choose Copy from the context-sensitive menu.

Tips:

  • You can use Windows' Clipboard Viewer (clipbrd.exe) to inspect the current contents of the clipboard.
  • To clear a selection, press Esc on the keyboard, or click in the white space of a table.

To copy selected fields:

  1. Select the fields you wish to copy:
    • To select a single field: click the single field you wish to copy.
    • To select multiple fields in sequence:
      • drag a rectangle over the block of fields you wish to copy,

        • or

      • click the first field you wish to copy,
      • then press the Shift key and hold it down, and
      • select the last field of a sequence of fields that you wish to copy.
  2. Use one of the Copy methods described above.

The value(s) of the selected field(s) will be copied to clipboard.

The example below shows some copied fields of the Cityblock table:

8702.126 | Institutional
8462.806 | Commercial
9032.811 | Commercial
9188.371 | Residential
9095.254 | Residential

To copy one or more selected columns:

  1. Select the column(s) you wish to copy:
    • To select a single column: click the column header of the column you wish to copy.
    • To select multiple columns in sequence:
      • click the first column of a sequence of columns you wish to copy,
      • then, press the Shift key on the keyboard and hold it down, and
      • click the last column of a sequence of columns that you wish to copy.
  2. Use one of the Copy methods described above.

The column name(s), and the values of all fields of the selected column(s) will be copied to clipboard.

Tip: Before copying a number of columns, you may wish to first re-order your columns. To change the position of a column in the table, drag a column header to a new position. The mouse pointer will change into a column icon [image] while dragging.

The example below shows (part of) two copied columns of the Cityblock table; see that column names are included:

Area | Landuse
8702.126 | Institutional
8462.806 | Commercial
9032.811 | Commercial
9188.371 | Residential
9095.254 | Residential
... | ...

To copy one or more selected records (rows):

  1. Select the records you wish to copy:
    • To select a single record: click the record button of the record you wish to copy.
    • To select multiple records in sequence:
      • keep the left mouse button down while moving over the record buttons of the records that you wish to copy,

        • or

      • click the first record button of a sequence of records that you wish to copy,
      • press the Shift key on the keyboard and hold it down,
      • click the last record button of a sequence or records that you wish to copy.
  2. Use one of the Copy methods described above.

The record name(s) or the record number(s), and the values of all fields in the selected record(s) will be copied to clipboard.

Tip: Parts of the Statistics pane can be copied to clipboard in the same way as copying records of the table.

The example below shows five copied records of the Cityblock table; see that record names (cityblock identifiers) are included:

001 | 8702.126 | Institutional | 4 | 0 | 0.000
002 | 8462.806 | Commercial | 7 | 50 | 59.0821
003 | 9032.811 | Commercial | 7 | 19 | 21.0344
004 | 9188.371 | Residential | 7 | 317 | 345.0013
005 | 9095.254 | Residential | 7 | 311 | 341.9366

To copy the whole table:

  1. Choose Select All from the Edit menu.
  2. Use one of the Copy methods described above.

The column name(s), the record name(s) or the record number(s), and the values of all fields in the table will be copied to clipboard.

The example below shows (part of) the whole copied table Cityblock table; see that column names and record names (cityblock identifiers) are included:

.clm | Area | Landuse | District | Population | Popdens
001 | 8702.126 | Institutional | 4 | 0 | 0.000
002 | 8462.806 | Commercial | 7 | 50 | 59.0821
003 | 9032.811 | Commercial | 7 | 19 | 21.0344
004 | 9188.371 | Residential | 7 | 317 | 345.0013
005 | 9095.254 | Residential | 7 | 311 | 341.9366

Tip: To copy an entire table window as a bitmap to the clipboard, including window borders, title bar, menu bar, toolbar, statistics pane, etc., press the Alt+PrintScrn keys on the keyboard.

Format in clipboard:

Copied fields are available in the clipboard:

  • in text format,
  • consecutive fields in a single record are separated by tabs,
  • consecutive records start on a new line,
  • in enhanced metafile format (i.e. the table view as a picture).

Furthermore, the clipboard will also contain:

  • column names, if one or more columns were copied,
  • record names or record numbers, if one or more records were copied,
  • column names, and record names or record numbers, if the whole table was copied.

Tips:

  • When pasting into a word processor, you may convert the pasted text into a table while separating at tabs.
  • When pasting into a spreadsheet, any column names and/or record names or record numbers available in the clipboard will appear in the spreadsheet.
  • To paste the picture format into a word processor or a spreadsheet, use Paste Special.
  • When pasting into an ILWIS table, any column names and/or record names or record numbers available in the clipboard will be skipped; thus only the 'values' of copied fields will be pasted.

The example below shows (part of) the whole copied table Cityblock table in enhanced metafile (picture) format:

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Table window : Paste


Table window : Paste

Table window

 Edit menu

Paste from clipboard

Paste the contents of the clipboard into the selected fields of the current table.

When no fields are selected in a table with system domain None, the clipboard contents will be appended to the bottom of the table.

When you copied for example (a part of) an ILWIS table, a spreadsheet or a database to the clipboard, you can paste this data into an ILWIS table.

To paste into selected fields:

Select the fields, the sequence of columns, or the sequence of records into which you wish to paste the clipboard contents, then:

  • choose Paste from the Edit menu,
  • click the Paste button [image] in the toolbar,
  • press the Ctrl+V keys on the keyboard, or
  • click the selection with the right mouse button, and choose Paste from the context-sensitive menu.

Notes:

Editable columns must be available in the table into which you wish to paste.

These columns should be in the same order as the clipboard contents that you wish to paste.

  • If the table has no columns yet, you should thus manually add columns before pasting.
  • The column names are not important: the values in clipboard will be pasted regardless of the column names.
  • The domain/value range of the columns are important in the sense that pasted values which do not fit the domain or value range will appear as undefined values, i.e. question marks.
  • It is NOT possible to paste into dependent columns, into read-only columns, or into table-owned columns. These columns will be skipped during a paste.
  • When pasting into a table, all changes are directly stored on disk.

    • You CANNOT UNDO a paste action.

Tips:

  • Use Windows' Clipboard Viewer (clipbrd.exe) to inspect the current contents of the clipboard before pasting.
  • Before pasting into a number of columns, you may wish to first re-order your columns. To change the position of a column in the table, drag a column header to a new position. The mouse pointer will change into a column icon [image] while dragging.
  • To clear a selection, press Esc on the keyboard, or click in the white space of a table.

To paste into selected fields:

  1. Select the fields into which you wish to paste:
    • To select a single field: click the single field into which you wish to paste.
    • To select multiple fields in sequence:
      • drag a rectangle over the block of fields into which you wish to paste,

        • or

      • click the first field into which you wish to paste,
      • then press the Shift key and hold it down, and
      • select the last field of a sequence of fields into which you wish to paste.
  2. Use one of the Paste methods described above.

The clipboard contents will be pasted into the selected fields; the selected fields should be editable. When pasting (part of) a copied ILWIS table, any column names and/or record names or record numbers available in the clipboard will be skipped; thus only the 'values' of copied fields will be pasted.

To paste into one or more selected columns:

  1. Select the column(s) into which you wish to paste:
    • To select a single column: click the single column into which you wish to paste.
    • To select multiple columns in sequence:
      • click the first column of a sequence of columns into which you wish to paste,
      • then, press the Shift key on the keyboard and hold it down, and
      • click the last column of a sequence of columns into which you wish to paste.
  2. Use one of the Paste methods described above.

The clipboard contents will be pasted into the fields of the selected column(s); the fields of the column(s) should be editable. When pasting (part of) a copied ILWIS table, any column names and/or record names or record numbers available in the clipboard will be skipped; thus only the 'values' of copied fields will be pasted.

To paste into one or more selected records (rows):

  1. Select the records into which you wish to paste:
    • To select a single record: click the record button of the record into which you wish to paste.
    • To select multiple records in sequence:
      • keep the left mouse button down while moving over the record buttons of the records into which you wish to paste,

        • or

      • click the first record button of a sequence of records into which you wish to paste,
      • press the Shift key on the keyboard and hold it down,
      • click the last record button of a sequence or records into which you wish to paste.
  2. Use one of the Paste methods described above.

The clipboard contents will be pasted into the fields of the selected record(s); the fields of the record(s) should be editable. When pasting (part of) a copied ILWIS table, any column names and/or record names or record numbers available in the clipboard will be skipped; thus only the 'values' of copied fields will be pasted.

Note:

No warnings are issued whether the size or shape of the selected fields fit the clipboard contents or not.

  • If the size of the table in the clipboard is larger than the size of the selection in the current table into which you wish to paste, then, only the selected part of the table is filled with the clipboard data.
  • If the size of the table in the clipboard is smaller than the size of the selection in the current table into which you wish to paste, then the clipboard contents are pasted into the upper and left part of the selection, and the remaining part of the selection keeps the data it had before pasting.

To append records to a table with domain None:

  1. Open a table using system domain None to which you wish to append the clipboard contents.
  2. Make sure there is not a single field, column, or record selected in the table:
    • press the Esc key on the keyboard, or
    • click a single field, and press the Esc key on the keyboard.
  3. Use one of the Paste methods described above.

The method of adding records to a table with domain None by a paste action, can also be used to paste existing tiepoint coordinates and row/column numbers into a georeference tiepoints. For more information, see How to paste coordinates into a georeference tiepoints.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Table window : Add Column

Table window : Copy


Table window : Clear/Delete selection

Table window

 Edit menu

Clear/Delete

Clear or delete a selection of fields, columns or records in a table.

To delete a selection:

  • choose Delete from the Edit menu,
  • click the Delete button [image] in the toolbar,
  • press the Del key on the keyboard, or
  • click the selection with the right mouse button, and choose Delete from the context-sensitive menu.

Notes:

  • When deleting the contents of selected fields: the contents of fields of dependent columns cannot be deleted, as these 'values' are the result of a calculation or a column operation.
  • When deleting columns: read-only columns and table-owned columns cannot be deleted.
  • When clearing or deleting parts of a table, all changes are directly stored on disk.
    You CANNOT UNDO a clear or a delete.

To clear the contents of selected fields:

  1. Select the fields you wish to clear:
    • To select a single field: click the single field you wish to clear.
    • To select multiple fields in sequence:
      • drag a rectangle over the block of fields you wish to clear,

        • or

      • click the first field you wish to clear,
      • then press the Shift key and hold it down, and
      • select the last field of a sequence of fields that you wish to clear.
  2. Use one of the Clear/Delete methods described above.

Before the selected field(s) are actually cleared, a confirmation is asked.

To delete one or more selected columns:

  1. Select the column(s) you wish to delete:
    • To select a single column: click the single column you wish to delete.
    • To select multiple columns in sequence:
      • click the first column of a sequence of columns you wish to delete,
      • then, press the Shift key on the keyboard and hold it down, and
      • click the last column of a sequence of columns that you wish to delete.
  2. Use one of the Clear/Delete methods described above.

Before the selected column(s) are actually deleted, a confirmation is asked.

Tip: Before deleting a number of columns, you may wish to first re-order your columns. To change the position of a column in the table, drag a column header to a new position. The mouse pointer will change into a column icon [image] while dragging.

To clear the contents/to delete one or more selected records (rows):

When a table uses a Class or ID domain, the contents of selected record(s) will be cleared.

When a table uses system domain None, the selected record(s) will be deleted. After the deletion, the remaining records will be renumbered.

  1. Select the records you wish to delete:
    • To select a single record: click the record button of the record you wish to clear/delete.
    • To select multiple records in sequence:
      • keep the left mouse button down while moving over the record buttons of the records that you wish to delete,

        • or

      • click the first record button of a sequence of records that you wish to delete,
      • press the Shift key on the keyboard and hold it down,
      • click the last record button of a sequence or records that you wish to delete.
  2. Use one of the Clear/Delete methods described above.

Before the selected record(s) are actually cleared or deleted, a confirmation is asked.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands


Table window

 Edit menu

Edit fields in a single column

Edit a single field in a table, or edit a block of selected fields in a single column in a table.

To edit multiple fields in multiple columns, see Edit fields in multiple columns.

Notes:

  • The contents of fields of dependent columns cannot be edited, as these 'values' are the result of a calculation or a column operation.
  • The contents of fields of read-only columns and table-owned columns cannot be edited.
  • All changes are directly stored on disk. You CANNOT UNDO an edit action.

To edit a single field:

  1. Click a field: you can directly type a new value, select a class name, etc.
  2. Then, either press Enter to confirm the new value and stop editing, or
    use the Tab or Arrow keys to confirm the new value and continue editing in a next field.

To edit a selection of multiple fields in a single column:

  1. Select the block of fields you wish to edit.
  2. Then, either:
    • choose Edit from the Edit menu, or
    • click the selection with the right mouse button, and choose Edit from the context-sensitive menu.
  3. This Edit dialog box will appear:
    4. Edit record ... | Specifies the first record selected.
until record ... | Specifies the last record selected.
Column name: | Type a value, choose a class, or type an ID. This value will be applied to all fields that are selected.

Note:

In the record view window, you can only edit fields one by one.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Edit fields in multiple columns


Table window

 Edit menu

Edit fields in multiple columns

Edit the values of one or more selected records, or edit a block of selected fields in multiple columns in a table.

To edit one or more fields in a single column, see Edit fields in a single column.

Notes:

  • The contents of fields of dependent columns cannot be edited, as these 'values' are the result of a calculation or a column operation.
  • The contents of fields of read-only columns and table-owned columns cannot be edited.
  • All changes are directly stored on disk. You CANNOT UNDO an edit action.

To edit the fields of a single record:

  1. Click the record you wish to edit: the record view window will appear.

    2. You can drag the record view window to another position.

  2. Then, either:
    • choose Edit from the Edit menu, or
    • click the selection with the right mouse button, and choose Edit from the context-sensitive menu.
  3. This Edit dialog box will appear:
    4. Edit record ... | Specifies the selected record.
Column name: | For the field of the first column in the record, type a value, choose a class, or type an ID.
Column name: | For the field of the second column in the record, choose a class, or type an ID. Etc.
Column name: | For the field of the next column in the record, choose a class, or type an ID. Etc.
Fields which are not editable are automatically grayed out.

To edit the fields of multiple records:

  1. Select the sequence of records that you wish to edit e.g. by keeping the left mouse button down while moving over the record buttons of the records that you wish to edit.

    2. The record view window will appear. You can drag the record view window to another position.

  2. Then, either:
    • choose Edit from the Edit menu, or
    • click the selection with the right mouse button, and choose Edit from the context-sensitive menu.
  3. The Edit dialog box as described above will appear for the first record that is selected.

    4. Type a value, select a class, or type an ID for each field in the record.

  4. After you click OK in the first Edit dialog box, the Edit dialog box for the next selected record will appear.
  5. When you click OK in the Edit dialog box of the last record that is selected, you will return to the table window.

To edit a block of fields in multiple columns in multiple selected records:

  1. Select the block of fields, in multiple columns and in multiple records, that you wish to edit.

    2. The record view window will appear. You can drag the record view window to another position.

  2. Follow steps 2-5 described in the previous section. The Edit dialog box will appear record by record, and it will only contain the column names of the selected fields.

Note:

In the record view window, you can only edit fields one by one.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Edit fields in a single column


Table window

 Edit menu

Add Record

Add a single new record to a table which uses system domain None.

The new record will appear at the bottom of the table.

Tips:

  • To add a record to an attribute table, you should add a new class name or ID to the Class or ID domain that is used by the table and by the map. The new domain item is then directly shown in the table.
  • When pasting into a table with system domain None, and when nothing is selected in the table, then the clipboard contents will be appended in new records at the bottom of the table. For more information, refer to Table window : Paste.

Command line syntax:

If you like, you can also add one or more records to a table with system domain None, by typing a command on the command line of a table window:

addrecord | to add a single record to the table.
addrecord nr | to add a specified number of records to the table.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Appendices : ILWIS commands, section table window


Table window

 Columns menu

Column Management

The Column Management dialog box offers the following possibilities:

  • add columns to the table,
  • delete columns from the table,
  • view and/or edit the properties of a column,
  • change the order of columns,
  • update dependent columns which are not up-to-date at the moment.

This dialog box appears when:

  • you choose Column Management from the Columns menu;
  • you click the Column Management button [image] at the upper left corner of the table viewer.

Dialog box options:

Columns:

You should select a column if you wish to open the properties of this column, or when you wish to delete this column.

  • To change the order of columns in the table, select a column and drag it to another position in the list. The column that appears at the top of the list is the first column in the table.
  • If you double-click a column in the list, the Column Properties dialog box of the selected column is directly opened.

Add Column:

Click this command button to add a new column to the table. The Add Column dialog box follows.

In this Column Management dialog box, you can also press the Insert key on the keyboard.

Properties:

Click this command button to view and/or edit the properties of the selected column. The Column Properties dialog box of the column will be opened.

Delete:

Click this command button to delete the selected column from the table.

In this Column Management dialog box, you can also press the Del key on the keyboard.

Make Up-to-Date:

If you selected a dependent column which is not up-to-date at the moment: click this button to check all columns on which this column depends, see if these are up-to-date, if not, check all columns below, etc., and calculate this column again using all new changed columns.

  • To make all columns of the table up-to-date, you can also select the Update All Columns command on the Columns menu, or click the Update All Columns button [image] in the toolbar.

Tips:

  1. To open the properties of a column, you can also double-click a column header in the table.
  2. To change the order of columns, you can also drag and drop columns to another position in the table.

    3. In the table window, click a column name and hold the mouse button down, the mouse pointer changes into a column icon [image], drag the column to a new position in the table, then release the left mouse button.

  3. To add a column to a table, you can also double-click the gray button to the right of the last column in the table window.
  4. To delete columns from a table, you can also select one or more columns in the table window, and press the Del key on the keyboard.
  5. When you click a column header in the table window to select the column, you can also use the context-sensitive menu to delete the column or view its properties.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands


Add column to table

Table window

Columns menu

Add Column

Add a new column to the table.

This dialog box appears:

  • when you choose Add Column from the Columns menu, or
  • when you choose Column Management from the Columns menu, and click the Add Column button in the Column Management dialog box, or
  • when you scroll to the last column in the table, and double-click to the right of the last column in the gray column header area.

Dialog box options:

Column name:

Type a new name for the column.

Domain:

Select an existing domain for the new column, or create a new domain for the column.

  • If you wish to use values in the new column, you can usually select the system Value domain, and specify value range and precision.
  • You only need to select or create a user-defined value domain when the values have a specific meaning for which you have or want to create a meaningful representation.
  • If you wish to store coordinates in a new coordinate column, you can select an existing coordinate system to be used as domain of the column.

Value range:

If you selected a value domain, specify the minimum and maximum value of this domain; this is called the value range.

Precision:

If you selected a value domain, type a value for the precision of this domain.

Description:

Optionally, type a description for the column. The description of a column is visible on the status bar of the table window when moving the mouse pointer over the column name or the fields of the column.

The new column appears to the right of the last column. Initially, the new column is filled with question marks (undefineds). You can start editing the fields of the column.

Tip:

  • To change the order of columns, you can use drag and drop. In the table window, click a column name and hold the mouse button down, the mouse pointer changes into a column icon [image], drag the column to a new position in the table, then release the left mouse button.
  • To change the order of columns, you can also use Column Management, and drag columns in the dialog box to another position.
  • The Add Column command is not available when your table is read-only. You can change the read-only flag in the Table Properties sheet.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands


Table window

Column Properties

The Column Properties dialog box lists all kind of important information on a selected column. In fact, all relevant information on this column as stored in the object definition file of the table to which this column belongs is displayed.

Properties dialog boxes are designed to handle properties of dependent objects. For more information, refer to Basic concepts : properties of objects.

Furthermore, you can always change the position of the column in the table, or change the width of the column. For columns that are the result of a TabCalc formula, you can edit the definition or expression. For value columns, you can also set or change the number of decimals with which the column values are shown.

The Column Properties dialog box appears:

  • after you type a TabCalc statement on the command line of a table window;
  • when you double-click a column header in a table;
  • when you select a column in the table by clicking its header, and subsequently click the Properties button [image] in the toolbar of the table window;
  • when you select a column in the Column Management dialog box, and subsequently click the Properties button in that dialog box.

Dialog box options:

Column type and name:

Column "column name": the column is an editable source column.

Also, when the column is part of a dependent table and stores results of an operation (column is table owned).

Column Calculate "column name": the column is the result of a TabCalc formula without using aggregations, joins, cumulative or a least squares fit (dependent column).

Dependent column "column name": the column is the result of a column operation, i.e. aggregation, join, cumulative, least squares fit (dependent column).

Object date and time:

Date and time when this column was last changed.

Column is table owned:

For a column that is part of a dependent table, i.e. the column stores the result of an operation, it is stated that this column is table-owned. Table-owned columns are always read only and cannot be edited. For more information, see ILWIS objects : columns.

Read-only:

For columns that are not table owned: select this check box when you want that the fields in this column are read-only and thus not editable. Clear this check box when the fields in the column should not be read-only.

Expression:

For dependent columns, the expression by which this column is created, i.e. the column definition. For Column Calculate columns, you can edit the TabCalc formula by which this column is created.

Domain:

While calculating with columns (TabCalc or column operations), accept the default domain for the output column, or select or create a domain which reflects the values that you want to store in this column. When calculating with value columns, you can generally accept the default system Value domain.

For table-owned columns and for read-only columns, the name and type of the domain used by this column is merely shown.

For source columns, you can change the domain of this column (advanced).

Defaults:

For Column Calculate columns, click this button to obtain a default domain, and for value domains, a default value range and precision. Or when you changed the default domain, value range or precision, click this button to obtain the defaults again.

Value Range:

While calculating with columns (TabCalc or column operations) and when the column uses a value domain, accept the default value range used to store the values in this column, or specify your own range of possible values for the column (a liberal estimate will do).

For source columns using a value domain, you can edit the value range of the column.

For table-owned columns and for read-only columns using a value domain, the value range of the column is merely shown.

Precision:

While calculating with columns (TabCalc or column operations) and when the column uses a value domain, accept the default precision used to store the values in this column, or specify your own precision for the column.

For source columns using a value domain, you can edit the precision of the column.

For table-owned columns and for read-only columns using a value domain, the precision of the column is merely shown.

Minimum/Maximum:

If this column uses a value domain, the minimum and maximum values as occurring in this column are listed.

For dependent columns:

Depends on:

The names of columns on which this column depends.

Up-to-date or not:

Lists whether this column is up-to-date or not. If not, the name of the column which was changed last is shown including that column's date and time.

For all columns:

Position:

Accept or change the position of the column in the table. Position 3 means that this is the third column in the table.

Width:

Accept or change the width of the column.

Decimals:

In case of a value column: accept or change the number of decimals used to show this column. You can always change this option to show the values in a column with more decimals or with fewer decimals.

Description:

Description of the column; freely editable for source columns and dependent columns. The description of a column appears on the status bar of a table window when moving the mouse pointer over fields of the column or over the column name. Furthermore, column descriptions appear in the Column Management dialog box.

Handling properties of dependent columns:

Make Up-to-Date:

When the column is not up-to-date anymore,

i.e. when one or more columns on which this column depends have been changed:

  • click this button to check all columns on which this column depends, see if these are up-to-date, if not, check all columns below, etc.,
  • recalculate all changed columns on which this column depends, and finally recalculate this column using all new changed columns.

To make all columns of the table up-to-date, you can also select the Update All Columns command on the Columns menu.

Break Dependency Link:

Whether this column is Up-to-Date or not:

  • click this button to break the dependency link between this column and the columns on which it depends. This column will become an editable source column.

Do not break the dependency link if you wish to be able to update this column in a later stage on the basis of changed input columns.

Additional Info:

When a dependent column is the result of a Least Squares Fit column operation: click this button to see the resulting least squares fit formula.

For string columns:

Create new domain from Strings:

Click this button to convert the strings in this column into a classes or IDs of a class or ID domain. A Create Domain from Strings dialog box will appear in which you can specify a new class or ID domain.

Tips:

  • For more information on the operators and functions that can be used in a TabCalc formula, refer to Table Calculation.
  • When working with value columns, you can generally accept the default value domain. You only need to select or create a user-defined value domain when the values have a specific meaning for which you have or want to create a meaningful representation.
  • To change the order of columns, you can use drag and drop in the table window itself. In the table window, click a column name and hold the mouse button down, the mouse pointer changes into a column icon [image], drag the column to a new position in the table, then release the left mouse button.
  • To change the width of a column, you can also drag the line which separates column names to the left or to the right. The mouse pointer changes into a double-sided arrow when you are at the right position to start dragging.
  • To print or to copy the contents of Column Properties dialog box to the clipboard, choose Print or Copy from the Control menu.

Note:

  • ILWIS uses its internal defaults to determine whether the internal calculation will be performed in integers or in reals.
    In general it can be said, that:

    • when the input consists of integers, the internal calculation will also be performed in integers;
    • when the input consists of reals, the internal calculation will also be performed in reals.

    Any user specification of the desired output domain and value range can only limit the results from the internal calculation. It is thus not possible, that when all input is in integers, to obtain output in reals by using a precision smaller than 1, for instance by using OUT{dom=Value;vr=0:10000:0.001} = ....

See also:

Basic concepts : properties of objects

Basic concepts : dependent objects

ILWIS objects : columns

Table window : functionality

Table Calculation


Create domain Class or ID from String column

Create new Class or ID domain

from a String column

During Import, some columns may have been imported with the String domain. However, in any calculations later on, it is often easier to work with columns that have a Class or ID domain. In this dialog box, you can convert all items found in a String column to class names of a new Class domain or to IDs of a new ID domain. Optionally, the newly created domain can directly be applied on the string column. For more information on domains, see Basic concepts : working with domains or ILWIS objects : domains.

This dialog box appears:

  • when in a table, you double-click the column name of a column which uses the String domain, and

    • in the subsequent Column Properties dialog box, you click the Create new Domain from Strings in column button.

Dialog box options:

Domain name:

Type a new name for the Class or ID domain that you wish to create.

Class:

Choose to create a Class domain, when the fields in the String column contain non-unique names or numbers.

Identifier:

Choose to create an ID domain, when the fields in the String column contain unique names or numbers.

Apply domain to column:

Select this check box, when you want to change the String domain of this column into the new Class or ID domain.

Clear this check box, to only create a new domain. Later on, you can create a new column which uses the new domain, for instance by using a TabCalc formula like:

col2=stringcol

where col2 is the new column and stringcol is the original String column. Make sure that the subsequent Column Properties dialog box, you choose the newly created class or ID column for the domain of col2.

See also:

Column Properties

ILWIS objects : tables

ILWIS objects : columns

ILWIS objects : domains

Import (dialog box)


Table window

 Columns menu

Goto Column

Goto a specific column in the table.

Dialog box options:

Column:

Select a column in the table (open the list box by clicking it).

  • The selected column appears at as the first column in the table.
  • The order of the columns in the table remains the same.

Tip:

To change the order of columns, use Column Management, or drag a column header to another position in the table.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Column Management


Sort a table / Sort records in table

Table window

 Columns menu

Sort

Sort the records of the table.

Dialog box options:

Record sequence:

Domain / Record number:

If the table uses a regular class or ID domain: select this option to sort on the domain of this table, i.e. return to the original order of the table.

If the table uses system domain None: select this option to sort on record numbers, i.e. return to the original order of the table.

Column:

Select this option to sort the table on the contents of a column.

Select a column from the list box; open the list box by clicking it.

Sort order:

Ascending:

When sorting on a column: select this option to sort the class names, IDs, values or strings of the selected column in ascending order, i.e. from A to Z or from small values to large values.

Descending:

When sorting on a column: select this option to sort the class names, IDs, values or strings of the selected column in descending order, i.e. from Z to A or from large values to small values.

The table will be sorted: the order of records probably changes.

If you sorted on a certain column:

  • the column name will be followed by *> when you selected to sort Ascending;
  • the column name will be followed by *< when you selected to sort Descending.

Tip:

To sort on a column, you can also select a column by clicking a column header, then click the selection with the right mouse button, and choose Sort Ascending or Sort Descending from the context-sensitive menu.

Mind:

When sorting on the domain of the table or on a column of a table, and when the table or the column uses a class or ID domain:

  • If the class or ID domain is already sorted alphabetically,

    • the table will be sorted in ascending or descending order as expected.

  • If the class or ID domain is not sorted alphabetically, but manually:
    • when choosing Sort Ascending, the table will be sorted according to the manual sort order of the domain;
    • when choosing Sort Descending, the table will be sorted according to the reverse manual sort order of the domain.

    For more information, see Domain Class/ID editor : functionality.

Sort settings are stored when you close the table.

Command line syntax:

If you like, you can also sort through the command line. Type on the command line of a table window:

sorton columnname [-sortorder=ascending|descending]

  • The part between the square brackets [ ] is optional; if not used, sorting will be ascending.
  • The square brackets themselves should be omitted when typing the expression.
  • The pipe symbol | represents a choice.

Example 1: to sort the table in ascending order on column MyValues, type either:

sorton myvalues

or

sorton myvalues -sortorder=ascending

Example 2: to sort the table in descending order on column MyValues, type:

sorton myvalues -sortorder=descending

Mind: These sorton expressions can only be used on the command line of a table window, thus not from the command line of the Main window and not in a script.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Table window : command line


Table window

Columns menu

Update All Columns

Recalculate all dependent columns which are not up-to-date anymore because of changes in columns on which they depend. Thus, on the basis of the definition of each dependent column, all dependent columns are made up-to-date.

For an introduction on dependent data, see Basic concepts : dependent data objects.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands


Table window

 Columns menu

Column Statistics

Calculate statistical values using one or two columns or perform a statistical analysis. The outcomes will be shown in a message box on the screen.

You can calculate:

  • statistics on a single column: Average, Minimum, Maximum, Sum, Count, Standard Deviation, Standard Error, and Variance;
  • statistics on two columns: Correlation and Covariance;
  • statistical analysis: Student's t-test and a [image] -test.

Tip:

By opening the Statistics Pane of a table, you can already view the minimum, maximum, average, standard deviation and sum for each column. To open the Statistics pane, choose Statistics Pane from the View menu of the table window.

Dialog box options:

Function: | Select a statistical function. The following functions are available: Average, Minimum, Maximum, Sum, Count, Standard Deviation, Correlation, Variance, Covariance, Standard Error, t-test and [image] -test.
Column: | Select the column for which you want to calculate the statistics. The input column should be a value column.
2nd Column: | When using the Correlation or Covariance function, select a second column which is independent from the first column.
True value: | When using the t-test, type the true value of your variable, i.e. the value to which your variable stochastically converges (m). The output value of the t-test has to be looked up in a table.
Expected: | When using the [image] -test, select the column with the expected values. The output value of the [image] -test has to be looked up in a table.

Tips:

  1. To obtain statistical answers in an output column:
    • after you clicked OK in the Column Statistics dialog box, an expression appears on the command line of the table window;
    • you can always retrieve expressions by using the history of the command line, for instance by pressing the Arrow Up key on your keyboard;
    • replace the question mark in the expression with a column name following by the definition sign. For example, change the expression on the command line:

      • from: | ? AVG(MyColumn)
to: | OUTCOL = AVG(MyColumn)

  2. The Average, Minimum, Maximum, Sum, Count and Standard Deviation functions are also available through the Aggregate Column dialog box, i.e. in Aggregate functions.

  3. The Count function counts, in a column, the number of fields which have a valid value. Any fields in the column that have the undefined value (a questionmark) are skipped.

    The Count function accepts columns with a Value or a Bool domain.

  4. The statistics are calculated according to the following formulae:

    5. Average:

    Standard deviation:

    Correlation:

    Variance:

    Covariance:

    Standard error:

    Student's t-test:

    test:

  5. The TabCalc syntax for the command line is:
    6. AVG(col) | calculate the average of column col
MIN(col) | calculate the minimum of column col
MAX(col) | calculate the maximum of column col
SUM(col) | calculate the sum of column col
CNT(col) | count the number of times that the values in col are not undefined
STD(col) | calculate the standard deviation of column col
STDEV(col) | calculate the standard deviation of column col
STDERR(col) | calculate the standard error of column col
VAR(col) | calculate the variance of column col
COV(col1, col2) | calculate the covariance of column col1 and column col2
COVAR(col1, col2) | calculate the covariance of column col1 and column col2
CORR(col1, col2) | calculate the correlation between column col1 and column col2
TTEST(TrueValue, col)
 | perform a Student's t-test on column col where TrueValue is the value to which the mean of your variable stochastically converges (m).
CHISQUARE(col, colExpValue)
 | perform a [image] -test on the observed values (fi) in enumerated column col where colExpValue is the column with the expected values (Fi).

See also:

Table window : statistics pane

Table window : command line

Table calculation

Aggregate column (dialog box)

Aggregate functions


Join Column wizard

 Table window, Columns menu

Select Table and Column

 Next >

The Join Column wizard guides you to join a column from another table into the current table.

On this first page of the wizard you should select the table and the column that you wish to join into the current table.

Dialog box options:

Table: | Select the table from which you wish to join data.
Column: | Select the column in that table which contains the data that you wish to join.

A join is possible when the current table, or one of its columns, uses a Class or ID domain that is also used either by the selected table or by one of the columns in the selected table. The two tables or their columns thus need to use a common Class or ID domain. This is called the key: a link between the two tables can be established so that a join can take place.

  • When it is found that a join is possible, you can click the Next button and continue on the Join method page.

  • When the two tables are found to have no domain in common, the wizard will display an error message.

Tip: Experienced users may also join columns from other tables by typing an expression on the TabCalc command line. For more information, see Table calculation : joining columns from other tables. This topic also provides some examples, both for using the wizard and for using the command line.

See also:

Join Column wizard - Join method

Table calculation : joining columns from other tables


Join column wizard - Join method

Join Column wizard

Join method

 < Back | Next >

This second page of the Join Column wizard lists the possibilities for joining based on a comparison of the domains that exist or are used by the two tables and their columns. Remember that the two tables including their columns should at least share one common domain, the key. The key through which a join can be performed should be a common class or ID domain.

On this page you need to choose the join method you wish to use. In principle, there are four methods to join, see below. The wizard will help you to make the correct choice.

  • The Join method page of the wizard shows possible join methods between the two tables in black.
  • Join methods which are not possible between the two tables are automatically grayed out by the wizard.

Dialog box options:

The four possible join methods and the options on this page are:

  1. Use Domain of current table (key1) and use Domain of selected table (key2)

    2. You can use this method when the domains of the two tables are the same; the tables have a 1 to 1 relation. The link between the two tables will be made through the common domain of both tables.

    When you click the Next button, the wizard will continue with the Specify output column name page.

  2. Choose key Column from current table (key1) and use Domain of selected table (key2)

    3. You can use this method when the domain of a column in the current table is the same as the domain of the selected table; the current table has a many to 1 relation with the selected table. The link between the two tables will be made through the domain of a column in the current table (key1) and through the domain of the selected table (key2).

    When you click the Next button, the wizard will continue with the Link between tables page, on which you need to select a column from the current table (key1) to create the link between the two tables.

  3. Use Domain of current table (key1) and choose key Column from selected table (key2)

    4. You can use this method when the domain of the current table is the same as the domain of a column in the selected table; the current table possibly has a 1 to many relation with the selected table. The link between the two tables will be made through the domain of the current table (key1) and through the domain of a column in the selected table (key2).

    When you click the Next button, the wizard will continue with the Link between tables page, on which you need to select a column from the selected table (key2) to create the link between the two tables.

    • Furthermore, if the classes, IDs, or values of the specified key column in the selected table (key2) are not unique, the values that you wish to join need to be aggregated.

      • Then, later on, the Aggregation method page of the wizard will appear, in which you can select an aggregation function and, optionally a weight column.

    • If no aggregation is needed, the Aggregation method page will not appear.

  4. Choose key Column from current table (key1) and choose key Column from selected table (key2)

    5. You can use this method when the domain of a column in the current table is the same as a domain of a column in the table from which you want to obtain data; the current table possibly has a many to many relation to the selected table. The link between the two tables will be made through the domain of a column in the current table (key1) and through the domain of a column in the selected table (key2).

    When you click the Next button, the wizard will continue with the Link between tables page, on which you need to select a column both from the current table (key1) and from the selected table (key2) to create the link between the two tables.

    • Furthermore, if the classes, IDs, or values of the specified key column in the selected table (key2) are not unique, the values that you wish to join need to be aggregated.

      • Then, later on, the Aggregation method page of the wizard will appear, in which you can select an aggregation function and, optionally a weight column.

    • If no aggregation is needed, the Aggregation method page will not appear.

When you click the Next button:

  • If you selected the first option, you will directly continue on the Specify output column name page.
  • If you selected one of the other options, you will continue on the Link between tables page.

Tip: Experienced users may also join columns from other tables by typing an expression on the TabCalc command line. For more information, see Table calculation : joining columns from other tables. This topic also provides some examples, both for using the wizard and for using the command line.

See also:

Join Column wizard - Link between tables

Join Column wizard - Output column name

Table calculation : joining columns from other tables


Join column wizard - Link between tables

Join Column wizard

Link between tables

 < Back | Next >

This page appears in the Join Column wizard when you have to select a key column from one table or from both tables to establish a link between the two tables.

Dialog box options:

Depending on the choice you made on the previous page of the wizard, the Join method page, select a column from the current table (key1), from the selected table (key2), or from both tables to create a link between the two tables.

Key 1: | Select, from the current table, a column that should be used to create a link between both tables. You don't have to select a key column when you use the domain of the current table. Key 1 should have a class or ID domain.
Key 2: | Select, from the selected table, a column that should be used to create a link between both tables. You don't have to select a key column when you use the domain of the selected table. Key 2 should have a class or ID domain.

When you click the Next button:

  • When you selected a column for Key 2, and if the classes or IDs in that column are not unique, the values values that you wish to join need to be aggregated. You will continue on the Aggregation method page of the wizard.
  • If no aggregation is needed, the Aggregation method page will not appear. You will continue on the Specify output column name page of the wizard.

Tip: Experienced users may also join columns from other tables by typing an expression on the TabCalc command line. For more information, see Table calculation : joining columns from other tables. This topic also provides some examples, both for using the wizard and for using the command line.

See also:

Join Column wizard - Aggregation method

Join Column wizard - Output column name

Table calculation : joining columns from other tables


Join column wizard - Aggregation method

Join Column wizard

Aggregation method

 < Back | Next >

This page appears in the Join Column wizard when the classes or IDs in a specified key column in the selected table (key 2) are not unique.

You have to specify the aggregation function to aggregate the values of the column that you wish to join into the current table by the groups of key 2. Optionally, you can specify a weight column to obtain weighted averages etc.

Dialog box options:

Function:

Select an aggregation function to aggregate the values of the column to be joined.

The following aggregation functions are available: Average, Count, Maximum, Median, Minimum, Predominant, Standard deviation, and Sum.

Weight:

Select this check box when you wish to use a weight column (from the selected table) during the aggregation and join. The weight column determines the relative importance of the values to be aggregated.

The weight check box is available for the following aggregation functions: Average, Median, Predominant, and Standard deviation. You can thus calculate weighted averages, weighted median values, weighted predominant values and weighted standard deviations.

When you click the Next button:

  • You will continue on the Specify output column name page of the wizard.

Tip: Experienced users may also join columns from other tables by typing an expression on the TabCalc command line. For more information, see Table calculation : joining columns from other tables. This topic also provides some examples, both for using the wizard and for using the command line.

See also:

Join Column wizard - Output column name

Table calculation : joining columns from other tables


Join column wizard - Output column

Join Column wizard

Select Output Column Name

 < Back | Finish >

On this last page of the Join Column wizard, you need to specify a new column name for the output of the join.

Dialog box options:

Output Column:

Type a new column name for the data that will be joined into the current table. You cannot use a column name which already exists in the current table.

The output column in the current table which will contain the joined data, is always a dependent column.

When you click the Finish button:

  • The Column Properties dialog box will appear; you can generally accept the suggested output domain, value range and precision for the output column.

Tip: Experienced users may also join columns from other tables by typing an expression on the TabCalc command line. For more information, see Table calculation : joining columns from other tables. This topic also provides some examples, both for using the wizard and for using the command line.

See also:

Table calculation : joining columns from other tables


Table window

 Columns menu

Aggregate Column

Aggregate the values of a column in the current table. The following aggregation functions are available: Average, Count, Maximum, Median, Minimum, Predominant, Standard deviation, Sum.

  1. All aggregation functions can be used to aggregate the values of a whole column: you obtain one output value. For all records, the same aggregation value will appear.
  2. All aggregation functions can be used to aggregate values in a column per group: use a 'group by' column. Then, for all records that have the same class names or IDs in the selected 'group by' column, the same aggregation value will appear.
  3. The Average, Median, Predominant and Standard Deviation functions can be used to calculate weighted averages, etc.: use a weight column.
    • If you do not select a 'group by' column, you will obtain one output value.
    • If you also select a 'group by' column, you will obtain one aggregation value per group.

You can choose to create a new dependent column in the current table or to create a new dependent column in another table.

Dialog box options:

Column: | Select a column that contains the data that you want to aggregate. This will usually be a column with a value domain.
Function: | Select an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation, or Sum.
Group by: | Select this check box if you want to obtain aggregation values per group. Subsequently select the 'group by' column. This is usually a column with a class or ID domain; you can also select a column with a Bool domain. Clear this check box if you want to aggregate the values of a whole column.
Weight: | For the functions Average, Median, Predominant and Standard Deviation, you can select this check box if you want to use a weight column to calculate weighted averages, etc. A weight column is a column with a value domain. Clear this check box if you do not want to use a weight column.
Output table: | When you use a 'group by' column, you can create a new dependent column in another table, that table needs to have the same domain as the 'group by' column.
Output column: | Type a new column name. A dependent column is created.

The Column Properties dialog box will appear.

Tips:

  • All aggregation functions expect a value column on which the aggregation should be performed; however, the functions Count, Median and Predominant also work on a class or ID input column.
  • You can also aggregate values by typing an expression on the TabCalc command line. For more information, see Aggregate functions.

See also:

TabCalc : aggregate functions


Table window

 Columns menu

Cumulative Column

Calculate the cumulative sum of a column containing values.

Optionally, you can calculate the cumulative sum according to a certain sort order.

Dialog box options:

Column: | Select a value column of which you want to calculate the cumulative sum.
Sort by Column: | Optionally, select a column on which you wish to sort while calculating the cumulative sum.
Output column: | Type a new column name. A dependent column will be created.

The Column Properties dialog box will appear.

Tips:

  • If you choose to sort on a column during a cumulative sum, it is a good idea to sort the table on that column as well: choose Sort from the Columns menu.
  • To calculate sums per group, choose the Aggregate command on the Columns menu.

Command line syntax:

You can also perform the cumulative sum calculation on the command line of the table window. Type one of the following expressions:

outcol = ColumnCumulative(col)

outcol = ColumnCumulative(col, sortcol)

outcol = CUM(col)

outcol = CUM(col, sortcol)

where:

outcol | is the output column name;
col | is the name of the column which contains the values of which you wish to calculate the cumulative sum;
sortcol | is the name of the column on which you wish to sort before calculating the cumulative sum.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Table calculation : overview of operators and functions

CUM


Table window

 Columns menu

Least Squares Fit

This topic consists of the following sections:

1. Functionality

2. Dialog box

3. Command line

4. Algorithm

5. Description of functions

Functionality

The least squares fit operation calculates for all discrete values in two input columns an output value in an output column, according to a certain user-selected function which is supposed to describe the relation between all values in the two input columns. Coefficients for this function are calculated in such a way that the sum of errors is as small as possible (best fit).

The least squares fit operation provides a tool to describe the best fitting relation between two columns in a table. The most common application of this concept is a linear regression which means the two table columns are known or expected to have some linear relationship.

This may be described with the following equation:

Y = a * X + b

where X and Y are known variables (records from the two columns in the table) and where a and b are unknown coefficients.

Usually there is some experimental error present or other deviation from a line describing the relation between X and Y. This means that no values for a and b are possible for a perfect fit. The best fit is found when the sum of the errors is as small as possible. This is the case when the sum of squares of the deviations of all points from the line, indicating the relationship, is as small as possible (see figures below). In other words the sum of squares of the errors on each data point is minimized.

The model used, provides a method for finding the least squares approximation to a set of data points (X, Y). The approximation must be a linear combination of a set basis vectors. The functional form of the approximation (polynomial, exponential etc.) is determined by the user.

To find the least squares fit, X and Y can be represented graphically using one of the five predefined function types: exponential, logarithmic, power law, polynomial or trigonometric.

Then the number of terms can be specified:

  • when using 2 terms in a polynomial function, the function will read:

    • Y = a X + b

  • when using 3 terms in a polynomial function, the function will read:

    • Y = a X 2 + b X + c

  • etc.

By calculating a least squares fit through the Columns menu of a table window, you will thus obtain values in an output column which if plotted in a graph are positioned exactly on the line which represents the best fitting curve through all input points.

Tip:

It might be easier to directly calculate a least squares fit in a graph window.

  • First, create a graph from two columns in a table.
  • Then, in the graph window, choose Add Graph Least Squares Fit from the Edit menu of the graph window;
  • In the appearing Add Graph Least Squares Fit dialog box, select the two input columns again, and select a function how the least squares fit should be calculated.

The results of the least squares fit will then be directly shown as a continuous line in your graph window. The resulting formula can be viewed in the Graph Options - Least Squares Fit dialog box; in this dialog box you can also modify the calculation by choosing another function, etc.

Examples:

The examples below show the relations between column colX and column colY1 and between column colX and column colY2 as a result of a least squares fit.

Fig. 1: The best fit between colX and colY1 using a polynomial function with 2 terms (a straight line) defined by the line:
Y = 49.101 + 1.276 * X

Fig. 2: The best fit between colX and colY2 using an exponential function (always 2 terms) defined by the line:
Y = 42.341302790409 * exp(0.007566547732 * X)

When using the least squares fit operation on the Columns menu of a table window, the output column shows the Y-values which are exactly on the line of the best-fit curve.

Input column requirements:

  • The input columns should both have a value domain.
  • The number of points should be at least 2; points having undefined values for X and/or Y included.
  • The exponential function require that all Y-values have the same sign (either all positive, or all negative) and none of them equals 0.
  • The logarithmic function requires that all X-values have the same sign (either all positive, or all negative) and none of them equals 0.
  • The power law function requires that all X-values are positive and that the Y-values all have the same sign (either all positive or all negative) and none of them equals 0.
  • The trigonometric ('Fourier') function requires at least 3 terms.
  • The number of points must be at least equal to the number of terms selected (undefineds not counted).

Dialog box

The least squares fit operation provides a tool to describe the best fitting relation between two table columns. Usually there is some experimental error present or other deviation from a line describing the relation between X and Y. This means that no values for a and b are possible for a perfect fit. The best fit is found when the sum of the errors (least squares) is as small as possible.

Dialog box options:

X - column: | Select the name of the column representing the x-values (independent variable). For the input column requirements, see above Functionality.
Y - column: | Select the name of the column representing the y-values (dependent variable).
Function: | Select the type of function: Exponential, Logarithmic, Polynomial, Power Law, or Trigonometric. For more information, see Functionality and Algorithm.
Nr. of terms: | Type the number of terms to be used in the formula, describing the best fit. The text box is only available for function types polynomial (minimum 2 terms) and trigonometric (minimum 3 terms).
Output column: | Type the name of the output column that will contain the transformed Y-values (obtained by applying the fitting function to the independent (X) variable, skipping undefined values). A dependent column is created.

The Column Properties dialog box appears.

Tips:

  1. To view the resulting least squares fit formula: double-click the output column name in the table. The Column Properties dialog box appears; then, click the Additional Info button in that dialog box.

  2. To view the results in a graph, choose the Create Graph command from the File menu in the table window.

    3. To display the input values as points:

    • for the X-axis of the graph, use the same column as you used as input X in the least squares fit;
    • for the Y-axis of the graph, use the same column as you used as input Y in the least squares fit;

    A point graph will be directly shown.

    To display the results of the least-squares fit as a line:

    • From the Edit menu in the graph window, choose Add Graph from Columns;
    • In the appearing Add Graph from Columns dialog box:
      • for the X-axis of the graph, select the same X-column as you used in the least squares fit;
      • for the Y-axis of the graph, select the output column of the least squares fit;

    Initially, a point graph will be displayed.

    • Then, double-click this graph layer in the Graph Management pane. In the appearing Graph Options - Graph from Columns dialog box, choose graph type Line.

    Now, a line will be drawn through the calculated values.

  3. It is probably easier to directly perform a least squares fit in a graph window.
    • Create a graph from the input columns, as described above.
    • In the graph window, choose Add Graph Least Squares Fit from the Edit menu of the graph window;
    • In the appearing Add Graph Least Squares Fit dialog box, select the two input columns again, and a function how the least squares fit should be calculated.

    The results of the least squares fit will then be directly shown as a line in your graph window.

Command line

The Least Squares Fit operation can be directly executed by typing one of the following expressions on the command line of the table window:

OUTCOL | = | ColumnLeastSquaresFit(Col1, Col2, Function)
OUTCOL | = | ColumnLeastSquaresFit(Col1, Col2, Function, n)

where:

OUTCOL

is the name of your output column.

ColumnLeastSquaresFit

is the command to start the Least Squares Fit operation.

Col1

is the name of your X-column, i.e. an independent variable with a value domain.

Col2

is the name of your Y-column, i.e. a dependent variable with a value domain.

Function

is the function to be used in the description of the relationship between X and Y. For the function, type either:

exponential | logarithmic | polynomial | power | trigonometric

n

When using a polynomial or trigonometric function:

  • Optional parameter to specify the number of terms to be used in the function.
  • n may not be greater than the number of valid data points, excluding points with undefined X or Y values.
  • If the parameter is omitted, 2 terms will be used for a polynomial function, and 3 terms will be used for a trigonometric function.

When using an exponential, logarithmic or power function:

  • Parameter is not required and can be omitted: always 2 terms will be used.

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the column is calculated.

Algorithm

Given a set of m data points (X,Y) and n unknown coefficients in the fitting function, an m * n matrix (m ≥ n), is constructed. In this matrix, n is the number of basis vectors in the approximation. A basis vector is a function itself defined by the fit type, selected by the user. The accuracy of the fit (goodness of fit) is indicated by the standard deviation:

S.D. = Ö ( S (Yi - F (Xi) )2 / (m - n))

where:

F(Xi) | is the least squares solution at the point Xi.
(Yi - F (Xi)) | is the residual and (m - n) is the degree of freedom to the fit.

Description of functions

Exponential:

This module fits the function: Y = a e b X

where a and b are real numbers to the data points.

A linear equation is obtained by taking the natural logarithm of both sides:

ln(Y) = ln(a) + b X

Note:

The Y-values of the data points must all have the same sign (either all positive or all negative).

Logarithmic:

This module fits the function: Y = a ln(b X)

in which a and b are real numbers to the data points.

A linear equation is obtained rewriting the equation to:

Y = a ln(b) + a ln(X)

Note:

The X-values of the data points must all have the same sign (either all positive or all negative) and none of them equals 0.

Polynomial:

This module uses Chebyshev polynomials to fit a polynomial to the data points.

The Nr of terms must be one greater than the degree of the polynomial. A straight-line least squares fit needs only two terms. The elements of the solution vector S will be as follows:

Sj = aj

where:

aj

is the coefficient of X j - 1

1 <= j <= Nr of terms

2 <= Nr of terms <= Nr data points

Power law:

This module fits the function: Y = a X b

in which a and b are real numbers to the data points.

A linear equation is obtained by taking the natural logarithm of both sides:

ln(Y) = ln(a) + b * ln(X)

Note:

All X-values of the data points must be positive and the Y-values of the data points must all have the same sign (either all positive or all negative) and none of them equals 0.

Trigonometric:

This module fits a finite Fourier series to the data points.

The elements of the solution vector S will be as follows:

Sj = Fj - 1

where:

F j - 1

is the (j - 1)th term in the Fourier series.

1 <= j <= Nr of terms

3 <= Nr of terms <= Nr data points

The first few terms in the Fourier series are:

F0 = 1

F1 = cos(X)

F2 = sin(X)

F3 = cos(2X)

F4 = sin(2X)

F5 = cos(3X)

F6 = sin(3X)

See also:

Graph window : functionality

Add Graph by Least Squares Fit

Graph Options - Least Squares Fit


Column semi-variogram

Table window

 Columns menu

Semi-variogram column

Functionality

For distance values (h) in a Distance column, the Column Semi-variogram operation calculates semi-variogram values (g) according to a semi-variogram model and its parameters as specified by the user. The calculated semi-variogram values are stored in an output column. You can calculate multiple columns with semi-variogram values, e.g. using different semi-variogram models or using different parameters for one semi-variogram model.

The aim of storing modelled semi-variogram values in a column is for instance to be able to assess the 'Goodness of Fit (R2)' between modelled semi-variogram values and experimental semi-variogram values.

This operation is generally used on the output table of Spatial Correlation (see Spatial Correlation : functionality), and presumably after you have fit some semi-variogram models through the experimental semi-variogram values in a graph window (see Graph window : Add Semi-variogram Model).

Input column requirements:

The input column should be a column with positive values representing distance values.

You can generally use the Distance column, the AvgLag column, or the AvgLag1 / AvgLag2 columns stored in the output table of the Spatial Correlation operation:

  • the Distance column contains the center value of each distance interval; the width of the distance interval is equal to the user-specified lag spacing.
  • the AvgLag column contains for each distance interval, the average distance of all point pairs within that distance interval.
  • the AvgLag1 column is available when you used the bidirectional method in Spatial Correlation; it contains the average distance value of point pairs in that distance interval and in the specified direction sector.
  • the AvgLag2 column is available when you used the bidirectional method in Spatial Correlation; it contains the average distance value of point pairs in that interval and in the perpendicular direction sector.

For more information, refer to Spatial Correlation : functionality.

Furthermore, you need to define a complete semi-variogram model.

Domain of output column:

The output column will use system domain Value.

Calculating R2:

To test which semi-variogram model fits the experimental semi-variogram values best, you can calculate goodness of fit (R2), for instance as:

where:

 | are the experimental semi-variogram values calculated by the Spatial Correlation operation; these values are present in columns SemiVar, SemiVar1, SemiVar2 in the output table of the Spatial Correlation operation;
g | are the semi-variogram values calculated by the Column Semi-variogram operation, i.e. the output column name of the Column Semi-variogram operation.
N | total number of distance classes/intervals.

The numerator of the fraction gives the sum of the squared differences between the experimental semi-variogram values and the semi-variogram values calculated by a user-specified semi-variogram model.

The denominator of the fraction gives the sum of the squared differences between the experimental semi-variogram values and the average experimental semi-variogram value of all distance classes/intervals.

The maximum value of R2 is 1, meaning an exact match of semi-variogram values calculated using a certain semi-variogram model and parameters, and experimental semi-variogram values.

Dialog box

For distance values (h) in a Distance column, the Column Semi-variogram operation calculates semi-variogram values (g) according to a semi-variogram model and its parameters as specified by the user. The calculated semi-variogram values are stored in an output column.

Dialog box options:

Distance column:

Select the column that you want to use as the distance column. You can generally select one of the Distance interval columns from the output table of the Spatial Correlation operation: Distance , AvgLag , AvgLag1 , or AvgLag2 .

Semi-variogram:

Choose a model which fits your experimental semi-variogram values; the model and specified parameters define the calculation of semi-variogram values for the values in the selected distance column. You can choose between the Spherical model, Exponential model, Gaussian model, Wave model, Rational Quadratic model, Circular model, or the Power model. For more information on the mathematical formulae of the models, see Semi-variogram models.

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin, to the semi-variogram value at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a value for the sill; the sill is the plateau that the semi-variogram values reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range: Type a value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line); then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Output column:

Type a name for the output column that will contain the calculated semi-variogram values. A dependent column is created.

The Column Properties dialog box appears. The default domain for the output column is system domain Value.

Command line

The Column Semi-variogram operation can be directly executed by typing the following expression on the command line of the table window:

OUTCOL

=

ColumnSemiVariogram(DistanceColumn, SemiVarModel)

where:

OUTCOL | is the name of the output column containing the calculated semi-variogram values.
ColumnSemiVariogram
 | is the command to start the Column Semi-variogram operation.
DistanceColumn | is the column containing distance values. Any column with a value domain is allowed. You can generally use one of the Distance interval columns from the output table of Spatial Correlation. For more information on the contents of these columns, refer to Spatial correlation : functionality.
SemiVarModel | Model(nugget, sill, range) | Power(nugget, slope, pow) This expression defines the semi-variogram model that should be used and its parameters.
Model | Spherical | Exponential | Gaussian | Wave | RatQuad | Circular
nugget | value for the nugget, according to semi-variogram.
sill | value for the sill, according to semi-variogram.
range | value for the range, according to semi-variogram; real value > 0.
slope | when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh.
pow | when using the Power model: an exponent 0 < real value < 2. When you use value 1, the Power model will become linear. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the column is calculated.

Examples:

Examples of complete expressions are for instance:

OUTCOL1 | = | ColumnSemiVariogram(Distance, Spherical(0, 7200, 4500))
OUTCOL2 | = | ColumnSemiVariogram(Distance, Gaussian(200, 7550, 2400))
OUTCOL3 | = | ColumnSemiVariogram(Distance, Power(200, 0.4, 1.2))

Algorithm

For the value encountered in a specified Distance column, a semi-variogram value is calculated according to a specified semi-variogram model and specified model parameters.

Mind:

With the Column Semi-variogram operation, only some discrete semi-variogram values are calculated, namely one semi-variogram value for each distance interval. When you would make a line graph of a Distance column against a column that is the result of the Column Semi-variogram operation, you will see a straight line between any two consecutive calculated semi-variogram values.

To obtain a line graph with continuous semi-variogram values, first make a point graph of a distance column against a semi-variogram column that is the result of the Spatial Correlation operation, then add a semi-variogram model through these experimental semi-variogram values. For more information, see Graph window : Add semi-variogram model.

See also:

Spatial correlation : functionality

Graph window : Add semi-variogram model

Kriging : functionality


Classify column or Column slicing

Table window

 Columns menu

Column Slicing

With Column Slicing, you can classify values in a column.

The upper boundary values of the classes and the class names can be specified in a group domain. A group domain can be created beforehand or during the Column Slicing process.

For example, to classify a column with percentage values ranging from 0 to 100 into 3 classes: Low (0-33%), Moderate (34-66%), High (67-100%), you can create a group domain which reads:

Upper Boundary | Group Name
33 | Low
66 | Moderate
100 | High

Dialog box options:

Column name:

Select a value column which contains the values that you wish to classify.

Domain:

Select the name of a domain Group which was created beforehand, or create a new domain Group (click the little create button).

  • When you click the create button to create a new Group domain, the Create Domain dialog box will appear. After you specified a name for the domain Group and clicked the OK button, the domain Group editor will be opened.
  • Specify upper boundary values and names for the output groups via the Add Item to domain Group dialog box. Optionally, you can edit the colors of the output groups. When finished, you can close the editor.

Output column:

Type a name for the output column that will contain the classified values as groups.

When you click OK, the Column Properties dialog box will appear, stating the expression, the domain of the output column etc. You can accept all defaults.

After you clicked OK in the Column Properties dialog box, the new column with the classified values will appear in your table.

Tips:

  • When a group domain already exists, you can also directly type a classify expression on the command line of the table window:

    • OutputColumn = CLFY(ValueColumn, GroupDomain)

    For more information, see Map and Table Calculation : CLFY function.

Example:

When a table contains a value column MyInputColumn and you created a domain group as above, the output column MyOutputColumn will read:

MyInputColumn | MyOutputColumn
15 | Low
58 | Moderate
66 | Moderate
100 | High
0 | Low
75 | High

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands

Map & Table calculation : CLFY function

How to classify a map or column


Table window

 Records menu

Goto Record

Goto a specific record in the table.

Dialog box options:

Record:

Select a record in the table: depending on the domain of your table, select a class name or ID from the list, or type a record number.

  • The table will scroll to the record and the record will be slightly highlighted.
  • The record will also be displayed in Record View.
  • The order of the records in the table remains the same.

Tip:

You can also click a gray record button in a table to go to a specific record.

See also:

Table window : functionality

Table window : Record View

Table window : toolbar

Table window : menu commands


Table window

 View menu

Confusion Matrix

To assess the accuracy of an image classification, it is common practice to create a confusion matrix. In a confusion matrix, your classification results are compared to additional ground truth information. The strength of a confusion matrix is that it identifies the nature of the classification errors, as well as their quantities.

Tip: The output cross table of a Cross operation on two maps which use a class or ID domain, can also be shown in matrix form. For more information, refer to Cross : functionality.

Preparation:

  • Create a raster map which contains additional ground truth information (such a map is also known as the test set). It is strongly advised that the test set raster map does not contain the same pixels as the sample set raster map from the training phase.
  • Furthermore, the output raster map of the image classification is required.
  • Then, perform a Cross with the ground truth map and the classified map to obtain a cross table.
  • Open the cross table in a table window, and choose Confusion matrix from the View menu in the table window.

The details of these steps are described in How to calculate a confusion matrix.

Dialog box options:

First column: | Select the column with the same name as the ground truth map (or test set).
Second column: | Select the column with the same name as the output map of the Classify operation.
Frequency: | Select the NPix column.

The confusion matrix appears in a secondary window.

Note:

  • If in the dialog box, you choose the ground truth map for the first column, and the classification results for the second column (i.e. the same as shown above), then the ground truth can be found in the rows of the confusion matrix, and the classification results will appear in the columns. You can read the explanation below without further changes.
  • However, if in the dialog box, you choose the classification results as the first column, and the ground truth map for the second column (i.e. reverse as shown above), then the classification results can be found in the rows in the confusion matrix, and the ground truth will appear in the columns. You will then have to read 'columns' instead of 'rows', and 'rows' instead of 'columns' in the remainder of this topic. Furthermore you should read ACC (accuracy) instead of REL (reliability) and vice versa.

Interpretation of a confusion matrix:

Consider the following example of a confusion matrix:

CLASSIFICATION RESULTS

 |  | forest | bush | crop | urban | bare | water | unclass | ACC
GROUND | forest | 440 | 40 | 0 | 0 | 30 | 10 | 10 | 0.83
TRUTH | bush | 20 | 220 | 0 | 0 | 40 | 10 | 20 | 0.71
 | crop | 10 | 10 | 210 | 10 | 50 | 10 | 60 | 0.58
 | urban | 20 | 0 | 20 | 240 | 100 | 10 | 40 | 0.56
 | bare | 0 | 0 | 10 | 10 | 230 | 0 | 10 | 0.88
 | water | 0 | 20 | 0 | 0 | 0 | 240 | 10 | 0.89
 | REL | 0.90 | 0.76 | 0.88 | 0.92 | 0.51 | 0.86 |  |

Average accuracy | = | 74.25%
Average reliability | = | 80.38%
Overall accuracy | = | 73.15%

In the example above:

  • unclass represents the Unclassified column,
  • ACC represents the Accuracy column,
  • REL represents the Reliability column.

Explanation:

  • Rows correspond to classes in the ground truth map (or test set).
  • Columns correspond to classes in the classification result.
  • The diagonal elements in the matrix represent the number of correctly classified pixels of each class, i.e. the number of ground truth pixels with a certain class name that actually obtained the same class name during classification. In the example above, 440 pixels of 'forest' in the test set were correctly classified as 'forest' in the classified image.
  • The off-diagonal elements represent misclassified pixels or the classification errors, i.e. the number of ground truth pixels that ended up in another class during classification. In the example above, 40 pixels of 'forest' in the test set were classified as 'bush' in the classified image.
    • Off-diagonal row elements represent ground truth pixels of a certain class which were excluded from that class during classification. Such errors are also known as errors of omission or exclusion. For example, 50 ground truth pixels of 'crop' were excluded from the 'crop' class in the classification and ended up in the 'bare' class.
    • Off-diagonal column elements represent ground truth pixels of other classes that were included in a certain classification class. Such errors are also known as errors of commission or inclusion. For example, 100 ground truth pixels of 'urban' were included in the 'bare' class by the classification.
  • The figures in column Unclassified represent the ground truth pixels that were found not classified in the classified image.

Accuracy (also known as producer's accuracy): The figures in column Accuracy (ACC) present the accuracy of your classification: it is the fraction of correctly classified pixels with regard to all pixels of that ground truth class. For each class of ground truth pixels (row), the number of correctly classified pixels is divided by the total number of ground truth or test pixels of that class. For example, for the 'forest' class, the accuracy is 440/530 = 0.83 meaning that approximately 83% of the 'forest' ground truth pixels also appear as 'forest' pixels in the classified image.

Reliability (also known as user's accuracy): The figures in row Reliability (REL) present the reliability of classes in the classified image: it is the fraction of correctly classified pixels with regard to all pixels classified as this class in the classified image. For each class in the classified image (column), the number of correctly classified pixels is divided by the total number of pixels which were classified as this class. For example, for the 'forest' class, the reliability is 440/490 = 0.90 meaning that approximately 90% of the 'forest' pixels in the classified image actually represent 'forest' on the ground.

The average accuracy is calculated as the sum of the accuracy figures in column Accuracy divided by the number of classes in the test set.

The average reliability is calculated as the sum of the reliability figures in column Reliability divided by the number of classes in the test set.

The overall accuracy is calculated as the total number of correctly classified pixels (diagonal elements) divided by the total number of test pixels.

From the example above, you can conclude that the test set classes 'crop' and 'urban' were difficult to classify as many of such test set pixels were excluded from the 'crop' and the 'urban' classes, thus the areas of these classes in the classified image are probably underestimated. On the other hand, class 'bare' in the image is not very reliable as many test set pixels of other classes were included in the 'bare' class in the classified image, thus the area of the 'bare' class in the classified image is probably overestimated.

Note:

The results of your confusion matrix highly depend on the selection of ground truth / test set pixels. You may find yourself in a situation of the chicken-egg problem with your sample set, the classification result and your test set. On the one hand, you want to have as many correct sample set pixels as possible so that the classification will be OK; on the other hand, you also need to have an ample number of correct ground truth pixels for the test set to be able to assess the accuracy and reliability of your classification. Using the same data for both the sample set and the test set will produce far too optimistic figures in the confusion matrix. It is mathematically correct to use half of your ground truth data for the sample set and the other half for the test set.

See also:

Classify operation

How to calculate a confusion matrix


Table window : mouse functions

Table window

Mouse functions

Moving the mouse pointer over:

  • Move the mouse pointer over column header:

    • the status bar gives a hint to double-click the column in order to edit the Column Properties. The status bar also shows the column name and its description.

  • Move the mouse pointer over a record button:

    • the status bar gives a hint to click the record button and show the record in Record View.

  • Move the mouse pointer over a field in the table:

    • the status bar gives information on the column name and the description of the column.

  • The Column Management button [image] : the status bar gives a hint to click the button to open the Column Management dialog box.

Clicking:

  • Click a field: to Edit the field.

    Mind: Fields of dependent columns cannot be edited.

  • Click a column header: to select the column.

    • You can for instance use the context-sensitive menu (after selecting the column, click the selection with the right mouse button):

    • to Sort the table on this column in ascending or descending order,
    • to Copy the column into the clipboard, etc.

  • Click a record button: to show and optionally edit the selected record in Record View.

    • You can for instance use the context-sensitive menu (after selecting the column, click the selection with the right mouse button):

    • to Edit the fields in the record in a special dialog box,
    • to Copy the record into the clipboard, etc.

  • The Column Management button [image] : to open the Column Management dialog box.

Double-clicking:

  • Double-click a column header: to open the Column Properties dialog box.

    • In case of dependent columns created by an earlier TabCalc expression, you can set or change the TabCalc expression to redefine and/or recalculate the column. You can also set or change the column's domain, value range, precision, etc. in this dialog box.

    Furthermore, for any column type, you can change the position of the column in the table, or set or change the width of the column. In case of a value column, you can also set or change the number of decimals shown.

  • Double-click to the right of the last column header: to add a new editable column. The Add Column dialog box will appear.

Dragging:

  • Drag the end of a column header to the right or to the left: to increase or to decrease the width of the column. When you are at the right position to start dragging, the mouse pointer changes to a double-sided arrow.

  • Drag a column header to another position in the table: to move the column to another position in the table. While moving the column, the mouse pointer changes into a grayish column icon.

  • Drag the mouse pointer over a number of fields or records: to select these fields or records.

    • Subsequently, you can:

    • edit the selected fields or edit the selected records, see Edit fields in a single column or Edit fields in multiple columns,
    • Copy the selection into the clipboard,
    • Paste table data from clipboard into the selection,
    • Clear or Delete the selection,
    • Print the selection.

    Tip:

    To select multiple columns: click the first column of a sequence of columns, press and hold the Shift key down, and click the last column of a sequence of columns.

Clicking the right mouse button:

  • Click a selection of fields, columns, or records with the right mouse button: to Copy, Paste, Clear or Delete, or Edit the selection (for edit, see Edit fields in a single column or Edit fields in multiple columns).

  • Click a selected single column with the right mouse button: to Copy, Paste, Delete, or Edit the selection, to Sort the table on this column in ascending or descending order, or to view/edit the properties of the column.

See also:

Table window : functionality

Table window : toolbar

Table window : command line

Table window : menu commands


Graph window

Contents

Functionality

Examples of graphs

Graph Management

Toolbar

Menu commands


Graph window : functionality

Graph window

Functionality

In a graph window, you can show the following types of graphs:

  • Graphs from Columns, i.e. distinct values available in columns of a table; the graph can be shown in a number of manners:

    • as points: this is also known as a scatter gram,
    • as bars: this is also known as a bar chart,
    • as a line: connecting the successive distinct Y-values by the shortest possible line,
    • as needles: vertical lines from the X-axis to each distinct Y-value,
    • as steps: connecting successive distinct Y-values by a horizontal + vertical line,
  • Graphs from Formula, i.e. a continuous line showing a Y-value for every X-value according to a completely user-defined function,
  • Least Squares Fit, i.e. a continuous line displaying the best fit through distinct points according using a certain user-selected function while coefficients are calculated by the program,
  • Semi-variogram Models, to find the best line through experimental semi-variogram values (distance values h against semi-variogram values g),

You can display multiple graph types listed above in one graph window.

Furthermore, Rose diagrams can be created, to plot directions against a Y-value.

A graph window consists of a viewer which displays your graph, a Graph Management pane, menu bar, a toolbar and a status bar. Furthermore, a context-sensitive menu is available within the Graph Management pane.

For examples of different graphs, see Graph window : examples of graphs.

To create a new graph:

To obtain a graph window containing a new graph:

  • open the table which contains the column(s) from which you wish to create a graph,
  • choose Create Graph or Create Rose Diagram from the File menu in the table window.

The Create Graph dialog box or the Create Rose Diagram dialog box will be opened. After you selected the column(s), a new graph window will be opened.

To create a graph, you can also:

  • click the Graph button [image] in the toolbar of a table window,
  • use the New Graph command in the Operation-tree or the Operation-list, or
  • click a table with the right mouse button in a Catalog, and choose the Create Graph or the Create Rose Diagram command from the context-sensitive menu.

To add graph layers to the graph window:

To add more graph layers to the graph window, use the Add Graph command on the Edit menu of the graph window, and choose the type of graph you wish to add to the graph window. You can also click the (arrow next to the) Add Graph [image] button in the toolbar of the graph window.

Depending on whether you choose to add another graph from columns, a graph from formula, a least squares fit, or a semi-variogram model:

  • the Add Graph from Columns dialog box will appear,
  • the Add Graph from Formula dialog box will appear,
  • the Add Graph Least Squares Fit dialog box will appear,
  • the Add Semi-variogram Model dialog box will appear.

The new graph layer will be displayed on top of the other layers that are currently displayed.

Any layer that is added to a graph window is also added to the Graph Management pane of the graph window.

To (temporarily) remove graph layers from the graph window:

To temporarily hide or show a graph layer:

  • click the [image] box or the [image] box in front of a graph layer in the Graph Management pane (toggle).

To remove a graph layer:

  • in Graph Management pane, select the graph layer you wish to remove, and
  • click the Remove Layer [image] button in the toolbar of the graph window, or
  • choose Remove Layer from the Edit menu, or
  • click the layer with the right mouse button and choose Remove Layer from the context-sensitive menu.

To change the appearance of a graph layer:

By double-clicking a graph layer in the Graph Management pane, you can modify:

  • name of the graph layer,
  • the display options of the graph such as color, line width, symbols, etc.,

Depending on whether you double-click a graph from columns, a graph from formula, a least squares fit, a semi-variogram model, or a rose diagram:

  • the Graph Options - Graph from Columns dialog box will appear,
  • the Graph Options - Graph from Formula dialog box will appear,
  • the Graph Options - Least Squares Fit dialog box will appear,
  • the Graph Options - Semi-variogram Model dialog box will appear,
  • the Graph Options - Rose Diagram dialog box will appear.

In these dialog boxes, you can also:

  • for a graph from columns: choose whether the graph should be displayed as points, bar, line, needle or step,
  • for a graph from formula: modify the formula,
  • for a least squares fit: choose another function to calculate the least squares fit, and/or change parameters when using a Polynomial or Trigonometric function,
  • for a semi-variogram model: choose another model to calculate semi-variogram values, and/or change the values of nugget, sill, range, etc.

For more information, refer to Graph Management.

To adapt the X-axis, Y-axis (left or right) or title of the graph:

You can change for instance the range of the X-axis, the range of the Y-axis (left or right), the texts shown next to axes, and/or the title of the graph:

  • by double-clicking an axis or the graph title directly in the graph window, or
  • by double-clicking the appropriate item in the Graph Management pane.

The X-axis, Y-axis (left), or the Y-axis (right) or the Title dialog box will appear.

In the axis dialog boxes, you can also specify whether you wish to view grid lines or not.

To hide or show the legend of all layers added to a graph window:

In the Graph Management pane:

  • click the check box in front of the legend item [image],
    • to show [image] the legend, or
    • to hide [image] the legend (toggle).

To move the legend to another position:

In a graph window:

  • click the legend, hold the left mouse button down, and drag the legend to another position.

To save a graph:

To save all layers in the graph window as a graph:

  • first, make the graph viewer of graph window active (click in the viewer),
  • choose Save or Save As from the File menu of the graph window, or
  • click the Save [image] button in the toolbar of the graph window.

When you save a graph for the first time, the Save As dialog box will appear.

To print a graph:

To print the contents of the current graph window:

  • first, make the graph viewer of graph window active (click in the viewer),
  • then, choose Print from the File menu of the graph window, or
  • click the Print [image] button in the toolbar of the graph window.

Before a graph is printed, first a Print Options dialog box will appear.

Other functionality:

To open another existing graph in the current graph window:

  • choose Open from the File menu, or
  • click the Open [image] button in the toolbar.

To open the table from which the graph was constructed:

  • choose Open Table from the File menu, or
  • double-click the table listed in the Graph Management pane.

To copy the contents of the graph window as a picture to clipboard, so that this can be pasted into an ILWIS layout, or into any other Windows application, for instance into a word processor:

  • make the graph viewer active,
  • then choose Copy from the Edit menu, or
  • click the Copy [image] button in the toolbar.

The graph(s) in a graph window are automatically resized when you change the size of the graph window.

See also:

Graph window : examples of graphs

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

ILWIS objects : graphs


Graph window : examples of graphs

Graph window

Examples of graphs

Graph types:

In a graph window, you can show the following types of graphs:

  1. Graphs from Columns, i.e. distinct values available in columns of a table; the graph can be shown in a number of manners:

    • as points: also know as a scatter gram:

    • as bars: also known as a bar chart:

    • as a line: connecting the successive distinct Y-values by the shortest possible line:

    • as needles: vertical lines from the X-axis to each distinct Y-value:

    • as steps: connecting successive distinct Y-values by a horizontal + vertical line:

  2. Graphs from Formula, i.e. a continuous line showing a Y-value for every X-value according to a completely user-defined function:

  3. Least Squares Fit, i.e. a continuous line displaying the best fit through distinct points according using a certain user-selected function while coefficients are calculated by the program:

  4. Semi-variogram Models, to find the best line through experimental semi-variogram values (distance values h against semi-variogram values g):

  5. Rose diagrams, to plot directions against a Y-value:

Tips:

  • In a graph window, you can display multiple Graphs from Columns together with multiple Graphs from Formula, Graphs by Least Squares Fit, and/or Semi-variogram Models.
  • A rose diagram can only be displayed together with other rose diagrams.

Axis types:

When using a value column for an axis, you can choose, for X-axis, left Y-axis, and right Y-axis, to use a Linear axis, a Logarithmic axis or a Normal Probability axis.

Examples of different types of X-axes are shown below.

See also:

Graph Options - Graph from Columns | Graph window : functionality
Graph Options - Graph from Formula | Graph window : Graph Management
Graph Options - Least Squares Fit | Graph window : toolbar
Graph Options - Semi-variogram Model | Graph window : menu commands
Graph Options - Rose Diagram | ILWIS objects : graphs


Graph window : Graph Management

Graph window

Graph Management

The Graph Management pane is by default located along the left hand side of a graph window. It lists the table from which the graph was created, the X-axis, Y-axes (left and right) and all graph layers that were added to the current graph window.

The upper part of the Graph Management pane contains information on the title of the graph, the legend of the graph, the table from which the graph was created, and the X-axis, Y-axis (left) and Y-axis (right). All items are editable, except for the table name.

Graph layers are listed at the lower part of the Graph Management pane. They are preceded by a check box to show or hide the layer (show [image] or hide [image]). You can modify the name of each graph layer and the appearance of each graph layer.

In short, the Graph Management pane allows you:

Title: | To edit the title of the graph.
Legend: | To show or hide the legend of the graph.
Table: | To open the table from which the graph was created.
X-Axis, Y-axis: | To edit the appearance of the X-Axis, Y-axis Left or Y-Axis Right (including a description of the axes and grid lines).
Axis Text: | To edit the additional text describing an axis.
Min/Max value: | To change the minimum and maximum value used on an axis.
 | To show/hide a graph layer and to change the display options of a graph layer.

Individual graph layers can be switched on [image] or off [image]; also the legend can be switched on or off.

The right mouse button can for instance be used to remove a graph layer, or to add another graph layer.

You can move the Graph Management pane and dock it along the right hand side or the left hand side of a graph window; you can also make the Graph Management pane floating. The Graph Management pane can be hidden or shown with the Graph Management command on the View menu. Some of the actions that are available via the Graph Management pane are also available in the graph window itself or via the context-sensitive menu.

Functionality

The functionality is described in three small sections:

1. Title, legend, table

2. Axes

3. Graph layers

You can furthermore refer to the Example below.

1. Title, legend, table

To edit the title of the graph:

  • Double-click the first [image] Text item in the Graph Management pane, i.e. the item just below the [image] Graph item.
  • The Title dialog box will appear.

Settings include text of title, font, font size, etc.

Tip: To edit the title of a graph, you can also directly double-click the title in the graph window itself.

To hide or show the legend in the graph window:

  • Click the [image] show or [image] hide check box in front of the [image] Legend item (toggle).

Tip: To move the legend in a graph window, click the legend in the graph window and drag it to another position.

To open the table from which the graph was created:

  • Double-click the [image] Table item.

2. Axes

To change the settings of the X-axis or Y-axis (left or right)

  • Double-click one of the following items:

    • to modify the X-axis; the X-axis dialog box will appear.

    to modify the Y-axis (left); the Y-axis (left) dialog box will appear.

    to modify the Y-axis (right); the Y-axis (right) dialog box will appear.

    Click the check box to show [image] or to hide [image] a Y-axis on the right of the graph in the graph window (toggle).

Settings include among others additional text for an axis, axis type (linear, logarithmic, or normal probability), minimum and maximum values used by an axis, interval, grid lines, font and font size.

Tips:

  • To change the settings of the axes, you can also directly double-click an axis in the graph window itself.
  • For examples of different types of axes, see Graph window : examples of graphs.

To change the values used on the X-axis or the Y-axis (left or right):

  • Double-click one of the values listed below the [image] X-Axis item, the [image] Y-Axis Left item, or the [image] Y-Axis Right item.
  • You can type another minimum or maximum value to be used for the axis without dialog box.

To edit the additional text for an axis:

  • Double-click the [image] text item listed below the [image] X-Axis item, the [image] Y-Axis Left item, or the [image] Y-Axis Right item.
  • You can type another text describing the axis without dialog box.

3. Graph layers

To show or hide a graph layer:

  • Click the [image] show or [image] hide check box in front of a graph layer (toggle).

To modify the appearance of a graph layer:

  • Double-click a graph layer in the Graph Management pane.
  • Depending on whether you double-clicked a graph from columns, a graph from formula, a least squares fit, a semi-variogram model, or a rose diagram:
    • the Graph Options - Graph from Columns dialog box will appear.
    • the Graph Options - Graph from Formula dialog box will appear;
    • the Graph Options - Least Squares Fit dialog box will appear.
    • the Graph Options - Semi-variogram Model dialog box will appear,
    • the Graph Options - Rose diagram dialog box will appear.

Settings include name of the graph layer, symbol type, size, line type, color, etc.

To add a graph layer:

  • Use the right mouse button in the white space of the Graph Management pane, and
  • choose Add Graph from the context-sensitive menu.
  • Depending on whether you selected to add a graph from columns, a graph from formula, a least squares fit or a semi-variogram model:
    • the Add Graph from Columns dialog box will appear,
    • the Add Graph from Formula dialog box will appear,
    • the Add Graph Least Squares Fit dialog box will appear,
    • the Add Semi-variogram Model dialog box will appear.

Tip: To add a graph layer to the graph window, you can also use the Add Graph command on the Edit menu, or the Add Graph [image] button in the toolbar.

To change the order of graph layers:

  • Drag a graph layer to another position in the list.

To remove a graph layer:

  • Use the right mouse button on a graph layer, and
  • choose Remove Layer from the context-sensitive menu.

Tip: To remove a graph layer from a graph window, you can also use the Remove Layer command on the Edit menu, or the Remove Layer [image] button in the toolbar.

Example

The functionality of the Graph Management pane will be demonstrated by an example shown in the graph window below. The graph window shows:

  • points of columns 'val' (a column with values) and 'val2' (another column with values),
  • a least squares graph as a line.

Title: Double-click to edit the title of the graph, select a font, font size etc. for the title in the Title dialog box.

Legend: Click the check box to show [image] the legend in the graph window, or to hide [image] the legend from the graph window (toggle).

Table name: Double-click to open the table from which the graph was created, or click with the right mouse button and choose Open from the context-sensitive menu.

X-axis: Double-click to change the settings of the X-axis in the X-axis dialog box. Settings include among others axis text, type of axis (linear, logarithmic, normal probability), minimum and maximum values used by the axis, interval, grid lines, font and font size.

Text: Double-click to directly change the additional text describing the X-axis.

Minimum value: Double-click to directly change the minimum value for the X-axis.

Maximum value: Double-click to directly change the maximum value for the X-axis.

Y-axis (left): Double-click to change the settings of the Y-axis (displayed on the left of the graph) in the Y-axis (left) dialog box. Settings include among others axis text, type of axis (linear, logarithmic, normal probability), minimum and maximum values used by the axis, interval, grid lines, font and font size.

Text: Double-click to directly change the additional text describing the Y-axis.

Minimum value: Double-click to directly change the minimum value for the Y-axis.

Maximum value: Double-click to directly change the maximum value for the Y-axis.

Y-axis (right):

Click the check box to show [image] or to hide [image] a Y-axis on the right of the graph in the graph window (toggle).

Double-click to change the settings of the Y-axis (displayed on the right of the graph) in the Y-axis (right) dialog box. Settings include among others axis text, type of axis (linear, logarithmic, normal probability), minimum and maximum values used by the axis, interval, grid lines, font and font size.

Text: Double-click to directly change the additional text describing the Y-axis on the right.

Minimum value: Double-click to directly change the minimum value for the Y-axis on the right.

Maximum value: Double-click to directly change the maximum value for the Y-axis on the right.

Graph layer: Double-click to change the display options of this graph layer.

As this layer is a least squares fit, the Graph Options - Least Squares Fit dialog box will appear. Settings include among others name of the graph layer, line type, color, line width, and function used to calculate the least squares fit.

Columns: The name of the columns in the table from which this least squares fit was calculated.

Graph layer: Double-click to change the display options of this graph layer.

As this layer is a point graph from two columns in the table, the Graph Options - Graph from Columns dialog box will appear. Settings include among others name of the graph layer, graph type (line, bar, points), symbol type or line type, color, size, etc.

Columns: The name of the columns in the table that are shown as points in this graph layer.

Tips:

  • To add a graph layer to the graph window, you can also use the Add Graph command on the Edit menu, or the Add Graph button in the toolbar.
  • To edit the title of a graph, you can also directly double-click the title in the graph window itself.
  • To change the settings of the axes, you can also directly double-click an axis in the graph window itself.
  • To remove a graph layer from a graph window, you can also use the Remove Layer command on the Edit menu, or the Remove Layer button in the toolbar.

See also:

Graph window : functionality

Graph window : examples of graphs

Graph window : toolbar

Graph window : menu commands

ILWIS objects : graphs


Graph window

 Graph Management

Graph Options - Graph from Columns

Modify the name and/or the appearance (i.e. display options) of the selected graph from columns.

This dialog box appears:

  • when you double-click an existing graph from columns in the Graph Management pane;
  • when you click an existing graph from columns with the right mouse button in the Graph Management pane, and select Graph Options from the context-sensitive menu.

Dialog box options:

Name: | Optionally, modify the name of this graph from columns. The name of the graph layer is visible in the Graph Management pane and in the legend of the graph window.
Graph type: | Select how the graph should be displayed: Line, Step, Bar, Needle, Point. For some examples of graph types, see the Examples section below.

For graph type bar:

For graphs which use a class domain on the X-axis (bar diagram). See also the Examples section below.

Single color: | Use a single color for all bars of the current Y-column; select a color from the list.
Representation colors: | Use the representation of the class domain of the X-axis for all bars of the current Y-column.

For graph type point:

For graphs where the distinct values of the X-column and the Y-column are displayed as points (scatter diagram). See also the Examples section below.

Symbol type: | Select the symbol type to display the points: circle, square, diamond, delta up, delta down, plus, minus, or cross.
Size: | Specify a value for the symbol size. Symbol size is expressed in points (1/72 inch), i.e. as choosing a font size in word processing packages.
Color: | For symbol type circle, square, diamond, delta up, or delta down: Select a color to fill the symbols with. To obtain symbols which are not filled, select Transparent.
Line width: | Specify a value for the line width for the symbols. Line width values are expressed in screen pixels (for on the screen) and in dots (for on the printer).
Line color: | Select a color to draw the (outer lines of) symbols. To create your own color, click the little create button or select the 'Custom' item at the bottom of the list; the Windows Color dialog box will appear.

For graph type line:

For graphs where the distinct successive values of the Y-column are connected by the shortest possible line. See also the Examples section below.

Line type:

Select a line type in which the graph should be displayed.

Color:

Select a color with which the graph should be displayed.

To define your own color, click the little create button or select the 'Custom' item at the bottom of the list; then, the Windows Color dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash Dot, Dash Dot Dot and Symbol:

  • Select this check box when an extra support line should be drawn below the selected line type. Subsequently, specify the color of the support line in the Background Color list box in this dialog box.
  • Clear this check box when the line should be drawn in a single color.

Background color:

When a support line is specified for line types Single, Dot, Dash, Dash Dot, Dash Dot Dot or Symbol: select an extra color for the support line.

For line types Double, Triple or Blocked, select an extra color for the inner part of a double, triple or blocked line.

Line width (mm):

Specify the line width (mm) with which the graph should be drawn in the graph window and in which the graph should be printed.

  • When you accept the default line width of 0.0, the line will be drawn as fine as possible (hair line), i.e using a width of 1 pixel on the screen, and a width of 1 dot on a printer.
  • When a support line is specified, this option refers to the line width of the support line; the selected line type will be drawn as fine as possible.

Block distance (mm):

For line type Blocked:

Type a value for the distance between the blocks (mm).

For line type Symbol:

Click the Symbol button to select a symbol, a symbol size, and a rotation. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Symbol distance (mm):

For line type Symbol:

Specify a value for the distance between the symbols.

For graph type step or needle:

Step: For graphs where the distinct successive Y-values should be connected by a horizontal and vertical line. Needle: For graphs where a vertical line should be drawn from the X-axis to each distinct Y-value. See also the Examples section below.

Color:

Select a color in which the graph should be drawn.

Other options:

Use Y-axis Left / Right:

Select whether you wish to display the values while using the Y-axis on the left or the Y-axis on the right.

Mind: The Y-axis Right has to be switched on manually in the Graph Management pane.

Tips:

  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To add another graph from columns to the current graph window, choose Add Graph from Columns from the Edit menu in the graph window, or click the Add Graph button [image] in the toolbar of the graph window, and choose the from Formula command; the Add Graph from Columns dialog box will appear.
  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

Examples:

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Add graph from columns (dialog box)


Graph window

 Graph Management

Graph Options - Graph from Formula

Modify the name, the appearance (i.e. display options), and/or the formula of the selected graph from formula.

This dialog box appears:

  • when you double-click an existing graph from formula in the Graph Management pane;
  • when you click an existing graph from formula with the right mouse button in the Graph Management pane, and select Graph Options from the context-sensitive menu.

Dialog box options:

Name:

Optionally, modify the name of this graph from formula. The name of the graph layer is visible in the Graph Management pane and in the legend of the graph window.

Line type:

Select a line type in which the graph from formula should be displayed.

Color:

Select a color with which the graph should be displayed.

To define your own color, click the little create button or select the 'Custom' item at the bottom of the list; then, the Windows Color dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash Dot, Dash Dot Dot and Symbol:

  • Select this check box when an extra support line should be drawn below the selected line type. Subsequently, specify the color of the support line in the Background Color list box in this dialog box.
  • Clear this check box when the line should be drawn in a single color.

Background color:

When a support line is specified for line types Single, Dot, Dash, Dash Dot, Dash Dot Dot or Symbol: select an extra color for the support line.

For line types Double, Triple or Blocked, select an extra color for the inner part of a double, triple or blocked line.

Line width (mm):

Specify the line width (mm) with which the graph should be drawn in the graph window and in which the graph should be printed.

  • When you accept the default line width of 0.0, the line will be drawn as fine as possible (hair line), i.e using a width of 1 pixel on the screen, and a width of 1 dot on a printer.
  • When a support line is specified, this option refers to the line width of the support line; the selected line type will be drawn as fine as possible.

Block distance (mm):

For line type Blocked:

Type a value for the distance between the blocks (mm).

For line type Symbol:

Click the Symbol button to select a symbol, a symbol size, and a rotation. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Symbol distance (mm):

For line type Symbol:

Specify a value for the distance between the symbols.

Formula: y =

Optionally, modify the formula/expression which defines your function y=f(x).

  • The outcome of the expression will be used as the Y values.
  • In the expression, you can only use X as a parameter, representing the values of the current X-axis.
  • Furthermore, you can use all existing TabCalc operators and functions which work on values.

Tips:

  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To add another graph from formula to the current graph window, choose Add Graph from Formula from the Edit menu in the graph window or click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and choose the from Formula command; the Add Graph from Formula dialog box will appear.
  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Add Graph from Formula

Table calculation : overview of operators and functions on values


Graph window

 Graph Management

Graph Options - Least Squares Fit

Modify the name, the appearance (i.e. display options), view the resulting least square fit formula, and/or select another function to recalculate the selected graph by least squares fit.

This dialog box appears:

  • when you double-click an existing graph by least squares fit in the Graph Management pane;
  • when you click an existing graph by least squares fit with the right mouse button in the Graph Management pane, and select Graph Options from the context-sensitive menu.

Dialog box options:

Name:

Optionally, modify the name of this graph by least squares fit. The name of the graph layer is visible in the Graph Management pane and in the legend of the graph window.

Line type:

Select a line type in which the graph by least squares fit should be displayed.

Color:

Select a color with which the graph should be displayed. To define your own color, click the little create button or select the 'Custom' item at the bottom of the list; then, the Windows Color dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash Dot, Dash Dot Dot and Symbol:

  • Select this check box when an extra support line should be drawn below the selected line type. Subsequently, specify the color of the support line in the Background Color list box in this dialog box.
  • Clear this check box when the line should be drawn in a single color.

Background color:

When a support line is specified for line types Single, Dot, Dash, Dash Dot, Dash Dot Dot or Symbol: select an extra color for the support line.

For line types Double, Triple or Blocked, select an extra color for the inner part of a double, triple or blocked line.

Line width (mm):

Specify the line width (mm) with which the graph should be drawn in the graph window and in which the graph should be printed.

  • When you accept the default line width of 0.0, the line will be drawn as fine as possible (hair line), i.e using a width of 1 pixel on the screen, and a width of 1 dot on a printer.
  • When a support line is specified, this option refers to the line width of the support line; the selected line type will be drawn as fine as possible.

Block distance (mm):

For line type Blocked:

Type a value for the distance between the blocks (mm).

For line type Symbol:

Click the Symbol button to select a symbol, a symbol size, and a rotation. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Symbol distance (mm):

For line type Symbol:

Specify a value for the distance between the symbols.

Function:

Optionally, select another function to recalculate the least squares fit. The following functions are available: Exponential, Logarithmic, Polynomial, Power Law, and Trigonometric. For more information, see the Add Graph Least Squares Fit dialog box.

Nr. of terms:

When using the Polynomial or Trigonometric function, specify the number of terms that the function should use.

Least Squares Fit equation:

View the resulting formula of the (previous) least squares fit calculation.

Tips:

  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To add another graph from formula to the current graph window, choose Add Graph from Formula from the Edit menu in the graph window or click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and choose the Least Squares Fit command; the Add Graph Least Squares Fit dialog box will appear.
  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.
  • You can also perform a least squares fit on columns in a table, where the resulting Y-value will be written into a new output column. In the table window, choose the Least Squares command from the Columns menu. For more information, see Table window : Least squares fit.

Available functions:

Exponential: | y = a * ebx
Logarithmic: | y = a * log(b* x)
Polynomial: | y = a + b* x + c* x2 + d* x3 + ...
Power Law: | y = a * xb
Trigonometric: | y = a + b * cos(x) + c * sin(x) + ...

Examples:

Example 1:

The values of column ColX and column ColY1 are used to create a Graph from Columns (the red points in Figure 1 below). Then, by adding a Graph by Least Squares Fit, in this case using a polynomial function with 2 terms, the 'best' fit is found through these points (the black line in Figure 1 below).

The resulting formula is Y = 49.101 + 1.276 * X and can be viewed on the Graph Options - Least Squares Fit dialog box.

Fig. 1: A least squares fit using a polynomial function. The Least Squares Fit line is defined by Y = 49.101 + 1.276 * X

Example 2:

The values of column ColX and column ColY2 are used to create a Graph from Columns (the red points in Figure 1 below). Then, by adding a Graph by Least Squares Fit, in this case using an exponential function, the 'best' fit is found through these points (the black line in Figure 1 below).

The resulting formula is Y = 42.341302790409 * exp(0.007566547732 * X) and can be viewed in the Graph Options - Least Squares Fit dialog box.

Fig. 2: A least squares fit using an exponential function. The Least Squares Fit line is defined by Y = 42.341302790409 * exp(0.007566547732 * X)

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Add Graph Least Squares Fit (dialog box)

Table window : Least squares fit


Graph window

 Graph Management

Graph Options - Semi-variogram Model

Modify the name, the appearance (i.e. display options), and/or the semi-variogram model itself.

For more information on semi-variograms, see Graph window : Add semi-variogram model and Formulae of semi-variogram models.

This dialog box appears:

  • when you double-click an existing semi-variogram model in the Graph Management pane;
  • when you click an existing semi-variogram model with the right mouse button in the Graph Management pane, and select Graph Options from the context-sensitive menu.

Dialog box options:

Name:

Optionally, modify the name of this semi-variogram model. The name of the graph layer is visible in the Graph Management pane and in the legend of the graph window.

Line type:

Select a line type in which the semi-variogram model should be displayed.

Color:

Select a color with which the graph should be displayed.

To define your own color, click the little create button or select the 'Custom' item at the bottom of the list; then, the Windows Color dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash Dot, Dash Dot Dot and Symbol:

  • Select this check box when an extra support line should be drawn below the selected line type. Subsequently, specify the color of the support line in the Background Color list box in this dialog box.
  • Clear this check box when the line should be drawn in a single color.

Background color:

When a support line is specified for line types Single, Dot, Dash, Dash Dot, Dash Dot Dot or Symbol: select an extra color for the support line.

For line types Double, Triple or Blocked, select an extra color for the inner part of a double, triple or blocked line.

Line width (mm):

Specify the line width (mm) with which the graph should be drawn in the graph window and in which the graph should be printed.

  • When you accept the default line width of 0.0, the line will be drawn as fine as possible (hair line), i.e using a width of 1 pixel on the screen, and a width of 1 dot on a printer.
  • When a support line is specified, this option refers to the line width of the support line; the selected line type will be drawn as fine as possible.

Block distance (mm):

For line type Blocked:

Type a value for the distance between the blocks (mm).

For line type Symbol:

Click the Symbol button to select a symbol, a symbol size, and a rotation. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Symbol distance (mm):

For line type Symbol:

Specify a value for the distance between the symbols.

Semi-variogram:

Choose a model which fits your experimental semi-variogram values and which later on can be used in the Kriging operation to calculate the values for the semi-variogram function g(h). You can choose between the Spherical model, Exponential model, Gaussian model, Wave model, Rational Quadratic model, Circular model, or the Power model. For more information on the mathematical formulae of the models, see Formulae of semi-variogram models.

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin, to the semi-variogram value at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a value for the sill; the sill is the plateau that the semi-variogram values reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line); then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Tips:

  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To add another semi-variogram model to the current graph window, choose Add Graph Semivariogram Model from the Edit menu in the graph window, or click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and choose the Semivariogram Model command; the Add Graph Semivariogram Model dialog box will appear.
  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.
  • To store semi-variogram values in a column and to evaluate which model and parameters give the best fit through your experimental semi-variogram values, choose the Semi-variogram command on the Columns menu in the table window. The Column Semivariogram dialog box will appear.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph window : Add Semi-variogram Model

Column Semi-variogram


Graph window

 Graph Management

Graph Options - Rose Diagram

Modify the name and/or the appearance (i.e. display options) of the selected rose diagram.

The option Rose Diagram is designed to display the output of the Segment direction histogram operation in graphical format.

This dialog box appears:

  • when you double-click an existing rose diagram in the Graph Management pane,
  • when you click an existing rose diagram with the right mouse button in the Graph Management pane, and select Graph Options from the context-sensitive menu.

Dialog box options:

Name: | Optionally, modify the name of this rose diagram. The name of the graph layer is visible in the Graph Management pane and in the legend of the graph window.
Line: | Select this option to connect the value of a record (Y values) with the value of the next record through a straight line.
Step: | Select this option to connect the value of a record (Y values) with the value of the next record through a step-wise line.
Needle: | Select this option to obtain a separate line in the rose diagram for every record (Y values) in the table. Every line will at 0,0.
Color: | Select a color in which the rose diagram should be displayed. To define your own color, click the little create button or select the 'Custom' item at the bottom of the list; then, the Windows Color dialog box will appear.

Examples:

Figure 1 below shows a rose diagram of the Faults in segment map Faults of the example data. The X-axis shows the direction of the Fault segments, the Y-axis show the length of these segments in a certain direction.

Fig. 1: Rose diagram showing directions and lengths of Faults. The line type of the rose diagram is Needle.

Figure 2 below shows a rose diagram of the Lineaments in segment map Faults of the example data. The X-axis shows the direction of the Lineament segments, the Y-axis show the length of these segments in a certain direction.

Fig. 2: Rose diagram showing directions and lengths of Lineaments. The line type of the rose diagram is Needle.

Tips:

  • To adapt the title, X-axis, Y-axis of the rose diagram, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis (rose diagram), or the Y-axis (rose diagram) dialog box will appear.

    • The grid lines of the rose diagram can be modified in the X-axis and Y-axis dialog boxes.

  • To add another rose diagram to the current graph window, choose Add Graph from the Edit menu in the graph window or click the Add Graph button [image] in the toolbar of the graph window; the Add Rose Diagram dialog box will appear.
  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Create a rose diagram (dialog box)

Add a rose diagram (dialog box)

ILWIS objects : graphs


Title of graph

Graph window

 Graph Management

Title

Modify the title of the graph as displayed at the top of the graph window.

This dialog box appears:

  • when you double-click the Graph Title item in the Graph Management pane,
  • when you double-click the title of the graph as displayed at the top of the graph in the graph window itself.

Dialog box options:

Title: | Type the text that should at the top of your graph.
Font name: | Select the font in which the title of the graph should be displayed. You can select any installed True Type font.
Font size: | Type a value for the font size (pt) in which the title of the graph should appear.
Bold: | Select this check box to have the title of the graph appear in bold.
Italic: | Select this check box to have the title of the graph appear in italics.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands


Graph window

 Graph Management

X-axis

Modify the X-axis as displayed in the graph window.

This dialog box appears:

  • when you double-click the X-axis item in the Graph Management pane,
  • when you double-click the X-axis as displayed below the graph in the graph window itself.

Dialog box options:

Axis text:

Type explanatory text that should appear along the X-axis of your graph.

Show grid:

Select this check box when you wish to have grid lines in your graph.

The grid lines will automatically be drawn for all ticks along the X-axis, i.e. as specified for Interval.

Axis type:

When using a value column for the X-axis:

  • Select Linear when you wish to use a normal X-axis.
  • Select Logarithmic when you wish to use a logarithmic X-axis.
  • Select Normal Probability when you wish to show cumulative frequencies (which range from 0 - 1 or from 0% to 100%) on the X-axis, and (classified) observed values on the Y-axis. If the sample data are in fact normally distributed, the resultant cumulative frequencies will appear as a straight line.

For examples of different types of axes, see the Examples section below.

Show codes:

When using the domain of a table (class or ID) for the X-axis:

  • Select this check box to only show the codes of your domain items along the X-axis instead of full class names or full IDs.
  • Clear this check box when you wish to show the full class names or full IDs along the X-axis.

Min Max:

When using a Linear or a Logarithmic X-axis:

Specify the minimum and maximum value that should be used on the X-axis.

Interval:

When using a Linear X-axis:

Specify the interval at which values should be shown along the X-axis.

Text rotation:

Type a value for the rotation of the class names, IDs or values along the X-axis. Rotation is expressed in degrees (anti-clock wise).

Font name:

Select the font in which the explanatory axis text should be displayed. You can select any installed True Type font.

Font size:

Type a value for the font size (pt) in which the explanatory axis text should appear.

Bold:

Select this check box to have the explanatory axis text appear in bold.

Italic:

Select this check box to have the explanatory axis text appear in italics.

Tips:

  • To change the text along the X-axis, or the minimum and maximum values used by the X-axis, you can also double-click the text, minimum or maximum value in the Graph Management pane.
  • To change the font settings of the classes, IDs, or values displayed along graph axes:
    • choose Preferences from the File menu of the Main window,
    • then open the Font item and choose Graphs Font.

Examples of different types of axes:

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands


Graph window

 Graph Management

Y-axis (left)

Modify the Y-axis as displayed on the left side of the graph window.

This dialog box appears:

  • when you double-click the Y-axis Left item in the Graph Management pane,
  • when you double-click the Y-axis as displayed on the left side of the graph in the graph window itself.

Dialog box options:

Axis text:

Type explanatory text that should appear along the Y-axis of your graph.

Show grid:

Select this check box when you wish to have grid lines in your graph.

The grid lines will automatically be drawn for all ticks along the Y-axis, i.e. as specified for Interval.

Axis type:

When using a value column for the Y-axis:

  • Select Linear when you wish to use a normal Y-axis.
  • Select Logarithmic when you wish to use a logarithmic Y-axis.
  • Select Normal Probability when you wish to show cumulative frequencies (which range from 0 - 1 or from 0% to 100%) on the Y-axis, and (classified) observed values on the X-axis. If the sample data are in fact normally distributed, the resultant cumulative frequencies will appear as a straight line.

For examples of different types of axes, see X-axis, section Examples.

Min Max:

When using a Linear or a Logarithmic Y-axis:

Specify the minimum and maximum value that should be used on the Y-axis.

Interval:

When using a Linear Y-axis:

Specify the interval at which values should be shown along the Y-axis.

Text rotation:

Type a value for the rotation of the values along the Y-axis. Rotation is expressed in degrees (anti-clock wise).

Font name:

Select the font in which the explanatory text along the Y-axis should be displayed. You can select any installed True Type font.

Font size:

Type a value for the font size (pt) in which the explanatory text along the Y-axis should appear.

Bold:

Select this check box to have the explanatory text along the Y-axis appear in bold.

Italic:

Select this check box to have the explanatory text along the Y-axis appear in italics.

Tips:

  • To change the text along the Y-axis, or the minimum and maximum values used by the Y-axis, you can also double-click the text, minimum or maximum value in the Graph Management pane.
  • To change the font settings of the values displayed along graph axes:
    • choose Preferences from the File menu of the Main window,
    • then open the Font item and choose Graphs Font.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands


Graph window

 Graph Management

Y-axis (right)

Modify the Y-axis as displayed on the right side of the graph window.

This dialog box appears:

  • when you double-click the Y-axis Right item in the Graph Management pane,
  • when you double-click the Y-axis as displayed on the right side of the graph in the graph window itself.

Dialog box options:

Axis text:

Type explanatory text that should appear along the Y-axis of your graph.

Show grid:

Select this check box when you wish to have grid lines in your graph.

The grid lines will automatically be drawn for all ticks along the Y-axis, i.e. as specified for Interval.

Axis type:

When using a value column for the Y-axis:

  • Select Linear when you wish to use a normal right Y-axis.
  • Select Logarithmic when you wish to use a logarithmic right Y-axis.
  • Select Normal Probability when you wish to show cumulative frequencies (which range from 0 - 1 or from 0% to 100%) on the right Y-axis, and (classified) observed values on the X-axis. If the sample data are in fact normally distributed, the resultant cumulative frequencies will appear as a straight line.

For examples of different types of axes, see X-axis, section Examples.

Min Max:

When using a Linear or a Logarithmic Y-axis:

Specify the minimum and maximum value that should be used on the Y-axis.

Interval:

When using a Linear Y-axis:

Specify the interval at which values should be shown along the Y-axis.

Text rotation:

Type a value for the rotation of the values along the Y-axis. Rotation is expressed in degrees (anti-clock wise).

Font name:

Select the font in which the explanatory text along the Y-axis should be displayed. You can select any installed True Type font.

Font size:

Type a value for the font size (pt) in which the explanatory text along the Y-axis should appear.

Bold:

Select this check box to have the explanatory text along the Y-axis appear in bold.

Italic:

Select this check box to have the explanatory text along the Y-axis appear in italics.

Tips:

  • To change the text along the Y-axis, or the minimum and maximum values used by the Y-axis, you can also double-click the text, minimum or maximum value in the Graph Management pane.
  • To change the font settings of the values displayed along graph axes:
    • choose Preferences from the File menu of the Main window,
    • then open the Font item and choose Graphs Font.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands


Graph window

 Graph Management

X-axis (rose diagram)

Modify the X-axis of the rose diagram as displayed in the graph window.

Note:

The column used for the X-axis of a rose diagram is supposed to contain values between 0-180° or between 0-360°.

This dialog box appears:

  • when you double-click the X-axis item in the Graph Management pane,
  • when you double-click the X-axis as displayed below the rose diagram in the graph window itself.

Dialog box options:

Show grid: | Select this check box when you wish to have grid lines in your graph. The grid lines will automatically be drawn for all ticks along the X-axis, i.e. as specified for Interval.
Rose size: | Specify whether the rose diagram should be displayed comprising 180° or 360°.
180°: | To obtain a rose diagram of half a circle.
360°: | To obtain a rose diagram of a full circle.
Interval: | Specify the interval in degrees where ticks and text should appear at the outer side of the rose diagram.
30°: | To obtain ticks and text every 30°.
45°: | To obtain ticks and text every 45°.
90°: | To obtain ticks and text every 90°.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Create a rose diagram (dialog box)

Add a rose diagram (dialog box)


Graph window

 Graph Management

Y-axis (rose diagram)

Modify the Y-axis of the rose diagram as displayed in the graph window.

This dialog box appears:

  • when you double-click the Y-axis item in the Graph Management pane,
  • when you double-click the Y-axis as displayed next to the rose diagram in the graph window itself.

Dialog box options:

Show grid:

Select this check box when you wish to have grid lines in your graph.

The grid lines will automatically be drawn for all ticks along the Y-axis, i.e. as specified for Interval.

Axis type:

When using a value column for the Y-axis:

  • Select Linear when you wish to use a normal Y-axis.
  • Select Logarithmic when you wish to use a logarithmic Y-axis.

For examples of different types of axes, see X-axis, section Examples.

Min Max:

When using a Linear or a Logarithmic Y-axis:

Specify the minimum and maximum value that should be used on the Y-values.

Interval:

When using a Linear Y-axis:

Specify the interval at which values should be shown.

Text rotation:

Type a value for the rotation of the values. Rotation is expressed in degrees (anti-clock wise).

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Create a rose diagram (dialog box)

Add a rose diagram (dialog box)


Graph window : toolbar

Graph window

Toolbar

The toolbar of a graph window provides shortcuts for some regularly used menu commands for instance to add other graph layers, to remove a graph layer, to save a graph, or to print a graph.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Open: | Open another graph in the current graph window.
Save: | Save the contents of the current graph window. When this is the first time you save the graph, the Save Graph As dialog box will appear. The option is not available when a graph has been saved already and has not changed since.
Print: | Print the contents of the current graph window. First, a Print Options dialog box will appear. The option is only available when the viewer part of the graph window is active.
Copy: | Copy the contents of the current graph window as a picture to the clipboard. Subsequently, you can paste the graph into an ILWIS layout or into any other Windows application, for instance into a word processor. You can also use the Ctrl+C keys on the keyboard. The option is only available when the viewer part of the graph window is active.
Add Graph: | Add another graph layer (from columns) to the graph window. If you press the arrow down button, you can also add a Graph from Formula, a Least Squares Fit, or a SemiVariogram Model.
Remove Layer: | Remove a selected graph layer from the graph window. First select the layer to be removed in the Graph Management pane of the graph window.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Graph window : functionality

Graph window : examples of graphs

Graph window : Graph Management

Graph window : menu commands

ILWIS objects : graphs


Graph window : menu commands

Graph window

Menu commands
File

New Graph ...
Open ...
Save
Save As ...

Print ...
Open Table

Exit

Edit

Add Graph
From Columns ...
From Formula ...
Least Squares Fit ...
Semi-Variogram Model ...
Remove Layer
Copy

View

Graph Management
Toolbar
Status Bar


Open another graph

Graph window

 File menu

Open a graph

Open another existing graph in the current graph window.

If the graph that is currently displayed in the graph window has changed, first a question will be asked whether the current graph should be saved or not.

This dialog box appears:

  • when you choose Open from the File menu in a Graph window;
  • when you click the Open button [image] in the toolbar of the graph window.

Dialog box options:

Select a graph: | Select a graph that you wish to open in the graph window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The graph window will show the selected graph. You can modify the graph according to your wishes and optionally print it.

Tip:

  • To open a graph in a new graph window, you can double-click a graph in a Catalog, or click the right mouse button on a graph in a Catalog and choose Open from the context-sensitive menu.

See also:

Graph window : functionality

ILWIS objects : graphs


Save graph

Graph window

 File menu

Save a graph

Save the current graph.

You can use the Save command on the File menu of the graph window, but you can also click the Save button [image] in the toolbar of the graph window.

  • When you have saved the graph earlier, the graph will be directly saved with the same name as before.
  • When you save a new graph for the first time, the Save As dialog box will appear. In that dialog box, you can enter a new name for the new graph.

Note: The Save command and the Save button are only available when the currently displayed graph has been changed since the last save.

See also:

Save Graph As

Graph window : functionality

ILWIS objects : graphs


Graph window

 File menu

Save Graph As ...

Save the current graph with a new name.

This dialog box appears:

  • when you choose Save As from the File menu in a graph window;
  • when you have not saved the graph before, and you choose Save from the File menu or click the Save button [image] in the toolbar.

Dialog box options:

Save in: | If necessary, select another directory or folder where the graph should be stored.
File name: | Type a new name for your graph. It is not necessary to specify the extension.
Save as type: | You cannot select anything else than type Graph.

See also:

Graph window : functionality

ILWIS objects : graphs


Print graph

Graph window

 File menu

Print options

Print the contents of the current graph window.

This dialog box appears:

  • when you choose Print from the File menu in a graph window;
  • when you click the Print button [image] in the toolbar of a graph window.

The Print command and the Print button are only available when the pane displaying the graph(s) is active.

Dialog box options:

Fit on page: | Select this option when the graph should be printed on a full page.
Width in cm: | Select this option when you wish to obtain a printed graph with a certain size. Subsequently, specify the desired width of the printed graph in centimeters.

When you click OK, a standard Windows Print dialog box will follow in which you can select a printer and specify some settings for the selected printer.

When you click OK in the Windows Print dialog box, the graph will be printed.

Tip: To install a printer and choose a default printer, see your Windows documentation.

See also:

Graph window : functionality

Graph window : toolbar

Graph window : menu commands


Open the table from which this graph is created

Graph window

 File menu

Open table

Directly opens the table from which this graph has been created.

Tip:

To open an existing graph from within a table window:

  • open the Properties of the table via the File menu of the table window;
  • go to the Used by tab in the table properties sheet;
  • in the Used by list box, select the graph you wish to view with the right mouse button, and choose Open from the context-sensitive menu.

See also:

Graph window : functionality

Table window : functionality

ILWIS objects : graphs


Graph window

 Edit menu

Add Graph from Columns

Add another graph (from columns) to the current graph window.

This dialog box appears:

  • when you choose the Add Graph from Columns command from the Edit menu in a graph window,
  • when you click the Add Graph button [image] in the toolbar of a graph window,
  • when you use the right mouse button in the white space of the Graph Management pane, and choose the Add Graph from Columns command from the context-sensitive menu.

Dialog box options:

Table: | Select the table which contains the column(s) that you wish to show as a graph.
X-axis: | Select a column for the X-axis of the graph. The list box shows all columns of the table. This X-axis list box is not available when you used the domain of the table for the X-axis of the graph in the Create Graph / New Graph dialog box.
Y-axis: | Select a column for the Y-axis of the graph. The list box shows all columns of the table.

A new line graph or bar graph will be immediately displayed. For some examples of graphs, see the Example section below.

Tips:

  • To modify the appearance, type of graph, and/or the name of the Graph from Columns layer, double-click the graph layer in the Graph Management pane: the Graph Options - Graph from Columns dialog box will appear.
  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

Examples:

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Graph from Columns


Graph window

 Edit menu

Add Graph from Formula

Create a graph by typing a formula or an expression.

Note: A graph from formula is only properly displayed if the graph window already shows a graph from columns where both columns are Value columns.

This dialog box appears:

  • when you choose the Add Graph from Formula command from the Edit menu in a graph window;
  • when you click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and choose the from Formula command;
  • when you use the right mouse button in the white space of the Graph Management pane, and choose the Add Graph from Formula command from the context-sensitive menu.

Dialog box options:

Expression:

Type an expression which defines a function y=f(x).

  • The outcome of the expression will be used as the Y values.
  • In the expression, you can only use X as a parameter, representing the values of the current X-axis.
  • Furthermore, you can use all existing TabCalc operators and functions which work on values.

Note: It is not allowed to use column names in the expression.

A new line graph will be immediately displayed.

Examples:

y = | SQ(x) | draws a parabola.
y = | SIN(x) | draws a sine function.
y = | EXP(x) | draws an exponential function.

Tips:

  • To modify the appearance or the name of the Graph from Formula, double-click the graph layer in the Graph Management pane: the Graph Options - Graph from Formula dialog box will appear.
  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Graph from Formula

Table calculation : overview of operators and functions on values


Graph window

 Edit menu

Add Graph by Least Squares Fit

Perform a least squares fit, i.e. fit the best line, through values that are available in the table.

Before you can use this option, the graph window should already display a point graph of 2 value columns of a table. For more information, see Create a graph.

This dialog box appears:

  • when you choose the Add Graph Least Squares Fit command from the Edit menu in a graph window;
  • when you click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and choose the Least Squares Fit command;
  • when you use the right mouse button in the white space of the Graph Management pane, and choose the Add Graph Least Squares Fit command from the context-sensitive menu.

Dialog box options:

X-column: | Select a value column which contains the independent variable. This is the same column that is probably used for the X-values in the current point graph.
Y-column: | Select a value column which contains the dependent variable. This is the same column that is probably used for the Y-values in the current point graph.
Function: | Select a function that should be used to calculate the least squares fit. The following functions are available: Exponential, Logarithmic, Polynomial, Power Law, and Trigonometric. For more information, see below.
Nr. of terms: | When using the Polynomial or Trigonometric function, specify the number of terms that the function should use.

The least squares fit is calculated and the result is directly shown as a line graph in the graph window.

The resulting least squares fit equation is shown in the Graph Options - Least Squares Fit dialog box.

Available functions:

Exponential: | y = a * ebx
Logarithmic: | y = a * log(b* x)
Polynomial: | y = a + b* x + c* x2 + d* x3 + ...
Power Law: | y = a * xb
Trigonometric: | y = a + b * cos(x) + c * sin(x) + ...

Examples:

Example 1:

The values of column ColX and column ColY1 are used to create a Graph from Columns (the red points in Figure 1 below). Then, by adding a Graph by Least Squares Fit, in this case using a polynomial function with 2 terms, the 'best' fit is found through these points (the black line in Figure 1 below).

The resulting formula is Y = 49.101 + 1.276 * X and can be viewed on the Graph Options - Least Squares Fit dialog box.

Fig. 1: A least squares fit using a polynomial function. The Least Squares Fit line is defined by Y = 49.101 + 1.276 * X

Example 2:

The values of column ColX and column ColY2 are used to create a Graph from Columns (the red points in Figure 1 below). Then, by adding a Graph by Least Squares Fit, in this case using an exponential function, the 'best' fit is found through these points (the black line in Figure 1 below).

The resulting formula is Y = 42.341302790409 * exp(0.007566547732 * X) and can be viewed on the Graph Options - Least Squares Fit dialog box.

Fig. 2: A least squares fit using an exponential function. The Least Squares Fit line is defined by Y = 42.341302790409 * exp(0.007566547732 * X)

Tips:

  • To modify the appearance or the name of the least squares fit graph, double-click the least squares fit layer in the Graph Management pane: the Graph Options - Least Squares Fit dialog box will appear.
  • The resulting least squares fit equation is shown in the Graph Options - Least Squares Fit dialog box.
  • You can also perform a least squares fit on columns in a table, where the resulting Y-value will be written into a new output column. In the table window, choose the Least Squares command from the Columns menu. For more information, see Table window : Least squares fit.
  • To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear.

    • The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

  • To create a new graph in a new graph window, choose Create Graph from the File menu in the graph window: the Create Graph dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Least Squares Fit

Table window : Least squares fit


Graph window

 Edit menu

Add Semi-variogram Model

From the results of the Spatial correlation operation, you can make a semi-variogram. In the semi-variogram, the discrete experimental semi-variogram values [image] that are the outcome of Spatial correlation will be modeled by a continuous function so that a semi-variogram value g will be available for any desired distance h for the Kriging operation later on.

A semi-variogram model describes the relation between squared differences of pairs of point values and distance. For general information on semi-variograms, see the Additional Info below. The points in the pairs are at certain distances towards each other and optionally in a certain direction towards each other. You can choose a type of semi-variogram model (spherical, exponential, etc.), and you can fill out the model's parameters: nugget, sill, and range. According to the specified semi-variogram model and parameters, a line will be drawn in the graph window that displays experimental semi-variogram values.

The aim is to find the model and its parameters that fit your experimental semi-variogram values 'best'. You may need to experiment a little with different models, different values for sill, range and nugget, etc. Once, you have decided which model, and which values for nugget, sill, and range fit your data best, you can continue with the Kriging operation.

Besides a visual comparison of different models in a graph as described below, you can also use the Column Semi-variogram operation to calculate semi-variogram values g for specific distances and store the results in an output column.

Preparation:

Display the input table of the Spatial correlation operation in a table window.

  • Determine the variance (s2) of your variable in the input table, or in a histogram of the input map. The variance of a column can be calculated by using an expression like ?var(columnname). You can also use the Statistics command on the Columns menu.
    This calculated variance of your input variable is the expected value for the sill of that variable.

Display the output table of the Spatial correlation operation in a table window.

  • Inspect the following columns:
    • columns Distance, and AvgLag/AvgLag1/AvgLag2: these columns represent distance classes for which experimental semi-variogram values are calculated in a SemiVar column. Distance classes are created according to the user-specified lag spacing in Spatial Correlation. To fit a semi-variogram model through experimental semi-variogram values, usually not more than half of the total sampled distance should be taken into account; the larger the distance between the point pairs, the less point pairs, and the less reliable the outcome;
    • columns NrPairs/NrPairs1/NrPairs2: these columns contain the number of point pairs per distance class. For reliable semi-variogram values, distance classes should contain at least 30 point pairs.

Create point graphs, i.e. the experimental semi-variogram(s), from the columns in the output table of the Spatial correlation operation:

  • From the File menu in the table window, choose the Create Graph command.
  • In the Create Graph dialog box, when you used the omni directional method in Spatial Correlation:
    • choose for the X-axis, the Distance column or the AvgLag column;
    • choose for the Y-axis, the SemiVar column.

    When you used the bi-directional method in Spatial Correlation, you can draw two graphs (e.g. in two graph windows):

    • Distance or AvgLag1 against SemiVar1 (semi-variogram values in the specified direction) and,
    • Distance or AvgLag2 against SemiVar2 (semi-variogram values in the perpendicular direction).
  • The experimental semi-variogram values will be automatically displayed as a point graph.
  • You may wish to adapt the boundaries of the X-axis from 0 to more or less half of the total distance between your sample; and the boundaries of the Y-axis from 0 to the expected variance (s2) of your sample values.

In literature, the shown graph is called a discrete experimental semi-variogram.

Then, fit a semi-variogram model through the experimental semi-variogram values.

To add a semi-variogram model:

  • select the Add Graph Semi-variogram Model command from the Edit menu in the graph window,
  • click the arrow next to the Add Graph button [image] in the toolbar of the graph window, and select Semi-variogram Model, or
  • use the right mouse button in the white space of the Graph Management pane, and choose Add Graph Semi-variogram Model from the context-sensitive menu.

This Add Graph Semi-variogram Model dialog box will appear.

Dialog box options:

Semi-variogram: | Choose a model which fits your experimental semi-variogram values and which later on can be used in the Kriging operation to calculate the values for the semi-variogram function g(h). You can choose between the Spherical model, Exponential model, Gaussian model, Wave model, Rational Quadratic model, Circular model, or the Power model. For more information on the mathematical formulae of the models, see Formulae of semi-variogram models.
Nugget: | When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin, to the semi-variogram value at extremely small separation distances. You are specifying parameter 'C0' for the selected model.
Sill: | Type a value for the sill; the sill is the plateau that the semi-variogram values reach at the range. You are specifying parameter 'C0 + C' for the selected model.
Range: | Type a value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).
Slope: | For the Power model only: type a value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line); then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.
Power: | For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

A (continuous) line, i.e. the semi-variogram model, will be directly drawn in the graph window.

You are advised to visually experiment a little with models and sill, range, and nugget values to find the best line through your experimental semi-variogram values. You can edit a semi-variogram model by double-clicking the semi-variogram layer in the Graph Management pane: the Graph Options - Semi-variogram Model dialog box will appear.

To adapt the title, the X-axis, or the Y-axis (left or right) of the graph, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis, Y-axis (left), or the Y-axis (right) dialog box will appear. The grid lines of the graph can be modified in the X-axis and Y-axis dialog boxes.

To store semi-variogram values in a column and to evaluate which model and parameters give the best fit through your experimental semi-variogram values, choose the Semi-variogram command on the Columns menu in the table window. The Column Semivariogram dialog box will appear.

When finished, you can save the contents of the graph window by choosing the Save or the Save As commands from the File menu of the graph window.

Once you have decided which model and which values for sill, range and nugget fit your data, you can continue with the Kriging operation.

Additional information

Figure 1 below shows a semi-variogram depicting a spherical model:

  • When the distance between sample points is 0, the differences between sampled values is also expected to be 0. Thus, the semi-variogram value at distance 0 equals 0, i.e. g(0)=0.
  • Samples that are at a very small distance to each other are expected to have almost the same values; thus, the squared differences between sample values are expected to be small positive values at small distances.
  • With increasing distance between point pairs, the expected squared differences between point values will also increase.
  • At some distance the points that are compared are so far apart that they are not any more related to each other, i.e. the sample values will become independent of one another. Then, the expected squared differences of the point values will become equal in magnitude to the variance of the variable. The semi-variogram no longer increases and the semi-variogram develops a flat region, called the sill. The distance at which the semi-variogram approaches the variance is referred to as the range or the span of the variable.

Fig. 1: A semi-variogram depicting a spherical model.

Remarks on semi-variograms:

  • A semi-variogram with a nugget effect is a semi-variogram that goes from 0 to the level of the nugget effect in a distance less than the sampling distance. The semi-variogram model shows the semi-variogram value 0 at distance 0 and a discontinuity (jump) to a semi-variogram value at an extremely small distance. A nugget effect indicates that the variable is erratic over very short distances, the variable is highly variable over distances less than the specified lag spacing or the sampling interval.
  • For semi-variograms which, after a flat sill level, show an ongoing increase in semi-variogram values, probably a trend has to be taken into account for the longer distances. However, the experimental semi-variogram values for the distances up to the sill, are probably accurate enough to be used in a model.
  • Possible dips in the semi-variogram indicate that at certain distances between points there is less difference between the samples than at other distances; this might indicate periodic trends.

Examples of different semi-variogram models:

Figure 2 below depicts a semi-variogram through which multiple models are fitted. In this example, only the Gaussian and the Power model (for the shorter distances) describe the experimental semi-variogram values reasonably; the Spherical model and the Exponential model show rather different values for the experimental and the modeled semi-variogram values.

The values that were used in this example for nugget, sill and range are:

  • for the spherical model: 0, 7200, 4500;
  • for the exponential model: 0, 10000, 4000;
  • for the gaussian model: 200, 7550, 2400;
  • for the power model: 200, slope 0.4, power 1.2.

The mathematical formula of each model are described in Formulae of semi-variogram models.

Fig. 2: Finding the best semi-variogram model through an experimental semi-variogram. The black dots are the outcomes of the Spatial correlation operation, i.e. the experimental semi-variogram values; the colored lines represent different semi-variogram models calculated for all possible distances.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Semi-variogram Model

Spatial correlation : functionality

Column semi-variogram

Kriging : functionality


Graph window

 Edit menu

Add Rose Diagram

Add another rose diagram to the current graph window.

This dialog box appears:

  • when you choose the Add Graph command from the Edit menu in a graph window which already displays a rose diagram;
  • when you click the Add Graph button [image] in the toolbar of the graph window;
  • when you use the right mouse button in the white space of the Graph Management pane, and choose the Add Graph command from the context-sensitive menu.

Dialog box options:

Table: | Select a table which contains the columns that you wish to show as a rose diagram.
Angle: | Select a value column which represents angles (X-axis). Note: The column used for the X-axis of a rose diagram is supposed to contain values between 0-180° or between 0-360°.
Value: | Select a value column to be used as Y-axis.

Tips:

  • To modify the appearance or the name of a rose diagram, double-click the graph layer in the Graph Management pane: the Graph Options - Rose Diagram dialog box will appear.
  • To adapt the title, X-axis, or Y-axis of the rose diagram, double-click the appriopriate item in the Graph Management pane or in the graph window itself: the Title, X-axis (rose diagram), or the Y-axis (rose diagram) dialog box will appear.

    • The grid lines of the rose diagram can be modified in the X-axis and Y-axis dialog boxes.

  • To create a new rose diagram in a new graph window, choose Create Graph from the File menu in the graph window: the Create a rose diagram dialog box will appear.
  • To save the contents of a graph window as a graph, choose Save or Save As from the File menu in the graph window.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar

Graph window : menu commands

Graph Options - Rose Diagram


Remove layer from graph

Graph window

 Edit menu

Remove Layer

Remove a layer from the current graph.

  • First, select the layer that you wish to remove in the Graph Management pane.
  • Then, either:
    • choose the Remove Layer command from the Edit menu, or
    • click the Remove Layer button [image] in the toolbar of the graph window.

You can also remove a layer from the graph window by selecting a layer in the Graph Management pane with the right mouse button, and then choose the Remove Layer command from the context-sensitive menu.

Tip: To temporarily not display a layer in the graph window, you can also switch the layer off in the Graph Management pane.

See also:

Graph window : functionality

Graph window : Graph Management

Graph window : toolbar


Copy graph to clipboard

Graph window

 Edit menu

Copy to clipboard

Copy the contents of the current graph window as a picture to the clipboard.

Subsequently, you can paste the graph into an ILWIS layout, or into any other Windows application, for instance into a word processor.

  • First, click the graph window displaying your graph.
  • Then, either:
    • choose the Copy command from the Edit menu, or
    • click the Copy button [image] in the toolbar of the graph window.

You can also copy a graph by clicking in the graph window displaying your graph, and then press the Ctrl+C keys on the keyboard.

Tip: To copy a complete graph window including the Graph Management pane, toolbar and window borders to the clipboard, make the graph window the active window and press the Alt+PrintScrn keys on the keyboard.

See also:

Graph window : functionality

Graph window : toolbar

Graph window : menu commands


Pixel info window

Pixel information window

Contents

Introduction

Functionality

Functionality (advanced)

Status bar

Menu commands

Mouse functions


Pixel info window : introduction

Pixel information window

Introduction

Pixel info allows you to interactively inspect class names, IDs or values in one or more raster, polygon, segment and point maps and attribute values in attribute tables.

First, the pixel information window receives the XY-coordinate from the mouse pointer (located in a map window) or the digitizer cursor (located on a referenced paper map on the digitizer).

Then, for this received coordinate, information of all raster, polygon, segment and point maps that were added to the pixel info window is retrieved and displayed simultaneously. For raster maps, the retrieved information refers to the pixel pointed at with the mouse pointer, hence pixel info.

Open the pixel information window, add maps to the pixel info window (when an attribute table is linked to a map or a domain these are also added), and move the mouse pointer through a map window. The pixel info window displays:

  • the XY-coordinate of the position of the mouse pointer in the map window;
  • class names, IDs or values found in the maps at that position;
  • attribute information found in attribute tables.

Example:

In this example the following information is retrieved for the current XY-coordinate:

  • class name of polygon map Geology, and attribute information found in columns GeolUnit, Lithology, and GeolAge,
  • value of raster map Slopepct,
  • class name of polygon map LandUse,
  • class name of polygon map Geom, and attribute information found in columns Description and Slides.

Whether pixel info displays class name, IDs or values of maps depends on the domain(s) of the maps.

Attributes from an attribute table are retrieved when:

  1. the domain of a map is a class domain or an identifier domain, and
  2. the domain of the attribute table is the same as the domain of the map to which it relates, and
  3. the attribute table is linked to the map or to the domain of the map.

The advantage of using pixel info, above using the left mouse button in a map window (Info), is that you can get information on several maps at the same time and also on attribute values.

For information on minimizing or maximizing the pixel information window, using scroll bars, etc., see Introduction on Windows features.

See also:

Pixel information window : functionality

Pixel information window : menu commands

Pixel information window : mouse functions


Pixel info window : functionality

Pixel information window

Functionality

The pixel information window allows you to interactively inspect class names, IDs or values in multiple raster, polygon, segment and point maps with the same or a compatible coordinate system. When one map is displayed in a map window, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the mouse pointer in the map window. In the same way, when you have an analog paper map on the digitizer and you performed MapReference, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the digitizer cursor.

To the pixel information window, you can add raster maps, polygon maps, segment maps and point maps. When an attribute table is linked to one of those maps or to the domains of the maps, the attribute information is also shown. An example is provided in Pixel information window : introduction.

The pixel information window is used to gain an insight into your models.

Special functionality:

When only the object definition file of a dependent map exists, i.e. when a dependent map has not been calculated yet and the data file of the dependent map does not yet exist, then pixel info is able to actually calculate output values on the fly. This is possible for all output maps of MapCalc, and for output maps of the Classify, Densify, Filter, Slicing and all Attribute Map operations.

Examples:

  • Create a number of dependent output maps with MapCalc, use slightly different formulas, do not mark the 'Show' check box in the dialog boxes; display an input map in a map window; drag the dependent output maps to the pixel information window, and check the results of the formulas used in the different maps.
  • During Sampling, you can already create some dependent output maps with the Classify operation (various methods, various parameters) using the current sample set as input. When creating the dependent output maps, do not mark the Show check box in dialog boxes; just create the definition for the output maps. In this way the dependent output maps exist only by their object definition file and are not yet calculated and stored on disk. If you then add these dependent maps to the pixel info window, you can already see the results of classifying during sampling.

Working with dependent maps which merely exist by their object definition file saves calculation time and disk space. Only when the maps are displayed in a map window, the calculation starts and the output pixel values are stored on disk.

Furthermore, when for value raster maps you marked the 'Interpolation' check box in the Properties dialog box of a raster map, the Pixel info window will show interpolated values on sub-pixel level. For more information, refer to the Raster Map Properties dialog box.

General method to use Pixel Information:

  • display a map in a map window,
  • open the pixel information window,
  • add maps to the pixel info window (see below),
  • move the mouse pointer through the map window, or move the digitizer cursor over a referenced paper map on the digitizer.

The pixel info window will display:

  • the received XY-coordinate of the position of the mouse pointer in the map window, or of the digitizer cursor on the digitizer,
  • the retrieved class names, IDs, or values of the maps added to the pixel info window at that position,
  • attribute information of these class names and IDs found in the attribute tables.

The pixel info window either displays this information continuously for each position of the mouse pointer in the map window, or only when you click with the mouse pointer in the map window. This depends on the settings of the 'Continuous' check boxes in the Customize Pixel Info dialog box.

In case a map window only displays a raster map with georeference None, the pixel info window displays the Row and Column numbers of the actual mouse position.

To open the pixel information window:

From the File menu in the Main window or a map window, choose Open Pixel Information. Or click the Pixel Information button in the standard toolbar of the Main window.

To add maps to the pixel information window:

From the File menu of the pixel information window, choose the command Add Map.Then select the raster, polygon, segment and/or point maps which you want to add one by one. You can also drag maps from the Catalog into the pixel information window. If an attribute table is linked to a map or to the domain of a map, the attribute information is also shown. You can check whether an attribute table is linked to a map or a domain in the Properties dialog box of the map or the domain.

To hide or show maps and attributes in the pixel info window:

From the Options menu, choose Customize. You can also click on the upper left gray area in the pixel info window. The Customize Pixel Info dialog box appears which displays a list of maps, tables and columns. By clicking in this list, maps and columns can be (de-)selected; selected items appear highlighted and will be shown in the pixel info window.

Continuous information or only information at mouse clicks:

You can choose to have the pixel information window continuously show information found at the mouse pointer position or only when you click the left mouse button in a map window. From the Options menu choose Customize. In the Customize Pixel Info dialog box, select the Continuous check box when the mouse pointer should continuously receive coordinates and retrieve information when it is positioned in a map window. Clear the check box when the mouse pointer should only receive coordinates and retrieve information at a click in the map window.

In the Customize Pixel Info dialog box, you can also select to use a digitizer cursor continuously or not.

Detailed pixel info by using the keyboard:

To move the mouse pointer in the map window and see the result in the Pixel info window, you can use the Arrow keys on the keyboard to move 1 screen pixel, or use the Ctrl+Arrow keys on the keyboard to move 10 screen pixels.

Retrieved information:

  • for raster maps: the class name, identifier or value of the pixel;
  • for polygon maps: the class name, identifier or value of the polygon;
  • for segment maps: the class name, identifier or value of the nearest segment;
  • for point maps: the class name, identifier or value of the point.

If no class name, identifier or value is found in a pixel or polygon, undefined (?) is returned. Also, if in a point map you click outside a point, undefined is returned.

Further,

  • for maps using a Picture or Color domain, the color is returned as (Red, Green, Blue);
  • for maps using a Bool domain, True or False is returned;
  • for maps using a Bit domain, 0 or 1 is returned, etc.

Closing the pixel information window:

Close the pixel information window by double-clicking the Control-menu box in the upper-left corner of the window. Or click the Control-menu box: the Control menu is opened, choose Close. The size and position on the screen of the pixel information window is automatically saved in the ILWISCFG.INI file.

Advanced functionality:

You can also add coordinate systems to the pixel information window. When a transformation is possible between the coordinate system of the current map and the added coordinate system, the pixel information window will show coordinates transformed to the new coordinate system, i.e. a transformation is performed on the fly. In this way you can already see the results of a transformation to another coordinate system before you actually perform this transformation, thus before using a Transform operation or the Resample operation, and you can compare different coordinate systems with each other.

An example of adding multiple coordinate systems to a pixel information window is supplied in Pixel information window : functionality (advanced).

Similar functionality:

In the pixel information window you can get information on maps which are not necessarily displayed, and you can get attribute information from a table that is related to a map.

With map info you can only get information on different data or annotation layers which are displayed in one map window. For map info, press the left mouse button in a map window. Be sure that the Info check box on the layer's Display Options dialog box is marked.

See also:

Pixel information : introduction

Pixel information : functionality (advanced)

How to use pixel information


Pixel info window : functionality (advanced)

Pixel information window

Functionality (advanced)

In this topic an example is given of adding multiple coordinate systems in the pixel info window.

When you add multiple coordinate systems to the pixel information window, and when transformations are possible between the current coordinate system of the map and the added coordinate systems, the pixel information will show the transformed coordinates in the added coordinate systems. The example below illustrates the importance of selecting the correct ellipsoid and/or datum in coordinate systems that need to be transformed to each other, i.e. when you obtained data from different sources using different projections, etc.

Fig. 1: Viewing the results of transformations to a number of different coordinate systems in the pixel information window. Mark the coordinate differences between the original coordinate system Cochabam and the transformation results for the other coordinate systems.

where:

Cochabam | is the original coordsys of the map displayed in a map window; Cochabam is a coordsys projection; the projection is UTM, zone 19 on the Southern hemisphere; the projection uses the Provisional South American 1956 datum (area Bolivia); this datum uses the International 1924 ellipsoid.
Cochodat | UTM projection using another datum (and ellipsoid); Cochodat is a coordsys projection; the projection is UTM, zone 19 on the Southern hemisphere; the projection uses the South American 1969 datum (area Bolivia); this datum uses the South American 1969 ellipsoid.
Cochsph | UTM on a sphere; Cochsph is coordsys projection; the projection is UTM, zone 19 on the Southern hemisphere; the projection uses no ellipsoid nor datum but a sphere.
Latcdat | LatLon coordinates with correct datum; Latcdat is a coordsys latlon; the projection uses the Provisional South American 1956 datum (area Bolivia); this datum uses the International 1924 ellipsoid.
Latodat | LatLon coordinates with another datum; Latodat is a coordsys latlon; the projection uses the South American 1969 datum (area Bolivia); this datum uses the South American 1969 ellipsoid.
Latsph | LatLon coordinates using a sphere; Latsph is a coordsys latlon; the projection uses a sphere.

See also:

Pixel information window : functionality

Transform coordinates (dialog box)

Transform operations

ILWIS objects : coordinate systems


Pixel info window : status bar

Pixel information window

Status bar

A status bar is located at the bottom of the pixel information window.

The status bar:

  • displays brief information on highlighted menu commands,
  • gives a brief explanation when the mouse is located on a grey area:
    • upper left grey 'field': Customize the pixel information window,
    • map and column names: map name and extension (.MPR, .MPA, .MPS, .MPP) or column name and extension .CLM,
    • retrieved information fields: the information as retrieved for this coordinate from this map or column is repeated.
  • gives a brief explanation when the mouse is located on a field in the table field: click to edit this field.

See also:

How to use the status bar


Pixel info window : menu commands

Pixel information window

Menu commands

File

Edit

Options


Pixel info window : mouse functions

Pixel information window

Mouse functions

The mouse pointer can be located either in a map window, then the pixel information window shows current coordinate and retrieved information for the maps (and tables) added to the pixel info window at this coordinate, or the mouse pointer can be located in the pixel information window itself.

Mouse pointer located in a map window

Moving the mouse over:

  • The map in the map window: if the pixel information is customized to continuously receive coordinates from the mouse, the pixel information window returns the XY-coordinate of the current position of the mouse pointer in the map window. Subsequently, the pixel info window retrieves at that coordinate the class names, identifiers and/or values of the maps (and tables) added to the pixel info window.

Clicking:

  • The map in the map window: if you cleared the continuous check box for the mouse pointer in the Customize Pixel Info dialog box, the pixel information window returns at a click in the map window the XY-coordinate of the current position of the mouse pointer in the map window. Subsequently, the pixel info window retrieves at that coordinate the class names, identifiers and/or values of the maps (and tables) added to the pixel info window.

Mouse pointer located in the pixel information window

Moving the mouse over:

  • Map and column names: the status bar shows the map name and its extension (.MPR, MPA, MPS, MPP) or the column name and the extension .CLM;
  • Coordinates and retrieved information from maps and tables: the status bar repeats the information.

Clicking:

  • The upper left gray field: the Customize Pixel Info dialog box appears;
  • The gray button above the coordinates and retrieved values: selects the current coordinate and retrieved information for this coordinate. You may copy this to the clipboard;
  • A gray map name or column name: selects the map (or column) name and the retrieved value for this position. You can copy this to the clipboard. Hold the Shift key down to select multiple map and column names and their retrieved values;
  • A retrieved value: selects this value. You can copy this to the clipboard. Hold the Shift key down to select multiple retrieved values.

Dragging:

  • The line between the upper left gray field and the gray button above the coordinates and retrieved values: changes the width of the column containing the map and column names. The appearance of the mouse pointer changes to a double-sided arrow when you are at the right position to start dragging.

See also:

Pixel information : functionality


Stereo Pair - Stereoscope window : functionality

Stereo Pair - Stereoscope window

Functionality

In the Stereo Pair - Stereoscope window, you can view a calculated stereo pair.

  • When you created an epipolar stereo pair with the Epipolar Stereo Pair operation, you can view the overlapping area in two scanned photographs or images in stereo with a stereoscope.
  • When you created a stereo pair from a scanned photograph, an image or any other map, and a DTM with the Stereo pair from DTM operation, you can view the area of the photograph or image draped over the terrain in stereo with a stereoscope.

A stereoscope should be mounted onto your monitor.

The Stereoscope window has two panes (see the Figure below):

  • left-hand pane: displays the left-hand output raster map of the stereo pair,
  • right-hand pane: displays the right-hand output raster map of the stereo pair.

The window furthermore has a menu bar, a context-sensitive menu, a toolbar, and a status bar.

If you like, you can screen digitize on the stereo pair in the Stereoscope window:

  • If the input maps of the stereo pair did not have a georeference yet, i.e. georef None, you can add a georef tiepoints, a georef direct linear, a georef orthophoto, or a georef parallel projective to one of the output maps of the stereo pair in the Stereoscope window. You can then start screen digitizing.
  • If one of the input maps of the stereo pair already had a georeference, then the coordinates will be retained in the output map. You can directly then start screen digitizing on the output map that has the georeference.

Tips:

  • To view a stereo pair in the Stereoscope window, the output maps calculated by the stereo pair may have the Color domain, the Image domain or any other value domain.
  • If the maps in a stereo pair use the Image domain, a stereo pair can also be viewed as an anaglyph.

For more information, refer to Epipolar Stereo Pair - Creation window.

To create a stereo pair:

  • To create an epipolar stereo pair: choose Epipolar Stereo Pair from the Operations, Image Processing menu, and add fiducial marks, transferred principal points and optional scaling points in the Epipolar Stereo Pair - Creation window.
  • To create a stereo pair from a DTM: choose Stereo Pair from DTM from the Operations, Image Processing menu.

To open the Stereo Pair - Stereoscope window:

By default, the Open action for a stereo pair is that the stereo pair is shown in the Stereoscope window. This means that:

  • When you close the Epipolar Stereo Pair - Creation window with the Exit and Show [image] button, the input maps will be resampled to output maps, i.e. the stereo pair is calculated, then the Stereo Pair - Stereoscope window will be opened automatically, and the resulting maps will be shown.
  • When you click the Show button in the Stereo pair from DTM : dialog box, the input maps will be resampled to output maps, i.e. the stereo pair is calculated, then the Stereo Pair - Stereoscope window will be opened automatically, and the resulting maps will be shown.
  • When you double-click a stereo pair in a Catalog, the Stereo Pair - Stereoscope window will be opened automatically.

This default Open action is defined in the Preferences, section Main window.

Other ways to open a stereo pair in the Stereoscope window are:

  • choose Stereoscope from the Operations, Visualization menu in the Main window;
  • double-click the Stereoscope item in the Operation-list;
  • open the Visualization item in the Operation-tree, and double-click the Stereoscope item;
  • click a stereo pair in a Catalog with the right mouse button, and choose Visualization, Stereoscope from the context-sensitive menu.

Tip: As the output images of a stereo pair may have a very large file size, it is advised to create Pyramid Layers for both output raster maps. This will speed up display in the Stereo Pair - Stereoscope window.

Functionality

Proper stereo viewing (tuning the window size for your eye base):

To properly view the stereo pair in stereo, you have to resize the Stereoscope window so that the horizontal distance between the left-hand and the right-hand photograph fits your eye base:

  • Make sure that the splitter between the left-hand pane and the right-hand pane in the Stereoscope window is in the middle of your stereoscope; you may have to reposition the Stereoscope window a bit on your screen.
  • Look through the stereoscope to the photographs in the Stereoscope window.
  • Make the Stereoscope window larger, by dragging a corner of the window, to increase the horizontal distance between the left-hand and the right-hand photograph.
  • Make the Stereoscope window smaller, by dragging a corner of the window, to decrease the horizontal distance between the left-hand and the right-hand photograph.
  • Stop changing the size of the Stereoscope window when you properly view the photographs in stereo.

Zooming, panning, scrolling, entire map, redraw:

When you use Zooming, Panning, Entire map or Redraw or when you scroll in one of the displayed photographs, this will be applied to both panes.

Unlocking the panes:

To move one or both photographs a little to the left or to the right, in order to improve stereo vision, you may unlock the left pane and right pane from each other:

  • Click the Unlock Horizontal Scroll button [image] in the toolbar.

The Unlock Horizontal Scroll button in the toolbar will appear down. You may now use the horizontal scroll bar below a photograph, to move the photograph a little to the left or to the right.

To add a georeference to one of the output maps of the stereo pair:

When you created an epipolar stereo pair from two photographs or images which used georeference None, you have to add a georeference to one of the output images if you wish to screen digitize on one of the output maps.

  • Click the Active Left Pane button [image] or the Activate Right Pane button [image], depending on whether you wish to add a georeference to the left-hand photograph or to the right-hand photograph.
  • Choose Create Georeference from the File menu of the Stereoscope window.
  • The Create Georeference in map window dialog box will appear.
  • In this dialog box, you can choose to create a georef tiepoints, a georef direct linear, a georef orthophoto, or a georef parallel projective.

Note: A possibly existing georeference will be replaced by a newly created one.

When you wish to screen digitize on the left or right output map of a stereo pair from DTM, it is advised to specify Left or Right for the Look modus option during the Stereo pair from DTM operation. One of the output maps will then be projected vertically. You can then screen digitize on the vertically projected output map.

To create a point map or a segment map on the stereo pair:

When one of the output maps has a georeference, you can create a point map or a segment map on the stereo pair with screen digitizing:

  • Click the Activate Left Pane button [image] or the Activate Right Pane button [image], depending on whether you wish to screen digitize on the left-hand photograph or on the right-hand photograph.
  • Choose Create Point Map or Create Segment Map from the File menu in the Stereoscope window.
  • The Create Point Map or the Create Segment Map dialog box will appear.
  • In this dialog box, the coordinate boundaries of the left-hand map or right-hand map are already filled out.
  • After you have specified a name for the map that you wish to create, you will proceed in the point editor or in the segment editor where you can add points or segments as usual. For more information, refer to Point editor : functionality or Segment editor : functionality.

Mind:

It is not advised to create a vector map on a photograph when the photograph does not have a proper georeference yet. If you do so, you will only be able to display the vector map on the same photograph later on, but you will not be able to display these maps with any other maps which do have proper coordinates.

Other functionality:

Most of the other functionality of the Stereoscope window is largely the same as in a normal map window. For more information, refer to Map window : functionality.

See also:

Epipolar Stereo Pair (operation)

Epipolar Stereo Pair - Creation window

Stereo Pair from DTM (operation)

Show stereo pair with stereoscope

Stereo Pair - Stereoscope window : toolbar

Show stereo pair as anaglyph

ILWIS objects : stereo pairs


Stereo Pair - Stereoscope window : toolbar

Stereo Pair - Stereoscope window

Toolbar

The toolbar of a Stereoscope window provides shortcuts for some regularly used menu commands for instance to zoom in on maps, to pan, etc.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move a toolbar and dock it along an edge of the window; you can also make a toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

Tip: Most actions work on both the left pane and the right pane of the Stereoscope window, thus preserving the X-offset between both panes. To start an action specifically on the left pane or the right pane, first use the Activate Left Pane or the Activate Right Pane buttons.

The following actions can be performed:

Open Stereo Pair:

To open another stereo pair in the Stereoscope window. The Open Stereo Pair dialog box will appear.

Entire Map:

Displays the entire left-hand map in the left pane of the stereoscope map window; displays the entire right-hand map in the right pane of the stereoscope window.

Redraw:

Redraws the left-hand map in the left pane of the stereoscope window; redraws the right-hand map in the right pane of the stereoscope window.

Measure Distance:

Allows you to measure the distance and the angle between two points either in currently active pane (either the left pane or the right pane).

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the maps when zoomed in.

In the currently active pane, the mouse pointer will change into a hand, then:

  • click somewhere in the map in the active pane, and drag this part of the map to another position;
  • automatically, the map in the other pane will be moved too.

Zoom In:

Allows you to zoom in on a selected spot or area in the maps.

In the currently active pane, the mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • in the active pane, click in the map to zoom in on that position with a factor 2, or
  • in the active pane, drag the mouse pointer in the from one corner of interest to another (any zoom in factor);
  • automatically, the map in the other pane will be zoomed in on too.

Tip: To zoom in, you can also use the overview window.

Zoom Out:

Allows you to zoom out from the maps.

In the currently active pane, the mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • in the active pane, click in the map to zoom out with a factor 2, or
  • in the active pane, drag a rectangle with the mouse pointer in the map; the smaller the rectangle, the more you will zoom out;
  • automatically, the map in the other pane will be zoomed out too.

Normal:

In the currently active pane, switch off Measure Distance, Pan, Zoom In, or Zoom Out and return to normal pointing mode.

In the active pane, the mouse pointer will change back into a normal pointer. You can also press the Esc key or the Ctrl+N keys on the keyboard to return to Normal mode.

Activate Left Pane:

Activates the left-hand pane of the Stereoscope window.

Activate Right Pane:

Activates the right-hand pane of the Stereoscope window.

Unlock Horizontal Scroll:

Click this button (button appears down) and use the horizontal scroll bar below a photograph, to move the photograph a little to the left or to the right, in order to improve stereo vision.

Click this button again (button appears up) to connect the left pane and the right pane with each other again for horizontal scrolling; the (new) X-offset will be maintained.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Stereo Pair - Stereoscope window : functionality


SMCE window

Contents

Introduction

Functionality

Toolbar

Criteria tree viewer

Status bar

Menu commands


SMCE window : introduction

SMCE window

Introduction

The Spatial Multi-Criteria Evaluation (SMCE) window is an application that assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way.

The input for the application is a number of raster maps of a certain area (so-called 'criteria' or 'effects'), and a criteria tree that contains the way criteria are grouped, standardized and weighed. The output is one or more maps of the same area (the so-called 'composite index' maps) that indicate the extent to which criteria are met or not in different areas, and thereby support planning and/or decision-making.

The user will easily compare criteria and criteria trees with each other to determine differences and discover what exactly are the reasons that result to a significantly different composite index map, which may lead to a different decision, or see why the composite index map is high or low at a certain location.

Finally, the composite index maps can be sliced or classified, and Shape Indices and Connectivity Indices can be calculated.

The SMCE window consists of:

  • a Title bar with the name of the criteria tree.
  • a Menu bar: the SMCE window has seven menus, File, Edit, Mode, Analysis, Generate, View and Help.
  • a Toolbar: by default located just below the menu bar. The toolbar provides shortcuts for some regularly used menu commands.
  • a Criteria tree viewer: to show and/or edit the criteria tree and to standardize and weigh the items of the tree.
  • a Status bar: located at the bottom of the SMCE window. The status bar gives brief explanations on highlighted menu commands, the functionality of buttons in the toolbar and on selected items in the criteria tree.

The SMCE window can be sized by dragging its borders. For information on minimizing, maximizing the SMCE window, using scroll bars, using menus, etc., see the Introduction on Windows features topic.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : status bar

SMCE window : menu commands


SMCE window : functionality

SMCE window

Functionality

The Spatial Multi-Criteria Evaluation (SMCE) application assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way. The input for the application is a number of maps of a certain area (so-called 'criteria' or 'effects'), and a criteria tree that contains the way criteria are grouped, standardized and weighed. The output of SMCE consists of one or more maps of the same area (the so-called 'composite index maps') that indicate the extent to which criteria are met or not in different areas, and thereby support planning and/or decision-making.

The user can easily try out various criteria, see why an output composite index map has high or low values of achievement by criteria at a certain location, and thus uncover reasons that lead to significantly different composite index maps (which may lead to different decisions).

Starting with Spatial Multi-Criteria Evaluation (SMCE)
Using the Problem Definition mode
Using the Multi-Criteria Analysis mode
Calculation of output map(s)
Classifying or slicing the Composite Index maps

Starting with Spatial Multi-Criteria Evaluation (SMCE)

SMCE process:

The part of the Spatial Multi-Criteria Evaluation (SMCE) process covered by this application can be summarized as follows:

  1. Identification of the main goal.
  2. Identification of a hierarchy of sub goals.
  3. Identification of criteria or effects, which measure the performance of the sub goals.
  4. Creating and filling a criteria tree, which represents the hierarchy of the main goal, any sub goals, and the criteria.
  5. Identification of alternatives to be evaluated.
  6. Assignment of input maps to criteria for each alternative.
  7. Determination of a standardization method per criterion.
  8. Weighing of criteria in the criteria tree.
  9. Calculation of the Composite Index maps and visualization.
  10. Inspecting the values in the Composite Index maps.
  11. Classifying or slicing the Composite Index maps and visualization.
  12. Calculation of Shape Index and/or Connectivity Index.

To start the SMCE application:

To start the Spatial Multi-Criteria Evaluation operation:

  • choose Raster Operations, Spatial Multi-Criteria Evaluation from the Operations menu in the Main window,
  • expand the Raster Operations item in the Operation-tree, and double-click the Spatial Multi-Criteria Evaluation item,
  • double-click the Spatial Multi-Criteria Evaluation item in the Operation-list.

A wizard appears that assists the user in creating a new criteria tree for:

  • Problem Analysis,
  • Design of Alternatives,
  • Decision Making from alternative options.

For more information refer to SMCE window : Create a new criteria tree.

Modes:

The SMCE application has two operation modes:

  1. Problem Definition mode:

    2. By default, the application starts in Problem Definition mode. In this mode, the user can create and fill the criteria tree:

    • add (groups of) criteria,
    • select the appropriate criteria maps (input data),
    • specify output map names for the main goal and optional sub goals, and
    • decide about the number and the names of the alternative situations.

    When this phase is completed, the tree can be fixed and the application can be set to Multi-Criteria Analysis mode.

  2. Multi-Criteria Analysis mode:

    3. In this mode, the structure of the criteria tree cannot be changed anymore.

    Instead, you can:

    • standardize the input maps/attribute columns,
    • assign weights to factors and to groups of factors, and
    • generate output maps.

Using the Problem Definition mode

Creating a criteria tree:

The criteria tree is a tree whose root is the main goal defined by the user, and whose leafs are the criteria that together evaluate the performance of this main goal. The branches divide the main goal into partial goals, and subdivide partial goals. The smallest criteria tree thinkable is a tree where the main goal itself is a criterion. For more information, see ILWIS objects : criteria trees.

Before starting to design a criteria tree it should be clear which factors/constraints contribute to the main goal, what kind of map material is available and what the quality of the map material is.

To create and fill a criteria tree, you can use SMCE window : criteria tree viewer, with which you can:

  • specify a name for the main goal,
  • insert optional groups (i.e. sub goals),
  • insert factors,
  • insert constraints,
  • select an appropriate input map or an attribute column (the input data) for each factor and for each constraint,
  • decide about the number of alternatives to be evaluated,
  • specify the output map name(s) for the main goal, and optionally specify names for any sub goal(s).

To insert new groups, factors or constraints:

  • make sure you are in the Problem Definition mode,
  • select the main goal or select the sub goal under which you wish to insert your new group, factor or constraint,
  • select the Insert command on the Edit menu, or use the following buttons in the toolbar: .

The Insert Group, Insert Factor or Insert Constraint dialog box will appear.

Note: Constraints can only be added under the main goal of a criteria tree.

The application automatically evaluates the tree against some completeness restrictions and warns the user accordingly. If the tree is incomplete, e.g. when a group was defined but no children were added under that group, the items violating the tree's completeness will be marked by a red background color, in order to attract the user's attention.

For more information, refer to SMCE window : criteria tree viewer.

General input map requirements:

For each factor and for each constraint, an input map or an input attribute column has to be selected.

  • All input maps must be raster maps with the same georeference.
  • The input maps or the input attribute columns may use any of the following domain types: any value domain, any class domain or system domain Bool.

Note: If you have other types of input maps (for instance vector maps, maps with another domain type, and maps with a different georeference), these need to be converted (rasterized, resampled, etc.) before they can be used in the Spatial Multi-Criteria Evaluation operation.

Multiple alternatives:

The user determines the number of alternatives to be evaluated. When doing a Problem Analysis or when Designing Alternatives, by default you will need only one input map per criterion.

The user can also indicate that more than one alternative should be handled by the criteria tree, i.e. doing a Decision Making. Using multiple alternatives means that by using a single criteria tree, various input data can be used in the calculation, and the different output maps can be compared to each other. For each alternative, there will thus be a separate set of input maps and a separate output map.

To use multiple alternatives:

  • To set the number of alternatives, choose Alternatives from the Edit menu, or click the Alternatives button [image] in the toolbar.
  • For each criterion and for each alternative, select an input map.
  • Input maps used for the same criterion should use the same domain.

Note:

Various alternatives are not completely independent from one another:

  • When working with multiple alternatives next to each other, using a single criteria tree, during the standardization process, the values in a criterion will be standardized according to the input maps of all alternatives.
  • If you copy an existing criteria tree and assign a new set of input maps to the criteria, then standardization will only take the current alternative into account.

Using the Multi-Criteria Analysis mode

When you finished editing the structure of the criteria tree, you can switch to Multi-Criteria Analysis mode. This brings up a new set of restrictions that have to be satisfied before the calculation of the overall output map can be performed.

  1. All factors and all constraints should be standardized, i.e. each possible value in an input map should be standardized to a value between 0 and 1.
  2. All groups containing more than one factor should be weighed.
  3. The name of the overall output map should be defined before it can be calculated.

Items that do not satisfy the requirements will be marked with a red background color to attract the user's attention. Initially, most items of the criteria tree will be marked.

Standardization:

The values in the various input maps most probably have different meanings, and are probably expressed in different units of measurement (e.g. distance maps, costs, age, etc.). In order to compare criteria with each other, all values need to be standardized, i.e. transformed to the same unit of measurement (from 0 to 1). Depending on the domain type of an input map, a dialog box will be shown in which you can specify how exactly the values of a map should be converted to values between 0 and 1.

To start standardizing an input map or input attribute column:

  • make sure you are in the Multi-Criteria Analysis mode;
  • select the input map or input attribute column you wish to standardize;
  • select Standardize from the Analysis menu, or click the Standardize button [image] in the toolbar.

Depending on the domain type of the selected input map or attribute column, one of the following dialog boxes will appear:

  • Standardize Value Input: the user must select one of the following linear standardization functions:
    • maximum standardization, to standardize the input values by dividing them by the maximum value of the map.
    • interval standardization, to standardize the input values with a linear function that uses the minimum value and the maximum value of the map.
    • goal standardization, to standardize the input values with a linear function that uses a specified minimum and maximum value.
  • Standardize Boolean Input: the user can directly specify a value between 0 and 1 for 'True' values, and similarly specify a value for 'False' values.
    In case of a constraint, options are simplified: you only need to specify the condition that should be met, which will allow any further calculation with the pixel.
  • Standardize Class Input: the user needs to select a column in a table; the column should list a value between 0 and 1 for every domain item, i.e. for each class in the map.

For more information, refer to SMCE window : Standardize.

Weighing:

When the main goal contains multiple factors and optional sub goals, then the main goal needs to be weighed in order to indicate the relative importance of the factors (and optional sub goals) it contains, with respect to the main goal.

Similarly, when a sub goal (group) contains multiple factors and more optional sub goals, then the sub goal needs to be weighed in order to indicate the relative importance of the factors (and optional sub goals) it contains, with respect to the sub goal.

  • Weights are always numbers between 0 and 1. Weights cannot be negative.
  • For the factors within a group, the sum of the weights of the factors equals 1. When a group only has one child, this child automatically obtains weight 1.
  • Constraints are not considered during weighing.

To start weighing multiple factors and optional groups under the main goal or under a sub goal:

  • make sure you are in the Multi-Criteria Analysis mode;
  • select the main goal, which contains multiple factors (and optional sub goals) that you wish to weigh, or
    select a sub goal (group), which contains multiple factors (and optional sub groups) that you wish to weigh;
  • select Weigh from the Analysis menu, or click the Weigh button [image] in the toolbar.

A small Weigh dialog box will appear in which you can select a weigh method.

The following weigh methods are available:

  • Direct: the user specifies a value for the relative importance of each factor himself. Weights are automatically normalized.
  • Pairwise Comparison: the user goes through all unique pairs and assigns Saaty weights, i.e. user specifies the relative importance for each pair of factors in fixed phrases or with a slide bar. From these weights, normalized weights are calculated.
  • Rank Order: the user specifies the rank-order of the relative importance of all factors, either using the rank sum method or the expected value method. From the specified rank-order, normalized weights are calculated.

For more information, refer to SMCE window : Weigh or refer to SMCE window : Weigh methods (additional info).

Calculation of output map(s)

Calculation of output maps is only possible when all input is defined and no values are out of range.

To start calculating all output maps for the main goal:

  • make sure you are in the Multi-Criteria Analysis mode;
  • select the [image] main goal;
  • select Generate All Maps from the Generate menu, or click the Generate All Maps button [image] in the toolbar.

Result(s):

  • When only one 'alternative' is used: the output map for the main goal will be calculated, as well as underlying maps for optional sub goals.
  • When multiple alternatives are used: output maps will be calculated for every alternative, as well as underlying maps for optional sub goals.
  • Output maps are also called composite index maps.
  • Output maps contain the accumulated suitability for all criteria, standardized and weighed as specified in the criteria tree.
  • Output maps have values between 0 and 1 (domain NILto1):
    • pixels with values near 0 represent unsuitable areas, and
    • pixels with values near 1 represent highly suitable areas.

The output map is a combination of all input. In other words, the output map is the result of the weighted-sum formulas and the standardization formulas. However, areas that were classified as 'impossible' in Constraints, are propagated to the resulting composite index map: these areas will obtain suitability 0.

To calculate a single (intermediate) output map:

  • If you use sub goals (groups), assign output map names to the groups;
  • make sure you are in the Multi-Criteria Analysis mode;
  • select the output map name of a group which you wish to calculate, or
    select the final output map of a certain alternative;
    in other words, select one of the green boxes/place holders in the criteria tree viewer;
  • select Generate Selected Maps from the Generate menu, or click the Generate Selected Maps button [image] in the toolbar.

Classifying or slicing the Composite Index maps

Inspecting the values in the Composite Index maps:

Optionally, before you actually slice or classify the values in the output Composite Index maps, you can inspect the values in the maps with Histogram or Aggregate Values.

  1. Histogram:

    2. To get a general idea of the values in the SMCE output maps, use Histogram:

    • select the [image] main goal;
    • select Histogram from the Generate menu, or click the Histogram button [image] in the toolbar.

  2. Aggregate Values:

    3. To calculate the minimum, maximum, sum and average for the SMCE output maps, use Aggregate Values:

    • select the [image] main goal;
    • select Aggregate Values from the Generate menu, or click the Aggregate Values button [image] in the toolbar.

Inspection of the histograms and the results of Aggregate Values may help you to decide on desired boundary values for Slicing.

Slice:

Slicing will classify or slice the values in the SMCE output maps into a limited number of classes. By default, you will obtain a number of default classes with default boundary values. When you wish to accentuate certain areas, you can use your own desired boundary values, and adapt the output class names.

  1. To start Slice:

    • select the [image] main goal;
    • select Slice ... from the Generate menu, or click the Slice button [image] in the toolbar.

  2. The output maps of Slice can be shown using Show Sliced:
    • select the [image] main goal;
    • select Slice ... from the Generate menu, or click the Slice button [image] in the toolbar.

Calculating Shape Index and Connectivity Index:

Optionally, you can inspect the histograms of the slices maps with Histogram Sliced:

  • select the [image] main goal;
  • select Histograms Sliced from the Generate menu, or click the Slice button [image] in the toolbar.

Finally, you can calculate the Shape Index and the Connectivity Index of the sliced output maps with Aggregate Values Sliced:

  • select the [image] main goal;
  • select Aggregate Values Sliced from the Generate menu, or click the Slice button [image] in the toolbar.

References

  • Janssen, R, and Van Herwijnen, M. (1994) Multiobjective decision support for environmental management + DEFINITE DEcisions on an FINITE set of alternatives : demonstration disks and instruction. Kluwer Academic Publishers, Dordrecht (Netherlands). 232 p., 16 p. + two 3,5" disks. ISBN 0-7923-1908-7.
  • Saaty, T. (1980) The Analytical Hierarchy Process. New York, McGraw Hill.
  • Sharifi, M.A. and Retsios, V. (2003) Site selection for waste disposal through spatial multiple criteria decision analysis. In: Proceedings of the 3rd International conference on decision support for telecommunications and information society DSTIS, 4-6 September 2003, Warsaw, Poland. 15 pp. - Includes a case study. Download/view PDF (344 KB)

See also:

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : status bar

SMCE window : menu commands

ILWIS objects : criteria trees


SMCE window : toolbar

SMCE window

Toolbar

The toolbar of the SMCE window provides shortcuts for some regularly used menu commands for instance to open and save a criteria tree, to add groups, factors and constraints, to weigh and standardize items or to calculate output maps.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also, the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Open:

Open an existing criteria tree (*.smc file).

Save:

Save the current criteria tree.

Problem Definition:

Switch to Problem Definition mode:

  • The structure of the criteria tree can be created, i.e. goals, sub goals, groups, factors, constraints, and alternatives can be added.
  • The criteria tree can be filled with maps and attribute tables.
  • The map name for the main goal and the map names for possible sub goals can be entered.
  • Existing criteria can be renamed, other maps can be selected, or criteria can be deleted.

Multicriteria Analysis:

Switch to Multicriteria Analysis mode:

  • Individual factors and constraints can be standardized.
  • Groups of factors can be weighed.
  • Output maps can be generated.
  • The names of criteria and the selected maps cannot be changed.

The Multicriteria Analysis mode should only be selected after completing the Problem Definition mode.

Alternatives:

Change the number of alternatives and/or edit the name(s) of the alternative(s).

Insert Group:

Insert a new group, representing a sub-objective or sub goal:

  • under the main root of the criteria tree, or
  • under the currently selected group in the criteria tree.

Insert Factor:

Insert a new factor (i.e. a benefit or a cost) under the main root of the criteria tree, or under the currently selected group in the criteria tree.

  • Benefit: the more you have of such a criterion, the better it is. A benefit is not necessarily monetary.
  • Cost: the less you have of such a criterion, the better it is. A cost is not necessarily monetary.

Insert Constraint:

Insert a new constraint under the main root of the criteria tree.

Edit:

Edit the currently selected item in the criteria tree. The actual edit action depends on the mode (Problem Definition mode or Multicriteria Analysis mode) and the type of item selected.

Delete:

Delete the currently selected item from the criteria tree.

Standardize:

Standardize the currently selected factor or constraint.

Weigh:

Weigh the main root or the currently selected group of factors.

Generate Selected Maps:

Generate the currently selected map(s). Depending on the selection, one or more output maps will be calculated.

Generate All Maps:

Generate the composite index maps of all alternatives, and all intermediate maps.

Show:

Show the currently selected input or output map(s).

Histogram:

Calculate and show the histogram(s) of the SMCE output map(s).

Aggregate Values:

Aggregate the values of the SMCE output map(s). You can calculate Minimum, Maximum, Sum and Average.

Slice:

Classify the values of the SMCE output maps and obtain sliced SMCE output maps.

Show Sliced:

Show the sliced SMCE output maps.

Histogram Sliced:

Calculate and show the histograms of the sliced SMCE output maps.

Aggregate Values Sliced:

Aggregate the values of the sliced SMCE output maps. You can calculate the Shape Index and the Connectivity Index.

The toolbar can be hidden or shown with the Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

SMCE window : functionality

SMCE window : criteria tree viewer

SMCE window : status bar

SMCE window : menu commands


SMCE window : criteria tree viewer

SMCE window

Criteria tree viewer

The criteria tree viewer shows you the contents of a criteria tree. With the criteria tree viewer, you are able to insert and remove constraints, factors and/or groups of factors, associate input maps to criteria, edit labels and start dialog boxes for standardization and weighing. The criteria tree viewer consists of one criteria tree column and one or more alternative columns.

Creating and filling a criteria tree

Criteria tree column:

The criteria tree column, i.e. the first column, displays your criteria tree.

A criteria tree may contain:

Main Goal | One main goal is obligatory for any criteria tree. The main goal is also called the main root.
Constraint(s) | Constraints can only appear directly under the main goal.
Benefit Factor(s) | Factors may appear directly under the main goal or under a group of factors.
Cost Factor(s) | Factors may appear directly under the main goal or under a group of factors.
Group of Factors | A Group defines an intermediate or a partial goal. Under a Group, you can add one or more Factors and/or other Groups of Factors. Click the plus sign in front of a Group of Factors to expand the group.

Tips:

  • To insert new groups, factors or constraints:
    • make sure you are in the Problem Definition mode,
    • select the main goal or a sub goal under which you wish to insert a new group, factor or constraint,
    • use the Insert command on the Edit menu.
  • When dealing with a large number of factors, it is best to divide them into groups of factors. A group of factors is usually linked to a particular goal. If necessary, the groups can be divided even further. When designing this kind of hierarchical structure, it is important to maintain a balanced distribution of the factors over the groups of factors.

Alternative column:

In an alternative column, i.e. the second column and any other next column, you can:

  • associate input maps to criteria, and
  • specify names for the output map(s), i.e. the composite index map(s).

The number of alternatives is 1 when performing Problem Analysis or Design of Alternatives; the number of alternatives is greater than 1 when performing Decision Making. The SMCE application can handle a maximum of 9 alternatives.

Tip: To set the number of alternatives, use the Alternatives command on the Edit menu.

Visual feedback (background colors)

When building the criteria tree, adding input maps (or columns) to the criteria, specifying the output map name for the main goal and optional output map names for partial goals, and specifying the standardization and weighing methods for all criteria, the application gives you some visual feedback on your progress.

The application thus automatically evaluates the criteria tree against some completeness restrictions and warns the user accordingly.

Items with a red background color indicate incompleteness, for instance:

  • no output name was defined for the main goal,
  • a group was defined, but no children were added to the group, or
  • an item was not standardized or weighed yet.

A green background color means that an output map name is expected:

  • for the main goal, an output map name must be specified.
  • for a partial goal, an output map name is optional.

Tip: To edit an existing name of an output map, select the output map and either slowly click the map name again, or use the context-sensitive menu, the F2 key or the Enter key.

When all necessary steps are completed, output maps can be calculated separately (Generate Selected Maps) or all output maps can be calculated at once (Generate All Maps).

Note: Specifying an output map name for a partial goal, is optional but recommended in order to gain understanding of the composition of the criteria contributions to the composite index.

Information on Standardization

As all input data has to be standardized, and as various methods of standardization are available, information on standardization will appear behind the textual names or descriptions of criteria, as soon as you have performed the standardization of a criterion.

1. Standardization of factors

Depending on the type of input data that is standardized, the criteria tree column will show some information on the standardization and the selected standardization method.

When Value input is standardized as a factor, the criteria tree column will show:

Criterion name--Std:Maximum | input values (from 0 to the maximum input value) are standardized to values 0 to 1.
Criterion name--Std:Interval | input values (from the minimum input value to the maximum input value) are standardized to values 0 to 1.
Criterion name--Std:Goal(Min,Max) | input values (from user-specified minimum input value to user-specified maximum input value) are standardized to values 0 to 1; input values smaller than the specified minimum value will obtain value 0, input values larger than the specified maximum will obtain value 1.
For more information, refer to the Standardize Value Input dialog box.

When Boolean input is standardized as a factor, the criteria tree column will show:

Criterion name--Std:T=ValueT, F=ValueF i.e. True input values are assigned ValueT;
False input values are assigned ValueF

For more information, refer to the Standardize Boolean Input dialog box.

When Class input is standardized as a factor, the criteria tree column will show:

Criterion name--Std:Attr='AttributeCol' Classes are standardized by using an attribute column; the attribute column should contain values between 0 and 1.

For more information, refer to the Standardize Class Input dialog box.

Examples of standardizing factors (benefits and costs):

In the examples below, 6 output maps were calculated, each time using a single factor as input. As input, a value map was used with input values between 10000 and 17250. Each time a different standardization method was selected, and an output map was calculated. This shows the effect of each selected standardization method.

Input value map
Input values range from 10000 to about 17250.
Legend for standardized output values
Benefit Std:Max
0 is standardized to 0 (input value 0 does not occur);
maximum input value is standardized to 1 (green). 		Cost Std:Max
minimum input value is standardized to 1 (green).

Benefit Std:Interval
minimum input value is standardized to 0 (red);
maximum input value is standardized to 1 (green). 		Cost Std:Interval
maximum input value is standardized to 0 (red);
minimum input value is standardized to 1 (green).

Benefit Std:Goal(12500,15000)
input values <=12500 are standardized to 0 (red);
input values >=15000 are standardized to 1 (green). 		Cost Std:Goal(12500,15000)
input values >=15000 are standardized to 0 (red);
input values <=12500 are standardized to 1 (green).

2. Standardization of constraints:

Standardization of constraints is similar to standardization of factors but it is not completely the same.

Depending on the type of input data that is standardized, the criteria tree column will show some information on the standardization and the selected standardization method.

When Value input is standardized as a constraint, the criteria tree column will show:

Criterion name--Std:<>0 | any area in the selected input map with value 0 will be standardized to 0; thus, areas in the input map with values smaller than zero or larger than zero will be standardized to 1.
Criterion name--Std:Min=Min | any area in the selected input map with values smaller than the specified minimum will be standardized to 0; thus, areas in the input map with values larger than or equal to the specified minimum will be standardized to 1.
Criterion name--Std:Max=Max | any area in the selected input map with values greater than the specified maximum will be standardized to 0; thus, areas in the input map with values smaller than or equal to the specified maximum value will be standardized to 1.
Criterion name--Std:Inside(Min,Max) | any area in the selected input map with values smaller than the specified minimum and with values greater than the specified maximum will be standardized to 0; thus, values in the input map between the specified minimum and the specified maximum will be standardized to 1. (Min < Max)
Criterion name--Std:Outside(Min,Max) | any area in the selected input map with values between the specified minimum and the specified maximum will be standardized to 0; thus, values in the input map smaller than the specified minimum and greater than the specified maximum will be standardized to 1. (Min < Max)
For more information, see the example below, or refer to the Standardize Value Input dialog box.

When Boolean input is standardized as a constraint, the criteria tree column will show:

Criterion name--Std:True | areas with value True in the input map will pass; areas with value False in the input map will obtain output value 0.
Criterion name--Std:False | areas with value False in the input map will pass; areas with value True in the input map will obtain output value 0.
For more information, refer to the Standardize Boolean Input dialog box.

When Class input is standardized as a constraint, the criteria tree column will show:

Criterion name--Std:Attr='AttributeCol_bool' an attribute column has to be selected; the attribute column must use the Bool domain.

For more information, refer to the Standardize Class Input dialog box.

Examples of standardizing constraints:

In the examples below, 5 output maps were calculated, each time using a single constraint (distance to city center) as input. As input, value map DIST was used, representing the distance towards the city center; the input values range between 0 and about 7250. Each time a different standardization method was selected, and an output map was calculated. This shows the effect of each selected standardization method.

Input value map: distance to city center (DIST).
Input values range from 0 to about 7250.
White represents the city center itself. 		Std:<>0
DIST <> 0 is standardized to 1 (green)
all other values are standardized to 0 (red);

Std:Min=500
DIST ≥ 500 is standardized to 1 (green);
all other values are standardized to 0 (red). 		Std:Max=1000
DIST ≤ 1000 is standardized to 1 (green);
all other values are standardized to 0 (red).

Std:Inside(500,1000)
DIST ≥ 500 and DIST ≤ 1000 is standardized to 1 (green);
all other values are standardized to 0 (red). 		Std:Outside(500,1000)
DIST ≥ 500 and DIST ≤ 1000 is standardized to 0 (red);
all other values are standardized to 1 (green).

Information on Weighing

The following items can be weighed:

  • multiple factors and optional sub goals under the main goal,
  • multiple factors and optional sub goals under a sub goal.

By weighing the factors and optional sub goals under the main goal, the relative importance is determined of all the factors and sub goals that are part of the main goal.
The same goes for the factors and optional sub goals under a sub goal.

Information on assigned weights and on the selected weigh method(s) is shown in the first column, i.e. the criteria column. Constraints cannot be weighed.

After weights have been assigned, the criteria tree column shows the following:

  • The selected weight method is shown after the group name (selected main goal or selected sub goal).
  • The assigned weight values are shown in front of the criteria names (factors and groups of factors) that occur under the selected main goal or under the selected sub goal.

In the criteria tree viewer, this looks like:

Main goal or sub goal--Direct 0.7 Criterion name--Std:... 0.3 Criterion name--Std:... | Direct assignment of weights: user-specified weights for individual factors in a group.
Main goal or sub goal--Ranksum 0.67 Criterion name--Std:... 0.33 Criterion name--Std:... | Rank Sum: user-defined rank ordering of factors in a group (first item selected receives the highest weight value); slightly different automatic calculation of weights than the Expected Value method.
Main goal or sub goal--ExpVal 0.75 Criterion name--Std:... 0.25 Criterion name--Std:... | Expected Value: user-defined rank ordering of factors in a group (first item selected receives the highest weight value); slightly different automatic calculation of weights than the Rank Sum method.
Main goal or sub goal--Pairwise 0.21 Criterion name--Std:... 0.42 Criterion name--Std:... 0.31 Criterion name--Std:... 0.06 Criterion name--Std:... | Pair-wise comparison: all factors are considered, but the user needs to specify for each pair of factors considered which of these two factors is more important or less important than the other; the specification of the importance of factors is done in fixed phrases or with a slide bar.

For more information, refer to SMCE window : Weigh or refer to SMCE window : Weigh methods (additional info).

Other functionality

To change the width of columns:

To change the width of the criteria tree column or an alternative column:

  • position the mouse pointer at the end of a column,
  • the mouse pointer will change into a double-sided arrow,
  • drag the mouse pointer to the right to make the column wider, or drag the mouse pointer to left to make the column narrower.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : status bar

SMCE window : menu commands

ILWIS objects : criteria trees


SMCE window : status bar

SMCE window

Status bar

A status bar is located at the bottom of the SMCE window. The status bar can be shown or hidden with the Status Bar command on the View menu.

The status bar gives brief explanations on:

  • highlighted menu commands;
  • the functionality of buttons in the toolbar when moving with the mouse pointer over a button;
  • selected items in the criteria tree viewer.

See also:

How to use the Status bar

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : menu commands


SMCE window : menu commands

SMCE window

Menu commands
File

New
Open ...
Save
Save As ...

Exit

Edit

Insert
Group ...
Factor ...
Constraint ...
Edit
Delete
Alternatives

Mode

Problem Definition
Multicriteria Analysis

 Analysis

Standardize ...
Weigh ...

Generate

Selected Maps ...
All Maps ...

Histogram
Aggregate Values
Slice ...
Show Sliced
Histogram Sliced
Aggregate Values Sliced

View

Toolbar
Status Bar


SMCE window : Create a new criteria tree

SMCE window

 File menu

Create a new criteria tree

Create a new criteria tree or close the current criteria tree and create a new one.

The Spatial Multicriteria Evaluation wizard appears:

  • when you choose Raster Operations, Spatial Multi-Criteria Evaluation from the Operations menu in the Main window,
  • when you expand the Raster Operations item in the Operation-tree, and double-click the Spatial Multi-Criteria Evaluation item,
  • when you double-click the Spatial Multi-Criteria Evaluation item in the Operation-list,
  • when you choose New from the File menu in the SMCE window.

The SMCE wizard assists in creating a new criteria tree for:

Problem Analysis:
 | Analyze a problem situation using one set of maps as evaluation criteria, e.g. environmental impact assessment. The criteria tree editor will start with an empty tree and a placeholder for one data set.
Design of Alternatives:
 | Perform analysis for designing alternatives/options using one set of maps as evaluation criteria, e.g. (un)suitability analysis. The criteria tree editor will start with an empty tree and a placeholder for one data set.
Decision Making:
 | The Number of Alternatives dialog box will follow, in which you can specify the number of alternatives and the names for the alternatives. Decide between alternatives/options using a set of maps for each alternative as evaluation criteria. The criteria tree editor will start with an empty tree and placeholders for a number of data sets, each corresponding to an alternative. By default, the number of alternatives is two.
Open an existing criteria tree:
 | Do not create a new criteria tree but open an existing one.

The Criteria tree viewer will be opened.

See also:

SMCE window : functionality

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Open a criteria tree

SMCE window

 File menu

Open a criteria tree

Open an existing criteria tree in the current SMCE window.

If the criteria tree that is currently displayed in the SMCE window has changed, first a question will be asked whether the current criteria tree should be saved or not.

This dialog box appears:

  • when you choose Open from the File menu in the SMCE window;
  • when you click the Open button [image] in the toolbar of the SMCE window;
  • when you choose the Open an existing Criteria Tree option from the Spatial Multicriteria Evaluation wizard.

Dialog box options:

Select a criteria tree: | Select a criteria tree that you wish to open in the SMCE window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The SMCE window will show the selected criteria tree. You can modify the criteria tree according to your wishes.

Tips:

  1. To open a criteria tree in another new SMCE window, you can:
    • double-click a saved criteria tree in a Catalog,
    • click the right mouse button on a criteria tree in a Catalog and choose Open from the context-sensitive menu,
    • start the SMCE application from the ILWIS Main window, and choose Open an existing criteria tree,
    • choose Open from the File menu in the Main window, or
    • click the Open button [image] in the standard toolbar of the Main window.
  2. You can also open a criteria tree by typing the Open or Show command on the command line of the Main window. For more information, see Appendices : ILWIS commands.

See also:

SMCE window : functionality

SMCE window : criteria tree viewer

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Save a criteria tree

SMCE window

 File menu

Save a criteria tree

Save the current criteria tree.

You can use the Save command on the File menu of the SMCE window, but you can also click the Save button [image] in the toolbar of the SMCE window.

  • When you have saved the criteria tree earlier, the criteria tree will be directly saved with the same name as before.
  • When you save a new criteria tree for the first time, the Save As dialog box will appear. In that dialog box, you can enter a new name for the new criteria tree.

See also:

SMCE window : Save As

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Save a criteria tree as ...

SMCE window

 File menu

Save a criteria tree as ...

Save the current criteria tree with a new name.

This dialog box appears:

  • when you choose Save As from the File menu in a SMCE window;
  • when you have not saved the criteria tree before, and you choose Save from the File menu or click the Save button [image] in the toolbar of the SMCE window.

Dialog box options:

Save in: | If necessary, select another directory or folder where the criteria tree should be stored.
File name: | Type a new name for your criteria tree. It is not necessary to specify the extension.
Save as type: | You cannot select anything else than type Criteria Tree.

Note: When you try to save a criteria tree and assign a name that already exists, a question will be asked whether you wish to replace (= overwrite) the existing criteria tree with the current one.

See also:

SMCE window : Save

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Insert a group

SMCE window

 Edit menu

Insert a group

Insert a new [image] group of factors under the main root of the criteria tree or under a selected group of factors in the criteria tree.

The Group dialog box appears:

  1. when you are in the [image] Problem Definition mode, and
  2. when you selected the [image] main goal, or when you selected a sub goal (i.e. a group), and
  3. do one of the following:
    • choose Insert Group from the Edit menu in the SMCE window,
    • click the Insert Group button [image] in the toolbar of the SMCE window,
    • click the main root or a group of factors with the right mouse button, and choose Insert Group from the context-sensitive menu,
    • press the Insert Key on the keyboard and choose Insert Group from the context-sensitive menu.

Dialog box options:

Name:

Type a new textual name for this group of factors to describe the group.

Tips:

  • The newly inserted group will appear under the main goal or under the sub goal that you selected in step 2 above.
  • Next, add factors (benefits and costs) to the new group.
  • Optionally, specify the name of the output map that will be calculated from all factors that are added to this group.

See also:

Insert a factor

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Insert a factor

SMCE window

 Edit menu

Insert a factor

Insert a new factor under the main root of the criteria tree or under a selected group of factors in the criteria tree. Factors are non-binding criteria and are considered as preferred for situations that can compensate each other.

A factor can either be a cost or a benefit.

  • A factor is a [image] benefit when high values in the input map are considered to have a positive effect on the composite index output map.
  • A factor is a [image] cost when high values in the input map are considered to have a negative effect on the composite index output map (e.g. slope values in degrees for selecting a waste disposal area).

The Factor dialog box appears:

  1. when you are in the [image] Problem Definition mode, and
  2. when you selected the [image] main goal, or when you selected a sub goal (i.e. a group), and
  3. do one of the following:
    • choose Insert Factor from the Edit menu in the SMCE window,
    • click the Insert Factor button [image] in the toolbar of the SMCE window,
    • click the main goal or a group of factors with the right mouse button and choose Insert Factor from the context-sensitive menu.
    • press the Insert Key on the keyboard and choose Insert Factor from the context-sensitive menu.

Dialog box options:

Name: | Type a new textual name for this factor to describe it.
Benefit: | Consider the new factor as a benefit (default).
Cost: | Consider the new factor as a cost.

Tips:

  • The newly inserted factor will appear under the main goal or under the sub goal that you selected in step 2 above.
  • Next, select the input map or an input attribute column which will be used to calculate with this factor.

See also:

Insert a constraint

Insert a group

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Insert a constraint

SMCE window

 Edit menu

Insert a constraint

Insert a new [image] constraint under the main goal of the criteria tree. Constraints are binding criteria so no compensation is allowed. Areas in an input map (added as a constraint) that do not satisfy a constraint condition, will obtain a composite index value of 0, no matter how well these areas perform in any other factor.

Factors on the other hand allow for compensation. Poor performance in one criterion can be compensated by good performance in another criterion.

The Constraint dialog box appears:

  1. when you are in the [image] Problem Definition mode, and
  2. when you selected the [image] main goal, or when you selected a sub goal (i.e. a group), and
  3. do one of the following:
    • choose Insert Constraint from the Edit menu in the SMCE window,
    • click the Insert Constraint button [image] in the toolbar of the SMCE window,
    • click the main goal with the right mouse button and choose Insert Constraint from the context-sensitive menu,
    • press the Insert Key on the keyboard and choose Insert Constraint from the context-sensitive menu.

Dialog box options:

Name:

Type a new textual name for this constraint to describe it.

Note: Constraints will always appear under the main goal.

Tip: Next, select the input map or an input attribute column which will be used to calculate with this constraint.

See also:

Insert a factor

Insert a group

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Edit

SMCE window

 Edit menu

Edit

Edit the currently selected item in the criteria tree. The actual edit action depends on the mode (problem definition mode or multicriteria analysis mode) and the type of item (group, factor or constraint) selected.

When the SMCE application is in Problem Definition mode you can use the edit option:

  • to edit item properties,
  • to select input maps, and
  • to edit the name(s) of the output map(s).

When the SMCE application is in Multicriteria Analysis mode you can use the edit option:

  • to standardize factors and contraints (in this case the Edit button does exactly the same as the Standardize button),
  • to weigh the criteria root or groups of factors (in this case the Edit button does exactly the same as the Weigh button), and
  • to edit the name(s) of the output map(s).

The edit action is executed:

  • when you choose Edit from the Edit menu in a SMCE window;
  • when you click the Edit button [image] in the toolbar of the SMCE window;
  • when you press the Enter Key on the keyboard;
  • when you click an item in the criteria tree with the right mouse button and choose Edit from the context-sensitive menu;
  • when you double-click the root, a constraint or a factor in the criteria tree;
  • when you single-click a selected group of factors, an input map or an output map in the criteria tree.

See also:

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Delete

SMCE window

 Edit menu

Delete

Delete the currently selected item from the criteria tree.

The delete action is executed:

  • when you choose Delete from the Edit menu in a SMCE window;
  • when you click the Delete button [image] in the toolbar of the SMCE window;
  • when you press the Delete Key on the keyboard;
  • when you click an item in the criteria tree with the right mouse button and choose Delete from the context-sensitive menu.

Notes:

  • When you delete a group of factors, also the children of that group will be deleted.
  • In the Multicriteria Analysis mode, the criteria tree structure is fixed. With a delete action, you are then only able to delete name(s) of output map(s).

See also:

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Enter the number of alternatives

SMCE window

 Edit menu

Enter the number of alternatives

Enter or edit the name(s) of the alternative(s) and/or change the number of alternatives. Number of alternatives is one when performing Problem Analysis or Design of Alternatives, and more than one when performing Decision Making.

The Enter the number of alternatives dialog box appears:

  • when you choose Alternatives from the Edit menu in the SMCE window;
  • when you click the Alternatives button [image] in the toolbar of the SMCE window;
  • when you click one of the grey column headers at the upper part of the criteria tree editor.

Dialog box options:

Number of alternatives: | Select the number of alternatives [1,9]. By default the number of alternatives is 1 when performing Problem Analysis or Design of Alternatives and 2 when performing Decision Making.
Alternative 1: | Type a name for Alternative 1.
Alternative 2..9: | Optional. Type a name for Alternative 2..9.

Note:

  • Changing the number and names of alternatives is only possible in the Problem Definition mode.
  • Typing a name for an alternative is only possible if the number of alternatives is more than one.

See also:

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Standardize

SMCE window

 Analysis menu

Standardize

Standardize the currently selected factor or constraint.

In the Problem Definition mode, you have selected input data for your criteria (factors or constraints). This input data are various maps or attribute columns with a value domain, a class domain, or the Bool domain. The values in these input maps or columns have a meaning and express different measurement units (e.g. distance, cost, age etc.). In order to compare criteria with each other in a way that makes sense, they have to be standardized, i.e. transformed to the same unit. Moreover, different standardization methods express different utility of input values. When standardizing, depending on the type of input map, a dialog box will appear in which you can choose the "rule" by which the map or column values are converted to values between 0 and 1.

Depending on the domain of the map or attribute column selected in step 2 below, one of the Standardize dialog boxes will appear:

  • For value maps: Standardize Value Input.
  • For class maps: Standardize Class Input.
  • For boolean maps: Standardize Boolean Input.

A Standardize dialog box will appear:

  1. When you are in Multicriteria Analysis mode, and
  2. when you selected a factor or constraint in the criteria tree viewer, and
  3. do one of the following:
    • choose Standardize from the Analysis menu in the SMCE window,
    • click the Standardize button [image] in the toolbar of the SMCE window,
    • click a criteria with the right mouse button and choose Standardize from the context-sensitive menu,
    • press the Enter Key, or
    • double-click a factor or constraint in the criteria tree viewer.

See also:

SMCE window : Standardize Value Input

SMCE window : Standardize Class Input

SMCE window : Standardize Boolean Input

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Standardize Value

SMCE window

 Analysis menu

Standardize Value Input

Standardize the values in the selected value map, or in the selected value column in an attribute table.

  • an output standardization value of 0 means that the input value is perceived to have low utility,
  • an output standardization value of 1 means that the input value is perceived to have high utility.

Standardization possibilities are slightly different for factors and for constraints.

  • Standardization of factors (benefits and costs): output values range between 0 and 1;
  • Standardization of constraints; output values are either 0 or 1.

Standardization of factors (benefits and costs)

For standardization of factors, you must select one of the following linear standardization functions.

Dialog box options:

Maximum:

Select this option when you wish to standardize the input values by dividing them by the maximum value of the map.

For a benefit:

  • value 0 in the input map or column will be standardized to 0, even if value 0 does not occur in the input;
  • the maximum value of the input map or column will be standardized to 1;
  • all other input values will be standardized to a value between 0 and 1.

For a cost:

  • the minimum value of the input map or column will be standardized to 1;
  • values larger than the minimum value in the input map or column will obtain values smaller than 1, while value 0 may not be reached;
  • all other input values will be standardized to a value between 0 and 1.

Note: The following formulas will be used:
Benefit factor = value / maximum input value
Cost factor = 1 - (value / maximum input value) + (minimum input value / maximum input value)

Interval:

Select this option when you wish to standardize the input values with a linear function that uses the minimum value and the maximum value of the input map or input column.

The output of this standardization are positive values for both the cost and benefit factors. The standardized values are exactly between 0 and 1.

For a benefit:

  • the minimum value in the input map or column will be standardized to 0;
  • the maximum value of the input map or column will be standardized to 1;
  • all other input values will be standardized to a value between 0 and 1.

For a cost:

  • the maximum value of the input map or column will be standardized to 0;
  • the minimum value of the input map or column will be standardized to 1;
  • all other input values will be standardized to a value between 0 and 1.

Note: The following formulas will be used:
Benefit factor = (value - minimum input value) / (maximum input value - minimum input value)
Cost factor = 1 - (value - minimum input value) / (maximum input value - minimum input value)

Goal:

Select this option when you wish to standardize the input values with a linear function that uses a specified minimum and maximum value.

The output of this standardization are positive values for both the cost and benefit factors. The standardized values are exactly between 0 and 1.

Min:

When using the Goal method: Specify the minimum value in the input map that should be used in the goal standardization formulas. The minimum goal value refers to the lowest value of input values that is perceived to have any utility. Lower values are perceived to also have a utility of 0, i.e. these are not performing or undershooting the goal.
The specified input value, and any other input map values smaller than the specified minimum value, will be standardized to 0.

Max:

When using the Goal method: Specify the maximum value in the input map that should be used in the goal standardization formulas. The maximum goal value refers to the highest value of input values that is perceived to have the most necessary utility. Higher values are perceived to also have a utility, i.e. they are over-performing or overshooting the goal.
The specified input value, and any other input map values larger than the specified maximum value, will be standardized to 1.

For a benefit:

  • The minimum value specified for the goal will be standardized to value 0, all input values smaller than the minimum goal value will also obtain value 0;
  • The maximum goal value will be standardized to value 1, all input values larger than the maximum goal value will also obtain value 1;
  • all other input values will be standardized to a value between 0 and 1.

For a cost:

  • The maximum goal value will be standardized to value 0, all input values larger than the maximum goal value will also obtain value 0;
  • The minimum goal value will be standardized to value 1, all input values smaller than the minimum goal value will also obtain value 1;
  • all other input values will be standardized to a value between 0 and 1.

Note: The following formulas will be used:
Benefit factor = (value - minimum goal value) / (maximum goal value - minimum goal value)
Cost factor = 1 - (value - minimum goal value) / (maximum goal value - minimum goal value)

Tip: When a factor (a benefit or a cost) with a value domain has been standardized, the criteria tree viewer shows information about the way the factor is standardized, see the first column below. Explanations, in the second column, refer to benefits.

Criterion name--Std:Maximum | input values (from 0 to the maximum input value) are standardized to values 0 to 1.
Criterion name--Std:Interval | input values (from the minimum input value to the maximum input value) are standardized to values 0 to 1.
Criterion name--Std:Goal(Min,Max) | input values (from user-specified minimum input value to user-specified maximum input value) are standardized to values 0 to 1; input values smaller than the specified minimum value will obtain value 0, input values larger than the specified maximum will obtain value 1.

Examples of standardizing factors (benefits and costs)

In the examples below, 6 output maps were calculated, each time using a single factor as input. As input, a value map was used with input values between 10000 and 17250. Each time a different standardization method was selected, and an output map was calculated. This shows the effect of each selected standardization method.

Input value map
Input values range from 10000 to about 17250.
Legend for standardized output values
Benefit Std:Max
0 is standardized to 0 (input value 0 does not occur);
maximum input value is standardized to 1 (green). 		Cost Std:Max
minimum input value is standardized to 1 (green).

Benefit Std:Interval
minimum input value is standardized to 0 (red);
maximum input value is standardized to 1 (green). 		Cost Std:Interval
maximum input value is standardized to 0 (red);
minimum input value is standardized to 1 (green).

Benefit Std:Goal(12500,15000)
input values <=12500 are standardized to 0 (red);
input values >=15000 are standardized to 1 (green). 		Cost Std:Goal(12500,15000)
input values >=15000 are standardized to 0 (red);
input values <=12500 are standardized to 1 (green).

Standardization of constraints

Unlike factor standardization, standardized constraints cannot be compensated by good performance of other criteria. Standardized constraints will either obtain value 0 (not performing) or value 1 (performing).

Dialog box options:

The dialog box contains only two check boxes: Minimum and Maximum.
By using various combinations of these check boxes, 5 possibilities of standardization of constraints can be achieved.

Unequal to zero method:

To obtain a standardized value of 1 for all areas that are unequal to zero, and a standardized value 0 for input value 0.

  • Do not select any of the two check boxes.

Minimum method:

To obtain a standardized value of 1 for all areas that have a value larger than or equal to the specified minimum value; other areas will obtain a standardized value of 0.
Thus, areas which values are smaller than the specified minimum value will be excluded in further analysis, even if they perform well in other criteria maps.

  • Select the minimum check box and specify a value.

Maximum method:

To obtain a standardized value of 1 for all areas that have a value smaller than or equal to the specified maximum value; other areas will obtain a standardized value of 0.
Thus, areas which values are larger than the specified maximum value will be excluded in further analysis, even if they perform well in other criteria maps.

  • Select the maximum check box and specify a value.

Inside method:

To obtain a standardized value of 1 for all areas that have a value larger than or equal to the specified minimum value, and smaller than or equal to the specified maximum value; other areas will obtain a standardized value of 0.
Thus, areas which values are smaller than the specified minimum value, and areas which values are larger than the specified maximum value will be excluded in further analysis, even if they perform well in other criteria maps.

  • Select the minimum check box and specify a minimum value, and
  • select the maximum check box and specify a maximum value.
  • The specified value for the minimum should be smaller than the specified value for the maximum.

Outside method:

To obtain a standardized value of 0 for all areas that have a value larger than or equal to the specified minimum value, and smaller than or equal to the specified maximum value; other areas will obtain a standardized value of 1.
Thus, areas which values are larger than the specified first value and that are smaller than the specified second value will be excluded in further analysis, even if they perform well in other criteria maps.

  • Select the maximum check box and specify the first value, and
  • select the minimum check box and specify the second value, and
  • The value specified for the minimum needs to be larger than the value specified for the maximum!

Tip: When a constraint with a value domain has been standardized, the criteria tree viewer shows information about the way the constraint is standardized, see the first column below.

Criterion name--Std:<>0 | When using the Unequal to zero method, see above.
Criterion name--Std:Min=Min | When using the Minimum method, see above.
Criterion name--Std:Max=Max | When using the Maximum method, see above.
Criterion name--Std:Inside(Min,Max) | When using the Inside method, see above.
Criterion name--Std:Outside(1st val, 2nd val) | When using the Outside method, see above.

Examples of standardizing constraints

In the examples below, 5 output maps were calculated, each time using a single constraint (distance to city center) as input. As input, value map DIST was used, representing the distance towards the city center; the input values range between 0 and about 7250. Each time a different standardization method was selected, and an output map was calculated. This shows the effect of each selected standardization method.

Input map: distance to city center (DIST).
Input values range from 0 to about 7250.
White represents the city center itself. 		Std:<>0
DIST <> 0 is standardized to 1 (green)
all other values are standardized to 0 (red);

Std:Min=500
DIST ≥ 500 is standardized to 1 (green);
all other values are standardized to 0 (red). 		Std:Max=1000
DIST ≤ 1000 is standardized to 1 (green);
all other values are standardized to 0 (red).

Std:Inside(500,1000)
DIST ≥ 500 and DIST ≤ 1000 is standardized to 1 (green);
all other values are standardized to 0 (red). 		Std:Outside(500,1000)
DIST ≥ 500 and DIST ≤ 1000 is standardized to 0 (red);
all other values are standardized to 1 (green).

See also:

SMCE window : Standardize

SMCE window : Standardize Class Input

SMCE window : Standardize Boolean Input

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Standardize Class

SMCE window

 Analysis menu

Standardize Class Input

Standardize a class map.

  • Input values are found in a column of an attribute table that is linked to the map.
  • In principle, values in the attribute column must be between 0 and 1;
    this means that the attribute column that you wish to use:
    • can use a value domain and have a value range between 0 and 1, or
    • can use the Bool domain.
  • However, for benefit factors or for cost factors, if you wish to insert values that are larger than 1, you can use the Apply Weigh Wizard button, see below.

Tip:

In general, it may be easier to prepare an attribute table beforehand and link it to the input class map (through the Properties of the raster map). You can then:

  • directly select an attribute column (any value range) as input in the criteria tree viewer, and
  • standardize the values in the attribute column using the Standardize Value Input dialog box.

Standardization possibilities are slightly different for factors and for constraints.

  • Standardization of factors (benefits and costs): output values range between 0 and 1;
  • Standardization of constraints; output values are either 0 or 1.

Standardization of factors (benefits and costs)

Specify a column in an attribute table that matches class names to values between 0 and 1. The attribute column can still be created; values in the attribute column must be between 0 and 1.

Dialog box options:

Edit | Click the Edit button to open the linked attribute table for editing. You can for instance inspect the attribute columns to decide which column you wish to use, edit the values, or even create a new attribute column and fill it with values. When creating a new column, make sure that the column uses a value range between 0 and 1. When finished editing values in the attribute column that you wish to use, click the Refresh Attribute List button.
Refresh Attribute List | Click the Refresh Attribute List button to refresh the attribute list. If you manually edited values or manually created a new attribute column using the Edit button, you must click the Refresh Attribute List button to make the application read the new values, and/or show the newly created column in the 'Attribute between 0 and 1' drop-down list box.
Attribute between 0 and 1: | Select an attribute column (a value column with values between 0 and 1 or a boolean column) with which the map should be standardized; open the drop-down list box by clicking it. You can select one of the existing attribute columns, or you can create a new column by clicking the create button [image] . If you create a new attribute column through the Create button, click the Edit button in this dialog box to fill the new attribute column with values (see above).
Apply Weigh Wizard | Click the Apply Weigh Wizard button to open the Weigh wizard: all class names will appear in a list, and you can insert a value for each class. You can enter any positive value and value zero: the Weigh wizard will automatically convert this to values between 0 and 1 for you. Value 0 will always be converted to 0; the largest value that you insert in the Apply Weigh Wizard will automatically obtain value 1. The Apply Weigh Wizard button is not available when the number of classes is larger than 15.

Tip: When a factor (a benefit or a cost) with a class domain has been standardized, the criteria tree viewer shows information about the way the factor is standardized, see the first column below.

Criterion name--Std:Attr='AttributeCol' Classes in the input map are standardized by using an attribute column.

Standardization of constraints

Standardization of constraints is slightly different.

Dialog box options:

Edit | Click the Edit button to open the linked attribute table for editing. For more information, see above.
Refresh Attribute List | Click the Refresh Attribute List button to make the application read new attribute values, and/or show a newly created attribute column in the 'Attribute between 0 and 1' drop-down list box. For more information, see above.
Boolean Attribute: | Select an attribute column with the Bool domain; the class map will be standardized according to the values in the selected attribute column. You can select one of the existing attribute columns, or you can create a new column by clicking the create button [image] . For more information, see above.

Tip: When a constraint with a class domain has been standardized, the criteria tree viewer shows information about the way the factor is standardized, see the first column below.

Criterion name--Std:Attr='AttributeCol_bool' Classes in the input map are standardized by using an attribute column. The attribute column must use the Bool domain.

See also:

SMCE window : Standardize

SMCE window : Standardize Value Input

SMCE window : Standardize Boolean Input

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Standardize Boolean

SMCE window

 Analysis menu

Standardize Boolean Input

Standardize a boolean map:

Standardization possibilities are slightly different for factors and for constraints.

  • Standardization of factors (benefits and costs): output values range between 0 and 1;
  • Standardization of constraints; output values are either 0 or 1.

Standardization of factors (benefits and costs)

For boolean maps standardization is easy. The user only needs to specify a value to be given to the 'true' and the 'false' pixels.

Dialog box options:

Value for TRUE: | Type a value between 0 and 1 to be given to input pixels with value True. The default value to be assigned is 1.000.
Value for FALSE: | Type a value between 0 and 1 to be given to input pixels with value False. The default value to be assigned is 0.000.

Tip: When a factor (a benefit or a cost) with a boolean domain has been standardized, the criteria tree viewer shows information about the way the factor is standardized, see the first column below.

Criterion name--Std:T=ValueT, F=ValueF i.e. True input values are assigned ValueT;
False input values are assigned ValueF

Standardization of constraints

When a map is used as a constraint, options are simplified because the user only needs to specify a condition that a pixel should satisfy in order to include it in the output.

Dialog box options:

TRUE passes, FALSE will be blocked | This means that all input pixels with value True will be included in the output map; all pixels with value False will be excluded from the output.
FALSE passes, TRUE will be blocked | This means that all input pixels with value False will be included in the output map; all pixels with value True will be excluded from the output.

Tip: When a constraint with a boolean domain has been standardized, the criteria tree viewer shows information about the way the factor is standardized, see the first column below.

Criterion name--Std:True | areas with value True in the input map will pass; areas with value False in the input map will obtain output value 0.
Criterion name--Std:False | areas with value False in the input map will pass; areas with value True in the input map will obtain output value 0.

See also:

SMCE window : Standardize

SMCE window : Standardize Value Input

SMCE window : Standardize Class Input

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Weigh

SMCE window

 Analysis menu

Weigh

Weigh multiple factors (benefits and costs) and optional groups under the main goal, and/or weigh multiple factors and optional groups under a sub goal. Assigning weights is needed in order to indicate the relative importance of these factors with respect to the main goal or to optional sub goals.

Dialog box options:

Direct Method: | The user has to specify weight values himself. These user-defined weights are automatically normalized.
Pairwise Comparison: | The user goes through all unique pairs and assigns Saaty weights (in words). From these weights, normalized weights are calculated.
Rank Ordering: | The user assigns a rank-order to the items. From this rank-order, normalized weights are calculated.

Tips:

  • Weights are always numbers between 0 and 1. Weights cannot be negative.
  • For the factors within a group, the sum of the weights of the factors equals 1. When a group only has one child, this child automatically obtains weight 1.

A Weigh dialog box will appear:

  1. When you are in Multicriteria Analysis mode, and
  2. when you selected the main goal, or a sub goal, that contains multiple factors in the criteria tree viewer, and
  3. do one of the following:
    • choose Weigh from the Analysis menu in the SMCE window,
    • click the Weigh button [image] in the toolbar of the SMCE window,
    • click a criteria with the right mouse button and choose Weigh from the context-sensitive menu,
    • press the Enter Key, or
    • click the main goal or a sub goal in the criteria tree viewer.

Tips:

  • When you use Weigh for the first time, this Weigh dialog box will appear, in which you can choose the Weigh method.
  • Also, within one of the three weigh methods dialog boxes, you can choose another weigh method by using the Choose other method button. This Weigh dialog box will appear.

See also:

SMCE window : Weigh - Direct Method

SMCE window : Weigh - Pairwise Comparison

SMCE window : Weigh - Rank Ordering

SMCE window : Weigh methods (additional info)

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Weigh - Direct Method

SMCE window

 Analysis menu

Weigh - Direct Method

Manually assign weights to multiple factors and optional groups that occur under the selected main goal, or to multiple factors and optional groups that occur under the selected sub goal.

In the direct weigh method, you have to estimate the relative importance of each factor and optional group of factors yourself. The user-defined weights are automatically normalized.

Dialog box options:

Items column: | This column lists all factors and optional groups, which occur under the selected main goal or under a selected group, that will be weighed.
Weights column: | Type a weight value for each factor or group of factors. By default all weights are 0.
Normalized column: | This column lists normalized weight values. Each user-defined weight is automatically normalized by dividing it by the sum of all user-defined weights. The sum of all normalized weights is always 1.
Choose other method | Click the Choose other method button to open the Weigh dialog box to choose another Weigh method.

Note:

After weights have been assigned, the criteria tree viewer will show the following:

  • The selected weight method is shown after the selected main goal, or the selected sub goal.
  • The assigned weight values are shown in front of the factors and optional groups of factors that occur under the selected main goal or under the selected sub goal.

Main goal or sub goal--Direct
0.7 Criterion name--Std:...
0.3 Criterion name--Std:... 		Direct assignment of weights: user-specified weights for individual factors in a group.

See also:

SMCE window : Weigh

SMCE window : Weigh - Pairwise Comparison

SMCE window : Weigh - Rank Ordering

SMCE window : Weigh methods (additional info)

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Weigh - Pairwise Comparison

SMCE window

 Analysis menu

Weigh - Pairwise Comparison

Assign weights to multiple factors and optional groups that occur under the selected main goal, or to multiple factors and optional groups that occur under the selected sub goal.

In the pairwise comparison method, also known as the Analytical Hierarchy Process (AHP) (Saaty), you must indicate for each pair of factors which factor is the most important one. Subsequently you must indicate in qualitative terms to what extent a factor is more important than another. The pairwise comparison method converts these comparisons of all pairs of factors to quantitative weights for all factors.

  • For instance, if three elements A, B, C were to be compared, and A > B and B > C, we would expect A > C. With three elements we can maintain such consistency, but with many elements we can only maintain consistency if we have a good understanding of our priorities. If not, inconsistencies will appear such as C > A.
  • The advantage of this method is that decision makers can express qualitative priorities and that more priority assessments are made, which allows for a check on consistent assessment.
  • A disadvantage of this method is that it is rather time consuming.

For more information, see also Weigh methods (additional info), section Pairwise comparison.

The dialog box is a kind of wizard and consists of two sheets.

Pairwise Comparison sheet

Dialog box options:

Current comparison column:

This column each time shows two factors that are to be compared. For each pair of factors, you must indicate which factor is the more important than the other; in other words, you must indicate in qualitative terms, using Saaty weights, to what extent one factor is more important than the other.

Assigning Saaty weights can be done:

  • by selecting the correct wording in the drop-down list box, or
  • by dragging the slider up or down until the correct wording is visible in the drop-down list box.

Comparisons column:

This column lists all unique pairs of factors that need to be compared to each other.

When a check box is selected, this pair of factors has already been compared to each other.

When a check box is not yet selected, that pair of factors still needs to be compared.

The application keeps track of whether factors have been compared to each other or not.

The selected option button shows you the currently selected pair of factors that is to be compared. To store Saaty weights for the currently selected pair and move to a next pair: click the Next button.

Next

Press the Next button to select the next pair of factors. When all pairwise comparisons are done, the Next button will lead to the sheet with the Pairwise Comparison - Results.

Back

Press the Back button to go back to the previously selected pair of factors.

Choose other method

Click the Choose other method button to open the Weights dialog box to choose another Weigh method.

Warning:

Within pairwise comparison, the number of comparisons increases combinatorially with the number of factors (n*(n-1)/2). For example, the assessment of the weights of 4 factors involves no more than 6 comparisons, but assessment of the weights for 10 factors requires as many as 45 comparisons. It is not recommended to use this method if the number of factors is higher than 7 (21 comparisons). The inconsistency ratio is only calculated if the number of factors is 3-9.

Pairwise Comparison - Results sheet

Dialog box options :

Resulting Normalized Weights column:
 | All factors are listed with their resulting normalized weights. The sum of all resulting normalized weights is always 1.
Inconsistency ratio: | An index between 0 en 1 that indicates whether the pairwise comparisons are sufficiently consistent. A value of 0 indicates complete consistency; a value larger than 0.1 indicates inconsistency.
Back | Press the Back button to go back to the Pairwise Comparison sheet to assign other Saaty weights to one or more pairs of factors.
Finish | Press the Finish button to close the Pairwise Comparison dialog box and finish weighing.
Choose other method | Click the Choose other method button to open the Weigh dialog box to choose another Weigh method.

Note:

After weights have been assigned, the criteria tree viewer will show the following:

  • The selected weight method is shown after the selected main goal, or the selected sub goal.
  • The assigned weight values are shown in front of the factors and optional groups of factors that occur under the selected main goal or under the selected sub goal.

Main goal or sub goal--Pairwise
0.21 Criterion name--Std:...
0.42 Criterion name--Std:...
0.31 Criterion name--Std:...
0.06 Criterion name--Std:... 		Pair-wise comparison: all factors are considered, but the user needs to specify for each pair of factors considered which of these two factors is more important or less important than the other; the specification of the importance of factors is done in fixed phrases or with a slide bar.

Reference:

  • Saaty, T. (1980) The Analytical Hierarchy Process. New York, McGraw Hill.

See also:

SMCE window : Weigh

SMCE window : Weigh - Direct Method

SMCE window : Weigh - Rank Ordering

SMCE window : Weigh methods (additional info)

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Weigh - Rank Ordering

SMCE window

 Analysis menu

Weigh - Rank Ordering

Manually assign a rank order to multiple factors and optional groups that occur under the selected main goal, or to multiple factors and optional groups that occur under the selected sub goal.

In the rank order method, you have to place all factors and optional sub goals in a rank-order (most important item at the top). From this rank-order, numerical weights are calculated using either the expected value method or the rank sum method. For more information on the Rank Ordering method, Expected value method, or Rank sum method, refer to Weigh methods (additional information).

Dialog box options:

Expected Value:

Select this option if you wish to calculate weight values from the specified rank-order, using the expected value method. For more information, refer to Weigh methods (additional information), section Expected value.

Rank Sum:

Select this option if you wish to calculate weight values from the specified rank-order, using the rank sum method. For more information, refer to Weigh methods (additional information), section Rank sum.

Rank Sum Power:

The Rank Sum Power text box appears when you select the Rank Sum option. By default the power is 1.000000.

Left-hand list box :

The left-hand list box displays the factors and/or groups of factors that you wish to rank-order.

  • Select an item in the left-hand list box, and click the [image] or the [image] button to move the item to the right-hand list box.
  • You can also drag an item from the left-hand list box to the right-hand list box.

Right-hand list box:

The right-hand list box displays the rank-order of the factors and/or groups of factors. The factor or group at the top of the list is considered the most important, the factor or group at the bottom of the list is considered the least important.

Press this button to move a selected item from the left-hand list box to the right-hand list box. The selected item will be positioned at the same rank level as the item currently selected on the right, which is usually the item positioned last. You can also drag an item from the left-hand list box to the right-hand list box: drop the item onto the item positioned last.

Press this button to move a selected item from the left list box to the right list box. The selected item will be positioned one rank level lower than the item positioned last. You can also drag an item from the left-hand list box to the right-hand list box: drop the item below the item positioned last.

Press this button to move a selected item back from the right-hand list box to the left-hand list box. You can also drag an item from the right-hand list box to the left-hand list box: it does not matter where you drop the item.

Resulting Weights column:

This column displays the factors and groups and their resulting weight values. Weights are automatically calculated using the expected value method or the rank sum method. For more information, refer to Weigh methods (additional information). The sum of all resulting weights is always 1.

Choose other method

Click the Choose other method button to open the Weigh dialog box to choose another Weigh method.

Note:

After weights have been assigned, the criteria tree viewer will show the following:

  • The selected weight method is shown after the selected main goal, or the selected sub goal.
  • The assigned weight values are shown in front of the factors and optional groups of factors that occur under the selected main goal or under the selected sub goal.
Main goal or sub goal--ExpVal 0.75 Criterion name--Std:... 0.25 Criterion name--Std:... | Expected Value: user-defined rank ordering of factors in a group (first item selected receives the highest weight value); slightly different automatic calculation of weights than the Rank Sum method.
Main goal or sub goal--Ranksum 0.67 Criterion name--Std:... 0.33 Criterion name--Std:... | Rank Sum: user-defined rank ordering of factors in a group (first item selected receives the highest weight value); slightly different automatic calculation of weights than the Expected Value method.

See also:

SMCE window : Weigh

SMCE window : Weigh - Direct Method

SMCE window : Weigh - Pairwise Comparison

SMCE window : Weigh methods (additional info)

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


SMCE window : Weigh methods (additional info)

SMCE window

Weigh methods (additional info)

  1. Ranking methods for weight assessment
    1. Expected value method
    2. Rank sum method
  2. Pairwise comparison

1. Ranking methods for weight assessment

The set of weights of a problem with three criteria (c1, c2, c3) that are non-negative and add up to one is represented as triangle ABC in Figure 1. If criterion c1 is more important than criterion c2 and criterion c2 is more important than criterion c3, then the set of feasible weights S equals the shaded triangle ADE in Figure 1. This shows that the information contained in the ordering is substantial. From the set of weights that are non-negative and add up to 1, only 1/6 proves to remain feasible.

Fig. 1: Feasible weights in a problem with three criteria (after Janssen, 1993). Shaded area W1 ≥ W2 ≥ W3.

1a. Expected value method

The expected value in one method for using the information on the set S of feasible weights to produce quantitative weights.

The expected value method assumes that each set of weights that fits the rank order of criteria has equal probability. The weight vector is calculated as the expected value of the feasible set. In the shaded triangle ADE (set S) of Figure 1, the expected value is found as the centroid of this triangle (Figure 2). This method results in a unique weight vector. In combination with, for example, weighted summation it also results in a complete ranking of the alternatives.

Fig. 2: Centroid of a triangle.

The expected value method calculates the weight, wk, for criterion k according to Formula 1 where n is the number of criteria. The weights fit the rank order of criteria defined by set S, meaning that w1 ≥ w2 ≥ ... ≥ wn ≥ 0.

(Formula 1)

Table 1 shows the weight vectors for various numbers of criteria according to Formula 1.

Table 1: Example of expected value of criterion weights.

Number of criteria | Expected value of criterion weights
N | E(w1) | E(w2) | E(w3) | E(w4) | E(w5) | E(w6)
2 | 0.75 | 0.25 |  |  |  |
3 | 0.61 | 0.28 | 0.11 |  |  |
4 | 0.52 | 0.27 | 0.15 | 0.06 |  |
5 | 0.46 | 0.26 | 0.16 | 0.09 | 0.04 |
6 | 0.41 | 0.26 | 0.16 | 0.10 | 0.06 | 0.03

1b. Rank sum method

Another method to generate numerical weights from a rank order of criteria is the rank sum method. This method calculates the weight, wk, for criterion k according to Formula 2 where n is the number of criteria. Again, the weights fit the rank order of criteria defined by set S, meaning that w1 ≥ w2 ≥ ... ≥ wn ≥ 0.

(Formula 2)

Table 2 shows the weight vectors for various numbers of criteria according to Formula 2.

Table 2: Example of criterion weights using rank sum method.

Number of criteria | Criterion weights using rank sum method.
N | w1 | w2 | w3 | w4 | w5 | w6
2 | 0.66 | 0.33 |  |  |  |
3 | 0.50 | 0.33 | 0.17 |  |  |
4 | 0.40 | 0.30 | 0.20 | 0.10 |  |
5 | 0.33 | 0.27 | 0.20 | 0.13 | 0.07 |
6 | 0.29 | 0.24 | 0.19 | 0.14 | 0.10 | 0.05

The rank sum method, combined with a multicriteria method, always leads to complete ranking. The rank order is not always in agreement with all the possible quantitative weights, the weights of set S, and is therefore not entirely certain.

2. Pairwise comparison

Justification of priorities would be much easier if we use a less precise way of expressing judgments, such as words instead of numbers. Suppose we were to use words instead of numbers. Words are often easier to justify than numbers. For example, if you say that, with respect to corporate image, alternative A is 3 times more preferable than alternative B, can you justify why it is exactly 3? Why not 2.9, or 3.1? But if you said, instead, that A is 'moderately' more preferable than B, this can be justified with a variety of arguments, including, perhaps, some hard data.

The Analytical Hierarchy Process (AHP) is based on criteria that are measured on a ratio scale. In AHP the decision maker has to make a comparison for every pair of criteria: first qualitative and then quantitative on a scale from 1 to 9 to make the method operational. This scale is presented here for a binary relation:

Equally preferred | 1 |
 |  | Very weak preference | 2
Weak preference | 3 |
 |  | Rather strong preference | 4
Strong preference | 5 |
 |  | More strong preference | 6
Demonstrable preference | 7 |
 |  | More demonstrable preference | 8
Absolute preference | 9 |

The method then creates a matrix containing the pairwise comparison judgments for the criteria, from which a priority vector is derived of relative weights for these elements (the principal eigenvector of the matrix). Moreover, due to the fact that more information than is necessary is retrieved from the decision maker, the method can deliver an inconsistency measure1. This measure can be used to verify in what measure the judgments supplied are consistent. The decision maker is totally consistent if for all sets of three criteria the triangular relationship holds2. AHP is especially designed to assess weights within a hierarchical structure of the criteria. However, due to the fast-growing number of pairwise comparisons it is not sensible to use the method for a large set of criteria.

  1. Saaty T.L. and L.G. Vargas, 1984, Comparison of Eigenvalue and logarithmic least squares and least squares methods in estimating ratios. Mathematical modelling, Vol. 5, pp. 309-324.
  2. The triangular relationship for a set of three criteria c1, c2 and c3 holds if the equation r13 = r12 × r23 holds, where r12 is the quantitative judgment given by the decision maker.

References:

  • Janssen, R, and Van Herwijnen, M. (1994) Multiobjective decision support for environmental management + DEFINITE DEcisions on an FINITE set of alternatives : demonstration disks and instruction. Kluwer Academic Publishers, Dordrecht (Netherlands). 232 p., 16 p. + two 3,5" disks. ISBN 0-7923-1908-7
  • Saaty, T. (1980) The Analytical Hierarchy Process. New York, McGraw Hill.

See also:

SMCE window : Weigh

SMCE window : Weigh - Direct Method

SMCE window : Weigh - Pairwise Comparison

SMCE window : Weigh - Rank Ordering

SMCE window : functionality


SMCE window : Generate Selected Maps

SMCE window

 Generate menu

Generate Selected Maps

Generate the currently selected map(s), i.e. calculate one or more SMCE output maps.

When an output map of the main goal is selected, the composite index map for that alternative is calculated. A composite index map contains the accumulated suitability for all the criteria, standardized and weighed as specified in the criteria tree.

A composite index map has values between 0 and 1:

  • pixels with values near 0 represent unsuitable areas,
  • pixels with values near 1 represent suitable areas.

To calculate one or more selected maps:

After selecting an output map of the main goal, an intermediate output map of a subgoal, or the main goal, or a subgoal in the criteria tree viewer, you can use:

  • the Selected Maps command from the Generate menu in the SMCE window;
  • the Generate Selected Maps button in the toolbar of the SMCE window;
  • the Generate Selected Maps command from the context-sensitive menu.

Depending on the selection, one or more output maps will be calculated:

  1. When a single output map of the main goal is selected and the Generate Selected Maps option is used, the composite index map of the current alternative will be calculated and shown.
  2. When a single output map of a subgoal is selected and the Generate Selected Maps option is used, the single selected output map will be calculated and shown.
  3. When the main goal is selected and the Generate Selected Maps option is used, all composite index maps, i.e. all SMCE output maps of all alternatives, will be calculated and shown.
  4. When a sub goal is selected and the Generate Selected Maps option is used, all output maps of the selected sub goal, i.e. for all alternatives, will be calculated and shown.

Note: For all cases above, the generated output will be correct, although any possible intermediate output maps are not automatically recalculated. This is because the calculation simply takes input maps into account; any intermediate output maps are regarded as extra by-products.

Dialog box options:

Show after calculation:

Select this check box if you wish to show the output map(s) immediately after calculation. By default the check box is selected.
Clear this check box to only calculate the map(s).

Tips:

  • To calculate the Composite Index maps for all alternatives including all intermediate maps, use Generate All Maps.
  • To show output map(s), you can use the Show button [image] in the toolbar.

Composite Index maps (SMCE output maps) use system domain Nilto1 and a matching representation from red (0, unsuitable) to green (1, suitable).

See also:

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees

ILWIS objects : Generate All Maps


SMCE window : Generate All Maps

SMCE window

 Generate menu

Generate All Maps

Generate all composite index maps, i.e. the SMCE output maps for all alternatives, including all intermediate maps. A composite index map contains the accumulated suitability for all criteria, standardized and weighed as specified in the criteria tree.

Composite index maps have values between 0 and 1:

  • pixels with values near 0 represent unsuitable areas,
  • pixels with values near 1 represent suitable areas.

This dialog box appears:

  • when you choose All Maps from the Generate menu in the SMCE window;
  • when you click the Generate All Maps button in the toolbar of the SMCE window.

Dialog box options:

Show after calculation:

Select this check box if you wish to show all intermediate maps and all output Composite Index maps immediately after calculation. By default the check box is selected.
Clear this check box to only calculate the maps.

Note: To calculate a single output map or to calculate the intermediate maps of a certain subgoal, use Generate Selected Maps.

Composite Index maps (SMCE output maps) use system domain Nilto1 and a matching representation from red (0, unsuitable) to green (1, suitable).

See also:

SMCE window : functionality

SMCE window : toolbar

ILWIS objects : criteria trees


SMCE window : Histogram

SMCE window

 Generate menu

Histogram

Show the histogram(s) of the currently selected SMCE output map(s).

  • When you select the main goal and press the Histogram button, the histograms of the SMCE output maps will be calculated and shown.
  • When you select a sub goal with named output maps and press the Histogram button, the histograms of the sub goal output maps will be calculated and shown.
  • When you select a single output map and press the Histogram button, the histogram of the selected map will be calculated and shown.

By inspecting the histograms of all alternative output maps, you can get an idea of the distribution of values in the SMCE output maps, and on desired class boundary values for Slicing.

After selecting the main goal, a sub goal or a single map in the criteria tree viewer, you can use:

  • the Histogram button in the toolbar,
  • the Histogram command from the Generate menu, or
  • the Histogram command from the context-sensitive menu.

Tips:

  • By inspecting the histograms, you may be able to decide on the values that should be used as boundary values in Slicing.
  • In the histograms, you can inspect the minimum, maximum, sum and average (mean) value for each SMCE output map individually.
  • By using Aggregate Values, you can inspect the minimum, maximum, sum or (weighted) average value for all alternative SMCE output maps in one go.

Notes:

  • Histogram is not available when the SMCE output maps have not been generated.
  • Histogram will only calculate the histograms of SMCE output maps that are already generated.
  • Histogram will only calculate the histogram of an SMCE output map if the histogram is not available yet.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

Histogram operation : functionality

Table window : menu commands

SMCE window : Aggregate Values

SMCE window : Slice


SMCE window : Aggregate Values

SMCE window

 Generate menu

Aggregate Values

For each of the SMCE output maps that are currently selected, calculate:

  • the Minimum value,
  • the Maximum value,
  • the Sum of all values,
  • the weighted Average.

When you have for instance three alternative SMCE output maps, and when you selected for instance Minimum, you will obtain three Minimum values, i.e. a minimum value for each SMCE output map.

Together with the histograms of the SMCE output maps, the Aggregate Values option helps you get a general idea of the values in the SMCE output maps, and helps you to decide on the boundary values needed in Slicing.

This dialog box appears, after you selected the main goal or a sub goal in the criteria tree viewer, and:

  • clicked the Aggregate Values button in the toolbar,
  • chose the Aggregate Values command from the Generate menu, or
  • chose the Aggregate Values command from the context-sensitive menu.

Tip: To inspect the minimum, maximum, sum and average (mean) value in a single map, you can also use Histogram.

Note: Aggregate Values is not available when the SMCE output maps have not yet been generated.

Dialog box options:

Operation:

Choose to calculate for each SMCE output map within the current selection:

  • the Minimum or the Maximum value in each map, or
  • the (weighted) Average or the Sum of the values in each map.

Calculation results:

After the Calculate button has been pressed, calculation results will appear in this pane for all maps within the current selection.

Additional parameters:

Optionally, you can specify a mask map or a weight map.

  • Select this checkbox if you wish to use a mask map to reduce the study area, or to use a weight map to assign more importance to some areas, or to use a mask expression to reduce the area of interest.
  • Clear this checkbox if you simply wish to calculate Minimum, Maximum, Average or Sum without a mask or without weights.

Mask map:

Select a mask map which uses system domain Bool. The calculations will include those pixels of the SMCE output maps that have a True value in the mask map. The Mask map should use the same georeference as the SMCE output maps.

Weight map:

Select a weight map which uses system domain Value. All pixels in the SMCE output maps will be multiplied with the values in the weight map just before the calculations. Values in the weight map must be greater than zero. The weight map should use the same georeference as the SMCE output maps.

Mask Expression:

Type an expression; the calculations will include those pixels of the SMCE output maps for which the mask expression is True.

Tip: Examples of mask expressions are for instance:
myValueMap > 0.25
(myClassMap = "pasture") or (myClassMap = "shrubs")

Calculate:

Click the Calculate button (or press the Spacebar on the keyboard) to start the calculations. Results will appear in the Calculation Results pane.

Additional information

Once the Minimum, Maximum, Sum or Average has been calculated, the histograms of the raster maps remain on disk.

Calculating Minimum or Maximum:

  • Undefined pixels are ignored; only pixels that are not undefined are considered.
  • The minimum value or the maximum value of all pixels in the map is shown.

Calculating Sum:

  • Undefined pixels are ignored; only pixels that are not undefined are considered.
  • The sum of all pixel values in the map is shown.

Calculating Average:

  • Undefined pixels are ignored; only pixels that are not undefined are considered.
  • The average of all pixel values in the map is shown, as:
    S (Valuei) / N
    where Valuei is the value of a pixel i, and N is the total number of pixels in the map.
  • When using a weight map, the (weighted) average of all pixel values in the map is shown, as:
    S (Valuei * Weighti) / S (Weighti)
    where Valuei is the value of a pixel, and Weighti is the weight value of that pixel.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : Histogram

SMCE window : Slice

SMCE window : Aggregate Values Sliced


SMCE window : Slice

SMCE window

 Generate menu

Slice ...

Slice or classify the values in the SMCE output maps. The values in the SMCE output maps are divided over a limited number of classes. All alternatives of the SMCE output maps will be sliced. The output maps are called sliced SMCE output maps.

  • The number of desired output classes is specified by the user; colors are automatically assigned to the output classes, but these can be edited later.
  • By default, 5 classes of equal width are created which run from the minimum value found to the maximum value found in all alternative SMCE output maps, for instance from 0.00 to 0.20, from 0.21 to 0.40, from 0.41 to 0.60, from 0.61 to 0.80 and from 0.81 to 1.00. Values 0.20, 0.40, 0.60, 0.80 and 1.00 are called the upper boundary values of the classes.
  • However, if you wish to accentuate certain areas in the sliced SMCE output maps, you can adapt the intervals yourself (i.e. specify your own upper boundary values) by editing the Group domain that is created and used during slicing.
  • Using the same example where input values run from 0.00 to 1.00 that are divided over 5 output classes, the default output class names read 'suit. 0.00 - 0.20', 'suit. 0.21 - 0.40', 'suit. 0.41 - 0.60', 'suit. 0.61 - 0.80', 'suit. 0.81 - 1.00'; the output class names can however be edited during the slicing process.

This dialog box appears, after you selected the main goal or a sub goal in the criteria tree viewer, and:

  • clicked the Slice button in the toolbar,
  • chose the Slice ... command from the Generate menu, or
  • chose the Slice ... command from the context-sensitive menu.

Tip: If you wish to use your own boundary values during Slicing, it is advised to use Histogram and Aggregate Values prior to Slicing. This will help you decide on the desired boundary values for Slicing.

Note: Slice is not available when not all SMCE output maps have been generated.

Dialog box options:

Number of slices:

Type a value for the desired number of output classes or accept the default value. You can create any number of slices or output classes between 2 and 99.

When you accept 5 slices, the values of the SMCE output maps will be divided over 4 output classes running from the overall minimum value to the overall maximum value found in all alternative SMCE output maps.

Min, Max:

The overall minimum value found in all alternative SMCE output maps is shown, as well as the overall maximum value. If you wish, you can adapt these values.

Mind: It is not possible to exclude values smaller than the found overall minimum.

Edit output class names and boundary values:

  • Select this check box if you wish to edit the boundary values or the class names of the output classes. When, subsequently, the Define button is clicked, first the Domain Group editor is opened, where you can adapt the default upper boundary values (Upper Bound) and the default output class names (Class Name).
  • Clear this check box if you wish to obtain output classes of equal width and default output class names.

When you click the Show button, the sliced output maps are automatically defined, calculated and shown.

When you click the Define button, the sliced output maps will initially only be defined. After you use Show Sliced (or Show Histogram Sliced or Aggregate Values Sliced), the defined sliced maps will be automatically calculated.

The sliced output maps are automatically assigned the name of the SMCE output map from which a sliced output map is created, followed by _sliced. Besides the sliced output maps, the following objects will be created: a Group domain and a representation. These objects will obtain the name of the first SMCE output map, followed by _slices.

Tip:

For a general understanding of Group domains and Slicing, you may refer to How to create a Group domain and Slicing : functionality. The SMCE window : Slice operation integrates both the creation of the Group domain and the application of the Group domain on a number of value maps at a time.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : Histogram

SMCE window : Aggregate Values

Domain Class/ID/Group editor : functionality

Domain Group editor: Edit item

SMCE window : Show Sliced


SMCE window : Show Sliced

SMCE window

 Generate menu

Show Sliced

Show the classified maps that are the result of slicing the SMCE output map(s).

  • When you select the main goal and press the Show Sliced button, the sliced SMCE output maps will be shown.
  • When you select a sub goal with named output maps and press the Show Sliced button, the sliced maps of the sub goal will be shown.
  • When you select a single output map and press the Show Sliced button, the sliced map of the selected map will be shown.

After selecting the main goal, a sub goal or a single map in the criteria tree viewer, you can use:

  • the Show Sliced button in the toolbar,
  • the Show Sliced command from the Generate menu, or
  • the Show Sliced command from the context-sensitive menu.

Notes:

  • Show Sliced is not available when the SMCE output maps have not been sliced.
  • Show Sliced will force the calculation of sliced SMCE output maps when 'Define' was used during slicing.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer


SMCE window : Histogram Sliced

SMCE window

 Generate menu

Histogram Sliced

Show the histogram(s) of the currently selected sliced output map(s).

  • When you select the main goal and press the Histogram Sliced button, the histograms of the sliced SMCE output maps will be calculated and shown.
  • When you select a sub goal with named output maps and press the Histogram Sliced button, the histograms of the sliced output maps of the sub goal will be calculated and shown.
  • When you select a single output map and press the Histogram Sliced button, the histogram of the selected sliced map will be calculated and shown.

After selecting the main goal, a sub goal or a single map in the criteria tree viewer, you can use:

  • the Histogram Sliced button in the toolbar,
  • the Histogram Sliced command from the Generate menu, or
  • the Histogram Sliced command from the context-sensitive menu.

Notes:

  • Histogram Sliced is not available when the SMCE output maps have not been sliced.
  • Histogram Sliced will force the calculation of sliced SMCE output maps when 'Define' was used during slicing.
  • Histogram Sliced will calculate the histogram of a sliced map if the histogram is not available yet.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

Histogram operation : functionality

Table window : menu commands


SMCE window : Aggregate Values Sliced

SMCE window

 Generate menu

Aggregate Values Sliced

For each of the sliced SMCE output maps that are currently selected, calculate:

  • the Shape Index, or
  • the Connectivity Index.

When you have for instance three alternative sliced SMCE output maps, and when you selected for instance Shape Index, you will obtain three Shape Index values, i.e. a Shape Index value for each sliced SMCE output map.

This dialog box appears, after you selected the main goal or a sub goal in the criteria tree viewer, and:

  • clicked the Aggregate Values Sliced button in the toolbar,
  • chose the Aggregate Values Sliced command from the Generate menu, or
  • chose the Aggregate Values Sliced command from the context-sensitive menu.

Notes:

  • Aggregate Values Sliced is not available when the SMCE output maps have not yet been sliced.
  • Aggregate Values Sliced will force the calculation of sliced SMCE output maps when 'Define' was used during slicing.

Dialog box options:

Operation:

Choose to calculate for each sliced SMCE output map within the current selection:
the Shape Index or the Connectivity Index.

Calculation results:

After the Calculate button has been pressed, calculation results will appear in this pane for all maps within the current selection.

Power:

In case of calculating the Connectivity Index: type a value for a user-defined power value that is used in the formula for the Connectivity Index. The minimum Power value that can be used is 1.0001; the maximum Power value is 1000.

Note: Using a rather large Power value may result in a ? in the Calculation results. This means that the result is an infinitely large value.

Calculate:

Click the Calculate button (or press the Spacebar on the keyboard) to start the calculations. Results will appear in the Calculation Results pane.

Additional information

Shape Index:

  • Undefined pixels are ignored; only pixels that are not undefined are considered.
  • For each 'polygon', i.e. contiguous 8-connected area of pixels with the same value, a shape index value is calculated as:
    Perimeteri / Ö Areai
    where Perimeteri is the perimeter of polygon i, and Areai is the area of that polygon.
  • Then, these shape indexes of the individual 'polygons' are summed. The complete formula for the Shape Index of a map thus reads:
    S (Perimeteri / Ö Areai)
  • The Shape Index is a measure for non-compactness of areas in the map: the less compact the areas are, the larger the Shape Index will be.
    • When all pixels in a square map have the same value, the Shape Index is 4.
    • When all pixels in a rectangular map (relative size of 4 x 1) have the same value, the Shape Index is 5.
    • When a map consists of 4 equally sized square areas, the Shape Index is 16.
    • When a map consists of 4 equally sized rectangles (relative size of 4 x 1), the Shape Index is 20.
    • When a map consists of 16 equally sized square areas, the Shape Index is 64.
    • When a map consists of 16 equally sized rectangles (relative size of 4 x 1), the Shape Index is 80.

Connectivity Index:

  • Undefined pixels are ignored; only pixels that are not undefined are considered.
  • For each contiguous 8-connected area of pixels with the same value, the area is raised to power p, this is summed for all areas, and the pth root is taken of this summed value. This value is then multiplied by 100 and divided by the sum of all areas, and divided by the number of areas:

    where Areai is the area of an 8-connected area in the map, p is the user-defined power value, Areatotal is the sum of all areas, and n is the total number of 8-connected areas in the map.
  • The Connectivity Index is a measure for the connectedness of areas with different values in the map; the less individual areas there are in a map, the larger the Connectivity Index will be.
    In the example below, a Power value of 2 is used:
    • When a map consists of 100 equally sized areas, the Connectivity Index is 0.1.
    • When a map consists of 4 equally sized areas, the Connectivity Index is 12.5.
    • When a map consists of 2 equally sized areas, the Connectivity Index is 35.36.
    • When all pixels in a map have the same value, the Connectivity Index is 100.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : Aggregate Values


Progress manager : functionality

Progress manager

Functionality

The progress manager lists all actions, calculations and operations that are currently performed by ILWIS and which will take some time. The progress manager shows the progress of each of these background processes.

For each operation that is running, the progress manager shows:

  • the name of the operation and the name of the output map or table that is being calculated,
  • the operation's progress indicator (if applicable),
  • the amount of completion (if applicable) as:
    • number of lines processed (in case of raster maps), or
    • number of points, segments, polygons processed (in case of point, segment or polygon maps), or
    • number of records processed (in case of tables),
  • additional information about the operation that is performed.

When multiple calculations or operations are performed at the same time, the progress manager will list these on multiple lines.

To interrupt an operation before it has finished:

When only a single operation is running:

  • Directly click the Stop button in the progress manager.

When multiple operations are running:

  • In the progress manager, select the operation you wish to stop, and
  • click the Stop button in the progress manager.

To view the Algorithm Help topic of an operation while the operation is running:

  • Select the operation in the progress manager, and
  • click the Help button in the progress manager.

Additional information:

  • The progress manager will only appear if a calculation or operation takes longer than 2 seconds.
  • If no calculations or operations are performed anymore, the progress manager will automatically disappear.

Tip: Optionally, you can use the old style progress indicators, i.e. progress indicators in separate windows for each operation; use the General entry in the Preferences.

See also:

Main window : Preferences


ILWIS objects

Data objects:

Introduction on maps

Raster maps

Pyramid layers for large raster maps

Polygon maps

Segment maps

Point maps

Tables

Databases

Columns

Link between maps and tables

Container objects:

Map lists

Object collections

Map views

Layouts

Annotation Text

Graphs

Service objects:

Domains

Representations

Georeferences

Georeference Direct Linear (non-coplanarity of tiepoints)

Coordinate systems

Special objects:

Histograms

Sample sets

Stereo pairs

Criteria trees

Two-dimensional tables

Matrices

Filters

Functions

Scripts


ILWIS objects : data objects

ILWIS objects

Data objects

ILWIS data objects are maps, tables and columns; that is the GIS material to work with. Data objects can be created, edited, displayed, etc., and most important operations can be performed on them. Except for columns, data objects in the current directory are listed in the Catalog by a name and an icon.

Data objects are:

raster maps | (containing pixels)
polygon maps | (containing closed area features)
segment maps | (containing line features)
point maps | (containing point features)
tables | (containing columns)
columns | (not listed in Catalog)

Each data object (a map, table or column) has a domain in which the valid IDs, Class names, values etc. of the object are defined. Other service objects that a data object may need are for instance a representation, a georeference, or a coordinate system. For more information on relations between ILWIS objects, see Appendices : relations between ILWIS objects.

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

In dialog boxes, long object names can be used freely.

On the command line and in scripts however, object names must be enclosed by single quotes e.g. 'My Map'.mpr when the object name:

  • starts with a digit from 0 to 9,
  • starts with or contains one or more spaces, or
  • starts with or contains any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

See also How to use long object names.

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

Tips:

  1. To hide or show certain object types from a Catalog, use the Catalog - Show command, Object Selection toolbar or the Customize Catalog, Object Selection tab.
  2. To copy, rename or delete ILWIS objects, you MUST use ILWIS commands.
    • To copy or to rename a single object: select an object and choose the Copy Object To command.
    • To copy one or more objects: select the object(s) and use drag and drop, or select the object(s) and choose the Copy command and then the Paste command.
    • To delete one or more objects: select the object(s) and choose the Delete command.

    For more information, see How to copy objects or How to delete objects.

  3. Mind: It is strongly discouraged to copy, rename or delete files using Windows Explorer or DOS.

See also:

Introduction on maps

ILWIS objects : raster maps

ILWIS objects : polygon maps

ILWIS objects : segment maps

ILWIS objects : point maps

ILWIS objects : tables

ILWIS objects : columns


ILWIS objects : introduction on maps

ILWIS data objects

Introduction on maps

A map contains certain features and refers to the geographic position of those features:

point maps: a point map contains point features;

segment maps: a segment map contains line features;

polygon maps: a polygon map contains closed area features;

raster maps: a raster map contains pixels. In ILWIS, most spatial operations are performed on raster maps.

When using satellite images, you already have raster maps. Pixels in a satellite image have values ranging from 0 to 255, although not every value may occur in your image. In ILWIS, satellite images are stored with domain Image.

When starting from an analog paper map, you start by:

  • digitizing point features of interest with the point editor,
  • digitizing line features of interest with the segment editor, and/or
  • digitizing areas of interest with the polygon editor.

Afterwards, point, segment and polygon maps can be rasterized into a raster map.

Before you begin to digitize, you have to know that features in any map can be identified in the following manner:

- | by ID: | each feature is identified by its own name or number; each feature occurs in general only once in the map;
- | by Classes: | features are identified by their class name; features may occur in several places in the map;
- | by Value: | features are identified by a measurable value.

The following scheme illustrates the above:

Map type: | Features in map: | Identification of features by: | Example:
Point map | Points: indiv. sample points Points: classes of farms Points: height information | IDs Class names Values | 1,2,3 small farm, large farm 500, 600, 700 (m)
Segment map | Lines: individual rivers Lines: classes of roads Lines: isolines for height | IDs Class names Values | section1, section2 prim. road, sec. road 500, 600, 700 (m)
Polygon map | Areas: indiv. cadastral plots Areas: land use classes Areas: acid deposition | IDs Class names Values | plot 234a, plot 345b rice, maize, forest 1000, 2000, 5000 (mol/ha/y)
Raster map | Pixels: rasterized points, lines or areas with IDs Pixels: rasterized points, lines, or areas with Class names Pixels: rasterized points, lines or areas with Values Pixels: value outcome of calculations | IDs Class names Values Values | plot 234a, plot 345b rice, maize, forest values any value
Raster map | Pixels (satellite images) | pixel value 0 to 255 | TM images, SPOT images

The user-defined collection or set of IDs, Class names or values that may be used in a map is called the domain of a map. In ILWIS, we speak of maps of the ID, Class or Value type, meaning that the elements in that map are either identified by IDs, Class names or values.

Only maps with features identified by IDs or Class names can have attributes; i.e. extra information about the point, segment, polygons or mapping units, in so-called attribute tables. When creating an attribute table, this table should have the same domain as your ID or Class map. Afterwards you can add extra columns with the attribute information.

The Class names (or Identifiers) in a domain type Class (or a domain type Identifier) provide the relational link between the units in a map and the records in a table.

Maps containing values, for example a satellite image or a height map, cannot have attributes in an attribute table.

See also:

Basic concepts : working with domains

ILWIS objects : domains


ILWIS objects : raster maps

ILWIS objects

Raster maps

A raster map is a data object used to store spatial geographic information and remote sensing data as pixels (picture elements) of a certain size, e.g. 20 x 20 m. These pixels are either codified by IDs, class names, values or colors; this is determined by the domain of the map. The relation between pixels in a raster map and the position on earth is defined by the georeference that the raster map is using.

Raster maps can be displayed in a map window, and can be edited with the pixel editor. You can calculate with raster maps (MapCalc) and you can perform many other raster and image processing operations on them such as: Filter, Cross, Distance calculation, etc. In ILWIS, most spatial operations are performed on raster maps.

A raster map can be obtained:

  • by importing an existing raster map from ILWIS version 1.41,
  • by rasterizing an existing point, segment, or polygon map,
  • by creating a new raster map and editing its pixels with the pixel editor,
  • by using a satellite image which is already a raster map,
  • by scanning a map or photograph and importing it into ILWIS.

As mentioned above, the output of spatial operations is usually another raster map.

When working with the multi-spectral bands of a satellite image or with multiple raster map of a time series, you can combine these bands or maps into a map list.

Contents of a raster map and location of pixels:

The contents of a raster map are defined by the domain that the raster map is using. A raster map may store for example:

  • rasterized individual point, segment or polygon features codified by IDs for instance cadastral plot IDs; the map uses an ID domain,
  • rasterized classes of point, segment, or polygon features codified by class names, for example land use classes; the map uses a class domain,
  • rasterized point, segment or polygon values for example height values; the map uses a value domain,
  • reflection values in case of satellite images; the maps use the Image domain, the NOAA domain, or the Radar domain,
  • true or false pixels; the map uses the Bit domain,
  • true, false or undefined pixels; the map uses a Bool domain,
  • colors in case of a scanned picture that was imported into ILWIS; the map uses a Picture domain, or the Color domain,
  • output values after a map calculation (any domain),
  • output values (any domain) after performing an operation, e.g. classes after the Classify operation (image classification), or values after a Distance calculation, or colors after creating a Color Composite,
  • attribute values (any domain) when an attribute map was created from an attribute table,
  • classified values, when a value map was classified (a group domain) with the Slicing operation.

For more information on domains, refer to Basic concepts : working with domains.

The spatial location of the pixels in a raster map is defined by the georeference that the raster map is using.

For maps using a class or ID domain, you can create an attribute table which stores additional information on the classes or IDs in the map. Use the same class or ID domain for the attribute table as you used for the map. Then, add the attribute columns to the table. To create an attribute table, refer to How to create an attribute table.

The manner in which raster maps are displayed is specified in a Display Options Raster Map dialog box.

  • When a raster map uses a class domain, you can use or create a representation class. In a representation class, every class has its own color. You can edit the colors of a representation class in the Representation Class editor, or directly in a map window by using the Double-click action.
  • When a raster map uses a value domain, you can use or create a representation value or a representation gradual. For more information, see Representation Value/Gradual editor.
  • Raster maps that are satellite images and use the Image domain, are usually displayed with system representation Gray; the default stretch range is the 1% interval.
  • When a raster map uses an ID domain, you can display the map in one single color or in multiple system colors. However, an ID raster map will usually have an attribute table and you can then choose to display the map by one of its attribute columns. For class columns, you can select or create a domain class; for value columns, you can select or create a representation value or a representation gradual, etc. For more information, see How to display a map by one of its attributes.
  • When a raster map uses a Bool domain, you can specify colors for True and False pixels.

For more information, see ILWIS objects : representations.

Tip:

To store the display setting of one or more maps displayed in a map window, save the map window as a map view; open the File menu in a map window and choose the Save View or the Save View As command.

Names of raster maps:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a raster map:

Usually, you have to rasterize a point, segment or polygon map with the Points to Raster, Segments to Raster or Polygons to Raster operation. In the Rasterize process, you have to specify the dimensions of the raster map's pixels in the georeference of the raster map.

To display a raster map:

The easiest way to display a raster map is to double-click the map in the Catalog. The map will be displayed in a new map window. For other display methods, see How to display maps and tables.

In the Display Options Raster Map dialog box, you can specify how the map should be displayed.

Tip:

To speed up the display of large raster maps e.g. maps consisting of a few thousand lines and columns or more, you can create Pyramid layers. For more information, refer to ILWIS objects : Raster maps - Pyramid layers.

To edit a raster map:

You can edit a raster map by clicking it with the right mouse button in the Catalog and subsequently choose Edit from the context-sensitive menu. When a raster map is already displayed in a map window, you can also choose the Edit Layer command from the Edit menu in the map window. For other methods, see How to edit point, segment, polygon and raster maps.

Raster maps are edited with the Pixel editor; you can edit the class names, IDs, or values of the pixels in the raster map. Dependent raster maps and read-only raster maps cannot be edited.

Operations on raster maps:

You can calculate with raster maps by typing a Map Calculation formula on the command line of the Main window or in the Map Calculation dialog box. When the definition symbol = is used in a calculation, the output map is dependent.

You can also perform other operations on a raster map by selecting an operation from the Operation-list or from the Operations menu (for other methods, see How to start operations). Subsequently, fill out the appearing dialog box of that operation and click the OK button; this generates an ILWIS expression on the command line. Output objects that are obtained through an operation's dialog box are always dependent.

Advanced users can type the complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions. For more information, see Appendices : ILWIS expressions.

When the output map of a calculation or another operation uses a value domain, you can usually define a value range and precision for the output map, see below. Operations on raster maps are for instance Filter, Cross and Distance calculation. For more information on dependent maps, see Basic concepts : dependent data objects. For more information on operations, refer to ILWIS operations.

Technical information:

A raster map consists of an ASCII object definition file (.MPR) and a binary data file (.MP#); when pyramid layers have been created for a raster map, also an .MPY# file is available. The object definition file contains further references to the domain and the georeference that the raster map is using; these are properties of a raster map.

By viewing the properties of a raster map, you can see whether the map is dependent or not, which other objects the map is using, etc. In the properties dialog box of a value raster map, you can select the Interpolation option to obtain interpolated values on sub-pixel level. For dependent maps, you can manage dependencies: break dependencies, make dependent maps up-to-date, delete the dependent map's data file, etc. For more information, see Basic concepts : properties of objects or the Raster Map Properties dialog box.

The IDs, class names or values of pixels are stored line by line, starting from the first pixel (left) on the first line in the map (up), to the last pixel in the last line. Raster maps are stored as bit, byte, 2-byte, 4-byte or 8-byte maps. The store type of a raster map is primarily defined by the domain that the map is using. For value maps this is determined by the value range and precision that you specify for the output map during a calculation or operation. Usually, ILWIS will come up with defaults, but you can adjust these values. Choosing a wide value range and a very small precision results in a large data file on disk as more bytes are needed to store each pixel value in the map, also the speed of display and the speed of calculations may decrease.

For value maps that use 1 or 2 bytes per pixel, the map's histogram is automatically calculated when you open the map and a histogram is not available yet. For value maps that are stored using 4 or 8 bytes per pixel, you need to use the Histogram operation to obtain the map's histogram.

Limitations:

In ILWIS 3.x, limitations on maximum number of lines and columns have been removed. In practice however, general limitations depend on available disk space; for printing purposes limitations depend on available memory. Furthermore, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split maps into smaller logical parts.

See also:

ILWIS objects : Raster maps - Pyramid layers

Map window : functionality

Pixel editor

Map calculation

ILWIS operations


Pyramid layers for large raster maps

ILWIS objects

Raster maps - Pyramid layers

To speed up the display of large raster maps, for instance maps or satellite images which consist of a few thousand lines and columns or more, you can create Pyramid layers.

When Pyramid layers are created for a raster map, an extra file (.MPY#) is created for the raster map. This file stores for every possible zoom factor 2, a 'display version' of the raster map.

The file containing the pyramid layers will thus contain:

  • a reduced version of the original raster map:

    • this layer contains half the number of lines and half the number of columns of the original raster map;

  • probably more reduced versions,

    • every layer contains half the number of lines and half the number of columns of the previous layer,

  • until the last version,

    • where either the number of lines or the number of columns (or both) is less than 64.

When a raster map with pyramid layers is subsequently displayed in a map window, and depending on the map's zoom factor and the size of the map window, the best layer is picked from the file with the pyramid layers; this layer will be displayed.

  • When you zoom in on a raster map, and when another layer exists in the file with the pyramid layers which contains more lines and columns, then that layer will be displayed by the map window: the map window will show the map in greater detail.
  • When the original version of the raster map is already shown by the map window, and when you zoom in, the pixels of the raster map will be displayed larger, i.e. map pixels will use 2x2 screen pixels, or more.

Creating pyramid layers:

You can create Pyramid layers for one or more raster maps in a directory, including the raster maps in a map list:

  • through the Create Pyramid Layers command on the File menu of the Main window,
  • through the Preferences on the File menu of the Main window:
    • open the items Map window, Display, Raster maps, and
    • select the check box Create Pyramid Layers by default,
  • through the Properties of a raster map, or through the Properties of a map list,
  • through the Display Options dialog box of a raster map,
  • by typing a CreatePyramidLayers command on the command line in the Main window, or by using this command in a script (for more information, see Appendices : ILWIS script language (syntax), section Creating/deleting pyramid layers).

Pyramid layers can only be created for a raster map, when the data file (.MP#) of the raster map already exists, i.e. the raster map must have been calculated. The extension of the file containing the pyramid layers is .MPY#.

It is furthermore not possible to create pyramid layers for read-only raster maps nor for read-only map lists.

Deleting pyramid layers:

You can delete Pyramid layers of one or more raster maps:

  • through the Properties of a raster map, or through the Properties of a map list,
  • by typing a DeletePyramidLayers command on the command line in the Main window, or by using this command in a script (for more information, see Appendices : ILWIS script language (syntax), section Creating/deleting pyramid layers).

Example:

When an original raster map contains for instance 5000 lines and 2500 columns, the file containing the pyramid layers of this raster map will contain the following layers or versions of the map:

  • a layer with 2500 lines and 1250 columns,
  • a layer with 1250 lines and 625 columns,
  • a layer with 625 lines and 312 columns,
  • a layer with 312 lines and 156 columns,
  • a layer with 156 lines and 78 columns,
  • a layer with 78 lines and 39 columns.

In each version or layer, of each 2 consecutive lines and of each 2 consecutive columns, 1 line and 1 column is skipped.

Some layers of satellite image TMB4:

227 lines x 140 columns

113 lines x 70 columns

56 lines x 35 columns

Behaviour when editing, copying or deleting raster maps:

When a raster map is edited, and when pyramid layers exist for the raster map, then the file containing the pyramid layers of the map will be removed. When finished editing, you can create new pyramid layers for the raster map.

When a raster map is copied to another directory, and when pyramid layers exist for the raster map, then the file containing the pyramid layers will also be copied.

When a raster map is deleted, and when pyramid layers exist for the raster map, then also the file containing the pyramid layers will be deleted.

Technical information:

When pyramid layers are created for a raster map, a binary file with extension .MPY# will be created for the raster map. The .MPY# file will exist next to the binary data file of the raster map .MP#. The raster map's object definition file .MPR will be adapted so that it is known that an .MPY# file with pyramid layers exists.

See also:

ILWIS objects : raster maps

Create Pyramid Layers

Raster Map Properties

Map List Properties

Appendices : ILWIS script language (syntax), section Creating/Deleting pyramid layers


ILWIS objects : polygon maps

ILWIS objects

Polygon maps

A polygon map is a data object used to store spatial geographic information that consists of polygons, i.e. closed areas including the boundaries making up the areas. The areas are either codified by IDs, class names or values; this is determined by the domain of the map. The relation between polygons in a polygon map and the position on earth is defined by the coordinate system that the map is using.

Maps containing uniquely codified areas such as cadastral plots, or mapping units such as geological formations, land use classes, or soil units, can all be stored as polygon maps. Polygon maps are usually used as a stepping stone to raster maps. Polygon maps can be displayed in map windows, and edited with the polygon editor.

A polygon map can be obtained:

  • by importing an existing polygon map from ILWIS version 1.41,
  • by creating a segment map and editing it with the segment editor (with or without digitizer); then polygonize the segment map either in the segment editor or with the Segments to Polygons operation,
  • by performing ILWIS operations that return a polygon map as output, for instance the Attribute map of polygon map operation.

Like in ILWIS 1.4, you first have to digitize segments and then polygonize these segments to obtain a polygon map.

Contents of a polygon map and location of polygons:

The contents of a polygon map are defined by the domain that the polygon map is using. A polygon map may store for example:

  • individual area features with or without attributes; each polygon has its own mostly unique ID, for instance cadastral plot IDs; the map uses an ID domain,
  • classes of area features with or without attributes; polygons may occur in several places in the map, for instance land use classes or soil classes; the map uses a class domain,
  • area features representing measurable values; polygon values representing for instance population densities or concentration levels of air pollution; the map uses a value domain,
  • true, false or undefined polygons; the map uses a Bool domain,
  • output values (any domain) after performing an operation, e.g. IDs after the Unique ID operation,
  • attribute values (any domain) when an attribute map was created from an attribute table with the Attribute map of polygon map operation.

For more information on domains, refer to Basic concepts : working with domains.

The spatial location of polygons in a polygon map is defined by the coordinate system that the polygon map is using.

For maps using a class or ID domain, you can create an attribute table which stores additional information on the classes or IDs in the map. Use the same class or ID domain for the attribute table as you used for the map. Then, add the attribute columns to the table. When you have for example a map with building blocks (coded by IDs), you can add an attribute table with the predominant landuse per building block and the number of residents per building block. Or, when you have a soil map (coded by classes), you can add an attribute table with pH, soil texture, etc. for each soil unit.

To create an attribute table, refer to How to create an attribute table.

The manner in which polygon maps are displayed is specified in the Display Options Polygon Map dialog box.

  • When a polygon map uses a class domain, you can display polygons in a single color, or by using or creating a representation class. In a representation class, every class can have its own color, and optionally you can use hatchings or patterns. For more information, see Representation Class editor and the Edit Repr Class item (polygon) dialog box.
  • When a polygon map uses a value domain, you can display polygons in a single color or you can use or create a representation value or a representation gradual. For more information, see Representation Value/Gradual editor.
  • When a polygon map uses an ID domain, you can display polygons in a single color or in multiple system colors. However, an ID polygon map will usually have an attribute table and you can then choose to display the map by one of its attribute columns. For class columns, you can select or create a domain class; for value columns, you can select or create a representation value or a representation gradual, etc. For more information, see How to display a map by one of its attributes.
  • When a polygon map uses a Bool domain, you have to specify colors each time you display the map.

For more information, see ILWIS objects : representations.

Tip:

To store the display setting of one or more maps displayed in a map window, save the map window as a map view; open the File menu in a map window and choose the Save View or the Save View As command.

Names of polygon maps:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a polygon map:

To create a polygon map, you first have to create a segment map in which you can digitize polygon boundaries. Furthermore, you can create a point map in which you can digitize the polygon names or IDs as label points. When you display both the segment and point map in one map window, you can easily see whether the areas enclosed by segments have a label point. Then, polygonize the segments from within the segment editor. For more information, refer to How to create polygon maps or to Segment editor. To check after polygonization whether all polygons obtained a class name, ID or value, you can use the Polygons to Points operation.

To display a polygon map:

The easiest way to display a polygon map is to double-click the map in the Catalog. The polygon map will be displayed in a new map window. You can also drag a polygon map from the Catalog to an existing map window, in order to show that polygon map on top of other information shown in the map window. For other methods, see How to display maps and tables.

In the Display Options Polygon Map dialog box, you can specify how the map should be displayed.

To edit a polygon map:

Class names, IDs, or values of selected polygons can be edited in the polygon editor. To change the shape of polygons, or to delete or undelete polygon boundaries you need to use the segment editor; then re-polygonize the segment map.

To open the polygon editor, you can click a polygon map with the right mouse button in the Catalog and subsequently choose Edit from the context-sensitive menu. When a polygon map is already displayed in a map window, you can also choose the Edit Layer command from the Edit menu in the map window. For other methods, see How to edit point, segment, polygon and raster maps. In the polygon editor, you can use a digitizer but you can also use the mouse pointer. Dependent polygon maps and read-only polygon maps cannot be edited.

Operations on polygon maps:

The most frequently used operation on polygon maps is probably the Polygons to Raster operation which rasterizes a polygon map. During this operation, you have to select or create a georeference for the raster map to define the size of the pixels in the raster map. Another operation on polygon maps is for instance Attribute map of polygon map.

You can perform operations on a polygon map by selecting an operation from the Operation-list or from the Operations menu (for other methods, see How to start operations). Subsequently, fill out the appearing dialog box of that operation and click the OK button; this generates an ILWIS expression on the command line. Output objects that are obtained through an operation's dialog box are always dependent. Advanced users can type the complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions.

For more information on dependent maps, see Basic concepts : dependent data objects. For more information on operations, refer to ILWIS operations.

Technical information:

An ILWIS 3 polygon map consists of an ASCII object definition file (.MPA) and two binary data files (.MPAP#, .MPAT#). The object definition file contains further references to the domain and the coordinate system that the polygon map is using; these are properties of a polygon map.

When opening or displaying an ILWIS 2 polygon map, the ILWIS 2 data files of the polygon map (.PC#, .PD#, .PL#, .PS#, .TP#) will be used. Only when an ILWIS 2 polygon map is edited, the map will be converted to and saved in the new ILWIS 3 data file format for polygon maps (.MPAP#, .MPAT#).

By viewing the properties of a polygon map, you can see whether the map is dependent or not, which other objects the map is using, etc. For dependent maps, you can also manage dependencies: break dependencies, make dependent maps up-to-date, delete the data files of a dependent maps, etc. For more information, see Basic concepts : properties of objects.

A polygon map stores one or more polygons. A polygon is nothing more than one or more segments (see also ILWIS objects : segment maps), which together define the complete boundary of the polygon, and an ID, a class name or a value to identify the polygon.

  • For topological polygons, each segment is used both to define the boundary for the polygon on the left as well as for the polygon on the right of that boundary.
  • The boundary of non-topological polygons is defined by a single segment for the outer boundary and optional segments for possible inner boundaries (holes in the polygon). Segments are not re-used.

If you wish, you can open a polygon map as a table: click the polygon map with the right mouse button in the Catalog, and subsequently choose Open as Table from the context-sensitive menu. In the table window, you can view the class names, IDs, or values of all individual polygons in the map, the area of each polygon, and the coordinates of the bounding box around each polygon.

Limitations:

In ILWIS 3.x, limitations for number of polygons per polygon map, number of polygon boundaries per polygon, or number of points per polygon boundary, only depend on vailable memory. However, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split maps into smaller logical parts.

See also:

Map window : functionality

How to setup a digitizer and start digitizing

How to create polygon maps

Polygon editor

ILWIS operations


ILWIS objects : segment maps

ILWIS objects

Segment maps

A segment map is a data object used to store spatial geographic information that consists of lines, for example roads, rivers or contour lines. Segments are either codified by IDs, class names or values (height map); this is determined by the domain of the map. The relation between segments in a segment map and the position on earth is defined by the coordinate system that the map is using. Segment maps can be displayed in map windows, and edited with the segment editor.

A segment map can be obtained:

  • by importing an existing segment map from ILWIS version 1.41,
  • by creating a new segment map and editing it with the segment editor with or without using a digitizer, or
  • by performing ILWIS operations that return a segment map as output, for instance the Mask Segments operation.

Contents of a segment map and location of segments:

The contents of a segment map are defined by the domain that the segment map is using. A segment map may store for example:

  • individual line features: each segment is codified by its own ID for instance when each pipe line or river section has its own unique ID; the map uses an ID domain,
  • classes of line features: segments may occur in several places in the map for instance primary roads, secondary roads, etc.; the map uses a class domain,
  • line features representing measurable values, for instance a contour map with height information; the map uses a value domain,
  • true, false or undefined segments; the map uses a Bool domain,
  • output values (any domain) after performing an operation, e.g. IDs after the Unique ID operation,
  • attribute values (any domain) when an attribute map was created from an attribute table with the Attribute map of segment map operation.

For more information on domains, refer to Basic concepts : working with domains.

The spatial location of segments in a segment map is defined by the coordinate system that the segment map is using.

For maps using a class or ID domain, you can create an attribute table which stores additional information on the classes or IDs in the map. Use the same class or ID domain for the attribute table as you used for the map. Then, add the attribute columns to the table. To create an attribute table, refer to How to create an attribute table.

The manner in which segments are displayed is specified in the Display Options Segment Map dialog box.

  • When a segment map uses a class domain, you can display segments in a single color, or by using or creating a representation class. In a representation class, every class can have its own line type, line width, color, etc. You can also represent a line by equally spaced symbols. For more information, see Representation Class editor and the Edit Repr Class item (segment) dialog box.
  • When a segment map uses a value domain, you can display segments in a single color, in multiple system colors or by using or creating a representation value or a representation gradual. For more information, see Representation Value/Gradual editor.
  • When a segment map uses an ID domain or a Bool domain, you have to specify colors each time you display the map.

For more information, see ILWIS objects : representations.

Tip:

To store the display setting of one or more maps displayed in a map window, save the map window as a map view; open the File menu in a map window and choose the Save View or the Save View As command.

Names of segment maps:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a segment map:

Open the File menu of the Main window and select the Create Segment Map command, or double-click the New SegMap item in the Operation-list. In the appearing Create Segment Map dialog box, enter a name and description for the segment map, select or create a coordinate system, enter boundary values for the map and select or create a domain. For other create methods, see How to create a map.

To display a segment map:

The easiest way to display a segment map is to double-click the map in the Catalog. The map will be displayed in a new map window. You can also drag a segment map from the Catalog to an existing map window, in order to show that segment map on top of other information shown in the map window. For other methods, see How to display maps and tables.

In the Display Options Segment Map dialog box, you can specify how the map should be displayed.

To edit a segment map:

You can edit a segment map by clicking it with the right mouse button in the Catalog and subsequently choose Edit from the context-sensitive menu. When a segment map is already displayed in a map window, you can also choose the Edit Layer command from the Edit menu in the map window. For other methods, see How to edit point, segment, polygon and raster maps.

Segment maps are edited with the Segment editor: you can insert new segments and delete and undelete existing ones, edit the class names, IDs, or values of segments, change the shape of segments, split and merge segments, and pack, check and polygonize segments. You can use a digitizer but you can also use the mouse pointer. Dependent segment maps and read-only segment maps cannot be edited.

Operations on segment maps:

Frequently used operations on segment maps are for instance the Segments to Polygons operation to polygonize a segment map and the Segments to Raster operation which rasterizes a segment map. During the rasterize operation, you have to select or create a georeference for the raster map to define the size of the pixels in the raster map. Another operation on a segment map is for instance Contour interpolation.

You can perform operations on a segment map by selecting an operation from the Operation-list or from the Operations menu (for other methods, see How to start operations). Subsequently, fill out the appearing dialog box of that operation and click the OK button; this generates an ILWIS expression on the command line. Output objects that are obtained through an operation's dialog box are always dependent. Advanced users can type the complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions.

For more information on dependent maps, see Basic concepts : dependent data objects. For more information on operations, refer to ILWIS operations.

Technical information:

An ILWIS 3 segment map consists of an ASCII object definition file (.MPS) and a binary data file (.MPS#). The object definition file contains further references to the domain and the coordinate system that the segment map is using; these are properties of a segment map.

When opening or displaying an ILWIS 2 segment map, the ILWIS 2 data files of the segment map (.CD#, .SC#, .SG#) will be used. Only when an ILWIS 2 segment map is edited, the map will be converted to and saved in the new ILWIS 3 data file format for segment maps (.MPS#).

By viewing the properties of a segment map, you can see whether the map is dependent or not, which other objects the map is using, etc. For dependent maps, you can also manage dependencies: break dependencies, make dependent maps up-to-date, delete the data files of a dependent maps, etc. For more information, see Basic concepts : properties of objects.

A segment map stores one or more segments. A segment is nothing more than a sequence of XY-coordinates and an ID, class name or value to identify the segment. Each XY-coordinate in a segment is stored as a pair of 8-byte floating point reals (doubles). The first and the last XY-coordinate in a segment are called nodes. The XY-coordinate of a node can be used by multiple segments. Thus, nodes are required to begin and end individual segments and they can be used to connect two or more segments. Inserting a new node into an existing segment is called splitting; connecting a new segment to an existing node is called snapping.

If you wish, you can open a segment map as a table: click the segment map with the right mouse button in the Catalog, and subsequently choose Open as Table from the context-sensitive menu. In the table window, you can view the class names, IDs, or values of all individual segments in the map, the length of each segment, and the coordinates of the bounding box around each segment.

Limitations:

In ILWIS 3.x, limitations for number of segments per segment map, or number of points per segment, only depend on available memory. However, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split maps into smaller logical parts. You can also try to reduce the number of coordinates in segment maps by using the Tunnel Segments operation.

See also:

Map window : functionality

How to setup a digitizer and start digitizing

Segment editor

ILWIS operations


ILWIS objects : point maps

ILWIS objects

Point maps

A point map is a data object used to store spatial geographic information which consists of points, for example water wells or sample points. Points are either identified by IDs, class names or values; this is determined by the domain of the map. The relation between points in a point map and the position on earth is defined by the coordinate system that the map is using. Point maps can be displayed in map windows, and edited with the point editor.

A point map is obtained:

  • by importing an existing point map from ILWIS version 1.41,
  • by creating a new point map and editing it with the point editor with or without using a digitizer,
  • by converting a table which contains coordinate columns to a point map with the Table to Point map operation, or
  • by performing ILWIS operations that return a point map as output, for instance the Attribute map of point map operation, or the Segments to Points operation.

Contents of a point map and location of points:

The contents of a point map are defined by the domain that the point map is using. A point map may store for example:

  • individual point features: each point is codified by its own ID, for instance individual sample points, individual bore holes, individual rainfall stations, etc.; the map uses an ID domain,
  • classes of point features: points may occur in several places in the map for instance all water wells of a certain type; the map uses a class domain,
  • point features representing measurable values, for instance height information; the map uses a value domain,
  • true, false or undefined points; the map uses a Bool domain.
  • output values (any domain) after performing an operation, e.g. IDs after the Unique ID operation,
  • attribute values (any domain) when an attribute map was created from an attribute table with the Attribute map of point map operation.

For more information on domains, refer to Basic concepts : working with domains.

The spatial location of points in a point map is defined by the coordinate system that the point map is using.

For maps using a class or ID domain, you can create an attribute table which stores additional information on the classes or IDs in the map. Use the same class or ID domain for the attribute table as you used for the map. Then, add the attribute columns to the table. When you have for a example a point map with rainfall stations, coded with IDs, you can add an attribute table with the rainfall figures per month for each station. To create an attribute table, refer to How to create an attribute table.

Point symbols:

The manner in which points are displayed is specified in the Display Options Point Map dialog box.

  • When a point map uses a class domain, you can display point symbols as single symbols or by using or creating a representation class. In a representation class, every class can have its own symbol, size, color, etc. For more information, see Representation Class editor and the Edit Repr Class item (point) dialog box.
  • When a point map uses an ID domain and when the point map has an attribute table, you can display point symbols as single symbols, as arrows, as graphs or by attributes. In this way, you can for instance obtain pie charts, bar graphs, volume cubes, etc. for every point in the map. Sizes, colors, etc. can be specified by using columns in the attribute table. For more information see the Symbols (Class/ID), Symbols by Attributes, Symbols as Arrows and Symbols as Graphs dialog boxes.
  • When a point map uses a value domain, you can choose a symbol set and a symbol for all the points while the size of the selected symbol may depend on the value of the points. For more information, see the Symbols (Value) dialog box.
  • When a point map uses a Bool domain, you can specify colors for True and False points.

For more information, see the Display Options Point Map dialog box.

Tip:

To store the display setting of one or more maps displayed in a map window, save the map window as a map view; open the File menu in a map window and choose the Save View or the Save View As command.

Names of point maps:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a point map:

Open the File menu of the Main window and select the Create Point Map command, or double-click the New PntMap item in the Operation-list. In the appearing Create Point Map dialog box, enter a name and description for the point map, select or create a coordinate system, enter boundary values for the map and select or create a domain. For other create methods, see How to create a map.

When you have a table which contains columns with X- and Y-coordinates, you can use the Table to Point map operation to obtain a point map from this table.

To display a point map:

The easiest way to display a point map is to double-click the map in the Catalog. The map will be displayed in a new map window. You can also drag a point map from the Catalog to an existing map window, in order to show that point map on top of other information shown in the map window. For other methods, see How to display maps and tables.

In the Display Options Point Map dialog box, you can specify how the map should be displayed.

Point maps can also be opened as tables: click the point map with the right mouse button in the Catalog, and subsequently choose Open as Table from the context-sensitive menu. When you display a point map in a table window, you can edit the XY-coordinates of the points and perform calculations with the XY-coordinates of the points.

To edit a point map:

You can edit a point map by clicking it with the right mouse button in the Catalog and subsequently choose Edit from the context-sensitive menu. When a point map is already displayed in a map window, you can also choose the Edit Layer command from the Edit menu in the map window. For other methods, see How to edit point, segment, polygon and raster maps.

Point maps are edited with the Point editor: you can insert new points and delete existing ones, edit the class names, IDs, or values of points, and move points to a new position. You can use a digitizer but you can also use the mouse pointer. Dependent point maps and read-only point maps cannot be edited.

Operations on point maps:

Examples of operations on point maps are for instance point interpolations: moving average, trend surface, moving surface, or kriging. The point map itself may use a value domain but you can also use point maps with a class or ID domain and that have an attribute table which contains the values which you want to interpolate.

You can perform operations on a point map by selecting an operation from the Operation-list or from the Operations menu (for other methods, see How to start operations). Subsequently, fill out the appearing dialog box of that operation and click the OK button; this generates an ILWIS expression on the command line. Output objects that are obtained through an operation's dialog box are always dependent. Advanced users can type the complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions.

For more information on dependent maps, see Basic concepts : dependent data objects. For more information on operations, refer to ILWIS operations.

Technical information:

An ILWIS 3 point map consists of an ASCII object definition file (.MPP) and a binary data file (.PT#). The object definition file contains further references to the domain and the coordinate system that the point map is using; these are properties of a point map.

When opening or displaying an ILWIS 2 point map, the ILWIS 2 data file of the point map (.PN#) will be used. Only when an ILWIS 2 point map is edited, the map will be converted to and saved in the new ILWIS 3 data file format for point maps (.PT#).

By viewing the properties of a point map, you can see whether the map is dependent or not, which other objects the map is using, etc. For dependent maps, you can also manage dependencies: break dependencies, make dependent maps up-to-date, delete the dependent maps's data files, etc. For more information, see Basic concepts : properties of objects.

Each point is stored as a pair of XY-coordinates. The coordinates are stored as pairs of 8-byte floating point reals. Points are identified by a class name, ID or a value.

If you wish, you can open a point map as a table: click the point map with the right mouse button in the Catalog, and subsequently choose Open as Table from the context-sensitive menu. In the table window, you can view the class names, IDs, or values of all individual points in the map, and the coordinates of all points.

Limitations:

In ILWIS 3.x, limitations for number of points per point map only depend on available memory. However, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split maps into smaller logical parts.

See also:

Map window : functionality

How to setup a digitizer and start digitizing

Point editor

ILWIS operations


ILWIS objects : tables

ILWIS objects

Tables

A table is a data object storing columns. A table usually contains tabular information which refers existing geographic information stored in maps. The table then contains extra information on the mapping units, polygons, segments or points in your maps, for instance cadastral information, soil information, etc. Such a table is called an attribute table. Raster, polygon, segment and point maps with a class or ID domain can have an attribute table. The domain of an attribute table should always be the same as the domain of the map to which the table relates.

Further, tables may store columns that contain the answers of an operation on a map, for instance an output cross table or output tables of a statistical operation. The domain of a table generated by an operation may be created by the operation itself or the table may use domain None. Tables that use domain None cannot be linked to a map.

Tables can be displayed and edited in a table window. A table window also offers you the possibility to display graphs. You can calculate with the columns in a table by typing a Table Calculation formula on the command line of a table window. For more complicated calculations, you can use the Columns menu in the table window.

Contents and structure of a table:

A table consists of records and columns. The smallest unit in a table is called a field.

Record names in a table are defined by the domain of the table.

  • In a table window which displays a table, record names appear on (gray) record buttons that are arranged along the left side of the table.
  • Attribute tables use the same class or ID domain as the map to which they refer. When, for instance, you have an attribute table for a soil map (both using class domain Soils), then the classes of that domain appear as units in the map and as records in the attribute table. Or, when you have an attribute table for a map with cadastral plots (both using ID domain City), then the IDs of that domain appear as units in the map and as records in the table.
    Attributes on the classes or identifiers in a map are stored in attribute columns which have their own domain (class, ID, or value), see below.
  • Tables cannot have a value domain because conceptually spoken you cannot have extra information on value maps; extra tabular information on maps that represent interpolated height values, measured rainfall figures, or the calculated total number of people per building block, etc. does not exist.
  • A table that uses domain None cannot be linked to a map. Records in a table that uses domain None are simply identified by record numbers.

Columns in a table have a name, a description, and each column uses a domain.

  • In a table which displays a table, column names appear on (gray) column buttons that are arranged along the top of the table, just below the command line and the menu bar.
  • The domain of each column depends on the kind of data you want to store in that column: select or create for example a value domain if you want store pH values for your soil classes or the String domain if you want to store a text-description for each soil class.
  • You can add as many columns to a table as you like. Also by performing calculations, you can obtain new columns.
  • When a column uses a value domain, the column also has a value range and a precision.
  • Optionally, the domain of a column may have a representation, which is handy in case you wish to display a map that has an attribute table by one of the attributes, i.e. using the Attribute check box in the Display Options dialog box of that map.
  • If a table has a certain domain that also exists in another table, or if a column of a table has a certain domain that also exists in another table, then you can join columns of the other table into the current table.

For more information on columns, see ILWIS objects : columns.

Names of tables:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a table:

The easiest way to create an attribute table is to open the Properties dialog box of a map, and then select the Attribute check box in the dialog box. Subsequently, create the table by clicking the little create button that appears next to the Attribute drop-down list box. The Create Table dialog box appears in which you can specify a name and description for the table. The domain of the table is already filled out and is the same domain that is used by the map. For other methods, see How to create a table.

When you create a table with domain None, the table cannot be linked to a map.

To display and edit a table:

The easiest way to open and edit existing tables is to double-click a table in the Catalog; the table is shown in a table window. For other methods of opening tables, see How to display maps and tables.

In a table window, a table can be displayed and edited in the table viewer and in record view: the table viewer gives you an overview of the whole table, and record view displays the contents of a certain record. For more information, see How to edit a table. It is not possible to edit the fields of dependent and read-only columns or the fields of table-owned columns in dependent tables. Table information can also be shown as graphs.

When an attribute table is linked to a map or to its domain, and the map is displayed in a map window, you can also double-click in the map to edit the attributes in the attribute table. For more information on the double-click action, see Map window : advanced functionality.

Operations on tables:

Calculations within tables are usually performed on columns. You can calculate with columns by typing a Table Calculation formula on the command line of a table window. When the definition symbol = is used in a calculation, the output column is dependent. For more complicated column operations such as aggregations, calculating cumulative values, joins, and least square fit calculations, you can use the Columns menu. For more information on columns, see ILWIS objects : columns.

When a table is the result of an operation such as the Cross operation or the statistical operations, the table itself is dependent and the columns created by the operation are table-owned. For more information on dependent objects, see Basic concepts : dependent data objects.

Operations that can be performed on a table as a whole are listed on the Operations, Table Operations menu in the Main window:

  • The Transpose Table operation can be used to switch all records to columns and all columns to records.
  • The Table to Point map operation can be used to create a point map from a table. The table should contain at least columns with X- and Y-coordinates for the points.
  • The Change domain of table operation can be used to create a new table which uses another domain than the current table.

Technical information:

A table consists of an ASCII object definition file (.TBT) and a binary data file (.TB#). The object definition file of a table stores the table name, table description, whether the table is dependent or not, the number of columns in the table, column names, column descriptions, and for dependent columns the column definitions, etc. Further, the object definition file contains references to the table's domain, the table's data file, and the domains that are used by the individual columns. The .TB# file stores the data of the columns.

By viewing the properties of a table, you can see which domain the table is using and whether the table is dependent or not. For dependent tables, you can manage dependencies: break dependencies, make dependent tables up-to-date, delete the dependent table's data file, etc. For more information, see Basic concepts : properties of objects.

Limitations:

In principle, the maximum number of columns in a table is 32000 and the maximum number of records in a table is 2 billion. In practice however, limitations will occur by available memory. Furthermore, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split tables into smaller logical parts.

See also:

How to create a table

How to edit a table

Table window : functionality

Table calculation

ILWIS objects : columns


Databases

ILWIS objects

Tables - Databases

In ILWIS, you can use databases from other sources.

A database is:

  • a single file containing a single table (e.g. dBase or Paradox), or
  • a single file containing multiple tables (e.g. Excel or Access).

In general, you can access a database in two ways:

  • by converting parts of a database to the ILWIS table format, using the Import Table wizard, you can calculate with the output table(s), and edit the output table(s), etc. as usual.

  • by keeping the external database in its original format, and have access to tables or the entire database in a Use As manner.

    • With the Use As method, you will have:

    • read access, so that the table(s) can be displayed;
    • write access, so that fields of the tables can be edited; you can add records; when you save the Use As table as a normal ILWIS table, you are also allowed to create new columns.

    When you open an entire database with the Use As method, you will obtain a so-called database collection [image]. A database collection is similar to an object collection; the difference is that an object collection may contain all kinds of ILWIS objects (maps, tables, layouts, etc.), while a database collection may only contain tables. You are not allowed to add any tables to a database collection, and you cannot delete any tables from a database collection.

The access to an external database is achieved through a Windows technique called ADO (ActiveX Data Objects), which makes use of an OLE DB provider, which, in turn, probably uses an ODBC (Open DataBase Connectivity) driver. The OLE DB provider and the ODBC drivers that are installed on your system determine which types of databases can be used. For a standard Windows database program like Access, the required driver is already present on your system.

Using a database

Below, two methods will be shortly described to open an external database.

1. Showing and opening foreign database files through the Catalog:

This method can be used when the database consists of a single file which contains one or more tables (e.g. dBase, Paradox, Excel, Access):

  • Customize the Catalog so that the desired foreign extensions (e.g. dbf, xls or mdb) are shown.
  • Double-click the external file in the Catalog.

You will obtain a database collection [image] in your Catalog. When you double-click the database collection, the tables [image] in the database collection will appear. When you double-click a table, it will be opened in Use As manner [image] u.

You can:

  • show tables of the database,
  • edit fields of tables in the database,
  • perform table calculations, as long as you write the output into an existing column,
  • join columns into an existing ILWIS table.

Only when you save a Use As table as a regular ILWIS table, you can also:

  • create new columns,
  • perform calculations and write the output to a new column.

Tips:

  • In a Use As table, you will find that most columns use system domain Value, or system domain String. You can convert the domain of a String column for instance by double-clicking the column's header, and then in the Column Properties dialog box, press the Create new Domain from Strings in column button.
  • To save a Use As table to a normal ILWIS table, open the Use As table and choose Save Copy As from the File menu in the table window.

2. Using the Import Table wizard:

The Import Table wizard can be used when the database consists of a single file which contains one or more tables (e.g. dBase, Paradox, Excel, Access):

  • From the File menu in the Main window, choose Import, Table:

    • the Import Table wizard will be opened.

  • Select the desired database.
  • Select a single table of the database, and select the domain for that table.
  • Accept the default SQL query (to retrieve all records of the table), or use your own SQL query to retrieve specific data from the table.
  • Specify an output name for the table, and choose:
    • to convert the table to the ILWIS table format, or
    • not to convert the table, but use it in Use As manner.

When you choose to convert the table to ILWIS table format, you will obtain an ILWIS table [image] that can be shown, edited and with which you can calculate as usual.

When you choose to obtain a Use As table [image] u, the same restrictions apply as described in section 1.

Additional information

For technical information on database collections, refer to ILWIS objects : object collections.

For your information, in Windows Control Panel, under Administrative Tools, Data Sources (ODBC), you can find a list of installed ADO/ODBC drivers.

See also:

How to import data

Customize Catalog

Import Table wizard

ILWIS objects : object collections

ILWIS objects : tables

ILWIS objects : columns


ILWIS objects : columns

ILWIS objects

Columns

A column is a data objects that is part of a table; a column can be used to store attributes, results of calculations, results of operations, etc. Fields in a column may contain class names, IDs, values, X- and Y-coordinates, colors, text, etc.; this is determined by the domain of the column.

Columns are displayed and edited in a table window. You can calculate with columns by typing a Table Calculation formula on the command line of a table window. For more complicated calculations, you can use the Columns menu in the table window.

For more information on the domain of a table and the structure of a table, see ILWIS objects : tables.

Contents of columns:

The contents of a column is defined by the domain that the column is using. For each new column that you add to a table, you have to select (or create) a domain which fits the kind of data you want to store in that column, similar to the selection or creation of a domain when you make a new map. In a Soil table for example, you can select the system String domain for a column Description that should store descriptions of soil types, and you can select the system Value domain or create your own value domain pH for a column pH that should store pH values.

When calculating with columns, it is normally enough to select system domain Value or one of the other system domains. You only have to create a new value domain, if the column will contain values that have a special 'standardized' meaning.

A column may store for example:

  • names of districts, provinces, regions, etc. for instance in a table containing all building blocks of a city, the district of the city in which each building block occurs (for aggregations); the column uses an ID domain,
  • class names like suitable, moderately suitable, not suitable or slope classes that apply for the records; the column uses a class domain,
  • rainfall values, pH values for boreholes, number of people per building block, etc.; the column uses a value domain,
  • free text for instance to describe the records of the table; the column uses the String domain,
  • true or false values; the column uses the Bit domain,
  • true, false or undefined values; the column uses a Bool domain,
  • percentage values; the column can use the Perc domain,
  • colors; the column uses the Color domain,
  • X- or Y-coordinates; the column uses a value domain,
  • output values after a table calculation (any domain),
  • output values (any domain) in tables that are the result of an operation, e.g. values and percentages after a Histogram operation, classes of two input maps and values after a Cross operation on two class maps, distances and probabilities (values) after the Pattern Analysis operation, directions, lengths and number of segments (all values) after the Segment directions operation, etc.

For more information on domains, refer to Basic concepts : working with domains.

The domain of a column may have a representation. This may be useful if the table is an attribute table; when displaying a map, you can directly display the map by an attribute column, thus without physically creating an attribute map. To display a map by attribute, select the Attribute check box in the Display Options dialog box which appears when opening the map.

Types of columns:

Source columns:

Normal editable columns.

Dependent columns:

Columns that store the result of a calculation: ColumnCalculate, ColumnJoin, ColumnAggregate, ColumnCumulative, ColumnLeastSquares.

Table-owned columns:

Columns that are part of a dependent table and store the results of an operation e.g. output columns of the Histogram and Cross operation, and other statistical operations.

Also objects that internally use a table for storage (point maps; class, ID and picture domains; class representations; georeference tipeoints) and which thus can be opened as a table have table-owned columns.

To protect the results of calculations or operations, fields of dependent columns and table-owned columns in a dependent table are not editable unless you break the dependency links of the dependent column or unless you break the dependency links of the dependent table.

Names of columns:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a column:

An easy way to add a new column to a table is to open the Columns menu and select the Add Column command. In the appearing Add Column dialog box, enter a name and description for the column and select or create a domain. For other create methods, see How to add a column to a table. Columns added in this way are always source columns, i.e. editable columns. Even if you use such a column later on as the output column of a calculation, the column remains a source column.

You can also directly add a new column to a table by typing a Table Calculation formula on the command line of the table window which contains a new column name, or by using the Columns menu to join columns from another table, to perform aggregations or to calculate cumulative sums of columns or perform a least squares fit.

New columns created by typing a TabCalc formula on the command line in which you use an equal symbol (=) are dependent columns. Columns that contain the result of a join, aggregation, cumulative sum or least squares fit obtained through a dialog box are also dependent columns. When you use the assignment symbol (:=) in a TabCalc formula, the new column is an editable source column.

You may add as many columns to a table as you like. To change the order and width of columns or to sort the records of a table, see Table window : functionality.

To edit fields of a column:

When a table is displayed in a table window, you can edit the fields of source columns directly both in the table viewer and in record view. First select a field in the table, then type a new value of ID when the column uses a value or identifier domain, or open the drop-down list box of the field and then select a class name from the drop-down list box when the column uses a class domain. For more information, see How to edit a table.

Fields in dependent columns are not editable unless you break the dependency link of the column; you can do this in the Properties dialog box of the column. Further, fields in table-owned columns in dependent tables are not editable unless you break the dependency links of the table; you can do this in the Properties dialog box of the table. However, the fields in table-owned columns in objects that are internally stored as a table and that can be opened as a table (e.g. point maps and class representations), can usually be edited.

Operations on columns:

Mostly, you will calculate with columns using the operators and functions that are available in Table Calculation. You can type your table calculation formulae on the command line of a table window. When you use the definition symbol = in a TabCalc formula that contains a new column name, a dependent column is created. For more information, see also Basic concepts : dependent data objects and Table Calculation.

When you use the assignment symbol := in a Table Calculation formula, a source column is created.

Further, you can use the Columns menu to join, aggregate, calculate a cumulative sum or a least squares fit. Subsequently, fill out the appearing dialog box of that column operation and click the OK button; this generates an expression on the command line of the table window. Output columns that are obtained through an operation's dialog box are always dependent. Advanced users can type these complete expressions on the command line of a table window, or ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions.

Lastly, the columns of a dependent table in which the results are stored of an operation such as the Histogram operation or statistical operations on maps are table-owned columns. For more information, refer to the Histogram operation, etc.

When calculating with columns and you want to store values in a column, you can usually select the system domain Value, and specify value range and precision, see below.

Technical information:

Columns have no object definition file of their own. All necessary information to display, edit and calculate with columns is stored in the object definition file of the table (.TBT) to which the column belongs. Column data is stored in the binary file of the table (.TB#).

Each column has a domain, which is a property of a column. By viewing the properties of a column, you can see whether the column is dependent or not, which domain the column is using and in case of dependent columns which other columns the column is using, etc. For dependent columns, you can also manage dependencies: break dependencies, make dependent columns up-to-date, delete a dependent column's data file, etc. For more information, see Basic concepts : properties of objects and How to view the properties of objects.

Columns are stored as bit, byte, 2-byte, 4-byte or 8-byte columns. The store type of a column is primarily defined by the domain that the column is using. For value columns this is determined by the value range and precision that you specify for the output column during a calculation or operation. Usually, ILWIS will come up with defaults, but you can adjust these values. Choosing a wide value range and a very small precision results in a large data file on disk as more bytes are needed to store the column values.

Limitations:

In principle, the maximum number of columns in a table is 32000 and the maximum number of records in a table is 2 billion. In practice however, limitations will occur by available memory. Furthermore, ILWIS is not designed to work with very large data sets: to speed up processing you may need to split tables into smaller logical parts.

See also:

ILWIS objects : tables

Table window : functionality

How to add columns to a table

How to edit a table


ILWIS objects : link between maps and tables

ILWIS objects

Link between maps and tables

The relational link between point, segment, polygon or raster maps and an attribute table, is provided by the domain. The domain should be of the ID or Class type. The domain should be used both by the map(s) and the table. The table contains additional columns with the attributes.

An attribute table can also be linked to a domain (domain Class or ID). Then all maps using that domain automatically use the attribute table which has the same domain.

It is the class names in a domain Class and the IDs in a domain Identifier that provide the relational link between the elements in a raster, polygon, segment or point map and the records in an attribute table.

Whether a map or a domain has an attribute table can be seen by viewing the properties of the map or the domain.

See also:

Basic concepts : before creating ILWIS maps and tables

Basic concepts : domains


ILWIS objects : container objects

ILWIS objects

Container objects

Container objects are collections of data objects. Container objects in its simplest form are (ASCII) lists with references to the object definition files of the data objects they contain. Container objects themselves thus do not store the data files of data objects. Some extra information may be stored by container objects as well.

Container object are:

map lists | containing raster maps
object collections | containing a subset of your data or the results of importing an Aster image
map views | containing a raster map and/or one or more polygon, segment and point maps, grid lines and graticules
layouts | containing one or more map views and other annotation
annotation text | containing multiple texts, e.g. labels of polygons, segments or points
graphs | containing graphical display settings for values in columns

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

In dialog boxes, long object names can be used freely.

On the command line and in scripts however, object names must be enclosed by single quotes e.g. 'My Object'.ext when the object name:

  • starts with a digit from 0 to 9,
  • starts with or contains one or more spaces, or
  • starts with or contains any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

See also How to use long object names.

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

Tips:

  1. To hide or show certain object types from a Catalog, use the Catalog - Show command, Object Selection toolbar or the Customize Catalog, Object Selection tab.
  2. To copy, rename or delete ILWIS objects, you MUST use ILWIS commands.
    • To copy or to rename a single object: select an object and choose the Copy Object To command.
    • To copy one or more objects: select the object(s) and use drag and drop, or select the object(s) and choose the Copy command and then the Paste command.
    • To delete one or more objects: select the object(s) and choose the Delete command.

    For more information, see How to copy objects or How to delete objects.

  3. Mind: It is strongly discouraged to copy, rename or delete files using Windows Explorer or DOS.

See also:

ILWIS objects : map lists

ILWIS objects : object collections

ILWIS objects : map views

ILWIS objects : layouts

ILWIS objects : annotation text

ILWIS objects : graphs


ILWIS objects : map lists

ILWIS objects

Map lists

A map list is a container object which stores the names of a set of raster maps, for example of the multi-spectral bands of a satellite image that you want to classify. A map list may also store the names of several raster maps of a time series which you can display as a slide show. All raster maps in a map list must have the same the same domain and georeference.

A map list is used:

  • for sampling and image classification,
  • for the creation of interactive color composites,
  • for a principal components analysis or factor analysis,
  • for the calculation of multiband statistics (variance-covariance matrix or correlation matrix),
  • to present temporal changes in maps; make a time-series by combining several maps of the same theme but of for instance different years into a map list and show the map list as a slide show.

Furthermore, you can apply a MapCalc formula or an operation on all raster maps in a map list:

  • the MapCalc formula will be applied to all raster maps in the map list, or
  • the operations that can use a map list as input are: Aggregate Map, Filter, Stretch, Densify, Resample, Sub-Map of raster map, and Mirror/Rotate.

Another type of map lists can be obtained through Import General Raster. When the image to be imported contains information on multiple bands, and when you use the options Use data in original format, without the creation of separate maps, you obtain a map list which only consists of an object definition file (.MPL). When needed, the actual data will be read on the fly from the original non-converted image.

Names of map lists:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a map list:

To create a map list, open the File menu in the Main window and select the Create Map List command. You can also expand the Create item in the Operation-tree and double-click the New Map List command, or double-click the New Map List item in the Operation-list. Furthermore, you can also create a map list when you start an operation which requires a map list as input, and click the create button [image] in the operation's dialog box.

In the appearing Create Map List dialog box, enter a name and description for the map list, and select the raster maps you wish to add to the map list. Remember that all raster maps in a map list should use the same domain and the same georeference.

To open a map list:

You can open a map list by double-clicking a map list in a Catalog. A special kind of Catalog will be opened which lists all raster maps in your map list; this is called the map list editor.

  • To display an individual raster map, double-click the raster map in the map list editor.
  • To open the map list as an interactive color composite, click the Open as Color Composite button [image] in the map list editor. The raster maps should use the Image domain or another value domain.
  • To open the map list as a slide show, click the Open as Slide Show button [image] in the map list editor.

To open a map list as a color composite or as a slide show, you can also use the right mouse button on a map list in a normal Catalog, and choose Visualization, as Color Composite or Visualization, as Slide Show from the context-sensitive menu. You can of course also use the Operations menu , the Operation-tree or the Operation-list in the Main window.

When you display a map list as an interactive color composite, you can select which maps of the map list should be used in the color composite and you can specify the stretch ranges for each of the selected maps. By changing the display options of the map list, you can easily change the color composite. This is very suitable for sampling and on-screen digitizing. For more information, refer to How to create a color composite.

When you display a map list as a slide show, one map after the other will be shown in the same map window. This is very suitable to display a time series. For more information on slide shows, see How to display a map list as a slide show or Open map list as slide show.

Tip:

To speed up the display of large raster maps e.g. maps consisting of a few thousand lines and columns or more, you can create Pyramid layers. For more information, refer to ILWIS objects : Raster maps - Pyramid layers.

To edit a map list:

To edit a map list, either double-click a map list in a Catalog, or select one or more map lists in a Catalog and choose Edit Object from the Edit menu in the Main window, or use the right mouse button on one or more selected map lists in a Catalog and choose Open from the context-sensitive menu.

In the appearing Map List editor window, you can:

  • add other raster maps to your map list for instance by using the Add Raster Map [image] button;
  • remove maps from the map list for instance by using the Remove Raster Map(s) [image] button;
  • change the order of maps in the map list (for slide shows) by dragging a map to another position.

For more information, refer to How to edit a map list.

Calculating with map lists/Operations on map lists:

  1. Usually, you will create a map list during sampling to obtain a sample set with which you can perform a supervised classification in a later stage. Sampling however is an interactive process and not a genuine operation.

  2. To apply a MapCalc formula on all raster maps in a map list, you can type a map list expression on the command line of the Main window. For instance, if the regular MapCalc formula on InMap reads:

    3. OutMap = SQ(InMap) + 10

    Then, the map list expression to use the formula on all input maps in a map list InMapList reads:

    OutMapList = MapListApplic(InMapList, "SQ(##) + 10")

    where ## represents the individual raster maps in the map list.

    The output map list is a dependent object. When the output map list is opened, the dependent output raster maps will be defined and calculated. The output raster maps of the map list will obtain the same name as the output map list, followed by _1, _2, _3, etc. For more information, refer to Map Calculation : calculating with map lists.

  3. Similarly, operations that use a raster map as input and produce a raster map as output, can also be performed on all raster maps of an input map list. You can choose the input map list in the dialog box of the operation but you can also type an expression on the command line of the Main window. The general syntax of map list expressions for operations is:

    4. OutMapList = MapListApplic(InMapList, Map Operation(##, other parameters))

    where ## represents the individual raster maps in the map list.

    The output map list is a dependent object. When the output map list is opened, the dependent output raster maps will be defined and calculated. The output raster maps of the map list will obtain the same name as the output map list, followed by _1, _2, _3, etc. For more information refer to Aggregate Map : command line (2), Filter : command line (2), Stretch : command line (2), Densify : command line (2), Resample : command line (2), Sub-Map of raster map : command line (2), or Mirror/Rotate : command line (2).

  4. Furthermore, when you perform a statistical operation on a map list, a matrix is returned containing multivariate statistical information on the values of the different raster maps in the input map list. When you use the Principal Components or the Factor Analysis operation, you will obtain, besides the matrix, also an output map list with output raster maps.

Technical information:

A map list only consists of an ASCII object definition file (.MPL). Normally, the object definition file contains further references to the raster maps that are included in the map list.

In case the map list is the result of Import General Raster using the option Use Data in Original Format and without the creation of separate maps, then the object definition file will only contain a reference to the original non-ILWIS file and there will be no separate ILWIS raster maps stored on disk. When such a map list is opened, the first band is called 'band 1', the second 'band 2', etc.

On the command line, the first band of such a map list can be addressed as maplistname.mpl:1, the second band as maplistname.mpl:2, etc. To calculate with such maps on the command line, you can use for instance expressions like OUT = MyMapList:1 + MyMapList:2 or OUT = 'My Map List'.mpl:1 + 'My Map List'.mpl:2.

By opening the properties of a map list, you can see georeference and the domain used by the maps in the map list, whether the map list is editable or dependent, calculated, etc. You can also see which raster maps the map list contains. For more information, see Basic concepts : properties of objects or the Map List Properties sheet.

In case you calculated a variance-covariance matrix or a correlation matrix, the Properties sheet contains an extra Additional Info tab which shows you the Optimum Index Factor (OIF) of combinations of three bands in the map list. For more information, see How to calculate the Optimum Index Factor.

Limitations:

In principle, the maximum number of raster maps that can be included in a map list is 100 million. In practice however limitations will occur by available disk space.

See also:

How to create a map list

How to edit a map list

ILWIS objects : raster maps

ILWIS operations


ILWIS objects : object collections

ILWIS objects

Object collections

An object collection is a set of ILWIS objects. An object collection only stores the names and locations of the maps, tables, etc. that are included in the object collection but not the data itself. References to the names and locations of the data files on disk are in the object definition files of the maps and tables etc. themselves.

Object collections:

  • can be created to organize your data as 'projects';
  • are the result of importing ASTER (1A/1B) images through ILWIS Map Import.

A database collection is a special form of an object collection. While an object collection may contain all kinds of ILWIS objects (maps, tables, layouts, etc.), a database collection may only contain tables. The tables of a database collection are in Use As mode [image] u.

A database collection is the result of:

  • accessing an external database.

You are not allowed to add any tables to a database collection, and you cannot delete any tables from a database collection. To obtain a database collection and some general information on database collections, refer to ILWIS objects : tables - databases.

Except for the technical information, in which both object collections and database collections are treated, the remainder of this topic deals with object collections.

Names of object collections:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create an object collection:

Open the File menu in the Main window and select the Create Object Collection command, or double-click the New Object Collection item in the Operation-list. In the appearing Create Object Collection dialog box, you can enter a name and description for the object collection. The object collection will be directly opened.

Note:

An object collection is automatically created when importing ASTER level 1A or level 1B images through ILWIS Map Import.

To add objects to an object collection:

To add objects to an object collection:

  • open the Catalog with the data that should appear in your object collection;
  • open the object collection;
  • select the objects in the Catalog that should appear in the object collection;
  • drag the selected objects from the Catalog into the object collection.

This is the same as using Copy and Paste. For more information, see How to copy objects.

You can add objects from various directories to an object collection.

Tip:

You can choose whether a Catalog should show:

  • both object collections and the objects that are included in object collections (the members of the object collections), or
  • only object collection(s) and not the members of object collections.

The setting can be specified on the Customize Catalog, Object Selection page.

Note:

Imported objects will be automatically added to the created object collection when importing ASTER level 1A or level 1B images through ILWIS Map Import.

To open an object collection and to open the objects it contains:

To open an object collection, you can double-click it in a Catalog.

In turn, to open objects that are part of an object collection: double-click them in the opened object collection.

Operations on (objects in) object collections:

As object collections may contain any kind of objects (map lists, maps, domains, georeferences, etc.), no operations can be performed on object collections as a whole. Object collections are only used to store the location on disk of the objects they contain.

On maps and tables IN an object collection, you can perform the same operations as usual. When the data object(s) on which an operation is performed are in the same object collection, the output of the operation will also be stored in the object collection.

Technical information:

An object collection only consists of an ASCII object definition file (.IOC). The object definition file contains further references to the objects that are included in the object collection.

Similarly, a database collection uses the same type an ASCII object definition file as an object collection (.IOC). The object definition file of a database collection contains further references to the tables that are included in the database collection. The object definition files of the tables (.TBT) that are part of a database collection, are only created when a (Use As) table of a database collection is opened.

If you like, you can save a Use As table to a normal ILWIS table by using Save Copy As from the File menu of a table window which displays a Use As table. You will then obtain an object definition file for the table (.TBT) and a data file for the table (.TB#).

By viewing the properties of an object collection, you can see on the Contains tab, the names of the objects that are included in the object collection. When the object collection is a database collection, the Contains tab lists the names of the tables that are included in the database collection. For more information, see the Object Collection Properties sheet.

See also:

Create an object collection

Import Map

ILWIS objects : tables - databases


ILWIS objects : map views

ILWIS objects

Map views

A map view is a saved map window.

In one map window, you can display:

  • one or more raster maps, polygon maps, segment maps and/or point maps;
  • one or more Annotation Text objects which usually contains the labels of a point, segment or polygon map;
  • grid lines and graticules.

When you save a map window as a map view, all layers in the map window and their display settings as well as the georeference of the map window are stored. When you open a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window anymore, nor specify their display options.

Map views MUST be created when you wish to print maps. After saving the map window(s) as map view(s), create a layout to which you can add one or more map views and additional annotation such as legends, north arrows, scale bars and scale texts, texts, map borders including ticks and coordinates for grid lines or a graticule, a page border, boxes, bitmaps and pictures.

Mind: In a layout, a map view may only contain one raster map.

In the layout editor, you can then make a final composition of the map views and the annotation.

Names of map views:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a map view:

Display the required data layers, annotation text layers, grid lines, and/or graticule(s) in a map window. Then, from the File menu in the map window, select the Save View or the Save View As command. You can also click the Save button [image] in the toolbar of the map window. When a map window has not been saved before, the Save View As dialog box will appear.

To create a layout, you can choose the Create Layout command from the File menu in the map window. If the contents of the map window still need to be saved as a map view, you will be asked to do so. Then, a small dialog box will appear in which you can specify a scale for the map view in the layout: the layout editor will be opened displaying the map view on the specified scale.

For more information, see also Layout editor : functionality.

Note:

Map views that use a coordinate system of type latlon, cannot be properly displayed nor printed in a layout. It is advised:

  • to drag a coordinate system of type projection to a map window before saving the map window as a map view, or
  • to transform the vector maps with a coordinate system of type latlon, to a coordinate system of type projection.

To display a map view:

The easiest way to display a map view is to double-click it in a Catalog. All layers stored by the map view will be directly displayed in a map window.

To edit a map view:

Open a map view, and add or remove layers or edit display options of layers. Then, save the map window again as a map view either using the Save View or Save View As commands or by clicking the Save button.

For more information, see also How to use layers in a map window or Map window : Layer Management.

Map views can also be edited and saved from within the layout editor. For more information, see Layout editor : functionality.

Operations on map views:

On a map view, no operations can be performed. When a map view is displayed, you can copy the map view as a picture to clipboard and paste it into another Windows application (see Map window : Copy to clipboard). When one or more map views are inserted in a layout, you can add annotation such as a legend, print the layout and export the layout as a bitmap (see Layout editor : functionality).

Technical information:

A map view consists of an ASCII object definition file (.MPV). This file stores references to all map names that were stored as the map view and further contains the display options of all layers. Furthermore, the georeference of the map window is stored.

By opening the properties of a map view, you can see on the Contains tab, all maps and the annotation text layers that are part of this map view. Grid lines and graticules are not listed. For more information, see the Map View Properties sheet.

See also:

Map window : functionality

Basic concepts : map views and layouts

ILWIS objects : layouts

Layout editor : functionality


ILWIS objects : layouts

ILWIS objects

Layouts

A layout is required to print maps with annotation. A layout is a virtual sheet of paper on which you can make a composition of one or more map views, specify the scale on which these map views should be printed, and on which you can insert annotation.

In the layout editor, you can add to a layout:

  • one or more map views, each of which may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules;
  • texts;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

For each map view, you can add to the layout:

  • a legend for each layer in the map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

Tips:

  • To obtain a layout, first save a map window containing one or more maps, and optionally Annotation Text, grid lines and/or graticules as a map view. Then, create a layout and add one or more map views to it.
  • Multiple texts, e.g. names or values of points in a point map, names or values of segments in a segment map, or names of polygons in a polygon map, can be created in a map window as an Annotation Text object; this can be edited in the Annotation Text editor in which you can for instance easily move texts, specify fonts, font size, colors, etc. .

Names of layouts:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a layout:

You can create a layout in the Main window or in a map window:

  • in the Main window, choose the Create Layout command from the File menu;
  • in a Catalog, click a map view with the right mouse button and choose the Create Layout command from the context-sensitive menu;
  • in the Operation-tree, open the Create item, and select the New Layout command;
  • in the Operation-list, double-click the New Layout command;
  • in a map window, choose the Create Layout command from the File menu.

The Layout editor is started. You can choose a page size, add map views and additional annotation. For more information, refer to Layout editor : functionality.

To edit a layout using the layout editor:

For more information on inserting or modifying map views in a layout, and on inserting or editing annotation in a layout, please refer to one Layout editor topics:

  • Layout editor : functionality,
  • Layout editor : standard toolbar, Layout editor : Layout toolbar,
  • Layout editor : menu commands, or Layout editor : context-sensitive menu.

To save a layout:

A layout can be saved by choosing the Save or the Save As commands from the File menu of the Layout editor, or by clicking the Save button [image] in the standard toolbar of the layout editor.

A changed map view in a layout will only be saved:

  • when you select the changed map view and click the Save button in the standard toolbar, or
  • when you select the changed map view, and you click the right mouse button and choose Save View or Save View As from the context-sensitive menu.

Technical information:

A layout only consists of an object definition file (.ILO). The object definition file stores the paper size, the margins, the name of the current printer, etc., and it contains references to the map view(s) that were included in the layout. The object definition files of the map views in turn contain further references to the maps and annotation text objects present in the map view. Furthermore, when a layout contains any bitmaps and/or pictures, these are stored in-line in the .ILO file.

By opening the properties of a layout, you can see the size of the object and the time it was last changed. You can also see which map views the layout contains. For more information, see Basic concepts : properties of objects or the Layout Properties sheet.

Note:

Map views that use a coordinate system of type latlon, cannot be properly displayed nor printed in a layout. It is advised:

  • to drag a coordinate system of type projection to a map window before saving the map window as a map view, or
  • to transform the vector maps with a coordinate system of type latlon, to a coordinate system of type projection.

Annotation types in a layout

Text

You can add texts to a layout for instance to add a title or some other textual information. The text may actually consist of multiple text lines; use the Enter key or the Shift+Enter key when inserting the text. Texts can be rotated, you can choose a color, font, etc.

Tip:

When you wish to obtain label-like texts for all points, segment or polygons of a map, or when you want to store multiple texts at multiple positions, it is advised to create an Annotation Text object in a map window.

Box

Boxes can be added to a layout for instance to obtain a box around a legend, a title, etc. You can choose line type and color; for line type Single, you can also choose the line width.

Tips:

    Besides boxes, you can add:

  • a map border as a neatline with or without graduation tightly fitting a map view and/or as an outline at a certain distance around a map view;
  • a page border along the margins of the complete layout.

Bitmaps or Pictures from disk

A bitmap is a standard Windows graphic file format (.BMP) in 'raster' form. Bitmaps can use a 2, 16 or 256 color palette, or 24-bit colors.

A Windows metafile or a picture is a standard Windows graphic file format (.WMF, .EMF) in 'vector' form. A metafile consists of a set of Windows drawing instructions.

In the layout, you can size bitmaps while the height-width ratio is maintained. Pictures can be sized in all directions, i.e. maintaining the heigh-width ratio or not.

Tip:

You can also paste texts, bitmaps, or pictures from the clipboard into a layout. Pasted objects will appear as a new text, a new picture or a new bitmap in your layout.

Page border

A page border can be added to a layout from the Edit menu of the layout editor. The page border will automatically fit the paper margins as specified during Page Setup.

Legends

For each layer in a selected map view in your layout, you can add a legend. Class names and values are obtained from the domain of the layers, colors are derived from the representation of the layer. For more information, see Insert a legend.

Map border

When a map view is selected in a layout, you can add a map border. This includes the following possibilities:

  • a neatline around the map view as a thin single line or as an alternating black and white pattern;
  • ticks for grid lines and optionally coordinates for the grid line ticks;
  • ticks for a graticule and optionally coordinates for the graticule ticks;
  • coordinates for the corners of the map(s) in the map view;
  • an extra outline at a certain distance around the map view.

North arrow

When a map view is selected, you can add a North arrow to a layout. The North is determined from the georeference of the maps in the selected map view. The North is defined as the positive Y-direction. You can choose between different types of North arrows and you can specify the type of text that should appear.

Scale bar and scale information

When a map view is selected, you can add a scale bar and scale information to a layout. Both are determined from the specified scale on which the selected map view should be printed.

Other possibilities

Extra inset-maps in a layout:

As you can insert multiple map views into a layout on different scales, you can add one map view to a layout depicting the map(s) of study area and another map view depicting for instance the location of your study area in the country. You then add a scale bar or scale text, etc. for the second map view as usual.

Pasting text, pictures and bitmaps from clipboard:

Any text, picture or bitmap that has been copied into the clipboard from any Windows application, can be pasted as text, picture or bitmap into a layout. The pasted object will not have any coordinates anymore.

To copy an ILWIS table to clipboard, you can for instance use the Alt+PrintScrn keys in a table window, then use Edit, Paste in the layout editor.

Tip:

You can use Windows clipboard viewer to inspect the current contents of the clipboard.

Grid lines/Graticule:

Grid lines (lines parallel to the X- and Y-axes of the coordinate system) and a graticule (parallels and meridians of the coordinate system) can be be added to a map view both when in a map window and when in the layout editor. Coordinate ticks, X- and Y-coordinates etc. have to be added via the Map Border option (see above).

Annotation Text object:

By creating an Annotation Text object or layer in a map window and using an existing map as the base map, you can easily obtain label-like texts for all points, segment or polygons of the selected map. You can edit the Annotation Text object for instance in the Annotation Text editor: you can reposition selected texts, specify fonts, font sizes, etc. Texts in an Annotation Text object can only consist of one line. The annotation text layer can be saved as part of a map view and the map view can be added to a layout. For more information, see ILWIS objects : annotation text.

See also:

Layout editor : functionality

Layout editor : standard toolbar

Layout editor : layout toolbar

Layout editor : menu commands

ILWIS objects : map views

ILWIS objects : annotation text

Annotation Text editor : functionality


ILWIS objects : annotation text

ILWIS objects

Annotation Text

An Annotation Text object, also called an annotation text layer, is designed to display and store multiple texts at multiple positions.

When creating an Annotation text object in a map window, you can base the Annotation Text object on an existing point, segment, or polygon map. If you do so, you will obtain label-like texts for all points, segments or polygons in the selected map as class names, IDs or values.

The texts of an Annotation Text object can be edited with the Annotation Text editor or in a table window. In the Annotation Text editor, you can easily insert more text items, change and refine the position of texts (move), make text duplicates, and specify fonts, font sizes, appearance (bold, italics, underline), colors, rotations, etc. for (multiple) selected texts.

When you save the map window as a map view, you can insert the map view including the map(s) and the annotation text layer into a layout.

Names of an annotation text object:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create an annotation text object:

In a map window, open the File menu and choose Create Annotation Text. You can also open the Layers menu, choose Add Annotation, Text Layer and then click the Create button in the appearing Add Annotation Text dialog box.

Note:

For vector maps that use a coordinate system of type latlon, an annotation text layer cannot be properly created. It is advised:

  • to transform the vector map with a coordinate system of type latlon, to a coordinate system of type projection.

To display annotation text:

The easiest way to display an existing annotation text object in a map window is to drag the annotation text object from the Catalog to a map window. In a map window, you can also open the Layers menu and choose Add Annotation, Text Layer and then select an annotation text object in the appearing Add Annotation Text dialog box.

To edit annotation text:

Annotation text objects can be edited in the Annotation Text editor or in a table window. In the annotation text editor, you can insert new texts and delete selected existing texts, move one or more selected texts to another position, make text duplicates, and specify fonts, sizes, colors, etc. for (multiple) selected texts.

  • When you create a new annotation text object, the annotation text editor is directly opened.
  • To edit an existing annotation text object in the annotation text editor, first display the annotation text object in a map window, then open the Edit menu in the map window, choose Edit Layer and select the annotation text layer.
  • To edit an annotation text object in a table window, you can simply double-click the annotation text object in the Catalog, or open the File menu in the Main window, choose Open As Table and select the annotation text object.

For more information, refer to the Annotation Text editor.

Annotation Text objects in map views and layouts:

When an annotation text layer is correctly displayed in a map window, you can save the map window as a map view. Then, to print the map, choose File, Create Layout in the map window, the map view including the annotation text layer will appear in the layout editor. Decide on paper size on which the layout should be printed and decide on the scale on which the map view should be printed; add additional annotation as you like and print from within the layout editor.

Technical information:

An annotation text object consists of an ASCII object definition file (.ATX) and a binary data file (.AT#). The object definition file contains information on the working scale and information on columns in the table. The object definition file contains no further references to other objects.

See also:

Annotation Text editor : functionality

ILWIS objects : map views

ILWIS objects : layouts

Layout editor : functionality


ILWIS objects : service objects

ILWIS objects

Service objects

Service objects are used by data objects; they contain accessories required by data objects besides the data itself. Service objects define, for example, the valid type of values for a data object (ID, Classes, Values), the colors assigned to the data, and, coordinate information for the data object.

Service objects are:

domains

representations

georeferences

coordinate systems

Service objects can be selected to serve one or more data objects, created, changed, etc. through the properties dialog box of a data object or another service object. For more information, see Appendices : Relations between ILWIS objects.

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

In dialog boxes, long object names can be used freely.

On the command line and in scripts however, object names must be enclosed by single quotes e.g. 'My Object'.ext when the object name:

  • starts with a digit from 0 to 9,
  • starts with or contains one or more spaces, or
  • starts with or contains any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

See also How to use long object names.

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

Tips:

  1. To hide or show certain object types from a Catalog, use the Catalog - Show command, Object Selection toolbar or the Customize Catalog, Object Selection tab.
  2. It is advised to use the same service objects for several data objects:
    • if you have several thematic maps with the same kind of class names (not every class has to exist in each map), you should use the same domain for all maps,
    • if you have several raster maps of the same study area, you should use the same georeference for all maps.
  3. To copy, rename or delete ILWIS objects, you MUST use ILWIS commands.
    • To copy or to rename a single object: select an object and choose the Copy Object To command.
    • To copy one or more objects: select the object(s) and use drag and drop, or select the object(s) and choose the Copy command and then the Paste command.
    • To delete one or more objects: select the object(s) and choose the Delete command.

    For more information, see How to copy objects or How to delete objects.

  4. Mind: It is strongly discouraged to copy, rename or delete files using Windows Explorer or DOS.

See also:

ILWIS objects : domains

ILWIS objects : representation

ILWIS objects : georeference

ILWIS objects : coordinate system


ILWIS objects : domains

ILWIS objects

Domains

A domain defines, i.e. stores, the information that can be available in a map, a column, etc. A domain consists of a set of class names or IDs, a range of values, colors, etc. All elements in a map or column must use one of the classes, IDs, or values of the domain that is used by the map or column; if not, these elements will appear as undefined.

General use of domains:

All maps and all columns need a domain:

  • When a map contains for instance information on land use types, the map should use a class domain. The class domain contains the complete list of all land use classes that should be available for all your land use maps.
  • When a map contains for instance information on height values, the map should use a value domain in which your height values fit.
  • When a column contains calculated values, the column should use a value domain in which your calculated values fit.

A table needs a domain when the records in the table contain further information on units in a map. To establish a relation between a map and a table, the table needs to have the same domain as that map. Such tables are called attribute tables. Further, for a join between tables and columns, the tables or one of their columns should both use the same domain.

A table has domain None when the records in the table contain other 'stand-alone' information, for instance the results of a statistical operation.

A domain is a service object; it is the user-defined collection of IDs, class names, or values that can be used in a certain data object. All ILWIS data objects (maps, tables and columns) have a domain. One domain can be used for several data objects. Domains provide the relational link between maps, tables and columns. For an introduction on domains, refer to Basic concepts : before creating ILWIS maps and tables and Basic concepts : domains.

A domain may also provide a link to a default representation, so that the colors etc. for the classes or values in your map(s) are known.

Domain types:

The four main types of domains are:

- | ID | used for data objects which contain unique identifiers (e.g. plot 1024, plot 1025).
- | Class | used for data objects which contain classes (e.g. soil units: clay, sandy loam).
- | Value | used for data object which contain measured, calculated or interpolated values (e.g. height, concentration).
- | Image | for satellite images containing values between 0 and 255.

For a complete overview of domain types, see below.

For a list of available system domains, see system domains.

Names of domains:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a domain:

When creating a new map, table or column, you have to select an existing domain or create a new domain for the object. When you do not have a suitable domain yet, you can create a new domain for instance by clicking the create button [image] next to a domain list box in a dialog box.

To create a new domain, you also use:

  • the Create Domain command from the File menu in the Main window,
  • double-click the New Domain item in the Operation-list.

For more information, see How to create a domain. It is also explained there whether or not a representation is created when a new domain is created.

To view and edit a domain:

To view and edit a class domain, an ID domain or a value domain, you can for instance double-click a domain in a Catalog.

  • Class domains, ID domains, and Group domains can be viewed and edited in the Domain Class/ID editor; you can add, remove, or rename the classes/IDs/Groups in the domain;
  • Value domains can be viewed and/or edited in the Edit Domain Value dialog box; you can specify the minimum/maximum value for the domain, the precision, or specify a unit for the values.

For more information, see How to edit a domain.

Advanced users may wish to open a domain class, ID or picture as as a table. For more information, see How to open objects as a table. System domains and read-only domains cannot be edited. Information on these domains can be found in their properties dialog box.

Domains and representations:

A domain may use a representation which defines the colors, line widths etc. with which the elements in a map should be displayed.

  • A class domain, a group domain and a picture domain have an editable representation class.
  • When a map uses system domain Value: you can create your own representation gradual (in percentages), your own representation value (in values), or use one of the existing system representations gradual.
  • When a map uses the Image domain or any other value domain: you can create your own representation value (in values), or use one of the existing system representations gradual.

For more information on representations and the relations to domains, refer to ILWIS objects : representations. You can also refer to the topics How to create a domains or How to create a representation.

Tip:

When you want to be sure that you cannot change the representation of a domain, you can make the domain read only in the Properties dialog box of the domain.

Choosing a value domain for output maps and columns:

When calculating with value maps and value columns, you can usually accept the default system domain Value and you can adjust the value range and precision for the output map if necessary. When you adjust for instance the value range for an output map or column to minimum 5 and maximum 500 and a precision of 0.001; the output map or column will only store values in between 5 and 500 with 3 decimals; in case the calculation or operation results in values smaller than 5 and larger than 500, these will appear as undefineds (a question mark).

You only need to create a user-defined value domain (for instance Height, pH, Yields, or concentration values):

  • if the output values have a specific 'standardized' meaning that you want to document, and
  • if you have, or want to create, a specific representation value for these values where colors or ranges of colors are linked to the values.

Technical information:

A domain consists of an ASCII object definition file (.DOM); in case of a class, ID, or group domain, also a binary data file (.DM#) is available.

In case of a class or picture domain, the object definition file of the domain has a reference to the representation class which will be used as the default representation when the map is displayed. In case of a value domain, the object definition file has a reference to the default representation value or gradual.

By viewing the properties of a domain, you can see for instance the type of the domain and select a default representation for the domain. Furthermore, you can also see by which maps and and in which tables this domain is used. Optionally, you can create a new attribute table for a class or ID domain, or link an existing attribute table to a class or ID domain.

For more information on the key role of domains within ILWIS, refer to Appendices : Relations between ILWIS objects.

Overview of domain types:

ID | used for data objects which contain unique identifiers (e.g. plot 1024, plot 1025).
Class | used for data objects which contain classes (e.g. soil units: clay, sandy loam).
Value | used for data object which contain measured, calculated or interpolated values (e.g. height, concentration). Available as system domain Value and others, but you can also create your own value domains.
Image | for satellite images containing values between 0 and 255. Available as system domain Image.

Bit | system domain Bit is available for raster maps and columns that have to store values 0 and 1.
Bool | used for data objects which contain only 2 classes or values (e.g. "True" and "False") and undefined values. Available as system domain Bool and system domain YesNo, but you can also create your own bool domains.
Byte | system domain Byte is available for images in which you wish to regard 0 as undefined.
Picture | for raster maps which contain merely colors (Red, Green, Blue); the pixels have no meaning e.g. color composites.
Color | for raster maps that are stored in 24-bit colors (256 x 256 x 256 colors).
Group | used to classify or slice a value map; a domain group contains upper value boundaries and output class names.
String | system domain String is available for columns that contain text.
None | system domain None is available for tables in which the records do not store information on a map.
Binary | system domain Binary is for internal use only.

Available system domains:

The following domains are system domains, available in the ILWIS\SYSTEM directory:

  • For values, including undefined:

    • system domain Value, system domain Distance, system domain Count, system domain Min1to1, system domain NILto1, system domain Perc, system domain Byte;

  • For satellite imagery:

    • system domain Image; system domain NOAA, system domain Radar;

  • For Boolean values and undefined:

    • system domain Bool, system domain YesNo;

  • For Boolean values and no undefined:

    • system domain Bit (deprecated);

  • For the eight compass directions N (to the North), E (to the East), S, W, NE, SE, SW, NW; fixed domain for the output map of the Flow Direction operation:

    • system domain FlowDirection;

  • Other:

    • system domain String, system domain Color, system domain ColorCmp, system domain None, system domain Binary.

Limitations:

ID domains:

The maximum number of IDs in an ID domain is 9,999,999, i.e. almost 10 million. In practice, limitations may occur depending on available memory. ID names can have any length; the width to display IDs is set in the properties of the domain. Within ID names, the percentage sign % may not be used. Within ID codes, both percentage signs % and colons : may not be used.

Class/Group domains:

Class names can have any length; the width to display class names is set in the properties of the domain. Within Class names, the percentage sign % may not be used. Within Class codes, both percentage signs % and colons : may not be used.

Value domains:

When you use a value domain, values can either be stored as fixed point reals using 1, 2, or 4 bytes storage per pixel (max. 4 billion different values) or as floating point reals according to the 8 byte real IEEE standard.

Picture domains:

Maximum number of colors is 256.

See also:

How to create a domain

How to edit a domain

Domain Class/ID editor


ILWIS objects : representations

ILWIS objects

Representations

A representation defines the manner in which classes of a map with a class domain, a group domain or a picture domain, or the values of a map with a value domain or the image domain should be represented on the screen and on a printer.

A representation stores colors or ranges of colors for the classes in a class domain, or for specific values or ranges of values for the values in a value domain. Furthermore, for polygon classes, colors, hatching and patterns can be stored; for segment classes, colors, line types and line widths, etc. can be stored; and for point classes, colors, symbols, symbol sizes, etc. can be stored.

A representation is a service object for a domain, i.e. a domain uses a certain representation.

Maps with a Bool, the Bit, an ID, or the Color domain do not have a stored representation on disk:

  • For maps with a Bool domain or the Bit domain, you can interactively select colors in the Display Options dialog box of the map each time you display the map. You can set default colors for True and False values in the Preferences.
  • Maps with an ID domain can be shown in 7, 15, or 31 colors to inspect the map itself. In most cases however, you will display an ID map by one of its attributes as stored in the map's attribute table; to do so, select the Attribute check box in the Display Options dialog box of the ID map and select an attribute column.
  • Raster maps with the Color domain store colors in each pixel, so no representation is needed.

Furthermore, special options for point symbols available in the Display Options dialog box of a point map.

Tip:

You can always create a number of representations for a certain domain, for instance by clicking the create button [image] next to the Representation list box in the Display Options dialog box of a map. When you already have a number of representations, you can also select a suitable one in the map's Display Options dialog box.

Types of representations:

There are three types of representations:

  • representation class: for the classes in a class domain, the groups a group domain, or the items in a picture domain. For each class in the domain, a representation class contains: colors for mapping units in raster maps; colors, hatching or patterns for polygons; colors, line types, line widths, etc. or equally spaced symbols for segments; colors, symbol type, symbol sizes, etc. for points.
  • representation gradual: defines colors for ranges of values (as percentages) in any value map. Any map with a value domain can be displayed with any existing representation gradual. Examples of representations of type gradual are Gray and Pseudo.
  • representation value: defines colors for ranges of values (as values) in a value map when the map uses system domain Image (interactive slicing), a user-defined value domain (e.g. a Height domain), or a system value domain. You can create various value representations for an individual value domain.

Link between domains and representations:

A representation is linked to a domain. The domain of a map thus knows the default representation when the map is displayed. Furthermore, this ensures that:

  • All maps which use the same class domain (e.g. Landuse) will by default use the same representation class: these maps will thus by default be displayed in the same colors.

  • All maps which use the same value domain (e.g. Height) will by default use the same representation value: these maps will thus by default be displayed in the same colors.

The default representation for a domain can be viewed in the Properties of a domain.

  • In the Property sheet of a Class domain or a user-defined value domain, you can also change the default representation for the domain or create a new default representation for the domain;
  • For system domains, which are read-only, the default representation is fixed.

Tips: You can always create/select other representations that fit the domain of a map:

  1. For maps that use a Class domain:
    • Select or create another default representation Class in the Property sheet of the Class domain;
    • Select or create another representation Class in the Display Options dialog box of a class map;

      • the selected or created representation will automatically be the new default representation for the Class domain.

  2. For maps that use a user-defined value domain:
    • Select or create another default representation Value in the Property sheet of the user-defined value domain;
    • Select or create another representation Value in the Display Options dialog box of the value map;

      • the selected or created representation Value will automatically be the new default representation for the user-defined value domain.

    • Select one of the system representations Gradual in the Display Options dialog box of the map;

      • a selected representation Gradual will never become the new default representation for a value domain.

  3. For maps that use a system value domain:
    • Select or create another representation Value in the Display Options dialog box of the value map;

      • the selected or created representation Value cannot become the new default representation for a system value domain, as system domains are read-only.

    • Select one of the system representations Gradual in the Display Options dialog box of the map;

      • a selected representation Gradual will never become the new default representation for a value domain.

Finally, to permanently link a certain representation to a certain user-defined domain, you can make the domain read-only in the Domain Properties.

Names of representations:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a representation:

1. Creating a representation class:

When creating a new class or group domain, a representation class is automatically created with default colors; these can of course be edited.

The easiest way to create another representation class for a map with a class, group or picture domain, is to click the create button [image] in the Display Options dialog box of the map. Then, through the Create Representation dialog box, a new representation class will be created for the domain that is used by the map. Subsequently, the Representation Class editor will be opened.

In the Representation Class editor, choose whether you want to adapt the representation for the raster form, the polygon form, the segment form or the point form. Then, edit the colors, etc. of each class for instance by double-clicking individual classes. You can also select multiple classes and choose Edit Multiple Items from the Edit menu to assign one color or a smooth range of colors to the selected classes.

2. Creating a representation value:

When creating a new value domain, a representation value is not automatically created. You can always show a map with a value domain with an existing representation gradual, e.g. Pseudo.

The easiest way to create a representation value for a map with a value domain is to click the create button [image] in the Display Options dialog box of the map. Then, through the Create Representation dialog box, a new representation value will be created for the domain that is used by the map. (For maps which use system domain Value, you can clear the Use Percentages check box in the Create Representation dialog box to create a representation value.) Subsequently, the Representation Value editor will be opened.

In the Representation Value editor, you can insert limits, i.e. boundary values for a representation value, you can choose or create a color for each limit, and you can indicate whether to stretch between the limits or to use the color of the upper of lower boundary.

3. Creating a representation gradual:

When you click the create button [image] in the Display Options dialog box of a map which uses system domain Value, and when, in the Create Representation dialog box, you select the Use Percentages check box, a new representation gradual will be created with default colors. The Representation Gradual editor is opened.

In the Representation Gradual editor, you can insert limits, i.e. boundary percentages for a representation gradual, you can choose or create a color for each limit, and you can indicate whether to stretch between the limits or to use the color of the upper of lower boundary.

Tip:

When a map (e.g. Map1) is currently using system domain Value, but when a more clearly defined value domain would be more appropriate, for instance because a user-defined value domain can have a certain default representation value (which will ensure that the map will by default display in 'correct colors'), you have to change the domain of the map with system domain Value to a user-defined domain:

  • Perform a simple mapcalc statement like Map2 = Map1 ;
  • Create a new value domain in the Raster Map Definition dialog box by clicking the create domain button;
  • Then display Map2 and in the map's Display Options dialog box, click the create representation button. You have created a representation value and you can assign colors to specific values in the map.

For more information, see How to change the domain of a map.

4. Other ways to create representations:

Furthermore, you can create a representation through the File menu of the Main window, by double-clicking the New Representation item in the Operation-list, or via the Properties dialog box of a domain. For more information, see How to create a representation.

To view and edit a representation:

To edit an existing representation, you can for instance double-click a representation in the Catalog. When a map is displayed in a map window, you can also open the Edit menu in the map window and choose Representation. Depending on the type of representation you selected, the Representation Class editor or the Representation Value/Gradual editor is opened. For more information, see How to edit a representation or the respective editors.

Advanced users may wish to open and/or edit a representation class as a table. For more information, see How to open objects as a table. System representations and read-only representations cannot be edited.

Technical information:

A representation consists of an ASCII object definition file (.RPR); in case of a representation class also a binary data file (.RP#) is available. The object definition file has no further references to other objects.

By viewing the properties of a representation, you can see for instance the type of the representation and you can find out to which domain the representation is linked. A representation is a property of a domain.

A representation class stores, for each class in the domain:

  • a color (raster form);
  • a color, hatching or pattern (polygon form);
  • a color, a line type (e.g. single, double, triple, dot, dash dot, blocked), line width, optional support line, optional background color for the support line, and a symbol font and a symbol when a line should be represented by symbols (segment form);
  • symbol type, symbol, size, line width, color, fill color, rotation (point form).

Advanced users may wish to open and edit a representation class as a table.

A representation gradual stores:

  • limits, i.e. boundary values as percentages of the values in the domain,
  • a color for each limit,
  • for each range of percentages in between two limits, whether to stretch colors or to use the color of the upper of lower boundary (slice), and
  • when you stretch the colors in between two limits: the number of steps to be used for stretching.

A representation value stores:

  • limits, i.e. boundary values as values of the domain,
  • a color for each limit,
  • for each range of values in between two limits, whether to stretch colors or to use the color of the upper of lower boundary (slice), and
  • when you stretch the colors in between two limits: the number of steps to be used for stretching.

System representations:

The following system representations are representations gradual:

Blue | From black to blue in 16 stretch steps.
Clrstp6 | Six times from black to a color (6 colors between blue to red), each time in 8 stretch steps.
Clrstp8 | Eight times from black to a color (8 colors between blue to red), each time in 8 stretch steps.
Clrstp10 | Ten times from black to a color (10 colors between blue to red), each time in 8 stretch steps.
Clrstp12 | Twelve times from black to a color (12 colors between blue to red), each time in 8 stretch steps.
Cyan | From black to cyan in 16 stretch steps.
FineGray | From black to white in 60 stretch steps.
Gray | From black to white in 30 stretch steps. Default representation for system domain Image, and for the system domains Byte, Count, Min1to1, NOAA, Perc and Radar.
Green | From black to green in 16 stretch steps.
Inverse | From white to black in 30 stretch steps.
Magenta | From black to magenta in 16 stretch steps.
Pseudo | From blue to green to red in 6 x 9 stretch steps. Default representation for system domain Value and system domain Distance.
Red | From black to red in 16 stretch steps.
Yellow | From black to yellow in 16 stretch steps.

The following system representation is a representation value:

NILto1

Designed for SMCE standardized maps that have values between 0.00 and 1.00;

  • from red (0.00) to yellow (0.50) in 10 stretch steps, and
  • from yellow (0.50) to green (1.00) in 10 stretch steps.

Default representation for system domain NILto1.

The following system representations are representations class:

ColorCmp

Designed for output raster maps of the Color Composite operation created with the Standard option; 216 colors.

FlowDirection

Designed to display the eight compass directions N, NE, E, SE, S, SW, W, NW, W; default representation for maps using system domain FlowDirection.

Output maps of the Flow Direction operation always use system domain FlowDirection and are therefore by default displayed with the FlowDirection representation.

Note:

System representations cannot be edited, but you can always create a new representation, for instance by clicking the Create button [image] next to the Representation entry in a map's Display Options dialog box. For more information, see sections 2 and 3 on creating representations above.

See also:

How to create a representation

How to edit a representation

Representation Class editor : functionality

Representation Value/Gradual editor : functionality


ILWIS objects : georeferences

ILWIS objects

Georeferences

A georeference defines the relation between rows and columns in a raster map and XY-coordinates. The location of pixels in a raster map is thus defined by a georeference. It is advised that raster maps of the same area use the same georeference. A georeference uses a coordinate system which may contain projection information. Polygon, segment and point maps merely use a coordinate system. A georeference is a service object, usually for several raster maps.

Georeference types:

There are five main types of georeferences:

  • georeference corners: a North-oriented georeference to be used during rasterization of vector data or as the North-oriented georeference to which you want to resample maps;
  • georeference tiepoints: a non-North-oriented georeference to add coordinates to a satellite image or to a scanned photograph, a scanned map, etc. without using a DTM;
  • georeference direct linear: to add coordinates to a scanned photograph while using a DTM;
  • georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters;
  • georeference 3D: to create a three dimensional view of maps.

Tip:

For a correct behaviour of a georef direct linear, and a georef orthophoto, it is essential that you have marked the 'Interpolation' check box in the Properties dialog box of your DTM raster map. For more information, refer to the Raster Map Properties dialog box.

Furthermore, system georeference None is available for raster maps that do not have coordinates.

Other types of georeferences are obtained when performing an operation on raster maps:

  • georeference factor: created by the Aggregate map and the Densify operation;
  • georeference mirrorrotate: created by the MirrorRotate operation;
  • georeference submap, submapcorners or submapcoords: created by the Sub-map of raster map and the Glue raster maps operation;
  • georeference differential: created by the Variogram surface operation (defined internally, i.e. not available on disk);
  • georeference scale_rotate: created by the Epipolar stereo pair operation for the output maps of the stereo pair.

General use of georeferences:

When a raster map has a georeference, you can:

  • inspect coordinates at the position of the mouse pointer in a map window, at the status bar;
  • retrieve information at the position of the mouse pointer in a map window from other maps, i.e. functionality of the pixel information window;
  • inspect the pixel size of raster maps in meters;
  • check if raster maps fit on top of each other (requirement for MapCalc and Cross);
  • overlay vector data on raster maps;
  • rasterize vector data to raster maps;
  • resample raster data which uses a particular georeference to another georeference; create an orthophoto from a scanned aerial photograph which has a georef orthophoto by resampling it to a georef corners;
  • screen digitize on satellite images or on scanned photographs which have a georef tiepoints; screen digitize on scanned photographs which have a georef direct linear; monoplot on scanned aerial photographs which have a georef orthophoto.

A map window also uses a georeference. When the map window displays a raster map, this is the georeference of the raster map. When a map window only displays vector data, an internal georeference is used that is created from the coordinate system and coordinate boundaries of the vector maps.

Names of georeferences:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

Tip:

To view which georeference is used by a raster map, check the properties of the raster map.

To create a georeference:

A georeference can be created:

  • during rasterization, click the create georeference button in a Rasterize dialog box; the Create Georeference Corners dialog box will appear; you can create a georef corners.
  • when a satellite image, a scanned photograph, or a scanned map is displayed in a map window, choose the Create Georeference command from the File menu of the map window; the Create Georeference (in map window) will appear; you can create a georef tiepoints, a georef direct linear or a georef orthophoto.
  • when you want to create a 3D view of your study area, start the Display 3D operation, and click the create georeference button in the dialog box; the Create Georeference 3D dialog box will appear; you can create a georef 3D.

Other general ways to create a georeference are:

  • by choosing the Create Georeference command on the File menu of the Main window,
  • by double-clicking the New Georef item in the Operation-list,
  • by opening the Properties dialog box of a raster map: click the Edit button in the Properties dialog box and click the create button in the subsequent Edit Properties dialog box.

For more information, refer to How to create a georeference, How to add coordinates to an image, How to screen digitize, How to monoplot, How to create an orthophoto or How to create a 3D view.

To view or edit a georeference:

You can view and edit a georef corners, a georef tiepoints, a georef directlinear, a georef orthophoto and a georef 3D. The easiest way to edit a georeference is to double-click a georeference in the Catalog. When a raster map which has a georeference is displayed in a map window, you can also open the Edit menu in the map window and choose Georeference.

Depending on the type of georeference you open (or the georeference which is used by the raster map in the map window), a dialog box will appear or an appropriate editor will be opened:

  • for a georef corners: the Edit Georeference Corners dialog box will appear;
  • for a georef tiepoints, a georef direct linear, or a georef orthophoto: the Tiepoint editor will be opened. When editing a georef orthophoto, the Locate Fiducial Marks dialog box will appear first;
  • for a georef 3D: the Display Options - 3D Grid dialog box appears, in which you can specifying how the 3D view should be displayed in the map window. When the 3D view is displayed in a map window, you can select the Georeference command from the Edit menu of the map window to edit the georeference 3D. The Georeference 3D editor is started.

For more information, see How to edit a georeference.

A georef factor, a georef mirrorrotate or a georef submap cannot be edited. Information on these georeferences can be found in their properties dialog box.

Advanced users may wish to open a georef tiepoints, a georef directlinear or a georef orthophoto as a table. For more information, see How to open objects as a table.

Tip:

To have a raster map use another georeference that the current one, perform the Resample operation.

Technical information:

A georeference consists of an ASCII object definition file (.GRF); in case of a georef tiepoints, a georef direct linear or a georef orthophoto, also a binary data file (.GR#) is available. The object definition file contains further references to:

  • the coordinate system that is used by the georeference;
  • in case of a georef tiepoints, georef direct linear or a georef orthophoto, the background map on which tiepoints are positioned;
  • in case of a georef direct linear or a georef orthophoto, the DTM from which height values should be obtained.

These are properties of a georeference.

By viewing the properties of a georeference, you can see for instance the type of the georeference and find out which raster maps are using this georeference. By clicking the Additional Info button in the Properties dialog box of a georef tiepoints, a georef direct linear or a georef orthophoto, you will get extra information on transformation or orientation results.

Georeference None:

System georeference None is available for raster maps that do not have coordinates.

Georeference corners:

Stores minimum and maximum XY-coordinates, and whether these refer to the corners of the corner pixels or to the centers of the corner pixels.

Col = a1 X + b1

Row = a2 Y + b2

Georeference tiepoints:

Stores a set of tiepoints in RowCol and XY-coordinates and a transformation method. Parameters are found by a least squares method. Height values are not taken into account. Available transformation methods and their formulas are:

Conformal: | minimum of two tiepoints required; Col = aX + bY + c1 Row = bX - aY + c2
Affine: | recommended for satellite images; minimum of three tiepoints required; Col = a11X + a12Y + b1 Row = a12X + a22Y + b2
Second order bilinear: | minimum of 4 tiepoints required; Col = a1 + b1X + c1Y + d1XY Row = a2 + b2X + c2Y + d2XY
Full second order: | minimum of 6 tiepoints required; Col = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 Row = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2
Third order: | minimum of 10 tiepoints required; Col = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 + g1 X3 + h1 X2Y + i1XY2 + j1 Y3 Row = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2 + g2 X3 + h2 X2Y + i2XY2 + j2 Y3
Projective: | recommended for normal camera, i.e. small format, photographs; conventional rectification; minimum of 4 tiepoints required; Col = (aX + bY + c) / (gX + hY +1) Row = (dX + eY + f) / (gX + hY + 1)

Georeference DirectLinear:

Recommended for normal camera, i.e. small format, photographs when a DTM is available; also corrects for tilt and relief displacement; Direct Linear Transformation (DLT). Stores a set of tiepoints in RowCol and XYZ-coordinates. Height values can be supplied by the user, otherwise these are obtained from the DTM. Outer orientation parameters, i.e. camera position (X0, Y0, Z0) and camera axis angles (a, b, g) are calculated from the tiepoints. Minimum of 6 tiepoints required; tiepoints must not be co-planar, i.e. the tiepoints should not be on a (tilted) plane.

Row = (aX + bY + cZ + d) / (eX + fY + gZ +1)

Col = (hX + iY + jZ + k) / (eX + fY + gZ +1)

For more information, see also ILWIS objects : georeference Direct Linear.

Georeference OrthoPhoto:

Recommended for photogrammetric camera aerial photographs when a DTM is available; also corrects for tilt and relief displacement; Differential rectification. Stores fiducial marks, principal distance, and a set of tiepoints in RowCol and XYZ-coordinates. Height values can be supplied by the user, otherwise these are obtained from the DTM. The user needs to specify fiducial marks and principal distance; from this the principal point is calculated (inner orientation). Camera position (X0, Y0, Z0) and angles (k, f, w) are calculated from the tiepoints (outer orientation). Minimum of 3 tiepoints required.

Georeference 3D:

Stores a number of 3D view parameters: view point, location height, scale height, horizontal and vertical rotation, distance, view angle.

Georeference factor:

Stores a factor of the pixel size of another raster map and horizontal and vertical offset of another raster map.

Georeference mirrorrotate:

Stores whether another georeference is mirrored horizontally, vertically, diagonally or is transposed, or rotated 90, 180, or 270°.

Georeference (1) submap, (2) submapcorners, (3) submapcoords:

Stores (1) start line and column, and number of lines and columns of input georeference, (2) start line and column, and end line and column of input georeference, or (3) start coordinate, and end coordinate of input georeference.

Georeference differential:

Stores lag spacing and number of lags. Origin in the center. Stores in fact differences of coordinates of point pairs or pixel pairs. Internally defined, not available on disk. Uses a coordinate system differential.

Georeference scale-rotate:

Stores for each input map of the stereo pair, the parameters needed for resampling in order to create the output maps of the stereo pair. This includes for each input map: position of principal point, position of transferred principal point, position of optional scaling points; from this the rotation and optional scaling factor for resampling are calculated. Furthermore, the georeference of an input map may be stored.

See also:

How to create a georeference

How to edit a georeference

Georeference tiepoints editor

Georeference 3D editor


ILWIS objects : georeference Direct Linear (non-coplanarity of tiepoints)

ILWIS objects

Georeference Direct Linear (non-coplanarity of tiepoints)

It is recommended to create a georeference direct linear when:

  • you have small format photographs, i.e. photographs taken with normal camera and photographs without fiducial marks,
  • the terrain covered by the photograph has clear height differences, i.e. you need to correct for tilt and relief displacement,
  • a Digital Terrain Model (DTM) of the area is available.

By creating a georef direct linear and displaying the photograph, you can for instance directly digitize on the displayed non-rectified photograph on your screen. For more information, see How to screen digitize.

Tips:

  • For photographs that cover an almost flat terrain, you can use a georeference tiepoints with a projective transformation.
  • For photographs that have fiducial marks, you should use a georeference orthophoto.

General information on a georeference direct linear:

  • A georef direct linear is calculated by a Direct Linear Transformation (DLT):

    • Row = (aX + bY + cZ + d) / (eX + fY + gZ +1)

    Col = (hX + iY + jZ + k) / (eX + fY + gZ +1)

  • A georef direct linear requires at least 6 tiepoints (also called control points). For each tiepoint, RowCol numbers from the photograph and real world XY-coordinates are stored. Height (Z) values can be supplied by the user, otherwise these are obtained through the XY-coordinates from the DTM.
  • The flying height, the camera projection center (X0, Y0, Z0), the camera axis angles (a, b, g) with the X, Y, Z axes are calculated from the tiepoints.

Avoiding coplanarity:

In a georeference orthophoto, the inner orientation calculates the principal point from the fiducial marks and the principal distance. Then, camera position (X0, Y0, Z0) and angles (k, f, w) are calculated from the tiepoints (outer orientation).

In a georeference direct linear, there is no inner orientation; the principal point thus remains unknown. The location (X0, Y0, Z0) and the tilt of the camera are calculated from the tiepoints only.

  • When all tiepoints in your georef direct linear fit in one (tilted) plane in XYZ-direction, a projection center cannot be calculated and you will get an error message that you have a singular matrix. Your tiepoints are coplanar. The matrix will remain singular when only one tiepoint is outside the common plane.
  • When the tiepoints almost fit in one plane, i.e. when tiepoints are almost coplanar, then the Direct Linear Transformation seems to work but is not reliable.

A georeference direct linear has the highest accuracy within the 3D envelop bounded by the tiepoints; thus the better the XYZ spread of tiepoints, the better the transformation will work. To obtain a reliable georeference direct linear, it is necessary that (at least) 2 tiepoints clearly deviate in Z-direction from a (tilted) plane that can be fit by means of a least squares approximation through the active tiepoints.

Examples:

  • When your photograph covers a valley with hills or mountains on either side of the valley, then position your control points both in the valley and on both sides of this valley in the hills or mountains;
  • When your photograph covers many valleys and hills, then position your tiepoints in a number of valleys and on a number of hills.

Tips:

  • It is always a good idea to find many reliable tiepoints. The more tiepoints you have, the better a georeference will be.
  • Make sure that tiepoints are well spread over the photograph (XY-direction), that the tiepoints use different height values in your DEM (Z-direction). The Z-values of at least 2 tiepoints need to be outside a tilted plane that can be fit through all active tiepoints.
  • The results of a Direct Linear Transformation are most reliable inside the 3D envelop bounded by the tiepoints. For positions far away from any tiepoint (e.g. borders of photograph), and for areas where the difference between the DEM-value and the calculated plane is significantly greater than the Z-confidence value (see below), results will not be reliable.

Detecting coplanarity:

You may have a problem with coplanar tiepoints when you use a georeference direct linear and during screen digitizing you notice a shift between the location of the segments or points which you were digitizing and the location where these digitized segments and points are appearing in the photo on the screen.

By opening the Properties dialog box of a georeference direct linear and by clicking the Additional Info button in the Properties dialog box, you can find for instance:

  • the number of active tiepoints;
  • the Root Mean Square (RMS) of the vertical Z-differences of all active control points towards a tilted plane that is the result of a least squares fit through all control points;
  • the 2 tiepoints that are found to be the outliers (O1 and O2); these are the tiepoints with the largest vertical Z-differences towards the tilted plane;
  • the geometric mean of the vertical distances d1 and d2 of these outliers towards the tilted plane is called the Z-confidence range; this is an estimate for the reliable Z-range above and below the tilted plane; this is calculated as Ö(d1*d2).

For your information, Additional Info also shows the Direct Linear Transformation equations, the estimated camera projection center, the camera axis angles with respect to the X, Y, Z axes, and the calculated approximate pixel size in the photograph.

In a georeference direct linear without coplanar tiepoints, both the Root Mean Square value and the Z-confidence range are large. The theoretical maximum RMS is about half the range of height values in your DTM.

In a georeference direct linear with almost coplanar tiepoints, the Z-differences of all control points towards the calculated XYZ plane are very small, also the RMS and Z-confidence range are small.

In case of almost coplanar tiepoints, the transformation may even give an estimated camera projection center below the ground (or below the average Z-coordinate of the active control points). Obviously, the transformation will then give completely wrong results.

Technical information

Introduction

Direct Linear Transformation (DLT) as used in an ILWIS 'GeoRefDirectLinear' is based on solving 2 equations between Row,Col pairs in a given (scanned) photo and X,Y,Z coordinates of corresponding ground control points (in meters):

Rowi = (aXi + bYi + cZi + d) / (eXi + fYi + gZi +1) | (Eq. 1)
Coli = (hXi + iYi + jZi + k) / (eXi + fYi + gZi +1) | (Eq. 2)

There are 11 parameters to be solved (a, b ... k), the so-called DLT-coefficients.

In ILWIS this is done by reformulating (Eq. 1) and (Eq. 2) as linear equations with these coefficients as unknowns:

Xi*a + Yi*b + Zi*c + d + Xi*Rowi*e + Yi*Rowi*f + Zi*Rowi*g + Rowi = 0 | (Eq. 1a)
Xi*h + Yi*i + Zi*j + d + Xi*Coli*e + Yi*Coli*f + Zi*Coli*g + Coli = 0 | (Eq. 2a)

The unknowns can be solved if we have 6 or more control points, giving 12 or more linear equations, that can be solved, unless the points are co-planar (see below).

After solving the DLT coefficients, the position of the aerial camera can be estimated from the intersection of 3 planes in space given by linear equations in terms of ground coordinates:

a X + b Y + c Z + d = 0 | (Eq. 3)
h X + i Y + j Z + k = 0 | (Eq. 4)
e X + f Y + g Z + 1 = 0 | (Eq. 5)

The plane defined by equation (Eq. 5) is parallel to the photo plane and passes through the projection center (PC) (assuming a perfect central projection). It intersects the ground at points that do not appear in the photograph (projected at 'infinity').

The planes defined by (Eq. 3) and (Eq. 4) pass through the projection center and the lines in the photo where (reduced) values of Row and Col resp. are equal to 0.

Furthermore, the knowledge of the DLT coefficients a, b ... k, enables the forward transformation (from XY to RowCols) using (Eq. 1) and (Eq. 2); this is the photographic central projection from ground (3D) to photo plate (2D).

The inverse transformation (from RowCol to XY) is more complicated (from 2D to 3D) and only possible with the use of a complete DTM of the ground.

It is possible to assume the Z-coordinate (say Z1 ) for a point in the ground system associated to a photo point (given as RowCol), and solve the remaining unknowns X and Y. These are the coordinates of the piercing point of a corresponding light-ray with the horizontal level-plane Z = Z1.

The DTM is then used to improve the initial guess of the Z-coordinate. Improving the X,Y estimation is done iteratively with the help of the position parameters of the light-ray (slope cotangents with X and Y -axes and start X1,Y1 of piercing point). The iterative algorithm to find the piercing point of each light-ray is the main part of the inverse DLT.

This is very similar to what is implemented for the Georeference Orthophoto.

The accuracy of the two georeference transformations (forward and inverse) of the Georeference DirectLinear highly depends on the quality of the DLT coefficients. How well the DLT performs the transformation for the given control points is visible in the value of sigma. Apart from the horizontal XY spread of the control points, it mainly depends on co-planarity properties of the control points.

This is in contrast to the transformation used in a Georeference Orthophoto. In a Georeference Orthophoto, the quality of the transformation mainly depends on the quality of the inner orientation (camera and photo geometry) and the outer orientation (using at least 3 control points).

In both 3D georeferencing methods the quality of the transformation also highly depends on the quality of the underlying DTM.

Recalling the main use of the transformations:

The forward transformation (XY to RowCol) is needed for:

  • Overlaying the non-rectified photomap with vectors (points, segments, grid, graticule, polygons);
  • Resampling from the 'photo'-georef to a GeorefCorners (rectification while making orthophotos and mosaicking).

The inverse transformation (RowCol to XY) is needed for:

  • Getting pixel info from vector maps that are overlaid on the non-rectified photo;
  • Screen digitizing on the non rectified background photo.

Coplanarity

Ground control points can be co-planar, i.e. lie in one (possibly non-horizontal) plane, even if the terrain is very mountainous. When this is the case, the computation of the DLT- coefficients is impossible because Z is a linear function of X and Y; for each control point: Z = rX + sY + t. This makes the DLT-coefficients 'triple-wise' linearly dependent: (a, b, c), (h, i, j) and (e, f, g) each have one redundant unknown, see Eq. 3, Eq. 4, Eq. 5.

The systems of equations like (Eq. 1a)and (Eq. 2a) only allow to solve 8 independent coefficients out of the 11, no matter how many (coplanar) control points are used. In other words, the rank of the normal equations found from an over-determined collection of equations of types (Eq. 1a) and (Eq. 2a) will be at most 11 - 3 = 8, i.e. the column rank of the matrix of this collection. The loss of rank is caused by vanishing columns related to the unknowns d, k and g because their coefficients contain Z. Hence the system of normal equations (11 by 11) will be singular.

To raise its rank above 11, one needs 2 control points outside a common plane of the others. One 'outsider' together with at least 4 points inside a plane would bring the rank up to 10, making still a singular normal matrix.

Conclusion: to solve the DLT coefficients one needs at least 6 control points and such that 2 are not coplanar with the others.

If the ground control points are nearly co-planar, the system will be ill-conditioned.

This means: small perturbations (errors) in ground control coordinates or RowCol identification in the photo will cause large perturbations in the DLT coefficients. These perturbations will not much influence the sigma value displayed in the editor window of the tiepoint table. This sigma tells how well the transforms of the control points coordinates match with their photo coordinates, but not how good this transformation works in areas lying outside the region enclosed by the ground control points.

The DLT errors in turn will cause errors in the position of the projection center and in the mentioned light-ray parameters which are used in the inverse DLT. Even if control-points were error-free (both in terrain and photo system), in case of near-coplanarity, the DLT would be unreliable for points away from the control points despite of a low sigma value of these control points especially for terrain points far above or below the coplanar 'trend' plane.

Other factors that influence the errors due to near-coplanarity are:

  • spread of the control points in terms of X,Y coordinates;
  • the random (measurement) error in the control points in both systems;
  • the flying height found by the relative positions of the planes of Eq. 3, Eq. 4 and Eq. 5.

Non-coplanarity

As a general rule, one can say that the DLT transformation and its inverse are reliable inside the convex hull of the control points. This hull is defined as the smallest convex polyhedron one can construct around a (3D-) collection of points. A polygon (in 2D) or a polyhedron (in 3D) is called convex if each pair of inside points can be connected by a straight line that lies completely inside the polygon cq. polyhedron.

Practically speaking, if one wants to be sure that the Georeference Direct Linear is reliable for the whole region of interest, one needs to use control points which convex hull englobes the complete region, also with respect to Z coordinates (heights).

For instance, when all control points are located in valleys and are nearly coplanar, the points will not produce a good transformation for points lying far above this common plane.

One way to quantify non-coplanarity is using RMS (root mean square). It is computed after fitting a plane ('trend' plane) through the control points by means of a least squares approximation. The vertical distances between the control points and the plane (Z-differences) are squared, added and divided by n, the number of points. The non-coplanarity is defined as the square root of this result. It is expressed in terrain units (generally meters). Its theoretical maximum (optimum) equals about half the range of the DTM height-values.

For another quantification of non-coplanarity, especially for the 2 necessary outliers, we can find what is called in ILWIS a confidence range of the Z-values. First of all, the outliers, defined as the control points having the largest Z-deviation from the earlier mentioned trend plane need to be found. The 2 vertical distances d1 and d2 of the outliers towards the trend plane are calculated. The geometric mean of d1 and d2 is an estimate for the reliable Z range below and above the trend plane. This is called the Z-confidence Range in Additional Info. It is a measure of the thickness of the convex hull of control points.

If a point to be transformed is at a vertical distance d from the average control point position and if r stands for the earlier defined Z-confidence Range, the ratio d/r gives an idea about the transformation error to be expected.

If d/r < 1 , one might expect errors similar to those in the control points themselves (sigma).

If d/r >> 1 , the point is likely far beyond the convex 'control' hull and the error will increase with the increase of d/r.

The values of r and d can be found c.q. derived from the Additional Info that is delivered after creation or modification of a Direct Linear georeference. In this Additional Info one can find also the DTM height difference of all control points with respect to the trend plane.

Finally one finds information on the computed camera orientation: its distance above the nadir point, its distance from the centroid of the control points and the orientation of the camera axis. If the distances turn out to be negative or too small, the user should conclude that the transformation is not well determined due to errors in the control point coordinates or due to (quasi-)coplanarity.

How the real stochastic error behavior is, inside and outside the convex hull, also strongly depends on the XY spread of the control points with respect to each other and the rest of the terrain, and on variance-covariance models of the observations.

This is beyond the scope of this analysis.

References:

K.G. Grabmaier, Orientation Theory, ITC Lecture Notes.

See also:

ILWIS objects : georeferences

Georeference editor : functionality

How to screen digitize


ILWIS objects : coordinate system

ILWIS objects

Coordinate system

A coordinate system contains information on the kind of coordinates you are using in your maps; you may for instance use user-defined coordinates, coordinates defined by a national standard or coordinates of a certain UTM zone. A coordinate system defines the possible XY- or LatLon-coordinates that can be used in your maps.

Point, segment and polygon maps always have a coordinate system. Raster maps have a georeference which uses a coordinate system. A coordinate system is a service object for point, segment and polygon maps, and for georeferences of raster maps.

In ILWIS, XY-coordinates are supposed to be in meters and the 90° angle between the positive X-axis and the positive Y-axis is counter-clockwise.

Coordinate system types:

There are five main types of coordinate systems:

  • coordinate system boundary only: to define XY-coordinates for maps by only specifying the boundaries of your study area. This type of coordinate system should only be used when you are sure that you will not use projections at all; furthermore, maps using a coordinate system boundary only, cannot be transformed into any other coordinate system.
  • coordinate system projection: to define XY-coordinates for maps by specifying the boundaries of your study area and when you want to have the possibility to add projection information, ellipsoid information and/or datum information. You can add the projection information later on or right away. Maps with different coordinate systems and different projections can be transformed into one another.
  • coordinate system latlon: to define LatLon-coordinates for maps by specifying the boundaries of your study area in Latitudes and Longitudes and when you want to have the possibility to add ellipsoid information and/or datum information. You can add the ellipsoid information and/or datum information later on or right away.

    • Coordinate systems of type latlon are suitable to store data; for display and/or printing purposes (map view and layout), it is advised to use a coordinate system of type projection in a map window.

  • coordinate system formula: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you know the relation between the two coordinate systems. You can create a coordinate system formula for maps with artificial coordinates, i.e. starting at (0,0) or digitized in millimeters. The coordinate system formula uses a 'related' coordinate system; this is the coordinate system with correct coordinates. When you have defined the formula and when the map with artificial coordinates uses the newly created coordinate system formula, then you can transform the map to the correct coordinate system.
  • coordinate system tiepoints: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you do not know the relation between the two coordinate systems. You can create a coordinate system tiepoints for maps with artificial coordinates, i.e. starting at (0,0) or digitized in millimeters. The coordinate system tiepoints uses a 'related' coordinate system; this is the coordinate system with correct coordinates. When you have specified the tiepoints and transformation method, and when the map with artificial coordinates uses the newly created coordinate system tiepoints, then you can transform the map to the correct coordinate system.

Furthermore, two coordinate systems are available in the \SYSTEM directory:

  • coordinate system Unknown: when you do not care about coordinates.
  • coordinate system LatLon: when you obtained raster or vector data which are supposed to use LatLon-coordinates on a sphere (world-wide).

Finally, a coordinate system differential (for a georeference differential) is internally defined by the Variogram surface operation; it is thus not available on disk. This coordinate system is incompatible with any other coordinate system.

General use of coordinate systems:

  • For general analysis purposes, it is advised to use one coordinate system for all your maps. This coordinate system should be wide enough to cover all X- and Y-coordinates that should be stored in your maps.
  • Coordinate systems enable you to transform vector maps from one coordinate system to the other. There are 3 possibilities:
    • When maps use a coordinate system projection or a coordinate system latlon and when this coordinate system actually contains projection, ellipsoid or datum information, then you can transform the map to any other coordinate system of type projection or latlon which contains projection, ellipsoid or datum information.
    • When maps use a coordinate system formula (which uses a related coordinate system with correct coordinates), then you can transform the map to the related coordinate system.
    • When maps use a coordinate system tiepoints (which uses a related coordinate system with correct coordinates), then you can transform the map to the related coordinate system.
  • A map window has the capability to transform vector maps on the fly or temporarily. When a point, segment or polygon map with a certain coordinate system is displayed in a map window, you can drag or add another coordinate system to the map window. If a transformation between both coordinate systems is possible, the map window will use the newly added coordinate system; the vector maps displayed by the map window will be shown in the new coordinate system, i.e. the maps are temporarily transformed.
  • When you use pixel information and the map is currently using one coordinate system, you can add another coordinate system to the pixel info window. When a transformation is possible between both coordinate systems, the pixel information window will also show you the coordinates in the new coordinate system. The pixel information window can also retrieve information from maps with another 'transformable' coordinate system.
  • The following maps can be displayed with a graticule:
    • maps which use a coordinate system projection with a projection,
    • maps which use a coordinate system latlon,
    • maps which use a coordinate system formula, where the related coordsys is a coordsys projection with a projection or a coordsys latlon,
    • maps which use a coordinate system tiepoints, where the related coordsys is a coordsys projection with a projection or a coordsys latlon.
  • When resampling raster maps from one georeference to another georeference which uses another coordinate system, then a transformation is automatically performed.

Tip:

When you receive data in different projections (and you have created correct coordinate systems with correct projections for these maps), it is advised to use the Transform operations to transform vector data from the current coordinate system into one other coordinate system, or to use the Resample operation to resample pixels of a raster map the current georeference into one other georeference (with another coordinate system).

Names of coordinate systems:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a coordinate system:

To create a coordinate system, you can select the Create Coordinate System command on the File menu of the Main window or double-click the NewCrdSys item in the Operation-list. The Create Coordinate System dialog box will appear: you can create any type of coordinate system.

When one or more vector maps which do not have correct coordinates yet are displayed in a map window, you can also select the Create Coordinate System command on the File menu of the map window. The Create Coordinate System (in map window) dialog box will appear: you can create a coordinate system formula or a coordinate system tiepoints.

Other ways to create a coordinate system are:

  • by clicking the create button [image] in the dialog box when creating a point, segment or polygon map, or a georeference,
  • by opening the Properties dialog box of a vector map: click the Edit button in the Properties dialog box and click the create button in the subsequent Edit Properties dialog box.

For more information, refer to the Create Coordinate System dialog box. It is advised that within one project, all maps use the same coordinate system.

To view or edit a coordinate system:

The easiest way to view and/or edit an existing coordinate system, is to double-click a coordinate system in the Catalog. When one or more raster and/or vector maps are displayed in a map window, you can also open the Edit menu in the map window and choose Coordinate System.

Depending on the type of coordinate system you open (or the type of coordinate system that is currently used by the map window), a dialog box will appear or an appropriate editor will be opened:

  • for a coordsys boundary only: the Edit Coordinate System Boundary Only dialog box will appear;
  • for a coordsys projection: the Edit Coordinate System Projection dialog box will appear;
  • for a coordsys latlon: the Edit Coordinate System LatLon dialog box will appear;
  • for a coordsys formula: the Edit Coordinate System Formula dialog box will appear;
  • for a coordsys tiepoints: the Coordinate System Tiepoints editor will be opened.

Of course, to open and edit a coordinate system, you can also click a coordinate system with the right mouse button in the Catalog and choose Open from the context-sensitive menu, use the Edit Object command on the Edit menu in the Main window, double-click the Edit item in the Operation-list, etc.

Tips:

  • To view which coordinate system is used by a georeference of a raster map or by a point, segment or polygon map, check the properties of a georeference or the properties of a point, segment or polygon map.
  • Advanced users may wish to open a coordinate system tiepoints as a table. For more information, see How to open objects as a table.

Technical information:

A coordinate system consists of an ASCII object definition file (.CSY); in case of a coordsys tiepoints also a binary data file (.CS#) is available. The object definition file stores the coordinate boundaries and, if available, projection information, a formula, etc.

By viewing the properties of a coordinate system, you can see for instance the type of the coordinate system, the boundary coordinates of the coordinate system, and find out by which vector maps and by which georeferences this coordinate system is used. For a coordinate system formula and a coordinate system tiepoints, also the related coordinate system is listed. Furthermore, for a coordinate system tiepoints, you can find the transformation results by clicking the Additional Info button.

See also:

Create coordinate system

Create a coordinate system (in map window)

Introduction on Projections

A projection defines the relation between the map coordinates (X,Y) and the geographic coordinates latitude and longitude (f, l).

The Earth's surface is curved, however in maps it is presented as a flat surface. Therefore, the display of an area on a map will always lead to some deformation or distortion; there is no 'perfect' projection. If you show only a small part of the Earth, like a town, the distortion will be almost insignificant. If, on the other hand, a map shows a continent, deformations and distortions will be a major problem. To correctly represent the curved Earth's surface on a flat map, you need a special projection. The geographic coordinates are converted to a metric coordinate system, measuring the X- and Y-directions in meters. Each projection has unique equations for the transformation from geographic to metric coordinates and vice versa.

Because of the earth's rotation, the shape of the earth is not a perfect sphere. The earth is flattened towards the poles: the equatorial axis (diameter of the equator circle) is longer than the polar axis. The shape of the earth can be represented by an ellipsoid, or as it is sometimes called, a spheroid (shapes that are generated by revolving an ellipsis around its minor axis). The choice of the ellipsoid which fits best a certain region of the earth surface to be mapped depends on the surface curvature and geoid undulations in that region. Hence every country has its own 'best fit' ellipsoid.

General characteristics of projections

Projection types:

Based on the shape of the projection surface, one can classify the projections in azimuthal, conical and cylindrical projections. Therefore, the cone or cylinder needs to be 'unrolled' to form a plane map.

1. | Cylindrical projections: Cylindrical projections may be imagined as the projection to a plane that is wrapped around the globe in the form of a cylinder (see Figure 1). After unrolling, the outline of the world map would be rectangular in shape; the meridians are parallel straight lines which cross at right angles by straight parallel lines of latitude. Together, these lines are called the 'graticule'. Examples: Mercator, Plate Carree.
 | Figure 1: Principle of cylindrical projections.
2. | Azimuthal projections: Azimuthal projections may be imagined as the projection on a plane tangent to the globe (Figure 2). The characteristic outline of the world map would be circular. If the pole is the central point, the meridians are straight lines, spaced at their true angles intersecting at this center point. Parallels are represented as concentric circles. Examples: Gnomonic, Stereographic.
 | Figure 2: Principle of azimuthal projections.
3. | Conical projections: Conical projections may be imagined as the projection to a plane that is wrapped like a cone around the globe (Figure 3). After unrolling the outline of the world would be fan shaped. The meridians are represented as straight lines and parallels as concentric circles. Only the parallels where the cone touches the globe have the same length as on earth.
 | Figure 3: Principle of conical projections.

Aspect:

Furthermore, projections can be subdivided according to the direction in which a cylinder, plane or cone is oriented with respect to the globe, the so-called aspect. In the text above, it is assumed that the projection only touches the Earth. However, it is also possible to use a secant cylinder, plane or cone which intersects the sphere. Figures 4, 5, and 6 show some aspect types for different types of projections.

  • For cylindrical projections a normal aspect is a cylinder that touches the equator. A transverse aspect is a cylinder that touches a pair of opposite meridians.
  • Similarly the normal and secant aspects of azimuthal projections can be visualized.
  • The aspect may also be oblique; in that case the cylinder, plane or cone is not horizontally or vertically oriented, but something in between.

Fig 4: Different aspects for cylindrical projections.

Fig. 5: Different aspects for azimuthal projections.

Fig 6: Different aspects for conical projections.

Projection characteristics:

As mentioned before a map projection always results in some deformation or distortion. Depending on the type of projection, these distortions will be different. This is indicated by the characteristics of a projection:

  • Conformality: a conformal map is one in which all angles are indicated correctly. Angles between two directions in a map with a conformal projection and between two points on Earth are the same. As all angles are maintained, the shape of small areas is also preserved. Examples: Mercator, Stereographic.
  • Equal area / Equivalence: the areas of all regions are shown in the same proportion to their true areas. Shape, scale and angles must be distorted. Examples: Mollweide, Sinusoidal.
  • Equidistance: an equidistant map has the characteristic that scale remains true along one or more lines in the map.

Available projections:

Map projections are named according to the class, the aspect, the property, the name of the originator and the nature of any modification. For an overview of available projections, refer to the Select Projection dialog box. For hints on what projection to use, refer to Suggested projections.

Coordinate system Formula

You can create a coordinate system formula for maps with artificial coordinates, i.e. starting at (0,0) or digitized in millimeters. The coordinate system formula uses a 'related' coordinate system; this is the coordinate system with correct coordinates. When you have defined the formula and when the map with artificial coordinates uses the newly created coordinate system formula, then you can transform the map to the correct coordinate system.

Transformation formulae:

In the formulae below, [image] is used for the related coordinates, [image] for the coordinates of the coordsys formula which you are creating, [image] for the origin in the related coordsys, and [image] for the origin of the coordsys formula which you are creating.

Conformal: | k = scaling factor f = rotation angle
Differential scaling: | k1 = X-scaling k2 = Y-scaling
Skew along X-axis: | a = skew angle in X-direction
Skew along Y-axis: | b = skew angle in Y-direction
Affine: | a11, a12, a21, a22 = matrix coefficients
User-defined expression: | Xout = fx (x - x0, y - y0) + X0 Yout = fy (x - x0, y - y0) + Y0

For more information, see the Edit Coordinate System Formula dialog box.


ILWIS objects : special objects

ILWIS objects

Special objects

Special objects are:

histograms

sample sets

stereo pairs

criteria trees

two-dimensional tables

matrices

filters

functions

scripts

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

In dialog boxes, long object names can be used freely.

On the command line and in scripts however, object names must be enclosed by single quotes e.g. 'My Object'.ext when the object name:

  • starts with a digit from 0 to 9,
  • starts with or contains one or more spaces, or
  • starts with or contains any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

See also How to use long object names.

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

Tips:

  1. To hide or show certain object types from a Catalog, use the Catalog - Show command, Object Selection toolbar or the Customize Catalog, Object Selection tab.
  2. To copy, rename or delete ILWIS objects, you MUST use ILWIS commands.
    • To copy or to rename a single object: select an object and choose the Copy Object To command.
    • To copy one or more objects: select the object(s) and use drag and drop, or select the object(s) and choose the Copy command and then the Paste command.
    • To delete one or more objects: select the object(s) and choose the Delete command.

    For more information, see How to copy objects or How to delete objects.

  3. Mind: It is strongly discouraged to copy, rename or delete files using Windows Explorer or DOS.

See also:

ILWIS objects : histograms

ILWIS objects : sample sets

ILWIS objects : stereo pairs

ILWIS objects : criteria trees

ILWIS objects : two-dimensional tables

ILWIS objects : matrices

ILWIS objects : filters

ILWIS objects : functions

ILWIS objects : scripts


ILWIS objects : histograms

ILWIS objects

Histograms

A histogram is a dependent table which stores frequency information on values, classes or IDs in a raster, polygon, segment or point map. A raster histogram is automatically calculated when displaying a value raster map which is stored using one or two bytes per pixel. Further, the Histogram operation can be used to calculate a histogram. The values in a histogram are presented as a table. A histogram always has the same name as the map from which it is calculated.

A raster histogram lists, depending on the domain of the map, for each value, class name or ID, the number of pixels in the map, and for each value, class name or ID the size of the area of these pixels as a percentage of the total area in square meters. If the input raster map uses a Value domain, the cumulative number of pixels, the cumulative percentages of the areas and the percentage of pixels of the total area that are not undefined are also calculated.

Furthermore, summary information can be viewed in the properties of the histogram such as mean, predominant value, standard deviation, and percentage intervals.

A polygon histogram lists, depending on the domain of the map, for each value, class name or ID, the number of polygons, and the perimeter and the area in square meters of these polygons. If the input polygon map uses a Value domain, the cumulative number of polygons, cumulative perimeters and cumulative areas are also calculated.

Furthermore, summary information is available in the properties of the histogram.

A segment histogram lists, depending on the domain of the map, for each value, class name or ID, the number of segments and their length. If the input segment map uses a Value domain, the cumulative number of segments and the cumulative lengths are also calculated.

Furthermore, summary information is available in the properties of the histogram.

A point histogram lists, depending on the domain of the map, for each value, class name or ID, the number of points. If the input point map uses a Value domain, the cumulative number of points is also calculated.

Furthermore, summary information is available in the properties of the histogram.

Names of histograms:

A histogram always obtains the same name as the map from which it is calculated. For more information on long object names, see How to use long object names.

To calculate a histogram:

You can double-click the Histogram operation in the Operation-list and select the map from which you want to calculate a histogram. You can also click a map in the Catalog with the right mouse button and choose Statistics, Histogram from the context-sensitive menu. For other methods, see How to calculate a histogram.

Furthermore, a histogram is automatically calculated when you display a value raster map (domain Image, system domain Value, another system value domain or a user-defined value domain) which is stored using 1 or 2 bytes per pixel.

To display a histogram as a table and as a graph:

The easiest way to display a histogram is to double-click a histogram in a Catalog. The values of the histogram will be shown in the table pane of the histogram window; a graph of the histgram will be shown in the graph pane of the histgram window.

Editing a histogram:

As a histogram is a dependent table, depending on the values, class names, or IDs in a map, the values of the calculated (table-owned) columns in a histogram table cannot be edited. You can always perform further calculations using these columns by typing expressions on the TabCalc command line.

If you really want to manually edit the values of calculated table-owned columns, you first have to break the dependency link of the histogram table in its Properties dialog box.

Tip:

For histograms of domain Class or ID maps: as the domain of the histogram is the same as the domain of the map, all columns of the histogram can be joined to an attribute table of a map. See also How to join areas from a histogram to an attribute table.

Technical information:

A histogram consists of an ASCII object definition file (.HIS, .HSA, .HSS or .HSP) and a binary data file (.HI#, .HA#, .HS# or .HP#). The object definition file contains references to the map from which the histogram was calculated and the domain of that map. The domain of the map is is also the domain of the histogram.

By viewing the properties of a histogram, you can see whether the histogram is up-to-date. If this is not the case, i.e. after editing the map from which the histogram was calculated, you can easily recalculate the histogram by clicking the Make Up-to-Date button. The properties of a value histogram also present a histogram summary: the Mean, Standard Deviation, Median, Predominant value and the number of times this value occurs in the map. Furthermore, the values in the map which define the 0%, 0.5%, 1.0%, 2.0%, 5.0% and 10.0% percentage intervals in the histogram are listed.

Limitations:

The maximum number of entries in a histogram is 2 billion.

See also:

Histogram operation

How to calculate a histogram

How to view and edit the properties of an object


ILWIS objects : sample sets

ILWIS objects

Sample sets

A sample set stores training pixels for supervised classification. Prior to an image classification, sample pixels or training pixels have to be selected in a sample set. A map list, containing the set of images used for classification and a background map on which you can locate training pixels and a class domain have to be specified. Then, during sampling, class names need to be assigned to groups of pixels that are supposed to represent a known feature on the ground and that have similar spectral values in the maps in the map list. A sample set is used as input in the Classify operation.

A sample set consists of:

  • a reference to a map list, that is the set of images you want to classify in a later stage. The spectral values of the images in the map list, at the position of the training pixels provide the basis on which decisions are made in the classification. During sampling, these values can be inspected in the sample statistics of a certain class of training pixels, and can be visualized in feature spaces. Usually, you will use a set of satellite images in the map list, but you can also work with the Principal Components.
  • a reference to a class domain, that is the collection of class names that you want to assign to your training pixels and that are the classes that you want to obtain from the classification. The representation of this domain determines in which colors the training pixels are displayed during sampling. You can also add classes to the domain during sampling, or delete or merge classes;
  • a reference to a raster map which is automatically created and obtains the same name as the sample set. This so-called sample map contains the locations of the training pixels and the class names assigned to them.

When your graphics board is configured to use 256 colors, you can locate your training pixels on a background map, for instance a color composite. In case your graphics board is configured to use more than 256 colors, you will use an interactive color composite; then, a background map is not used.

Names of a sample set:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a sample set:

A sample set can be created by for instance double-clicking the Sample Map item in the Operation-list, or select Sample from the Operations menu, Image Processing. For other methods, see How to create a sample set. The sample set editor is opened.

Editing a sample set:

The easiest way to edit an existing sample set is by double-clicking it in the Catalog. See also, How to edit a sample set. For other methods, see How to edit a sample set. The sample set editor is opened.

Technical information:

A sample set consists of an ASCII object definition file (.SMS). This file contains further references to a domain (containing the class names of sampled pixels), a map list (containing the satellite bands), an optional background map, and to a raster map that is automatically created, with the same name as the sample set, and which contains the locations of training pixels and class names assigned to them (this map is called the sample map).

By viewing the properties of a sample set, you can see the domain, the name of the sample map, and the name of the map list that are used by the sample set; if your screen is configured for 256 colors only, also the background map used by the sample set is listed. These are properties of the sample set.

Limitations:

The maximum number of raster maps that can be included in a map list is 100 million. In practice however limitations will occur by available memory and disk space.

See also:

Sample set editor

How to create a sample set

How to edit a sample set

How to create a color composite


ILWIS objects : stereo pairs

ILWIS objects

Stereo pairs

A stereo pair can be created to view a single or a pair of photograph(s) or image(s) in stereo either with a stereoscope or as an anaglyph.

You can create a stereo pair:

  • with the Epipolar Stereo Pair operation and the Epipolar Stereo Pair - Creation window.

    • As input you need from a pair of scanned aerial photographs or images, with overlap. In the output stereo pair you can view the area of overlap in stereo.

  • with the Stereo Pair from DTM operation.

    • As input you need a single scanned aerial photograph, image or any other map, and a DTM. In the output stereo pair, you can view the whole area of the input map displayed over the DTM in stereo.

When a stereo pair has been calculated, it contains:

  • two (resampled) output raster maps,
  • where each raster map uses a new georeference.

You can view a calculated stereo pair:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.

Names of stereo pairs:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create an epipolar stereo pair:

You should have two scanned images (for instance two aerial photographs with fiducial marks) that have overlap.

  • When you wish to view the stereo pair later on with a stereoscope, you can use input raster maps with the Color domain, the Image domain, or another value domain.
  • When you wish to view the stereo pair as an anaglyph later on, you can only use raster maps with the Image domain, or with another value domain.

Tip: As scanned images may have a very large file size, it is advised to create Pyramid Layers for both input raster maps. This will speed up display in the Epipolar Stereo Pair - Creation window later on.

The Epipolar Stereo Pair operation can be started for instance by double-clicking the Epipolar Stereo Pair item in the Operation-list, or by choosing Epipolar Stereo Pair from the Operations, Image Processing menu in the Main window. After a dialog box, the Epipolar Stereo Pair - Creation window will be opened where you can mark the positions of fiducial marks, transferred principal points, and optional scaling points.

When finished, close the Epipolar Stereo Pair - Creation window with the Exit and Show button [image]; the output stereo pair and its two output raster maps will then be calculated. During resampling, the Bilinear interpolation method is used; for more information, see Resample : algorithm.

To create a stereo pair from a DTM:

You should have an input raster map (for instance a scanned aerial photograph or a satellite image) and a Digital Terrain Model (DTM).

  • The input raster map may have any value domain, the Image domain, the Picture domain, or the Color domain.
  • The DTM should use a value domain.

The Stereo Pair from DTM operation can be started for instance by double-clicking the Stereo Pair from DTM item in the Operation-list, or by choosing Stereo Pair from DTM from the Operations, Image Processing menu in the Main window.

To view a calculated stereo pair:

When the output raster maps of a stereo pair have been calculated, you can view the stereo pair:

  • by choosing Show Stereo Pair with Stereoscope from the Operations, Visualization menu in the Main window: the output raster maps of the stereo pair will be shown in a Stereo Pair - Stereoscope window, in which you can use a stereoscope;

  • by choosing Anaglyph from the Operations, Visualization menu in the Main window: the stereo pair will be shown as an anaglyph in a map window, where you can either red-green glasses or red-blue glasses.

When the stereo pair is displayed, you can for instance add a new georeference to one of the output maps, or create a new vector map and start screen digitizing on the stereo pair.

Technical information:

A stereo pair consists of an ASCII object definition file (.STP). This file contains for instance references to the two input raster maps.

For an epipolar stereo pair, the object definition file also contains the positions of the fiducial marks, the transferred principal points and the optional scaling points.

  • In each photograph (input raster map), the principal point of the photograph is calculated from the positions of the fiducial marks. The photograph will be rotated around this point. How much each photograph should be rotated is determined from the position of the principal point of the other photograph that has been transferred to the current photograph.
  • To correct for possible scaling differences between the input photographs, the positions of the optional scaling points are used.

When a stereo pair has been calculated, the object definition file of the stereo pair also contains references to two output raster maps.

  • The output raster maps will obtain the same name as the stereo pair, followed by _Left and _Right, for the left output raster map and the right output raster map respectively.
  • The output raster maps of an epipolar stereo pair will have a georef Scale_Rotate which ensures that the columns in the two output raster maps are perpendicular to each other. The overlapping area between the two photographs can thus be viewed in stereo.
  • The output raster maps of a stereo pair from DTM will have a georef StereoMate which defines the angle etc. at which the area is looked at from above.

By default, an output stereo pair is a dependent object.

  • As the object definition file of the stereo pair stores the names of the input raster maps and other parameters, the output stereo pair and its output raster maps can always be recalculated.
  • However, the dependency links of the output raster maps are always broken. The output raster maps are thus editable, so that you can add for instance a new georeference to one of the output maps, or create a new vector map and can start screen digitizing on the stereo pair.

By viewing the properties of a stereo pair, you can see the names of the input raster maps, whether the stereo pair has been calculated or not, the names of the output raster maps, etc. For more information on properties, see Stereo Pair Properties.

See also:

Stereo Pair Properties

Epipolar Stereo Pair (operation)

Epipolar Stereo Pair - Creation window

Stereo pair from DTM (operation)

Show stereo pair with stereoscope

Stereo Pair - Stereoscope window

Show stereo pair as anaglyph


ILWIS objects : criteria trees

ILWIS objects

Criteria trees

A criteria tree contains the definition of a complicated calculation in which multiple input maps and/or attribute columns are combined, according to certain user-defined rules or criteria, to obtain a final output raster map using Spatial Multi-Criteria Evaluation (SMCE).

Under the main goal of a criteria tree, you can add:

  • criteria: these rules are either factors or constraints.
  • groups: as many criteria may be involved, you can create groups under the main goal of a tree to keep an overview of all rules. A group defines an intermediate or a partial goal. Under a group, you can add one or more factors.

A criteria tree as a whole contains all rules you defined; it thus contains the way in which all input data should be standardized, grouped or weighed, to be able to calculate the final output map. The calculated final output map will show the performance of an area for the main goal that was set.

To build a criteria tree, you need to specify:

Names as text Data and additional information
the name of the main goal
  • the name of the output raster map that will contain the calculated final result.
the names of the criteria
  • for each criterion: whether the criterion should be regarded as a factors (benefit or cost) or as a constraints,
  • for each criterion: the input raster map or the attribute column that needs to be used.
the names of groups
  • optionally for each group: the name of the output raster map that will contain the calculated result for this group,
  • for each group: the names of the factors that will be used in the group,
  • for each factor: the input raster map or the attribute column that needs to be used.

Optionally, you can calculate performance by multiple scenarios or alternatives, in order to select the best scenario or alternative, and to identify poorly performing scenarios or alternatives. You will use:

  • the same criteria tree, i.e. the same rules for standardization, grouping and weighing of criteria,
  • for each alternative: other input maps.

Other wording:

  • The final output raster map is the root of the criteria tree.
  • An intermediate or partial goal is a branch of the criteria tree.
  • A criterion or effect is a leaf of the criteria tree.

Names of criteria trees:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a criteria tree:

  • in the Main window, choose the Raster Operations, Spatial Multi-Criteria Evaluation command from the Operations menu;
  • in the Operation-tree, open the Raster Operations item, and select the Spatial Multi-Criteria Evaluation command;
  • in the Operation-list, double-click the Spatial Multi-Criteria Evaluation command.

The SMCE window opens. In this window the criteria's tree structure can be edited, items can be weighed and standardized and output maps can be generated. For more information, refer to SMCE window : functionality.

To edit a criteria tree:

  • in the Catalog, double-click a criteria tree, or
  • select a criteria tree in the Catalog, open the Edit menu in the Main window and choose Edit Object, or
  • in the Catalog, click a criteria tree with the right mouse button, and select Open from the context-sensitive menu.

The SMCE window appears.

Tip:

To show criteria trees in the Catalog, refer to How to customize the Catalog.

To save a criteria tree:

A criteria tree can be saved by choosing the Save or the Save As commands from the File menu of the SMCE window, or by clicking the Save button [image] in the toolbar of the SMCE window.

Technical information:

A criteria tree only consists of an ASCII object definition file (.SMC). The object definition file stores the number of alternatives, the structure of the tree, the type of the criteria that are used (i.e. groups, factors and/or constraints), references to the input maps, and information on the standardization and weighing methods that are used.

By opening the properties of a criteria tree, you can see the size of the object and the time it was last changed. For more information, see the Criteria tree Properties sheet.

See also:

SMCE window : functionality

SMCE window : toolbar

SMCE window : criteria tree viewer

SMCE window : status bar

SMCE window : menu commands


ILWIS objects : two-dimensional tables

ILWIS objects

Two-dimensional tables

A two-dimensional table is used to combine or reclassify two raster maps with a class or ID domain. It defines a value for each possible combination of input classes or IDs.

A two-dimensional table consists of rows which represent one domain and of columns which represent another domain. In the two-dimensional table, you have to assign a value, class name or ID to the fields which represent the combination of these domains. When you apply the two-dimensional table on the command line of the Main window, you need two input raster maps which have the domains as used by the two-dimensional table, the output raster map then contains the values, classes or IDs that you entered in the fields of the two-dimensional table.

Names of two-dimensional tables:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a two-dimensional table:

Open the File menu of the Main window and select the Create Two-Dimensional Table command, or double-click the New 2DimTbl item in the Operation-list. In the appearing Create 2-Dimensional Table dialog box, select two input domains of raster maps on which you want to apply the two-dimensional table later on.

To display and edit a two-dimensional table:

When you create a new two-dimensional table, it is directly displayed in a table window where you can also directly edit it.

To open and edit an existing two-dimensional table, double-click a two-dimensional table in the Catalog, double-click the Open or Edit item in the Operation-list, or select the Edit Object command on the Edit menu of the Main window and select a two-dimensional table.

For more information on editing a two-dimensional table, see How to edit a table.

To apply a two-dimensional table:

A two-dimensional table can be applied by typing a special expression on the command line of the Main window:

OUTMAP = 2dimtablename[map1,map2]

For more information, see Map calculation : classifying two maps according to a two-dimensional table.

Technical information:

A two-dimensional table consists of an ASCII object definition file (.TA2) and a binary data file (.T2#). The object definition file contains further references to two domains that contain the classes or IDs that you want to reclassify and to one domain which contains the classes, IDs or values after reclassification; these three domains are properties of a two-dimensional table (see also Appendices : relations between ILWIS objects).

Internally, a two-dimensional table uses system domain None; the table has only one table-owned column named Value which stores the output class names, IDs or values for each combination of input classes or IDs.

See also:

How to edit a table

Map calculation : classifying two maps according to a two-dimensional table


ILWIS objects : matrices

ILWIS objects

Matrices

In ILWIS, there are four Statistical operations which calculate a matrix:

  • covariance matrix by the Variance-Covariance matrix operation;
  • correlation matrix by the Correlation matrix operation;
  • covariance matrix and matrix of eigenvectors by the Principal Component operation;
  • correlation matrix and matrix of eigenvectors by the Factor Analysis operation.

All these operations can be found on the Operations menu, Statistics, Map List. As the matrices are the result of an operation, the matrices cannot be edited.

Furthermore,

  • you can calculate a confusion matrix after an image classification. For more information, see Table window : Confusion matrix or How to calculate a confusion matrix.
  • you can show an output cross table as a matrix when the input maps of the Cross operation used a class or ID domain. For more information, see Cross : functionality.

Names of matrices:

When performing the Variance-Covariance operation or the Correlation operation, the matrix is not stored as a separate object; the matrix is stored in the input map list.

When performing the Principal Component or Factor analysis operation, you can specify a name for the matrix yourself; the output map list which will contain the transformed output maps will obtain the same name as the matrix.

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To display a matrix:

To display a covariance matrix, perform the Variance-Covariance operation.

To display a correlation matrix, perform the Correlation operation.

To display the output matrices of the Principal Component and Factor Analysis operations:

  • click the Show button in the dialog box of the Principal Component and Factor Analysis operation, or
  • double-click a matrix in a Catalog, or
  • use the right mouse button on a matrix in a Catalog, and select Open from the context-sensitive menu, or
  • from the File menu in the Main window, choose Open and select a matrix.

The matrix will be calculated as soon as it is shown for the first time in a matrix window. The matrix window also displays some Additional Info.

Technical information:

A matrix consists of an ASCII object definition file (.MAT).

By viewing the properties of a matrix, you can see on which map list the matrix depends, etc. When the matrix has been calculated, you can also view Additional Info. For more information, see the Matrix Properties sheet.

Variance-covariance matrix:

Shows the variance within each map/band and the covariance between all map/band pairs in the input map list. The mean and standard deviation of each input map are also shown. In the properties of the input map list, the Optimum Index Factors (OIF) are listed.

Correlation matrix:

Shows the correlation between all map/band pairs in the input map list. The mean and standard deviation of each input map are also shown. In the properties of the input map list the Optimum Index Factors (OIF) are listed.

Principal component matrix:

Stores eigenvectors for the new output maps (axes) and the percentages of total variance contributed by each eigenvalue. The operation creates (defines) an output matrix and an output map list simultaneously. When the output map list is opened (calculated), the output raster maps are created and calculated.

Factor analysis matrix:

Stores eigenvectors for the new output maps (axes) and the percentages of total variance contributed by each eigenvalue. The operation creates (defines) an output matrix and an output map list simultaneously. When the output map list is opened (calculated), the output raster maps are created and calculated.

See also:

Variance-Covariance matrix

Correlation matrix

Principal Component Analysis

Factor analysis

How to calculate Optimum Index Factor (OIF)

Table window : Confusion matrix

How to calculate a confusion matrix


ILWIS objects : filters

ILWIS objects

Filters

Filters are used in the Filter operation. In ILWIS, there are four main filter types: Linear filters, Rank order filters, Majority filters, and Binary filters. Furthermore, there is a Pattern filter and a Standard deviation filter. For an explanantion on the working of these filter types and examples, see Filter types. For examples on the use of filters, see Filter : functionality.

Some 30 standard filters are predefined in the SYSTEM directory. However, the Filter : dialog box offers many possibilities to define most filters on the fly according to your wishes before applying them. This can of course also be done on the command line of the Main window. Further, your own linear filters can be created, edited and stored on disk. For more information, see Filters : user-defined filters.

Names of filters:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a linear filter:

You can create your own user-defined linear filter of any odd size. Easy ways to create a new linear filter is to choose Create Filter from the File menu of the Main window, or to double-click the New Filter item in the Operation-list. For more information, refer to How to create a linear filter.

To view or edit a linear filter:

The easiest way to view or edit a linear filter is double-click a filter in a Catalog: the filter will be shown in the Filter editor. You can view all linear filters, i.e. including the linear system filters; and you can edit your own user-defined linear filters. For more information, see How to edit a user-defined linear filter.

Note:

The Average filter, Majority filters, Median filters, Rank Order filters, and the Standard Deviation filter may have a user-defined size, rank or threshold. You can define these filters on the fly in the Filter : dialog box.

Technical information:

Filters which are stored on disk consist only of an ASCII object-definition file (.FIL). This file stores the name, type and size of the filter, and it may further store matrix values for linear filters, the solution table for binary filters, etc.

By viewing the properties of a filter, you can see whether it is a system filter or not, when it was last edited, object size and the description of the filter. A filter has no relations to other objects.

See also:

Filter operation

Filters, topics: Filter types, Standard filters, User-defined filters

How to create linear filters

How to edit user-defined linear filters

(Linear) Filter editor


ILWIS objects : functions

ILWIS objects

Functions

Functions can be used in all three calculators in ILWIS: in MapCalc/TabCalc, in scripts and in the pocket line calculator. In ILWIS, some 50 internal functions are available (see also MapCalc and TabCalc), but you can also create your own functions. By creating a user-defined function beforehand, your MapCalc and TabCalc formulas may be simplified.

A user-defined function allows you to pre-define complex calculations and/or calculations which you will need to repeat several times. At the time of using the function, you will only need to fill out the function's parameters and not the complicated formula itself.

A user-defined function may contain any combination of operators and existing functions, and may use parameters representing map names, table names and column names.

To create a user-defined function:

  • in the Main window, open the File menu and choose Create Function, or
  • in the Table window, open the File menu and choose Function, or
  • in the Operation-tree, expand the Create item and double-click New Function, or
  • in the Operation-list, double-click the New Function item.

The Create Function dialog box appears in which you can type the expression that the function should perform.

To edit a user-defined function:

  • in the Catalog, double-click a function, or
  • select a function in the Catalog, open the Edit menu in the Main window and choose Edit Object, or
  • in the Catalog, click a function with the right mouse button, and select Open from the context-sensitive menu.

The Function editor appears.

Names of user-defined functions:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

Parameters in user-defined functions:

A function will perform a certain calculation based on the parameters and the MapCalc/TabCalc operators and functions that you define in the expression of the function.

Parameter names:

  • must start with a character from A to Z,
  • may contain characters from A to Z, digits 0 to 9, and underscores,
  • may be longer than 8 characters.

Output domain type of a function and input domain types of function parameters:

In the function editor, the first line states:

  • the name of the function, as Function functionname
  • the names of input parameters and the domain type of each input parameter, when for instance using 2 parameters, as (Value param_name1, Value param_name2)
  • the output domain of the function, as : Value

Thus, when creating a function:

  • the domain type of all input parameters is by default set to domain type Value, meaning that you can use any system value domain or any user-defined value domain,
  • the output domain of the function is by default set to the system domain Value.

Mind: In case your input parameters use another domain type than domain type Value, or when the output domain of the function is another domain than system domain Value, you need to change the word(s) Value yourself in the appropriate place(s).
In other words, you must make sure that the domain types of parameters and the output domain of the function are correctly declared.

Function syntax is explained in detail in Function editor : functionality.

To apply a function:

When you use the function on the command line of the Main window or a Table window, you have to type the function name followed by brackets in which you type the map name(s) or column name(s) that need to be filled out for the parameter(s) in the function. You can separate parameters with commas. Instead of map names or column names, you can also type complete expressions.

The first filled out parameter is taken as the first parameter encountered in the function, etc.

In this way, you can use the function several times, each time filling out different map or column names on which the function should be applied.

Technical information:

Functions consist of an ASCII object definition file (.FUN), and an ASCII data file (.FND).

Internal MapCalc and TabCalc functions are built in in the software and cannot be visualized.

Examples:

In Map calculation : creating and applying user-defined functions and in Table calculation : creating and applying user-defined functions several 'basic' examples are given. For more advanced user-defined functions, e.g. user-defined functions with IF, THEN, ELSE loops, FOR loops, WHILE loops and REPEAT/UNTIL loops, see Map and Table calculation : User-defined functions (advanced).

See also:

Create a function (dialog box)

Function editor : functionality

Map calculation : creating and applying user-defined functions

Table calculation : creating and applying user-defined functions

Map and Table calculations : user-defined functions (advanced)


ILWIS objects : scripts

ILWIS objects

Scripts

Scripts are used to perform a sequenced list of ILWIS commands and expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline. Scripts are more or less equivalent to batch files in ILWIS version 1.4.

Lines in a script may contain commands for object management (e.g. copy or delete), display of data objects (open or Show), and for the creation and calculation of data objects. All MapCalc, and TabCalc formulas, and all ILWIS expressions to perform operations may be used. Other scripts and other Windows applications can also be called from within a script. A script can use parameters. For more information on valid script expressions, refer to Appendices : ILWIS commands, Appendices : ILWIS expressions or Appendices : ILWIS script language (syntax). For more information on using parameters in scripts, see How to use parameters in scripts.

Names of scripts:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a script:

  • in the Main window, open the File menu and choose Create Script, or
  • in the Operation-tree, expand the Create item and double-click New Script item, or
  • in the Operation-list, double-click the New Script item.

The Script editor appears in which you can type your script expressions.

To edit a script:

  • in the Catalog, double-click a script, or
  • select a script in the Catalog, open the Edit menu in the Main window and choose Edit Object, or
  • in the Catalog, click a script with the right mouse button, and select Open from the context-sensitive menu.

The Script editor appears.

Tips:

  • To show scripts in a Catalog, refer to How to customize the Catalog.
  • To show scripts in the Operation-list, the Operation-tree and on the Operations menu of the Main window, see How to customize the Operation-tree, the Operation-list and the Operations menu.

Using parameters in scripts:

Parameters in a script replace (parts of) object names, operations, etc. Parameters in scripts work as DOS replaceable parameters in DOS batch files, and must be written on the Script tab in the Script editor as %1, %2, %3, up to %9. For more information, see How to use parameters in scripts.

  • On the Script tab, you can type your script commands and expressions. Optionally, you can use parameters %1 until %9.
  • On the Parameters tab, you can assign names to parameters. Parameter names will be visible in the Run Script dialog box when you run the script.
  • On the Default Values tab, you can fill out default objects for your parameters so that you can test the script and/or wish to have defaults in the Run Script dialog box.

To run a script:

  • with the right mouse button, select a script in the Catalog and choose Run from the context-sensitive menu,
  • in the Script editor press the Run Script Run Script button, or
  • if you copied your script to the ILWIS\scripts directory, you can double-click your script in the Operation-tree and the Operation-list.

If your script does not contain any parameters it will immediately be executed. If your script does contain parameters the Run Script dialog box will appear.

In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab of the script editor.

  • If you did not specify default objects on the Default Values tab you will need to select objects for input parameters and/or type object names for output parameters.
  • If you did fill out objects on the Default Values tab, the Run Script dialog box, will already be filled out with these defaults.

When the OK button is clicked and when all parameters are correctly specified, the script will be executed.

For more information about running script, e.g. to run a script from the command line see How to run scripts.

You can create your own Help file for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

Example:

In How to use parameters in scripts, two script examples are given. A more elaborate example of a script to create slope maps in percentages and in degrees is presented in Map & Table calculation : creating and running scripts.

Technical information:

A script consists of an ASCII object definition file (.ISL, ILWIS Script Language) and an ASCII data file (.ISF, ILWIS Script File).

See also:

Script editor : functionality

Appendices : ILWIS script language (syntax)

Appendices : ILWIS commands

Appendices : ILWIS expressions

How to create a script

How to edit a script

How to run scripts

Run Script (dialog box)

Map & Table calculation : creating and running scripts (example)

How to use parameters in scripts


Editors

Introduction to map editors

Pixel editor

Polygon editor

Segment editor

Point editor

Layout editor

Annotation Text editor

Domain Class/ID editor

Representation Class editor

Representation Value/Gradual editor

Georeference Tiepoints editor

Georeference 3D editor

Coordinate system Tiepoints editor

Sample Set editor

Epipolar Stereo Pair - Creation window

(Linear) Filter editor

Function editor

Script editor


Editors : introduction to map editors

Editors

Introduction to map editors

In a map window, map editors can be used to edit features of raster, polygons, segment or point maps.

With the pixel editor, you can:

  • edit the class names, IDs, or values of pixels in a raster map.

With the polygon editor, you can:

  • edit the class names, IDs, or values of polygons, and
  • create labels from polygons,
  • apply labels to polygons,
  • extract segments.

With the segment editor, you can:

  • insert segments and delete existing ones,
  • edit the class names, IDs, or values of segments,
  • change the shape of segments,
  • split and merge segments, and
  • check segments and polygonize segments.

With the point editor, you can:

  • insert new points and delete existing ones,
  • edit the class names, IDs, or values of points, and
  • move points to a new position.

The polygon, segment and point editor can be used with the mouse pointer on the screen, and with the digitizer cursor when a paper map is stuck on a digitizer tablet. To set up a digitizer and to start digitizing, see How to set up a digitizer.

See also:

Editors


Pixel editor : functionality

Pixel editor

Functionality

The pixel editor is used to edit class names, IDs or values of pixels in a raster map. The pixel editor has one mode, Normal/Select mode, to select pixels of which you wish to change the class name, ID or value. The pixel editor has a menu bar, a context-sensitive menu, and a toolbar.

You can edit a raster map by using the mouse or by using the keyboard.

To start the pixel editor:

To edit an existing raster map, display a raster map in a map window, open the Edit menu in the map window, choose Edit Layer, and select the raster map layer you wish to edit. You can also click a raster map with the right mouse button in a Catalog and choose Edit from the context-sensitive menu. For other methods, see How to edit point, segment, polygon, and raster maps.

Dependent raster maps cannot be edited: first break the dependency links in the Raster Map's Properties sheet.

When the pixel editor is opened, it starts in Normal/Select mode; the mouse pointer appears as a hand.

Working with the keyboard

To zoom in on the map:

Zoom in on the raster map for instance by clicking the Zoom In button on the toolbar. When you zoomed in deeply, the pixel values, class names or IDs of the pixels are displayed. For more information, see Map window : Zoom in.

Normal/Select mode to select pixels:

The pixel editor has one mode, Normal/Select mode, to select pixels of which you wish to change the class name, ID or value. In Normal/Select mode, the mouse pointer appears as a hand.

Selecting pixels using the keyboard:

  • Use the arrow keys to move the selection cursor;

  • Press the Shift key and move the selection cursor, to change the status of pixels;
    • pixels that were not yet selected will added to the selection,
    • pixels that were already selected will be removed from the selection.
  • Press the Ctrl key and move the selection cursor, to add pixels to the selection;
  • Press the Shift+Ctrl keys and move the selection cursor, to remove pixels from the selection;

  • Press the Spacebar to select or deselect a single pixel;
  • Press Esc to clear the entire selection.

Editing pixels using the keyboard:

Select the pixels you wish to edit, then press the Enter key to edit the selection:

  • when you selected a single pixel, you can immediately select a class name, type an identifier, or type a value;
  • when you selected multiple pixels, you can select a class name, type an identifier or type a value for the selection in the appearing Edit dialog box. For more information, see Pixel editor : Edit.

Working with the mouse

To zoom in on the map:

Zoom in on the raster map for instance by clicking the Zoom In button on the toolbar. When you zoomed in deeply, the pixel values, class names or IDs of the pixels are displayed. For more information, see Map window : Zoom in.

Normal/Select mode to select pixels:

The pixel editor has one mode, Normal/Select mode, to select pixels of which you wish to change the class name, ID or value. In Normal/Select mode, the mouse pointer appears as a hand. You can select one or more pixels by clicking them or dragging a box around them, in order to change their class name, ID, or value.

  • To select a single pixel:

    • click a pixel, or,

    move the pixel selection cursor with the arrow keys on the keyboard and press the space bar.

  • To select all pixels within a selected area:

    • drag a box with the left mouse button and all pixels in the box are selected.

  • To add pixels to a selection:

    • press and hold down the Ctrl key and click the other pixels you wish to select. When finished, release the Ctrl key.

  • To clear a part of a selection:

    • press and hold down the Ctrl+Shift keys, then click previously selected pixels or drag a box around pixels: these pixels are deselected. When finished, release the Ctrl+Shift keys.

  • To toggle between select and deselect:

    • press and hold down the Shift key, then click pixels or drag a box around pixels: selected pixels are deselected, and non-selected pixels are selected. When finished, release the Shift key.

For more information, see Pixel editor : Normal/Select mode.

Editing the value of selected pixels:

Depending on the domain of the raster map that you are editing, you can change the class name, identifier or value of selected pixels.

To edit the class name, ID or value etc. of one or more pixels:

  • double-click a pixel, or;
  • select one or more pixels, then choose Edit from the Edit menu or from the context-sensitive menu;
  • select one or more pixels, and press the Enter key on the keyboard.

When you double-click a pixel, you can immediately select a class name, type an identifier, or type a value.

When you selected multiple pixels, you can select a class name, type an identifier or type a value for the selection in the appearing Edit dialog box. For more information, see Pixel editor : Edit.

All changes that you make are immediately stored in the raster map.

Other functionality

To copy pixels into the clipboard:

You can copy selected pixels with their coordinates and class names, IDs, or values to the clipboard. Select the pixels you wish to copy and choose Copy from the Edit menu.

For more information, see Pixel editor : Copy.

To paste pixels from the clipboard:

You can paste pixels, points, and/or nodes and intermediate point of segments and polygon boundaries from the clipboard into the pixel editor.

For more information, see Pixel editor : Paste.

Clearing the value of selected pixels:

To clear the class name, IDs or values of pixels, first make a selection, and then press the Del key on the keyboard, or choose Delete from the Edit menu or from the context-sensitive menu.

For more information, see Pixel editor : Delete.

To exit the pixel editor:

To exit the pixel editor, choose the Exit Editor command on the File menu or from the context-sensitive menu. You can also click the Exit editor button in the toolbar. In these cases, the editor is closed but the map(s) remain displayed in a map window.

When you double-click the Close button or the Control-menu box, the map and the editor are closed.

All changes that you make in the raster map are continuously stored.

For more information, see also Appendices : Keyboard shortcuts and Appendices : Mouse functions.

See also:

Pixel editor : menu commands

Pixel editor : toolbar


Pixel editor : toolbar

Pixel editor

Toolbar

The toolbar of the pixel editor is very similar to the toolbar of a map window; there is an extra button to select pixels, and there is a button to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map:

Displays the entire map in the map window.

Redraw:

Redraws the contents of the map window.

Measure Distance:

Allows you to measure the distance and the angle between two points in the map window.

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the map window when zoomed in.

The mouse pointer will change into a hand, then:

  • click somewhere in the map window, and drag this part of the map window to another position.

Zoom In:

Allows you to zoom in on a selected spot or area in the map window.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the map window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the map window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the map window to zoom out with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom out factor).

Normal/Select mode:

Allows you to select one or more existing pixels to be edited. The mouse pointer will change into a little hand.

To select:

  • a single pixel: click or double-click the pixel;
  • multiple pixels: hold the Ctrl key on the keyboard and click the pixels you wish to edit;
  • all pixels within a rectangular area: drag a box around the pixels of interest.

You can also press the Esc key on the keyboard to go to Select mode.

Exit editor:

Leave the editor and keep all changes. The editor will be closed but the map(s) remain displayed in a map window.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Pixel editor : functionality

Pixel editor : menu commands


Pixel editor : menu commands

Pixel editor

Menu commands
File

Exit Editor

Edit

Cut
Copy
Paste
Delete

Edit ...

 Layers

similar to map window:

Add Layer ...
Add Grid Lines ...
Add Graticule ...
Remove Layer
Display Options

Background Color ...
Double-Click Action

Options

similar to map window:

Entire Map
Normal/Select
Zoom In
Zoom Out
Pan
No Zoom

Redraw
Measure Distance
Show Histogram

Extend Window
Coordinate System ...

Adjust Window Size
Layer Management
Scale Control
Toolbar
Status Bar


Pixel editor : Cut

Pixel editor

 Edit menu

Cut

Copy selected pixels with their coordinates and class names, identifiers or values to the clipboard, and then clear the selected defined pixels so that the selected pixels become undefined.

Subsequently, the copied pixels can be pasted as points into a point editor, as one segment into a segment editor, and/or into any other application which uses the bitmap format or the text format (e.g. a word processor or a data base).

To cut:

Select one or more pixels, and:

  • choose Cut from the Edit menu, or
  • press Ctrl+X on the keyboard.

For more information on selecting pixels, see Normal/Select Mode.

A message box will appear asking you to confirm the clearing of the selected pixels. Answer with:

  • yes: to clear the selection, or
  • no: to not clear the selected pixels; the selected pixels will be copied.

Tip:

  • There is no possibility to recover any cleared pixels.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the copied pixels on the clipboard in text format and in bitmap format. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of pixels copied to the clipboard is presented in Pixel editor : Copy.

See also:

Pixel editor : functionality

Pixel editor : menu commands

Pixel editor : Normal/Select Mode

Segment editor : Paste

Point editor : Paste


Pixel editor : Copy

Pixel editor

 Edit menu

Copy to clipboard

Copy selected pixels with their coordinates and their class names, identifiers or values to the clipboard. In the clipboard, the information is available both in text format and in bitmap format.

If the raster map in the pixel editor does not have coordinates, i.e. when the raster map uses georeference None, then the Row and Column numbers and class names, IDs or values of the selection are copied to the clipboard.

Subsequently, the copied pixels can be pasted as points into a point editor, as one segment into a segment editor, and/or into any other application which uses the bitmap format or the text format (e.g. a word processor or a data base).

To copy:

Select one or more pixels, and:

  • choose Copy from the Edit menu, or
  • press Ctrl+C on the keyboard.

For more information on selecting pixels, see Pixel editor : Normal/Select mode.

Tips:

  • To copy the active window including the window borders, title bar, menu bar and status bar as a bitmap to clipboard, press Alt+PrintScrn on the keyboard.
  • From within a map window, you can copy (the displayed part of) a map as a picture to the clipboard; choose Copy from the Edit menu in a map window. Coordinate information will not be available however.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard. For more information, see the Windows Help.

Example:

Some 45 pixels of the Landuse map which have been copied to the clipboard, in text format and in bitmap format.

Text format (only part of the copied pixels is shown as text here):

799690.000 | 8073090.000 | Agriculture (irrigated)
799710.000 | 8073090.000 | Agriculture (irrigated)
799730.000 | 8073090.000 | Agriculture (irrigated)
799750.000 | 8073090.000 | Agriculture (irrigated)
... | ... | ...
799690.000 | 8073050.000 | Urban periphery
799710.000 | 8073050.000 | Urban periphery
799850.000 | 8073050.000 | Riverbed
799870.000 | 8073050.000 | Riverbed
... | ... | ...
799690.000 | 8073030.000 | Urban periphery
799710.000 | 8073030.000 | Urban periphery
... | ... | ...
799830.000 | 8073010.000 | Airport
799850.000 | 8073010.000 | Airport
... | ... | ...

Bitmap format (displayed enlarged):

Copied part of the Landuse map shown as picture

See also:

Pixel editor : functionality

Pixel editor : menu commands

Pixel editor : Normal/Select Mode

Segment editor : Paste

Point editor : Paste

Map window : copy to clipboard


Pixel editor : Paste

Pixel editor

 Edit menu

Paste

Paste data from the clipboard into the current raster map.

Into a raster map, it is possible to paste:

  • cut or copied points from a point map,
  • cut or copied segments from a segment map,
  • copied polygons boundaries from a polygon map,
  • cut or copied pixels from a raster map.

Mind:

The map from which you have cut or copied points, segments, polygons or pixels must have the same domain type (i.e. either class, ID, or value, etc.) as the segment map into wish to paste these points, segments, polygons or pixels.

This means that it is not possible to paste for instance copied contour segments (values) into a segment map which uses a class domain and vice versa.

To paste:

  • choose Paste from the Edit menu, or
  • press Ctrl+V on the keyboard.

In case you cut or copied from a map with a class or ID domain, and now pasting this into a raster map which uses another class or ID domain, the program will try to add any domain items which are not yet present in the domain of the current map to the domain of the current map. A question will be asked to confirm this.

Answer the question(s) to add encountered class name(s) or ID(s) from another class or ID domain to the current class or ID domain with:

  • yes: to add the encountered domain item to the present domain, or
  • no: to skip the encountered domain item and continue with the next item, or
  • cancel: to interrupt the pasting and return to the pixel editor.

Results of pasting:

When pasting points into a raster map:

  • all pasted points will keep their coordinates;
  • all pasted points will keep their class names, identifiers or values.

When pasting segments into a raster map:

  • all nodes and all intermediate points within the copied segments will appear as pixels in the raster map;
  • the nodes and intermediate points will keep their coordinates,

  • the class names, identifiers or values of the copied segments are assigned to the pixels.

When pasting polygons into a raster map:

  • the nodes and intermediate points of the copied polygon boundaries will appear as pixels in the current raster map,
  • the nodes and intermediate points of the copied polygon boundaries will keep their coordinates,
  • in principle, class names, IDs, or values of the polygons are assigned to the pixels.

When pasting pixels into a raster map:

  • all pasted pixels will keep their coordinates;
  • all pasted pixels will keep their class names, identifiers or values.

Tips:

  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard in various formats. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of pixels copied to the clipboard is presented in Pixel editor : Copy.

See also:

Pixel editor : functionality

Pixel editor : menu commands

Pixel editor : Normal/Select mode

Pixel editor : Copy


Pixel editor : Delete/Clear

Pixel editor

Edit menu

Delete/Clear

Clear the class names, IDs or values of selected defined pixels, so that the selected pixels become undefined pixels.

To delete/clear:

Select one or more pixels, and:

  • choose Delete from the Edit menu, or
  • choose Delete from the context-sensitive menu, or
  • press Del on the keyboard.

A message box will appear asking you to confirm clearing of the selected pixels.

Answer with:

  • yes: to clear the selection;
  • no: to return to the editor without changes.

Mind: There is no possibility to recover the class names, IDs, or values of any cleared pixels.

See also:

Pixel editor : functionality

Pixel editor : menu commands

Pixel editor : Normal/Select mode


Pixel editor : Edit

Pixel editor

 Edit menu

Edit ...

Edit the class name, ID or value of the current selection of pixels.

The pixel(s) that you wish to edit should first be selected with the mouse or the keyboard in Normal/Select mode.

This dialog box appears:

  • when you select one or more pixels with the mouse or the keyboard in Normal/Select mode, and:
    • choose Edit from the Edit menu, or
    • choose Edit from the context-sensitive menu, or
    • press the Enter key on the keyboard.

For more information on:

  • using the mouse, refer to Pixel editor : functionality, section Working with the mouse, or Pixel editor : Normal/Select mode.
  • using the keyboard, refer to the Pixel editor : functionality, section Working with the keyboard.

Tip: To edit the class name, ID or value of a single pixel, you can also double-click the pixel. You will then not get this Edit dialog box, but you can select a class name from a list, or type an ID or a value in a small text box.

Dialog box options:

Class name/ID/Value:

To assign a class name, ID, or value to the selected pixel(s), and depending on the domain of the raster map: select a class name from the drop-down list, type an ID, or type a value.

Class names, IDs, values, etc.

  • For a map using a class domain: select an existing class name from the drop-down list.

    • To assign a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using an ID domain: type an ID.

    • In raster maps, you can use the same ID for multiple pixels without problem.

  • For a map using a value domain: type a value.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: select True, False, or ? (= undefined) from the drop-down list.

When you choose the '?' question mark, the selected pixel(s) will not get a class name or value; they will have the undefined value.

Tips:

  • The width of class names, IDs, or values as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the Domain Properties sheet.
  • Dependent maps cannot be edited; first break the dependency links of the map in the Raster Map Properties sheet.

See also:

Pixel editor : Normal/Select mode

Pixel editor : functionality

Pixel editor : toolbar

Pixel editor : menu commands


Pixel editor : Normal/Select mode

Pixel editor

 Options menu

Normal or Select mode

Choose Normal mode to select one or more pixels with the mouse or the keyboard.

After the selection, you can edit the code of the pixel(s), clear the pixel(s), or copy the pixel(s) to clipboard.

When Normal/Select mode is active:

  • the mouse pointer appears as a hand,
  • an option bullet [image] appears in front of this menu command, and
  • the Normal/Select mode button in the toolbar appears down.

Tips:

  • You can also press the Esc key on the keyboard to go to Select mode.
  • For more information on selecting pixels using the keyboard, see Pixel editor : functionality, section Working with the keyboard.

To select a single pixel:

  • click the pixel you wish to select, or
  • move the 'selection cursor' on the screen with the arrow keys on the keyboard, and then press the space bar on the keyboard.

Tip: When you double-click a pixel, you can directly edit the value, class name or ID of the pixel.

To select all pixels within a rectangular area:

  • drag a box around the pixels of interest.

To add pixels to a selection:

  • press and hold down the Ctrl key on the keyboard,
  • click the pixels you wish to select.

When finished, release the Ctrl key.

To clear part of a selection:

  • press and hold down the Ctrl+Shift keys on the keyboard,
  • click the selected pixels that should not be part of the selection.

To toggle between selecting and deselecting:

  • press and hold down the Shift key on the keyboard,
  • when you click a non-selected pixel, it will be selected,
  • when you click a selected pixel, it will be cleared from the selection.

To clear the entire selection:

  • press Esc on the keyboard.

See also:

Pixel editor : functionality

Pixel editor : toolbar

Pixel editor : menu commands

Pixel editor : Edit

Pixel editor : Copy

Pixel editor : Delete


Polygon editor : functionality

Polygon editor

Functionality

The polygon editor is used to edit a polygon map. With the polygon editor, you can only edit the class names, IDs or values of polygons. The polygon editor has a menu bar, a context-sensitive menu and a toolbar.

Tip: To create a polygon map, first digitize your segments with the segment editor and then polygonize the segment map in the segment editor. For more information, see How to create a polygon map.

You can edit polygons with the mouse on the screen but you can also use a digitizer when a map is fixed onto your digitizer tablet. When you wish to use the digitizer for the first time, you may have to setup the digitizer, reference the map on the digitizer, and/or make the digitizer active. For more information, see below.

Furthermore, in any map editor you can always use existing maps as a background by adding these maps as other data layers to the window, see How to add extra layers to a map window.

To edit a polygon map:

To edit a polygon map, display the polygon map in a map window, open the Edit menu, choose Edit Layer, and select the polygon layer from the cascading menu. You can also click a polygon map with the right mouse button in a Catalog and choose Edit from the context-sensitive menu. For other methods, see How to edit point, segment, polygon, and raster maps.

Dependent polygon maps cannot be edited: first break the dependency links in the Polygon Map's Properties sheet.

When the polygon editor is opened, it starts in Normal/Select mode; the mouse pointer appears as a hand.

Working with the digitizer

Make sure that the digitizer is properly set up (Setup Digitizer wizard) and that the analog map is properly referenced on the digitizer tablet (Map Reference). The Setup Digitizer and the Map Reference commands on the File menu of the Main window should both be preceded with a check mark [image].

For more information, see How to set up a digitizer and start digitizing or Polygon editor : Digitizer.

When the digitizer is [image] Active in the polygon editor, a small floating window will appear: the digitizer menu (see Figure 1). The digitizer menu contains the commands that will be performed when pressing the buttons on the digitizer cursor. The numbers in front of the commands on the digitizer menu correspond to the numbers of the buttons of your digitizer cursor.

When in the description below, it is written that you have to press for instance the Change Window button, you have to press the cursor button of your digitizer cursor, which corresponds with the number in front of the Change Window option on the digitizer menu. In this example, this is the digitizer button corresponding with 2:

Fig. 1: Example of the digitizer menu in the polygon editor.

Editing a selected polygon:

Locate the digitizer cursor on the polygon you wish to edit. Press the Edit Value button to open the Edit dialog box. In the Edit dialog box, the area and length of the polygon are displayed; depending on the domain of the map that you are editing, you can enter a new class, ID or value.

Zooming/Changing the window:

Press the Change Window button. Move the cursor to the first corner of the area on which you wish to zoom in. Press the 1st Point button: you now see the zoom in box tied to the first point. Move the cursor to the 2nd position of the area on which you wish to zoom in. Press the 2nd Point button.

You can also directly position the digitizer cursor on the first corner of the area of interest, press the Change Window button, then move the cursor to the second corner of the area of interest, and press the 2nd Point button.

To display the entire map after a zoom in command, press the Entire Map button.

Working with the mouse

To zoom in on the map:

You can zoom in on the polygon map by for instance clicking the Zoom In button in the toolbar. For more information, see Map window : Zoom in.

Selecting polygons:

The polygon editor has one mode, Normal/Select mode, to select polygons of which you wish to change the class name, ID or value. In Normal/Select mode, the mouse pointer appears as a hand. You can select one or more polygons by clicking them, in order to change their class name, ID, or value.

  • To select a single polygon:

    • click a polygon.

    When you double-click a polygon, you can immediately change the class name, ID, or value of the polygon.

  • To add polygons to a selection:

    • press and hold down the Ctrl key and click the other polygons you wish to select. When finished, release the Ctrl key.

  • To clear a part of a selection:

    • press and hold down the Ctrl+Shift keys, then click previously selected polygons: these polygons are deselected. When finished, release the Ctrl+Shift keys.

  • To toggle between select and deselect:

    • press and hold down the Shift key, then click polygons: selected polygons are deselected, and non-selected polygons are selected. When finished, release the Shift key.

For more information, see Polygon editor : Normal/Select mode.

Editing the value of selected polygons:

Depending on the domain of the polygon map that you are editing, you can change the class name, identifier or value of selected polygons.

To edit the class name, ID, or value etc. of one or more polygons:

  • double-click a polygon, or
  • select one or more polygons, then choose Edit from the Edit menu or from the context-sensitive menu,
  • select one or more polygons, and press the Enter key on the keyboard.

When you double-click a polygon, you can immediately select a class name, type an identifier, or type a value. Polygons in a polygon map using an identifier domain can only be edited individually.

When you selected multiple polygons, you can select a class name, or type a value for the selection in the appearing Edit dialog box. For more information, see Polygon editor : Edit.

All changes that you make are immediately stored in the polygon map.

Other functionality

Save:

When editing polygons in the polygon editor, all changes are immediately stored. However, to permanently store changes, you may use the Save button or the Save command on the File menu. After you used Save, any changes that you made before using Save, cannot be undone anymore with the Undo All Changes button or command. For more information, see Polygon editor : Save.

To undo all changes:

When editing polygons in the polygon editor, all changes are immediately stored. However, you can undo all changes, i.e. restore the polygon map until the moment when you last used Save, by choosing Undo All Changes from the File menu. For more information, see Polygon editor : Undo all changes.

Find undefineds:

When you wish to check whether all polygons have a valid class name, ID or value, you can use the Find Undefineds command on the Edit menu. By using Find Undefineds, all undefined polygons will appear in a special color, so that you can manually assign a proper class name, ID or value to the polygons. For more information, see Polygon editor : Find undefineds.

To customize the polygon editor:

By choosing Customize from the File menu or from the context-sensitive menu, you can select the colors in which you wish to see your digitizer cursor and undefined polygons. For more information, see Polygon editor : Customize.

Extract segments:

To extract all segments from the polygon map and create an editable segment map, select Extract Segments from the File menu. For more information, see Polygon editor : Extract Segments.

Create labels:

To create an editable point map in which each polygon has a label point, select Create Labels from the File menu. For more information, see Polygon editor : Create Labels.

Apply labels:

To apply point labels to the polygons, select Apply Labels from the File menu. For more information, see Polygon editor : Apply Labels.

Copy polygons to clipboard:

You can copy selected polygons with their coordinates and class names, IDs, or values to the clipboard. Select the polygons you wish to copy and choose Copy from the Edit menu. The coordinates of polygon boundaries and the polygon class names, IDs or values are copied. The copied polygon(s) will also be available as picture.

Copied polygons can be pasted for instance as points in a point editor, or as segments in a segment editor. For more information, see Polygon editor : Copy.

To exit the polygon editor:

To exit the polygon editor, choose the Exit editor option from the File menu or from the context-sensitive menu. You can also click the Exit editor button in the toolbar. In these cases, the editor is closed but the map(s) remain displayed in a map window.

When you double-click the Close button or the Control-menu box, the map and the editor are closed.

All changes that you make in the polygon map are continuously stored.

For more information, see also Appendices : Keyboard shortcuts and Appendices : Mouse functions.

See also:

Polygon editor : menu commands

Polygon editor : toolbar


Polygon editor : toolbar

Polygon editor

Toolbar

The toolbar of the Polygon editor is similar to the toolbar of a map window; there is an extra button to select polygons, and there are buttons to undo changes, to save changes and to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map:

Displays the entire map in the map window.

Redraw:

Redraws the contents of the map window.

Measure Distance:

Allows you to measure the distance and the angle between two points in the map window.

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the map window when zoomed in.

The mouse pointer will change into a hand, then:

  • click somewhere in the map window, and drag this part of the map window to another position.

Zoom In:

Allows you to zoom in on a selected spot or area in the map window.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the map window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the map window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the map window to zoom out with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom out factor).

Normal/Select mode:

Allows you to select one or more existing polygons to be edited. The mouse pointer will change into a little hand.

To select:

  • a single polygon: click or double-click the polygon;
  • multiple polygons: hold the Ctrl key on the keyboard and click the polygons you wish to edit.

You can also press the Esc key on the keyboard to go to Select mode.

Undo All Changes:

Undo all changes you made after the last Save.

If you have not used Save so far, all changes since you started editing will be undone.

Save:

Save the changes you made so far. In principle, all changes are directly stored on disk. Using the Save button however, will reduce the amount of restores that will be made if the Undo All Changes option is used later on.

After you used the Save button, you can only use Undo All Changes again after you have made some further changes.

Exit editor:

Leave the editor and keep all changes. The editor will be closed but the map(s) remain displayed in a map window.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Polygon editor : functionality

Polygon editor : menu commands


Polygon editor : menu commands

Polygon editor

Menu commands
File

Undo All Changes ...
Save

Create Labels ...
Apply Labels ...
Extract Segments ...

Customize ...
Digitizer
Map Reference
Active
Exit Editor

Edit

Copy
Select All
Edit ...
Find Undefineds

Layers

similar to map window:

Add Layer ...
Add Grid Lines ...
Add Graticule ...
Remove Layer
Display Options

Background Color ...
Double-Click Action

Options

similar to map window:

Entire Map
Normal/Select
Zoom In
Zoom Out
Pan
No Zoom

Redraw
Measure Distance
Show Histogram

Extend Window
Coordinate System ...

Adjust Window Size
Layer Management
Scale Control
Toolbar
Status Bar


Polygon editor : Undo all changes

Polygon editor

 File menu

Undo all changes

Restore all changes in this polygon map since the last Save.

The Undo All Changes command can be used to restore all recent changes.

When using this Undo All Changes command:

  • all changes you made to the polygon map since you last used Save will be restored;
  • if you have not used Save so far, all changes since you started editing the map will be undone.

See also:

Polygon editor : Save

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Save

Polygon editor

 File menu

Save

Save all changes in the polygon map until this moment, so that they cannot be undone anymore by using the Undo all changes command.

Using this Save command is optional, as any change is directly and immediately stored. Thus, you can also simply close the editor and not use the Save command.

When using the Save command:

  • the polygon map will be saved as it is at the moment;
  • any changes you made to this polygon map prior to using this Save command cannot be undone anymore through the Undo all changes command;
  • only changes you make to the polygon map after using the Save command can be undone by using the Undo all changes command.

See also:

Polygon editor : Undo all changes

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Create labels

Polygon editor

 File menu

Create labels

Create for each polygon a label point, and store the labels as points in a point map.

This operation can be used for instance to rename polygons in a structured way:

  • create labels;
  • open the point map as a table,
  • edit the labels in the table;
  • apply the new label points to the polygon map.

Dialog box option:

Output point map:

Type a name for the output point map which will contain a label point for each polygon.

Tip:

To create polygon labels, you can also use the Polygons to Points operation.

See also:

Polygon editor : functionality

Polygon editor : menu commands


Polygon editor : Apply labels

Polygon editor

 File menu

Apply labels

Assign names to polygons according to a label point map.

For each label point in the point map, the surrounding polygon is determined; then the class name, ID, or value of the label point is assigned to that polygon. When multiple labels are found within one polygon, the last point (as seen when you display the point map as a table) is assigned to the polygon.

Dialog box option:

Label points:

Select the name of a point map which contains labels that you want to assign to the polygons.

Tip:

To assign label points to polygons, you can also use the Assign labels to polygons (LabelPol) operation.

See also:

Polygon editor : functionality

Polygon editor : menu commands


Polygon editor : Extract segments

Polygon editor

 File menu

Extract segments

Extract all segments from the polygon map and create a segment map of it.

This operation can be used if you wish to edit the polygon boundaries as segments in the segment editor, and then repolygonize the segments.

This operation can also be used when you want to obtain different polygon maps out of one polygon map: extract segments, assign different class names, IDs or values to the segments, then polygonize the segment map again using a mask.

Dialog box options:

Output segment map: | Type a name for the output segment map that will contain the extracted polygon boundaries.
Domain: | Select an existing domain for the output segment map. All extracted segments obtain the first class name, ID or value that is found in the selected domain.
Edit: | Select this check box to continue in the segment editor when the segment extraction has finished. Clear this check box if you do not want to see the segment map immediately: you simply define how the map should be created; you remain in the polygon editor.

Tip:

To extract boundaries of specific polygons, i.e. by using a mask, use the Polygons to Segments operation.

See also:

Polygon editor : functionality

Polygon editor : menu commands


Polygon editor : Customize

Polygon editor

 File menu

Customize

Customize the manner in which polygon boundaries are displayed in the polygon editor.

This dialog box appears when in the Polygon editor:

  • you selected Customize from the File menu, or
  • you selected Customize from the context-sensitive menu.

Dialog box options:

Cursor color: | Select a color in which the digitizer cursor should be displayed in the polygon editor; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Find undef color: | Select a color in which undefined polygons (i.e. polygons without value, class name or ID) should be displayed (boundaries and hatching), in case you use Find Undefineds from the Edit menu.

In the polygon editor:

  • polygons of a domain class map are shown according to the colors of the representation class that is linked to the class domain of the map.
  • polygons of a domain identifier map can be shown in a single color or in multiple colors (7, 15, or 31).
  • polygons of a domain value map are not shown in colors, only the polygon boundaries are visible.

Tip:

  • If you changed colors and the polygon editor does not respond immediately, you may redraw the map by clicking the Redraw button [image].

Settings are automatically stored in the registry.

See also:

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Digitizer

Polygon editor

 File menu

Digitizer

When you wish to use the digitizer to edit the class name, ID or value of single polygons in your polygon map:

  1. Your digitizer should be set up properly:

    2. the Setup Digitizer command, on the File menu of the Main window should be preceded with a check mark [image].

  2. You should have performed a Map Reference, so that the coordinates sent by the digitizer can be translated into real world coordinates:

    3. the Map Reference command on the File menu of the Main window, or the Digitizer, Map Reference command on the File menu of the polygon editor should be preceded with a check mark [image].

  3. You should make the digitizer Active in the editor, so that a floating window appears with the digitizer commands (the digitizer menu):

    4. the Digitizer, Active command on the File menu of the polygon editor should be preceded with a check mark [image].

The digitizer menu with the digitizer commands looks like:

The coordinates at the top of the digitizer menu show the real world coordinates of your map (this is the result of Map Reference); these coordinates should change when you move the digitizer cursor over the digitizer tablet.

For detailed information on using the digitizer to edit the names, IDs or values of polygons, see Polygon editor : functionality, section Working with the digitizer.

Tip:

You can also use the mouse to edit the names or values of multiple selected polygons. For more information, see Normal/Select Mode and Edit.

See also:

How to setup a digitizer and start digitizing

Map Reference

Digitizer, Active

Polygon editor : functionality

Polygon editor : functionality, working with the digitizer

Polygon editor : functionality, working with the mouse

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Copy

Polygon editor

 Edit menu

Copy to clipboard

Copy selected polygons with their coordinates and their class names, identifiers or values to the clipboard. In the clipboard, the information is available both in text format and in picture format.

Subsequently, the copied polygons can be pasted as segments into a segment editor, as points into a point editor and/or into any other application which uses the picture format or the text format (e.g. a word processor or a data base).

To copy:

Select one or more polygons, and:

  • choose Copy from the Edit menu, or
  • press Ctrl+C on the keyboard.

For more information on selecting polygons, see Polygon editor : Normal/Select mode.

Tips:

  • To copy the active window including the window borders, title bar, menu bar and status bar as a bitmap to clipboard, press Alt+PrintScrn on the keyboard.
  • Also from within a map window, you can copy (the displayed part of) a map as a picture to the clipboard; choose Copy from the Edit menu in a map window. Coordinate information will not be available however.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard. For more information, see the Windows Help.

Example:

Two polygons which have been copied to the clipboard, in text format and in picture format.

Text format (only part of the copied polygons is shown in text here):

803910.67256600002 | 8072629.9306619996 | Lake
803999.13318799995 | 8072564.9740700005
804211.52414999995 | 8072553.4357279995
804403.402504 | 8072514.9745880002
... | ...
804393.57354600006 | 8074337.1779319998 | Lake
804303.83088599995 | 8074364.1007300001
804186.73808200005 | 8074306.4090200001
804158.10589999997 | 8074266.2384959999
... | ...
799203.02902999998 | 8072444.0351520004 | Airport
799733.792762 | 8071897.8869639998
... | ...
799733.792762 | 8071897.8869639998 | Airport
801823.94204800006 | 8071897.8869639998
... | ...

Picture format:

Two copied polygons shown as picture

See also:

Polygon editor : functionality

Polygon editor : menu commands

Polygon editor : Normal/Select Mode

Segment editor : Paste

Point editor : Paste

Map window : copy to clipboard


Polygon editor : Edit

Polygon editor

 Edit menu

Edit ...

Edit the class name(s) or value(s) of the current selection of polygons, or edit the ID of a single selected polygon (when using the mouse). The polygon(s) that you wish to edit should first be selected with the mouse in Normal/Select mode.

Edit the class name, ID, or value of a single polygon (when using the digitizer).

This dialog box appears:

  • when you select one or more polygons with the mouse in Normal/Select mode, and:
    • choose Edit from the Edit menu, or
    • choose Edit from the context-sensitive menu, or
    • press the Enter key on the keyboard.
  • when you press the Edit Value digitizer button on a polygon.

For more information on:

  • using the mouse, refer to Polygon editor : functionality, section Working with the mouse or Polygon editor : Normal/Select mode.
  • using the digitizer, refer to the Polygon editor : functionality, section Working with the digitizer.

Mind: In a polygon map that uses an ID domain or a system UniqueID domain, you can only edit polygons one by one.

Tip: To edit the class name, ID or value of a single polygon, you can also double-click the polygon with the mouse. You will then not get this Edit dialog box, but you can select a class name from a list, or type an ID or value in a small text box.

Dialog box:

Area (ha) & Length, or Nr of polygons:

For your information:

  • when a a single polygon has been selected, the area and length of the selected polygon are listed;
  • when multiple polygons have been selected, the number of selected polygons is listed.

Class name/ID/Value:

To assign a class name, ID, or value to the selected polygon(s), and depending on the domain of the polygon map: select a class name from the drop-down list, type an ID, or type a value.

Class names, IDs, values, etc.

  • For a map using a class domain: select an existing class name from the drop-down list.

    • To assign a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using an ID domain: type an ID for the single selected polygon.

    • When an ID is assigned that already exists in the map, a question is asked whether you wish to use the same ID again or not.

    A new ID will be automatically added to the ID domain.

  • For a map using a value domain: type a value.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: select True, False, or ? (= undefined) from the drop-down list.

When you choose the '?' question mark, the selected polygon(s) will have not get a class name or value; they will have the undefined value.

Tips:

  • The width of class names, IDs, or values as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the Domain Properties sheet.
  • Dependent maps cannot be edited; first break the dependency links of the map in the Polygon Map Properties sheet.

See also:

Polygon editor : Normal/Select mode

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Find undefineds

Polygon editor

 File menu

Find undefineds

To find polygons which do not have a value, class name or ID yet.

The Find Undefineds command is active when a check mark [image] appears in front of this menu command.

When using Find Undefineds:

  • undefined polygons will be displayed in the color as specified in the Polygon editor - Customize dialog box;
  • with the mouse, select one or more undefined polygons by clicking;
  • then, choose Edit from the context-sensitive menu or from the Edit menu to assign a proper value, class name or ID to the selection.

When finished, you can switch off the Find Undefineds command again.

Tip: To select multiple undefined polygons and give them the same value or class name: press and hold down the Ctrl key while clicking undefined polygons. Then choose the Edit command as usual.

See also:

Polygon editor : Normal/Select Mode

Polygon editor : Edit

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands


Polygon editor : Normal/Select mode

Polygon editor

 Options menu

Normal or Select mode

Choose Normal/Select mode to select one or more polygons with the mouse.

After the selection, you can edit the code of the polygon(s) or copy the polygon(s) to clipboard.

When Normal/Select mode is active:

  • the mouse pointer appears as a hand,
  • an option bullet [image] appears in front of this menu command, and
  • the Normal/Select mode button in the toolbar appears down.

Tip: You can also press the Esc key on the keyboard to go to Select mode.

To select a single polygon:

  • click the polygon you wish to select.

Tip: When you double-click a polygon, you can directly edit the value, class name or ID of the polygon.

To add polygons to a selection:

  • press and hold down the Ctrl key on the keyboard,
  • click the polygons you wish to select.

When finished, release the Ctrl key.

To clear part of a selection:

  • press and hold down the Ctrl+Shift keys on the keyboard,
  • click the selected polygons that should not be part of the selection.

To toggle between selecting and deselecting:

  • press and hold down the Shift key on the keyboard,
  • when you click a non-selected polygon, it will be selected,
  • when you click a selected polygon, it will be cleared from the selection.

To clear the whole selection:

  • press the Esc key on the keyboard, or
  • click in the white space next to any polygons.

Tip: To select all polygons, choose Select All from the Edit menu.

See also:

Polygon editor : functionality

Polygon editor : toolbar

Polygon editor : menu commands

Polygon editor : Edit

Polygon editor : Copy


Segment editor : functionality

Segment editor

Functionality

The segment editor is used to create and/or edit a segment map. Furthermore, you can create a polygon map, by first digitizing segments with the segment editor, and then polygonizing the segments in the segment editor into a polygon map. For more information on creating a polygon map, see also How to create polygon maps.

With the segment editor, you can:

  • insert new segments and delete existing segments;
  • edit the class name, ID or value of existing segments;
  • change the position of intermediate coordinates within a segment;
  • insert new nodes with segments (split) or merge two segment with the same code into a new segment;
  • check segments and polygonize segments.

Additionally, you can copy and paste segments to and from the clipboard, and you can pack, check and polygonize segments.

The segment editor has a menu bar, a context-sensitive menu, and a toolbar.

You can create and edit segments with the mouse on the screen, but you can also use a digitizer when a map is fixed onto your digitizer tablet.

  • When you wish to use the mouse, the segment editor has a Select mode, a Move Points mode, an Insert mode, and a Split/Merge mode.
  • When you wish to use a digitizer for the first time, you may have to setup the digitizer, reference the map on the digitizer, and/or make the digitizer active. For more information, see below.

    • When digitizer is active, a digitizer menu (see Figure 1 below) with the digitizer commands appears.

Furthermore, in any map editor you can always use existing maps as a background by adding these maps as other data layers to the window, see How to add extra layers to a map window.

When you wish to create polygons later on, you have to make sure that all segments are properly connected to each other by nodes. This means that during digitizing and/or editing, you must to use snap and split for the beginnings and the ends of all segments that are supposed to be connected to each other.

To start the segment editor:

The segment editor is automatically started when you create a new segment map.

To edit an existing segment map, display the segment map in a map window, open the Edit menu, choose Edit Layer, and select the segment layer from the cascading menu. You can also click a segment map with the right mouse button in a Catalog and choose Edit from the context-sensitive menu. For other methods, see How to edit point, segment, polygon, and raster maps.

Dependent segment maps cannot be edited: first break the dependency links in the Segment Map's Properties sheet.

When the segment editor is opened, it starts in Select mode; the mouse pointer appears as a hand.

Working with the digitizer

Make sure that the digitizer is properly set up (Setup Digitizer wizard) and that the analog map is properly referenced on the digitizer tablet (Map Reference). The Setup Digitizer and the Map Reference commands on the File menu of the Main window should both be preceded with a check mark [image]. For more information, see also How to set up a digitizer and start digitizing or Segment editor : Digitizer.

When the digitizer is [image] Active in the segment editor, a small, floating window will appear: the digitizer menu (see Figure 1). The digitizer menu contains the commands that will be performed when pressing the buttons on the digitizer cursor. The numbers in front of the commands on the digitizer menu correspond to the numbers of the buttons of your digitizer cursor.

When in the description below, it is written that you have to press for instance the Move Points button, you have to press the button of your digitizer cursor which corresponds with the number in front of the Move Points option on the digitizer menu. In this example, this is the digitizer button corresponding with 3:

Fig. 1: Example of the digitizer menu in the segment editor.

Zooming/Changing the window:

During digitizing, it is very important that you zoom in on the part on which you are currently working to ensure proper snapping and splitting. You can use the Zoom in button in the toolbar of the editor, but you can also zoom in with the digitizer cursor.

To zoom in with the digitizer buttons:

  • Press the Change Window button, and move the cursor to the first corner of the area on which you wish to zoom in;
  • Press the 1st Point button, you now see the zoom in box tied to the first point, then move the cursor to the 2nd position of the area you wish to zoom in;
  • Press the 2nd Point button.

You can also directly position the digitizer cursor on the first corner of the area of interest, press the Change Window button, then move the cursor to the second corner of the area of interest, and press the 2nd Point button.

To display the entire map again:

  • Press the Change Window button;
  • Press the Entire Map button.

Adding segments

To start segments:

  1. To start a segment with a loose end:
    • Position the cursor at the location where you wish to start a new segment.
    • Press the Begin Segment button, and move the cursor in the direction of the segment you wish to digitize.
    • Press the Enter Point button. You can either press this button each time you wish to insert another intermediate point, or keep this button down to automatically add intermediate points while moving the cursor along the segment (stream mode).

      • Note: While 'coordinates' are sent from the digitizer to the segment map, automatic tunneling is applied to reduce the amount of coordinates that need to be stored in the segment map. The so-called tunnel tolerance can be specified in the Customize dialog box of the segment editor (File menu).

  2. To start segments from an existing node on an existing segment (snap):
    • Position the cursor at the node;
    • Press the Snap Segment button: the selected node changes its color;
    • When you wish to snap to another node than to the one that is currently selected, press the Snap Other button until the correct node is selected. If necessary, first move the cursor closer to the desired node.
    • When the desired node is selected, press the Accept button: your new segment is snapped to the existing node.

  3. To start a segment from any other position in an existing segment (snap/split):
    • Position the cursor at the desired location in the segment;
    • Press the Snap Segment button;
    • Press the Snap Split button;
    • When you wish to split the existing segment at another location, press the Return button and repeat the steps above until the correct location is selected;
    • Press the Accept button: the existing segment is split at the selected location and your segment is snapped to the newly created node.

To delete intermediate points while inserting a segment:

  • Press the Delete Last Point button to remove the last point; continue to do so to remove one intermediate point at a time, or
  • Press and hold down the Delete Last Point button and move the cursor backwards over the segment to delete multiple intermediate point(s).

To end segments:

  1. To end a segment with a loose end:
    • Position the cursor at the last point of the segment.
    • Press the End Segment button.

  2. To end a segment on an existing node of an existing segment (snap):
    • Position the cursor at the node;
    • Press the Snap End Segment button;
    • When you wish to snap to another node than to the one that is currently selected, press the Snap Other button, until the correct node is selected. If necessary, first move the cursor closer to the desired node.
    • When the desired node is selected, press the Accept button: your segment is snapped to the existing node.

  3. To end a segment at any other position in an existing segment (snap/split):
    • Position the cursor at the desired location in the segment;
    • Press the Snap End Segment button;
    • Press the Snap Split button to split the segment: the selected point is shown as a red box;
    • When you wish to split at another location in the same or in another segments, move to that location and press the Snap Split button until the correct position is selected;
    • When the correct position is selected, press the Accept button: the existing segment is split at the selected location and your segment is snapped to the newly created node.
    • When you decide not to snap, press the No Snapping button to return without changes.

To assign a class name, ID or value to the segment:

Each time that you end a segment, an Insert/Edit dialog box will be opened asking for the class name, ID, or value of the new segment. Whether you can enter a class name, type an ID, or type a value depends on the domain of the map.

In case the map uses a class or value domain, the class name or value you just entered will be the default for any next segments that you will digitize.

Moving points within segments:

To move a segment node or an intermediate point within a segment:

  • Press the Move Points button and position the cursor at the point you wish to move;
  • Press the Take Points button to pick up the point;
  • When you wish to move another point than the one that is currently selected, press the Take Points button until the correct point is selected. If necessary, first move the cursor closer to the desired point;
  • Move the cursor to the new location of the point;
  • Press the New Position button to drop the node or the intermediate point at its new position.

Working with the mouse

To zoom in on the map:

You can zoom in on the segment map by for instance clicking the Zoom In button in the toolbar. For more information, see Map window : Zoom in.

To choose between different modes:

In the segment editor, you can work in Select mode, in Move Points mode, in Insert mode or in Split/Merge mode.

To switch to a certain mode:

  • select another mode from the Edit menu, or
  • click one of the mode buttons in the toolbar.

To go to Select mode, you can also press the Esc key on the keyboard.

Select mode to select existing segments:

In Select mode, the mouse pointer appears as a hand. You can select one or more segments by clicking them, in order to change their class name, ID, or value.

  • To select a single segment:

    • click a segment.

    When you double-click a segment, you can immediately change the class name, ID, or value of the segment.

  • To add segments to a selection:

    • press and hold down the Ctrl key and click the other segments you wish to select. When finished, release the Ctrl key.

  • To clear a part of a selection:

    • press and hold down the Ctrl+Shift keys, then click previously selected segments: these segments are deselected. When finished, release the Ctrl+Shift keys.

  • To toggle between select and deselect:

    • press and hold down the Shift key, then click segments: selected segments are deselected, and non-selected segments are selected. When finished, release the Shift key.

For more information, see Segment editor : Select mode.

Editing the code of selected segments:

Depending on the domain of the segment map that you are editing, you can change the class name, identifier or value of selected segments.

To edit the class name, ID, or value etc. of one or more segments:

  • double-click a segment, or
  • select one or more segments, and choose Edit from the Edit menu or from the context-sensitive menu, or
  • select one or more segments, and press the Enter key on the keyboard.

When you double-click a segment, you can immediately select a class name, type an identifier, or type a value. Segments in a segment map using an identifier domain can only be edited individually.

When you selected multiple segments, you can select a class name, or type a value for the selection in the appearing Edit dialog box. For more information, see Segment editor : Edit.

All changes that you make are immediately stored in the segment map.

Deleting selected segments:

To delete segments, first make a selection, and then press the Del key on the keyboard, or choose Delete from the Edit menu or from the context-sensitive menu. For more information, see Segment editor : Delete.

To cut, copy and paste:

When you choose Cut from the Edit menu, the current selection of segments is copied to the clipboard and then deleted from the map. For more information, see Segment editor : Cut.

To copy segments to the clipboard, make a selection and choose Copy from the Edit menu. Segment coordinates and segment class names, identifiers or values are copied. The copied segment(s) will also be available as picture.

The copied segments can for instance be pasted as points into a point editor, or as segments into a segment editor. For more information, see Segment editor : Copy.

To paste data from the clipboard into the current segment map, choose Paste from the Edit menu. You can paste points, segments, polygon boundaries, and pixels. For more information, see Segment editor : Paste.

Insert mode to add segments to the segment map:

In Insert mode, the mouse pointer appears as a pencil. In Insert Mode you can use Autosnap. When Autosnap is active, the system automatically snaps to nodes and splits when necessary, i.e. there is less need to use the Shift and/or Ctrl keys as described below. You can specify a snap tolerance in pixels in the Customize Segment editor dialog box.

To insert a new segment:

  • position the mouse pointer on the location where you wish to start a new segment;
  • press the left mouse button to start the segment (begin node);
  • hold the left mouse button down and move the mouse to automatically insert segment coordinates (stream mode), or
  • click at the positions at which you wish to insert intermediate points;
  • double-click or press the space bar to end the segment with a loose end (end node).

    • Note: While 'coordinates' are sent from the editor window to the segment map, automatic tunneling is applied to reduce the amount of coordinates that need to be stored in the segment map. The so-called tunnel tolerance can be specified in the Customize dialog box of the segment editor (File menu).

To delete intermediate points while inserting a segment:

  • press the right mouse button once to delete the last point, or
  • press the Del key to delete the last point, or
  • keep the right mouse button down and move the mouse backwards over the segment to delete multiple points, or
  • press the Esc key to delete all points of an unfinished segment; the whole unfinished segment will be removed.

To connect a new segment to an existing node (snap):

  • position the mouse pointer on the node to which you wish to snap;
  • press and hold down the Shift key and click the node;
  • when AutoSnap is active, you can simply click the node.

To start or end a new segment on an existing segment (snap/split):

  • position the mouse pointer somewhere on a segment;
  • press and hold down the Ctrl key and click the segment;
  • a message box asks for confirmation to split the segment;
  • when you answer Yes, the new segment is snapped to the new node.

Each time that you end a new segment, an Insert/Edit dialog box will be opened asking for the class name, ID, or value of the new segment. Whether you can enter a class name, type an ID, or type a value depends on the domain of the map.

In case the map uses a class or value domain, the class name or value you just entered will be the default for any next segments that you will insert.

Move Points mode to change the position of a coordinate in a segment:

In Move Points mode, the mouse pointer appears as a pair of tweezers. Furthermore, all segment nodes appear as boxes and all intermediate coordinates appear as crosses. In Move Points mode, you can drag individual coordinates within a segment to a new position.

There are three ways to move a node or an intermediate point:

  1. Click a begin or end node or an intermediate point;
    the selected point and its segment change their color;
    • Move the point to another position;
    • Click again to drop the point.

  2. Press and hold down the left mouse button on a node or an intermediate point;
    the selected point and its segment change their color;
    • Move the point to another position;
    • Release the left mouse button to drop the point.

  3. To pick up a node to which multiple segments are connected: click the node;
    the node is selected and one segment changes its color;
    • If this is not the segment you wish, do not move the mouse and click again, until the correct segment is selected;
    • Then, move the node to another position.
    • Click again to drop the point.

To snap the selected point to an existing node:

  • position the selected point on the node to which you wish to snap;
  • press and hold down the Shift key and click or release the left mouse button on the node;
  • when AutoSnap is active, you can simply click or release the left mouse button on the node.

To split a segment and snap to the selected point to the created node (snap/split):

  • position the selected point somewhere on a segment;
  • press and hold down the Ctrl key and click somewhere on the segment;
  • a message box asks for confirmation to split the segment to which you wish to snap to.

Split/Merge mode to split and merge segments:

In Split/Merge mode, the mouse pointer appears as a pair of scissors.

To split a segment:

  • Position the mouse pointer at the location in the segment where you wish to split;
  • Click the left mouse button;
  • A message box asks for confirmation to split the segment.

To merge two segments:

To remove a superfluous node which connects only two segments which have the same code:

  • Position the mouse pointer at the node;
  • Click the left mouse button.
  • A message box asks for confirmation to merge the segments.

Other functionality

To customize the segment editor:

By choosing Customize from the File menu or from the context-sensitive menu, you can specify for instance whether to use Autosnap or not, the distances that should be used for snapping and tunnelling, and the colors to display your segments. For more information, see Segment editor : Customize.

Save:

When editing segments in the segment editor, all changes are immediately stored. However, to permanently store changes, you may use the Save button or the Save command on the File menu. After you used Save, any changes that you made before using Save, cannot be undone anymore with the Undo All Changes button or command. For more information, see Segment editor : Save.

To undo all changes:

When editing segments in the segment editor, all changes are immediately stored. However, you can undo all changes, i.e. restore the segment map until the moment when you last used Save, by choosing Undo All Changes from the File menu. For more information, see Segment editor : Undo all changes.

Undelete segments:

When segments were accidentally deleted, you can use the Undelete Segments command on the Edit menu to selectively recover deleted segments. For more information, see Segment editor : Undelete segments.

Find undefineds:

When you wish to check whether all segments have a valid class name, ID or value, you can use the Find Undefineds command on the Edit menu. By using Find Undefineds, all undefined segments will appear in a special color, so that you can manually assign a proper class name, ID or value to the segments. For more information, see Segment editor : Find undefineds.

To extend or reduce the coordinate boundaries of the map:

While you are in the segment editor, you can extend the map's coordinate boundaries or reduce the map's coordinate boundaries. This will affect the area in which coordinates can be entered into the map. For more information, see Boundaries of map.

To check segments:

To check whether segments are correctly digitized, choose Check Segments from the File menu. For regular polygonization, you can perform a check on Self Overlap, Dead Ends, and Intersections. Furthermore, for contour lines, you can perform the Code Consistency check; and for imported segments where each segment encloses a full future polygon, you can perform the Closed Segments check.

To polygonize segments:

To polygonize segments, choose Polygonize from the File menu. During regular polygonization, topology is created. You can polygonize the entire segment map or a selection of segments in the current segment map. You can create different polygon maps from one segment map, by using a mask.

When you polygonize, a check on Self Overlap, Intersections and Dead Ends is automatically performed before the map is polygonized. If there are errors in the segments, the operation is aborted and the errors must first be corrected. After correction the operation can be restarted. It is therefore advised to check segments before polygonization; in case errors are found, you have to correct these.

When during polygonization you created a dependent polygon map, and you have changed or updated the original segment map in the mean time, you can easily update the dependent polygon map by clicking the Make Up-to-Date button in the Polygon Map Properties sheet.

In case you imported segments of which each segment encloses a full future polygon, you can use the non-topological polygonization method.

To remove redundant nodes:

To remove nodes which connect 2 segments only, regardless of segment codes, choose Remove Redundant Nodes from the File menu. This option can for instance be used to reduce the number of segments after importing a segment map from another package, to speed up polygonization, and to improve complex line drawing.

The option combines the 2 segments around a found redundant node into a new segment and this new segment obtains the code of the segment encountered first. It is advised to make a backup of your segment map before performing this command.

To pack segments:

To permanently remove segments from a segment map, when you have marked some segments for deletion, choose Pack from the File menu.

To exit the segment editor:

To exit the segment editor, choose the Exit Editor command on the File menu or from the context-sensitive menu. You can also click the Exit editor button in the toolbar. In these cases, the editor is closed but the map(s) remain displayed in a map window.

When you double-click the Close button or the Control-menu box, the map and the editor are closed.

All changes that you make in the polygon map are continuously stored.

For more information, see also Appendices : Keyboard shortcuts and Appendices : Mouse functions.

See also:

Segment editor : menu commands

Segment editor : toolbar


Segment editor : toolbar

Segment editor

Toolbar

The toolbar of the Segment editor is similar to the toolbar of a map window; there are extra buttons for the different editing modes of the Segment editor, and there are buttons to undo changes, save changes, and to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map:

Displays the entire map in the map window.

Redraw:

Redraws the contents of the map window.

Measure Distance:

Allows you to measure the distance and the angle between two points in the map window.

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the map window when zoomed in.

The mouse pointer will change into a hand, then:

  • click somewhere in the map window, and drag this part of the map window to another position.

Zoom In:

Allows you to zoom in on a selected spot or area in the map window.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the map window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the map window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the map window to zoom out with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom out factor).

Select mode:

Allows you to select one or more existing segments to be edited. The mouse pointer will change into a little hand.

To select:

  • a single segment: click or double-click the segment;
  • multiple segments: hold the Ctrl key on the keyboard and click the segments you wish to edit.

You can also press the Esc key on the keyboard to go to Select mode.

Move Point mode:

Allows you change the position of an existing point of a segment. The mouse pointer will change into a little pair of tweezers.

  • Select a begin node or an end node of a segment, or select an intermediate point within a segment, and drag this point to a new position.

Insert mode:

Allows you to insert new segments. The mouse pointer will change into a little pencil.

Split/Merge mode:

Allows you to split a segment (insert a node within a segment), or to merge segments (delete a node between two segments with the same class name, ID or value). The mouse pointer will change into a pair of scissors.

Undo All Changes:

Undo all changes you made after the last Save.

If you have not used Save so far, all changes since you started editing will be undone.

Save:

Save the changes you made so far. In principle, all changes are directly stored on disk. Using the Save button however, will reduce the amount of restores that will be made if the Undo All Changes option is used later on.

After you used the Save button, you can only use Undo All Changes again after you have made some further changes.

Exit editor:

Leave the editor and keep all changes. The editor will be closed but the map(s) remain displayed in a map window.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Segment editor : functionality

Segment editor : menu commands


Segment editor : menu commands

Segment editor

Menu commands
File

Undo All Changes
Save
Check Segments
Self Overlap
Dead Ends
Intersections
Code Consistency
Closed Segments
Remove Redundant Nodes
Pack
Polygonize
Boundaries of map

Customize
Digitizer
Map Reference
Active
Exit Editor

 Edit

Cut
Copy
Paste
Delete

Select All
Edit ...
Insert Code ...

Select Mode
Move Points
Insert Mode
Split/Merge Mode

Undelete Segments
Find Undefineds

Layers

similar to map window:

Add Layer ...
Add Grid Lines ...
Add Graticule ...
Remove Layer
Display Options

Background Color ...
Double-Click Action

Options

similar to map window:

Entire Map
Normal/Select
Zoom In
Zoom Out
Pan
No Zoom

Redraw
Measure Distance
Show Histogram

Extend Window
Coordinate System ...

Adjust Window Size
Layer Management
Scale Control
Toolbar
Status Bar


Segment editor : Undo all changes

Segment editor

 File menu

Undo all changes

Restore all changes in this segment map since the last Save.

The Undo All Changes command should be used to restore all recent changes. To undelete specific segments which were accidentally deleted before, use the Undelete Segments command on the Edit menu of the segment editor.

When using this Undo All Changes command:

  • all changes you made to the segment map since you last used Save will be restored;
  • if you have not used Save so far, all changes since you started editing the map will be undone.

See also:

Segment editor : Undelete Segments

Segment editor : Save

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Save

Segment editor

 File menu

Save

Save all changes in the segment map until this moment, so that they cannot be undone anymore by using the Undo All Changes command.

Using this Save command is optional, as any change is directly and immediately stored. Thus, you can also simply close the editor and not use the Save command.

When using the Save command:

  • the segment map will be saved as it is at the moment;
  • any changes you made to this segment map prior to using this Save command cannot be undone anymore through the Undo All Changes command;
  • only changes you make to the segment map after using the Save command can be undone by using the Undo All Changes command.

Tip: To undelete specific segments, use the Undelete segments command.

See also:

Segment editor : Undo all changes

Segment editor : Undelete segments

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Check segments

Segment editor

 File menu

Check Segments

With Check Segments you can check whether segments have been correctly digitized. The Check Segments command is also automatically performed when you choose the Polygonize option in the segment editor.

Select one of the following options:

- | Self overlap: | Checks whether segments overlap themselves. Overlapping segments cannot be polygonized, with this option overlaps can be traced and corrected.
- | Dead ends: | Checks whether segments have dead ends. Segments with dead ends cannot be polygonized, with this option dead ends can be traced.
- | Intersections: | Checks whether different segments cross each other. Crossing segments cannot be polygonized, also contour lines with different height values are not supposed to cross each other. With this option intersections can be traced and corrected.
- | Code consistency: | Checks whether segments, which are connected to each other by a node, have the same value. This option is designed to check whether a contour line, which consists of multiple consecutive segments, has one height value. To polygonize segments, this check is not necessary.
- | Closed segments: | Checks whether each segment has only 1 node serving both as the begin node and as the end node. This format is required if you wish to use non-topological polygonization, for instance when you imported vector files (e.g. DXF) into ILWIS earlier on, and now wish to polygonize the segment map which is the result of the import.

If an error is encountered, some questions will be asked whether you wish to zoom in and whether the segment(s) should be automatically corrected (if possible). If you answer these questions with No, the segment check stops and you can correct the error manually. After an automatic correction, the check will be continued automatically; after a manual correction, you have to restart the check yourself.

If no errors are encountered for a check, a message will appear stating that the segments are OK.

See also:

Check segments : Self overlap

Check segments : Dead ends

Check segments : Intersections

Check segments : Code consistency

Check segments : Closed segments

Segment editor : Polygonize

Segment editor : functionality


Check segments : Self overlap

Segment editor

 File menu

Check segments - Self overlap

Checks whether segments partly overlap themselves and intersect themselves. This check should be used when you wish to polygonize your segments.

Dialog box options:

Mask: | Select this check box if you want to check a specific selection of segments. Subsequently, specify the multiple search strings to check only those segments. Clear this check box to check all segments.
Start at Begin: | Start the check with the first segment.
Start at Number: | Start the check with any segment. Subsequently, type the (internal) segment number where the check should start. Previous segments will be skipped.

If a self overlap is found:

  • the overlap is marked on the map with a red square;
  • a message box appears stating the code of the segment and the (internal) segment number, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Move Points Mode.

If a self intersection is found:

  • the self intersection is marked on the map with a red square;
  • a message box appears asking you to zoom in on the error or not;
  • whether you let the program zoom in or not, a subsequent message box will appear stating the code of the segment and the (internal) segment number, asking you to remove the false polygon or not:
    • Yes: remove the false polygon, and continue checking, or
    • No: another message box will appear, asking whether you wish to split the segment at the intersection:
        • Yes: split the segment at this intersection, and continue checking, or
        • No: return to the segment editor in Move Points Mode, and manually correct the error.

After an automatic correction, the check will be continued automatically; after a manual correction, you have to restart the check yourself.

If no errors are encountered for this check, a message will appear stating that the segments are OK.

See also:

Segment editor : Check segments

Segment editor : Polygonize

Segment editor : functionality


Check segments : Dead ends

Segment editor

 File menu

Check segments - Dead ends

Checks whether segments have dead ends and whether nodes are properly connected to nodes. It is also checked whether segments partly overlap themselves. This check should be used when you wish to polygonize your segments.

Dialog box options:

Mask: | Select this check box if you want to check a specific selection of segments. Subsequently, specify the multiple search strings to check only those segments. Clear this check box to check all segments.
Start at Begin: | Start the check with the first segment.
Start at Number: | Start the check with any segment. Subsequently, type the (internal) segment number where the check should start. Previous segments will be skipped.

If a dead end is found:

  • the dead end is marked on the map with a red square;
  • a message box appears stating the code of the segment and the (internal) segment number, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Move Points Mode.

If a node is found on a segment which has not been properly snapped to the segment:

  • the node which overlays the segment is marked on the map with a red square;
  • a message box appears stating the code of the segment and the (internal) segment number, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually. You can do this for instance by going to Move Points Mode, take the node where the error is detected and move it a little over the other segment while keeping the left mouse button down, press the Shift key and hold it down, then release the left mouse button.

    A message will appear asking you whether the segment should be split.

If a self overlap is found:

  • the overlap is marked on the map with a red square;
  • a message box appears stating the code of the segment and the (internal) number of the segment, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Move Points Mode.

After a manual correction, you have to restart the check yourself.

If no errors are encountered for this check, a message will appear stating that the segments are OK.

See also:

Segment editor : Check segments

Segment editor : Polygonize

Segment editor : functionality


Check segments : Intersections

Segment editor

 File menu

Check segments - Intersections

Checks whether different segments intersect each other without a node. It is also checked whether segments partly overlap themselves. This check should be used when you wish to polygonize your segments and to make sure that contour lines do not cross each other.

Dialog box options:

Mask: | Select this check box if you want to check a specific selection of segments. Subsequently, specify the multiple search strings to check only those segments. Clear this check box to check all segments.
Start at Begin: | Start the check with the first segment.
Start at Number: | Start the check with any segment. Subsequently, type the (internal) segment number where the check should start. Previous segments will be skipped.

If different segments intersect each other without a node at the intersection:

  • the intersection is marked on the map with a red square;
  • a message box appears asking you to zoom in on the error or not;
  • whether you let the program zoom in or not, a subsequent message box will appear stating the code of the segment and the (internal) segment number, asking you to split the segments or not:
    • Yes: split the intersecting segments, and continue checking, or
    • No: return to the segment editor in Move Points Mode, and manually correct the error.

If a self overlap is found:

  • the overlap is marked on the map with a red square;
  • a message box appears stating the code of the segment and the (internal) segment number, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Move Points Mode.

After an automatic correction, the check will be continued automatically; after a manual correction, you have to restart the check yourself.

If no errors are encountered for this check, a message will appear stating that the segments are OK.

See also:

Segment editor : Check segments

Segment editor : Polygonize

Segment editor : functionality


Check segments : Code consistency

Segment editor

 File menu

Check segments - Code consistency

Checks whether segments that are connected to each other by a node have the same value. This option is designed to check whether for instance a contour line, which consists of multiple consecutive segments, has one height code. To polygonize segments, this option is not necessary.

Dialog box options:

Mask: | Select this check box if you want to check a specific selection of segments. Subsequently, specify the multiple search strings to check only those segments. Clear this check box to check all segments.
Start at Begin: | Start the check with the first segment.
Start at Number: | Start the check with any segment. Subsequently, type the (internal) segment number where the check should start. Previous segments will be skipped.

If a node is found to which segments are connected with different codes:

  • the node is marked on the map with a red square;
  • a message box appears stating the code of the segment with the error and the (internal) number of that segment, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Select Mode.

After a manual correction, you have to restart the check yourself.

If no errors are encountered for this check, a message will appear stating that the segments are OK.

Tip:

  • After using the Code Consistency check, it is advised to use the Tunnel segments operation to remove the redundant nodes that connect two segments of the same code.

    • In Tunnel Segments, you should use a tunnel width of 0 to obtain an exact copy of your segments, and select the Remove Redundant Nodes option.

  • The Remove redundant nodes option in the segment editor does not check whether two segments on both sides of a node have the same code. When a node is found which connects only two segments, then these segments will simply be merged and will obtain the code of the first segment encountered.

See also:

Segment editor : Check segments

Segment editor : functionality

Tunnel segments : functionality / algorithm


Check segments : Closed segments

Segment editor

 File menu

Check segments - Closed segments

Checks whether each segment has only 1 node serving both as the begin node and as the end node. This format is required if you wish to use non-topological polygonization, for instance when you imported vector files (e.g. DXF) into ILWIS earlier on, and now wish to polygonize the segment map which is the result of the import.

Mind: You only need to use this check if you wish to use non-topological polygonization later on.

Dialog box options:

Mask: | Select this check box if you want to check a specific selection of segments. Subsequently, specify the multiple search strings to check only those segments. Clear this check box to check all segments.
Start at Begin: | Start the check with the first segment.
Start at Number: | Start the check with any segment. Subsequently, type the (internal) segment number where the check should start. Previous segments will be skipped.

If in a segment a second node is found:

  • the second node is marked on the map with a red square;
  • a message box appears stating the code of the segment with the error and the (internal) segment number, asking you to zoom in on the error or not.

    • Whether you let the program zoom in automatically or not, you have to correct the error manually, for instance by using Move Points Mode.

After a manual correction, you have to restart the check yourself.

If no errors are encountered for this check, a message will appear stating that the segments are OK.

See also:

Segment editor : Check segments

Segment editor : Polygonize

Segment editor : functionality


Segment editor : Remove redundant nodes

Segment editor

File menu

Remove Redundant Nodes

Permanently removes redundant nodes from the current segment map. Any node which connects only 2 segments is deleted, regardless of segment codes. The two segments are glued together and the new segment obtains the code of the segment encountered first.

Mind: The Remove Redundant Nodes option may change your segment codes!

You can use the Remove Redundant Nodes command:

  • to reduce the number of segments in a segment map, for instance after importing segments from other packages;
  • to improve the continuity of segments when using complex segment line types during display or printing;
  • to speed up polygonization of segment maps in which all segments have the same code.

Tips and restrictions:

  1. It is advised to make a backup of your segment map before performing this command.
  2. As long as the progress bar is active, you cannot edit the segment map any further.
  3. The Remove Redundant Nodes command in the segment editor does not take codes of segments into account; any node between two segments is removed regardless of the codes of the segments on either side of the node and any new segment will obtain the code of the segment encountered first.
    If you wish to remove only those superfluous nodes which connect two segments of the same code, it is strongly advised to use the Tunnel segments operation.
  4. With the Tunnel segments operation, you can also reduce the amount of intermediate points within segments.

See also:

Tunnel segments : functionality/algorithm

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Pack

Segment editor

 File menu

Pack

Pack permanently removes from your segment map any segments that are marked for deletion.

Pack will thus reduce:

  • the number of segments in your map, and
  • the total file size of your segment map.

Segments are marked for deletion:

  • when you deleted segments with the Delete command,
  • when you merged segments: through merging a new segment will be created out of two merged segments, and both original segments will be deleted.

When, after you used Pack, the segment editor is still open, you can use Undo all changes to recover any changes (including the changes resulting from Pack) until the last time you used Save.

Once you used Pack, you cannot use Undelete Segments anymore to recover any specific segments which were accidentally deleted.

When, after using Pack, the segment editor is closed, all deleted segments are truly deleted and cannot be restored in any way.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Polygonize

Segment editor

 File menu

Polygonize

Polygonizes the current segment map or polygonizes a selection of segments of the current segment map.

To polygonize segments digitized in ILWIS or to polygonize imported segments which use a topological structure (see below), use the topological polygonization method. The segments are first checked for any topological errors as Self overlap, Dead ends and Intersections.

  • If an error is found, you must correct the error in the segment editor. It is advised to then first perform the separate Self overlap, Dead ends, and Intersections checks in the segment editor yourself, and restart Polygonize when these three checks are OK.
  • When the segments are correct, the polygonization will be carried out.

To polygonize imported segments of which each segment encloses a full future polygon, use the non-topological polygonization method (see below). It is first checked whether each segment has only 1 node which serves both as the begin node and as the end node of the segment (Closed segments).

  • When the segments are correct, the polygonization will be carried out.

Dialog box options:

Mask:

Select this check box if you want to polygonize a specific selection of segments. Subsequently, specify the one or more segment codes to select only those segments (see also How to use masks). Clear this check box to polygonize all segments.

Topology:

Select this check box when you digitized the segments in ILWIS, or, in case you wish to polygonize imported segments, when you are sure that each segment can be used both to define the boundary of a polygon to its left and a polygon to its right (topological structure).

Clear this check box when you imported non-topological polygons (e.g. DXF) into ILWIS earlier on, and now wish to polygonize the segment map which is the result of the import. In this type of segment maps, each segment has only 1 node (serving both as begin node and as end node), and each segment encloses exactly 1 polygon. Neighbouring polygons thus do not share the same segment as their boundary (non-topological structure).

Domain:

Select this option to use an existing domain for the polygon map, or create a new domain for the polygon map. Note that polygons will not obtain names yet during the polygonization process: after polygonization, you need to assign names, IDs, or values to all polygons yourself in the polygon editor. Select the Edit check box if you directly want to continue with the polygon editor.

Segment Codes:

Only available in case you have cleared the Topology check box, i.e. when you wish to create polygons from segments which each enclose a single polygon (non-topological): select this option when you wish to assign to each polygon, the name of the segment which encloses the polygon. Select the Show check box to display the resulting polygon map in a map window.

Label Points:

Select this option to assign class names, IDs, or values to the polygons as present in a label point map (recommended). Subsequently, select a point map from the list. Select the Show check box to display the resulting polygon map in a map window.

Unique Identifiers:

Select this option to obtain uniquely named polygons. All polygons will be named automatically and sequentially, i.e. as Pol 1, Pol 2, Pol 3, Pol 4, etc. The output map will use an internal UniqueID domain. Select the Show check box to display the resulting polygon map in a map window.

Note that some ID's may be used by the system for internal administration.

When, after polygonization, you open the output map as a domain, you can only edit the Prefix 'Pol' of the IDs.

If, after polygonization, you wish to assign other names to the polygons, you should:

  • open the Properties of the polygon map, and create an attribute table for the polygon map,
  • open the attribute table, and add an (empty) attribute column to the table into which the new polygon names can be entered later on,
  • open the map in a map window, and use the Double-click Action, Edit Attributes option to enter the desired polygon names in the attribute column,
    (if you broke the Dependency Links of the polygon map, you can also edit the map in the polygon editor and enter the desired polygon names in the attribute column),
  • use the Attribute map of polygon map operation to obtain a polygon map with the new class names, IDs, etc.

Of course, also other attributes can be entered in or joined into this attribute table.

Output polygon map:

Type a new name for the output polygon map.

Edit:

When using the Domain option: select this check box to continue in the polygon editor when polygonization has finished. Clear this check box if you do not want to see this map immediately: you simply define how the polygon map should be created.

Show:

When using the Segment Codes, Label Points or Unique Identifiers option: select this check box if you want the polygon map to be displayed in a map window when the operation has finished. Clear this check box if you do not want to see this map immediately: you simply define how the polygon map should be created.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Tips:

  • When you used the Domain option, an editable polygon map will be created (dependencies are immediately broken).
  • When you used the Segment Codes, the Label Points, or the Unique Identifiers option, a dependent polygon map will be created.
    • You can view the results of polygonization by displaying the polygon map in a map window; use the left mouse button to check polygon names, etc.
    • To edit class names, IDs or values of polygons, you first need to break the dependency link in the Properties sheet of the polygon map. Only after the dependency link has been broken, you can edit the polygon map in the polygon editor.

      • For more information, see also Basic concepts : dependent data objects and How to view and edit the properties of an object.

  • For more information on making a selection of segments with a mask, see How to use masks.
  • To polygonize segments without any user interaction, use the Segments to Polygons operation.

See also:

Segment editor : Check segments

Segment editor : functionality

Polygon editor : functionality


Segment editor : Boundaries of map

Segment editor

 File menu

Boundaries of map

Change the coordinate boundaries of the segment map you are editing.

The coordinate boundaries define the outer boundaries of the segment coordinates that can be added to your segment map.

  • By extending the coordinate boundaries of the segment map, you can also digitize segments in the extended part of the segment map.

  • When accidentally the coordinate boundaries are reduced too much, so that part of the segments would fall outside the map, the program will recalculate the outer bounding box of all segments that are already in the map and use this as the coordinate boundaries of your map; so none of your existing segments will get lost.

Dialog box options:

Min X, Y:

Type new values for the minimum X-coordinate and for the minimum Y-coordinate of the segment map. With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant.

Max X, Y:

Type new values for the maximum X-coordinate and for the maximum Y-coordinate of the segment map. With the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

Only click the Default button when the new boundaries should exactly fit the outer coordinates of the existing segments in the current map. The Min X, Y and the Max X, Y coordinates will change in the text boxes above.

Note: You cannot return to the original map boundaries once you clicked the Default button and the OK button of this dialog box.

Adapt window:

Select this check box when you wish to show the map with its new boundary coordinates (i.e. new size) in the editor.

Clear this check box if you wish to show the map with its original boundary coordinates.

After clicking the OK button, you can directly continue to digitize new segments within the new coordinate boundaries; you can also do a Map Reference again using the new corners.

When the new coordinate boundaries exceed the coordinates of the coordinate system used by the map, it is not necessary to extend the boundaries of the coordinate system used by the map.

Tips:

  • To change the coordinate boundaries of a segment map, you can also use the Sub-map of segment map operation.
  • To merge two or more segment maps, use the Glue segment maps operation.

See also:

Segment editor : functionality

Segment editor : menu commands

Map window : Extend window (dialog box)


Segment editor : Customize

Segment editor

 File menu

Customize

Customize the manner in which segments are displayed in the segment editor and/or customize the behaviour of the segment editor itself.

This dialog box appears when in the Segment editor:

  • you selected Customize from the File menu, or
  • you selected Customize from the context-sensitive menu.

Dialog box options:

Color digitizer cursor:

Select a color in which the digitizer cursor should be displayed in the segment editor; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.

Autosnap:

Select this check box to automatically snap the begin node and end node of a newly inserted segment (using the mouse) to existing nodes or to existing segments, provided that the distance to the existing node or segment is less than the snap tolerance.

Clear this check box if newly inserted segments should not be automatically snapped to existing nodes or existing segments. If you clear this check box, use the Shift key to snap to an existing node, and use the Ctrl key to split an existing segment and snap to the newly created node. For more information, see Appendices : mouse functions.

Show nodes:

Select this check box to show the nodes of segments when in Select mode and Insert mode. When you are in Move Points mode, segment nodes and intermediate points within segments are always shown.

Clear this check box when segment nodes should not be visible in Select mode and Insert mode.

Snap tolerance (m):

Enter a value for the distance interval in which snapping between newly inserted segments and existing ones is allowed.

When you insert a new segment and try to snap to an existing segment, the snap(/split) is performed when the distance between the two is smaller than the specified snap tolerance.

The smaller you choose the snap tolerance, the more difficult it is to snap to existing nodes or segments.

When working with a digitizer, the Snap tolerance is specified in meters. The snap/split distance is then independent from any zooming.

Snap tolerance (pixels):

Similar to the above. When working with the mouse, the Snap tolerance is specified in screen pixels. The snap/split distance then varies with zooming.

Tunnel tolerance (m):

Enter a value for the radius of the tunnel (in meters) that should be used for tunneling consecutive intermediate points within each segment while inserting new segments. When inserting new segments, intermediate points received while keeping the left mouse button or the digitizer cursor down (stream mode) are only stored when they fall outside the consecutive tunnels.

The smaller you choose the tunnel tolerance, the more precise the coordinates within segments are stored, the more coordinates will be stored within segments and the less smooth segments will appear.

Normal color:

Select a color for the segments, nodes and intermediate points within segments in this segment map. This color is used to display the segments in the segment editor when you choose the 'Normal' option below. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.

Retouch color:

Select a color for the segments, nodes and intermediate points within segments when moving a node or an intermediate point to another position in Move Points mode. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.

Deleted color:

Select a color to show deleted segments when using the Undelete Segments option. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.

Find undef color:

Select a color in which undefined segments (i.e. segments without value, class name or ID) should be displayed in case you use Find Undefineds from the Edit menu.

Segment colors:

Normal:

Display the segments in the segment map that you are editing in the color that you selected above for 'Normal color'.

Domain:

For domain class and value segment maps, display the segments in the segment map that you are editing in the colors according to the representation that is linked to the domain used by this map.

Primary colors:

Display the segments in the segment map that you are editing in 31 different colors.

Tips:

  • If you changed colors and the segment editor does not respond immediately, you may redraw the map by clicking the Redraw button [image] or pressing the F5 key on the keyboard.
  • Tunneling can also be performed as an operation on a segment map, see Tunnel Segments. With the Tunnel Segments operation, you can also remove redundant nodes.
  • For more information on the use of mouse clicks in combination with keyboard keys in the segment editor, see Appendices : keyboard shortcuts and Appendices : mouse functions.

Settings are automatically stored in the registry.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Digitizer

Segment editor

 File menu

Digitizer

When you wish to use the digitizer to add segments to your segment map, or to move points within segments:

  1. Your digitizer should be set up properly:

    2. the Setup Digitizer command, on the File menu of the Main window should be preceded with a check mark [image].

  2. You should have performed a Map Reference, so that the coordinates sent by the digitizer can be translated into real world coordinates:

    3. the Map Reference command on the File menu of the Main window, or the Digitizer, Map Reference command on the File menu of the segment editor should be preceded with a check mark [image].

  3. You should make the digitizer Active in the editor, so that a floating window appears with the digitizer commands (the digitizer menu):

    4. the Digitizer, Active command on the File menu of the segment editor should be preceded with a check mark [image].

The digitizer menu with the digitizer commands looks like:

The coordinates at the top of the digitizer menu show the real world coordinates of your map (this is the result of Map Reference); these coordinates should change when you move the digitizer cursor over the digitizer tablet.

For detailed information on using the digitizer to add segments or to move points within segments, see Segment editor : functionality, section Working with the digitizer.

Tip:

You can also use the mouse to add segments to your segment map, to move points within segments, or to edit the name, ID or value of selected segments, for instance when editing an existing map or when screen digitizing. For more information, see Insert mode or Move Points mode, Select Mode and Edit, or How to screen digitize.

See also:

How to setup a digitizer and start digitizing

Map Reference

Digitizer, Active

Segment editor : functionality

Segment editor : functionality, working with the digitizer

Segment editor : functionality, working with the mouse

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Cut

Segment editor

 Edit menu

Cut

Copy selected segments with their coordinates and class names, identifiers or values to the clipboard, and then delete the selected segments from the current segment map.

Subsequently, the cut segments can be pasted as segments into another segment editor, as points into a point editor and/or into any other application which uses the picture format or the text format (e.g. a word processor or a data base).

To cut:

Select one or more segments, and:

  • choose Cut from the Edit menu, or
  • press Ctrl+X on the keyboard.

For more information on selecting segments, see Select Mode.

Tips:

  • To recover segments which were accidentally deleted, you can use:
    • Undelete segments: to undelete specific segments;
    • Undo all changes: to restore all changes made in the segment editor until the last time you used Save.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the copied segments on the clipboard in text format and in picture format. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of segments copied to the clipboard is presented in Segment editor : Copy.

See also:

Segment editor : functionality

Segment editor : menu commands

Segment editor : Select Mode

Segment editor : Paste

Point editor : Paste

Segment editor : Undelete segments

Segment editor : Undo all changes


Segment editor : Copy

Segment editor

 Edit menu

Copy to clipboard

Copy selected segments with their coordinates and their class names, identifiers or values to the clipboard. In the clipboard, the information is available both in text format and in picture format.

Subsequently, the copied segments can be pasted as segments into another segment editor, as points into a point editor, and/or into any other application which uses the picture format or the text format (e.g. a word processor or a data base).

To copy:

Select one or more segments, and:

  • choose Copy from the Edit menu, or
  • press Ctrl+C on the keyboard.

For more information on selecting segments, see Segment editor : Select mode.

Tips:

  • To copy the active window including the window borders, title bar, menu bar and status bar as a bitmap to clipboard, press Alt+PrintScrn on the keyboard.
  • Also from within a map window, you can copy (the displayed part of) a map as a picture to the clipboard; choose Copy from the Edit menu in a map window. Coordinate information will not be available however.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard. For more information, see the Windows Help.

Example:

Two contour segments which have been copied to the clipboard, in text format and in picture format.

Text format (only part of the copied segments is shown in text here):

799490.240276 | 8088572.9642679999 | 4120
799576.57752199995 | 8088642.3494520001
799637.28955800005 | 8088687.2921280004
799683.41493600002 | 8088737.3598459996
799707.85744399996 | 8088711.7346360004
799763.05020399997 | 8088716.0712099997
... | ...
800223.12128199998 | 8089058.6605559997 | 4140
800274.76593600004 | 8089069.3048740001
800344.93958799995 | 8089072.85298
800385.15145600005 | 8089082.7088299999
800465.18095800001 | 8089117.0071879998
... | ...

Picture format:

Two copied segments shown as picture

Tip: You can specify whether you wish to show or hide nodes in the segment editor when in Select mode or in Insert mode; the setting is available in the Customize dialog box of the segment editor. When in Move Points mode, segment nodes and intermediate points within segments are always shown.

See also:

Segment editor : functionality

Segment editor : menu commands

Segment editor : Select Mode

Segment editor : Paste

Point editor : Paste

Map window : copy to clipboard


Segment editor : Paste

Segment editor

 Edit menu

Paste

Paste data from the clipboard into the current segment map.

Into a segment map, it is possible to paste:

  • cut or copied points from a point map (as one segment),
  • cut or copied segments from a segment map,
  • copied polygons boundaries from a polygon map,
  • cut or copied pixels from a raster map (as one segment).

Mind:

The map from which you have cut or copied points, segments, polygons or pixels must have the same domain type (i.e. either class, ID, or value, etc.) as the segment map into wish to paste these points, segments, polygons or pixels.

This means that it is not possible to paste for instance copied contour segments (values) into a segment map which uses a class domain and vice versa.

To paste:

  • choose Paste from the Edit menu, or
  • press Ctrl+V on the keyboard.

In case you cut or copied from a map with a class or ID domain, and now pasting this into a segment map which uses another class or ID domain, the program will try to add any domain items which are not yet present in the domain of the current map to the domain of the current map. A question will be asked to confirm this.

Answer the question(s) to add encountered class name(s) or ID(s) from another class or ID domain to the current class or ID domain with:

  • yes: to add the encountered domain item to the present domain, or
  • no: to skip the encountered domain item and continue with the next item, or
  • cancel: to interrupt the pasting and return to the segment editor.

Results of pasting:

When pasting points into a segment map:

  • all pasted points will keep their coordinates;
  • all pasted points will together form one segment in the current segment map;
  • the single output segment will obtain the class name, identifier or value of the first point encountered.

When pasting segments into a segment map:

  • all pasted segments will keep their coordinates,

  • all pasted segments will keep their class names, identifiers or values.

When pasting polygons into a segment map:

  • all pasted polygons boundaries will keep their coordinates,
  • the polygon boundaries will appear as segments in the current segment map,
  • you may need to check the obtained class names, identifiers or values.

When pasting pixels into a segment map:

  • all pasted pixels will keep their coordinates;
  • all pasted pixels will together form one segment in the current segment map;
  • the single output segment will obtain the class name, identifier or value of the first pixel encountered.

Tips:

  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard in various formats. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of segments copied to the clipboard is presented in Segment editor : Copy.

See also:

Segment editor : functionality

Segment editor : menu commands

Segment editor : Select mode

Segment editor : Copy


Segment editor : Delete

Segment editor

 Edit menu

Delete

Delete selected segments from the current segment map.

To delete:

Select one or more segments, and:

  • choose Delete from the Edit menu, or
  • choose Delete from the context-sensitive menu, or
  • press Del on the keyboard.

For more information on selecting segments, refer to Select mode.

Tip:

To recover segments which were accidentally deleted, you can use:

  • Undelete segments: to undelete specific segments;
  • Undo all changes: to restore all changes made in the segment editor until the last time you used Save.

See also:

Segment editor : functionality

Segment editor : menu commands

Segment editor : Select mode

Segment editor : Undelete segments

Segment editor : Undo all changes


Segment editor : Edit

Segment editor

 Edit menu

Edit ...

Edit the class name(s) or value(s) of the current selection of segments, or edit the ID of a single selected segment.

The segment(s) that you wish to edit should first be selected with the mouse in Select mode.

This dialog box appears:

  • when you select one or more segments with the mouse in Select mode, and:
    • choose Edit from the Edit menu, or
    • choose Edit from the context-sensitive menu, or
    • press the Enter key on the keyboard.

For more information on selecting segments, refer to Select mode.

Mind: In a segment map that uses an ID domain or a system UniqueID domain, you can only edit segments one by one, because in such maps, each segment is supposed to have a unique code.

Tip: To edit the class name, ID or value of a single segment, you can also double-click the segment. You will then not get this Edit dialog box, but you can select a class name from a list, or type an ID or a value in a small text box. When double-clicking segments with the Bool domain, the code of the segment (True, False or undef) will automatically change into another code (True, False or undef).

Dialog box:

Class name/ID/Value:

To assign a class name, ID, or value to the selected segment(s), and depending on the domain of the segment map: select a class name from the drop-down list, type an ID, or type a value.

Class names, IDs, values, etc.

  • For a map using a class domain: select an existing class name from the drop-down list.

    • To assign a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using an ID domain: type an ID for the single selected segment.

    • When an ID is assigned that already exists in the map, a question is asked whether you wish to use the same ID again or not.

    A new ID will be automatically added to the ID domain.

  • For a map using a value domain: type a value.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: select True, False, or ? (= undefined) from the drop-down list.

When you choose the '?' question mark, the selected segment(s) will not get a class name or value; they will have the undefined value.

Note:

For a single selected segment of a map using a UniqueID domain, you can type a Name in the Attribute window. The Names will be available as a String column in the attribute table of the map. In the attribute table, the Name column can be easily converted to a regular Class or ID column through the Column Properties dialog box of the column by clicking the Create new domain from Strings button.

Tips:

  • The width of class names, IDs, or values as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the Domain Properties sheet.
  • Dependent maps cannot be edited; first break the dependency links of the map in the Segment Map Properties sheet.

See also:

Segment editor : Select mode

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands

Segment editor : Insert mode

Segment editor : Insert new segment


Segment editor : Insert new segment

Segment editor

 Edit menu

Insert new segment

Insert a new segment and select a class name, ID, or value for the new segment.

This dialog box appears:

  • after you finished inserting a new segment with the digitizer, or
  • after you finished inserting a new segment with the mouse in Insert mode.

For more information on:

  • using the digitizer, refer to Segment editor : functionality, section Working with the digitizer.
  • using the mouse, refer to the same topic, section Working with the mouse.

Dialog box options:

Class name/ID/Value:

To assign a class name, ID, or value to the new segment, and depending on the domain of the segment map: select a class name from the drop-down list, type an ID, or type a value.

Tips:

  • Segment codes are mainly important when digitizing contour lines, etc., i.e. segments that contain information on line features.
  • When digitizing segments that need to be polygonized later on, codes of segments are not very important. For more information, see How to create a polygon map.
  • However, codes are important when you wish to use the same segments in other segment maps, for instance when a segment is a boundary in multiple maps. You should then copy segments into another segment map using a mask.

Class names, IDs, values, etc.

  • For a map using a class domain: for each newly inserted segment, by default the class name will be assigned as specified for the Insert code.

  • For a map using an ID domain: for each newly inserted segment, an ID will be asked in a dialog box.

    • When an ID is assigned that already exists in the map, a question is asked whether you wish to use the same ID again or not.

    A new ID will be automatically added to the ID domain.

  • For a map using a value domain: for each newly inserted segment, a value will be asked in a dialog box.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: for each newly inserted segment, a value True, False, or ? (= undefined) will be asked in a dialog box.

  • For a map using a UniqueID domain: each newly inserted segment will automatically obtain an ID as seg 1, seg 2, seg 3, etc. Optionally, you can type a Name in the Attribute window. You can also enter other attribute to the attribute table in this window.

    • The Names will be available as a String column in the attribute table of the map. In the attribute table, the Name column can be easily converted to a regular Class or ID column through the Column Properties dialog box of the column by clicking the Create new domain from Strings button.

When you choose the '?' question mark, the new segment will not get a class name or value; it will have the undefined value.

Tip:

To Edit the names, values etc. of existing segments, see Segment editor : Edit.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands

Segment editor : Digitizer

Segment editor : Insert code

Segment editor : Insert mode

Segment editor : Edit


Segment editor : Insert code

Segment editor

 Edit menu

Insert code

Select a class name or type a value that will be assigned by default to all new segments that you insert from this moment onwards.

You can set the Insert code when you intend to digitize a couple of segments which should obtain the same class name or the same value. When finished, you can reset the Insert code to another class name or value, and digitize segments with another class name or value than before.

For more information on inserting segments, see Insert mode.

Note: The Insert code option is grayed out when editing a segment map with an ID domain or a Unique ID domain, because in such maps, each segment is supposed to have a unique code.

Dialog box options:

Class name/Value:

Select a class name, or type a value that should be assigned by default to all new segments that you will insert from this moment onwards.

Class names, values, etc.

  • For a map using a class domain: select an existing class name from the drop-down list.

    • To enter a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using a value domain: type a value.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: select True, False, or ? (= undefined) from the drop-down list.

When you choose the '?' question mark, the selected segment(s) will not get a class name or value; they will have the undefined value.

Tips:

  • For maps with a class domain: the class name selected for the Insert Code will be assigned automatically to each newly inserted segment (i.e. no questions).
  • For maps with an ID, a value, or a Bool domain: an ID or a value etc. will be asked for each newly inserted segment. For more information, see Insert mode.
  • For maps with a system UniqueID domain, each newly inserted segment will automatically obtain a unique ID like seg 1, seg 2, seg 3, etc.
  • You can also Edit the class names, values etc. of segments after you finished digitizing. For more information, see Edit.
  • The width of class names, IDs, or values as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the Domain Properties sheet.

See also:

Segment editor : functionality

Segment editor : menu commands

Segment editor : Insert mode

Segment editor : Edit


Segment editor : Select mode

Segment editor

 Edit menu

Select mode

Choose Select mode to select one or more segments with the mouse.

After the selection, you can edit the code of the segment(s), delete the segment(s), or cut or copy the segment(s) to clipboard.

When Select mode is active:

  • the mouse pointer appears as a hand,
  • an option bullet [image] appears in front of this menu command, and
  • the Select mode button in the toolbar appears down.

Tip: You can also press the Esc key on the keyboard to go to Select mode.

To select a single segment:

  • click the segment you wish to select.

Tip: When you double-click a segment, you can directly edit the value, class name or ID of the segment.

To add segments to a selection:

  • press and hold down the Ctrl key on the keyboard,
  • click the segments you wish to select.

When finished, release the Ctrl key.

To clear part of a selection:

  • press and hold down the Ctrl+Shift keys on the keyboard,
  • click the selected segments that should not be part of the selection.

To toggle between selecting and deselecting:

  • press and hold down the Shift key on the keyboard,
  • when you click a non-selected segment, it will be selected,
  • when you click a selected segment, it will be cleared from the selection.

To clear the whole selection:

  • click in the white space between segments.

Tip: To select all segments, choose Select All from the Edit menu.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands

Segment editor : Edit

Segment editor : Cut

Segment editor : Copy

Segment editor : Delete


Segment editor : Move Points mode

Segment editor

 Edit menu

Move Points mode

Choose Move Points mode to change the position of a coordinate within a segment with the mouse.

You can move:

  • a node (the start or end coordinate of a segment), or
  • an intermediate point within a segment.

When Move Points mode is active:

  • the mouse pointer appears as a pair of tweezers,
  • all segment nodes appear as boxes and all intermediate coordinates appear as crosses,
  • an option bullet [image] appears in front of this menu command,
  • the Move Points mode button in the toolbar appears down, and
  • the floating digitizer window is titled Move Points.

Three ways to move a node or an intermediate point:

  1. Click a begin or end node or an intermediate point;
    the selected point and its segment change their color;
    • move the point to another position;
    • click again to drop the point.

  2. Press and hold down the left mouse button on a node or an intermediate point;
    the selected point and its segment change their color;
    • move the point to another position;
    • release the left mouse button to drop the point.

  3. To pick up a node to which multiple segments are connected: click the node;
    the node is selected and one segment changes its color;
    • if this is not the segment you want, do not move the mouse and click again, until the correct segment is selected;
    • then, move the node to another position.
    • click again to drop the point.

To snap the selected point to an existing node (snap):

  • position the selected point on the node to which you want to snap;
  • press and hold down the Shift key and click or release the left mouse button on the node;
  • when AutoSnap is active, you can simply click or release the left mouse button on the node.

To split a segment and snap to the selected point to the created node (snap/split):

  • position the selected point somewhere on a segment;
  • press and hold down the Ctrl key and click somewhere on the segment;
  • a message box asks for confirmation to split the segment to which you want to snap to.

Tips:

  • When you have picked up a point, moved the mouse pointer, and when the left mouse button is still down (you did not yet drop the point on a new position), you can press Esc to cancel the move.
  • You can also move points within segments with the digitizer.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands

Segment editor : Digitizer


Segment editor : Insert mode

Segment editor

 Edit menu

Insert mode

Choose Insert mode to insert new segments with the mouse.

When Insert mode is active:

  • the mouse pointer appears as a pencil,
  • an option bullet [image] appears in front of this menu command, and
  • the Insert mode button in the toolbar appears down.

Tips:

  • In Insert mode, you can use AutoSnap. When Autosnap is active, the system automatically snaps to nodes and splits when necessary, i.e. there is less need to use the Shift or Ctrl keys as described below. You can turn Autosnap on and specify a snap tolerance in the Segment editor : Customize dialog box.
  • During the insertion of segments by mouse (but also when using the digitizer), automatic tunneling is applied to reduce the amount of coordinates that need to be stored in the segment map. The so-called tunnel tolerance can be specified in the Customize dialog box of the segment editor (File menu).

After you finished inserting a new segment, an Insert/Edit dialog box will usually appear asking for the class name, ID, or value of the new segment.

To insert a new segment:

  • position the mouse pointer on the location where you want to start a new segment;
  • press the left mouse button to start the segment (begin node);
  • hold the left mouse button down and move the mouse to automatically insert segment coordinates (stream mode), or
  • click at the positions at which you want to insert intermediate points;
  • double-click or press the space bar to end the segment with a loose end (end node).

To delete intermediate points while inserting a segment:

  • press the right mouse button once to delete the last point, or
  • keep the right mouse button down and move the mouse to delete multiple points, or
  • press Esc to delete all points, i.e. the complete segment.

To connect a new segment to an existing node (snap):

  • position the mouse pointer on the node to which you want to snap;
  • press and hold down the Shift key and click the node;
  • when AutoSnap is active, you can simply click the node.

To start or end a new segment on an existing segment (snap/split):

  • position the mouse pointer somewhere on a segment;
  • press and hold down the Ctrl key and click the segment;
  • a message box asks for confirmation to split the segment;
  • when you answer Yes, the new segment is snapped to the new node.

Tips:

  • You can also add/insert segments with the digitizer.
  • When inserting a segment and pressing the Del key on the keyboard: the last intermediate point of the unfinished segment will be cleared.

    • This is the same as pressing the right mouse button during the insertion of a new segment.

  • When inserting a segment and pressing the Esc key on the keyboard: the whole unfinished segment will be cleared.
  • To edit the class names, values etc. of existing segments, see Segment editor : Edit.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands

Segment editor : Digitizer

Segment editor : Insert code

Segment editor : Insert/Edit new segment

Segment editor : Edit


Segment editor : Split/Merge mode

Segment editor

 Edit menu

Split/Merge mode

Choose Split/Merge mode to use the mouse to:

  • split a segment, i.e. insert a node within a segment, or
  • merge segments, i.e. delete a node between two segments with the same class name, ID or value.

When Split/Merge mode is active:

  • the mouse pointer appears as a pair of scissors,
  • an option bullet [image] appears in front of this menu command, and
  • the Split/Merge button in the toolbar appears down.

To split a segment:

  • position the mouse pointer at the location in the segment where you want to split;
  • click the left mouse button;
  • a message box asks for confirmation to split the segment.

To merge two segments:

To remove a superfluous node which connects only two segments which have the same code:

  • position the mouse pointer at the node;
  • click the left mouse button.
  • a message box asks for confirmation to merge the segments.

See also:

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Undelete segments

Segment editor

 Edit menu

Undelete segments

Undelete specific segments that have been accidentally deleted.

The Undelete Segments command is active when a check mark [image] appears in front of this menu command.

Mind: It is not possible to undelete segments which have been packed.

When using Undelete Segments:

  • all previously deleted segments will be displayed in the color as specified in the Segment editor - Customize dialog box;
  • then, with the mouse, and one by one, click those segments that you really wish to restore;
  • restored segments will be displayed in the Normal color as specified in the Customize dialog box.

When finished, you can switch off the Undelete Segments command again.

Tip: To undo all recent changes, i.e. all changes since the last Save, use the Undo All Changes command.

See also:

Segment editor : Undo all changes

Segment editor : Save

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Segment editor : Find undefineds

Segment editor

 Edit menu

Find undefineds

To find segments which do not have a value, class name or ID yet.

The Find Undefineds command is active when a check mark [image] appears in front of this menu command.

When using Find Undefineds:

  • undefined segments will be displayed in the color as specified in the Segment editor - Customize dialog box;
  • very small undefined segments will also obtain a colored square box around them so that you can localize them easily;
  • with the mouse, select one or more undefined segments by clicking;
  • then, choose Edit from the context-sensitive menu or from the Edit menu to assign a proper value, class name or ID to the selection.

When finished, you can switch off the Find Undefineds command again.

Tip: To select multiple undefined segments and give them the same value or class name: press and hold down the Ctrl key while clicking undefined segments. Then choose the Edit command as usual.

See also:

Segment editor : Select Mode

Segment editor : Edit

Segment editor : functionality

Segment editor : toolbar

Segment editor : menu commands


Point editor : functionality

Point editor

Functionality

The point editor is used to create and/or edit a point map.

With the point editor, you can:

  • insert new points and delete existing ones;
  • edit the code of existing points;
  • move points to another position.

The point editor has a menu bar, a context-sensitive menu, and toolbar.

You can create and edit a point map with the mouse on the screen, but you can also use a digitizer when a map is fixed onto your digitizer tablet.

  • When you wish to use the mouse, the point editor has a Select mode, a Move Points mode, and an Insert mode.
  • When you wish to use a digitizer for the first time, you may have to setup the digitizer, reference the map on the digitizer, and/or make the digitizer active. For more information, see below.

    • When digitizer is active, a digitizer menu (see Figure 1 below) with the digitizer commands appears.

Furthermore, in any map editor you can always use existing maps as a background by adding these maps as other data layers to the window, see How to add extra layers to a map window.

To start the point editor:

The point editor is automatically started when you create a new point map.

To edit an existing point map, display the point map in a map window, open the Edit menu, choose Edit Layer and select the point layer from the cascading menu. You can also click a point map with the right mouse button in a Catalog and choose Edit from the context-sensitive menu. For other methods, see How to edit point, segment, polygon, and raster maps.

Dependent point maps cannot be edited: first break the dependency links in the Point Map's Properties sheet.

When the point editor is opened, it starts in Select mode; the mouse pointer appears as a hand.

Working with the digitizer

Make sure that the digitizer is properly set up (Setup Digitizer wizard) and that the analog map is properly referenced on the digitizer tablet (Map Reference). The Setup Digitizer and the Map Reference commands on the File menu of the Main window should both be preceded with a check mark [image]. For more information, see also How to set up a digitizer and start digitizing or Point map : Digitizer.

When the digitizer is [image] Active in the point editor, a small, floating window will appear: the digitizer menu (see Figure 1). The digitizer menu contains the commands that will be performed when pressing the buttons on the digitizer cursor. The numbers in front of the commands on the digitizer menu correspond to the numbers of the buttons of your digitizer cursor.

When in the description below, it is written that you have to press for instance the Edit Point button, you have to press the button of your digitizer cursor which corresponds with the number in front of the Edit Points option on the digitizer menu. In this example, this is the digitizer button corresponding with 3:

Fig. 1: Example of the digitizer menu in the point editor.

Zooming/Changing the window:

Press the Change Window button. Move the cursor to the first corner of the area on which you wish to zoom in. Press the 1st Point button: you now see the zoom in box tied to the first point. Move the cursor to the 2nd position of the area on which you wish to zoom in. Press the 2nd Point button.

You can also directly position the digitizer cursor on the first corner of the area of interest, press the Change Window button, then move the cursor to the second corner of the area of interest, and press the 2nd Point button.

To display the entire map after a zoom in command, press the Entire Map button.

To add points:

Locate the digitizer cursor at the position where you wish to add a point. Press the Add Point button.

Each time that you insert a new point, a small list or a small text box will appear asking for the class name, ID, or value of the new point. Whether you can enter a class name, type an ID, or type a value depends on the domain of the map.

For more information, refer to Point editor : Insert new point.

In case the map uses a class or value domain, the class name or value you just entered will be the default for any next points that you will digitize.

To cancel the insertion of the new point, press the Esc key on the keyboard.

To move a point:

Locate the digitizer cursor on or close to the point which you wish to move. Press the Move Point button. Move the cursor to the position to which you wish to move the point to. Press the New Position button.

To edit a point:

Locate the digitizer cursor on or close to the point which you wish to edit. Press the Edit Point button to open a text box. Enter a class, ID or value (depending on the domain of the point map that you are editing). Click OK or press Enter on the keyboard to edit the point; click Cancel or press Esc on the keyboard to cancel the action.

Working with the mouse

To zoom in on the map:

You can zoom in on the segment map by for instance clicking the Zoom In button in the toolbar. For more information, see Map window : Zoom in.

To choose between different modes:

In the point editor, you can work in Select mode, in Move Points mode or in Insert mode.

To switch to a certain mode:

  • select a mode from the Edit menu, or
  • click one of the mode buttons in the toolbar.

To go to Select mode, you can also press the Esc key on the keyboard.

Select mode to select existing points:

In Select mode, the mouse pointer appears as a hand. You can select one or more points by clicking them, in order to change their class name, ID, or value.

  • To select a single point:

    • click a point.

    When you double-click a single point, you can immediately change the class name, ID, or value of the point.

  • To select all points within an area:

    • drag a box with the left mouse button and all points within the box are selected.

  • To add points to a selection:

    • press and hold down the Ctrl key and click the other points you wish to select. When finished, release the Ctrl key.

  • To clear a part of a selection:

    • press and hold down the Ctrl+Shift keys, then click previously selected points or drag a box around points: these points are deselected. When finished, release the Ctrl+Shift keys.

  • To toggle between select and deselect:

    • press and hold down the Shift key, then click points or drag a box around points: selected points are deselected, and non-selected points are selected. When finished, release the Shift key.

For more information, see Point editor : Select mode.

Editing class name, ID or value of selected points:

Depending on the domain of the point map that you are editing, you can change the class name, identifier or value of selected points.

To edit the class name, ID, or value etc. of one or more points:

  • double-click a point, or
  • select one or more points, and choose Edit from the Edit menu or from the context-sensitive menu, or
  • select one or more points, and press the Enter key on the keyboard.

When you double-click a point, you can immediately select a class name, type an identifier, or type a value. Points in a point map using an identifier domain can only be edited individually.

When you selected multiple points, you can select a class name, or type a value for the selection in the appearing Edit dialog box. For more information, see Point editor : Edit.

All changes that you make are immediately stored in the point map.

Deleting selected points:

To delete points, first make a selection, and then press the Del key on the keyboard, or choose Delete from the Edit menu or from the context-sensitive menu. For more information, see Point editor : Delete.

To cut, copy and paste:

When you choose Cut from the Edit menu, the current selection of points is copied to the clipboard and then deleted from the map. For more information, see Point editor : Cut.

To copy points to the clipboard, make a selection and choose Copy from the Edit menu. Point coordinates and point class names, identifiers or values are copied. The copied point(s) will also be available as picture.

The copied points can for instance be pasted into a point editor or as one segment into a segment editor. For more information, see Point editor : Copy.

To paste data from the clipboard into the current point map, choose Paste from the Edit menu. You can paste points, segment coordinates as points, coordinates of polygon boundaries as points, and pixels as points. For more information, see Point editor : Paste.

Move Points mode to move points to a new position:

In Move Points mode, the mouse pointer appears as a pair of tweezers.

You can select a point and then click at a new position for the point, but you can also drag a point to a new position.

Insert mode to insert new points:

In Insert mode, the mouse pointer appears as a pencil.

To insert a new point:

  • click at the position where you wish to insert a new point.

Each time that you add a new point, a small list or a small text box will appear asking for the class name, ID, or value of the new point. Whether you can enter a class name, type an ID, or type a value depends on the domain of the map.

For more information, refer to Point editor : Insert new point.

In case the map uses a class or value domain, the class name or value you just entered will be the default for any next points that you will insert.

To cancel the insertion of the new point, press the Esc key on the keyboard.

You can also insert a new point by typing its coordinates on the keyboard: select Add Point from the Edit menu or from the context-sensitive menu.

Other functionality

To customize the point editor:

By choosing Customize from the File menu or from the context-sensitive menu, you can for instance specify whether to show text next to your points, and choose a symbol and a color to display your points. For more information, see Point editor : Customize.

Save:

When editing points in the point editor, all changes are immediately stored. However, to permanently store changes, you may use the Save button or the Save command on the File menu. After you used Save, any changes that you made before using Save, cannot be undone anymore with the Undo All Changes button or command. For more information, see Point editor : Save.

To undo all changes:

When editing points in the point editor, all changes are immediately stored. However, you can undo all changes, i.e. restore the point map until the moment when you last used Save, by choosing Undo All Changes from the File menu. For more information, see Point editor : Undo all changes.

Find undefineds:

When you wish to check whether all points have a valid class name, ID or value, you can use the Find Undefineds command on the Edit menu. By using Find Undefineds, all undefined points will appear in a special color, so that you can manually assign a proper class name, ID or value to the points. For more information, see Point editor : Find undefineds.

To extend or reduce the coordinate boundaries of the map:

While you are in the point editor, you can extend the map's coordinate boundaries or reduce the map's coordinate boundaries. This will affect the area in which coordinates can be entered into the map. For more information, see Boundaries of map.

To exit the point editor:

To exit the point editor, choose the Exit Editor command on the File menu or from the context-sensitive menu. You can also click the Exit editor button in the toolbar. In these cases, the editor is closed but the map(s) remain displayed in a map window.

When you double-click the Close button or the Control-menu box, the map and the editor are closed.

All changes that you make in the point map are continuously stored.

For more information, see also Appendices : Keyboard shortcuts and Appendices : Mouse functions.

See also:

Point editor : menu commands

Point editor : toolbar


Point editor : toolbar

Point editor

Toolbar

The toolbar of the Point editor is similar to the toolbar of a map window; there are extra buttons for the different editing modes of the Point editor, and there are buttons to undo changes, save changes, and to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map:

Displays the entire map in the map window.

Redraw:

Redraws the contents of the map window.

Measure Distance:

Allows you to measure the distance and the angle between two points in the map window.

The mouse pointer will change into a pair of compasses, then:

  • draw a line between two points of interest.

Pan:

Allows you to roam through the map window when zoomed in.

The mouse pointer will change into a hand, then:

  • click somewhere in the map window, and drag this part of the map window to another position.

Zoom In:

Allows you to zoom in on a selected spot or area in the map window.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the map window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the map window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the map window to zoom out with a factor 2, or
  • drag the mouse pointer in the map window from one corner of interest to another (any zoom out factor).

Select mode:

Allows you to select one or more existing points to be edited. The mouse pointer will change into a little hand.

To select:

  • a single point: click or double-click the point;
  • multiple points: hold the Ctrl key on the keyboard and click the points you wish to edit;
  • all points within a rectangular area: drag a box around the points of interest.

You can also press the Esc key on the keyboard to go to Select mode.

Move Point mode:

Allows you change the position of an existing point. The mouse pointer will change into a little pair of tweezers.

  • Select a point, and drag the point to a new position.

Insert mode:

Allows you to insert new points. The mouse pointer will change into a little pencil.

Undo All Changes:

Undo all changes you made after the last Save.

If you have not used Save so far, all changes since you started editing will be undone.

Save:

Save the changes you made so far. In principle, all changes are directly stored on disk. Using the Save button however, will reduce the amount of restores that will be made if the Undo All Changes option is used later on.

After you used the Save button, you can only use Undo All Changes again after you have made some further changes.

Exit editor:

Leave the editor and keep all changes. The editor will be closed but the map(s) remain displayed in a map window.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Point editor : functionality

Point editor : menu commands


Point editor : menu commands

Point editor

Menu commands
File

Undo All Changes
Save
Boundaries of Map

Customize ...
Digitizer
Map Reference
Active
Exit Editor

 Edit

Cut
Copy
Paste
Delete

Select All
Edit ...
Add Point ...

Select Mode
Move Points
Insert Mode

Find Undefineds

Layers

similar to map window:

Add Layer ...
Add Grid Lines ...
Add Graticule ...
Remove Layer
Display Options

Background Color ...
Double-Click Action

Options

similar to map window:

Entire Map
Normal/Select
Zoom In
Zoom Out
Pan
No Zoom

Redraw
Measure Distance
Show Histogram

Extend Window
Coordinate System ...

Adjust Window Size
Layer Management
Scale Control
Toolbar
Status Bar


Point editor : Undo all changes

Point editor

 File menu

Undo all changes

Restore all changes in this point map since the last Save.

The Undo All Changes command can be used to restore all recent changes. The point editor has no possibility to undelete specific points that were accidentally deleted before.

When using this Undo All Changes command:

  • all changes you made to the point map since you last used Save will be restored;
  • if you have not used Save so far, all changes since you started editing the map will be undone.

See also:

Point editor : Save

Point editor : functionality

Point editor : toolbar

Point editor : menu commands


Point editor : Save

Point editor

 File menu

Save

Save all changes in the point map until this moment, so that they cannot be undone anymore by using the Undo All Changes command.

Using this Save command is optional, as any change is directly and immediately stored. Thus, you can also simply close the editor and not use the Save command.

When using the Save command:

  • the point map will be saved as it is at the moment;
  • any changes you made to this point map prior to using this Save command cannot be undone anymore through the Undo All Changes command;
  • only changes you make to the point map after using the Save command can be undone by using the Undo All Changes command.

See also:

Point editor : Undo all changes

Point editor : functionality

Point editor : toolbar

Point editor : menu commands


Point editor : Boundaries of map

Point editor

 File menu

Boundaries of map

Change the coordinate boundaries of the point map you are editing.

The coordinate boundaries define the outer boundaries of the point coordinates that can be added to your point map.

  • By extending the coordinate boundaries of the point map, you can also digitize points in the extended part of the point map.

  • When accidentally the coordinate boundaries are reduced too much, so that part of the points would fall outside the map, the program will recalculate the outer bounding box of all points that are already in the map and use this as the coordinate boundaries of your map; so none of your existing points will get lost.

Dialog box options:

Min X, Y:

Type new values for the minimum X-coordinate and for the minimum Y-coordinate of the point map. With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant.

Max X, Y:

Type new values for the maximum X-coordinate and for the maximum Y-coordinate of the point map. With the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

Only click the Default button when the new boundaries should exactly fit the outer coordinates of the existing points in the current map. The Min X, Y and the Max X, Y coordinates will change in the text boxes above.

Note: You cannot return to the original map boundaries once you clicked the Default button and the OK button of this dialog box.

Adapt window:

Select this check box when you wish to show the map with its new boundary coordinates (i.e. new size) in the editor.

Clear this check box if you wish to show the map with its original boundary coordinates.

After clicking the OK button, you can directly continue to digitize new points within the new coordinate boundaries; you can also do a Map Reference again using the new corners.

When the new coordinate boundaries exceed the coordinates of the coordinate system used by the map, it is not necessary to extend the boundaries of the coordinate system used by the map.

Tips:

  • To change the coordinate boundaries of a point map, you can also use the Sub-map of point map operation.
  • To merge two or more point maps, use the Glue point maps operation.

See also:

Point editor : functionality

Point editor : menu commands

Map window : Extend window (dialog box)


Point editor : Customize

Point editor

 File menu

Customize

Customize the manner in which points are displayed in the point editor.

This dialog box appears when in the Point editor:

  • you selected Customize from the File menu, or
  • you selected Customize from the context-sensitive menu.

Dialog box options:

Color digitizer cursor: | Select a color in which the digitizer cursor should be displayed in the point editor; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Show text: | Select this check box if you want to see the class names, identifiers or values next to your points. Mind: These texts are only meant for temporary orientation purposes. Clear this check box if you do not want to display class names, identifiers or values next to points.
Text color: | Select a color for the class names, IDs, or values that will be displayed next to the points. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Background: | Select a background color on which the texts should be displayed.
Symbol type: | Select a symbol type with which the points should be displayed. The following symbols can be selected: circle, square, diamond, delta-up, delta-down, plus, minus and cross.
Symbol size: | Specify a value for the size with which the symbols should be displayed (values refer to screen pixels).
Pen width: | Specify a value for the size with which the outer part of circles, squares, diamonds or delta-ups or delta-downs should be displayed or with which plusses, minuses or crosses should be displayed (values refer to screen pixels).
Color: | Select a color for the outer part of circles, squares, diamonds or delta-ups or delta-downs, or for plusses, minuses or crosses as a whole. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Fill color: | Select a color to fill circles, squares, diamonds or delta-ups or delta-downs with.
Find undef color: | Select a color in which undefined points (i.e. points without value, class name or ID) should be displayed in case you use Find Undefineds from the Edit menu.

Settings are automatically stored in the registry.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands


Point editor : Digitizer

Point editor

 File menu

Digitizer

When you wish to use the digitizer to add points, to move a point, or to edit the class name, ID or value of a point in your point map:

  1. Your digitizer should be set up properly:

    2. the Setup Digitizer command, on the File menu of the Main window should be preceded with a check mark [image].

  2. You should have performed a Map Reference, so that the coordinates sent by the digitizer can be translated into real world coordinates:

    3. the Map Reference command on the File menu of the Main window, or the Digitizer, Map Reference command on the File menu of the point editor should be preceded with a check mark [image].

  3. You should make the digitizer Active in the editor, so that a floating window appears with the digitizer commands (the digitizer menu):

    4. the Digitizer, Active command on the File menu of the point editor should be preceded with a check mark [image].

The digitizer menu with the digitizer commands looks like:

The coordinates at the top of the digitizer menu show the real world coordinates of your map (this is the result of Map Reference); these coordinates should change when you move the digitizer cursor over the digitizer tablet.

For detailed information on using the digitizer to add points, move points, or edit point names, IDs, or values, see Point editor : functionality, section Working with the digitizer.

Tip:

You can also use the mouse to add points, to move points or to edit the names, ID, or values of selected points, for instance when editing an existing map or when screen digitizing. For more information, see Insert mode or Move Points mode, Select Mode and Edit, or How to screen digitize.

See also:

How to setup a digitizer and start digitizing

Map Reference

Digitizer, Active

Point editor : functionality

Point editor : functionality, working with the digitizer

Point editor : functionality, working with the mouse

Point editor : toolbar

Point editor : menu commands


Point editor : Cut

Point editor

 Edit menu

Cut

Copy selected points with their coordinates and class names, identifiers or values to the clipboard, and then delete the selected points from the current point map.

Subsequently, the copied points can be pasted as points into another point editor, as one segment into a segment editor, and/or into any other application which uses the text format (e.g. a word processor or a data base).

To cut:

Select one or more points, and:

  • choose Cut from the Edit menu, or
  • press Ctrl+X on the keyboard.

For more information on selecting points, see Select Mode.

A message box will appear asking you to confirm the deletion of the selected points. Answer with:

  • yes: to delete the selection;
  • no: to not delete the selected points.

Tips:

  • To recover points which were accidentally deleted, you can use:
    • Undo all changes: to restore all changes made in the point editor until the last time you used Save.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the copied points on the clipboard in text format. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of points copied to the clipboard is presented in Point editor : Copy.

See also:

Point editor : functionality

Point editor : menu commands

Point editor : Select Mode

Point editor : Paste

Segment editor : Paste


Point editor : Copy

Point editor

 Edit menu

Copy to clipboard

Copy selected points with their coordinates and their class names, identifiers or values to the clipboard. In the clipboard, the information is only available text format.

Subsequently, the copied points can be pasted as points into another point editor, as one segment into a segment editor, and/or into any other application which uses the text format (e.g. a word processor or a data base).

To copy:

Select one or more points, and:

  • choose Copy from the Edit menu, or
  • press Ctrl+C on the keyboard.

For more information on selecting points, see Point editor : Select mode.

Tips:

  • To copy the active window including the window borders, title bar, menu bar and status bar as a bitmap to clipboard, press Alt+PrintScrn on the keyboard.
  • From within a map window, you can copy (the displayed part of) a map as a picture to the clipboard; choose Copy from the Edit menu in a map window. Coordinate information will not be available however.
  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard. For more information, see the Windows Help.

Example:

Some points which have been copied to the clipboard.

Text format:

803429.000 | 8074631.000 | UMSS
799748.000 | 8082415.000 | Taquina
803511.000 | 8087422.000 | Laguna Santa Rosa
801281.000 | 8088967.000 | Laguna Totura
802613.000 | 8080483.000 | PROMIC
806816.000 | 8076585.000 | Aro Cagua
797465.000 | 8078352.000 | Colca Pithua
796346.000 | 8087736.000 | Cerro MachaMach
806042.000 | 8085414.000 | LagunaWaraWara

See also:

Point editor : functionality

Point editor : menu commands

Point editor : Select Mode

Point editor : Paste

Segment editor : Paste

Map window : copy to clipboard


Point editor : Paste

Point editor

 Edit menu

Paste

Paste data from the clipboard into the current point map.

Into a point map, it is possible to paste:

  • cut or copied points from a point map,
  • cut or copied segments from a segment map,
  • copied polygons boundaries from a polygon map,
  • cut or copied pixels from a raster map (as one segment).

Mind:

The map from which you have cut or copied points, segments, polygons or pixels must have the same domain type (i.e. either class, ID, or value, etc.) as the point map into wish to paste these points, segments, polygons or pixels.

This means that it is not possible to paste for instance copied contour segments (values) into a point map which uses a class domain and vice versa.

To paste:

  • choose Paste from the Edit menu, or
  • press Ctrl+V on the keyboard.

In case you cut or copied from a map with a class or ID domain, and now pasting this into a point map which uses another class or ID domain, the program will try to add any domain items which are not yet present in the domain of the current map to the domain of the current map. A question will be asked to confirm this.

Answer the question(s) to add encountered class name(s) or ID(s) from another class or ID domain to the current class or ID domain with:

  • yes: to add the encountered domain item to the present domain, or
  • no: to skip the encountered domain item and continue with the next item, or
  • cancel: to interrupt the pasting and return to the point editor.

Results of pasting:

When pasting points into a point map:

  • all pasted points will keep their coordinates;
  • all pasted points will keep their class names, identifiers or values.

When pasting segments into a point map:

  • all nodes and all intermediate points within the copied segments will appear as points in the point map;
  • the nodes and intermediate points will keep their coordinates,

  • the class names, identifiers or values of the copied segments are assigned to the points.

When pasting polygons into a point map:

  • the nodes and intermediate points of the copied polygon boundaries will appear as points in the current point map,
  • the nodes and intermediate points of the copied polygon boundaries will keep their coordinates,
  • in principle, class names, IDs, or values of the polygons are assigned to the points.

When pasting pixels into a point map:

  • all pasted pixels will appear as points in the point map;
  • all pasted pixels will keep their coordinates;
  • the class names, identifiers or values of the pixels will be assigned to the points.

Tips:

  • You can use Windows' Clipboard/Clipbook Viewer to inspect the current contents of the clipboard in various formats. For more information on the Clipboard Viewer, see the Windows Help.
  • An example of points copied to the clipboard is presented in Point editor : Copy.

See also:

Point editor : functionality

Point editor : menu commands

Point editor : Select mode

Point editor : Copy


Point editor : Delete

Point editor

 Edit menu

Delete

Delete selected points from the current point map.

To delete:

Select one or more points, and:

  • choose Delete from the Edit menu, or
  • choose Delete from the context-sensitive menu, or
  • press Del on the keyboard.

For more information on selecting points, refer to Select mode.

A message box will appear asking you to confirm the deletion of the selected points.

Answer with:

  • yes: to delete the selection;
  • no: to return to the editor without changes.

Tip:

To recover points which were accidentally deleted, you can use:

  • Undo all changes: to restore all changes made in the point editor until the last time you used Save.

See also:

Point editor : functionality

Point editor : menu commands

Point editor : Select mode

Point editor : Undo all changes


Point editor : Edit

Point editor

 Edit menu

Edit ...

Edit the class name(s) or value(s) of the current selection of points, or edit the ID of a single selected point.

The point(s) that you wish to edit should first be selected with the mouse in Select mode.

This dialog box appears:

  • when you select one or more points with the mouse in Select mode, and:
    • choose Edit from the Edit menu, or
    • choose Edit from the context-sensitive menu, or
    • press the Enter key on the keyboard.

For more information on selecting points, refer to Select mode.

Mind:

  • In a point map that uses an ID domain or a system UniqueID domain, you can only edit points one by one, because in such maps, each point is supposed to have a unique code.
  • When you select a single ID point and choose Edit, you will not get this dialog box, but a small text box will appear in which you can type an ID.

Tip: To edit the class name, ID or value of a single point, you can also double-click the point. You will then not get this Edit dialog box, but you can select a class name from a list, or type an ID or value in a small text box.

Dialog box:

Class name/Value:

To assign a class name or value to the selected point(s), and depending on the domain of the point map: select a class name from the drop-down list, or type a value.

Class names, IDs, values, etc.

  • For a map using a class domain: select an existing class name from the drop-down list.

    • To assign a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using an ID domain: type an ID for the single selected point in the text box.

    • When an ID is assigned that already exists in the map, a question is asked whether you wish to use the same ID again or not.

    A new ID will be automatically added to the ID domain.

  • For a map using a value domain: type a value.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: select True, False, or ? (= undefined) from the drop-down list.

When you choose the '?' question mark, the selected point(s) will have not get a class name or value; they will have the undefined value.

Note:

For a single selected point of a map using a UniqueID domain, you can type a Name in the Attribute window. The Names will be available as a String column in the attribute table of the map. In the attribute table, the Name column can be easily converted to a regular Class or ID column through the Column Properties dialog box of the column by clicking the Create new domain from Strings button.

Tips:

  • The width of class names, ID, or values as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the Domain Properties sheet.
  • Dependent maps cannot be edited; first break the dependency links of the map in the Point Map Properties sheet.

See also:

Point editor : Select mode

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Insert mode

Point editor : Insert new point


Point editor : Insert new point

Point editor

 Edit menu

Insert new point

Insert a new point and select a class name, ID, or value for the new point.

Each time that you insert a new point, a small list or a small text box will appear asking for the class name, ID, or value of the new point.

The text box will appear:

  • after you finished inserting a new point with the digitizer, or
  • after you finished inserting a new point with the mouse in Insert mode.

For more information on:

  • using the digitizer, refer to Point editor : functionality, section Working with the digitizer.
  • using the mouse, refer to the same topic, section Working with the mouse.

Class names, IDs, values, etc.

  • For a map using a class domain: select an existing class name from the list. The class name that was selected last will be used as default for the next point.

    • To assign a new class name: select <new> from the list, then type the new class name, and, optionally, type a class code and choose a color for the new class.

    A new class name will be automatically added to the class domain.

  • For a map using an ID domain: type an ID for the single selected point in the text box.

    • When an ID is assigned that already exists in the map, a question is asked whether you wish to use the same ID again or not.

    A new ID will be automatically added to the ID domain.

  • For a map using a value domain: type a value. The value that was typed last will be used as default for the next point.

    • The value should fall inside the minimum and maximum value of the value domain used by the map.

  • For a map using a Bool domain: every newly inserted point is set to True.
  • For a map using a UniqueID domain, you can type a Name in the Attribute window. The Names will be available as a String column in the attribute table of the map. In the attribute table, the Name column can be easily converted to a regular Class or ID column through the Column Properties dialog box of the column by clicking the Create new domain from Strings button.

When you choose or type a '?' question mark, the point will not get a class name, ID, or value; it will have the undefined value.

Tips:

  • Point codes are important when digitizing point data.
  • Point codes are also important when digitizing label points that will be the names or IDs of future polygons.
  • To Edit the names, values etc. of existing points, see Point editor : Edit.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Digitizer

Point editor : Insert mode

Point editor : Edit


Point editor : Add points by keyboard

Point editor

 Edit menu

Add Point

Add points to a point map by entering XY-coordinates from the keyboard; then assign a class name, ID, or value.

Dialog box options:

X: | Type a value for the X-coordinate of the new point.
Y: | Type a value for the Y-coordinate of the new point.
Value: | Depending on the domain of the point map that you are editing, select a class name from the list, type an identifier, or type a value that should be assigned to the new point.

Tip:

It might be easier to add points to a point map:

  • with the digitizer, see Point editor : functionality or Point editor : digitizer, or
  • with the mouse, see Point editor : Insert mode.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Digitizer

Point editor : Insert mode


Point editor : Select mode

Point editor

 Edit menu

Select mode

Choose Select mode to select one or more points with the mouse.

After the selection, you can edit the code of the point(s), delete the point(s), or cut or copy the point(s) to clipboard.

When Select mode is active:

  • the mouse pointer appears as a hand,
  • an option bullet [image] appears in front of this menu command, and
  • the Select mode button in the toolbar appears down.

Tip: You can also press the Esc key on the keyboard to go to Select mode.

To select a single point:

  • click the point you wish to select.

Tip: When you double-click a point, you can directly edit the value, class name or ID of the point.

To select all points within a rectangular area:

  • drag a box around the points of interest.

To add points to a selection:

  • press and hold down the Ctrl key on the keyboard,
  • click the points you wish to select.

When finished, release the Ctrl key.

To clear part of a selection:

  • press and hold down the Ctrl+Shift keys on the keyboard,
  • click the selected points that should not be part of the selection.

To toggle between selecting and deselecting:

  • press and hold down the Shift key on the keyboard,
  • when you click a non-selected point, it will be selected,
  • when you click a selected point, it will be cleared from the selection.

To clear the whole selection:

  • press Esc on the keyboard, or
  • click in the white space between points.

Tips:

  • To select all points, choose Select All from the Edit menu.
  • To easily recognize selected points, you can increase the symbol size or change the symbol of all points in the Customize dialog box.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Edit

Point editor : Cut

Point editor : Copy

Point editor : Delete


Point editor : Move Points mode

Point editor

 Edit menu

Move Points mode

Choose Move Points mode to change the position of a point with the mouse.

With the Move Points mode, you can move a point to another position in your map.

When Move Points mode is active:

  • the mouse pointer appears as a pair of tweezers,
  • an option bullet [image] appears in front of this menu command, and
  • the Move Points mode button in the toolbar appears down.

To move a point:

There are three ways to move points to another position:

  1. Click the point you wish to move (the class name, ID, or value, etc. of the selected point changes color);
    • then move the mouse pointer to another position;
    • and click at the point's new position.

  2. Press and hold down the left mouse button on the point you wish to move (the class name, ID, or value, etc. of the selected point changes color);

    • then move the mouse pointer to another position;
    • and release the left mouse button to drop the point at its new position.

  3. Double-click the point you wish to move;

    • then type new coordinates in a dialog box.

Tip: You can also move points with the digitizer.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Digitizer


Point editor : Insert mode

Point editor

 Edit menu

Insert mode

Choose Insert mode to insert new points with the mouse.

When Insert mode is active:

  • the mouse pointer appears as a pencil,
  • an option bullet [image] appears in front of this menu command, and
  • the Insert mode button in the toolbar appears down.

To insert a new point:

  • click with the mouse pointer at the position where you want to insert a new point.

Each time that you insert a new point, a small list or a small text box will appear asking for the class name, ID, or value of the new point. Whether you can enter a class name, type an ID, or type a value depends on the domain of the map.

The behaviour of the text box is described in Point editor : Insert new point.

Tips:

  • To cancel the inserting of a new point, press the Esc key on the keyboard.
  • You can also insert points with the digitizer.
  • Furthermore, you can insert new points by typing coordinates on the keyboard: select Add Point from the Edit menu or from the context-sensitive menu.

See also:

Point editor : functionality

Point editor : toolbar

Point editor : menu commands

Point editor : Digitizer

Point editor : Insert/Edit new point


Point editor : Find undefineds

Point editor

 Edit menu

Find undefineds

To find points which do not have a value, class name or ID yet.

The Find Undefineds command is active when a check mark [image] appears in front of this menu command.

When using Find Undefineds:

  • undefined points will be displayed in the color as specified in the Point editor - Customize dialog box;
  • with the mouse, select one or more undefined points by clicking;
  • then, choose Edit from the context-sensitive menu or from the Edit menu to assign a proper value, class name or ID to the selection.

When finished, you can switch off the Find Undefineds command again.

Tips:

  • To select multiple undefined points and give them the same value or class name: press and hold down the Ctrl key while clicking undefined points. Then choose the Edit command as usual.
  • To easily recognize undefined points, you can increase the symbol size or change the symbol of all points in the Customize dialog box.

See also:

Point editor : Select Mode

Point editor : Edit

Point editor : functionality

Point editor : toolbar

Point editor : menu commands


Layout editor : functionality

Layout editor

Functionality

In the Layout editor you can edit a layout. A layout is a virtual sheet of paper on which you can make a composition of one or more map views and annotation before printing.

The Layout editor has a menu bar, a Layout Management pane, a standard toolbar, a layout toolbar, a context-sensitive menu, and a status bar.

Tip: To be able to print maps and annotation, first save a map window containing one or more maps, and optionally Annotation Text, grid lines and/or graticules as a map view. Then, create a layout and add one or more map views to it.

In the layout editor, you can add to a layout:

  • one or more map views to be printed on a certain scale; each map view may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules,
  • texts such a titles;
  • boxes;
  • bitmaps and/or pictures;
  • a page border.

For each map view in a layout, you can furthermore add:

  • a legend for a specific layer in the map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

You can also add or delete layers from a map view, or edit the grid lines or graticule(s) in a map view.

Finally, any picture or bitmap that was copied into the clipboard from another Windows application program can be pasted into a layout.

Tip: Multiple texts, e.g. names or values of points in a point map, names or values of segments in a segment map, or names of polygons in a polygon map, that are stored in an Annotation Text object can be edited in the Annotation Text editor.

To start the Layout editor:

The Layout editor is automatically started when you create a new layout. You can use for instance the Create Layout command on the File menu of the Main window, from the File menu in a map window, or by clicking an existing map view in a Catalog with the right mouse button and choosing the Create Layout command from the context-sensitive menu.

To open an existing layout, you can simply double-click it in a Catalog.

Choosing a paper size and a printer:

It is advised to first select a paper size and a printer when you start working on a layout.

  • Choose the Page Setup command from the File menu.
  • Select the desired paper size, and select the desired printer.
  • You can usually also specify the orientation of the paper and the margins you wish to use.

Note: The exact contents of the Page Setup dialog box depend on the printer(s) that have been installed on your computer.

When done, the layout editor (re)appears with a virtual sheet of paper with the dimensions and orientation as specified. As a reminder, the selected paper size is also shown in the status bar of the window.

Inserting one or more map views:

To insert a map view:

  • click the Insert Map View [image] button in the layout toolbar of the Layout editor, or
  • from the Insert menu, choose the Insert Map View command.

For each map view you insert, an initial scale will be asked. By default, this is the scale on which you saved the map view. However, if this would not fit on the paper size you specified for the layout, the scale of the map view is adapted so that it will fit the paper size.

When a map view is inserted, you must decide on the scale of the map view; this is the scale on which the map view will be printed later on. It is advised to set the scale of a map view before adding annotation and before printing. For more information, see Keep Scale.

Tips:

  • You can use the Layout Management pane to size and position an inserted map view quite exact, by modifying the values for Left, Top, Width and Height in the Layout Management pane (values for Height and Width are approximations).
  • In the Layout Management pane, you can also specify the scale on which a map view should be displayed and printed later on.

Note:

Map views that use a coordinate system of type latlon, cannot be properly displayed nor printed in a layout. It is advised:

  • to drag a coordinate system of type projection to a map window before saving the map window as a map view, or
  • to transform the vector maps with a coordinate system of type latlon, to a coordinate system of type projection.

Inserting annotation:

To insert a text, a box or a bitmap or picture:

  • click the Insert Text [image], the Insert Box [image], or the Insert Bitmap/Picture button [image] in the layout toolbar of the Layout editor, or
  • from the Insert menu, choose the Insert Text, the Insert Box, or the Insert Bitmap or Picture commands.

You can also use Copy in other programs and then Paste any texts, bitmaps or pictures in clipboard into a layout, see Layout editor : Copy and Layout editor : Paste.

To insert a legend, a map border (including ticks and or coordinates of grid lines or a graticule), a north arrow, a scale bar, or a scale text:

  • first, select the map view for which you wish to add the annotation in the layout editor, and
  • click the Insert Legend [image], the Insert Map Border [image], the Insert North Arrow [image], the Insert Scale Bar [image], or the Insert Scale Text [image] button in the layout toolbar of the Layout editor (the status bar gives an explanation), or
  • from the Insert menu, choose the Insert Legend, the Insert Map Border, the Insert North Arrow, the Insert Scale Bar, or the Insert Scale Text commands.

For any type of newly inserted annotation listed above, an Edit dialog box, or a Display Options dialog box appears in which you can specify the display settings of the annotation 'object'.

To add a page border:

  • choose Page Border from the Edit menu.

The Page Border will simply follow the paper margins set during Page Setup and will be printed when the Page Border command on the Edit menu is preceded by a [image] check mark.

Positioning and sizing annotation:

You can position annotation in the layout editor window by using drag and drop:

  • click an annotation 'object' with the left mouse button, hold the left mouse button down, and
  • move the mouse pointer to another location in the layout,
  • then release the left mouse button.

To size annotation:

  • select an annotation 'object' by clicking it: the borders of the annotation become visible,
  • position the mouse pointer on one of the 4 or 8 size handles (little black blocks appearing at the annotation borders),
  • drag the size handle to a new position.

Dragging one of the corner handles maintains the original ratio of height-width ratio.

Dragging one of the middle handles resizes the annotation horizontally or vertically; the height-width ratio may change.

Tip: You can use the Layout Management pane to size and position inserted annotation quite exact, by modifying the values for Left, Top, Width and Height in the Layout Management pane.

Zooming in and out, pan:

By using the Zoom In [image] and Zoom Out [image] buttons, or the Zoom In and Zoom Out commands from the View menu, or from the context-sensitive menu, you can zoom in and zoom out on any part of your layout.

By using the Pan [image] button, or the Pan command from the View menu, you can roam through your layout when you zoomed in on a part of the layout.

To size map views, see Keep Scale. To show only part of a map in a map view, you can select the map view in the layout editor, and choose Pan from the context-sensitive menu. When you reduced the size of a map view, you can also choose Pan from the context-sensitive menu to display a specific area of your map view.

Editing annotation:

To edit annotation:

  • in the Layout editor or in the Layout Management pane,
  • double-click the annotation 'object' that you wish to edit.

An Edit dialog box, or a Display Options dialog box appears in which you can re-specify the display settings of the selected 'object'.

You can also:

  • select an annotation 'object' in the layout editor, and choose Edit Item from the Edit menu, or
  • in the Layout editor or in the Layout Management pane, click a selected annotation 'object' with the right mouse button and select Edit Item from the context-sensitive menu, or
  • select an annotation 'object' in the layout editor, and press the Enter key on the keyboard.

To clear annotation:

You can clear or delete annotation as follows:

  • in the Layout editor or in Layout Management pane, select the annotation 'object' you wish to delete,

    • then:

  • choose Clear from the Edit menu, or
  • click the Clear [image] button in the standard toolbar, or
  • click the selection with the right mouse button and choose Clear from the context-sensitive menu, or
  • press the Del key on the keyboard.

Mind: When you select a map view and choose Clear, then the map view and all annotation related to the map view will be cleared.

To edit a map view in a layout:

To add extra layers to a map view in a layout:

  • select the map view in the layout editor, and
  • use the Add Layer [image], the Add Grid Lines [image] and/or the Add Graticule [image] buttons in the layout toolbar.

To remove layers or to change display options of layers:

  • double-click a map view in the layout editor,
  • a Layer Management pane will appear as in a map window.

    • You can for instance:

    • double-click a map layer, an annotation text layer, a grid layer or a graticule layer in the Layer Management pane to edit the display options of the layer,
    • select a layer in the Layer Management pane and use the Remove Layer [image] button to remove the layer,
    • you can also use the Add Layer, Add Grid Lines and/or the Add Graticule buttons as described above.

After editing a map view, you need to use Redraw [image] to apply any changes.

To save a changed map view in a layout:

To save a map view to which you added (or from which you removed) extra layers, grid lines or a graticule, or when you changed display options of a layer in the map view:

  • select the map view you wish to save in the layout,
  • click the Save button [image] in the standard toolbar, or
  • click the selected map view with the right mouse button, and choose Save View or Save View As from the context-sensitive menu.

To replace a map view in a layout:

To produce multiple layouts which are more or less similar, but which use for instance different map views, you can replace one or more map views in the layout, save the layout with a different name and optionally edit some annotation.

To replace a map view in the current layout with another map view:

  • select the map view you wish to replace,
  • click the selected map view with the right mouse button, and
  • choose Replace Map View from the context-sensitive menu.

To save a layout with a different name, use the Save As command on the File menu (see below).

To save a layout:

When finished inserting and editing map views and annotation, first save any changed map views (see above). To save the layout with the map views and the annotation that it contains:

  • click somewhere in the white space of the layout, and
  • click the Save button [image] in the standard toolbar, or
  • choose Save or Save As from the File menu of the layout editor.

Printing:

To print a layout with all map views on the scale you specified and all annotation as appearing in the layout:

  • choose Print from the File menu, or
  • click the Print button [image] in the standard toolbar of the layout editor.

Other functionality:

  • Exporting a complete layout as a bitmap: choose Export to Bitmap from the File menu.
  • Copying and Pasting text, bitmaps or pictures: choose Copy or Paste from the Edit menu.
  • To fit the entire layout in the layout editor window: choose Entire Page from the View menu.
  • To (re)fit an entire map view in the area specified for a map view: choose Entire Map from the Edit menu.

To exit the layout editor:

  • choose from the File menu, choose Exit Editor, or
  • click the Close button at the right top of the layout editor window, or double-click the Control-menu box.

See also:

Layout editor : standard toolbar

Layout editor : layout toolbar

Layout editor : menu commands

Layout editor : context-sensitive menu

ILWIS objects : map views

ILWIS objects : layouts


Layout editor : standard toolbar

Layout editor

Standard toolbar

The Layout editor has two toolbars that provide shortcuts for some regularly used menu commands:

  • a Standard toolbar: for standard actions like zooming in and out, save and print;
  • a Layout toolbar: to insert annotation to a layout, to add or to remove a layer from a selected map view in the layout, to add grid lines or graticules to a map view, etc.

In this topic, the Standard toolbar is described.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating.

The following actions can be performed:

Open:

Open another layout in the layout editor; this will replace the layout that is currently open. A dialog box will appear in which you can choose another layout.

Save:

Save the current layout. If a map view is selected when you click this button, the map view will be saved. The button is only available if the contents of the layout or the selected map view have changed.

When this is the first time you save a layout, a Save As dialog box will appear.

Print:

Print the layout. You can also use the Ctrl+P keys on the keyboard. A Print dialog box will appear in which you can select a printer, etc.

Cut:

Copy the current selection to the clipboard and delete the selection from the layout. You can also use the Ctrl+X keys on the keyboard.

Copy:

Copy the current selection to the clipboard. You can also use the Ctrl+C keys on the keyboard.

Paste:

Paste the contents of the clipboard into this layout as text, as a picture or as a bitmap. You can also use the Ctrl+V keys on the keyboard.

Clear:

Clears or deletes the selected object from the current layout. You can also use the Del key on the keyboard.

Entire Page:

Display the layout as an entire page in the layout editor window.

Normal:

Switch off Zoom In, Zoom Out, or Pan, and return to normal pointing mode. The mouse pointer will change back into a normal pointer. You can also press the Esc key or the Ctrl+N keys on the keyboard to return to Normal mode.

Pan:

Allows you to roam through the entire page of the layout, when you zoomed in on the layout.

Zoom In:

Allows you to zoom in on a selected spot or area in the layout.

The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the layout window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the layout window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the layout window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the layout window to zoom out with a factor 2, or
  • drag the mouse pointer in the layout window from one corner to another (any zoom out factor):
    • when you drag a small rectangle to zoom out: you will zoom out a lot;
    • when you drag a large rectangle to zoom out: you will zoom out a bit.

Redraw:

Redraws the contents of the layout window. If a map view is selected when you click this button, the map view will be redrawn.

Keep scale:

Fix the scale for a selected map view or not.
The effect is noticed when dragging borders of a map view:

  • when the scale of a map view is fixed and you drag the map view's borders: the area shown by the map view is reduced or enlarged,
  • when the scale of a map view is not fixed and you drag the map view's borders: the scale on which the map view is displayed is changed.

  1. When the button appears down: the scale of the map view is fixed for display and printing. You can only change the scale of a map view manually by typing a scale in the Layout Management pane.

    2. Dragging the size handles of a selected map view to the outside:

    • if the map view was displayed as an entire map, it will remain as it was; the scale of the map view and thus its size are already fixed;
    • if only part of the map view was displayed, then the map view will become larger, but the scale on which it is displayed remains the same (already fixed).

    Dragging the size handles of a selected map view to the inside:

    • only part of the map view will be shown; the scale on which the map view is displayed remains the same (already fixed).

  2. When the button appears up: the scale of the map view is not fixed.

    3. Dragging the size handles of a selected map view to the outside:

    • the map view will become larger (the scale will be automatically adjusted).

    Dragging the size handles of a selected map view to the inside:

    • the map view will become smaller (the scale will be automatically adjusted).

The toolbar can be hidden or shown with the Standard Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Layout editor : functionality

Layout editor : layout toolbar

Layout editor : menu commands


Layout editor : layout toolbar

Layout editor

Layout toolbar

The Layout editor has two toolbars that provide shortcuts for some regularly used menu commands:

  • a Standard toolbar: for standard actions like zooming in and out, save and print;
  • a Layout toolbar: to insert annotation to a layout, to add or to remove a layer from a selected map view in the layout, to add grid lines or graticules to a map view, etc.

In this topic, the Layout toolbar is described.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. To add annotation to a layout, you can also use the Insert menu.

The following actions can be performed:

Map View:

Insert an existing map view into the layout.

The Insert Map View dialog box will appear.

Text:

Insert new text into the layout.

The Insert/Edit Text dialog box will appear.

Box:

Insert a new box into the layout.

The Insert/Edit Box dialog will appear.

Bitmap/Picture:

Insert an existing bitmap or picture (Windows metafile) from disk into the layout.

The Insert Bitmap or Picture dialog box will appear.

Legend:

For a selected map view in the layout: insert a legend for a certain layer in the map view into the layout.

When the selected map view contains multiple layers, first the Map Layer Selection dialog box will appear.

Depending on the domain and the type of the layer for which you wish to insert a legend, you will need to specify display options for the legend for instance in:

  • the Display Options - Legend (Class) dialog box when you add a legend of a class map;
  • the Display Options - Legend (Image/Value) dialog box follows when you add a legend of a value map.

For other types of legends, refer to Insert Legend / Map Layer Selection.

Map Border:

For a selected map view in the layout: insert a map border into the layout. With this option you can also add ticks and coordinates of grid lines and/or of a graticule available in the selected map view or coordinates of the corner of the map(s) in the map view. Furthermore, you can add an outline around the map view.

The Insert/Edit Map Border dialog box will appear.

North Arrow:

For a selected map view in the layout: insert a North arrow to the layout.

The Insert/Edit North Arrow dialog box will appear.

Scale Bar:

For a selected map view in the layout: insert a scale bar into the layout. The scale bar will reflect the scale on which the selected map view is displayed and will be printed later on.

The Insert/Edit Scale Bar dialog box will appear.

Scale Text:

For a selected map view in the layout: insert as text the exact scale figure on which the map view is displayed and will be printed later on.

The Insert/Edit Scale Text dialog box will appear.

Add Layer:

For a selected map view in the layout:

  • add a raster map to the current map view when the map view does not contain a raster map yet, or
  • add another polygon, segment or point map to the current map view, or
  • add grid lines, a graticule or an annotation text object to the current map view.

The Add Layer dialog box will appear and the layout editor will obtain a Layer Management pane like a map window. You can thus edit display options of the layers in the map view.

After you have added a layer, you need to redraw the map view:

  • select the map view and click the Redraw button [image] in the standard toolbar, or
  • click the map view with the right mouse button and choose Redrawfrom the context-sensitive menu.

To save the changes in the map view, see the tip below.

Remove Layer:

When you already double-clicked a map view in the layout editor and when the layout editor has a Layer Management pane: select a layer in the Layer Management pane and click this button to remove the layer from the map view.

Click the Redraw button [image] in the standard toolbar to view the grid lines in the map view. To save the changes in the map view, see the tip below.

Grid Lines:

For a selected map view in the layout: add grid lines to the map view.

The Display Options - Grid Lines dialog box will appear.

Click the Redraw button [image] in the standard toolbar to view the grid lines in the map view. To save the changes in the map view, see the tip below.

Graticule:

For a selected map view in the layout: add a graticule to the map view.

The Display Options - Graticule dialog box will appear.

Click the Redraw button [image] in the standard toolbar to view the graticule in the map view. To save the changes in the map view, see the tip below.

Tip:

To save a map view to which you added (or from which you removed) extra layers, grid lines or a graticule, or when you changed display options of a layer in the map view:

  • select the map view, and click the Save [image] button in the standard toolbar, or
  • click the selected map view with the right mouse button, and choose Save View or Save View As from the context-sensitive menu.

The toolbar can be hidden or shown with the Layout Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Layout editor : functionality

Layout editor : standard toolbar

Layout editor : menu commands


Layout editor : menu commands

Layout editor

Menu commands
File

New
Open ...
Save
Save As ...

Page Setup ...
Print
Export to Bitmap
Exit

Edit

Cut
Copy
Paste
Clear

Edit Item
Entire Map
Page Border

Insert

Map View
Text
Legend
Scale Bar
Scale Text
North Arrow
Map Border
Picture/Bitmap
Box

View

Entire Page
Normal
Zoom In
Zoom Out
Pan
Redraw

Keep Scale
Standard Toolbar
Layout Toolbar
Layout Management
Status Bar

Context-sensitive menu


Layout editor

 File menu

Open a layout

Open another existing layout in the current layout editor window.

If the current layout has been changed, first a question will be asked whether the current layout should be saved or not.

This dialog box appears:

  • when you choose Open from the File menu in the Layout editor;
  • when you click the Open button [image] in the standard toolbar of the layout editor.

Dialog box options:

Select a layout: | Select a layout that you wish to open in the layout editor.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The layout editor will show the selected layout. You can edit the layout according to your wishes and print it.

Tips:

  • To open a layout in a new window, you can double-click a layout in a Catalog, or click the right mouse button on a layout in a Catalog and choose Open from the context-sensitive menu.
  • To replace one map view in the current layout by another: click the map view you wish to replace with the right mouse button (in the layout editor or in layout management) and choose Replace Map View from the context-sensitive menu.

See also:

Layout editor : functionality

ILWIS objects : layouts


Save layout

Layout editor

 File menu

Save a layout

Save the layout in the layout editor window. When you use this command when a map view is selected in the layout, then map view will be saved.

You can use the Save command on the File menu of the layout editor, but you can also click the Save button [image] in the standard toolbar of the layout editor.

  • When you have saved the layout earlier, the layout will be directly saved with the same name as before.
  • When you save a new layout for the first time, a Save As dialog box will appear. In that dialog box, you can enter a new name for the new layout.

Tips:

  • To replace a map view in the current layout by another map view:
    • click the map view you wish to replace with the right mouse button (in the layout editor or in layout management), and
    • choose Replace Map View from the context-sensitive menu.

    You can then save the layout with a different name, using the Save As command.

  • To save a changed map view in a layout, i.e. when you added layers to or removed layers from the map view, or when you changed display options of layers in the map view:
    • select the changed map view in the layout, and
    • click the Save button in the standard toolbar, or
    • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu.

See also:

Layout editor : Save As

Layout editor : functionality

ILWIS objects : layouts


Save layout as ...

Layout editor

 File menu

Save a layout as ...

Save the current layout with a new name.

This dialog box appears:

  • when you choose Save As from the File menu in the Layout editor;
  • when you have not saved the layout before, and you choose Save from the File menu or click the Save button [image] in the standard toolbar.

If any map views in the layout have been changed and when you wish to save the map views as well: save the map views yourself before using this option. For more information, see the tips below.

Dialog box options:

Save in: | If necessary, select another directory or folder where the layout should be stored.
File name: | Type a new name for your layout. It is not necessary to specify the extension.
Save as type: | You cannot select anything else than type Layout.

Tips:

  • To replace one map view in the current layout by another:
    • click the map view you wish to replace with the right mouse button (in the layout editor or in layout management), and
    • choose Replace Map View from the context-sensitive menu.

    You can then save the layout with a different name, using this Save As command.

  • To save a changed map view in a layout, i.e. when you added layers to or removed layers from the map view, or when you changed display options of layers in the map view:
    • select the changed map view in the layout, and
    • click the Save button in the standard toolbar, or
    • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu.

See also:

Layout editor : functionality

ILWIS objects : layouts


Page setup in layout editor

Layout editor

 File menu

Page Setup

Before adding map views and annotation to a layout, you should first specify the size, orientation, and margins of the paper on which you wish to create your layout and on which you wish to print, and the printer that you wish to use.

For your information, the current paper size is listed in the status bar of the layout editor. The orientation of the paper is reflected by shape of the 'paper' in the layout editor itself.

Note:

If you change the printer, paper size, or orientation of the paper etc. after adding map views and annotation to the layout, you may need to rearrange and resize the map view(s) and the annotation elements that were previously inserted in the layout.

Dialog box options:

Paper:

Select the paper size and the source of the paper.

Size:

Select the paper size for the selected printer, for example A4 or A3, or another paper size appearing in the drop-down list box. Which paper sizes appear in the drop-down list box depends on the driver of the currently selected printer.

Source:

Select the paper source for the selected printer. Which paper sources that appear in the drop-down list box depends on the driver of the currently selected printer.

Orientation:

Select the orientation of the paper.

Portrait:

Vertical paper orientation.

Landscape:

Horizontal paper orientation.

Margins:

Specify the margins of the paper. Any (parts of) map views or annotation placed in these margins will not be printed.

Left:

Type a value in mm for the margin on the left.

Right:

Type a value in mm for the margin on the left.

Top:

Type a value in mm for the margin on the top.

Bottom:

Type a value in mm for the margin on the bottom.

Printer button:

When you click this button, another dialog box will appear. In that dialog box, the name of the currently selected printer is displayed and the status, type and server name of the printer are shown.

You can select the printer you wish to use. ILWIS will only list the printers that have been properly installed and which appear in Windows Control Panel. For information about installing printers, see your Windows documentation.

See also:

Print (dialog box)

Layout editor : functionality

ILWIS objects : layouts


Print a layout with maps and annotation

Layout editor

 File menu

Print

Print the contents of the current layout. All map views and annotation that were added to the layout will be sent to the printer.

The options that can be selected in the dialog box depend on the available installed printer(s) and on the selected default printer for your layouts. For more information, refer to the Page Setup dialog box.

Dialog box options:

Printer: |
Name: | Select the printer that you wish to use to print this layout. For your information, the status, type and server name of the printer are shown.
Print to file: | Select this check box if you wish to print this layout to a file, e.g. a Postscript file. Clear this check box if you wish to print this layout directly on the selected printer.
Properties button: | Inspect the properties of the selected printer.
Print range: |
All: | You can only print the entire layout.
Copies: |
Nr. of copies: | Specify the number of copies you wish to obtain.
Collate: | This check box currently has no function.

Tip:

  • To choose a default printer, select paper size and orientation of the paper, etc., see the Page Setup dialog box.

Printing to a Postscript file (.PS):

  1. To 'export' a layout to Postscript format:
    • From the Windows Start menu, choose Settings, Printers. Double-click the Add Printer icon.
    • Select Local Printer.
    • Choose any Postscript printer.
    • Instead of choosing a printer port, choose FILE:
    • Type a name by which you want to recognize this 'printer'.
    • Do not ask for a test page.
  2. Create a layout to which you add your map views, and annotation, and in the layout editor :
    • Choose File Print,
    • Select the Postscript 'printer' to File.
    • Print.

See also:

Page Setup (dialog box)

Layout editor : functionality

ILWIS objects : layouts


Export layout to bitmap

Layout editor

 File menu

Export to Bitmap

Save the complete layout that is currently displayed in the layout editor as a bitmap.

Dialog box options:

File name: | Type a name for the output bitmap.
Resolution (dpi): | Specify the resolution (in dots per inch) for the bitmap.
Size: | For your information, the size of the output bitmap is listed in pixels.
File size: | For your information, the file size of the output bitmap is listed in kB or MB. Mind: As the bitmap will first be created in memory, you should not specify a resolution for the bitmap that will result in a file size which exceeds the amount of free RAM in your computer.

See also:

Layout editor : functionality

ILWIS objects : layouts


Layout editor : Cut

Layout editor

 Edit menu

Cut

Copies a selected map view with additional annotation or a selected annotation element from the layout to clipboard as text, picture or bitmap, and deletes the selection from the layout.

Copied map views and annotation can be pasted into other Windows applications which use text, pictures or bitmaps.

Note:

When you use Cut while you selected a map view for which you already added annotation (legends, map borders, North arrow, scale bar, scale text), then:

  • only the map view will be copied as a picture to clipboard,
  • the map view and the annotation that has been added for this map view will be deleted from the current layout.

To select a map view or an annotation element:

  • click a map view or an annotation element in the layout editor or in the Layout Management pane.

To cut:

  • select a map view or an annotation element, and:
    • select Cut from the Edit menu, or
    • click the Cut button [image] in the standard toolbar of the layout editor,
    • press the Ctrl+X keys on the keyboard.

Format in clipboard:

Object in layout editor: | Format in clipboard after Copy:
Map view | Picture
Text | Text
Box | Picture
Picture | Picture
Bitmap | Bitmap
Legend | Picture
Map Border | Picture
North Arrow | Picture
Scale Bar | Picture
Scale Text | Text

Tips:

  • Afer pasting, you may need to resize the pasted pictures, bitmaps or text. To resize an object, you can select an object and drag its size handles; you can also adapt the width and height values in the Layout Management pane.
  • It is not a very good idea to copy and paste annotation elements from one layout into another layout: as most objects are copied as pictures, the meaning of coordinates, sizes of a scale bar, etc. will get lost.

    • When you wish to create a layout which should look almost exactly as another layout, it is therefore advised to save the current layout with another name and replace the map view(s) and/or edit the annotation. For more information, refer to the tips in the Copy topic.

  • To copy the whole layout editor window including the window borders, title bar, menu bar, toolbar, status bar, etc.: press Alt+PrintScrn on the keyboard.

    • The layout editor window will be copied as a bitmap to the clipboard.

  • You can use Windows' Clipboard Viewer to inspect the current contents of the clipboard.

See also:

Layout editor : functionality


Layout editor : Copy

Layout editor

 Edit menu

Copy to clipboard

Copies a selected map view or a selected annotation element from the layout to clipboard as text, picture or bitmap.

Copied map views and annotation can be pasted into other Windows applications which use text, pictures or bitmaps.

  • Only one map view or one annotation element can be copied at a time.
  • When copying a map view to clipboard, the entire map view will be copied, regardless whether you have zoomed in on a part of the map view or not.

To select a map view or an annotation element:

  • click a map view or an annotation element in the layout editor or in the Layout Management pane.

To copy:

  • select a map view or an annotation element, and:
    • select Copy from the Edit menu, or
    • click the Copy button [image] in the standard toolbar of the layout editor,
    • press the Ctrl+C keys on the keyboard.

Format in clipboard:

Object in layout editor: | Format in clipboard after Copy:
Map view | Picture
Text | Text
Box | Picture
Picture | Picture
Bitmap | Bitmap
Legend | Picture
Map Border | Picture
North Arrow | Picture
Scale Bar | Picture
Scale Text | Text

Tips:

  • Afer pasting, you may need to resize the pasted pictures, bitmaps or text. To resize an object, you can select an object and drag its size handles; you can also adapt the width and height values in the Layout Management pane.
  • It is not a very good idea to copy and paste annotation elements from one layout into another layout: as most objects are copied as pictures, the meaning of coordinates, sizes of a scale bar, etc. will get lost.

    • When you wish to create a layout which should look almost exactly as another layout, it is therefore advised to:

    • save the layout with another name using Save As;
    • in the new layout, replace map views if required: select a map view, then click it with the right mouse button and choose Replace Map View from the context-sensitive menu;
    • in the new layout, edit annotation elements if required: double-click the annotation element you wish to edit.

    For more information, see Layout editor : functionality.

  • To copy the whole layout editor window including the window borders, title bar, menu bar, toolbar, status bar, etc.: press Alt+PrintScrn on the keyboard.

    • The layout editor window will be copied as a bitmap to the clipboard.

  • You can use Windows' Clipboard Viewer to inspect the current contents of the clipboard.
  • To store a complete layout as a bitmap on disk, use the Export to Bitmap command on the File menu.

See also:

Layout editor : functionality

Map window : copy to clipboard


Layout editor : Paste

Layout editor

 Edit menu

Paste

Paste the contents of the clipboard into the current layout.

You can paste:

  • anything that has been copied into the clipboard as text, a picture or a bitmap; the copying may have been done in ILWIS or in any other Windows application;
  • this includes for instance: logos, graphs, multiple lines or multiple paragraphs of text, etc.

To paste:

  • select Paste from the Edit menu, or
  • click the Paste button [image] in the standard toolbar of the layout editor,
  • press the Ctrl+V keys on the keyboard.

Pasted objects will always appear as a new text, picture or bitmap at the top left corner in your layout.

Tip:

  • You can use Windows' Clipboard Viewer to inspect the current contents of the clipboard.
  • Afer pasting, you may need to resize the pasted pictures, bitmaps or text. To resize an object, you can select an object and drag its size handles; you can also adapt the width and height values in the Layout Management pane.
  • It is not a very good idea to copy and paste annotation elements from one layout into another layout: as most objects are copied as pictures, the meaning of coordinates, sizes of a scale bar, etc. will get lost.

    • When you wish to create a layout which should look almost exactly as another layout, it is therefore advised to save the current layout with another name and replace the map view(s) and/or edit the annotation. For more information, refer to the tips in the Copy topic.

See also:

Layout editor : Copy

Layout editor : functionality


Layout editor : Clear

Layout editor

 Edit menu

Clear

Clear or delete a selected map view with additional annotation or a selected annotation element from the layout.

Note:

When you use Clear while you selected a map view for which you already added annotation (legends, map borders, North arrow, scale bar, scale text), then:

  • the map view and the annotation that has been added for this map view will be deleted from the current layout.

To select a map view or an annotation element:

  • click a map view or an annotation element in the layout editor or in the Layout Management pane.

To clear:

  • select a map view or an annotation element, and:
    • select Clear from the Edit menu, or
    • click the Clear button [image] in the standard toolbar of the layout editor,
    • press the Del key on the keyboard, or
    • click the selected object with the right mouse button and choose Clear from the context-sensitive menu.

Tip:

If you do not wish to save any changes, leave the layout editor without saving the layout.

See also:

Layout editor : functionality


Insert Map View in layout

Layout editor

 Insert menu

Insert Map View

Insert a map view in your layout.

Dialog box options:

Select map view: | Select the [image] map view that you wish to add as a layer to the current layout.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

A small dialog box will follow in which you can specify an initial scale on which the map view should be displayed on the paper.

Tips:

  • You can add multiple map views to a layout.
  • You can also drag one or more map views from a Catalog or from Windows Explorer to a layout.
  • To add layers to or to remove layers from a map view in a layout, or to change display options of layers in a map view in a layout, double-click a map view in the layout.
  • To save a changed map view in your layout:
    • select the map view in the layout, and
    • click the Save button in the standard toolbar, or
    • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu.
  • To replace a map view in the current layout with another map view:
    • select the map view you wish to replace,
    • choose Replace Map View from the context-sensitive menu.
  • To save a layout in which you replaced a map view:
    • click somewhere in the white space of the layout, and
    • click the Save button in the standard toolbar, or
    • choose Save or Save As from the File menu of the layout editor.

See also:

Layout editor : functionality

Layout editor : layout toolbar

ILWIS objects : layouts

ILWIS objects : map views


Insert/Edit Text in layout

Layout editor

 Insert menu

Insert/Edit Text

Insert or edit some text in your layout.

You can insert multiple lines of text, but the text is always displayed in one font, one font size, appears either as normal, or as bold and/or italics, and it is linked to one specific position in the layout.

Tip:

When you wish to obtain multiple texts, for instance the names or values of all points, segments or polygons in a certain map, or when you wish to store multiple texts using multiple fonts, multiple font sizes, different formatting and when text should be linked to multiple positions within a map view, it is advised to create an Annotation Text object. An Annotation Text object differs from Text.

Dialog box options:

Text:

Type the text that should appear in your layout.

You can create multiple lines of texts by using the Enter key or the Shift+Enter keys in this text box.

You can simulate a Tab by using the Ctrl+Tab keys in this text box.

Alignment:

Left

Horizontally position the text at the left hand side of its selection box.

Center

Horizontally position the text at the center of its selection box.

Right

Horizontally position the text at the right hand side of its selection box.

Color:

Select a color for your text; select a color from the list. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button [image]; the Windows Color dialog box will appear.

Font name:

Select the font in which your text should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your text should appear.

Rotate:

Type a value to rotate your text anti-clockwise; if you type 90, the text will be readable from bottom to top.

Note: The user-interface does not behave correctly for rotations; you may need to use the Redraw button. If you use a rotation and text falls outside its selection box (difficult to select again in Layout editor), it is advised to use the Layout Management pane to select and edit your text.

Bold:

Select this check box to have text appear in bold.

Italic:

Select this check box to have text appear in italics.

Transparent:

Select this check box to have the text appear with minimum loss of other layers that are displayed 'below' the text.

Clear this check box to create some (white) space on top of which the text is positioned.

Examples:

This is my text in Arial, bold, point 10.

This is my text in Times, regular, point 10.

Tips:

  • You can add as many texts to a layout as you like.
  • You can copy texts in another program and paste it into this Insert/Edit Text dialog box (use Ctrl+V).
  • In the Layout editor, text can be sized by dragging for instance one of the corner size handles of a selected text to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The font in which a text is displayed will be automatically adapted to the new size.
  • To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar

ILWIS objects : layouts

ILWIS objects : annotation text

Annotation Text editor : functionality


Layout editor

 Insert menu

Insert a Legend / Map Layer Selection

When a selected map view in a layout contains multiple map layers, select the data layer for which you want to create a legend.

This dialog box appears:

  • when in the layout editor, you select a map view that contains more than one data layer, and then:
    • choose the Legend command from the Insert menu of the layout editor, or
    • click the Legend button [image] in the Layout toolbar of the layout editor.

Dialog box options:

In the list box, select the map layer for which you want to create a legend.

Depending on the domain of the map layer you select, a dialog box will appear in which you can further specify the appearance of the legend.

When you select:

  • a raster, polygon, segment or point map layer with a Class domain,

    • the Display Options - Legend (Class) dialog box appears;

  • a raster, polygon or segment map layer with a value domain or the Image domain,

    • the Display Options - Legend (Image/Value) dialog box appears;

  • a point map with a value domain,

    • the Display Options - Legend (point values as sized symbols) dialog box appears;

  • an ID point map with an attribute table, displayed as arrows,

    • the Display Options - Legend (point ID + attributes, symbols as arrows) dialog box appears;

  • an ID point map with an attribute table, displayed as pie charts, bar charts, or composed bars,

    • first, a Create Legend dialog box appears;

    then, either the:

    • the Display Options - Legend (point ID + attributes, symbols as graphs, size) dialog box, (for pie charts, bar charts and composed bars), or
    • the Display Options - Legend (point ID + attributes, symbols as graphs, color) dialog box appears (for pie charts, bar graphs, composed bars, and volume cubes). For volume cubes, this dialog box will directly appear.

See also:

Layout editor : functionality

ILWIS objects : layouts


Insert/Edit Legend (Class)

Layout editor

 Insert menu

Insert/Edit Legend (Class maps)

Insert or edit a legend for a domain Class map. The legend will be added to your layout.

A legend for a map which uses a class domain is based on the occurring class names in the domain of the map. Colors for the classes are derived from the representation of the layer.

Tip:

It may be handy to open the domain and/or the representation of the layer for which you are adding a legend:

  • double-click the map view in the layout editor,
  • then, use the appearing Layer Management pane to open the domain of the map or the representation used by the domain.

Dialog box options:

Number of columns:

Select the number of columns in which the legend should be displayed.

Code:

Select this check box to obtain the codes of the classes in the domain as legend text.

Name:

Select this check box to obtain the names of the classes in the domain as legend text.

Description:

Select this check box to obtain the description of the classes in the domain as legend text.

You can combine the Code, Name and Description for legend texts by selecting multiple check boxes. If codes or descriptions appear to be empty, you can edit them by opening the domain of the map, see the tip above.

Selectable classes:

The left hand list box lists all classes that are present in the domain.

You can select one or more classes and add them to the right hand list box by using the > button.

Selected classes:

The right hand list box lists the class names that will be shown in your legend. By default all class names that occur in the domain are listed.

You can hide one or more classes from the legend by using the < button, see below.

This list box also shows the order of the selected classes in the legend: drag individual classes up or down in the list.

To add one or more selected classes to the legend:

  • select one or more classes in the left hand list box

    • (to select multiple classes, press and hold down the Shift or the Ctrl key while selecting);

  • then press this > button.

The classes will be added to the bottom of the list in the right hand list box.

To remove one or more selected classes from the legend:

  • select one or more classes in the right hand list box (to select multiple classes, press and hold down the Shift key while selecting);
  • then press this < button.

Font name:

Select the font in which the legend texts should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your legend texts should appear. Note: The font size also determines the height of the legend boxes.

Bold:

Select this check box to have legend texts appear in bold.

Italic:

Select this check box to have legend texts appear in italics.

Box width/height ratio:

Type a value for the width/height ratio of the legend color boxes.

Extra height:

If you wish to obtain extra line spacing between your legend classes (i.e. in vertical direction), type a value.

Transparent:

Select this check box if the background area within the legend should be transparent; if the legend is displayed on top of other items, these other items will still be partly visible (minimum loss of other displayed items).

Clear this check box to have the background of the legend appear as non-transparent white space.

Tips:

  1. The order of the classes as appearing in the legend can be easily changed by dragging the classes in the right hand list box up or down to another position.
  2. You can also change the order of classes in the domain: choose Manual Ordering from the Edit menu in the Domain Class editor, and drag classes to a new position in the list. This automatically changes the default order of the classes in the legend, but also for instance the order of records in an attribute table, etc.
  3. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The box sizes and the font in which legend texts are displayed will be automatically adapted to the new size.
  4. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Legend (Image/Value)

Layout editor

 Insert menu

Insert/Edit Legend (Images/Value maps)

Insert or edit a legend for a raster, polygon or segment value map. The legend will be added to your layout.

A legend for a value map consists of a vertical color bar with gradual colors and corresponding values. The legend is based on the representation that is currently used by the layer.

Dialog box options:

MinMax:

Select this check box to specify the minimum and maximum value to be shown by the legend yourself.

Clear this check box if the legend should show the range of values of the domain; also all limits/boundaries inserted to the representation will be shown.

Upward:

Select this check box when the legend should display the largest value at the top and the smallest value at the bottom.

Clear this check box when the legend should display the smallest value at the top and the largest value at the bottom.

Ratio:

Specify a value for the height/width ratio of the color bar (1.0 <= real value <= 20.0).

When you use a ratio of 5, you will normally obtain 6 text values along your color bar.

Font name:

Select the font in which the legend values should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your legend values should appear.

Bold:

Select this check box to have legend values appear in bold.

Italic:

Select this check box to have legend values appear in italics.

Tips:

  1. To adjust the number of values displayed along the color bar, specify another height/width Ratio.
  2. To have round values appear along the color bar, specify MinMax values yourself and think about the Ratio.
  3. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The color bar and the font used by the legend will be automatically adapted to the new size.
  4. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Legend (point values as sized symbols)

Layout editor

 Insert menu

Insert/Edit Legend (Value point map)

Sized symbols

Insert or edit a legend for a value point map. During display in a map window, you should have used the Stretch check box in the Symbol dialog box so that point values are displayed on different sizes depending on their value. The legend will be added to your layout.

A legend for a value point map consists of a sized symbols (e.g. proportional to the point values) and corresponding point values.

Dialog box options:

Upward:

Select this check box when the legend should display the largest value at the top and the smallest value at the bottom.

Clear this check box when the legend should display the smallest value at the top and the largest value at the bottom.

Symbols:

Select the number of symbols that should appear in your legend. The legend can display 2 up to 7 different symbol sizes with corresponding values.

Font name:

Select the font in which the legend texts should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your legend texts should appear.

Bold:

Select this check box to have legend texts appear in bold.

Italic:

Select this check box to have legend texts appear in italics.

Use units:

Select this check box if the value domain of this point map has a unit specification (e.g. m3/ha/y) and when the units should appear in the legend. For more information, see Edit a value domain (dialog box).

Tips:

  1. To adapt the symbol sizes both in the point map and in the legend, or to have round values appear in your point legend:
    • double-click the map view containing the point map in the layout editor,
    • use the appearing Layer Management pane to adapt the display options of the point map; in the Symbol dialog box, you can then specify other values for Stretch and Size.

    Do not forget to save the changed map view.

  2. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. Only the font used by the legend will be automatically adapted to the new size; the symbol sizes will remain.
  3. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Display Options - Point Map (dialog box)

Symbol (point maps with value domain) (dialog box)

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Legend (point ID + attributes, symbols as arrows)

Layout editor

 Insert menu

Insert/Edit Legend (ID point map + attributes)

Symbols as arrows

Insert or edit a legend for a point map with an ID domain and an attribute table, where the attributes are displayed as arrows. During display in a map window, in the Symbols as Arrows dialog box, you should have used the Color option to specify a Class column, so that the arrows are displayed in different colors according to the representation of the specified class column. The legend will be added to your layout.

The legend will consist of a number of colored arrows; the class names of the selected class column for the colors will appear as text. The arrows in the legend are always drawn with a width of 0.1 mm.

The point map in the map view should have been created as follows:

  • display an ID point map with an attribute table, and
  • in the Display Options - Point Map dialog box, choose the Symbols as Arrows option, and click the Details button, and
  • in the Symbols as Arrows dialog box, select a class column from the attribute table for the Color of the arrows, and,
  • save the map as a map view.

Dialog box options:

Number of columns:

Select the number of columns in which the legend should be displayed.

Code:

Select this check box to obtain the codes of the classes in the domain as legend text.

Name:

Select this check box to obtain the names of the classes in the domain as legend text.

Description:

Select this check box to obtain the description of the classes in the domain as legend text.

You can combine the Code, Name and Description for legend texts by selecting multiple check boxes.

Selectable classes:

The left hand list box lists all classes that are present in the domain.

You can select one or more classes and add them to the right hand list box by using the > button.

Selected classes:

The right hand list box lists the class names that will be shown in your legend. By default all class names that occur in the domain are listed.

You can hide one or more classes from the legend by using the < button, see below.

This list box also shows the order of the selected classes in the legend: drag individual classes up or down in the list.

To add one or more selected classes to the legend:

  • select one or more classes in the left hand list box

    • (to select multiple classes, press and hold down the Shift or the Ctrl key while selecting);

  • then press this > button.

The classes will be added to the bottom of the list in the right hand list box.

To remove one or more selected classes from the legend:

  • select one or more classes in the right hand list box (to select multiple classes, press and hold down the Shift key while selecting);
  • then press this < button.

Font name:

Select the font in which the legend texts should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your legend texts should appear.

Bold:

Select this check box to have legend texts appear in bold.

Italic:

Select this check box to have legend texts appear in italics.

Box width/height ratio:

Type a value for the width/height ratio of the legend color boxes.

Tips:

  1. The order of the classes as appearing in the legend can be easily changed by dragging the classes in the right hand list box up or down to another position.
  2. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The font in which legend texts are displayed will be automatically adapted to the new size; the arrow sizes will remain the same.
  3. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Display Options - Point Map (dialog box)

Symbols as Arrows (dialog box)

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Legend (point ID + attributes, symbols as graphs: size)

Layout editor

 Insert menu

Insert/Edit Legend (ID point map + attributes)

Symbols as graphs: size

Insert or edit a size legend for an ID point map with an attribute table where the points are represented as pie charts, bar charts or composed bars. During display in a map window, you should have used the Stretch check box in the Symbols as Graphs dialog box so that point values are displayed as graphs on different sizes depending on a specified Size column. The legend will be added to your layout.

The legend will have the following appearance:

  • when the point map is displayed as pie charts:

    • the size legend will consist of a number of sized circles, one inside the other; and text values explaining the sizes of the circles;

  • when the point map is displayed as bar charts or as composed bars:

    • the size legend will consist of a sized bar, and text values explaining the height of the bar(s).

The total size of the pie charts, bar charts or composed bars is determined by the specified Size column and the specified minimum and maximum Stretch values in the Symbols as Graphs dialog box.

This dialog box appears:

  • when you displayed an ID point map with an attribute table, and
  • in the Display Options - Point Map dialog box, you chose the Symbols as Graphs option, and clicked the Details button, and
  • in the Symbols as Graphs dialog box, you selected to display the map as pie charts, bar charts or composed bars; furthermore, you must have specified minimum and maximum stretch values in that dialog box, and,
  • you saved the map as a map view,
  • in the layout editor, you selected the map view and choose to add a size legend.

Dialog box options:

Values:

Select the number of values that should be displayed as text next to the legend.

When you select value 3:

  • for pie charts: 3 circles will be drawn inside each other with 3 accompanying texts;
  • for bar charts and composed bars: a bar consisting of 2 parts on top of each other will be drawn with 3 accompanying texts.

The values specified as the minimum and maximum stretch value in the Symbols as Graphs dialog box will always be used as texts in the legend.

Font name:

Select the font in which the legend texts should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which your legend texts should appear.

Bold:

Select this check box to have legend texts appear in bold.

Italic:

Select this check box to have legend texts appear in italics.

Tips:

  1. When creating a legend for a point layer displayed as pie charts, bar charts or composed bars: you may have to reduce the number of number of values and/or to reduce the legend text font size to obtain a good legend.
  2. To adapt the symbol sizes both in the point map and in the legend, or to have round values appear in your graph legend:
    • double-click the map view containing the point map in the layout editor,
    • use the appearing Layer Management pane to adapt the display options of the point map; in the Symbols as Graphs dialog box, you can then specify another column for the Size, and other values for Stretch and Minimum and Maximum Stretch Size.

    Do not forget to save the changed map view.

  3. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. Only the font used by the legend will be automatically adapted to the new size; the graph sizes will remain.
  4. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Display Options - Point Map (dialog box)

Symbols as Graphs (dialog box)

Legend - Symbols as Graphs, Color (dialog box)

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Legend (point ID + attributes, symbols as graphs: color)

Layout editor

 Insert menu

Insert/Edit Legend (ID point map + attributes)

Symbols as graphs: color

Insert or edit a size legend for an ID point map with an attribute table where the points are represented as pie charts, bar charts or composed bars. The legend will be added to your layout.

The legend will consist of a number of colored boxes, and accompanying texts.

  • The colors used in the pie charts, bar charts, composed bars, or volume cubes, are determined by the colors that you assigned to these selected columns in the Symbols as Graphs dialog box.
  • The texts are the names or the descriptions of the columns you selected to obtain graphs in the Symbols as Graphs dialog box.

This dialog box appears:

  • when you displayed an ID point map with an attribute table, and
  • in the Display Options - Point Map dialog box, you chose the Symbols as Graphs option, and clicked the Details button, and
  • in the Symbols as Graphs dialog box, you selected to display the map as pie charts, bar charts or composed bars, and,
  • you saved the map as a map view,
  • in the layout editor, you selected the map view and choose to add a color legend.

Dialog box options:

Number of columns: | Type a value for the number of columns in which the legend should be displayed.
Text: | Select what kind of texts should be used in the legend. The texts explain the colors in the legend.
Name: | To obtain the names of the selected columns as legend texts.
Description: | To obtain the descriptions of the selected columns as legend texts. When a column does not have a description, there will be no legend text.
Font name: | Select the font in which the legend texts should appear; you can select an installed font from the list.
Font size: | Type a value for the font size (pt) in which your legend texts should appear.
Bold: | Select this check box to have legend texts appear in bold.
Italic: | Select this check box to have legend texts appear in italics.

Tips:

  1. To adapt the graphs themselves or to change the colors both in the point map and in the legend, or to change the order of the legend:
    • double-click the map view containing the point map in the layout editor,
    • use the appearing Layer Management pane to adapt the display options of the point map; in the Symbols as Graphs dialog box, you can then specify other columns and other colors to be used in the graphs or change the order of the selected columns.

    Do not forget to save the changed map view.

  2. In the Layout editor, a legend can be sized by dragging for instance one of the corner size handles of a selected legend to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The box sizes and the font in which legend texts are displayed will be automatically adapted to the new size.
  3. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Display Options - Point Map (dialog box)

Symbols as Graphs (dialog box)

Legend - Symbols as Graphs, Size (dialog box)

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Scale Bar in layout

Layout editor

 Insert menu

Insert/Edit Scale Bar

Insert or edit a scale bar for a selected map view in your layout.

The scale bar that will be created is based on the georeference used by the raster map in the selected map view; or if the map view does not contain a raster map, by the georeference of the map view itself.

You need to specify an interval length in meters:

  • the scale bar that will be constructed will consist of at least 2 of such intervals;
  • you can choose whether the intervals should be distinguished by alternating colors or by ticks;
  • you will automatically obtain some text directly below the scale bar for the beginning of the first interval and the end of the last interval;
  • optionally, the first interval can be divided into five smaller parts.

Tip:

You can also obtain scale information for the map view as text, for instance 1:100000. Select a map view in your layout, and click the Scale Text [image] button or choose Scale Text from the Insert menu.

Dialog box options:

Blocked: | Choose this option button to obtain a scale bar in which the intervals are visible as alternating colored blocks.
Line: | Choose this option button to obtain a scale bar appearing as a line; ticks along the axis indicate the intervals.
Height of scale bar: | Specify the height of the scale bar (mm).
Tick placement: | In case of a Line scale bar: specify whether ticks along the scale bar should be pointing up or down.
Nr. of intervals: | Type a value for the number of intervals you wish to obtain (minimum 2, maximum 12).
Interval length: | Type a value for the size of each interval, i.e. the distance that each interval should represent.
First interval divided into smaller parts:
 | Select this check box if the first interval should be divided into 5 small parts.
Unit indication: | Select this check box when you wish to obtain the distance units along the scale bar, usually m for meters. Optionally, you can choose to obtain km for kilometers as unit indication.
Color: | Select a color for the scale bar and the start and end text that will automatically appear along the scale bar. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button; the Windows Color dialog box will appear.
Font name: | Select the font in which the start and end text along the scale bar should appear; you can select an installed font from the list.
Font size: | Type a value for the font size (pt) in which the start and end text along the scale bar should appear.
Bold: | Select this check box if the text along the scale bar should appear in bold.
Italic: | Select this check box if the text along the scale bar should appear in italics.

Examples:

Blocked scale bar, 5 intervals of 1000 m, unit indication in km, font Arial 12 pt.

Line scale bar, 5 intervals of 1000 m, first interval divided into smaller parts, font Arial 12 pt.

Tips:

  1. In the Layout editor, a scale bar can be made larger or smaller in horizontal direction by dragging for instance a middle size handle which appears at the right hand side or the left hand side of the selected scale bar. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The number of intervals will automatically increase or decrease, and the text along the scale bar is automatically adapted to the new size.
  2. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : Insert/Edit Scale Text

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Scale Text in layout

Layout editor

 Insert menu

Insert/Edit Scale Text

Insert or edit scale text for a selected map view in your layout, for instance 1:100000.

Scale text is always the exactly same as the scale that you set for the selected map view; you can set the scale for a map view in the Layout Management pane. After you have set a scale for a map view, it is advised to fix or keep the scale.

Dialog box options:

Color: | Select a color for the scale text; select a color from the list. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button [image] ; the Windows Color dialog box will appear.
Font name: | Select the font in which the scale text should appear; you can select an installed font from the list.
Font size: | Type a value for the font size (pt) in which the scale text should appear.
Bold: | Select this check box to have the scale text appear in bold.
Italic: | Select this check box to have the scale text appear in italics.
Transparent: | Select this check box to simply obtain the scale text; if you position the scale text on layer, i.e. a map view, or an annotation element, the other layers will still be visible 'below' the scale text (minimum loss of other displayed layers). Clear this check box to create some (white) space on top of which the scale text will be positioned.

Tips:

  1. In the Layout editor, scale text can be sized by dragging for instance one of the corner size handles of a selected text to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The font size in which the text is displayed will be automatically adapted to the new size.
  2. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : Insert/Edit Scale Bar

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit North arrow in layout

Layout editor

 Insert menu

Insert/Edit North Arrow

Insert or edit a North arrow for a selected map view in your layout.

The scale bar that will be created is based on the georeference used by the raster map in the selected map view; or if the map view does not contain a raster map, by the georeference of the map view itself.

Dialog box options:

Arrow type: | Select the type of North arrow you wish to obtain (see examples below).
Simple: | Choose this option button to obtain a North arrow in the shape of a straightforward arrow.
Cross: | Choose this option button to obtain a North arrow in the shape of a cross/plus sign.
Wing: | Choose this option button to obtain a North arrow in the shape of a wing.
Compass: | Choose this option button to obtain a North arrow in the shape of a compass-card; also choose whether the compass-card should point to 4, 8 or 16 directions.
Half: | For a Simple North Arrow: select this check box if you wish to obtain only half an arrow head. For a Wing North Arrow: select this check box if you wish to obtain half of the wing in white and the other half of the wing in the selected color.
Circle: | Select this check box if you wish to obtain an extra circle in or around your North arrow.
Width (mm): | In case of a 'simple' or a 'cross' North arrow, specify the line width (mm) of the main part of the North arrow. Value 0 means that the North arrow will be drawn and printed as fine as possible (hairline).
Color: | Select a color for the North arrow and optional accompanying text. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button; the Windows Color dialog box will appear.
Text: | Select this check box if you wish to obtain additional text for your North arrow such as N, S, E, W. Clear this check box if you wish no text at all for the North arrow.
All sides: | Select this check box if you wish to obtain text on all sides of the North arrow, i.e. N, S or N, S, E, W. Clear this check box if you only wish to obtain the letter N for North.
Font name: | Select the font in which additional text for the North arrow should appear; you can select an installed font from the list.
Font size: | Type a value for the font size (pt) in which additional text for the North arrow should appear.
Bold: | Select this check box to have additional text for the North arrow appear in bold.
Italic: | Select this check box to have additional text for the North arrow appear in italics.

Examples:

1 | 2 | 3 | 4 | 5

Arrow 1: | Simple North arrow with text.
Arrow 2: | Cross North arrow with text.
Arrow 3: | Wing North arrow, half, with text.
Arrow 4: | Wing North arrow with circle and text.
Arrow 5: | Compass North arrow, 8 headed, with text on all sides.

Tips:

  • In the Layout editor, a North arrow can be sized by dragging one of the corner size handles of a North arrow to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging. The North arrow itself will be automatically adapted to the new size; you have to specify a new font size for accompanying text yourself.
  • To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Map Border in layout (neat line or border line around map view)

Layout editor

 Insert menu

Insert/Edit Map Border

Neat line

Grid

Graticule

Corners

Outline

Insert or edit a map border, and/or ticks and/or coordinates for grid lines or a graticule for a selected map view in your layout.

You can insert or edit:

  • a neatline which exactly fits the selected map view;
  • grid ticks and/or coordinates along the map view in meters;
  • graticule ticks and/or coordinates along the map view in degrees, minutes, seconds;
  • coordinates for the corners of a map view;
  • an outline at a certain distance around a map view.

Use the tabs to go to a specific page.

On this Neat Line page, you can add or edit a border which exactly fits the selected map view. To add a border at a certain distance around your map view, use the Outline tab. To obtain a border along the margins of the page of a layout, choose Page Border from the Edit menu.

Neat line page options:

Color:

Select a color for the line that will be drawn along the selected map view. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Windows Color dialog box will appear.

Neat line graduation:

Select this check box when you wish to obtain a blocked border of alternating colors around the selected map view (user-defined width in mm).

Clear this dialog box when you wish to obtain only a neat line of 0.1 mm around the selected map view.

Meters:

Choose this option button when the intervals in the blocked border should be in meters.

Degrees:

Choose this option button when the intervals in the blocked border should be in degrees, minutes, seconds.

Interval:

Type a value for the size of each interval or block in your blocked border, i.e. the distance that each block should represent.

Width (mm):

Type a value for the width of the blocked border (both on screen and on printer).

Tips:

  1. If you size a selected map border in the Layout editor, by dragging one of the size handles of a selected map border, then the size or the scale of your map view will change. This depends on whether you used the Keep Scale button.
  2. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Map Border in layout (grid ticks and coords around map view)

Layout editor

 Insert menu

Insert/Edit Map Border

Neat line

Grid

Graticule

Corners

Outline

Insert or edit a map border, and/or ticks and/or coordinates for grid lines or a graticule for a selected map view in your layout.

You can insert or edit:

  • a neatline which exactly fits the selected map view;
  • grid ticks and/or coordinates along the map view in meters;
  • graticule ticks and/or coordinates along the map view in degrees, minutes, seconds;
  • coordinates for the corners of a map view;
  • an outline at a certain distance around a map view.

Use the tabs to go to a specific page.

On this Grid page, you can add or edit ticks and/or coordinates at a certain metric interval along all sides of the selected map view.

Grid page options:

Grid ticks:

Select this check box to obtain ticks in meters along the selected map view.

Clear this check box if you do not wish to obtain ticks.

Interval (m):

Type a value for the distance between the ticks.

Tick length (mm):

Type a value for the length of the ticks. By using a positive value, the tick will appear pointing away from the map view; if you use a negative value, the ticks will point into the map view.

Note: If you used a blocked border (i.e. a neat line with graduation) with a width of e.g. 2 mm, then the tick length should be larger than 2 mm, otherwise the ticks will fall below the blocked border.

Color:

Select a color for the ticks. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Windows Color dialog box will appear.

Grid Coordinates:

Select this check box to obtain metric coordinate information along the selected map view.

Clear this check box if you do not wish to obtain metric coordinate information.

Border texts:

Select the Left, Right, Top, Bottom check boxes to have coordinates appear around the map view along the selected sides.

Rotate horizontal border texts:

Type a value for an optional rotation of the coordinates along horizontal borders (degrees, anti-clockwise).

Rotate vertical border texts:

Type a value for an optional rotation of the coordinates along vertical borders (degrees, anti-clockwise).

Interval (m):

Type a value for the interval at which coordinate information should be shown.

Full coordinates:

Choose this option button to obtain complete coordinates along the sides of the map view.

Shortened coords:

Choose this option button to obtain short coordinates (i.e. less digits) along the sides of the map view.

Text offset (mm):

Type a value for the space in mm between the border of your map view and the coordinates.

Color:

Select a color for the coordinates. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button [image]; the Windows Color dialog box will appear.

Font name:

Select the font in which the coordinates should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which the coordinates should appear.

Bold:

Select this check box to have coordinates appear in bold.

Italic:

Select this check box to have coordinates appear in italics.

Tips:

  1. To add grid lines to a map view in the layout editor, select the map view and click the Grid Lines button [image] in the Layout toolbar. If you double-click a map view which contains grid lines in the layout editor, you can also edit the spacing, color etc. of the grid lines, or remove the grid lines. Click the Redraw button [image] to apply any changes.
  2. To save a changed map view in a layout:
    • select the changed map view in the layout, and
    • click the Save button in the standard toolbar, or
    • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu.
  3. If you size a selected map border in the Layout editor, by dragging one of the size handles of a selected map border, then the size or the scale of your map view will change. This depends on whether you used the Keep Scale button.
  4. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Map Border in layout (graticule ticks and coords around map view)

Layout editor

 Insert menu

Insert/Edit Map Border

Neat line

Grid

Graticule

Corners

Outline

Insert or edit a map border, and/or ticks and/or coordinates for grid lines or a graticule for a selected map view in your layout.

You can insert or edit:

  • a neatline which exactly fits the selected map view;
  • grid ticks and/or coordinates along the map view in meters;
  • graticule ticks and/or coordinates along the map view in degrees, minutes, seconds;
  • coordinates for the corners of a map view;
  • an outline at a certain distance around a map view.

Use the tabs to go to a specific page.

On this Grid page, you can add or edit ticks and/or coordinates at a certain interval in degrees, minutes and seconds along all sides of the selected map view.

Graticule page options:

Graticule ticks:

Select this check box to obtain ticks in degrees, minutes, seconds along the selected map view.

Clear this check box if you do not wish to obtain ticks.

Interval:

Type values for the distance between the ticks in degrees, minutes, seconds.

Tick length (mm):

Type a value for the length of the ticks.

Note: If you used a blocked border (i.e. a neat line with graduation) with a width of e.g. 2 mm, then the tick length should be larger than 2 mm, otherwise the ticks will fall below the blocked border.

Color:

Select a color for the ticks. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Windows Color dialog box will appear.

Graticule Coordinates:

Select this check box to obtain coordinate information in degrees, minutes, seconds along the selected map view. Latitudes will appear along the left and the right of your map view; Longitudes will appear along the top and the bottom of the map view.

Clear this check box if you do not wish to obtain coordinate information in degrees, minutes, seconds.

Border texts:

Select the Left, Right, Top, Bottom check boxes to have coordinates appear around the map view along the selected sides.

Rotate horizontal border texts:

Type a value for an optional rotation of the coordinates along horizontal borders (degrees, anti-clockwise).

Rotate vertical border texts:

Type a value for an optional rotation of the coordinates along vertical borders (degrees, anti-clockwise).

Interval:

Type values (degrees, minutes, seconds) for the interval at which coordinate information should be shown.

Full coordinates:

Choose this option button to obtain complete coordinates along the sides of the map view.

Shortened coords:

Choose this option button to obtain short coordinates (i.e. less digits) along the sides of the map view.

Text offset (mm):

Type a value for the space in mm between the border of your map view and the coordinates.

Color:

Select a color for the coordinates. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button [image]; the Windows Color dialog box will appear.

Font name:

Select the font in which the coordinates should appear; you can select an installed font from the list.

Font size:

Type a value for the font size (pt) in which the coordinates should appear.

Bold:

Select this check box to have coordinates appear in bold.

Italic:

Select this check box to have coordinates appear in italics.

Tips:

  1. To add a graticule to a map view in the layout editor, select the map view and click the Graticule button [image] in the Layout toolbar. If you double-click a map view which contains a graticule in the layout editor, you can also edit the spacing, color etc. of the graticule, or remove the graticule. Click the Redraw button [image] to apply any changes.
  2. To save a changed map view in a layout:
    • select the changed map view in the layout, and
    • click the Save button in the standard toolbar, or
    • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu.
  3. If you size a selected map border in the Layout editor, by dragging one of the size handles of a selected map border, then the size or the scale of your map view will change. This depends on whether you used the Keep Scale button.
  4. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Map Border in layout (corner coordinates of map view)

Layout editor

 Insert menu

Insert/Edit Map Border

Neat line

Grid

Graticule

Corners

Outline

Insert or edit a map border, and/or ticks and/or coordinates for grid lines or a graticule for a selected map view in your layout.

You can insert or edit:

  • a neatline which exactly fits the selected map view;
  • grid ticks and/or coordinates along the map view in meters;
  • graticule ticks and/or coordinates along the map view in degrees, minutes, seconds;
  • coordinates for the corners of a map view;
  • an outline at a certain distance around a map view.

Use the tabs to go to a specific page.

On this Corners page, you can add XY-coordinates to the four corner of the selected map view or edit the appearance of these coordinates.

Corners page options:

Corner Coordinates: | Select this check box to obtain coordinate information at the four corners of the selected map view. Clear this check box if you do not wish to obtain coordinate information at the corners of the map view.
Color: | Select a color for the coordinates. To create your own color, select 'Custom' at the bottom of the drop-down list, or click the create button [image] ; the Windows Color dialog box will appear.
Font name: | Select the font in which the coordinates should appear; you can select an installed font from the list.
Font size: | Type a value for the font size (pt) in which the coordinates should appear.
Bold: | Select this check box to have coordinates appear in bold.
Italic: | Select this check box to have coordinates appear in italics.

Tips:

  1. If you size a selected map border in the Layout editor, by dragging one of the size handles of a selected map border, then the size or the scale of your map view will change. This depends on whether you used the Keep Scale button.
  2. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Map Border in layout (outline around map view)

Layout editor

 Insert menu

Insert/Edit Map Border

Neat line

Grid

Graticule

Corners

Outline

Insert or edit a map border, and/or ticks and/or coordinates for grid lines or a graticule for a selected map view in your layout.

You can insert or edit:

  • a neatline which exactly fits the selected map view;
  • grid ticks and/or coordinates along the map view in meters;
  • graticule ticks and/or coordinates along the map view in degrees, minutes, seconds;
  • coordinates for the corners of a map view;
  • an outline at a certain distance around a map view.

Use the tabs to go to a specific page.

On this Outline page, you can add or edit a border at a certain distance around your map view. To add a border which exactly fits the map view, use the Neat line tab. To obtain a border along the margins of the page of a layout, choose Page Border from the Edit menu.

Outline page options:

Outline:

Select this check box to obtain an outline around the selected map view.

Clear this check box if you do not wish to obtain an outline.

Outline offset (mm):

Type a value for the space in mm between the map view and the outline.

Line type:

Select a line type for the outline: Single, Dot, Dash, Dash dot, Dash dot dot, Blocked or Symbol (see below).

Color:

Select a color for the outline. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Windows Color dialog box will appear.

Symbol button:

For line type Symbol: click the Symbol button to select a symbol type (= symbol font), a symbol, a symbol size, etc. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash dot, Dash dot dot and Symbol; select this check box when you wish to use an extra support line; the outline will then be drawn 'on top' of the support line.

Clear this check box when just the outline should be drawn.

Background color:

Select a color for a support line or select the second color for a blocked outline.

Line width (mm):

For line types Single, Double, Triple and Blocked: type a value for the width of the outline (both on screen and on printer). Line width 0 means: a width of 1 pixel on the screen, and a width of 1 dot on a printer, i.e. as fine as possible (hair line). Values larger than 0 are in mm.

Line types Dot, Dash, Dash dot, Dash dot dot will always be displayed with a width of 1 pixel on the screen, and printed a width of 1 dot on a printer, i.e. as fine as possible (hair line).

Block distance (mm):

For line type Blocked: type a value for the distance between the blocks (mm).

Symbol distance (mm):

For line type Symbol: specify a value for the distance between the symbols.

Examples:

Color Red; Line type Single; No Support line; Line width 0.0

Color Red; Line type Single; No Support line; Line width 1.0

Color Red; Line type Double; No Support line; Background color White; Line width 0.5

Color Red; Line type Triple; No Support line; Background color Yellow; Line width 1.5

Color Black; Line type Dot; No Support line

Color Black; Line type Dash dot; Support line; Background color Yellow; Line width 1.3

Color Black; Line type Blocked; Background color White; Line width 1.0; Block distance 5

Color Black; Line type Symbol; Symbol type Symbol; Size 15; Rotation 0; No Support line; Symbol distance 6

Color Red; Line type Symbol; Symbol type Simple; Symbol Circle; Symbol Size 4; Symbol Fill color Red; Symbol Line width 1; Support line; Background color Red; Line width 0.3; Symbol distance 5

Color Blue; Line type Symbol; Symbol type Windings; Size 20; Rotation 0; No Support line; Symbol distance 8

Tips:

  1. If you size a selected map border in the Layout editor, by dragging one of the size handles of a selected map border, then the size or the scale of your map view will change. This depends on whether you used the Keep Scale button.
  2. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert bitmap or picture in layout

Layout editor

 Insert menu

Insert Bitmap or Picture

Insert a bitmap or a picture from disk to your layout.

Dialog box options:

Select bitmap/picture: | Select a [image] bitmap (.BMP) or a [image] picture (.WMF, .EMF) from disk that you wish to add to the current layout.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Tips:

  1. You can also paste bitmaps and pictures from the clipboard into the current layout. For more information, see the Windows Help, or Layout editor : Copy and Layout editor : Paste.
  2. You can add as many bitmaps and pictures to a layout as you like, for example logos.
  3. In the Layout editor, bitmaps and pictures can be sized by dragging one of the size handles of a selected object to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging.
    • Bitmaps can be sized isotropically by dragging a corner handle: the original height-width ratio of the bitmap is maintained.
    • Pictures can be sized isotropically by dragging a corner handle (maintain original heigh-width ratio) but they can also be sized anisotropically by dragging one of the middle handles: the height-width ratio of the picture will change.
  4. By double-clicking a bitmap or picture that has been inserted or pasted into a layout, you can switch off the Isotropic check box. After that, you are able to size the bitmap or the picture anisotropically by dragging a middle handle. Mind: once you changed the size of a bitmap or picture anisotropically, changes cannot be easily restored.
  5. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Insert/Edit Box in layout

Layout editor

 Insert menu

Insert/Edit Box

Insert or edit a box in your layout.

Tips:

  • To obtain borders around a map view, select a map view in your layout and use the Map Border button [image] or the Map Border command on the Insert menu; use the Neatline tab and/or the Outline tab.
  • To obtain a page border, choose the Page Border command on the Edit menu.

Dialog box options:

Line type:

Select a line type for the box lines: Single, Dot, Dash, Dash dot, Dash dot dot, Blocked or Symbol (see below).

Color:

Select a color for the box lines. To define your own color, select the 'Custom' item at the bottom of the list or click the create button; the Windows Color dialog box will appear.

Symbol button:

For line type Symbol: click the Symbol button to select a symbol type (= symbol font), a symbol, a symbol size, etc. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Support line:

For line types Single, Dot, Dash, Dash dot, Dash dot dot and Symbol; select this check box when you wish to use an extra support line; the box will then be drawn 'on top' of the support line.

Clear this check box when only the box lines should be drawn.

Background color:

Select a color for a support line or select the second color for a blocked line.

Line width (mm):

For line types Single, Double, Triple and Blocked: type a value for the width of the box lines (both on screen and on printer). Line width 0 means: a width of 1 pixel on the screen, and a width of 1 dot on a printer, i.e. as fine as possible (hair line). Values larger than 0 are in mm.

Line types Dot, Dash, Dash dot, Dash dot dot will always be displayed with a width of 1 pixel on the screen, and printed a width of 1 dot on a printer, i.e. as fine as possible (hair line).

Block distance (mm):

For line type Blocked: type a value for the distance between the blocks (mm).

Symbol distance (mm):

For line type Symbol: specify a value for the distance between the symbols.

Fill color:

Select this check box if you wish to fill the box with a color; and select a fill color.

Clear this check box when you wish to obtain only box lines; the inside part of the box will be transparent.

Examples:

Color Red; Line type Single; No Support line; Line width 0.0

Color Red; Line type Single; No Support line; Line width 1.0

Color Red; Line type Double; No Support line; Background color White; Line width 0.5

Color Red; Line type Triple; No Support line; Background color Yellow; Line width 1.5

Color Black; Line type Dot; No Support line

Color Black; Line type Dash dot; Support line; Background color Yellow; Line width 1.3

Color Black; Line type Blocked; Background color White; Line width 1.0; Block distance 5

Color Black; Line type Symbol; Symbol type Symbol; Size 15; Rotation 0; No Support line; Symbol distance 6

Color Red; Line type Symbol; Symbol type Simple; Symbol Circle; Symbol Size 4; Symbol Fill color Red; Symbol Line width 1; Support line; Background color Red; Line width 0.3; Symbol distance 5

Color Blue; Line type Symbol; Symbol type Windings; Size 20; Rotation 0; No Support line; Symbol distance 8

Tips:

  1. You can add as many boxes to a layout as you like.
  2. In the Layout editor, a box can be sized by dragging one of the size handles of a selected box to a new position. The mouse pointer changes into a double-sided arrow when at the right position to start dragging.
  3. To store annotation, you need to save the layout. Open the File menu and choose the Save or the Save As command. You can also click in the white space of your layout, and click the Save button in the standard toolbar.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Keep scale of map view in layout

Layout editor

 View menu

Keep Scale

You can use the Keep Scale option on the View menu or the Keep Scale button [image] in the standard toolbar to influence the behaviour of a selected map view in the layout when dragging the borders of the map view.

When you add a map view to a layout, you have to specify an initial scale for each map view. By default, this is the scale on which you saved the map view. However, if this would not fit on the paper size you specified for the layout, the scale of the map view is adapted so that it will fit the paper size.

When for a selected map view:

  • Keep Scale is active (button down):

    • the scale of the selected map view is fixed,

    the scale of that map view will not change when dragging a border of a map view;

  • Keep Scale is not active (button up):

    • the scale of that map view can be changed by dragging a border of a map view.

You must decide on the scale of each map view, because a map view will be printed later on its specified scale, and in the layout there should be enough space around map views to position annotation.

1. Keep Scale is active:

When for a selected map view, Keep Scale is active:

  • the Keep Scale button [image] appears down;
  • the Keep Scale command is preceded by a [image] check mark.

When dragging the borders of the map view:

  • the scale on which the map view is displayed remains the same;
  • the size of the map view in the layout will usually change;
  • the part of the study area shown by the map view will change.

Tip: You can still change the scale of the map view manually by typing a scale for the map view in the Layout Management pane.

When you drag the size handles of the map view to the outside:

  • if the map view was displayed as an entire map, the map view will remain as it was; the scale of the map view, the size of the map view, and the displayed study area will all remain the same.
  • if only part of the map view was displayed, then the displayed part of the study area will become larger, the size of the map view in the layout will become larger, but the scale on which the map view is displayed remains the same.

When you drag the size handles of the map view to the inside:

  • the part of the study area displayed by the map view and the size of the map view in the layout will become smaller, but the scale on which the map view is displayed remains the same.

2. Keep Scale is not active:

When for a selected map view, Keep Scale is not active:

  • the Keep Scale button [image] appears up;
  • the Keep Scale command is not preceded by a [image] check mark.

When dragging the borders of the map view:

  • the scale on which the map view is displayed will change;
  • the size of the map view in the layout will change;
  • the part of the study area shown by the map view will remain the same.

When you drag the size handles of the map view to the outside:

  • the (part of the) study area displayed by the map view will remain the same, but the size of the map view in the layout will become larger; the scale on which the map view is displayed will be automatically adjusted.

When you drag the size handles of the map view to the inside:

  • the (part of the) study area displayed by the map view will remain the same, but the size of the map view in the layout will become smaller; the scale on which the map view is displayed will be automatically adjusted.

See also:

Layout editor : functionality

Print (dialog box)


Layout editor : context-sensitive menu

Layout editor

Context-sensitive menu

The context-sensitive menu appears:

  1. when there is no selection in the layout editor window, and you press the right mouse button;
  2. when you selected a map view in the layout editor window, and you press the right mouse button;
  3. when you selected a annotation element in the layout editor window, and you press the right mouse button;
  4. when you click a layer in the Layout Management pane with the right mouse button.

The options that are available on the context-sensitive menu depend on the selected object and on whether the object was clicked with the right mouse button in the layout editor window or in the Layout Management pane.

1. Right mouse button in layout editor window when nothing has been selected:

Normal:

Switch off Zoom In or Zoom Out and return to normal pointing mode. The mouse pointer will change back into a normal pointer. You can also press the Esc key on the keyboard to return to Normal mode.

Zoom In:

Allows you to zoom in on a selected spot or area in the layout window. The mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • click in the layout window to zoom in on that position with a factor 2, or
  • drag the mouse pointer in the layout window from one corner of interest to another (any zoom in factor).

Zoom Out:

Allows you to zoom out from a selected spot in the layout window.

The mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • click in the layout window to zoom out with a factor 2, or
  • drag a rectangle with the mouse pointer in the layout window; the smaller the rectangle, the more you will zoom out (any zoom out factor).

2. Right mouse button in layout editor window when a map view has been selected:

The Normal, Zoom In and Zoom Out options are available plus the options described below.

Mind: Most of the options below are only available on the context-sensitive menu!

Redraw:

To redraw the contents of the selected map view.

Replace Map View:

To replace the currently selected map view with another map view.

Save View:

To save the selected map view.

Save View As:

To save the selected map view with a different name.

Entire Map:

To display the entire map view in the area of the currently selected map view. You can enlarge the size of the selected map view area to return to the original size of the map view.

Set Scale:

To set the scale on which a selected map view should be displayed.

Select Area:

To display only a certain part of the selected map view, i.e. zoom in on a rectangle of the selected map view. The mouse pointer changes into a little box, drag the mouse pointer around an area of interest in the layout window.

Pan:

To roam through the selected map view when the area in which the map view is displayed is smaller than the entire map view. The mouse pointer will change into a hand, then:

  • click somewhere in the selected map view, and drag this part of the map view to another position.

Clear:

To delete the selected map view from the layout and any annotation (i.e. legends, map borders, north arrows, scale bars, scale texts) that has been added for this map view.

3. Right mouse button in layout editor window when an annotation element has been selected:

The Normal, Zoom In and Zoom Out options are available plus the options described below.

Edit: | Edit the selected annotation element. Depending on the selected object, an Insert/Edit dialog box will appear.
Clear: | To delete the selected annotation element from the layout.

4. Right mouse button on layer in Layout Management pane:

Depending on whether you used the right mouse button on a map view or on an annotation element in the Layout Management pane: only the options described under 2 or 3 are available.

See also:

Layout editor : functionality

Layout editor : menu commands


Replace map view in layout

Layout editor

 context-sensitive menu

Replace Map View

In the current layout, replace a selected map view by another map view.

This option is designed to quickly produce multiple similar layouts, for instance each with different map views, and similar annotation.

This dialog box appears:

  • when in the layout editor, you select a map view in a layout,
  • use the right mouse button, and
  • select Replace Map View from the context-sensitive menu.

Dialog box options:

Map view:

Select another [image] map view.

A small dialog box will follow in which you can specify an initial scale on which the map view should be displayed on the paper.

Tips:

  • You may need to adapt the scale on which the new map view should be displayed (and printed later on).
  • You can save the layout with a different name with the Save As command on the File menu, and optionally edit some annotation.

See also:

Layout editor : functionality

Layout editor : context-sensitive menu


Save map view in layout editor

Layout editor

 context-sensitive menu

Save View

Save the contents of the currently selected map view in this layout. The map view as inserted into this layout and as saved before in a map window will be overwritten.

All layers in the map view and their display settings as well as the scale and size of the map view are stored.

You can use this command:

  • when you added or removed layers to a map view in the layout editor, or
  • when you changed display options of layers in a map view in a layout.

Tip:

To save a changed map view with a different name:

  • select the map view you wish to save,
  • click it with the right mouse button, and
  • choose Save View As from the context-sensitive menu.

See also:

Layout editor : Save View As

Layout editor : functionality

Layout editor : layout toolbar


Save map view in layout editor as ...

Layout editor

 context-sensitive menu

Save View As ...

Save the contents of the currently selected map view in this layout with another name.

All layers in the map view and their display settings as well as the scale and size of the map view are stored.

You can use this command:

  • when you added or removed layers to a map view in the layout editor, or
  • when you changed display options of layers in a map view in a layout.

This dialog box appears:

  • when you select a changed map view in the layout, and choose Save View As from the context-sensitive menu.

Dialog box options:

Map View Name: | Type a name for the map view.
Title: | Type a title (=description) for the map view.

Tip:

To save a layout, for instance when you replaced a map view in a layout with another map view (see Replace Map View):

  • click somewhere in the white space of the layout, and
  • click the Save button in the layout toolbar, or
  • choose Save or Save As from the File menu of the layout editor.

See also:

Layout editor : functionality

Layout editor : layout toolbar


Annotation Text editor : functionality

Annotation Text editor

Functionality

The Annotation Text editor allows you to edit text items stored in an Annotation Text object.

With the Annotation Text editor, you can:

  • insert new texts and delete selected existing texts,
  • move one or more selected texts to another position,
  • make text duplicates, and
  • specify fonts, sizes, colors, etc. for (multiple) selected texts.

Additionally, you can cut, copy and paste text items to and from the clipboard, and change the working scale.

The Annotation Text editor has a menu bar, a context-sensitive menu, and a toolbar. All changes that you make in the annotation text object are continuously stored.

You can also edit an annotation text object in table form. This may provide quicker, easier or more precise possibilities to edit texts, positions and other settings like font, font sizes, colors, etc. To open an annotation text object as a table, you can double-click the object in the Catalog, or open the File menu in the Main window, choose Open As Table and select an annotation text object.

Tip:

While annotation text is edited in the Annotation Text editor, other annotation types like texts, legends, boxes, North arrows, scale bars, grid lines, graticule, bitmaps or metafiles are edited with the Layout editor.

Note:

For vector maps that use a coordinate system of type latlon, an annotation text layer cannot be properly created. It is advised:

  • to transform the vector map with a coordinate system of type latlon, to a coordinate system of type projection.

To start the Annotation Text editor:

The Annotation Text editor is automatically started when you create a new annotation text object. For more information, see the Create Annotation Text dialog box.

To edit an annotation text object which is displayed in a map window, open the Edit menu, choose Edit Layer and select the annotation text layer. For more information, see ILWIS objects : annotation text objects.

To insert more annotation text items:

In the Create Annotation Text dialog box, you will usually base a new annotation text object on an existing polygon, segment or point map. You will then automatically obtain texts (class names, IDs, or values) of all polygons, segments or points in that map.

To add more or other text items:

  • double-click at a new position in the editor window;
  • locate the mouse pointer at a position where you want to insert a new text and press the Ins key on the keyboard;
  • open the Edit menu and choose the Add Text command;
  • press the right mouse button and select Add Text from the context-sensitive menu.

The Add Text / Edit Text dialog box will appear. When you use the Edit menu or the context-sensitive menu, you may have to position the text later on.

To change the text string, font, font size, colors, etc, of text items:

To change text and settings of a text:

  • double-click a text item;
  • select a text item, press the right mouse button and choose Edit from the context-sensitive menu;
  • select a text item, and press the Enter key.

The Add Text / Edit Text dialog box will appear in which you can edit the existing text, the font in which this text item appears, the font size, the color, etc.

To change settings of multiple selected texts:

  • select multiple text items, press the right mouse button and choose Edit from the context-sensitive menu;
  • select multiple text items, and press the Enter key.

The Edit Texts dialog box will appear in which you can edit the font in which all these text items appear, the font size, the color, etc.

To change only one setting for one or more selected text items: choose the Change command from the Edit menu or from the context-sensitive menu. You can either change the font, the font size, whether the selected text(s) appear in bold, italics or underlined (toggles), the color, the justification, whether rectangles around the text should be transparent (toggle) and the rotation. For font, font size, color, justification and rotation, a little dialog box will appear; the other settings are toggles without dialog box.

To change only one setting for one or more selected text items, you can also use the following short cut keys on the keyboard:

Shift + F | to select another font;
Shift + S | to change the font size;
Shift + B | toggle between bold / not bold;
Shift + I | toggle between italics / not italics;
Shift + U | toggle between underlined / not underlined;
Shift + C | to select another color;
Shift + J | to select another justification method;
Shift + T | toggle between transparent / not transparent;
Shift + R | to select another rotation.

To select multiple text items:

  • open the Edit menu and choose Select All: all text items will be selected, or
  • drag a box around the text items which you want to select, or
  • press and hold the Shift key down and click the text items which you want to select.

To position annotation text items:

  • click a text item and drag it to another position;
  • double-click a text item and fill out XY-coordinate or RowCol numbers in the Add Text / Edit Text dialog box, or
  • select multiple text items and drag them to another position.

To cut, copy and paste selected text items:

Select one or more text items, and:

  • press Ctrl+X (cut) to remove the selected items from the editor window and copy them into the clipboard;
  • press Ctrl+C (copy) to copy the selected items to the clipboard;
  • press Ctrl+V (paste) to paste the contents (first line) of the clipboard into the editor window, at the current position of the mouse pointer.

You can also use the Cut, Copy and Paste commands on the Edit menu or on the context-sensitive menu.

To make duplicates of annotation text items:

  • Select one or more text items,
  • press and hold the Ctrl key down, then
  • press and hold the left mouse button down, and
  • move the mouse pointer to another position.

To delete annotation text items:

Select one or more text items, and:

  • press the Del key on the keyboard;
  • select Delete from the Edit menu or from the context-sensitive menu.

To change the working scale:

You can change the working scale which determines the relation between font sizes on your screen and on the printer. The working scale is usually the scale on which you want to print your maps later on. To change the working scale: open the File menu and choose Options. The Options dialog box will appear in which you can specify another value for your working scale.

Subsequently, a question will be asked: Update all font sizes?

  • answer Yes if you want to keep your texts in the same proportions;
  • answer No if you want to keep the font sizes as specified before; then, if you Redraw the editor window, the texts may appear larger or smaller depending on whether you specified a larger or smaller value for the working scale.

To exit the Annotation Text editor:

  • double-click the Control-menu box, or
  • in the toolbar, click the Exit Editor button [image], or
  • from the File menu, choose Exit Editor.

All changes that you make in the annotation text object are continuously stored.

For more information, see also Appendices : Keyboard shortcuts and Appendices : Mouse functions.

See also:

Annotation Text editor : menu commands

Annotation Text editor : toolbar

ILWIS objects : annotation text objects


Annotation Text editor : toolbar

Annotation Text editor

Toolbar

The toolbar of the annotation text editor largely resembles the toolbar of a map window; there is an extra button to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map: | Displays the entire map in the map window.
Zoom In: | Zooms in on a selected spot or area in the map. The mouse pointer changes into a magnifying-glass. Click to zoom in on a spot of interest, or drag the pointer from one corner of interest to another (the mouse pointer changes into a little box).
Zoom Out: | Zooms out directly from the center of the displayed map with a factor 2.
Redraw: | Redraws the contents of the map window.
Exit editor: | Leaves the editor and keeps all changes.

The toolbar can be hidden or shown with the Toolbar command on Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Annotation Text editor : functionality

Annotation Text editor : menu commands


Annotation Text editor : menu commands

Annotation Text editor

Menu commands

File

Edit

Layers (see map window)

Options (see map window)


Domain Class/ID editor : functionality

Domain Class/ID editor

Functionality

The domain Class/ID editor allows you to add and edit names, codes and descriptions of classes in a class domain and of IDs in an ID domain. You can also add and edit upper boundary values, names, codes and descriptions of groups in a group domain.

Furthermore, you can:

  • set the sorting order of domain items in a class or ID domain; this influences for instance the appearance of domain items in a legend, and, if the domain is used as the domain of an attribute table, the order of records in the table;
  • use Copy and Paste to add certain classes, IDs, or groups from another domain into the current one;
  • merge all items of another class, ID or group domain into the current one;
  • when a prefix is available in an ID domain, change the prefix of all IDs that use this prefix in that domain;
  • delete items from a domain;
  • print all or selected items of a domain.

To open the domain Class/ID editor:

The easiest ways to open the domain Class/ID editor is to double-click a domain in the Catalog or to double-click a domain in the Layer Management pane in a map window. For other methods, see How to edit a domain.

Parts of the domain editor:

The domain Class/ID editor has a menu bar, a description bar, a toolbar and a context-sensitive menu. In the editor, existing 'Name', 'Code' and 'Description' fields can be directly edited, i.e. without using a dialog box: a first single click selects a domain item, a second single click will allow you to edit that field.

The description bar and the toolbar can be moved and docked along an edge of the window. You can also make them floating. You can hide or show the description bar, the toolbar and the status bar via the commands on the View menu. These settings as well as the size of the window etc. are stored per domain type, i.e. either class, ID, or group, in the registry. The domain class, ID, or group that is closed last thus determines the appearance of any newly opened domain class, ID, or group.

The maximum number of items that can be shown in the Domain Class/ID editor is 100 million.

Parts of domain items in class, ID and group domains:

Names of classes, IDs or groups can have any length you like. By default, the width for a class domain is 15, and for an ID domain 6 characters. You can set the width of a domain Class or ID yourself through the properties of the domain (see also How to view and edit the properties of an object). Names of classes, IDs or groups may contain any character you like, except the % character.

Codes of classes, IDs or groups are usually short texts which are designed to be used as abbreviations of the Names in calculations. In Codes, you can use any characters, except colons : and percentages %.

Mind: In any class, ID or group domain, the complete set of Names and Codes must be unique.

Descriptions of classes and IDs can be longer texts which can be shown in legends.

When you created an ID domain and chose to automatically add a number of (numbered) items, you also specified a short Prefix. The Prefix in such an ID domain is designed to avoid confusion with a value domain. In calculations, the Prefix is considered integrated with the Name of the items.

In a group domain, the Upper Boundary Values determine to which group the values of a value map will be assigned after using the Slicing operation or the CLFY function in MapCalc or TabCalc.

Tip: When using class names, IDs, or codes in MapCalc or TabCalc expressions, you must enclose the class names, IDs, or codes in "double quotes".

Using the domain editor

In the remainder of this topic, the word 'class' can also be applied to IDs and groups.

To add new class names:

  • open the Edit menu and select the Add Item command, or
  • click the Add Item Add Item button in the toolbar, or
  • select an item in the domain editor, click the right-mouse button and choose Add Item from the context-sensitive menu, or
  • press the Ins key on your keyboard.

The Add Item dialog box appears: type a new class Name, and optionally a Code and a Description. When editing a group domain, the Add Group dialog box appears: you also have to specify an Upper Boundary Value.

To edit a class name:

  • double-click a domain item,
  • select an item, and:
    • open the Edit menu and select the Edit Item command, or
    • click the Edit Selection Edit Item button in the toolbar, or
    • click the right-mouse button, and choose Edit Item from the context-sensitive menu, or
    • press the Enter key on your keyboard.

The Edit Item dialog box appears in which you can change the class Name, Code or Description. When editing a group domain, the Edit Group dialog box appears in which you also change the Upper Boundary Value.

To directly edit a Name, Code or Description of a class, i.e. to skip any dialog boxes, you can also:

  • single click a domain item (the record is selected), and
  • single click the Name, Code or Description field in the selection.

The field is editable.

When you selected multiple items and obtain the Edit Item dialog box, you can merely modify the Description of the selected items.

To sort class names:

Class names can be sorted by Name, by Code and Manually.

To sort items by Name (or by Code):

  • open the Edit menu and select the Sort by Name (or the Sort by Code) command, or
  • click the Sort by Name Sort by Name button (or the Sort by Code Sort by Code) button in the toolbar.

All items are sorted automatically. For more information on the sorting method, see below.

To order items manually:

  • open the Edit menu and select the Order Manually command, or
  • click the Order Manually Order Manually button in the toolbar.

Subsequently, you can select a domain item and drag it to another position in the list. Continue to do so until satisfied.

Tips:

  • The sorting order of the classes or IDs in a domain determines the order of these items in a legend in a map window, the order of classes in a representation class, the order of records in an attribute table, and the order in lists from which you can choose a class name or ID, for instance when editing units in a map editor and when editing fields of class columns in a table.
  • The order of a group domain is determined by the upper boundary values of the groups in the group domain.
  • Mind: When you switch from a manual sorting order to Sorting by Name or by Code, the manual sorting order is lost.

Method of Sorting by Name or by Code:

  • when class names, IDs, or codes consist of characters A-Z and a-z only, sorting will order the items alphabetically as: A, AA, ABC, B, BB, etc.
  • when class names, IDs, or codes consist of characters A-Z and a-z followed by numbers, sorting will order the items first by the A-Z characters, then by numbers as in: A, A1, A2, A10, A11, AA, ABC, B, B1, B2, BB, etc.
  • like the previous one: when IDs consist of a prefix followed by a number, sorting will order the items first by the Prefix, then by the numbers as in: Plot 1, Plot 2, Plot 3, ..., Plot 10, XYZ 1, etc.

Other possible results of automatic sorting are for instance: A, A1, A2, A10, A11, A1A, A1B, B1, B10, B11, B1A, B1B, AA, ABC, or 1, 10A, 10B, 11A, 1A, 1B, 2, 2A, 2B, A, B.

To insert items from another domain into the current domain:

You are free to paste items or merge all items of a class domain with an ID domain, a group domain with an ID domain, etc.

To add only some items from another domain into the current domain, use the Copy and Paste method:

  • open the domain from which you want to get items,

  • select the items that you want to copy, and
  • click the Copy Copy button in the toolbar, or choose Copy from the Edit menu or from the context-sensitive menu.

Then,

  • open the domain editor into which you want to paste these items,
  • click the Paste Paste button in the toolbar, or choose Paste from the Edit menu or from the context-sensitive menu.

To merge all items of another domain into the current domain:

  • open the domain into which you want to merge items from another domain,
  • open the File menu and select the Merge Domain command,
  • in the appearing Merge Domain dialog box, select the domain from which you want to get items.

During Paste and Merge, the following is checked in the domain that you are merging into the current domain:

  • when a Name is encountered which already exists as a Name in the current domain, the item is not merged, i.e. the original Name remains.
  • when a Name is encountered which already exists as a Code in the current domain, the item is merged, i.e. the new Name appears, but the Code that existed in the current domain is removed.
  • when a Code is encountered which already exists as a Name or a Code in the current domain, the item is merged but the Code of the merged item remains empty.

In all cases, Names have priority over Codes.

Format of Copy and Paste:

For class and ID domains, the format produced by Copy is:
Name<TAB>Code<TAB>Description<CR><LF>
Name<TAB>Code<TAB>Description<CR><LF>

For group domains, the format produced by Copy is:
Name<TAB>Code<TAB>Description<TAB>UpperBoundaryValue<CR><LF>
Name<TAB>Code<TAB>Description<TAB>UpperBoundaryValue<CR><LF>

The expected format for Paste is the same as the format produced by Copy; however the last item in the list does not necessarily have to end on a <CR><LF>

To save a copy of this domain with a different name:

From the File menu, choose the Save Copy As command. It may be handy to use this command before merging domains or before deleting domain items so that, if something unexpected might happen, you can at least return to your original situation.

To delete a class name:

Select one or more classes, and:

  • open the Edit menu, and select the Delete Item command,
  • click the Delete Item Delete Item button in the toolbar, or
  • click the right mouse button in the selection, and select Delete Item from the context-sensitive menu, or
  • press the Del key on your keyboard.

Deleting items from a domain should be done with care. When the domain and the deleted class, ID or group was used:

  • in a map, the undefined value will appear;
  • as a table domain, the record will not be shown any more;
  • as field in a column of a table, the undefined value will appear.

To change the Prefix of an ID domain:

When you created an ID domain while you chose to have a certain number of IDs automatically added to your domain and you specified a Prefix, you can change the prefix of all items that use it at a go:

  • From the Edit Menu, choose Change Prefix.
  • In the Change Prefix dialog box, you can specify a new Prefix which will be applied to all IDs that had the old prefix.

As it is not allowed to specify an empty prefix, it is not possible to delete the prefix of all prefixed IDs in an ID domain.

Other functionality:

Via the File menu, you can furthermore:

  • when editing a class or group domain: open and edit the representation of classes or groups by selecting the Open Representation command;
  • open the Properties of the domain by selecting the Properties command;
  • print one or more selected domain items by selecting the Print command.

To exit the domain Class/ID editor:

To exit the domain Class/ID editor, choose the Exit command on the File menu or click the Close button. All changes are already stored namely while editing the domain.

Additional information : Multiple selection

To select all domain items:

  • open the Edit menu and choose the Select All command.

To select two or more items in sequence:

  • click the first item you want to select,
  • press and hold down the Shift key while you click the last item in the group.

To select two or more items out of sequence:

  • press and hold down the Ctrl key while you click each item.

To cancel the selection of an item:

  • press and hold down the Ctrl key while you click a selected item.

To cancel the complete selection:

  • press the Esc key.

See also:

Domain Class/ID editor : toolbar

Domain Class/ID editor : menu commands

ILWIS objects : domains

How to create a domain

How to edit a domain


Domain Class/ID editor : toolbar

Domain Class/ID/Group editor

Toolbar

The toolbar of the Domain Class/ID/Group editor provides shortcuts for some regularly used menu commands for instance to edit a selected domain item, to add and delete domain items, to cut, copy and paste domain items to and from other domains, to sort the domain, etc.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Edit Item:

The Edit Item dialog box appears, in which you can edit the Name, and optionally the Code and the Description of a selected domain item. When editing a group domain, you can edit the upper boundary value of the selected item as well. When you selected multiple items, you can just modify the Description of these items. You can also double-click an item in the domain; select one or more items and press the Enter key on the keyboard, etc.

Add Item:

The Add Item dialog box appears, in which you can fill out a Name, and optionally a Code and/or a Description for the new class name or ID. When editing a group domain, you have to fill out the upper boundary value for the new group as well. You can also press the Ins key on the keyboard.

Delete Item:

Delete one or more selected items from this domain. You can also select one or more items and press the Del key on the keyboard.

Deleting items from a domain should be done with care. When the domain and the deleted class, ID or group was used:

  • in a map, the undefined value will appear;
  • as a table domain, the record will not be shown any more;
  • as field in a column of a table, the undefined value will appear.

Copy:

Copy the names, codes, and descriptions of one or more selected domain items to the clipboard. In case of a group domain, also upper boundary values are copied. You can also use the Ctrl+C keys on the keyboard.

Paste:

Paste the contents of the clipboard into this domain. You can also use the Ctrl+V keys on the keyboard.

For class and ID domains, the expected format is: Name<TAB>Code<TAB>Descr<CR><LF>

For group domains, the expected format is: Name<TAB>Code<TAB>Descr<TAB>UpBoundVal<CR><LF>

This is exactly the format that is obtained when copying domain items to the clipboard.

Sort by Name:

Sort the items in this class or ID domain alphabetically by Name. See also the tip below.

Sort by Code:

Sort the items in this class or ID domain alphabetically by Code. See also the tip below.

Manual Ordering:

Allows you to order the domain items manually.

Subsequently, select a domain item in the domain Class/ID editor and drag it to a new position in the list. Continue to do so until satisfied. See also the tip below.

Open Representation:

When editing a class domain or a group domain, open the Representation Class editor with the class representation that is currently linked to this domain. In the Representation Class editor, you can edit the representation (colors etc.) of each class or group in this domain.

As ID domains do not have a representation, this button is grayed out when editing an ID domain.

Properties:

Open the Properties of the current domain.

Print:

Print the domain or print a selection of the domain.

The toolbar can be hidden or shown with the Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

Tip:

The sorting order of the classes or IDs in a domain determines the order of these items in a legend in a map window, the order of classes in a representation class, the order of records in an attribute table, and the order in lists from which you can choose a class name or ID, for instance when editing units in a map editor and when editing fields of class columns in a table.

The order of a group domain is determined by the upper boundary values of the groups in the group domain.

See also:

Domain Class/ID editor : functionality

Domain Class/ID editor : menu commands


Domain Class/ID editor : menu commands

Domain Class/ID Editor

Menu commands
File

Save Copy As ...
Open Representation
Properties

Merge Domain ...

Print ...

Exit

 Edit

Copy
Paste
Select All

Add Item ...
Edit Item ...
Delete Item
Change Prefix ...

Sort by Name
Sort by Code
Manual Ordering

 View

Description Bar
Toolbar
Status Bar


Domain Class/ID editor : Merge domain

Domain Class/ID editor

Merge Domain

 Edit menu

Merge all items of another class, ID or group domain into the current domain.

Tip:

Before merging domains, it may be handy to save a copy of your original domain first: from the File menu, choose the Save Copy As command. If anything unexpected might happen during Merge, you can at least return to the original situation.

Dialog box options:

Domain:

Select a domain of which the items should be added to the current domain.

In any class, ID, or group domain, the complete set of Names and Codes must be unique. During Merge, the following is checked in the domain that you want to merge with the current domain:

  • when a Name is encountered which already exists as a Name in the current domain, the item is not merged, i.e. the original Name remains.
  • when a Name is encountered which already exists as a Code in the current domain, the item is merged, i.e. the new Name appears, but the Code that existed in the current domain is removed.
  • when a Code is encountered which already exists as a Name or a Code in the current domain, the item is merged but the Code of the merged item remains empty.

In all cases, Names have priority over Codes.

Tips:

  • To merge only some items from one domain to another, you can also use Copy and Paste.
  • You are free to merge a class domain with an ID domain, a group domain with an ID domain, etc.
  • When merging a group domain into a class or ID domain, the upper boundary values of the group domain are dropped.
  • When merging a class or ID domain into a group domain, the upper boundary values of the merged classes or IDs are initially undefined.

See also:

Domain Class/ID editor : functionality


Domain Class/ID editor : Add item

Domain Class/ID editor

Add Item

 Edit menu

Add a new class or identifier to this domain. You can enter a name, and optionally a code and a description.

This dialog box appears when in the Domain Class/ID editor:

  • you choose Add Item from the Edit menu, or
  • when you click the Add Item button in the toolbar, or
  • when you press the right mouse button and choose Add Item from the context-sensitive menu, or
  • when you press the Ins key on the keyboard.

Dialog box options:

Name: | Type a new class name or a new identifier. Class names and identifiers can be as long as you like. Note: Class names or IDs may contain any characters, except the % character. You will see the class names or IDs when pressing the left mouse button (Info) in a map window; you will see the class names or IDs as record names when creating an attribute table for this domain (or for a map using this domain); when enclosed in double quotes, you can use the class names or IDs in calculations. You can also show class names or IDs in a legend.
Code: | Optionally, type a short code for this class name or identifier. Note: In codes, colons : and percentages % may not be used. When displaying a map which uses this domain in a map window and pressing the left mouse button (Info), and in Pixel Info, you will see the code and the class name or ID as code: class name or code: Identifier. When enclosed in double quotes, you can use codes in calculations. In a legend, you can optionally show codes.
Description: | Optionally, type a longer description for this class name or identifier. You can use descriptions for example in a legend.

Limitations:

  • The complete set of Names and Codes must be unique in the domain.
  • The maximum number of items that can be shown in the domain Class/ID editor is 100 million.

Tips:

  1. To change the order of class names or identifiers in this domain, set the sorting to Manual Ordering and drag domain items to a new position in the list.
  2. To edit the colors of classes, you can choose the Open Representation command from the File menu. The Representation Class editor will be opened showing the representation that is currently linked to this domain. An ID domain does not have a representation.
  3. If you like, you can fill out the Name field in this dialog box as code:name.
  4. You can increase or decrease the number of characters shown by lists from which you can choose a class name or an ID, for instance when editing units in a map editor and when editing fields of class columns in a table, by setting the 'width' in the properties of the domain. The default width for a class domain is 15, the default width for an identifier domain is 6.
  5. In MapCalc or TabCalc calculations, you can use class names or identifiers as well as codes. In calculations, class names, identifiers or codes should be enclosed in "double quotes".
  6. For advanced users: you can also add class names to a class domain or identifiers to an identifier domain by using the additemtodomain script command on the command line of the Main window. For more information, see Appendices : ILWIS script language (syntax).

See also:

Domain Class/ID editor : functionality


Domain Group editor : Add item

Domain Group editor

Add item

Add groups to this group domain.

With a group domain, you can permanently slice or classify a value map with the Slicing operation or by using the CLFY function in MapCalc.

This dialog box appears when in the Domain Group editor:

  • you choose Add Item from the Edit menu, or
  • when you click the Add Item button in the toolbar, or
  • when you press the right mouse button and choose Add Item from the context-sensitive menu, or
  • when you press the Ins key on the keyboard.

Dialog box options:

Upper bound: | Type a value for the upper boundary of a new group. To create for instance a group between 50 and 100, type 100. You can use boundary value 50 as the upper boundary value for another group, e.g. for values between 0 and 50.
Name: | Type a name for this group, e.g. medium. Group names can be as long as you like. Note: Group names may contain any characters, except the % character. In the sliced/classified map, you will see the group names when pressing the left mouse button (Info) in a map window; you will see the group names as record names when creating an attribute table for this domain (or for a map using this domain); and when enclosed in double quotes, you can use the group names in calculations. You can also show group names in the legend of the sliced/classified map.
Code: | Optionally, type a short code for the group name. Note: In codes, colons : and percentages % may not be used. When displaying the sliced/classified map in a map window and pressing the left mouse button (Info), and in Pixel Info, you will see the code and the group name as code: group name. When enclosed in double quotes, you can use codes in calculations. You can optionally show codes in the legend of a sliced/classified map.
Description: | Optionally, type a longer description for this group. You can use descriptions for example in the legend of a sliced/classified map.

For more information, see How to create a domain Group.

Tips:

  • If you like, you can fill out the Name field in this dialog box as code:name.
  • The order of a group domain is fixed; it is determined by the upper boundary values.
  • To edit the colors of groups, you can choose the Open Representation command from the File menu. The Representation Class editor will be opened showing the representation that is currently linked to this domain.
  • You can use the group domain in the Slicing operation or with the CLFY function in MapCalc to permanently slice a classify a value map.
  • When you are not satisfied with the classification results, edit the group domain and then recalculate the output map via the Properties of the output map.
  • When performing MapCalc or TabCalc calculations on the sliced or classified map, you can use group names as well as codes; group names or codes should be enclosed in "double quotes".
  • A similar result can be obtained without creating a domain Group and without performing the Slicing or CLFY operation: simply create a representation value or gradual for the value map in the Display Options dialog box of the map. When you display the value map with such a representation, the value map appears as if it was sliced but the original values are retained.

See also:

How to create a domain Group

How to slice an image

How to classify a map or column


Domain Class/ID editor : Edit item

Domain Class/ID editor

Edit Item

 Edit menu

Edit the class name or ID, the code, and/or the description of an existing item in this domain.

This dialog box appears when in the domain Class/ID editor:

  • you select a class name or identifier and choose Edit Item from the Edit menu, or
  • you double-click an existing class name or identifier, or
  • you select a class name or identifier, press the right mouse button and choose Edit Item from the context-sensitive menu, or
  • you select an item and click the Edit Item button in the toolbar, or
  • you select an item and press the Enter key.

Tip:

Instead of changing class names/IDs, codes or descriptions through this dialog box, you can also edit them directly in the domain editor itself. A single click in the domain editor selects the domain record; another single click allows you to directly edit the class name/ID, code or description.

Dialog box options:

Name: | Edit this class name or identifier. Class names and identifiers can be as long as you like. Note: Class names or IDs may contain any characters, except the % character. You will see the class names or IDs when pressing the left mouse button (Info) in a map window; you will see the class names or IDs as record names when creating an attribute table for this domain (or for a map using this domain); when enclosed in double quotes, you can use the class names or IDs in calculations. You can also show class names or IDs in a legend.
Code: | Optionally, edit the short code of this class name or identifier. Note: In codes, colons : and percentages % may not be used. When displaying a map which uses this domain in a map window and pressing the left mouse button (Info), and in Pixel Info, you will see the code and the class name or ID as code: class name or code: Identifier. When enclosed in double quotes, you can use codes in calculations. In a legend, you can optionally show codes.
Description: | Optionally, edit the description of this class name or identifier. You can use descriptions for example in a legend.

Limitations:

  • The complete set of Names and Codes must be unique in the domain.
  • The maximum number of items that can be shown in the domain Class/ID editor is 100 million.

Tips:

  • To change the order of class names or identifiers in this domain, set the sorting to Manual Ordering and drag domain items to a new position in the list.
  • If you like, you can fill out the Name field in this dialog box as code:name.
  • When you select multiple domain items (using Shift and/or Ctrl-keys) and select Edit, you can change the Description of all selected items.
  • To edit the colors of classes, you can choose the Open Representation command from the File menu. The Representation Class editor will be opened showing the representation that is currently linked to this domain. An ID domain does not have a representation.
  • In MapCalc or TabCalc calculations, you can use class names or identifiers as well as codes. In calculations, class names, identifiers or codes should be enclosed in "double quotes".

See also:

Domain Class/ID editor : functionality


Domain Group editor : Edit item

Domain Group editor

Edit item

Edit the upper boundary value or the name of a group in this group domain.

With a group domain, you can permanently slice or classify a value map with the Slicing operation or by using the CLFY function in MapCalc.

This dialog box appears when in the domain Group editor:

  • you select an existing group and choose Edit Item from the Edit menu, or
  • you double-click an existing group, or
  • you select a group, press the right mouse button and choose Edit Item from the context-sensitive menu, or
  • you select a group and click the Edit Item button in the toolbar, or
  • you select a group and press the Enter key.

Tip:

Instead of changing boundary values, group names, codes or descriptions through this dialog box, you can also edit them directly in the domain editor itself. A single click in the domain editor selects the domain record; another single click allows you to directly edit a boundary value, a group name, a code or description.

Dialog box options:

Upper bound: | Edit the upper boundary value of this group. To define for instance a group between 50 and 100, type 100. You can use boundary value 50 as the upper boundary value for another group, e.g. for values between 0 and 50.
Name: | Edit the name of this group. Group names can be as long as you like. Note: Group names may contain any characters, except the % character. In the sliced/classified map, you will see the group names when pressing the left mouse button (Info) in a map window; you will see the group names as record names when creating an attribute table for this domain (or for a map using this domain); and when enclosed in double quotes, you can use the group names in calculations. You can also show group names in the legend of the sliced/classified map.
Code: | Optionally, edit the short code of this group. Note: In codes, colons : and percentages % may not be used. When displaying the sliced/classified map in a map window and pressing the left mouse button (Info), and in Pixel Info, you will see the code and the group name as code: group name. When enclosed in double quotes, you can use codes in calculations. You can optionally show codes in the legend of a sliced/classified map.
Description: | Optionally, edit the description of this group. You can use descriptions for example in the legend of a sliced/classified map.

For more information, see How to create a domain Group.

Tips:

  • If you like, you can fill out the Name field in this dialog box as code:name.
  • The order of a group domain is fixed; it is determined by the upper boundary values.
  • When you select multiple domain items (using Shift and/or Ctrl-keys) and select Edit, you can change the Description of all selected items.
  • To edit the colors of groups, you can choose the Open Representation command from the File menu. The Representation Class editor will be opened showing the representation that is currently linked to this domain.
  • You can use the group domain in the Slicing operation or with the CLFY function in MapCalc to permanently slice or classify a value map.
  • When you are not satisfied with the classification results, edit the group domain and then recalculate the output map via the Properties of the output map.
  • When performing MapCalc or TabCalc calculations on the sliced or classified map, you can use group names as well as codes; group names or codes should be enclosed in "double quotes".
  • A similar result can be obtained without creating a group domain and without performing the Slicing operation: simply create a representation value or gradual for the value map in the Display Options dialog box of the value map. When you display the value map with such a representation, the value map appears as if it was sliced but the original values are retained.


Domain ID editor : Change Prefix

Domain ID editor

Change Prefix

 Edit menu

Change the prefix of all currently prefixed items in this ID domain.

Dialog box options:

Prefix:

Change the existing prefix of IDs in this domain into another prefix.
The colon character : may not be used in a prefix.
You are not allowed to specify an empty prefix.

The new prefix will be applied to all IDs in the domain that had the old prefix.

A prefix appears 'integrated' with the 'Name' of IDs; IDs will be proceeded by the new prefix as in My Prefix 1, My Prefix 2, etc.

This is visible when pressing the left mouse button (Info) in a map window; in record names of attribute tables that use this domain; and in legends. When enclosed in double quotes, you can use the combination of a prefix and an ID in calculations.

Mind:

  • When you edited individual IDs in this domain, you may have deleted the prefix of these items. When using the Change Prefix command, items without prefix do not obtain the new prefix.
  • As you cannot specify an empty prefix, it is not possible to delete the prefix of all prefixed IDs in this domain.

See also:

Domain Class/ID editor : functionality


Repr Class editor : functionality

Representation Class editor

Functionality

With the representation class editor, you can change the representation as used by a class domain, a group domain, or a picture domain. In the representation class editor, you see all the class names of the domain to which this representation is linked, and the way in which these classes will be represented on the screen and on a printer.

For each class as available in the domain, you can edit:

  • colors (for mapping units in raster maps);
  • colors, hatching or patterns (for mapping units in polygon maps);
  • colors, line types, line widths, etc. or use equally spaced symbols (for segments);
  • colors, symbol types, symbol sizes, etc. (for points).

The Representation Class editor consists of an editor window with the class names and their colors, a menu bar, a toolbar, and Red, Green and Blue color slide bars at the bottom of the window.

To start the Representation Class editor, see How to create a representation and How to edit a representation.

Tip:

You can always create a number of representations for a certain domain, for instance by clicking the create button [image] next to the Representation list box in the Display Options dialog box of a map. Then, to display a map with a certain representation, in the map's Display Options dialog box, select the representation you want to use.

General working of the Representation Class editor:

  1. Select a map type:
    • Click one of the tabs in the toolbar: for Raster, Polygon, Segment, or Point respectively, or
    • Open the View menu and select either Raster, Polygon, Segment or Point.

    Keep in mind that when changing a color of a class in one 'mode' (e.g. Polygon), then the color of this class will also change for all other modes (e.g. Raster, Segment).

  2. Select a single class in the editor window and subsequently edit the color and optionally other representation attributes of this class:
    • Double-click a class or its color box in the editor window, or
    • Select a class or its color box and choose Edit Item from the Edit menu, or
    • Select a class or its color box and press the Enter key on the keyboard.

    The Edit Repr Item (raster), Edit Repr Item (polygon), Edit Repr Item (segment) or the Edit Repr Item (point) dialog box will appear.

    Depending on whether you selected to edit the raster form, polygon form, segment form or point form of the representation, the Edit Repr. Item dialog box will allow you to edit:

    • for raster: colors
    • for polygon: fill colors, hatchings or patterns;
    • for segment: colors, line types (e.g. single, double, triple, dot, dash dot, blocked), line widths, optional support lines, or a symbol font and a symbol which will be used to draw lines;
    • for point: simple symbols or symbols from any installed symbol font, symbol sizes, colors, etc.

    Furthermore, you can use the Red, Green and Blue color slide bars at the bottom of the editor window to edit the colors of a single selected class.

  3. Select multiple classes in the editor window and subsequently assign a single color to all selected classes or assign a smooth range of colors to the selected classes.
    • Select multiple classes in the editor window by using the Shift and/or Ctrl key, and
    • Open the Edit menu and choose Edit Multiple Items, or press the Enter key on the keyboard.

    The Edit Multiple Items dialog box will appear.

    Assigning a range of colors can be used:

    • to obtain smooth color changes between multiple classes, for instance from yellow to red, through orange, or
    • to obtain similar colors for related classes in a domain, e.g. various forest types in similar shades of green, etc.

    When assigning a color range, the order of the classes in the domain will be used. For more information, see the Edit Multiple Items dialog box.

To interactively change colors of maps:

  1. For any raster, polygon, segment or point map with a class or group domain:
    • Display the map in a map window and make sure that the Info check box in the map's Display Options dialog box is marked;
    • Open the Layers menu in the map window and choose the Double-Click Action command; in the appearing dialog box, select the Edit Representation option;
    • Then, double-click the pixels, polygons, segments or points in the map: each time a Edit Repr Item dialog box will appear in which you can directly change colors, polygon patterns, segment line types, line widths, point symbols, etc.
    • The map window will directly show the map in the changed representation.
    • Continue double-clicking units in the map and editing the representation of that class until satisfied.

    For more information, see Map window : advanced functionality.

  2. For any raster, polygon, segment or point map with a class, group or value domain:
    • Display the map in a map window;
    • Open the Edit menu in the map window and choose the Representation command;
    • Depending on the type of representation that the domain of this map is using, the representation class editor as described above, or the representation value/gradual editor is opened;
    • In the appearing representation editor window, edit one or more colors, etc;
    • To see the changes in the map window, press the Redraw [image] button in the map window;
    • Continue editing colors in the representation editor and redrawing the map window until satisfied.

    In this way, you can work with a representation editor and a map window simultaneously.

Tip:

Advanced users may wish to edit a representation class in table form; click a representation class with the right mouse button in the Catalog, and choose Open As Table from the context-sensitive menu.

See also:

Representation Class editor : menu commands

Representation Class editor : toolbar

ILWIS objects : representations

How to create a representation

How to edit a representation


Repr Class editor : toolbar

Representation Class editor

Toolbar

The buttons in the toolbar of the Representation Class editor allow you to select a map type. This shows the representation as if this representation was used by that map type.

Every class name has a color. Each pixel, polygon, segment, point with that class name will use that color. Polygons, segments, and points have some other representation characteristcs as well.

The following actions can be performed:

Raster Map: | Edit the colors of this representation as used to display a raster map.
Polygon Map: | Edit the colors, hatchings or patterns of this representation as used to display a polygon map.
Segment Map: | Edit the colors, line types, line widths, etc. of this representation as used to display a segment map.
Point Map: | Edit the colors, symbols, symbol sizes, etc. of this representation as used to display a point map.

The toolbar can be hidden or shown with the Toolbar command on the Options menu.

See also:

Representation Class editor : functionality

Representation Class editor : menu commands


Repr Class editor : menu commands

Representation Class editor

Menu commands

File

Edit

Options


Repr Value/Gradual editor : functionality

Representation Value/Gradual editor

Functionality

The Representation Value/Gradual editor allows you to change the representation of a map that uses a value domain or the image domain. In the Representation Value/Gradual editor, the values of the domain that uses this representation are called boundary values or limits. The general idea is that you insert limits, assign colors to limits and that you choose a coloring method for the values in between two limits.

To start the Representation Value/Gradual editor, see How to create a representation and How to edit a representation.

Note:

The functionality of the Representation Value/Gradual editor resembles the functionality of the ILWIS 1.4 Transfer Function program.

Parts of the Representation Value/Gradual editor:

  • The Representation Value/Gradual editor has a menu bar.
  • In the editor, you see values or percentages on the left, and colors on the right side of the window.
    • Percentages are shown when you create a new representation for a map using the system domain Value, or when you edit an existing representation gradual;
    • Values are shown when you create a new representation for a map with any value domain, except the system domain Value, or when you edit an existing representation value.

    These values or percentages in the representation Value/Gradual editor are called boundaries or limits.

  • At the bottom, you see a color bar which gives an overview of how colors are assigned to the values of the domain.

Tip:

Maps which use system domain Value can only be shown with a representation gradual which works on percentages. When you want to create a representation value (working on values) for such maps, in order to assign specific colors to specific values, you need to change the domain of the map from system domain Value to a user-defined value domain. For more information, see How to change the domain of a map.

General working of the Representation Value/Gradual editor:

In general, in the representation Value/Gradual editor, you can:

  • insert and delete limits,
  • change the color assigned to limits,
  • change the value of limits,
  • change the coloring method of values in between two limits.

To change the color or the value of a limit:

  • double-click a limit, or
  • select a limit and press Enter on the keyboard, or
  • select a limit and, from the Edit Menu, choose Edit Limit.

In the appearing Edit Limit dialog box, you can select new color for this limit. You can also change the value or percentage of the limit.

To insert a limit:

  • press Ins on the keyboard, or
  • from the Edit Menu, choose Insert Limit.

In the appearing Insert Limit dialog box, you can fill in a new value (percentage or value) for the limit, and you can select a color for this limit.

To delete a limit:

  • select a limit and press Del on the keyboard, or
  • select a limit and, from the Edit Menu, choose Delete Limit.

To choose a coloring method for values/percentages in between two limits:

For values or percentages in between two limits there are three possibilities:

  1. colors either range from the color of the limit below to the color of the limit above (stretch), or
  2. they have the same color as the limit below (lower) or
  3. they have the same colors as the limit above (upper).

To change the coloring of value/percentages in between two limits:

  • double-click in between two limits; this is a three-fold toggle: from stretch to upper to lower, or
  • select a limit or color and press Enter on the keyboard, or
  • select a line in between limits and from the Edit Menu, choose Edit Limit.

When starting from stretch:

  • one double-click results in a change to the color of the upper limit,
  • another double-click results in the color of the lower limit, and
  • yet another double-click results in stretch again.

To change the number of colors in between two limits:

  • from the Edit menu, choose Stretch Steps.

In the appearing Stretch Steps dialog box, enter a value for the number of colors that should be used in between two limits.

To interactively change colors of value maps:

  • Open a map with a value domain in a map window, open the map's representation by selecting the Representation command on the Edit menu of the map window;
  • The Representation Value/Gradual editor is opened; insert limits, edit colors, etc.;
  • Keep the editor open and switch to the map window;
  • Redraw [image] the map window to apply the changes;
  • Continue editing colors and redrawing the map until satisfied.

See also:

Representation Value/Gradual editor : menu commands

ILWIS objects : representations

How to create a representation

How to edit a representation


Repr Value/Gradual editor : menu commands

Representation Value/Gradual editor

Menu commands

File

Edit

Options


Georef Tiepoints editor : functionality

Georeference Tiepoints editor

Functionality

General information

With the Tiepoint editor you can edit:

  • a georeference tiepoints: to add coordinates to a satellite image or to a scanned photograph without using a DTM, or
  • a georeference direct linear: to add coordinates to a scanned photograph while using a DTM, or
  • a georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters.

    • For more information on georeferences, see ILWIS objects : georeferences.

The Tiepoint editor shows:

  • in a map window: a raster map, for instance a satellite image, a scanned photograph or a scanned map. This is the background map as specified during the creation of the georeference. By inserting tiepoints, also called ground control points, you can establish relationships between the pixels of that map (row,col) and real world XY- or XYZ-coordinates.
  • existing tiepoints in a table in a secondary window: for each existing tiepoint, its Row and Column values in the raster map, its real world X- and Y-coordinates, and the residuals. When editing a georef direct linear or a georef orthophoto, also Z-values (heights) are shown: column Z_dtm displays height values as obtained from the Digital Terrain Model (DTM); in case you know more exact height values for control points, you can enter these yourself in column Z.

The tiepoint editor has a menu bar, a toolbar, a status bar and a context-sensitive menu.

Purpose of a georeference tiepoints, direct linear, orthophoto:

A georeference tiepoints is mostly used to add coordinates to a satellite image or to another map which is not North-oriented and/or in which the pixels do not represent exactly square areas on the ground. You can also use a georef tiepoints to add coordinates to a scanned photograph when a DTM of the area is not available. When working with multi-spectral images, you should add a created georef tiepoints to all bands of the image by editing the properties of the bands. This type of georeference can be used to add coordinates to satellite imagery and for subsequent screen digitizing or to resample the image to another georeference (e.g. to a georef corners) for overlay operations.

A georeference direct linear is mostly used to add coordinates to a scanned photograph which was taken with a normal camera, and when you have a DTM to also correct for tilt and relief displacement. A georef direct linear performs a Direct Linear Transformation (DLT). This type of georeference can for instance be used to add coordinates to small format aerial photographs and for subsequent screen digitizing or to resample the photograph to another georeference (e.g. to a georef corners) for overlay operations.

A georeference orthophoto is mostly used to add coordinates to a scanned aerial photograph with fiducial marks, taken with a photogrammetric camera with known principal distance, and when you have a DTM to also correct for tilt and relief displacement. A georef orthophoto performs a Differential rectification. This type of georeference can be used to add coordinates to professional near vertical aerial photographs and further monoplotting on the photograph or for creating an orthophoto (resampling).

When you added tiepoints to an image or a scanned photograph, you can:

  • Display any type of vector data on top of the map;
  • Create or update vector data using the georeferenced image or photo as background (screen digitizing);
  • Use the map in pixel info;
  • When you have raster maps of different sources or images of different dates and you want to perform raster operations to combine these maps or images (e.g. MapCalc, Cross), first create a georeference tiepoints for each set of maps/images, then use the Resample operation and resample the maps/images preferably to a georeference corners;
  • When you want to combine rasterized vector maps with satellite data, you can rasterize the vector data on the georeference tiepoints of the satellite images. In case you prefer North-oriented raster maps, rasterize the vector maps with a georeference corners, and Resample the images with the georeference tiepoints to this georeference corners.

Using the Tiepoint editor

Inserting tiepoints manually:

In the tiepoint editor, tiepoints can be added to a map in several manners:

  • first, click at a recognizable point in the map without coordinates,
  • the Add Tiepoint dialog box appears. In this dialog box, the row and column values at the position of the click are filled out.
    When you already have some tiepoints, the dialog box will also come up with a suggestion for the XY-coordinates. This suggestion is the result of the calculation with the existing tiepoints and using the current transformation method. This suggestion is a measure of the quality of the current tiepoints. The suggestion is merely a suggestion, it is advised to enter your own XY-coordinates to prevent false accuracy.

Then:

  • click at the same position in a map which already has correct XY-coordinates and which is displayed in another map window (Master/Slave), or
  • digitize the same point in an analog paper map on a digitizer, or
  • read the correct XY-coordinates for this point from a table or an analog paper map, and type these XY-coordinates in the dialog box.

When editing a georef direct linear or a georef orthophoto, you can optionally specify a Z-value for the inserted tiepoint; otherwise the height value as found in the DTM is used.

The inserted tiepoint appears in the map window and in the tiepoint table.

For a more detailed description on inserting tiepoints (for instance Master/Slave or using a digitizer, etc.), refer to How to use the Georeference Tiepoints editor.

Inserting tiepoints from file:

When you already have tiepoints (X-coordinates, Y-coordinates, row numbers, column numbers) in a file, it is advised to paste these tiepoints into the tiepoint table of a georeference tiepoints.

For a more detailed description, refer to How to paste coordinates into a georeference tiepoints.

(De)selecting tiepoints:

Column Active in the tiepoint table indicates whether or not a tiepoint is used in the transformation. Include tiepoints by the putting True in column Active; exclude tiepoints by putting False in column Active. You can type T or F in column Active or use the space bar to switch between these.

Changing colors and symbol size of tiepoints and/or fiducial marks:

To change the colors or symbol size of tiepoints or to change the colors of fiducial marks, choose Customize from the Edit menu.

Deleting tiepoints:

To delete a tiepoint, choose Delete Tiepoint from the Edit menu, or click the Delete Tiepoint button in the toolbar. Furthermore, after selecting a tiepoint in the tiepoint table, you can press Del on the keyboard, or use the right mouse button and select Delete from the context-sensitive menu.

Georef Tiepoints: transformation method:

When editing a georef tiepoints, one of the following transformation methods can be selected: conformal, affine, second order bilinear, full second order, third order and projective.

  • For satellite images an affine transformation will usually do;
  • For a scanned photograph (without DTM), a projective transformation is recommended.

Tiepoint requirements:

  • Mathematical minimum number of tiepoints required:
    • Georef tiepoints: conformal 2; affine 3; second order 4; full second order 6; third order 10; projective 4.
    • Georef direct linear: 6
    • Georef orthophoto: 3
  • You should always insert more tiepoints than is mathematically required.
  • Tiepoints should be well spread over the map (XY-direction).
  • For a georef direct linear, the tiepoints should also be well spread in Z-direction and they should not be coplanar, i.e. in Z-direction, the tiepoints should not be on a (tilted) plane. For more information, see ILWIS objects : georeference Direct Linear.

Inspecting DRow, DCol and Sigma:

Columns DRow and DCol show the difference between calculated Row and Col values and actual Row and Col values in pixels. Very good control points have DRow and DCol values less than 2. Sigma is calculated from these values and the degrees of freedom, and gives a measure for the overall accountability or credibility of the active tiepoints.

Tips:

  1. When you have already a vector map of the area of the image, it can be handy to display this vector map on top of the image while working with the tiepoint editor. When you now add tiepoints to the image and press the Redraw button [image], you can judge the quality of the tiepoints.
  2. For a georef tiepoints which should be used by all bands of a satellite image: after you have finished adding tiepoints to a background map in the Tiepoint editor, you have to add the created georef tiepoints to all bands of the image. This can be done by opening the Properties sheets of the bands, and select the correct georef tiepoints.
  3. When finished creating a georeference for an image or a photograph, you can directly create a segment map (choose File, Create in the map window) and start screen digitizing on the image or photo which now uses the created georef tiepoints, georef direct linear or georef orthophoto. When you created a georef orthophoto, the screen digitizing is called monoplotting.
  4. When finished editing a georef tiepoints, a georef direct linear or a georef orthophoto, detailed information on transformation or orientation results can be viewed in the Properties dialog box of the georeference: click the Additional Info button.

See also:

Georeference Tiepoints editor : menu commands

Georeference Tiepoints editor : toolbar

How to use the Georeference tiepoints editor

ILWIS objects : georeferences

How to add coordinates to a satellite image

How to paste coordinates into a georeference tiepoints

How to screen digitize

How to monoplot

How to create an orthophoto

Resample


Georef Tiepoints editor : toolbar

Georeference Tiepoints editor

Toolbar

The toolbar of the georeference tiepoints editor largely resembles the toolbar of a map window but there are some extra buttons to add a tiepoint, to delete a tiepoint, to choose a transformation method and to exit the editor.

The following actions can be performed:

Entire Map: | Displays the entire map in the map window.
Zoom In: | Zooms in on a selected spot or area in the map. The mouse pointer changes into a magnifying-glass. Click to zoom in on a spot of interest, or drag the pointer from one corner of interest to another (the mouse pointer changes into a little box).
Zoom Out: | Zooms out directly from the center of the displayed map with a factor 2.
Redraw: | Redraws the contents of the map window.
Add tiepoint: | Opens the Add Tiepoint dialog box in which you can enter Row and Column numbers and XY-coordinates for a new tiepoint from the keyboard. You can also add tiepoints by clicking in the map window, or by typing the Row and Column numbers and XY-coordinates directly in the tiepoint table.
Delete tiepoint: | Opens the Delete Tiepoint dialog box in which you can specify the number of the tiepoint you want to delete. You can also delete one or more tiepoints by selecting records in the tiepoint table, then press the Del key on the keyboard or choose Delete from the Edit menu.
Transformation method: | Opens the Transformation dialog box in which you can select a transformation method with which the relation between Row and Column values and the XY-coordinates of your tiepoints should be calculated. This button is only available when editing a georef tiepoints.
Exit editor: | Leaves the editor and keeps all changes.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Georeference Tiepoints editor : functionality

Georeference Tiepoints editor : menu commands


Georef Tiepoints editor : menu commands

Georeference Tiepoints editor

Menu commands

File

Edit

Layers (see map window)

Options (see map window)


Georef 3D editor : functionality

Georeference 3D editor

Functionality

With the georeference 3D editor, you can edit a georeference 3D and obtain a 3D view of your study area according to your wishes. The georeference 3D editor consists in fact of one dialog box in which you can edit 3D view parameters. Further, the georeference 3D editor has a menu bar, a context-sensitive menu and a toolbar.

To start the georeference 3D editor:

To create a new georeference 3D, you need first of all an interpolated height map (Digital Elevation Model/Digital Terrain Model). For more information on obtaining a DEM, see How to calculate a DEM.

Select for instance the Create Georeference command on the File menu of the Main window. In the appearing dialog box, select the option button Georeference 3D and select the height map and specify the size of the map window in which your 3D view will be displayed. After the Display Options - 3D Grid dialog box, a map window is opened showing an initial 3D view. In the map window, select Georeference from the Edit menu to start the georeference 3D editor.

To edit an exisitng georeference 3D, you can double-click a georeference 3D in the Catalog. After the Display Options - 3D Grid dialog box, a map window is opened showing your 3D view. In the map window, select Georeference from the Edit menu to start the georeference 3D editor.

In the Display Options - 3D Grid dialog box, you can specify whether you want to see the 3D view as grid lines with or without a drape of a raster map.

For more information on creating a georeference 3D, refer to How to create a 3D view.

Parameters of a georeference 3D or a 3D view:

Fig. 1: This picture shows you a simplified overview of how the relationship between the observer and the terrain is determined.

The options in the Georeference 3D dialog box are shortly described below.

View Angle

The View Angle is an angle in degrees which defines the aperture of the observer's sight, i.e. how much you can see of your 3D model.

  • When the view angle is small, only a small area of the total 3D view is observed, with the view point as the middle of the observed area.
  • The larger the angle, the larger the area that is observed.
  • A maximum of 180° is allowed.

Scale Height

The Scale Height defines how much the altitude (Z) should be exaggerated compared to the XY-scale.

  • A scale height of 1 means no height exaggeration.
  • A scale height > 1 means that vertical exaggeration is increased.

Note that when you increase the scale height, more parts of your study may fall behind exaggerated parts and can thus no longer be seen.

View Point

The View Point is the XY-location you want to look at. The Z-coordinate of this point is defined by the DEM. The view point will be drawn in the center of the map window.

Horizontal Rotation

The Horizontal Rotation is an angle in degrees to rotate the 3D view anti-clock wise from the south-north direction.

  • When 0° is specified, the 3D view is orientated south-north. The observer is located to the south of the DEM.
  • When 90° is specified, the 3D view is oriented west-east. The observer is located to the west of the DEM.
  • When -90° is specified, the 3D view is oriented east-west. The observer is located to the east of the DEM.

Vertical Rotation

The Vertical Rotation is an angle in degrees away from a vertical through the terrain.

  • When 0° is specified, the line of sight is perpendicular to the 3D view; the observer is located high in the sky and looks straight down on the 3D view.
  • When 90° is specified, the line of sight is parallel to the 3D view; the oberver is located on the same height as the view point and sees the 3D view in front of him.

Distance

The Distance is the distance between the observer and the view point.

  • When a large distance is specified, you get a general overview of the observed 3D view.
  • To observe the 3D view in detail, you should decrease the distance.

Location Point

The Location Point is the location of the observer in XY-coordinates.

Location Height

The Location Height is the altitude of the observer.

All changed parameters are immediately stored in your georeference 3D. To see the effect of changed view parameters, you need to redraw the map window: click the Redraw button [image] in the toolbar of the map window, or press Ctrl+R on the keyboard.

Effects of changing 3D view parameters:

The different view parameters are illustrated in the figures below.

Fig. 2: Reference situation. The observer is standing almost in front of the DEM looking towards the north.

In the following four pictures, only one parameter is changed.

In the last picture a number of parameters are changed.

Fig. 3: The vertical rotation is decreased from 82° to 40°. The observer looks more upon the DEM. | Fig. 4: The horizontal rotation is changed from 0° to 30°. The observer is looking into the north-west
Fig. 5: The view angle is decreased from 90° to 60°. The observed part of the DEM became smaller. | Fig. 6: The view angle is increased to 120°. The observed part of the DEM became larger.
Fig. 7: Several parameters are changed, including the view point. In this way, you can find an 'optimal' 3D view, depending on the purpose. |

It is advised to adjust:

  • the View Angle, until you see your whole study area in the map window,
  • the Vertical and Horizontal Rotation, until you see your area from a favourable position,
  • the View Point, until the 3D view is nicely positioned in the map window,
  • the Scale Height, to exaggerate height differences,
  • or other parameters as you wish.

Note:

The 3D view parameters are not independent. When you change one parameter, some others may automatically change as well. When you edit the values of the view point, horizontal rotation, vertical rotation or distance, the values of the location point and/or location height of the observer automatically change, and vice versa.

To exit the georeference 3D editor:

To close the georeference 3D editor and return to the map window, click the Exit editor button in the toolbar, choose Exit from the File menu, or double-click the control-menu box of the dialog box. Your 3D view is displayed in the map window. The parameters last used in the editor are stored in the georeference 3D.

As the map window now uses this georeference 3D, you can also add other vector maps to improve the 3D view. Of course, you can also add annotation.

To save the 3D view:

To save the 3D view in the map window, choose the Save View or the Save View As command from the File menu in the map window.

To permanently display a raster map with a georeference 3D, you can use the Apply 3D operation.

See also:

Georeference 3D editor : menu commands

Georeference 3D editor : toolbar

How to create a 3D view

How to calculate a Digital Elevation Model

How to display Digital Elevation Models


Georef 3D editor : toolbar

Georeference 3D editor

Toolbar

The picture below shows the toolbar of the Georeference 3D editor:

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map: | Displays the entire 3D view in the map window.
Zoom In: | Zooms in on a selected spot or area in the 3D view. The mouse pointer changes into a magnifying-glass. Click to zoom in on a spot of interest, or drag the pointer from one corner of interest to another (the mouse pointer changes into a little box).
Zoom Out: | Zooms out directly from the center of the displayed map with a factor 2.
Redraw: | Redraws the contents of the map window.
Exit editor: | Leaves the editor and keeps all changes.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Georeference 3D editor : functionality

Georeference 3D : menu commands


Georef 3D editor : menu commands

Georeference 3D editor

Menu commands

File menu

Edit menu

Layers menu (see map window)

Options menu (see map window)


Coordsys Tiepoints editor : functionality

Coordinate system Tiepoints editor

Functionality

General information

With the Coordinate system Tiepoints editor you can edit a coordinate system tiepoints: to add coordinates to a vector map. For more information on coordinate systems, see ILWIS objects : coordinate systems.

The Coordinate system Tiepoints editor shows:

  • in a map window: one or more vector maps. This is the background map as specified during the creation of the coordinate system. By inserting tiepoints, you can establish relationships between the current XY-coordinates in the map and related XY-coordinates.
  • existing tiepoints in a table in a secondary window: for each existing tiepoint, its current XY-coordinate (X and Y) in the vector maps, its related XY-coordinates (RelX and RelY), and the residuals (DX and DY).

The coordinate system tiepoints editor has a menu bar, a toolbar, a status bar and a context-sensitive menu.

Purpose of a coordinate system tiepoints:

A coordinate system tiepoints is mostly used to add correct XY-coordinates to a vector map which has wrong or artificial coordinates, e.g. maps starting at (0,0), maps digitized in millimeters, or maps that were were imported from other packages and do not have correct coordinates.

When working with multiple imported vector maps of the same kind, you should add a created coordsys tiepoints to all similar vector maps, by editing the properties of these maps.

When you added a coordsys tiepoints to a vector map, you can:

  • Display the vector map on top of any map with correct coordinates;
  • Use the map and the coordinate system in Pixel Info;
  • To actually change the XY-coordinates of your vector maps, first create a coordinate system tiepoints, then transform the vector maps to the correct coordinate system.

Using the Coordinate system Tiepoint editor

Inserting tiepoints:

In the tiepoint editor, tiepoints can be added to a map in several manners:

  • first, click at a recognizable point in the map with wrong coordinates,
  • the Add Tiepoint dialog box appears. In this dialog box, the current XY-coordinates at the position of the click are filled out.
    When you already have some tiepoints, the dialog box will also come up with a suggestion for the related XY-coordinates. This suggestion is the result of the calculation with the existing tiepoints and using the current transformation method. This suggestion is a measure of the quality of the current tiepoints. The suggestion is merely a suggestion, it is advised to enter your own related XY-coordinates to prevent false accuracy.

Then:

  • click at the same position in a map which already has correct XY-coordinates and which is displayed in another map window (Master/Slave), or
  • digitize the same point in an analog paper map on a digitizer, or
  • read the correct XY-coordinates for this point from a table or an analog paper map, and type these XY-coordinates in the dialog box.

The inserted tiepoint appears in the map window and in the tiepoint table.

(De)selecting tiepoints:

Column Active in the tiepoint table indicates whether or not a tiepoint is used in the transformation. Include tiepoints by the putting True in column Active; exclude tiepoints by putting False in column Active. You can type T or F in column Active or use the space bar to switch between these.

Changing colors and symbol size of tiepoints:

To change the colors or symbol size of tiepoints or to change the colors of fiducial marks, choose Customize from the Edit menu.

Deleting tiepoints:

To delete a tiepoint, choose Delete Tiepoint from the Edit menu, or click the Delete Tiepoint button in the toolbar. Furthermore, after selecting a tiepoint in the tiepoint table, you can press Del on the keyboard, or use the right mouse button and select Delete from the context-sensitive menu.

Coordsys Tiepoints: transformation method:

When editing a coordinate system tiepoints, one of the following transformation methods can be selected: conformal, affine, second order bilinear, full second order, third order and projective. An affine transformation will usually do.

Changing the boundaries of the coordinate system:

When creating a coordinate system tiepoints in a map window, then for the boundaries of the new coordsys tiepoints, the boundaries of the map window are automatically used. Usually, you will not have to change these values.

Tiepoint requirements:

  • Mathematical minimum number of tiepoints required:

    • conformal 2; affine 3; second order 4; full second order 6; third order 10; projective 4.

  • You should always insert more tiepoints than is mathematically required.
  • Tiepoints should be well spread over the map (XY-direction).

Inspecting DX, DY and Sigma:

Columns DX and DY show the difference between calculated related XY-coordinates and actual XY-coordinates in meters. Sigma is calculated from these values and the degrees of freedom, and gives a measure for the overall accountability or credibility of the active tiepoints.

See also:

Coordinate system Tiepoints editor : menu commands

Coordinate system Tiepoints editor : toolbar

ILWIS objects : coordinate systems

Transform point map

Transform segment map

Transform polygon map map


Coordsys Tiepoints editor : toolbar

Coordinate system Tiepoints editor

Toolbar

The toolbar of the coordinate system tiepoints editor largely resembles the toolbar of a map window but there are some extra buttons to add a tiepoint, to delete a tiepoint, to choose a transformation method and to exit the editor.

The following actions can be performed:

Entire Map: | Displays the entire map in the map window.
Zoom In: | Zooms in on a selected spot or area in the map. The mouse pointer changes into a magnifying-glass. Click to zoom in on a spot of interest, or drag the pointer from one corner of interest to another (the mouse pointer changes into a little box).
Zoom Out: | Zooms out directly from the center of the displayed map with a factor 2.
Redraw: | Redraws the contents of the map window.
Add tiepoint: | Opens the Add Tiepoint dialog box in which you can enter current XY-coordinates and related XY-coordinates from the keyboard. You can also add tiepoints by clicking in the map window, or by typing the XY-coordinates and related XY-coordinates directly in the tiepoint table.
Delete tiepoint: | Opens the Delete Tiepoint dialog box in which you can specify the number of the tiepoint you want to delete. You can also delete one or more tiepoints by selecting records in the tiepoint table, then press the Del key on the keyboard or choose Delete from the Edit menu.
Transformation method: | Opens the Transformation dialog box in which you can select a transformation method with which the relation between current XY-coordinates and future XY-coordinates of your tiepoints should be calculated.
Exit editor: | Leaves the editor and keeps all changes.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Coordinate system Tiepoints editor : functionality

Coordinate system Tiepoints editor : menu commands


Coordsys Tiepoints editor : menu commands

Coordinate system Tiepoint editor

Menu commands

File

Edit

Layers (see map window)

Options (see map window)


Sample set editor : functionality (1)

Sample set editor

Functionality (1)

In the sample set editor you can select sample pixels also called training pixels for certain classes prior to an image classification. The sample set editor has a menu bar, a context-sensitive menu, a toolbar and a status bar.

Sampling creates a sample set which is needed for a multi-spectral image classification.

Sampling is the assignment of class names to groups of pixels which have similar spectral values and that are supposed to represent the classes that you want to obtain from the classification. The sampled pixels or training pixels are thus supposed to be characteristic for a certain type of a natural resource. For instance, to perform a land use classification, you might sample the classes: forest, grass land, arable land etc.

Requirements:

For sampling you need an image which can be easily interpreted (e.g. a color composite), a map list, that is the set of images which you want to classify in a later stage, and a class domain containing the set of class names that you want to assign to training pixels. All maps must have the same georeference (or georef None).

Tip:

When your graphics board is configured to use more than 256 colors, you can also use an interactive color composite; then, a background map on disk is not required. For more information, refer to How to create a color composite.

To start the sample set editor, refer to How to create a sample set.

General working of the sample set editor:

  • select one or more pixels on the 'background' image
  • assign a class name for the selected pixels
  • view sample statistics
  • view feature spaces

During sampling, you probably need to zoom in on the map. You can still add new classes to the domain while sampling. It is advised to use the same domains as far as possible (not every class has to be used).

Tips:

  • If you have an existing map of the area, you can add this map to the pixel info window. This may help you to select training pixels during sampling.
  • You can create dependent output maps with the Classify operation (various methods, various parameters) using the current sample set as input. When you add these dependent maps to the pixel info window, you may already see the results of classifying during sampling.

    • As pixel info works on XY-coordinates in maps, all maps should be georeferenced.

Selection of pixels:

  • to select a pixel, click it; or move the pixel selection cursor with the arrow keys on the keyboard and press the space bar;
  • to select all pixels within a selected area: drag a box with the left mouse button. All pixels in the box are selected;
  • to add pixels to a selection: press and hold down Ctrl and click the pixels you want to select. When finished, release the Ctrl key.
  • to clear a part of a selection: press and hold down Ctrl+Shift, click pixels or drag a box around pixels: these pixels are deselected. When finished, release the Ctrl+Shift keys.
  • to toggle between select and deselect: press and hold down Shift, click pixels or drag a box around pixels: selected pixels are deselected, and non-selected pixels are selected. When finished, release the Shift key.

Inspect the Sample Statistics to see the statistics of the current selection.

Assignment of a class name to a selection:

  • double-click a pixel and choose a class name from the list, or enter a new class name, or
  • select multiple pixels, press the right mouse button and select Edit from the context-sensitive menu. In a small dialog box that appears you can choose a class name from the list or enter a new class name.
    Instead of using the context-sensitive menu, you can also choose Edit from the Edit menu in the normal menu bar.

When a new class is added, also a color can be selected. Class names in the domain that you are using can be as long as you want: set the width of the domain through the properties of the domain. Sampled pixels appear in the color of the assigned class in the background map; when you move the mouse over a sampled pixel, the status line shows the class name of the pixel.

View Sample Statistics:

Sample Statistics are displayed in a separate window. In the upper half of the window, you can select a class name, then some statistics are calculated for the training pixels belonging to this class: mean, standard deviation, number of pixels with the predominant value, predominant value, and total number of training pixels belonging to this class. In the lower half of the Sample Statistics window, statistics are shown for currently selected pixels.

View Feature Spaces:

To view a feature space, press the right mouse button in the sample set editor, and select Feature Space from the context-sensitive menu. You can also click the Feature Space button in the toolbar, or choose Feature Space from the normal Edit menu. Select which bands you want to be displayed by the feature space.

You can open as many feature spaces as you like, but as each of them is updated after a new selection of training pixels, speed may decrease. Feature spaces can be shown with or without additional grid lines, can be copied to clipboard and printed.

On the basis of the sample statistics and the feature spaces, you can for instance decide to sample more training pixels of a certain class, merge classes with too much overlap, delete classes, etc. For more information on merging and deleting classes, changing the color of classes, see Sample set editor : functionality (2).

Exit the sample set editor:

To exit the sample set editor, double-click the Control-menu box of the sample set editor window or the sample statistics window. You can also click the Exit Editor button in the toolbar, or choose Exit from the File menu in the sample set editor.

See also:

Sample set editor : functionality (2)

Sample set editor : menu commands

Sample set editor : toolbar

How to create a sample set

How to open an existing sample set


Sample set editor : functionality (2)

Sample set editor

Functionality (2)

To merge existing classes:

When two classes of training pixels are found very similar, based on the Sample Statistics and the Feature Spaces, you may decide to merge these classes. In fact, training pixels of one class are merged together with the training pixels of another class.

  • from the Edit menu or from the context-sensitive menu, choose Merge Classes.

The Merge Classes dialog box appears.

To assign training pixels to another class:

  • reselect the pixels that you to assign to another class, and
  • from the Edit menu or from the context-sensitive menu, choose Edit.

The Edit Pixels dialog box appears. Assign the desired class to the selected pixels.

To rename a class:

Renaming classes can be done in the domain Class editor. Open the domain from the Main window, and edit a class name into another class name. For more information, see also How to edit a domain and Domain Class/ID editor.

To delete one or more pixels from a class of training pixels:

When by mistake some pixels were sampled and assigned to a certain class, you can remove these from the class by reselecting these pixels and assigning them the undefined value.

  • in the sample set editor window, select the pixels that you want to remove from the class, and
  • from the Edit menu or from the context-sensitive menu, choose Edit.

The Edit Pixels dialog box appears. Assign the undefined value (?) to the selected pixels.

To delete a whole class of training pixels:

  • from the Edit menu or from the context-sensitive menu, choose Delete Class.

The Delete Class dialog box appears, select a class of training pixels to be deleted. Training pixels of the selected class are removed from the sample set, but the class remains in the domain. To also remove the class from the domain, first delete the training pixels of the class, then delete the class from the domain in the domain Class/ID editor.

To change the color of a class:

  • from the Edit menu, choose Representation.

The Representation Class editor is opened where you can edit the colors of the classes.

See also:

Sample set editor : functionality (1)

Sample set editor : menu commands

Sample set editor : toolbar


Sample set editor : toolbar

Sample set editor

Toolbar

The toolbar of the sample set editor largely resembles the toolbar of a normal map window; there are extra buttons to open feature spaces, to obtain a legend of the classes of training pixels and to exit the editor.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

The following actions can be performed:

Entire Map: | Displays the entire map in the map window.
Zoom In: | Zooms in on a selected spot or area in the map. The mouse pointer changes into a magnifying-glass. Click to zoom in on a spot of interest, or drag the pointer from one corner of interest to another (the mouse pointer changes into a little box).
Zoom Out: | Zooms out directly from the center of the displayed map with a factor 2.
Redraw: | Redraws the contents of the map window.
Feature Space: | Opens the Feature Space dialog box to display a new feature space. A feature space visually shows the separation of classes of sampled pixels. You can open as many feature spaces as you like.
Legend: | Shows a legend of the classes of sampled training pixels in a secondary window.
Exit editor: | Leaves the editor and keeps all changes.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Sample set editor : functionality

Sample set editor : menu commands


Sample set editor : menu commands

Sample set editor

Menu commands

File

Edit

Layers (see map window)

Options (see map window)


Epipolar Stereo Pair - Creation window : functionality

Epipolar Stereo Pair - Creation window

Functionality

In the Epipolar Stereo Pair - Creation window, you can create a stereo pair from two images with overlap.

In short, you will need to:

  • mark on each photograph the position of two, three, or four fiducial marks (FM),
  • mark the position of the calculated principal point (PP) of the left photograph, on the right photograph (transferred principal point or TP),
  • mark the position of the calculated principal point (PP) of the right photograph, on the left photograph (transferred principal point or TP),
  • in case of scale differences between the two input maps, mark the position of one or two scaling points (SP) in both photographs.

Legend:

1,2,3 = Fiducial Marks

PP = Principal Point

TP = Transferred Principal Point

When you close the Epipolar Stereo Pair - Creation window with the Exit and Show button [image], both input photographs will be resampled to output maps, i.e. the stereo pair is calculated. Rotation differences and possible scale differences between the photographs will be removed.

The output stereo pair can then be viewed in stereo, either with a stereoscope or as an anaglyph.

The window has a menu bar, a context-sensitive menu, a toolbar, dialog panes at the bottom of the window, and a status bar.

To open the Epipolar Stereo Pair - Creation window:

For the creation of an epipolar stereo pair, you need two scanned images (for instance two aerial photographs with fiducial marks) with at least 50% overlap.

  • When you wish to view the stereo pair later on with a stereoscope, you can use input raster maps with the Color domain, the Image domain, or another value domain.
  • When you wish to view the stereo pair as an anaglyph later on, you can only use raster maps with the Image domain, or with another value domain.

Tips:

  • As scanned images may have a very large file size, it is advised to create Pyramid Layers for both input raster maps. This will speed up display in the Epipolar Stereo Pair - Creation window.
  • If one or both of the images was scanned in the wrong direction, you can use the Mirror Rotate operation before starting to create a stereo pair. In the input pair, you should make sure that the ground track of the flight line is more or less from left to right, and thus more or less at a right angle to the columns of the images.
  • To convert a map with the Color domain to the Image domain, you can use the Color Separation operation; choose option Intensity. See also How to change the domain of a map.

You can start the Epipolar Stereo Pair operation:

  • by double-clicking the Epipolar Stereo Pair item in the Operation-list,
  • by opening the Image Processing item in the Operation-tree, and double-clicking the Epipolar Stereo Pair item,
  • by choosing Epipolar Stereo Pair from the Operations, Image Processing menu in the Main window.

The Create Stereo Pair dialog box will appear in which you can specify the names of the left and right input maps, and the name of the output stereo pair. The Epipolar Stereo Pair - Creation window will also be opened.

The Epipolar Stereo Pair window consists of four parts:

  • upper left pane: displays the left-hand photograph,
  • upper right pane: displays the right-hand photograph,
  • lower left pane: shows the row/col positions of marked points in the left-hand photograph,
  • lower right pane: shows the row/col positions of marked points in the right-hand photograph.

Functionality

To add a fiducial mark:

  • Activate the photograph/image on which you wish to work by clicking the Activate Left Pane button [image] or the Activate Right Pane [image] button.
  • Zoom in on the area where you expect to find a fiducial mark.
  • Indicate that you wish to mark the position of a fiducial mark:
    • choose Select Fiducial Marks from the Edit menu or from the context-sensitive menu, or
    • press the Fiducial Mark button in the toolbar [image], or
    • select a fiducial mark check box in the lower dialog pane.

    Check that the cursor displays the number of the fiducial mark that you wish to enter, and that the row/col boxes of the fiducial mark that you are about to enter appear highlighted (by default yellow).

  • Position the cursor as exact as possible and click the location of the fiducial mark in the photograph.
  • Repeat for the other fiducial marks.

You are supposed to enter two, three or four fiducial marks for each photograph. For one photograph, use either the fiducial marks located in the corners of the photograph or the fiducial marks that are in the middle along an edge of the photograph.

To remove a fiducial mark:

  • Clear a fiducial mark check box in the lower dialog pane.

To re-enter a wrong fiducial mark:

  • first clear the check box of the wrong fiducial mark in the lower dialog pane,
  • then reactivate the check box of the fiducial mark that you wish to re-enter, and
  • click the position of the fiducial mark again in the photograph.

Automatic positioning of principal point:

When for a photograph, enough fiducial marks are entered, then the position of the principal point will automatically appear in the photograph.

The principal point of a photograph, is also called the pivot; it is the point around which the photograph will be rotated.

The principal point is only an approximation of the best possible rotation point or pivot. Theoretically, the nadir point (i.e. the terrain point perpendicular under the camera) is the point around which the photos should be rotated to make the photos epipolar to each other. However, without ground control points, the nadir point is hard to find, and in case of vertical photographs, the nadir point coincides with the principal point.

Manual positioning of principal point (optional):

If you don't have fiducial marks, you can also indicate the position of the principal point yourself:

  • Do not enter fiducial marks, or clear the fiducial mark check boxes.
  • Activate the photograph/image on which you wish to work by clicking the Activate Left Pane button or the Activate Right Pane button.
  • Zoom in on the area where you expect to find the principal point.
  • Indicate that you wish to mark the position of the principal point:
    • choose Select Principal Point from the Edit menu or from the context-sensitive menu, or
    • press the Principal Point button [image] in the toolbar, or
    • position the cursor in the Principal Point row box or column box in the lower dialog pane.

    Check that the cursor displays PP, and that the row/col boxes of the principal point appear highlighted (by default yellow).

  • Position the cursor as exact as possible and click the location of the principal point in the photograph, or type row/column numbers in the lower dialog pane.

To transfer the principal point of the left photograph to the right photograph (and vice versa):

  • Zoom in on the area of the principal point in the left photograph.
  • Zoom in on the area where you expect to find this point in the right photograph.
  • Activate the photograph/image in which you wish to work (the right), by clicking the Activate Left Pane button [image] or the Activate Right Pane button [image].
  • Indicate that you wish to mark the position of a transferred principal point:
    • choose Select Transferred Principal Point from the Edit menu or from the context-sensitive menu, or
    • press the Transferred Principal Point button [image] in the toolbar, or
    • position the mouse pointer in the Transferred Principal Point row and column boxes in the lower dialog pane.

    Check that the cursor displays TP, and that the row/col boxes of the transferred principal point appear highlighted in the lower dialog pane (by default yellow).

  • Position the cursor as exact as possible and click the location of the transferred principal point in the (right) photograph.

Now do the same vice versa, and transfer the principal point of the right photograph to the left photograph.

The imaginary line between the principal point and the transferred principal point in a photograph is called the photo base; in normal circumstances, it coincides with the flight line projected on the ground (ground track).

Notes:

  • In the left-hand photograph, the transferred principal point must be located to the right of the principal point of that photo, i.e. the column number of transferred principal point should be greater than the column number of the principal point.
  • In the right-hand photograph, the transferred principal point must be located to the left of the principal point of that photo, i.e. the column number of transferred principal point should be smaller than the column number of the principal point.
  • As long as this is not fulfilled, you cannot start the calculation of the stereo pair's output maps.

To specify scaling points (optional):

When there are scale differences between the left and right photograph, you should specify one or two scaling points in both photographs. Like the principal point, the scaling point that you mark in one photograph has also to be marked in the other.

A scaling point should be located at the top or the bottom of photograph, at a distance of at least half the photo base away from the photo base/flight line, otherwise calculation of the stereo pair's output maps is not possible.

  • Mark the position of a scaling point in one photograph.
  • Mark this scaling point also in the other photograph.
  • You can use the Scaling Point button [image] in the toolbar, or the Select Scaling Points option on the Edit menu or the context-sensitive menu.

As soon as one or two scaling points are placed, a 'scaling distance' is displayed as 'Total distance from flight line'. This distance is expressed in photo pixels (rowcols). It is (the sum of) the distance(s) between the scaling point(s) and the base line. During resampling, the resolution of the photograph with the smallest scaling distance will be increased to the resolution of the other photograph.

To exit the Epipolar Stereo Pair - Creation window and show the resulting stereo pair (Exit and Show):

To save all entered points, and to calculate the resulting stereo pair which can be viewed in stereo:

  • click the Exit and Show button [image] in the toolbar, or
  • choose Exit and Show from the File menu.

The Epipolar Stereo Pair - Creation window will be closed.

The stereo pair and its two output raster maps will be calculated.

By default the stereo pair will be displayed in a Stereo Pair - Stereoscope window. The default Open action (i.e. open in Stereoscope window or open as Anaglyph) can be specified in the Preferences.

Other ways to exit the Epipolar Stereo Pair - Creation window:

In some cases you may wish to leave the Epipolar Stereo Pair - Creation window in another way than described above.

  • Exit: the changes you made in the Epipolar Stereo Pair - Creation window will be stored, but the stereo pair will not be calculated yet.

    • To exit:

    • click the Exit button [image] in the toolbar,
    • choose Exit from the File menu, or
    • click the Close button [image] of the window.

    The Epipolar Stereo Pair - Creation window will be closed. The stereo pair will be calculated when necessary, e.g. when opened to be displayed.

  • Quit: none of the changes you made in this session of the Epipolar Stereo Pair - Creation window will be stored.

    • To quit:

    • choose Quit from the File menu.

    The Epipolar Stereo Pair - Creation window will be closed.

See also:

Epipolar Stereo Pair (operation)

Epipolar Stereo Pair - Creation window : toolbar

Show stereo pair with stereoscope

Stereo Pair - Stereoscope window

Show stereo pair as anaglyph

ILWIS objects : stereo pairs


Epipolar Stereo Pair - Creation window : toolbar

Epipolar Stereo Pair - Creation window

Toolbar

The toolbar of the Epipolar Stereo Pair - Creation window provides shortcuts for some regularly used menu commands for instance to zoom in on maps, to pan, to mark the position of fiducial marks, transferred principal point, etc.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

Tip: For most actions you first need to use the Activate Left Pane or the Activate Right Pane buttons to activate the pane you wish to work in.

The following actions can be performed:

New Stereo Pair:

To create a new stereo pair. The Create Stereo Pair dialog box will appear.

Open Stereo Pair:

To open another stereo pair in the Stereoscope window. The Open Stereo Pair dialog box will appear.

Entire Map:

Displays the entire map in the currently active pane.

Redraw:

Redraws the map in the currently active pane.

Zoom In:

Allows you to zoom in on a selected spot or area in the map of the currently active pane. In the currently active pane, the mouse pointer will change into a magnifying-glass with a large plus inside, then:

  • in the active pane, click in the map to zoom in on that position with a factor 2, or
  • in the active pane, drag the mouse pointer in the from one corner of interest to another (any zoom in factor).

Tip: To zoom in, you can also use the overview window.

Zoom Out:

Allows you to zoom out from the map in the currently active pane.

In the currently active pane, the mouse pointer will change to a 'magnifying'-glass with a large minus inside, then:

  • in the active pane, click in the map to zoom out with a factor 2, or
  • in the active pane, drag a rectangle with the mouse pointer in the map; the smaller the rectangle, the more you will zoom out.

Select Fiducial Marks:

In the currently active pane:

  • Check that the cursor displays the number of the fiducial mark that you wish to enter, and that the row/col boxes of the fiducial mark that you are about to enter appear highlighted (by default yellow).
  • Position the cursor as exact as possible and click the location of the fiducial mark in the photograph, or type row/column numbers in the lower dialog pane.

Select Principal Point:

In case you don't have enough fiducial marks, or when you wish to mark the position of the principal point yourself:

  • Check that the cursor displays PP, and that the row/col boxes of the principal point appear highlighted (by default yellow).
  • In the currently active pane, position the cursor as exact as possible and click the location of the principal point in the photograph, or type row/column numbers in the lower dialog pane.

Select Transferred Principal Point:

In the currently active pane:

  • Check that the cursor displays TP, and that the row/col boxes of the transferred principal point appear highlighted in the lower dialog pane (by default yellow);
  • In the currently active pane, position the cursor as exact as possible and click the location of the transferred principal point in the photograph.

The position of the principal point of the left photograph has to be marked as the transferred principal point on the right photograph, and vice versa.

Select Scaling Points:

In case there are scale differences between the left photograph and the right photograph:

  • Check that the cursor displays SP, and that the row/col boxes of the scaling point that you wish to enter appears highlighted in the lower dialog pane (by default yellow);
  • Position the cursor as exact as possible and click the location of the scaling point in the photograph.

The position of a scaling point needs to be marked on the other photograph as well.

Activate Left Pane:

Activates the left-hand pane in the Epipolar Stereo Pair - Creation window.

Activate Right Pane:

Activates the right-hand pane in the Epipolar Stereo Pair - Creation window.

Exit:

Click this button to close the Epipolar Stereo Pair - Creation window:

  • The changes you made in the Epipolar Stereo Pair - Creation window will be stored.
  • However, the stereo pair and its output maps will not be calculated yet.

Exit and Show:

Click this button to close the Epipolar Stereo Pair - Creation window and show the resulting stereo pair:

  • All entered points will be saved.
  • The stereo pair and its output maps will be calculated.
  • The resulting stereo pair will be displayed, by default, in the Stereo Pair - Stereoscope window where you can view the stereo pair with a stereoscope.

The toolbar can be hidden or shown with the Toolbar command on the Options menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Epipolar Stereo Pair - Creation window : functionality


Filter editor

Edit a user-defined linear filter or view the contents of a linear system filter. Linear filters use a linear combination of all pixels in a rectangle around the input pixel.

The Filter editor is opened:

  • when you click the OK button in the Create Filter dialog box,
  • when you double-click a user-defined linear filter in a Catalog,
  • selected a filter in a Catalog, and choose Edit Object from the Edit menu in the Main window,
  • when in a Catalog, you click a user-defined linear filter with the right mouse button in the Catalog, and select Open from the context-sensitive menu.

Options:

Matrix:

The window shows a matrix with the number of rows and columns as specified before when creating a linear filter. The rows and columns of the filter are numbered; cell 0,0 is the center of the filter. If the filter is rather large, scroll bars appear.

To edit values in the matrix:

  • select a cell at a time and type a value, or
  • select multiple cells, click the selection with the right mouse button and choose Edit from the context-sensitive menu.
  • select multiple cells, and choose Edit from the Edit menu.

Description:

Optionally, type a description for the filter. The description is visible on the status bar of the Main window when moving the mouse pointer over a filter in the Catalog.

Gain:

Type a value for the Gain factor yourself, see the example below.

Moving through the matrix by keyboard:

  • to move up and down in the matrix: press the Arrow Up and Arrow Down keys;
  • to move to one cell to the right: press the Tab key;
  • to move to one cell to the left: press the Shift+Tab key.

Example:

When considering a linear filter of size 3x3, the 9 matrix values are multiplied with 9 pixel values in the input raster map, this is summed and multiplied by the gain factor. The result is assigned to the center pixel in the output map.

Tips:

  1. To view the contents of a linear system filter:
    • click the Customize Catalog button [image] in the standard toolbar of the Main window,
    • in the Customize Catalog dialog box, select the object type Filter (use the scroll bar) and select the check box Include System Objects,
    • then, in the Catalog, the linear system filters will appear: AVG3x3, D2FDX2, D2FDXDY, D2FDY2, DFDDN, DFDUP, DFDX, DFDY, EDGESENH, LAPLACE, SHADOW,
    • you can open a system filter by double-clicking it.

    System filters cannot be edited.

  2. To copy the contents of a filter to clipboard:
    • open a filter,
    • from the Edit menu in the Filter editor, choose the Select All command, then
    • from the Edit menu, select the Copy command or press the Ctrl+C keys on the keyboard.
  3. To copy the whole filter editor window to clipboard:
    • press the Alt+PrintScrn keys on the keyboard.

See also:

Filters : linear filters

How to create linear filters

Filter operation : functionality


Function editor : functionality

Function editor

Functionality

The function editor allows you to view and/or edit user-defined functions. A user-defined function generally contains of a combination of:

  • existing MapCalc/TabCalc operators and functions, and
  • user-defined parameters which represent maps and/or columns on which the function will be applied later on.

With the editor you can for example:

  • modify the function,
  • change the domain types of input parameters for the function as well as the domain of the output map or column, or
  • add remarks.

To open the function editor:

The function editor automatically opens when you create a new function in the Create Function dialog box. The function editor is also opened when you edit an existing function, e.g. by double-clicking a function in the Catalog. For other methods, see How to edit objects.

Parts of the function editor:

The function editor has a menu bar, a description bar, a toolbar, a text pane where the function is defined, and a context-sensitive menu.

The description bar and the toolbar can be moved and docked along an edge of the window. You can also make them floating. You can hide or show the description bar, the toolbar and the status bar via the commands on the View menu. These settings as well as the size of the window etc. are stored per function in the registry. The function that is closed last thus determines the appearance of any newly opened function.

Function syntax:

In the text pane, the function is listed as defined in the Create Function dialog box. A user-defined function may contain any combination of MapCalc/TabCalc operators and functions and may use parameters representing maps or columns. The syntax for a function with parameters is:

Function FunctionName (ParamDomainType Param [,ParamDomainType Param]) : OutputDomain

Begin

Return Expression;

End;

Where:

FunctionName | is the name of the function as specified in the Create Function dialog box.
ParamDomainType is the domain type of an input parameter. You can use either Value | String | Coord | Color | Bool. By default, the domain type of input parameters is set to Value.
  • Choose Value when input maps or columns use a Value domain,
  • choose String when input maps or columns use a Class or ID domain or when columns use the String domain,
  • choose Coord when input columns use the Coord domain (X,Y),
  • choose Color when input maps or columns use the Color domain,
  • choose Bool when input maps or columns use the Bool, the YesNo, or the Bit domain.
Param is the name of an input parameter.
Parameter names:
  • must start with a character from A to Z,
  • may contain characters from A to Z, digits 0 to 9, and underscores,
  • may be longer than 8 characters.
OutputDomain | is the domain that should be used for the output object (a column or a map) of the function. You can choose any domain available in your data set as well as system domain Coord. By default, the output domain is set to the system Value domain. When you choose a value output domain, the value range is determined by the selected domain.
Expression | is the expression that the function should perform, as defined before in the Create Function dialog box.

Mind:

  • When a function is created, the domain type of all input parameters ParamDomainType, and the output domain OutputDomain for the function are by default set to Value.
  • In case your input parameters use another domain type than domain type Value, or if the output domain of the function is another domain than system domain Value, you need to change the word(s) Value yourself in the appropriate place(s).
  • In other words, you must make sure that the domain type of each parameter and the output domain of the function are correctly declared.

Tips:

  1. You can add remarks in a function by starting a line with rem or // as in:
    rem This is a remark.
    // This is a remark.
  2. For examples of functions, see Map calculation : creating and applying user-defined functions, Table calculation : creating and applying user-defined functions or Map and Table calculation : user-defined functions (advanced).

Although it is not common, you may define functions without any parameters. The syntax for such a function is:

Function FunctionName() : OutputDomain

Begin

Return Expression;

End;

Using the function editor

The function editor is a simple text editor similar to Notepad and WordPad.

To cut, copy, paste and delete selections within the function editor:

You can cut, copy, paste and delete texts in the same way as in a text editor:

  • Use the Cut, Copy, Paste, or Delete commands from the Edit menu, or
  • Use the [image] [image] [image] buttons in the toolbar, or
  • Use the Cut, Copy, Paste, or Delete commands from the context-sensitive menu, or
  • Use the Ctrl+X, Ctrl+C, Ctrl+V or the Delete key(s) on the keyboard.

To reverse the last action:

  • Open the Edit menu and select the Undo command, or
  • Click the right-mouse button, and choose Undo from the context-sensitive menu.

The Undo command regards typing, cut, paste and delete. Using Undo more than once makes the previous Undo action undone.

To search for and/or replace certain characters or text:

You can search and replace texts in the same way as in a text editor:
  • Use the Find or Replace commands from the Edit menu, or
  • Use the [image] Find button in the toolbar.

To save a function:

  • Open the File menu and select the Save command, or
  • Click the [image] Save button in the toolbar.

The syntax of a user-defined function is checked at the moment the function is saved. If there are syntax errors, an error message appears and the function will not be saved.

To save a function with a different name and/or location:

  • Open the File menu and select the Save As command.

The Save As dialog appears in which you can specify a name and a location for the function.

To print a function or a selection of a function:

  • Open the File menu and select the Print command, or
  • Click the [image] Print button in the toolbar.

The Print dialog box appears in which you can select your printing options, such as the name of the printer, the number of copies, etc.

To select the whole function:

  • Open the Edit menu and choose the Select All command, or
  • Click the right-mouse button, and choose Select All from the context-sensitive menu.

You can now copy the function contents to the clipboard and paste it for instance in a document.

To open the function properties:

  • Open the Edit menu and select the Properties command, or
  • Click the [image] Properties button in the toolbar.

The Function Properties sheet will be opened.

To open another function:

  • Open the File menu and select the Open command, or
  • Click the [image] Open button in the toolbar.

The Open dialog box appears in which you can select the function that you want to open.

To exit the function editor:

  • Open the File menu and select the Exit command, or
  • Click the Close button.

If the function contains any unsaved changes, you are prompted to save the function before the editor is closed. If there are syntax errors in the function, an error message appears and the function editor remains open.

See also:

Function editor : toolbar

Function editor : menu commands

Create a function

ILWIS objects : functions

Map calculation : creating and applying user-defined functions

Table calculation : creating and applying user-defined functions

Map and Table calculation : user-defined functions (advanced)


Function editor : toolbar

Function editor

Toolbar

The toolbar of the Function editor provides shortcuts for some regularly used menu commands for instance to open a function, to save a function, to cut, copy and paste selections, etc.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Open: | Open another function.
Save: | Save the function with its current file name and location. You can also use the Ctrl+S keys on the keyboard.
Cut: | Copy the current selection to the clipboard and delete the selection from the function. You can also use the Ctrl+X keys on the keyboard.
Copy: | Copy the current selection to the clipboard. You can also use the Ctrl+C keys on the keyboard.
Paste: | Paste the contents of the clipboard into the function. You can also use the Ctrl+V keys on the keyboard.
Find: | Search for certain characters or text. You can also use the Ctrl+F keys on the keyboard.
Print: | Print the function or print a selection of the function. You can also use the Ctrl+P keys on the keyboard.
Properties: | Open the Properties of the current function.

The toolbar can be hidden or shown with the Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Function editor : functionality

Function editor : menu commands


Function editor : menu commands

Function editor

Menu commands
File

Open
Save
Save Copy As ...
Print ...

Properties

Exit

 Edit

Undo
Delete
Cut
Copy
Paste

Select All

Find
Replace

 View

Description Bar
Toolbar
Status Bar


Script editor : functionality

Script editor

Functionality

The script editor allows you to create, view, edit and test scripts. With a script, you can build your own GIS and Remote Sensing application.

To open the script editor:

The script editor automatically opens when you create a new script. The script editor is also opened when you edit an existing script, e.g. by double-clicking a script in the Catalog. For other methods to open the script editor, see How to edit objects.

Parts of the script editor:

The script editor has a menu bar, a description bar, a toolbar, a script tab, a parameters tab, a default values tab and a context-sensitive menu.

The description bar and the toolbar can be moved and docked along an edge of the window. You can also make them floating. You can hide or show the description bar, the toolbar and the status bar via commands on the View menu. These settings as well as the size of the window etc. are stored per script in the registry. The script that is closed last thus determines the appearance of any newly opened script.

  • On the Script tab, you can type your script commands and expressions. Optionally, you can use parameters %1 until %9.
  • On the Parameters tab, you can assign names to parameters. Parameter names will be visible in the Run Script dialog box when you run the script.
  • On the Default Values tab, you can fill out default objects for your parameters so that you can test the script and/or specify the objects that you wish to get as defaults in the Run Script dialog box.

To run a script:

  • click the right mouse button on a script in a Catalog, and choose Run from the context-sensitive menu,
  • in the Script editor, press the Run Script Run Script button, or
  • when you copy your script to the ILWIS\Scripts directory, you can also double-click the script in the Operation-list or Operation-tree.

If a script contains parameters, the Run Script dialog box will appear. This dialog box lists:

  • parameter names (as specified on the Parameters tab).
    For each input parameter you have to select an input object and for each output parameter you have to type an output object name in the Run Script dialog box.
  • default objects (as specified on the Default Values tab).
    Any specified default objects or default file names, default values or default strings are automatically filled out in the Run Script dialog box.

Script tab

On the script tab you have to type your script expressions. Lines in a script may contain commands for object management (e.g. copy or delete), for the display of data objects (open or show), and for the creation and calculation of data objects. All MapCalc, and TabCalc formulas, and all ILWIS expressions to perform operations may be used. You can also call other scripts or other Windows applications from within a script. For more information on valid expressions, refer to Appendices : ILWIS commands, Appendices : ILWIS expressions or Appendices : ILWIS script language (syntax).
An example of a script to create slope maps in percentages and in degrees is presented in Map & Table calculation : creating and running scripts and in How to use parameters in scripts.

Using parameters on the Script tab:

You can directly type map and column names in expressions, but you can also use parameters. Parameters in a script replace (parts of) object names, operations, etc. Parameters in scripts work as DOS replaceable parameters in DOS batch files, and must be written on the Script Tab in the script editor as %1, %2, %3, up to %9. For more information, see below and/or How to use parameters in scripts.

Parameters tab

If you use parameters in your script, you are advised to specify names for the parameters on this Parameters tab. Parameter names will later on appear in the Run Script dialog box when a user runs the script. The user can then select object names for input parameters and/or type object names for output parameters. When your script does not have any parameters you can skip this tab.

Parameters tab options:

Nr of parameters: | Select the number of parameters. Make sure that the number corresponds with the number of parameters defined in the script itself. The maximum number of parameters that can be specified is 9.
Name: | Type a name for every parameter. It is advised to use names that clearly describe the meaning of each parameter. The parameter names will appear on the Default Values tab and in the Run Script dialog box.
Type: | Select a type for each parameter; parameter types are used when you run the script. You can choose between: Raster Map | Segment Map | Polygon Map | Point Map | Table | Column | Map List | Map View | CoordSystem | GeoReference | Domain | Representation | Filter | Script | Function | Matrix | Sample Set | 2-Dimensional Table | Annotation Text | String | Value | Filename
Include extension: | Select this check box if the extension of an ILWIS object should be sent to the ILWIS command line when the script is executed. Clear this check box if the extension of an ILWIS object should not be sent to the ILWIS command line when the script is executed. You can use this option when you wish to use suffixes behind object names etc.

When for a parameter type, you specify a regular ILWIS object (e.g. Raster map, Segment map, Table), it means that the parameter expects an ILWIS input object of a certain type (a raster map, a segment map, a table, etc.). In fact, in the Run Script dialog box which appears when the script is run, the user should select an ILWIS object of the specified type and thus supply the script with the necessary information to execute itself.

Special parameter types available on the Parameters tab:

  • Parameter type Filename: for an output object,
  • Parameter type Value: to use a certain value in the script,
  • Parameter type String: to define a string in a column of a table, or to define a string in a Class/ID domain.

Default Values tab

On the Default Values tab, you may fill out all variables / parameters as you would like to use them in the script. This tab is very useful when you want to test your script or when you directly want to run your script. The information on this tab is based on the information as specified on the Parameters tab. When your script does not have any parameters you can skip this tab.

Using the script editor

To cut, copy, paste and delete selections within the script editor:

You can cut, copy, paste and delete texts in the same way as in a text editor.

  • Use the Cut, Copy, Paste, or Delete commands from the Edit menu,
  • Use the [image] [image] [image] buttons in the toolbar,
  • Use the Cut, Copy, Paste, and Delete commands from the context-sensitive menu, or
  • Use the Ctrl+X, Ctrl+C, Ctrl+V or the Delete key(s) on the keyboard.

To reverse the last action:

  • Open the Edit menu and select the Undo command, or
  • Click the right-mouse button, and choose Undo from the context-sensitive menu.

To search for and/or replace certain characters or text:

You can search and replace texts in the same way as in a text editor.
  • Use the Find or Replace commands from the Edit menu, or
  • Use the [image] Find button in the toolbar.

To save a script:

  • Open the File menu and select the Save command, or
  • Click the [image] Save button in the toolbar.

When you close the editor and the script contains any unsaved changes, you will be prompted to save the script.

To save a script with a different name and/or location:

  • Open the File menu and select the Save As command.

The Save As dialog box appears in which you can specify a name and a location to save the script.

To run or test a script from within the script editor:

  • Open the File menu and select the Run Script command, or
  • Click the [image] Run Script button in the toolbar.

  1. If your script does not contain parameters, the script will immediately be executed.
  2. If your script does contain parameters with names specified on the Parameters tab, first the Run Script dialog box will appear. In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab.
  3. If you did not specify default objects on the Default Values tab you will need to select objects for input parameters and/or type object names for output parameters.
  4. If you did fill out objects on the Default Values tab, the Run Script dialog box will already be filled out with these defaults.
  5. When the OK button is clicked in the Run Script dialog box and when all parameters are correctly specified, the script will be executed.

For more information about running scripts, e.g. to run a script from the command line, see How to run scripts.

To print a script or a selection of a script:

  • Open the File menu and select the Print command, or
  • Click the [image] Print button in the toolbar.

The Print dialog box appears in which you can select your printing options, such as the name of the printer you want to use and the number of copies you want.

To select the whole script:

  • Open the Edit menu and choose the Select All command, or
  • Click the right-mouse button, and choose Select All from the context-sensitive menu.

You can now copy the script contents to the clipboard and paste it for instance in a document.

To open the script properties:

  • Open the File menu and select the Properties command, or
  • Click the [image] Properties button in the toolbar.

The Script Properties sheet will appear.

To open another script:

  • Open the File menu and select the Open command, or
  • Click the [image] Open button in the toolbar.

The Open dialog box appears in which you can select the script that you want to open.

To exit the script editor:

  • Open the File menu and select the Exit command, or
  • Click the Close button.

If the script contains any unsaved changes, you will be prompted to save the script.

Creating your own Help for a script

You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

See also:

Script editor : toolbar

Script editor : menu commands

Run script (dialog box)

ILWIS objects : scripts

Appendices : ILWIS script language (syntax)

Appendices : ILWIS commands

Appendices : ILWIS expressions

How to use parameters in scripts

Map & Table calculation : creating and running scripts (example)


Script editor : toolbar

Script editor

Toolbar

The toolbar of the Script editor provides shortcuts for some regularly used menu commands for instance to open a script, to save a script, to run a script, to cut, copy and paste selections, etc.

When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button / the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Some of the actions that are available via the toolbar are also available via the context-sensitive menu.

The following actions can be performed:

Open: | Open another script.
Save: | Save the script with its current file name and location. You can also use the Ctrl+S keys on the keyboard. If a script is saved for the first time, the Save As dialog box will appear.
Run Script: | Run the script. You can also use the Ctrl+R keys on the keyboard.
Cut: | Copy the current selection to the clipboard and delete the selection from the script. You can also use the Ctrl+X keys on the keyboard.
Copy: | Copy the current selection to the clipboard. You can also use the Ctrl+C keys on the keyboard.
Paste: | Paste the contents of the clipboard into this script. You can also use the Ctrl+V keys on the keyboard.
Find: | Search for certain characters or text. You can also use the Ctrl+F keys on the keyboard.
Print: | Print the script or print a selection of the script. You can also use the Ctrl+P keys on the keyboard.
Properties: | Open the Properties of the current script.

The toolbar can be hidden or shown with the Toolbar command on the View menu. If the action of a certain button cannot be performed at a certain moment, the button appears gray.

See also:

Script editor : functionality

Script editor : menu commands


Script editor : menu commands

Script editor

Menu commands
File

Open
Save
Save Copy As ...
Run Script
Print ...

Properties

Exit

 Edit

Undo
Delete
Cut
Copy
Paste

Select All

Find
Replace

 View

Description Bar
Toolbar
Status Bar


Map and Table calculation

Alphabetic overview of operators and functions

Functional overview of operators and functions

General syntax

Simple calculators

Merging domains (workaround)

Creating an attribute map

Classifying two maps with a two-dimensional table

Assigning undefined values

Joining columns from other tables

Neighbourhood operations & iterations

Calculating with map lists

Creating and applying user-defined functions

User-defined functions (advanced)


MapCalc/TabCalc : alphabetical overview of operators and functions

Map and Table Calculation

Alphabetical overview of operators and functions

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z Other

A

ABS

ACOS

AGGAVG

AGGCNT

AGGMAX

AGGMED

AGGMIN

AGGPRD

AGGSTD

AGGSUM

AND

ASIN

ATAN

ATAN2

AVG

B

C

%C

CEIL

CHISQUARE

CLFY

CLRBLUE

CLRCYAN

CLRGREEN

CLRGREY

CLRHUE

CLRINTENS

CLRMAGENTA

CLRRED

CLRSAT

CLRYELLOW

CNT

CODE

COLOR

COLORHSI

COORD

CORR

COS

COSH

COV

COVAR

CRDX

CRDY

CUM

D

%D

DEGRAD

DEGREE

DIST

DIST2

DIV

DMS

E

EQ

EXP

EXP(1)

F

FALSE

FLOOR

G

GE

GT

H

HYP

I

IFF

IFNOTUNDEF

IFUNDEF

IN

INMASK

INRANGE

ISUNDEF

J

K

%K

L

%L

LAT

LE

LEFT

LENGTH

LN

LOG

LON

LT

M

MAPCOL

MAPCOLOR

MAPCOLS

MAPCRD

MAPMAX

MAPMIN

MAPROW

MAPROWS

MAPVALUE

MAX

MAXCRDX

MAXCRDY

MIN

MINCRDX

MINCRDY

MOD

N

NAME

NDVI

NE

NEG

NOT

O

OR

P

%P

PI

PI2

PIDIV2

PIDIV4

PIXAREA

PIXSIZE

PNTCRD

PNTNR

PNTVAL

POW

R

%R

RADDEG

RASVALUE

RIGHT

RND

ROUND

RPRCOLOR

S

SEC

SGN

SIN

SINH

SQ

SQRT

STD

STDEV

STERR

STRGE

STRGT

STRING

STRLE

STRLT

STRPOS

SUB

SUM

T

TAN

TANH

TBLCOLS

TBLRECS

TBLVALUE

TRANSFORM

TRUE

TTEST

U

V

VALUE

VAR

W

X

%X

XOR

Y

%Y

Other

+

-

*

/

^

=

<>

<

<=

>

>=


^

Map and Table Calculation

^ operator

The exponential operator returns the result of a value a raised to a power b, i.e. ab.

Syntax

a ^ b

Input

a | is the base value
Domain type: | any Value domain
b | is the exponent to which a is raised
Domain type: | any Value domain

Output

^ returns: | a real value
Domain: | system domain Value

Notes:

  • a^b is equivalent to POW(a,b).
  • When the base value is negative, the exponent has to be a whole integer value (otherwise the output will be undefined).
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tips:

  • Using the operator in the form of a^(1/n) returns the nth root of a (nÖa). See also laws of exponents.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10^3 | returns 1000
? POW(10,3) | returns 1000
? 8^(1/3) | returns 2.000

MapCalc example:

OutMap = InMapA ^ InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
2 | 0 | -1
? | -2 | 0.5

10 | 400 | 27000
1600 | 1 | 0.0167
? | ? | 9.487

TabCalc example:

OutCol = InColA ^ InColB

InColA | InColB | OutCol
10 | 1 | 10
20 | 2 | 400
30 | 3 | 27000
-40 | 2 | 1600
50 | 0 | 1
60 | -1 | 0.0167
70 | ? | ?
? | -2 | ?
90 | 0.5 | 9.487

Applied example: exponential growth functions

In general, an exponential growth function is defined as:

An = A0 * (1 + perc/100)n

where:

An | is the amount after n years
A0 | is the amount in year 0
perc | is the growth rate as a percentage per year
n | is the number of years

In ILWIS this function looks like:

An = A0 * (1 + perc/100)^ n

The expected total residential area after 4 years, of a residential area of 1136 ha with an estimated growth rate of 6% per year, is:

1136 * (1 + 6/100) ^ 4 = 1434

For the other landuse areas the results are:

LandUse | AreaHaY0 | GrowPerc | AreaHaY4
Residential | 1136 | 6 | 1434
Commercial | 116 | 2 | 126
Industrial | 173 | 3 | 195
Institutional | 137 | 1 | 143
Recreational | 77 | 2 | 83
Transportation | 18 | 1 | 19

Where:

Column AreaHaY0 contains the areas in hectares for each land use class in year 0.

Column GrowPerc contains growth rates per year.

Column AreaHaY4 contains the areas of the land use classes after 4 years.

Notes:

  • Instead of years you may also calculate in months, days, etc.
  • For an example of another growth function, see the EXP() function.

See also:

+ | /
- | MOD
* | DIV


>

Map and Table Calculation

> or GT operator

Tests whether the outcome of a is greater than the outcome of b, i.e. a > b. Instead of using the > sign, you may also use gt.

Syntax

a > b
a gt b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

> returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as a symbol (>) or as letters (gt). When using the symbol it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • > is the opposite of <=.
  • When one of the operands is undefined, or when both of the operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 > 20 | returns False
? 10 gt 20 | returns False
? 10 > -20 | returns True

MapCalc example:

OutMap = InMap > 20

InMap

OutMap

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

True | True | False
True | False | False
? | False | False

TabCalc example:

OutCol = InCol > 20

InCol | OutCol
50 | True
45 | True
-40 | False
40 | True
0 | False
15 | False
? | ?
10 | False
20 | False

See also:

= | <=
<> | >=
< |


>=

Map and Table Calculation

>= or GE operator

Tests whether the outcome of a is greater than or equal to the outcome of b, i.e. a >= b. Instead of using the >= sign, you may also use ge.

Syntax

a >= b
a ge b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

>= returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as a symbols (>=) or as letters (ge). When using the symbol it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • >= is the opposite of <.
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 >= 20 | returns False
? 10 ge 20 | returns False
? 10 >= -20 | returns True

MapCalc example:

OutMap = InMap >= 20

InMap

OutMap

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

True | True | False
True | False | False
? | False | True

TabCalc example:

OutCol = InCol >= 20

InCol | OutCol
50 | True
45 | True
-40 | False
40 | True
0 | False
15 | False
? | ?
10 | False
20 | True

See also:

= | <=
<> | >
< |


<

Map and Table Calculation

< or LT operator

Tests whether the outcome of a is less than the outcome of b, i.e. a < b. Instead of using the < sign, you may also use lt.

Syntax

a < b
a lt b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

< returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as a symbol (<) or as letters (lt). When using the symbol it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • < is the opposite of >=.
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 < 20 | returns True
? 10 lt 20 | returns True
? 10 < -20 | returns False

MapCalc example:

OutMap = InMap < 20

InMap

OutMap

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

False | False | True
False | True | True
? | True | False

TabCalc example:

OutCol = InCol < 20

InCol | OutCol
50 | False
45 | False
-40 | True
40 | False
0 | True
15 | True
? | ?
10 | True
20 | False

See also:

= | >
<> | >=
<= |


<>

Map and Table Calculation

<> or NE operator

Tests whether the outcome of a is not equal to the outcome of b, i.e. a <> b. Instead of using the <> sign, you may also use ne.

Syntax

a <> b
a ne b

Input

When used on values:

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

When used on strings:

a | is a string
Domain type: | any Class, ID or Group domain or system domain String
b | is a string
Domain type: | any Class, ID or Group domain or system domain String

Output

= returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as symbols (<>) or as letters (eq). When using the symbols it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • <> is the opposite of =.
  • When the Operand is a string it has to be enclosed by double quotes, e.g. "MyString".
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 <> 20 | returns True
? 10 ne 10 | returns False
? "MyString" <> "MyString" | returns False
? "MyString" <> "String" | returns True

MapCalc examples:

OutMap1 = InMap1 <> 20

InMap1

OutMap1

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

True | True | True
True | True | True
? | True | False

OutMap2 = InMap2 <> "Forest"

InMap2

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

False | False | True
True | True | True
? | True | False

TabCalc examples:

OutCol1 = InCol1 <> 20

InCol1 | OutCol1
50 | True
45 | True
-40 | True
40 | True
0 | True
15 | True
? | ?
10 | True
20 | False

OutCol2 = InCol2 <> "Forest"

InCol2 | OutCol2
Forest | False
Forest | False
Grass | True
Lake | True
Lake | True
Grass | True
? | ?
Grass | True
Forest | False

See also:

= | >
< | >=
<= |


<=

Map and Table Calculation

<= or LE operator

Tests whether the outcome of a is less than or equal to the outcome of b, i.e. a <= b. Instead of using the <= sign, you may also use le.

Syntax

a <= b
a le b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

<= returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as symbols (<=) or as letters (lt). When using the symbols it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • <= is the opposite of >.
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 <= 20 | returns True
? 10 le 20 | returns True
? 10 <= -20 | returns False

MapCalc example:

OutMap = InMap <= 20

InMap

OutMap

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

False | False | True
False | True | True
? | True | True

TabCalc example:

OutCol = InColA <= 20

InCol | OutCol
50 | False
45 | False
-40 | True
40 | False
0 | True
15 | True
? | ?
10 | True
20 | True

See also:

= | >
<> | >=
< |


*

Map and Table Calculation

* operator

The multiplication operator multiplies two values, i.e. a * b.

Syntax

a * b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

* returns: | a real value
Domain: | system domain Value

Note:

When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10*2 | returns 20
? 2^3*4 | returns 32.0000

MapCalc example:

OutMap = InMapA * InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
4 | 0 | -1
? | -2 | -3

10 | 40 | 90
-160 | 0 | -60
? | ? | -270

TabCalc example:

OutCol = InColA * InColB

InColA | InColB | OutCol
10 | 1 | 10
20 | 2 | 40
30 | 3 | 90
-40 | 4 | -160
50 | 0 | 0
60 | -1 | -60
70 | ? | ?
? | -2 | ?
90 | -3 | -270

See also:

+ | ^
- | MOD
/ | DIV


+

Map and Table Calculation

+ operator

The addition operator adds two values or concatenates two strings, i.e. a + b.

Syntax

a + b

Input

When used on values:

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

When used on strings:

a | is an item of a class or ID domain or a string
Domain type: | any Class, ID or String domain
b | is an item of a class or ID domain or a string
Domain type: | any Class, ID or String domain

Output

When used on values:

+ returns: | a real value
Domain: | system domain Value

When used on strings:

+ returns: | a string
Domain: | system domain String

Notes:

  • When the + operator is used on strings two strings will be glued together. This is also known as concatenation.
  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10+2 | returns 12
? 2^3+4 | returns 12.000
? "My"+"String" | returns MyString

MapCalc example:

OutMap = InMapA + InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
4 | 0 | -1
? | -2 | -3

11 | 22 | 33
-36 | 50 | 59
? | ? | 87

TabCalc example:

OutCol = InColA + InColB

InColA | InColB | OutCol
10 | 1 | 11
20 | 2 | 22
30 | 3 | 33
-40 | 4 | -36
50 | 0 | 50
60 | -1 | 59
70 | ? | ?
? | -2 | ?
90 | -3 | 87

Applied example: concatenation operator

Combined = Terrain + LandUse

Terrain | DescrTerrain | Landuse | DescrLanduse | Combined
C2 | LagoonPlain | Pr | PaddyRiceRain | C2Pr
F | CollFootslope | H | HomesteadGarden | FH
H1 | VolcHillsMod | Fb | SecForest | H1Fb
H1 | VolcHillsMod | G | Grazing | H1G
H1 | VolcHillsMod | Ut | UplandCropsTrees | H1Ut
H2 | VolcHillsSteep | Fp | PrimForest | H2Fp
H2 | VolcHillsSteep | Ut | UplandCropsTrees | H2Ut
U1 | CoastUplandFlat | G | Grazing | U1G
U1 | CoastUplandFlat | H | HomesteadGarden | U1H
U2 | CoastUplandMod | G | Grazing | U2G
U2 | CoastUplandMod | Tu | TreeCrops | U2Tu
U4 | CoastUplandSteep | Tu | TreeCrops | U4Tu
V1 | InfilledValleys | H | HomesteadGarden | V1H
V1 | InfilledValleys | Pi | PaddyRiceIrr | V1Pi
V2 | InfilledLevees | H | HomesteadGarden | V2H

The expression results in a column Combined which contains a combination of the class names in columns Terrain and LandUse.

See also:

- | ^
* | MOD
/ | DIV


-

Map and Table Calculation

- operator

The subtraction operator subtracts two values, i.e. a - b.

Syntax

a - b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

- returns: | a real value
Domain: | system domain Value

Note:

When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10-2 | returns 8
? 2^3-4 | returns 4.000

MapCalc example:

OutMap = InMapA - InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
4 | 0 | -1
? | -2 | -3

9 | 18 | 27
-44 | 50 | 61
? | ? | 93

TabCalc example:

OutCol = InColA - InColB

InColA | InColB | OutCol
10 | 1 | 9
20 | 2 | 18
30 | 3 | 27
-40 | 4 | -44
50 | 0 | 50
60 | -1 | 61
70 | ? | ?
? | -2 | ?
90 | -3 | 93

See also:

+ | ^
* | MOD
/ | DIV


/

Map and Table Calculation

/ operator

The division operator divides two values, i.e. a / b.

Syntax

a / b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

/ returns: | a real value
Domain: | system domain Value

Notes:

  • When one of the operands is undefined, or when both operands are undefined, the output will also be undefined.
  • When b is 0 the output will be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10/2 | returns 5
? 2^3/4 | returns 2.00

MapCalc example:

OutMap = InMapA / InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
4 | 0 | -1
? | -2 | -3

10 | 10 | 10
-10 | ? | -60
? | ? | -30

TabCalc example:

OutCol = InColA / InColB

InColA | InColB | OutCol
10 | 1 | 10
20 | 2 | 10
30 | 3 | 10
-40 | 4 | -10
50 | 0 | ?
60 | -1 | -60
70 | ? | ?
? | -2 | ?
90 | -3 | -30

See also:

+ | ^
- | MOD
* | DIV


=

Map and Table Calculation

= or EQ operator

Tests whether the outcome of a is equal to the outcome of b, i.e. a = b. Instead of using the = sign, you may also use eq.

Syntax

a = b
a eq b

Input

When used on values:

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

When used on strings:

a | is a string
Domain type: | any Class, ID or Group domain or system domain String
b | is a string
Domain type: | any Class, ID or Group domain or system domain String

Output

= returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The operator may be written as a symbol (=) or as letters (eq). When using the symbol it does not matter whether you type spaces around the operator or not. When using the letters, e.g. in scripts, spaces are required on both sides of the operator.
  • = is the opposite of <>.
  • When the Operand is a string it has to be enclosed by double quotes, e.g. "MyString".
  • When one of the operands is undefined, or when both of the operands are undefined, the output will also be undefined.

Tips:

  • Relational operators are often used in combination with a conditional IFF function.
  • To test whether values are within a certain range, e.g. greater than 2 but less than 8, the INRANGE function can be used.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 = 20 | returns False
? 10 eq 10 | returns True
? "MyString" = "MyString" | returns True
? "MyString" = "String" | returns False

MapCalc examples:

OutMap1 = InMap1 = 20

InMap1

OutMap1

50 | 45 | -40
40 | 0 | 15
? | 10 | 20

False | False | False
False | False | False
? | False | True

OutMap2 = InMap2 = "Forest"

InMap2

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

True | True | False
False | False | False
? | False | True

TabCalc examples:

OutCol1 = InCol1 = 20

InCol1 | OutCol1
50 | False
45 | False
-40 | False
40 | False
0 | False
15 | False
? | ?
10 | False
20 | True

OutCol2 = InCol2 = "Forest"

InCol2 | OutCol2
Forest | True
Forest | True
Grass | False
Lake | False
Lake | False
Grass | False
? | ?
Grass | False
Forest | True

See also:

<> | >
< | >=
<= |


ABS

Map and Table Calculation

ABS( ) function

Returns the absolute (=positive) value of the specified input value.

Syntax

ABS(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

ABS returns: | a value
Domain: | system domain Value

Note:

When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ABS(-12) | returns 12
? ABS(POW(-2,3)) | returns 8

MapCalc example:

OutMap = ABS(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.0 | -1.0
? | -0.4 | -0.1

2.0 | 1.0 | 0.5
0.2 | 0.0 | 1.0
? | 0.4 | 0.1

TabCalc example:

OutCol = ABS(InCol)

InCol | OutCol
2.0 | 2.0
1.0 | 1.0
0.5 | 0.5
0.2 | 0.2
0.0 | 0.0
-1.0 | 1.0
? | ?
-0.4 | 0.4
-0.1 | 0.1

See also:

NEG

SGN


ACOS

Map and Table Calculation

ACOS( ) function

Returns the arc cosine, i.e. the inverse cosine (cos-1), of a value.

Syntax

ACOS(Value)

Input

Value | is a value
Domain type: | any Value domain
Value range: | [-1,1]

Output

ACOS returns: | a real value in radians
Domain: | system domain Value
Value range: | [0,p]

Notes:

  • For the function ACOS, the output values are in radians. To convert radians to degrees, use the angular function RADDEG.
  • When the input value is outside the value range [-1,1] the output value will be undefined.
  • If the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ACOS(0.3)

returns 1.266

MapCalc example:

OutMap = ACOS(InMap)

InMap1

OutMap1

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

? | 0.000 | 1.047
1.369 | 1.266 | 3.142
? | 1.982 | 1.671

OutMap2 = RADDEG(ACOS(InMap2))

InMap2

OutMap2

0.000 | 0.500 | 0.707
0.866 | 1.000 | -1.000
-1.000 | -0.707 | ?

90 | 60 | 45
30 | 0 | 180
270 | 315 | ?

TabCalc example:

OutCol1 = ACOS(InCol1)

OutCol2 = RADDEG(ACOS(InCol2))

InCol1 | OutCol | InCol2 | OutCol2
2.0 | ? | 0.000 | 0
1.0 | 0.000 | 0.500 | 30
0.5 | 1.047 | 0.707 | 45
0.2 | 1.369 | 0.866 | 60
0.3 | 1.266 | 1.000 | 90
-1.0 | 3.142 | ???? | 180
? | ? | -1.000 | 270
-0.4 | 1.982 | -0.707 | 315
-0.1 | 1.671 | ? | ?

See also:

ASIN | SIN | SINH
ATAN | COS | COSH
ATAN2 | TAN | TANH


AGGAVG or ColumnAggregateAvg

Map and Table Calculation

AGGAVG( ) or ColumnAggregateAvg() function

Returns the average of an entire column, the averages per group, the weighted average of an entire column, or weighted averages per group.

Syntax

AGGAVG(ValueColumn)
AGGAVG(ValueColumn, Group)
AGGAVG(ValueColumn, , Weight)
AGGAVG(ValueColumn, Group, Weight)
ColumnAggregateAvg(ValueColumn)
ColumnAggregateAvg(ValueColumn, Group)
ColumnAggregateAvg(ValueColumn, , Weight)
ColumnAggregateAvg(ValueColumn, Group, Weight)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain
Weight | is the weight column
Domain type: | any Value domain

Output

AGGAVG(ValueColumn) or ColumnAggregateAvg(ValueColumn)
returns: | the average value of a column
Domain: | the value domain of the input column
AGGAVG(ValueColumn, Group) or ColumnAggregateAvg(ValueColumn, Group)
returns: | average values per group
Domain: | the value domain of the input column
AGGAVG(ValueColumn, , Weight) or ColumnAggregateAvg(ValueColumn, , Weight)
returns: | a weighted average value
Domain: | the value domain of the input column
AGGAVG(ValueColumn, Group, Weight) or ColumnAggregateAvg(ValueColumn, Group, Weight)
returns | weighted average values per group
Domain: | the value domain of the input column

Notes:

  • The AGGAVG and the ColumnAggregateAvg function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • When no weight column is specified, all data gets the same weight value, i.e. weight 1.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the AVG function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGAVG(Area)

OutCol2 = AGGAVG(Area,Landuse)

OutCol3 = AGGAVG(Area,,Weights)

OutCol4 = AGGAVG(Area,Landuse,Weights)

Parcel | Landuse | Area | Weights | OutCol1 | OutCol2 | OutCol3 | OutCol4
00123 | Residential | 4000 | 2 | 10000 | 5000 | 10818 | 4800
00124 | Residential | 3500 | 1 | 10000 | 5000 | 10818 | 4800
00125 | Commercial | 17500 | 4 | 10000 | 17500 | 10818 | 17500
00126 | Residential | 7500 | 1 | 10000 | 5000 | 10818 | 4800
00127 | Industrial | 20000 | ? | 10000 | 20000 | 10818 | ?
01272 | Institutional | 12500 | 2 | 10000 | 12500 | 10818 | 12500
04625 | Residential | 5000 | 1 | 10000 | 5000 | 10818 | 4800

  • Column OutCol1 contains the average of the area of all parcels.
  • Column OutCol2 contains the averages of parcel areas per land use class. E.g. for class Residential: (4000+3500+7500+5000) / 4 = 5000.
  • Column OutCol3 contains the weighted average of the area of all parcels, i.e. (4000*2+3500*1+17500*4+7500*1+20000*?+12500*2+5000*1) / (2+1+4+1+2+1).
  • Column OutCol4 contains the weighted averages of parcel areas per landuse class. E.g. for class Residential: (4000*2+3500*1+7500*1+5000*1) / (2+1+1+1) = 4800.

Advanced example

Use the following syntax to write output values from a table Parcel into in a new column of another existing table Landuse:

Landuse.AvgParSize = AGGAVG(Parcel.Area,Parcel.Landuse)

Landuse.tbt |  | Parcel.tbt
Dom. Landuse | AnyInfo | Dom. Parcel | Landuse | Area
Residential | 1000 | 00123 | Residential | 4000
Commercial | 2000 | 00124 | Residential | 3500
Industrial | 5000 | 00125 | Commercial | 17500
Institutional | 4000 | 00126 | Residential | 7500
.... | ... | 00127 | Industrial | 20000
 |  | 01272 | Institutional | 12500
 |  | 04625 | Residential | 5000

Landuse.tbt after aggregation
Dom. Landuse | AnyInfo | AvgParSize
Residential | 1000 | 5000
Commercial | 2000 | 17500
Industrial | 5000 | 20000
Institutional | 4000 | 12500
... | ... | ...

The average value of column Area in table Parcel grouped by Landuse, is written into column AvgParSize in table Landuse.

See also:

AGGMIN | AGGMED | AGGCNT
AGGMAX | AGGPRD | AVG
AGGSUM | AGGSTD
Aggregate Column (dialog box)


AGGCNT or ColumnAggregateCnt

Map and Table Calculation

AGGCNT( ) or ColumnAggregateCnt function

Counts the number of records which are not undefined in a column, or counts the number of records which are not undefined per group.

Syntax

AGGCNT(Column)
AGGCNT(Column, Group)
ColumnAggregateCnt(Column)
ColumnAggregateCnt(Column, Group)

Input

Column | is a column
Domain type: | any domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain

Output

AGGCNT(Column) or ColumnAggregateCnt(Column)
returns: | a value
Domain: | system domain Count
AGGCNT(Column, Group) or ColumnAggregateCnt(Column, Group)
returns: | a value per group
Domain: | system domain Count

Notes:

  • The AGGCNT and the ColumnAggregateCnt function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the CNT function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGCNT(CommVal)

OutCol2 = AGGCNT(CommVal,Landuse)

Parcel | Landuse | Area | CommVal | OutCol1 | OutCol2
00123 | Residential | 4000 | 100000 | 6 | 4
00124 | Residential | 3500 | 250000 | 6 | 4
00125 | Commercial | 17500 | ? | 6 | ?
00126 | Residential | 7500 | 400000 | 6 | 4
00127 | Industrial | 20000 | 20000000 | 6 | 1
01272 | Institutional | 12500 | 1250000 | 6 | 1
04625 | Residential | 5000 | 345000 | 6 | 4

  • Column OutCol1 contains the number of records that column CommVal is not undefined.
  • Column OutCol2 contains the number of records that column CommVal is not undefined per land use class.

See also:

AGGAVG | AGGMED
AGGMIN | AGGPRD
AGGMAX | AGGSTD
AGGSUM | CNT
Aggregate Column (dialog box)


AGGMAX or ColumnAggregateMax

Map and Table Calculation

AGGMAX( ) or ColumnAggregateMax() function

Returns the maximum value of an entire column, or the maximum values per group.

Syntax

AGGMAX(ValueColumn)
AGGMAX(ValueColumn, Group)
ColumnAggregateMax(ValueColumn)
ColumnAggregateMax(ValueColumn, Group)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain

Output

AGGMAX(ValueColumn) or ColumnAggregateMax(ValueColumn)
returns: | the maximum value of a column
Domain: | the value domain of the input column
AGGMAX(ValueColumn, Group) or ColumnAggregateMax(ValueColumn, Group)
returns: | maximum values per group
Domain: | the value domain of the input column

Notes:

  • The AGGMAX and the ColumnAggregateMax function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the MAX function.
  • To compare values, and find the maximum of values that are in the same record but in two or three columns, use the MAX function.
  • To compare values, and find the maximum of values that are at the same pixel position but in two or three raster maps, use the MAX function.
  • To calculate the maximum of a raster map, use the MAPMAX function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGMAX(CommVal)

OutCol2 = AGGMAX(CommVal,Landuse)

Parcel | Landuse | Area | CommVal | OutCol1 | OutCol2
00123 | Residential | 4000 | 100000 | 20000000 | 400000
00124 | Residential | 3500 | 250000 | 20000000 | 400000
00125 | Commercial | 17500 | ? | 20000000 | ?
00126 | Residential | 7500 | 400000 | 20000000 | 400000
00127 | Industrial | 20000 | 20000000 | 20000000 | 20000000
01272 | Institutional | 12500 | 1250000 | 20000000 | 125000
04625 | Residential | 5000 | 345000 | 20000000 | 400000

  • Column OutCol1 contains the maximum value found in column CommVal.
  • Column OutCol2 contains the maximum commercial value per land use class. E.g. the maximum value for Residential is 400000, etc.

See also:

AGGAVG | AGGMED | AGGCNT
AGGMIN | AGGPRD | MAX
AGGSUM | AGGSTD
Aggregate Column (dialog box)


AGGMED or ColumnAggregateMed

Map and Table Calculation

AGGMED( ) or ColumnAggregateMed() function

Returns the median value of an entire column, median values per group, the weighted median value of an entire column, or weighted medians per group.

Syntax

AGGMED(Column)
AGGMED(Column, Group)
AGGMED(Column, , Weight)
AGGMED(Column, Group, Weight)
ColumnAggregateMed(Column)
ColumnAggregateMed(Column, Group)
ColumnAggregateMed(Column, , Weight)
ColumnAggregateMed(Column, Group, Weight)

Input

Column | is a column
Domain type: | any domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain
Weight | is the weight column
Domain type: | any Value domain

Output

AGGMED(Column) or ColumnAggregateMed(Column)
returns: | the median value of a column
Domain: | the domain of the input column
AGGMED(Column, Group) or ColumnAggregateMed(Column, Group)
returns: | median values per group
Domain: | the domain of the input column
AGGMED(Column, , Weight) or ColumnAggregateMed(Column, , Weight)
returns: | a weighted median value
Domain: | the domain of the input column
AGGMED(Column, Group, Weight) or ColumnAggregateMed(Column, Group, Weight)
returns: | weighted median values per group
Domain: | the domain of the input column

Notes:

  • The AGGMED and the ColumnAggregateMed function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • The AGGMED function returns the highest value of the two middle values when the input column has an even number of values.
  • When no weight column is specified, all data gets the same weight value, i.e. weight 1.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGMED(Area)

OutCol2 = AGGMED(Area,Landuse)

OutCol3 = AGGMED(Area,,Weights)

OutCol4 = AGGMED(Area,Landuse,Weights)

Parcel | Landuse | Area | Weights | OutCol1 | OutCol2 | OutCol3 | OutCol4
00123 | Residential | 4000 | 2 | 7500 | 5000 | 12500 | 4000
00124 | Residential | 3500 | 1 | 7500 | 5000 | 12500 | 4000
00125 | Commercial | 17500 | 4 | 7500 | 17500 | 12500 | 17500
00126 | Residential | 7500 | 1 | 7500 | 5000 | 12500 | 4000
00127 | Industrial | 20000 | ? | 7500 | 20000 | 12500 | ?
01272 | Institutional | 12500 | 2 | 7500 | 12500 | 12500 | 12500
04625 | Residential | 5000 | 1 | 7500 | 5000 | 12500 | 4000

  • Column OutCol1 contains the median value (the middle value) of the area of all parcels.
  • Column OutCol2 contains the median of parcel areas per land use class.
  • Column OutCol3 contains the weighted median of the area of all parcels.
  • Column OutCol4 contains the weighted medians of parcel areas per landuse class.

See also:

AGGAVG | AGGPRD
AGGMIN | AGGSTD
AGGMAX | AGGCNT
AGGSUM |
Aggregate Column (dialog box)


AGGMIN or ColumnAggregateMin

Map and Table Calculation

AGGMIN( ) or ColumnAggregateMin() function

Returns the minimum value of an entire column, or the minimum values per group.

Syntax

AGGMIN(ValueColumn)
AGGMIN(ValueColumn, Group)
ColumnAggregateMin(ValueColumn)
ColumnAggregateMin(ValueColumn, Group)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain

Output

AGGMIN(ValueColumn) or ColumnAggregateMin(ValueColumn)
returns: | the minimum value of a column
Domain: | the value domain of the input column
AGGMIN(ValueColumn, Group) or ColumnAggregateMin(ValueColumn, Group)
returns: | a minimum value per group
Domain: | the value domain of the input column

Notes:

  • The AGGMIN and the ColumnAggregateMin function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the MIN function.
  • To compare values, and find the minimum of values that are in the same record but in two or three columns, use the MIN function.
  • To compare values, and find the minimum of values that are at the same pixel position but in two or three raster maps, use the MIN function.
  • To calculate the minimum of a raster map, use the MAPMIN function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGMIN(CommVal)

OutCol2 = AGGMIN(CommVal,Landuse)

Parcel | Landuse | Area | CommVal | OutCol1 | OutCol2
00123 | Residential | 4000 | 100000 | 100000 | 100000
00124 | Residential | 3500 | 250000 | 100000 | 100000
00125 | Commercial | 17500 | ? | 100000 | ?
00126 | Residential | 7500 | 400000 | 100000 | 100000
00127 | Industrial | 20000 | 20000000 | 100000 | 20000000
01272 | Institutional | 12500 | 1250000 | 100000 | 125000
04625 | Residential | 5000 | 345000 | 100000 | 100000

  • Column OutCol1 contains the minimum value found in column CommVal.
  • Column OutCol2 contains the minimum commercial value per land use class. E.g. the minimum value for Residential is 100000, etc.

See also:

AGGAVG | AGGMED | AGGCNT
AGGMAX | AGGPRD | MIN
AGGSUM | AGGSTD
Aggregate Column (dialog box)


AGGPRD or ColumnAggregatePrd

Map and Table Calculation

AGGPRD( ) or ColumnAggregatePrd() function

Returns the predominant value of an entire column, predominant values per group, the weighted predominant value of an entire column, or weighted predominant values per group.

Syntax

AGGPRD(Column)
AGGPRD(Column, Group)
AGGPRD(Column, , Weight)
AGGPRD(Column, Group, Weight)
ColumnAggregatePrd(Column)
ColumnAggregatePrd(Column, Group)
ColumnAggregatePrd(Column, , Weight)
ColumnAggregatePrd(Column, Group, Weight)

Input

Column | is a column
Domain type: | any domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain
Weight | is the weight column
Domain type: | any Value domain

Output

AGGPRD(Column) or ColumnAggregatePrd(Column)
returns: | the predominant value of a column
Domain: | the domain of the input column
AGGPRD(Column, Group) or ColumnAggregatePrd(Column, Group)
returns: | predominant values per group
Domain: | the domain of the input column
AGGPRD(Column, , Weight) or ColumnAggregatePrd(Column, , Weight)
returns: | weighted predominant value
Domain: | the domain of the input column
AGGPRD(Column, Group, Weight) or ColumnAggregatePrd(Column, Group, Weight)
returns: | weighted predominant values per group
Domain: | the domain of the input column

Notes:

  • The AGGPRD and the ColumnAggregatePrd function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • When no weight column is specified, all data gets the same weight value, i.e. weight 1.
  • When a column has no predominant value, the AGGPRD function returns the lowest value of the column.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGPRD(Area)

OutCol2 = AGGPRD(Area,Landuse)

OutCol3 = AGGPRD(Area,,Weights)

OutCol4 = AGGPRD(Area,Landuse,Weights)

Parcel | Landuse | Area | Weights | OutCol1 | OutCol2 | OutCol3 | OutCol4
00123 | Residential | 4000 | 2 | 3500 | 3500 | 17500 | 4000
00124 | Residential | 3500 | 1 | 3500 | 3500 | 17500 | 4000
00125 | Commercial | 17500 | 4 | 3500 | 17500 | 17500 | 17500
00126 | Residential | 7500 | 1 | 3500 | 3500 | 17500 | 4000
00127 | Industrial | 20000 | ? | 3500 | 20000 | 17500 | ?
01272 | Institutional | 12500 | 2 | 3500 | 12500 | 17500 | 12500
04625 | Residential | 5000 | 1 | 3500 | 3500 | 17500 | 4000

  • Column OutCol1 contains the predominant value of the area of all parcels.
  • Column OutCol2 contains the predominant value of parcel areas per land use class.
  • Column OutCol3 contains the weighted predominant values of the area of all parcels.
  • Column OutCol4 contains the weighted predominant values of parcel areas per landuse class.

See also:

AGGAVG | AGGMED
AGGMIN | AGGSTD
AGGMAX | AGGCNT
AGGSUM
Aggregate Column (dialog box)


AGGSTD or ColumnAggregateStd

Map and Table Calculation

AGGSTD( ) or ColumnAggregateStd() function

Returns the standard deviation of an entire column, standard deviations per group, the weighted standard deviation, or weighted standard deviations per group.

Syntax

AGGSTD(ValueColumn)
AGGSTD(ValueColumn, Group)
AGGSTD(ValueColumn, , Weight)
AGGSTD(ValueColumn, Group, Weight)
ColumnAggregateStd(ValueColumn)
ColumnAggregateStd(ValueColumn, Group)
ColumnAggregateStd(ValueColumn, , Weight)
ColumnAggregateStd(ValueColumn, Group, Weight)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain
Weight | is the weight column
Domain type: | any Value domain

Output

AGGSTD(ValueColumn) or ColumnAggregateStd (ValueColumn)
returns: | the standard deviation of a column
Domain: | system domain Value
AGGSTD(ValueColumn, Group) or ColumnAggregateStd (ValueColumn, Group)
returns: | standard deviations per group
Domain: | system domain Value
AGGSTD(ValueColumn, , Weight) or ColumnAggregateStd (ValueColumn, , Weight)
returns: | a weighted standard deviation
Domain: | system domain Value
AGGSTD(ValueColumn, Group, Weight) or ColumnAggregateStd (ValueColumn, Group, Weight)
returns: | weighted standard deviations per group
Domain: | system domain Value

Notes:

  • The AGGSTD and the ColumnAggregateStd function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • When no weight column is specified, all data gets the same weight value, i.e. weight 1.
  • The AGGSTD function needs at least two values (per group) to calculate the standard deviation otherwise the output value will be undefined.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the STD or STDEV function.
  • The smaller the standard deviation, the less the values vary from the average.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGSTD(Area)

OutCol2 = AGGSTD(Area,Landuse)

OutCol3 = AGGSTD(Area,,Weights)

OutCol4 = AGGSTD(Area,Landuse,Weights)

Parcel | Landuse | Area | Weights | OutCol1 | OutCol2 | OutCol3 | OutCol4
00123 | Residential | 4000 | 2 | 6733.0 | 1779.5 | 6128.9 | 1604.7
00124 | Residential | 3500 | 1 | 6733.0 | 1779.5 | 6128.9 | 1604.7
00125 | Commercial | 17500 | 4 | 6733.0 | ? | 6128.9 | 0.0
00126 | Residential | 7500 | 1 | 6733.0 | 1779.5 | 6128.9 | 1604.7
00127 | Industrial | 20000 | ? | 6733.0 | ? | 6128.9 | ?
01272 | Institutional | 12500 | 2 | 6733.0 | ? | 6128.9 | 0.0
04625 | Residential | 5000 | 1 | 6733.0 | 1779.5 | 6128.9 | 1604.7

  • Column OutCol1 contains the standard deviation of the area of all parcels.
  • Column OutCol2 contains the standard deviations of parcel areas per land use class.
  • Column OutCol3 contains the weighted standard deviation of the area of all parcels.
  • Column OutCol4 contains the weighted standard deviation of parcel areas per landuse class.

See also:

AGGAVG | AGGMED
AGGMIN | AGGPRD
AGGMAX | AGGCNT
AGGSUM | STD
Aggregate Column (dialog box)


AGGSUM or ColumnAggregateSum

Map and Table Calculation

AGGSUM( ) or ColumnAggregateSum() function

Returns the sum of the values of an entire column, or the sums of values per group.

Syntax

AGGSUM(ValueColumn)
AGGSUM(ValueColumn, Group)
ColumnAggregateSum(ValueColumn)
ColumnAggregateSum(ValueColumn, Group)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Group | is the 'group by' column
Domain type: | any Class, ID, Group or Bool domain

Output

AGGSUM(ValueColumn) or ColumnAggregateSum(ValueColumn)
returns: | the sum of a column
Domain: | system domain Value
AGGSUM(ValueColumn, Group) or ColumnAggregateSum(ValueColumn, Group)
returns: | sums per group
Domain: | system domain Value

Notes:

  • The AGGSUM and the ColumnAggregateSum function are aliases of each other. These functions can be used both in a table window and in scripts.
  • A 'group by' column can be specified when you perform an aggregation within one table. A 'group by' column must be specified when you perform an aggregation during a join.
  • The function parameters refer to nothing else than column names. This means that within the brackets no other expressions can be used.
  • Any undefined values in the input column are excluded from the calculation.

Tips:

  • On the command line of a table window, you may also use the SUM function.
  • To calculate the cumulative sum of a value column, you can use ColumnCumulative or CUM.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = AGGSUM(Area)

OutCol2 = AGGSUM(Area,Landuse)

Parcel | Landuse | Area | OutCol1 | OutCol2
00123 | Residential | 4000 | 50000 | 20000
00124 | Residential | 3500 | 50000 | 20000
00125 | Commercial | 17500 | 50000 | 17500
00126 | Residential | 7500 | 50000 | 20000
00127 | Industrial | ? | 50000 | ?
01272 | Institutional | 12500 | 50000 | 12500
04625 | Residential | 5000 | 50000 | 20000

  • Column OutCol1 contains the sum of all values of column CommVal.
  • Column OutCol2 contains the sum of parcel areas per landuse class.

Advanced example

Suppose we have one table Province which contains all provinces of a certain country. Further, we have a table Municipality that contains information on municipalities. One column in this table (column Population) contains information on the population of each municipality. To obtain the total population of each province in the Province table, we can sum the population values of the municipalities in the Municipality table.

PopPerProv = AGGSUM(Municipality.Population, Municipality.Province)

Province.tbt |  | Municipality.tbt
Dom. Province | AnyInfo | Dom. Municipality | Population | Province
Province1 | 1000 | Minicipality1 | 9920 | Province1
Province2 | 2000 | Minicipality2 | 4131 | Province1
Province3 | 5000 | Minicipality3 | 2161 | Province2
Province4 | 4000 | Minicipality4 | 4918 | Province1
Province5 | 2000 | Minicipality5 | 10461 | Province3
... | ... | ... |  |

Province.tbt after aggregation
Dom. Province | AnyInfo | PopPerProv
Province1 | 1000 | 18969
Province2 | 2000 | 2161
Province3 | 5000 | 10461
Province4 | 4000 | ?
Province5 | 4000 | ?
... | ... | ...

This expression will only work when the Group column (Municipality.Province) has the same domain as the current table Province. It is usually easier to perform a join operation through the Join Column wizard. This will give the same result as the expression above, and is even more flexible. For more information, see Table calculation : Join columns.

See also:

AGGAVG | AGGMED | AGGSTD
AGGMIN | AGGPRD | AGGCNT
AGGMAX | SUM
Aggregate Column (dialog box)


AND

Map and Table Calculation

AND operator

Returns if both a and b are true, i.e. a AND b.

Syntax

a AND b

Input

a | is a boolean expression
Domain type: | any Bool domain
b | is a boolean expression
Domain type: | any Bool domain

Output

OR returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The truth table of the logical AND operator is:
  • This means that:
    - if both a and b are true, true is returned,
    - if either a or b is true, false is returned,
    - if both a and b are false, false is returned,
    - if a is true and b is undefined, or vice versa, undefined is returned,
    - if a is false and b is undefined, or vice versa, false is returned, and
    - if both input parameters are undefined, the output will also be undefined.
  • In mathematics, the logic AND is called a intersection.

Tips:

  • Logical operators are often used in combination with a conditional IFF function.
  • Testing whether values are within a certain range can also be performed with the INRANGE function.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

MapCalc examples:

OutMap = (InMapA >= 20) AND (InMapB >= 70)

InMapA

InMapB

OutMap

5 | 10 | -10
20 | 0 | 30
? | 40 | 45

10 | 90 | 70
5 | 50 | 75
35 | 80 | ?

False | False | False
False | False | True
False | True | ?

OutMap2 = (Landuse="Forest") AND (DEM > 1000)

Landuse

DEM

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

800 | 900 | 1000
-900 | 0 | 1200
1100 | 1300 | 1600

False | False | False
False | False | False
? | False | True

OutMap3 = (Landuse="Grass") AND (Geomorphology="OL")

Landuse

Geomorphology

OutMap3

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

GS | GL | OL
GV | ? | OL
AF | AL | HE

False | False | True
False | False | True
False | False | False

TabCalc examples:

OutCol = (InColA >= 20) AND (InColB >= 70)

InColA | InColB | OutCol
5 | 10 | False
10 | 90 | False
-10 | 70 | False
20 | 5 | False
0 | 50 | False
30 | 75 | True
? | 35 | False
40 | 80 | True
45 | ? | ?

OutCol2 = (Landuse="Forest") AND (DEM > 1000)

OutCol3 = (Landuse="Grass") AND (Geom="OL")

Landuse | DEM | Geom | OutCol2 | OutCol3
Forest | 800 | GS | False | False
Forest | 900 | GL | False | False
Grass | 1000 | OL | False | True
Lake | -900 | GV | False | False
Lake | 0 | ? | False | False
Grass | 1200 | OL | False | True
? | 1100 | AF | ? | False
Grass | 1300 | AL | False | False
Forest | 1600 | HE | True | False

Example with an attribute table:

ResVal = (Parcel.Landuse = "Residential") AND (Parcel.Commval > 20)

Parcel

ResVal

1 | 2 | 3
4 | 5 | 6
7 | 8 | 9

False | False | False
True | False | False
True | False | True

Attribute table Parcel
Parcelnr | Landuse | CommVal
1 | Residential | 10
2 | Commercial | 35
3 | Industrial | 20
4 | Residential | 25
5 | Industrial | 35
6 | Commercial | 15
7 | Residential | 40
8 | Industrial | 30
9 | Residential | 35

The map ResVal is created from a map (presumably with parcels) which has an attribute table Parcel. This attribute table has a column Landuse and a column CommVal (commercial values). When a record in the table is Residential in column Landuse, and has a commercial value larger than 20000 in column CommVal, then the expression is true and True is assigned to the corresponding pixels in map ResVal.

See also:

OR

XOR

NOT


ASIN

Map and Table Calculation

ASIN( ) function

Returns the arc sine, i.e. the inverse sine (sin-1), of a value.

Syntax

ASIN(Value)

Input

Value | is a value
Domain type: | any Value domain
Value range: | [-1,1]

Output

ASIN returns: | a real value in radians
Domain: | system domain Value
Value range: | [-p/2,p/2]

Notes:

  • For the function ASIN, the output values are in radians. To convert radians to degrees, use the angular function RADDEG.
  • When the input value is outside the value range [-1,1] the output value will be undefined.
  • If the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ASIN(-0.5)

returns -0.524

MapCalc example:

OutMap1 = ASIN(InMap1)

InMap1

OutMap1

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

? | 1.571 | 0.524
0.201 | 0.305 | -1.571
? | -0.412 | -0.100

OutMap2 = RADDEG(ASIN(InMap2))

InMap2

OutMap2

0.000 | 0.500 | 0.707
0.866 | 1.000 | ????
-1.000 | -0.707 | ?

0 | 30 | 45
60 | 90 | 180
270 | 315 | ?

TabCalc example:

OutCol1 = ASIN(InCol1)

OutCol2 = RADDEG(ASIN(InCol2))

InCol1 | OutCol1 | InCol2 | OutCol2
2.0 | ? | 0.000 | 0
1.0 | 1.571 | 0.500 | 30
0.5 | 0.524 | 0.707 | 45
0.2 | 0.201 | 0.866 | 60
0.3 | 0.305 | 1.000 | 90
-1.0 | -1.571 | ???? | 180
? | ? | -1.000 | 270
-0.4 | -0.412 | -0.707 | 315
-0.1 | -0.100 | ? | ?

See also:

ACOS | SIN | SINH
ATAN | COS | COSH
ATAN2 | TAN | TANH


ATAN

Map and Table Calculation

ATAN( ) function

Returns the arc tangent, i.e. the inverse tangent (tan-1), of a value.

Syntax

ATAN(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

ATAN returns: | a real value in radians
Domain: | system domain Value
Value range: | [-p/2,p/2]

Notes:

  • For the function ATAN, the output values are in radians. To convert radians to degrees, use the angular function RADDEG.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ATAN(0.3)

returns 0.291

MapCalc example:

OutMap = ATAN(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

1.107 | 0.785 | 0.464
0.197 | 0.291 | -0.785
? | -0.381 | -0.100

OutMap2 = RADDEG(ATAN(InMap2))

InMap2

OutMap2

0.000 | 0.500 | 0.707
0.866 | 1.000 | -1.000
-1.000 | -0.707 | ?

90 | 60 | 45
30 | 0 | 180
270 | 315 | ?

TabCalc example:

OutCol1 = ATAN(InCol1)

OutCol2 = RADDEG(ATAN(InCol2))

InCol1 | OutCol1 | InCol2 | OutCol2
2.0 | 1.107 | 0.000 | 0
1.0 | 0.785 | 0.500 | 30
0.5 | 0.464 | 0.707 | 45
0.2 | 0.197 | 0.866 | 60
0.3 | 0.291 | 1.000 | 90
-1.0 | -0.785 | ???? | 180
? | ? | -1.000 | 270
-0.4 | -0.381 | -0.707 | 315
-0.1 | -0.100 | ? | ?

See also:

ASIN | SIN | SINH
ACOS | COS | COSH
ATAN2 | TAN | TANH


ATAN2

Map and Table Calculation

ATAN2( ) function

Returns the angle in radians of two input values, i.e. the angle from the x-axis to a point (y,x).

Syntax

ATAN2(Value y, Value x)

Input

Value y |  | is a value in vertical direction (y-coordinate)
 | Domain type: | any Value domain
Value x |  | is a value in horizontal direction (x-coordinate)
 | Domain type: | any Value domain

Output

ATAN2 returns: | a real value in radians
Domain: | system domain Value
Value range: | [-p,p]

Notes:

  • For the function ATAN2, the output values are in radians. To convert radians to degrees, use the angular function RADDEG.
  • When the input value is undefined, the output will also be undefined.

Tips:

  • The ATAN2 function is often used in calculation of slope maps and aspect maps. See How to calculate an aspect map for more information.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ATAN2(-1,-1) | returns -2.356
? ATAN2(1.571,PI) | returns 0.464
? RADDEG(ATAN2(PI,PI) | returns 45

MapCalc example:

OutMap = ATAN2(DY,DX)

DY

DX

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

8.1 | 7.3 | -2
14.0 | 0.0 | ?
-1.5 | -5.8 | -0.6

0.242 | 0.136 | 2.897
0.014 | 1.571 | ?
? | -3.073 | -2.976

TabCalc example:

OutCol1 = ATAN2(DY,DX)

OutCol2 = RADDEG(ATAN2(DY,DX))

DY | DX | OutCol1 | OutCol2
2.0 | 8.1 | 0.242 | 13.87
1.0 | 7.3 | 0.136 | 7.80
0.5 | -2.0 | 2.897 | 165.96
0.2 | 14.0 | 0.014 | 0.82
0.3 | 0.0 | 1.571 | 90.00
-1.0 | ? | ? | ?
? | -1.5 | ? | ?
-0.4 | -5.8 | -3.073 | 183.95
-0.1 | -0.6 | -2.976 | 189.46

See also:

SIN | ASIN | SINH
COS | ACOS | COSH
TAN | ATAN | TANH


AVG

Map and Table Calculation

AVG( ) function

Returns the average (arithmetic mean) of a value column.

Syntax

AVG(ValueColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain

Output

AVG returns: | a real value
Domain: | system domain Value

Notes:

  • The average is calculated according to the following formula:
  • The AVG function can only be used on the command line of a table window; it cannot be used on the command line of the Main window.
  • The AVG function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the value is excluded from the calculation.

Tips:

  • To calculate weighted averages or averages per class, see the AGGAVG function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = AVG(InCol)

InCol | OutCol
-5 | 3
-2 | 3
-1 | 3
0 | 3
? | 3
4 | 3
8 | 3
9 | 3
11 | 3

TabCalc Pocket line calculator example:

? AVG(InCol)

returns 3.000

See also:

MIN | CNT | VAR | TTEST
MAX | STD | COV | CHISQUARE
SUM | STDEV | COVAR | Column Statistics
CUM | STDERR | CORR | AGGAVG


%C

Map and Table Calculation

Predefined variable %C

Variable to calculate with column numbers of raster maps.

Syntax

%C

Note:

C stands for Column number.

Usable in

MapCalc

Examples

MapCalc examples:

SubMap = IFF(INRANGE(%C,100,400) AND (INRANGE(%L,200,500)), InMap, "?")

InMap | SubMap

SubMap has the same content as InMap if the column number is in the range of 100 to 400 and the line number in the range of 200 to 500. Outside this area SubMap is undefined.

Applied example: Assigning pixels to a back drop line:

The next example describes the assignment of average values to pixels of an image in which whole lines are missing. Occasionally satellite images suffer from so called back drop lines. In this example every 8th line is missing. These lines are assigned values which are the average values from the line above and the line below.

OutImage = IFF((%L MOD 8=0), (RASVALUE(Image, %L-1, %C) + RASVALUE(Image, %L+1, %C))/2, Image)

Image

OutImage
Line 7

Line 8

Line 9
51 | 6 | 29
? | ? | ?
8 | 18 | 53

51.00 | 6.00 | 29.00
29.50 | 12.00 | 41.00
8.00 | 18.00 | 53.00

Image shows some pixels of line 7 up to line 9 while line 8 is missing. These missing values are replaced by the average values of the pixels of the line above and the line below.

Note:

In this example both maps use system domain Value.

See also:

%X

%Y

%L

%R

%K

%D

%P


CEIL

Map and Table Calculation

CEIL( ) function

Rounds up, i.e. returns the nearest long integer value that is larger than or equal to the specified input value.

Syntax

CEIL(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

CEIL returns: | a long integer value
Domain: | system domain Value

Note:

When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? CEIL(0.5) | returns 1
? CEIL(-3.5) | returns 3
? CEIL(ABS(-3.5)) | returns 4

MapCalc example:

OutMap = CEIL(InMap)

InMap

OutMap

1.4 | 1.5 | 1.6
? | 0 | 1
-1.6 | -1.5 | -1.4

2 | 2 | 2
? | 0 | 1
-1 | -1 | -1

TabCalc example:

OutCol = CEIL(InCol)

InCol | OutCol
-1.6 | -1
-1.5 | -1
-1.4 | -1
? | ?
0 | 0
1 | 1
1.4 | 2
1.5 | 2
1.6 | 2

See also:

ROUND

FLOOR


CHISQUARE

Map and Table Calculation

CHISQUARE( ) function

Performs a [image] -test.

Syntax

CHISQUARE(ValueColumn a, ValueColumn b)

Input

ValueColumn a | is the observed frequency
Domain type: | any Value domain
ValueColumn b | is the expected frequency
Domain type: | any Value domain

Output

CHISQUARE returns: | a value
Domain: | system domain Value

Notes:

  • The [image] -test is calculated according to the following formula:
  • The [image] -test can generally be used to compare observed and theoretical frequencies. In particular, it can be used to test the null hypothesis that sample data have been drawn randomly from a normal distribution. The observed frequencies are compared with those which would be expected if the distribution were actually normal, with the same mean and standard deviation as computed from the sample data.
  • The output of the [image] -test has to be looked up in a table.
  • The [image] -test can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the value is excluded in the calculation.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

If a fair die is cast 96 times, the expected number of times that each number of pips is observed is 96/6=16.

Die_nr | Expected | Observed | CHI2
1 | 16 | 14 | 5.500
2 | 16 | 19 | 5.500
3 | 16 | 11 | 5.500
4 | 16 | 21 | 5.500
5 | 16 | 12 | 5.500
6 | 16 | 19 | 5.500

If we observe 14 ones, 19 twos, 11 threes, 21 fours, 12 fives, and 19 sixes then:

CHI2=CHISQUARE(Observed, Expected)

 is 5.500

The degree of freedom is 6-1=5 and this is not significant at the 5 percent level. The hypothesis that the die is fair is not rejected.

See also:

MIN | CNT | STDERR | CORR
MAX | AVG | VAR | TTEST
SUM | STD | COV | Column Statistics
CUM | STDEV | COVAR |


Map and Table Calculation

CLFY function

Classifies a value map or a value column according to a Group domain.

Syntax

CLFY(ValueMap, GroupDomain)
CLFY(ValueColumn, GroupDomain)

Input

ValueMap | is a value raster map
Domain type: | any Value domain
ValueColumn | is a value column
Domain type: | any Value domain
GroupDomain | is a Group domain; it lists the upper boundary values of the groups, and the class names and group names for the output map or the output column.

Output

CLFY(ValueMap, GroupDomain) returns: | a map with classified values
CLFY(ValueColumn, GroupDomain) returns: | a column with classified values
Domain: | the group domain GroupDomain

Notes:

  • Instead of using the CLFY function, you can also use the Slicing operation (for maps), or the Column Slicing command on the Columns menu of a table window. This produces the same results.
  • A group domain should be created beforehand. For more information, see How to create a group domain.
  • When the input value is undefined, the value is excluded from the calculation.

Tips:

  • The CLFY function and the Slicing operations permanently classify a map or column.
  • To interactively classify a map by means of a representation, see How to classify a map.
  • To perform a multispectral image classification, use Sample and then the Classify operation.
  • Classified maps are less detailed than the original ones but they are often more easy to read because of the limited number of groups or classes.
  • When the definition symbol = is used, a dependent output map or a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map or column has been calculated.

Usable in

MapCalc, TabCalc

Examples

MapCalc example:

Suppose, you have a raster map SlopePct with slope values ranging from 0 to 200%, which you wish to classify into the following relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO).

  1. Create a group domain, for instance called ReliefClass, where you specify the upper boundaries and the output Group names as:

    2. Upper Boundary | Group Name
2 | Flat
8 | Undulating
16 | Rolling
30 | Hilly
200 | Mountainous

  2. To classify the values of map SlopePct according to group domain ReliefClass, and create an output map Relief;

    • Type on the command line of the Main window:

      Relief = CLFY(SlopePct, ReliefClass)

    • You can also use the Slicing operation; then select SlopePct for the input map name, and select ReliefClass for the Group domain name.

  3. The output map will contain the classified values:

    4. SlopePct

    Relief

    6 | 10 | 20 | 40
4 | 12 | 20 | 25
3 | 7 | 12 | 10
1 | 5 | 5 | 5

    U | R | H | M
U | R | H | H
U | U | R | R
F | U | U | U

    For ranges of values of input map SlopePct, containing slope values in percentages, relief class names are assigned in output map Relief. The ranges and class names are specified in group domain ReliefClass. In the output map, read for F Flat, for U Undulation, for R Rolling, for H Hilly and for M Mountainous.

TabCalc example:

Suppose, you have a column SoilDepth with soil depths which you wish to classify into the following classes: 0-25 Very shallow, 25-50 Shallow, 50-100 Moderately Deep, 100-150 Deep, and >150 Very deep (USDA Soil Classification System).

  1. Create a domain Group, for instance called DepthClass, where you specify the upper boundaries and the output Group names as:

    2. Upper Boundary | Group Name
25 | Very shallow
50 | Shallow
100 | Moderately deep
120 | Deep
400 | Very deep

  2. To classify the values of column SoilDepth according to group domain DepthClass, and create output column SoilDepthClass:

    • Type on the command line of the table window:

      SoilDepthClass = CLFY(SoilDepth,DepthClass)

    • You can also choose Column Slicing from the Columns menu in the table window; then select SoilDepth for the input column and select DepthClass for the group domain.

  3. In the table, column SoilDepthClass is created and filled according to the Group domain.

    4. Sample | SoilDepth | SoilDepthClass
1 | 15 | Very shallow
2 | 45 | Shallow
3 | 95 | Moderately deep
4 | 20 | Very shallow
5 | 40 | Shallow
6 | 60 | Moderately deep
7 | 110 | Deep

See also:

How to create a domain Group

How to classify a map or column

Slicing (operation for maps)

Column Slicing (dialog box)


CLRBLUE

Map and Table Calculation

CLRBLUE( ) function

Returns the Blue component of an (R,G,B) color.

Syntax

CLRBLUE(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRBLUE returns: | a value
Domain: | system domain Image

Note:

The CLRBLUE(Color) function is equivalent to MAPCOLORSEP(InMap, Blue) operation.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRBLUE(RPRCOLOR(Landuse,"Lake"))

returns the blue component of class "Lake" from representation Landuse, e.g. 255.

TabCalc example:

Blue = CLRBLUE(Color)

Landuse.rpr

Landunit | Colorname | Color | Blue
Agriculture | Yellow | (255, 255, 0) | 0
Airport | Red | (255, 0, 0) | 0
Bare soils | Brown | (164, 40, 40) | 40
Forest | Forest Green | (48, 128, 76) | 76
Grass | Yellow Green | (98, 98, 98) | 98
Lake | Blue | (0, 0, 255) | 255
Riverbed | Cyan | (0, 255, 255) | 255
Rocks | Gray | (128, 128, 128) | 128
Shrubs | Magenta | (255, 0, 255) | 255

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Blue = CLRBLUE(LandColor)

Landuse

LandColor

Blue

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

76 | 76 | 128
255 | 255 | 98
0 | 98 | 0

See also:

COLOR | CLRRED | CLRYELLOW | CLRHUE
MAPCOLOR | CLRGREEN | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRCYAN

Map and Table Calculation

CLRCYAN( ) function

Returns the Cyan component of an (R,G,B) color.

Syntax

CLRCYAN(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRCYAN returns: | a value
Domain: | system domain Image

Notes:

  • The CLRCYAN(Color) function is equivalent to MAPCOLORSEP(InMap, Cyan) operation.
  • Cyan = 255 - Red.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRCYAN(RPRCOLOR(Landuse,"Riverbed"))

returns the cyan component of class "Riverbed" from representation Landuse, e.g. 255.

TabCalc example:

Cyan = CLRCYAN(Color)

Landuse.rpr

Landunit | Colorname | Color | Cyan
Agriculture | Yellow | (255, 255, 0) | 0
Airport | Red | (255, 0, 0) | 0
Bare soils | Brown | (164, 40, 40) | 91
Forest | Forest Green | (48, 128, 76) | 207
Grass | Yellow Green | (98, 98, 98) | 157
Lake | Blue | (0, 0, 255) | 255
Riverbed | Cyan | (0, 255, 255) | 255
Rocks | Gray | (128, 128, 128) | 127
Shrubs | Magenta | (255, 0, 255) | 0

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Cyan = CLRCYAN(LandColor)

Landuse

LandColor

Cyan

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

207 | 207 | 127
0 | 255 | 157
254 | 157 | 0

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRGREEN

Map and Table Calculation

CLRGREEN( ) function

Returns the Green component of an (R,G,B) color.

Syntax

CLRGREEN(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRGREEN returns: | a value
Domain: | system domain Image

Note:

The CLRGREEN(Color) function is equivalent to MAPCOLORSEP(InMap, Green) operation.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRGREEN(RPRCOLOR(Landuse,"Forest"))

returns the green component of class "Forest" from representation Landuse, e.g. 128.

TabCalc example:

Green = CLRGREEN(Color)

Landuse.rpr

Landunit | Colorname | Color | Green
Agriculture | Yellow | (255, 255, 0) | 255
Airport | Red | (255, 0, 0) | 0
Bare soils | Brown | (164, 40, 40) | 40
Forest | Forest Green | (48, 128, 76) | 128
Grass | Yellow Green | (98, 98, 98) | 98
Lake | Blue | (0, 0, 255) | 0
Riverbed | Cyan | (0, 255, 255) | 255
Rocks | Gray | (128, 128, 128) | 128
Shrubs | Magenta | (255, 0, 255) | 0

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Green = CLRGREEN(LandColor)

Landuse

LandColor

Green

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

128 | 128 | 128
0 | 0 | 98
0 | 98 | 0

See also:

COLOR | CLRRED | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRGREY

Map and Table Calculation

CLRGREY( ) function

Returns the Grey component of an (R,G,B) color.

Syntax

CLRGREY(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRGREY returns: | a value
Domain: | system domain Image

Notes:

  • The CLRGREY(Color) function is equivalent to MAPCOLORSEP(InMap, Grey) operation.
  • Grey = 0.3 * Red + 0.59 * Green + 0.11 * Blue.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on colors, see also Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRGREY(RPRCOLOR(Landuse,"Airport")

returns the grey component of class "Airport" from representation Landuse, e.g. 77

TabCalc example:

Grey = CLRGREY(Color)

Landunit | Colorname | Color | Grey
Agriculture | Yellow | (255, 255, 0) | 227
Airport | Red | (255, 0, 0) | 77
Bare soils | Brown | (164, 40, 40) | 77
Forest | Forest Green | (48, 128, 76) | 98
Grass | Yellow Green | (98, 98, 98) | 98
Lake | Blue | (0, 0, 255) | 28
Riverbed | Cyan | (0, 255, 255) | 179
Rocks | Gray | (128, 128, 128) | 128
Shrubs | Magenta | (255, 0, 255) | 105

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Grey = CLRGREY(LandColor)

Landuse

LandColor

Grey

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

98 | 98 | 128
105 | 28 | 98
0 | 98 | 77

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRHUE

Map and Table Calculation

CLRHUE( ) function

Returns the Hue component of an (R,G,B) color.

Syntax

CLRHUE(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRHUE returns: | a value
Domain: | system domain Image
Value range: | [0,240]

Notes:

  • The CLRHUE(Color) function is equivalent to MAPCOLORSEP(InMap, Hue) operation.
  • Hue is the direction of the color in a three-dimensional color cube, i.e. the basic component of a color.
  • Hue = (255/2p) * ARCTAN2 (1/2 Ö3 * (Green - Blue) , Red - (Green + Blue) / 2 ) * 240/255.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRHUE(RPRCOLOR(Landuse,"Lake"))

returns the hue component of class "Lake" from representation Landuse, e.g. 160.

TabCalc example:

Hue = CLRHUE(Color)

Landuse.rpr

Landunit | Colorname | Color | Hue
Agriculture | Yellow | (255, 255, 0) | 40
Airport | Red | (255, 0, 0) | 0
Bare soils | Brown | (164, 40, 40) | 0
Forest | Forest Green | (48, 128, 76) | 93
Grass | Yellow Green | (98, 98, 98) | 0
Lake | Blue | (0, 0, 255) | 160
Riverbed | Cyan | (0, 255, 255) | 120
Rocks | Gray | (128, 128, 128) | 0
Shrubs | Magenta | (255, 0, 255) | 200

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Hue = CLRHUE(LandColor)

Landuse

LandColor

Hue

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

93 | 93 | 0
200 | 160 | 0
1 | 0 | 0

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRINTENS

Map and Table Calculation

CLRINTENS( ) function

Returns the Intensity component of an (R,G,B) color.

Syntax

CLRINTENS(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRINTENS returns: | a value
Domain: | system domain Image
Value range: | [0,240]

Notes:

  • Intensity describes the brightness of a color. The total amount of Red, Green and Blue determines the brightness.
  • Intensity = 1/3 * (Red + Green + Blue) * 240/255.
  • The CLRINTENS(Color) function is equivalent to MAPCOLORSEP(InMap, Intensity) operation.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRINTENS(RPRCOLOR(Landuse,"Lake"))

returns the intensity component of class "Lake" from representation Landuse, e.g. 80.

TabCalc example:

Intensity = CLRINTENS(Color)

Landuse.rpr

Landunit | Colorname | Color | Intensity
Agriculture | Yellow | (255, 255, 0) | 160
Airport | Red | (255, 0, 0) | 80
Bare soils | Brown | (164, 40, 40) | 77
Forest | Forest Green | (48, 128, 76) | 79
Grass | Yellow Green | (98, 98, 98) | 92
Lake | Blue | (0, 0, 255) | 80
Riverbed | Cyan | (0, 255, 255) | 160
Rocks | Gray | (128, 128, 128) | 120
Shrubs | Magenta | (255, 0, 255) | 160

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Intensity = CLRINTENS(LandColor)

Landuse

LandColor

Intensity

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

79 | 79 | 120
160 | 80 | 92
0 | 92 | 80

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRMAGENTA

Map and Table Calculation

CLRMAGENTA( ) function

Returns the Magenta component of an (R,G,B) color.

Syntax

CLRMAGENTA(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRMAGENTA returns: | a value
Domain: | system domain Image

Notes:

  • The CLRMAGENTA(Color) function is equivalent to MAPCOLORSEP(InMap, Magenta) operation.
  • Magenta = 255 - Green.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRMAGENTA(RPRCOLOR(Landuse,"Shrubs"))

returns the magenta component of class "Shrubs" from representation Landuse, e.g. 255.

TabCalc example:

Magenta = CLRMAGENTA(Color)

Landuse.rpr

Landunit | Colorname | Color | Magenta
Agriculture | Yellow | (255, 255, 0) | 0
Airport | Red | (255, 0, 0) | 255
Bare soils | Brown | (164, 40, 40) | 215
Forest | Forest Green | (48, 128, 76) | 127
Grass | Yellow Green | (98, 98, 98) | 157
Lake | Blue | (0, 0, 255) | 255
Riverbed | Cyan | (0, 255, 255) | 0
Rocks | Gray | (128, 128, 128) | 127
Shrubs | Magenta | (255, 0, 255) | 255

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Magenta = CLRMAGENTA(LandColor)

Landuse

LandColor

Magenta

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

127 | 127 | 127
255 | 255 | 157
255 | 157 | 255

See also:

COLOR | CLRRED | CLRYELLOW | CLRHUE
MAPCOLOR | CLRGREEN | CLRCYAN | CLRSAT
RPRCOLOR | CLRBLUE | CLRGREY | CLRINTENS
 |  |  | COLORHSI


CLRRED

Map and Table Calculation

CLRRED( ) function

Returns the Red component of an (R,G,B) color.

Syntax

CLRRED(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRRED returns: | a value
Domain: | system domain Image

Note:

The CLRRED(Color) function is equivalent to MAPCOLORSEP(InMap, Red) operation.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator example:

? CLRRED(RPRCOLOR(Landuse,"Airport"))

returns the red component of class "Airport" from representation Landuse, e.g. 255.

TabCalc example:

Red = CLRRED(Color)

Landuse.rpr

Landunit | Colorname | Color | Red
Agriculture | Yellow | (255, 255, 0) | 255
Airport | Red | (255, 0, 0) | 255
Bare soils | Brown | (164, 40, 40) | 164
Forest | Forest Green | (48, 128, 76) | 48
Grass | Yellow Green | (98, 98, 98) | 98
Lake | Blue | (0, 0, 255) | 0
Riverbed | Cyan | (0, 255, 255) | 0
Rocks | Gray | (128, 128, 128) | 128
Shrubs | Magenta | (255, 0, 255) | 255

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Red = CLRRED(LandColor)

Landuse

LandColor

Red

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

48 | 48 | 128
255 | 0 | 98
0 | 98 | 255

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRSAT

Map and Table Calculation

CLRSAT( ) function

Returns the Saturation component of an (R,G,B) color.

Syntax

CLRSAT(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRSAT returns: | a value
Domain: | system domain Image
Value range: | [0, 240]

Notes:

  • The CLRSAT(Color) function is equivalent to MAPCOLORSEP(InMap, Saturation) operation.
  • Saturation describes the 'color purity' or the purity of color relative to Gray. The relative amount of Red, Green and Blue determines the Hue and the Saturation.
  • Saturation = Ö (Red2 + Green2 + Blue2 - Red * Green - Red *Blue - Green * Blue) * 240/255.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRSAT(RPRCOLOR(Landuse,"Lake"))

returns the saturation component of class "Lake" from representation Landuse, e.g. 240.

TabCalc example:

Sat = CLRSAT(Color)

Landuse.rpr

Landunit | Colorname | Color | Sat
Agriculture | Yellow | (255, 255, 0) | 240
Airport | Red | (255, 0, 0) | 240
Bare soils | Brown | (164, 40, 40) | 117
Forest | Forest Green | (48, 128, 76) | 66
Grass | Yellow Green | (98, 98, 98) | 0
Lake | Blue | (0, 0, 255) | 240
Riverbed | Cyan | (0, 255, 255) | 240
Rocks | Gray | (128, 128, 128) | 0
Shrubs | Magenta | (255, 0, 255) | 240

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Saturation = CLRSAT(LandColor)

Landuse

LandColor

Saturation

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

66 | 66 | 0
240 | 240 | 0
0 | 0 | 240

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


CLRYELLOW

Map and Table Calculation

CLRYELLOW( ) function

Returns the Yellow component of an (R,G,B) color.

Syntax

CLRYELLOW(Color)

Input

Color | is a map or a column with the Color domain or a picture domain, or an expression which results in a color
Domain type: | system domain Color or a Picture domain

Output

CLRYELLOW returns: | a value
Domain: | system domain Image

Notes:

  • The CLRYELLOW(Color) function is equivalent to MAPCOLORSEP(InMap, Yellow) operation.
  • Yellow = 255 - Blue.

Tips:

  • The function can also be used to calculate with colors in a representation class that is opened as a table.
  • For more information on color, see Color separation : functionality or Color separation : algorithm.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CLRYELLOW(RPRCOLOR(Landuse,"Agriculture"))

returns the yellow component of class "Agriculture" from representation Landuse, e.g. 255.

TabCalc example:

Yellow = CLRYELLOW(Color)

Landuse.rpr

Landunit | Colorname | Color | Yellow
Agriculture | Yellow | (255, 255, 0) | 255
Airport | Red | (255, 0, 0) | 255
Bare soils | Brown | (164, 40, 40) | 215
Forest | Forest Green | (48, 128, 76) | 179
Grass | Yellow Green | (98, 98, 98) | 157
Lake | Blue | (0, 0, 255) | 0
Riverbed | Cyan | (0, 255, 255) | 0
Rocks | Gray | (128, 128, 128) | 127
Shrubs | Magenta | (255, 0, 255) | 0

MapCalc example:

LandColor = MAPCOLOR(Landuse)

Yellow = CLRYELLOW(LandColor)

Landuse

LandColor

Yellow

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

179 | 179 | 127
0 | 0 | 157
255 | 157 | 255

See also:

COLOR | CLRRED | CLRMAGENTA | CLRHUE
MAPCOLOR | CLRGREEN | CLRCYAN | CLRSAT
RPRCOLOR | CLRBLUE | CLRGREY | CLRINTENS
 |  |  | COLORHSI


CNT

Map and Table Calculation

CNT( ) function

Counts the number of times that values in a column are not undefined.

Syntax

CNT(Column)

Input

Column is a column

Output

CNT returns: | a value
Domain: | system domain Value

Notes:

  • The CNT function can only be used on the command line of a table window; it cannot be used on the command line of the Main window.
  • The CNT function can also be performed through a dialog box, see Column Statistics.
  • When a value in the input column is undefined, the value is excluded from the calculation.

Tips:

  • Use the AGGCNT function to count the number of times that Column is not undefined, or the number of times that Column is not undefined per group.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator example:

? CNT(InCol)

returns 8.000

TabCalc example:

OutCol = CNT(InCol)

InCol | OutCol
-5 | 8
-2 | 8
-1 | 8
0 | 8
? | 8
4 | 8
8 | 8
9 | 8
11 | 8

See also:

MIN | AVG | VAR | TTEST
MAX | STD | COV | CHISQUARE
SUM | STDEV | COVAR | Column Statistics
CUM | STDERR | CORR | AGGCNT


CODE

Map and Table Calculation

CODE( ) function

Returns the code of an item in a class or ID domain.

Syntax

CODE(String)

Input

String | is a column with a Class or ID domain, or the Class or ID domain of a table (%K)
Domain type: | Class or ID domain

Output

CODE returns: | a string
Domain type: | system domain String

Notes:

  • When the input is undefined, the output will also be undefined.
  • When a domain item has no code, an empty string is returned.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Example

TabCalc example:

InCol = %K

OutCol = CODE(InCol)

OutCol = CODE(%K)

InCol | OutCol
Accumulation of debris on slope | ad
Active landslide | al
Alluvial fan (flooding possible) | af
Alluvial fan (no flooding possible) | an
? | ?
Glacial lake | gl
Glacial valley | gv
Heavily eroded area | he
Old landslide | ol

Note:

The domain of a table simply shows names only.

See also:

NAME | LEFT
VALUE | RIGHT
STRING | SUB


COLOR

Map and Table Calculation

COLOR( ) function

Returns a new (R,G,B) color from expressions resulting in values for Red, Green and Blue.

Syntax

COLOR(Red, Green, Blue)

Input

Red | is a value
Value range: | [0,255]
Green | is a value
Value range: | [0,255]
Blue | is a value
Value range: | [0,255]

Output

COLOR returns: | a color
Domain: | system domain Color

Note:

When the input value is undefined or outside the value range [0,255], the output will be (0,0,0).

Tips:

  • The COLOR function can be used to assign colors or to create a certain color.
  • You can open a representation class as a table, make the command line visible and calculate with the colors.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? COLOR(SQ(5),12*3,255/2) | returns (25,36,128)
? COLOR(300,255,?) | returns (0,255,0)

MapCalc example:

LandColor = MAPCOLOR(Landuse)

LandColor2 = IFF((LandColor="Forest",COLOR(80,240,50),COLOR(100,0,200))

Landuse

LandColor

LandColor2

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

(80,240,50) | (80,240,50) | (100,0,200)
(100,0,200) | (100,0,200) | (100,0,200)
(0,0,0) | (100,0,200) | (100,0,200)

The new map LandColor has the Color domain. In map LandColor2, Forest is assigned a new color (80,240,50) and to all other land use units a color (100,0,200) is assigned).

TabCalc example:

Color = COLOR(R,G,B)

Landuse.rpr

Landunit | Colorname | R | G | B | Color
Agriculture | Yellow | 124 | 255 | 0 | (255, 255, 0)
Airport | Red | 255 | 0 | 0 | (255, 0, 0)
Bare soils | Brown | 164 | 40 | 40 | (164, 40, 40)
Forest | Forest Green | 48 | 128 | 76 | (48, 128, 76)
Grass | Yellow Green | 98 | 98 | 98 | (98, 98, 98)
Lake | Blue | 0 | 0 | 255 | (0, 0, 255)
Riverbed | Cyan | 0 | 255 | 255 | (0, 255, 255)
Rocks | Gray | 128 | 128 | 128 | (128, 128, 128)
Shrubs | Magenta | 255 | 0 | 255 | (255, 0, 255)

Advanced example:

The following example shows a more advanced application of calculating with colors.

We will create a representation of a new map, using two input maps and showing features of both original maps.

The first input map Geology is a geology map with a class domain. The second map DemShad is a Digital Elevation Model (DEM) after application of a shadow filter. This second map was stretched using Histogram Equalization with 16 intervals. This resulted in a hill shading map in 16 gray tones. The input maps Geology and DemShad are crossed, creating a cross table GeolShad.tbt and a cross map GeolShad.mpr. The domain of the newly created table and map is an ID domain and has to be converted to a class domain.

New colors will be assigned according to the land use map Landuse but showing the hill shading as well.

In the representation table Geolshad.rpr we create a new column ClassColor. This column contains for each combination of geology and gray tone, the original colors of the corresponding geology type in the geology map.

The combinations Moraine deposits * Gray tone 1, up to Moraine deposits * Gray tone 16 will all have the same base color as the Moraine deposits in the input geology map.

The following command is used on the command line of the representation table:

ClassColor := Geology.rpr.Color[Geology.tbt.Landuse]

Then, the column Color present in the representation table will be replaced by new colors which also indicate the proportion of the stretch class.

Color

:=

COLOR((CLRRED(ClassColor) * GeolShad.tbt.Demshad/16), (CLRGREEN(ClassColor) * GeolShad.tbt.DemShad/16),(CLRBLUE(ClassColor) * GeolShad.tbt.DemShad/16))

In words:

For each of the color components Red, Green and Blue, the color indicated in column ClassColor is multiplied by the proportion of gray shading. For example Class Moraine deposits * Gray shade 1 will get color values multiplied by 1/16.

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


COLORHSI

Map and Table Calculation

COLORHSI( ) function

Returns a new (R,G,B) color from expressions resulting in values for Hue, Saturation and Intensity.

Syntax

COLORHSI(Hue, Saturation, Intensity)

Input

Hue | is a value
Value range: | [0,240]
Saturation | is a value
Value range: | [0,240]
Intensity | is a value
Value range: | [0,240]

Output

COLORHSI returns: | a color
Domain: | system domain Color

Note:

When the input value is undefined or outside the value range [0,240], the output will be (0,0,0).

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


COORD

Map and Table Calculation

COORD( ) function

Returns (X,Y) coordinates from separate X coordinates and Y coordinates (and a coordinate system).

Syntax

COORD(X, Y)
COORD(X, Y, CoordinateSystem)

Input

X | is an X coordinate
Domain type: | any Value domain
Y | is an Y coordinate
Domain type: | any Value domain
CoordinateSystem | is a coordinate system

Output

COORD returns: | an (X,Y) coordinate
Domain: | a coordinate system

Notes:

  • The COORD function can be used to combine separate X-coordinates and Y-coordinates into XY-coordinates.
  • In coordinate calculations, you can either use:
    - a coordinate column with combined XY-coordinates;
    - the COORD function when you have 2 separate columns with X-coordinates and Y-coordinates.
  • When using a LatLon coordinate system, the syntax is COORD(Lon, Lat, LatLon).
  • You can produce columns that use a coordinate system as domain, but you cannot create maps that use a coordinate system as domain.
  • CoordinateSystem must refer to a coordinate system in which the XY-coordinates fit (e.g. the coordinates of the point map); CoordinateSystem is not a target coordinate system; to transform coordinates to another coordinate system use the TRANSFORM function.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

Simple calculators, TabCalc, MapCalc

Examples

Pocket line calculator examples:

? TRANSFORM (COORD(803429,8074631,Cochabamba),LATLON)

returns the (X,Y) coordinate according to the X coordinate and the Y coordinate and coordinate system LatLon, i.e. 17°23'36.51"S, 66°08'40.01"W

TabCalc example:

XYCoord = COORD(X,Y,Cochabamba)

XYLatLon = TRANSFORM(XYCoord,LATLON)

XYLatLon = TRANSFORM(COORD(X,Y,Cochabamba),LATLON)

Point data from the Cochabam area currently using coordinate system Cochabamba (Cochabamba, Bolivia) will be transformed into longitudes and latitudes (LatLon coordinate system).

X | Y | XYCoord | XYLatLon
803429 | 8074631 | (803429,8074631) | 17°21'30.66"S, 73°42'04.21"W
799748 | 8082415 | (799748,8082415) | 17°19'25.29"S, 66°10'48.48"W
803511 | 8087422 | (803511,8087422) | 17°16'40.76"S, 66°08'43.67"W
801281 | 8088967 | (801281,8088967) | 17°15'51.61"S, 66°09'59.87"W
802613 | 8080483 | (802613,8080483) | 17°20'26.71"S, 66°09'10.57"W
806816 | 8076585 | (806816,8076585) | 17°22'31.35"S, 66°06'46.37"W
797465 | 8078352 | (797465,8078352) | 17°21'38.43"S, 66°12'03.73"W
796346 | 8087736 | (796346, 8087736) | 17°16'33.96"S, 66°12'46.21"W
806042 | 8085414 | (806042, 8085414) | 17°17'44.79"S, 66°07'17.04"W

In words the above mentioned expressions read:

Take the X-component of a coordinate belonging to coordinate system Cochabamba and transform it to a longitude value. Take the Y-component of a coordinate belonging to coordinate system Cochabamba and transform it to a latitude value.

See also:

CRDX | MINCRDX | MAPCRD | RASVALUE
CRDY | MINCRDY | MAPROW | DIST
TRANSFORM | MAXCRDX | MAPCOL | DIST2
 | MAXCRDY | MAPVALUE |


CORR

Map and Table Calculation

CORR( ) function

Returns the correlation coefficient between the values in column Value a and in column Value b.

Syntax

CORR(ValueColumn a, ValueColumn b)

Input

ValueColumn a | is a value column
Domain type: | any Value domain
ValueColumn b | is another value column
Domain type: | any Value domain

Output

CORR returns: | a real value
Domain: | system domain Value

Notes:

  • The correlation coefficient is calculated according to the following formula:
  • The CORR function can only be used on the command line of a table window; it cannot be used on the command line of the Main window.
  • The CORR function can also be performed through a dialog box, see Column Statistics.
  • When an input value is undefined, the record will be excluded from the calculation.

Tips:

  • Use the CORR function to determine the relationship between two data sets.
  • Two value columns are independent when the correlation coefficient is 0.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = CORR(InColA,InColB)

InColA | InColB | OutCol
3 | 9 | 0.919
2 | 7 | 0.919
? | 6 | 0.919
0 | 5 | 0.919
4 | 12 | 0.919
5 | 15 | 0.919
6 | 17 | 0.919
7 | 0 | 0.919
8 | ? | 0.919

TabCalc pocket line calculator example:

? CORR(InColA,InColB)

returns 0.919

See also:

MIN | CNT | STDERR | TTEST
MAX | AVG | VAR | CHISQUARE
SUM | STD | COV | Column Statistics
CUM | STDEV | COVAR |


COS

Map and Table Calculation

COS( ) function

Returns the cosine of an angle.

Syntax

COS(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

COS returns: | a real value
Domain: | system domain Min1to1
Value range: | [-1,1]

Notes:

  • For the function COS, the input angle has to be specified in radians. To convert degrees to radians, use the angular function DEGRAD.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? COS(0.79) | returns 0.704
? COS(DEGRAD(60)) | returns 0.500

aMapCalc example:

OutMap1 = COS(InMap1)

InMap1

OutMap1

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

-0.416 | 0.540 | 0.878
0.980 | 0.955 | 0.540
? | 0.921 | 0.995

OutMap2 = COS(DEGRAD(InMap2))

InMap2

OutMap2

0 | 30 | 45
60 | 90 | 135
180 | 270 | ?

1.000 | 0.866 | 0.707
0.500 | 0.000 | -0.707
-1.000 | -1.000 | ?

TabCalc example:

OutCol1 = COS(InCol1)

OutCol2 = COS(DEGRAD(InCol2))

InCol1 | OutCol1 | InCol2 | OutCol2
2.0 | -0.416 | 0 | 1.000
1.0 | 0.540 | 30 | 0.866
0.5 | 0.878 | 45 | 0.707
0.2 | 0.980 | 60 | 0.500
0.3 | 0.955 | 90 | 0.000
-1.0 | 0.540 | 135 | -0.707
? | ? | 180 | -1.000
-0.4 | 0.921 | 270 | -1.000
-0.1 | 0.995 | ? | ?

See also:

SIN | ASIN | SINH
TAN | ACOS | COSH
ATAN2 | ATAN | TANH


COSH

Map and Table Calculation

COSH( ) function

Returns the hyperbolic cosine of an angle.

Syntax

COSH(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

COSH returns: | a real value
Domain: | system domain Value

Notes:

  • The formula for the hyperbolic cosine is COSH(a)=(ea+e-a)/2
  • Hyperbolic functions are related to a hyperbole (x2-y2=r2), in the same way as trigonometric functions are related to a circle (x2+y2=r2).
  • When the input value is undefined, the output value will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? COSH(4)

returns 27.308

MapCalc example:

OutMap = COSH(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

3.762 | 1.543 | 1.128
1.020 | 1.045 | 1.543
? | 1.081 | 1.005

TabCalc example:

OutCol = COSH(InCol)

InCol | OutCol
2.0 | 3.762
1.0 | 1.543
0.5 | 1.128
0.2 | 1.020
0.3 | 1.045
-1.0 | 1.543
? | ?
-0.4 | 1.081
-0.1 | 1.005

See also:

SIN | ASIN | SINH
COS | ACOS | TANH
TAN | ATAN | ATAN2


COV or COVAR

Map and Table Calculation

COV( ) or COVAR() function

Returns the covariance of the values in ColumnValue a and in ColumnValue b.

Syntax

COV(ValueColumn a, ValueColumn b)
COVAR(ValueColumn a, ValueColumn b)

Input

ValueColumn a | is a value column
Domain type: | any Value domain
ValueColumn b | is another value column
Domain type: | any Value domain

Output

COVAR returns: | a real value
Domain: | system domain Value

Notes:

  • The COV and the COVAR function are aliases of each other.
  • The covariance is calculated according to the following formula:
  • The COV or COVAR function can also be performed through a dialog box, see Column Statistics.
  • When an input value is undefined, the record will be excluded from the calculation.

Tips:

  • Use the COV or COVAR function to determine the relationship between two data sets.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = COV(InColA,InColB)

OutCol = COVAR(InColA,InColB)

InColA | InColB | OutCol
3 | 9 | 11.333
2 | 7 | 11.333
? | 6 | 11.333
0 | 5 | 11.333
4 | 12 | 11.333
5 | 15 | 11.333
6 | 17 | 11.333
7 | 0 | 11.333
8 | ? | 11.333

TabCalc pocket line calculator example:

? COV(InColA,InColB) | returns 11.333
? COVAR(InColA,InColB) | returns 11.333

See also:

MIN | CNT | STDERR | TTEST
MAX | AVG | VAR | CHISQUARE
SUM | STD | CORR | Column Statistics
CUM | STDEV |  |


CRDX

Map and Table Calculation

CRDX( ) function

Returns the X component of an (X,Y) coordinate.

Syntax

CRDX(Coordinate)

Input

Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

CRDX returns: | a value
Domain: | system domain Value

Note:

This function is mainly designed to store the resulting X-coordinate of a coordinate calculation. The output can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? CRDX(COORD(10,20)) | returns the X component of coordinate (10, 20), i.e. 10
? CRDX(PNTCRD(Rainfall,"PROMIC")) | returns the X component of the coordinate of rainfall station PROMIC in point map Rainfall, e.g. 802613.000
? CRDX(MAPCRD(DEM,120,150)) | returns the X coordinate of raster map DEM at row 120 and column 150, e.g. 798470

TabCalc examples:

OutCol = CRDX(Coordinate)

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | OutCol
1 | UMSS | (803429.00, 8074631.00) | 803429.00
2 | Taquina | (799748.00, 8082415.00) | 799748.00
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 803511.00
4 | Laguna Totura | (801281.00, 8088967.00) | 801281.00
5 | PROMIC | (802613.00, 8080483.00) | 802613.00
6 | Aro Caqua | (806816.00, 8076585.00) | 806816.00
7 | Colca Pithua | (797465.00, 8078352.00) | 797465.00
8 | Cerro MachaMach | (796346.00, 8087736.00) | 796346.00
9 | Laguna WaraWara | (806042.00, 8085414.00) | 806042.00

Note:

Column Coordinate uses the coordinate system of the point map.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDY | MINCRDY | MAPROW | DIST
TRANSFORM | MAXCRDX | MAPCOL | DIST2
 | MAXCRDY | MAPVALUE |


CRDY

Map and Table Calculation

CRDY( ) function

Returns the Y component of an (X,Y) coordinate.

Syntax

CRDY(Coordinate)

Input

Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

CRDY returns: | a value
Domain: | system domain Value

Note:

This function is mainly designed to store the resulting Y-coordinate of a coordinate calculation. The output can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? CRDY(COORD(10,20)) | returns the Y component of coordinate (10, 20), i.e. 20
? CRDY(PNTCRD(Rainfall,"PROMIC")) | returns the Y component of the coordinate of rainfall station PROMIC in point map Rainfall, e.g. 8080483.000
? CRDY(MAPCRD(DEM,120,150)) | returns the Y coordinate of raster map DEM at row 120 and column 150, e.g. 8088130

TabCalc examples:

OutCol = CRDY(Coordinate)

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | OutCol
1 | UMSS | (803429.00, 8074631.00) | 8074631.00
2 | Taquina | (799748.00, 8082415.00) | 8082415.00
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 8087422.00
4 | Laguna Totura | (801281.00, 8088967.00) | 8088967.00
5 | PROMIC | (802613.00, 8080483.00) | 8080483.00
6 | Aro Caqua | (806816.00, 8076585.00) | 8076585.00
7 | Colca Pithua | (797465.00, 8078352.00) | 8078352.00
8 | Cerro MachaMach | (796346.00, 8087736.00) | 8087736.00
9 | Laguna WaraWara | (806042.00, 8085414.00) | 8085414.00

Note:

Column Coordinate uses the coordinate system of the point map.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
TRANSFORM | MAXCRDX | MAPCOL | DIST2
 | MAXCRDY | MAPVALUE |


CUM

Map and Table Calculation

CUM( ) function

Returns the cumulative sum of a ValueColumn, or
returns the cumulative sum of a ValueColumn according to a certain sort order.

Syntax

CUM(ValueColumn)
CUM(ValueColumn, SortColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain
SortColumn | is a column on which you wish to sort before calculating the cumulative sum

Output

CUM returns: | a value
Domain: | system domain Value

Note:

When a value in the input column is undefined, the record is excluded from the calculation.

Tips:

  • If you choose to sort on a column during a cumulative sum, it is a good idea to sort the table on that column as well: choose Sort from the Columns menu.
  • To calculate the sum of a column or the sum per group of a column, see the AGGSUM function. You can also use the SUM function to calculate the sum of a column.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = CUM(InCol)
OutCol2 = CUM(InColA, InColB)

InCol | OutCol1 | InColA | InColB | OutCol2
-5 | -5 | -5 | Commercial | -2
-2 | -7 | -2 | Commercial | -3
-1 | -8 | -1 | Industrial | 5
0 | -8 | 0 | Institutional | 16
? | ? | ? | Institutional | 11
4 | -4 | 4 | Recreational | 20
8 | 4 | 8 | Residential | ?
9 | 13 | 9 | Residential | 24
11 | 24 | 11 | Residential | 24

See also:

MIN | AVG | VAR | TTEST
MAX | STD | COV | CHISQUARE
SUM | STDEV | COVAR | Cumulative Column
CNT | STDERR | CORR |


%D

Map and Table Calculation

Predefined variable %D

Returns the distance between the central pixel and its neighbouring ones.

Syntax

%D

Notes:

  • D stands for Distance.
  • %D and NBDIS are aliases of each other. For more information, see Map Calculation : Neighbourhood operations & iterations.
  • The distance to the central pixel is 0, the distance to pixels on positions 2, 4, 6, and 8 is 1, and the distance to pixels on positions 1, 3, 7 and 9 is √2 (i.e. ≈ 1.4).
    Position of neighbours: Return values:
    1 | 2 | 3
    4 | 5 | 6
    7 | 8 | 9
    1.4 | 1 | 1.4
    1 | 0 | 1
    1.4 | 1 | 1.4

Tip

%D is generally multiplied by the pixel size of a raster map or a georeference, for instance like: %D * PIXSIZE(RasterMap) or %D * PIXSIZE(GeoReference.grf).

Usable in

MapCalc

Examples

See How to calculate distances using iterations.

See also:

%X

%Y

%L

%C

%R

%K

%P


DEGRAD

Map and Table Calculation

DEGRAD( ) function

Converts degrees to radians, i.e. Value*2p/360.

Syntax

DEGRAD(Value)

Input

Value | is a value in degrees
Domain type: | any Value domain

Output

DEGRAD returns: | a value in radians
Domain: | system domain Value

Note:

When the input value is undefined, the output will also be undefined.

Tips:

  • The DEGRAD function is often used in combination with trigonometric functions such as SIN, ASIN, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? DEGRAD(90) | returns 1.5708
? TAN(DEGRAD(60)) | returns 1.732

MapCalc example:

OutMap = DEGRAD(InMap)

InMap

OutMap

180 | 90 | 45
30 | 0 | -60
? | -45 | 270

3.1416 | 1.5708 | 0.7854
0.5236 | 0.0000 | -1.047
? | -0.785 | 4.7124

TabCalc example:

OutCol = DEGRAD(InCol)

InCol | OutCol
0 | 0.0000
30 | 0.5236
45 | 0.7854
90 | 1.5708
180 | 3.1416
270 | 4.7124
? | ?
-45 | -0.7854
-60 | -1.0472

See also:

RADDEG


DEGREE

Map and Table Calculation

DEGREE( ) function

Converts a string with degrees, minutes, seconds to decimal degrees.

Syntax

DEGREE(String)

Input

String | a string with degrees, minutes, seconds as DDD°MM'SS" or DDD MM SS, optionally followed by N (North), S (South), E (East) or W (West)
Domain: | system domain String

Output

DEGREE returns: | is a value in degrees
Domain type: | system domain Value

Notes:

  • The DEGREE function is the inverse of the DMS function.
  • The degrees, minutes and minutes in the input string may be separated by °, ', " (as DDD°MM'SS") or by spaces (as in DDD MM SS).
  • The input string may optionally be followed by N (North), S (South), E (East) or W (West).
  • A minus sign, or an S or W character in the input string will result in a negative output value.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? DEGREE("7 30 18") | returns 7.5050
? DEGREE("7 30 18 S") | returns -7.5050

TabCalc example:

OutCol = DEGREE(InCol)

InCol | OutCol
25°00'00" | 25.000
-25°00'00" | -25.000
45°00'00"N | 45.000
45°07'30"S | 45.125
45°15'00" | 45.250
45°30'00" | 45.500
45°45'00" | 45.750

See also:


DIST

Map and Table Calculation

DIST( ) function

Returns the distance between two coordinates.

Syntax

DIST(Coordinate a, Coordinate b)

Input

Coordinate a | is an (X,Y) coordinate
Domain type: | a coordinate system
Coordinate b | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

DIST returns: | a value
Domain: | system domain Value

Notes:

  • The coordinate system(s) of the input coordinates are ignored.
  • The distance is calculated in a plane as √(Dx2+Dy2).

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

Simple calculators, TabCalc, MapCalc

Examples

Pocket line calculator examples:

? DIST(COORD(10,10),COORD(13,14))

returns the distance between coordinate (10,10) and coordinate (13,14), i.e. 5

? DIST(MAPCRD(Geology,1,1),MAPCRD(Geology,1,MAPCOLS(Geology)))

returns the distance (e.g. 12720.000 m) of a pixel at the left boundary and a pixel at the right boundary of map Geology. Since the map has a rectangular shape you can use any row number you like. In this example the first one is taken.

Note: The function MAPCOLS returns the number of columns in a map. Therefore, it is unnecessary to put the map on the screen to find out which column is the last one.

TabCalc example:

Point map Rainfall shows the location of rainfall stations in the area of Cochabamba, Bolivia. To calculate the distance between rainfall station PROMIC and all other rainfall stations, type on the command line of the table window:

Distance = DIST(Coordinate,PNTCRD(Rainfall,"PROMIC"))

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | Distance
1 | UMSS | (803429.00, 8074631.00) | 5908.617
2 | Taquina | (799748.00, 8082415.00) | 3455.553
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 6996.865
4 | Laguna Totura | (801281.00, 8088967.00) | 8587.926
5 | PROMIC | (802613.00, 8080483.00) | 0.000
6 | Aro Caqua | (806816.00, 8076585.00) | 5732.331
7 | Colca Pithua | (797465.00, 8078352.00) | 5571.630
8 | Cerro MachaMach | (796346.00, 8087736.00) | 9585.473
9 | Laguna WaraWara | (806042.00, 8085414.00) | 6006.064

Tip

To interactively measure distances in a map, in a plane and/or on a sphere or ellipsoid, use the Measure Distance tool in a map window.

Applied example:

By using the function DIST, you can calculate a map showing an area within a certain distance around a point. When you want to calculate the area within a distance of 2000 m from rainfall station PROMIC, type in the command line of the Main window:

DistPromic = DIST(PNTCRD(Rainfall,"PROMIC"), MAPCRD(Rainfall)) < 2000

Rainfall | DistPromic

Map Rainfall is a raster map showing the location of several rainfall stations. The point indicated by a +, is the rainfall station PROMIC. Map DistPromic shows the area (with a radius of 2000m) around this station.

Note:

This is a an expensive operation in the sense that ILWIS has to calculate for every pixel in the raster map the distance to the location of rainfall station PROMIC; this may take time.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST2
CRDY | MAXCRDX | MAPCOL |
TRANSFORM | MAXCRDY | MAPVALUE |


DIST2

Map and Table Calculation

DIST2( ) function

Returns the square of the distance between two coordinates.

Syntax

DIST2(Coordinate a, Coordinate b)

Input

Coordinate a | is an (X,Y) coordinate
Domain type: | a coordinate system
Coordinate b | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

DIST2 returns: | a value
Domain: | system domain Value

Notes:

  • The DIST2 function returns for two coordinates the sum of squared distance in X-direction and the squared distance in Y-direction (Dx2+Dy2).
  • The coordinate system(s) of the input coordinates are ignored.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

Simple calculators, TabCalc, MapCalc

Examples

Pocket line calculator examples:

? DIST2(COORD(10,15),COORD(20,20))
 | returns the square distance between coordinate (10,15) and coordinate (20,20), i.e. 125
? DIST2(COORD(10,15,LatLon),COORD(20,20,LatLonWGS84))
 | returns the square distance between coordinate (10,15) and coordinate (20,20) ignoring the coordinate systems, i.e. 125

TabCalc example:

Point map Rainfall shows the location of rainfall stations in the area of Cochabamba, Bolivia. To calculate the squared distance between rainfall station PROMIC and all other rainfall stations, type on the command line of the table window:

Distance = DIST2(Coordinate,PNTCRD(Rainfall,"PROMIC"))

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | Distance
1 | UMSS | (803429.00, 8074631.00) | 34911760.000
2 | Taquina | (799748.00, 8082415.00) | 11940849.000
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 48956125.000
4 | Laguna Totura | (801281.00, 8088967.00) | 73752480.000
5 | PROMIC | (802613.00, 8080483.00) | 0.000
6 | Aro Caqua | (806816.00, 8076585.00) | 32859613.000
7 | Colca Pithua | (797465.00, 8078352.00) | 31043065.000
8 | Cerro MachaMach | (796346.00, 8087736.00) | 91881298.000
9 | Laguna WaraWara | (806042.00, 8085414.00) | 36072802.000

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDX | MAPCOL |
TRANSFORM | MAXCRDY | MAPVALUE |


DIV

Map and Table Calculation

DIV operator

The integer division operator divides two integers and returns the integer quotient, i.e. a DIV b.

Syntax

a DIV b

Input

a | is an integer value
Domain type: | any Value domain
b | is an integer value
Domain type: | any Value domain

Output

DIV returns: | a integer value
Domain: | system domain Value

Notes:

  • When b is 0 the output will be undefined.
  • When one input parameter is undefined or both of the input parameters are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 DIV 2 | returns 5
? 2^3/4 | returns 2.00

MapCalc example:

OutMap = InMapA DIV InMapB

InMapA

InMapB

OutMap

10 | 20 | 30
-40 | 50 | 60
70 | ? | 90

1 | 2 | 3
4 | 0 | -1
? | -2 | -3

10 | 10 | 10
-10 | ? | -60
? | ? | -30

TabCalc example:

OutCol = InColA DIV InColB

InColA | InColB | OutCol
10 | 1 | 10
20 | 2 | 10
30 | 3 | 10
-40 | 4 | -10
50 | 0 | ?
60 | -1 | -60
70 | ? | ?
? | -2 | ?
90 | -3 | -30

See also:

+ | /
- | ^
* | MOD


DMS

Map and Table Calculation

DMS( ) function

Converts decimal degrees to a string with degrees, minutes, seconds.

Syntax

DMS(Value)

Input

Value | is a value in degrees
Domain type: | any Value domain

Output

DMS returns: | a string with degrees, minutes, seconds, as DDD°MM'SS"
Domain: | system domain String

Notes:

  • The DMS function is the inverse of the DEGREE function.
  • A negative input value will result in an output with a minus sign.
  • To obtain a string which indicates the latitude (N or S) or the longitude (E or W), use the LAT or the LON function.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? DMS(-7.5050)

returns -7°30'18.000"

TabCalc example:

OutCol = DMS(InCol)

InCol | OutCol
25.0000 | 25°00'00.000"
-25.0000 | -25°00'00.000"
45.0000 | 45°00'00.000"
45.1250 | 45°07'30.000"
45.2500 | 45°15'00.000"
45.5000 | 45°30'00.000"
45.7500 | 45°45'00.000"

aSee also:


EXP

Map and Table Calculation

EXP( ) function

Returns the base of the natural logarithm e raised to a power a, i.e. ea.

Syntax

EXP(Value)

Input

Value | is the exponent to which e is raised
Domain type: | any Value domain

Output

EXP returns: | a real value
Domain: | system domain Value
Value range: | >0

Notes:

  • Constant value e (approximately 2.718282) can be used on the command line by typing EXP(1).
  • The EXP function is the inverse of the LN function
  • When the input value is undefined, the output will also be undefined.

Tips:

  • Use the POW function or the exponential operator ^ to calculate powers of other bases.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? EXP(1) | returns 2.7183
? EXP(SQ(2)) | returns 54.5982

MapCalc example:

OutMap = EXP(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.0 | -1.0
? | -0.4 | -0.1

7.3891 | 2.7183 | 1.6487
1.2214 | 1.0000 | 0.3679
? | 0.6703 | 0.9048

TabCalc example:

OutCol = EXP(InCol)

InCol | OutCol
2.0 | 7.3891
1.0 | 2.7183
0.5 | 1.6487
0.2 | 1.2214
0.0 | 1.0000
-1.0 | 0.3679
? | ?
-0.4 | 0.6703
-0.1 | 0.9048

Applied example: exponential growth functions

In general, an exponential growth function is defined as:

An = A0 * eperc/100*n

where:

An | is the amount after n years
A0 | is the amount in year 0
perc | is the growth rate as a percentage per year
n | is the number of years

In ILWIS this function looks like:

An = A0 * EXP(perc/100*n)

The expected total residential area after 4 years, of a residential area of 1136 ha with an estimated growth rate of 6% per year, is:

1136 * EXP(6/100*4) = 1444

For the other landuse areas the results are:

LandUse | AreaHaY0 | GrowPerc | AreaHaY4
Residential | 1136 | 6 | 1444
Commercial | 116 | 2 | 126
Industrial | 173 | 3 | 195
Institutional | 137 | 1 | 143
Recreational | 77 | 2 | 83
Transportation | 18 | 1 | 19

Where:

Column AreaHaY0 contains the areas in hectares for each land use class in year 0.

Column GrowPerc contains growth rates per year.

Column AreaHaY4 contains the areas of the land use classes after 4 years.

Notes:

  • Instead of years you may also calculate in months, days, etc.
  • For an example of another growth function, see the POW() function

See also:

SQ | HYP
SQRT | POW

Laws of exponents


FLOOR

Map and Table Calculation

FLOOR( ) function

Rounds down, i.e. returns the nearest long integer value that is smaller than or equal to the specified input value.

Syntax

FLOOR(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

FLOOR returns: | a long integer value
Domain: | system domain Value

Notes:

  • Rounding down is also called truncation.
  • When the input value is undefined, the output value will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? FLOOR(0.5) | returns 0
? FLOOR(2.4) | returns 2
? FLOOR(ABS(-3.5)) | returns 3

MapCalc example:

OutMap = FLOOR(InMap)

InMap

OutMap

1.4 | 1.5 | 1.6
? | 0 | 1
-1.6 | -1.5 | -1.4

1 | 1 | 1
? | 0 | 1
-2 | -2 | -2

TabCalc example:

OutCol = FLOOR(InCol)

InCol | OutCol
-1.6 | -2
-1.5 | -2
-1.4 | -2
? | ?
0 | 0
1 | 1
1.4 | 1
1.5 | 1
1.6 | 1

See also:

ROUND

CEIL


HYP

Map and Table Calculation

HYP( ) function

Returns the hypotenuse Ö(a2 + b2), i.e. the positive square root of the sum of Value a square and Value b square.

Syntax

HYP(Value a, Value b)

Input

Value a | is a value
Domain type: | any Value domain
Value b | is a value
Domain type: | any Value domain

Output

HYP returns: | a real value
Domain: | system domain Value
Value range: | >=0

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • The HYP function finds the side opposite the right angle in a right-angled triangle and is often used in slope calculations. See the applied example below.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? HYP(1,1) | returns 1.4142, i.e. Ö2
? HYP(3,4) | returns 5.0000

MapCalc example:

OutMap = HYP(InMapA,InMapB)

MapA

MapB

OutMap

1 | 2 | 3
-2 | 0 | ?
? | 4 | -9

1 | 2 | 4
3 | 1 | 8
9 | 6 | 0

1.4142 | 2.8284 | 5.0000
3.6056 | 1.0000 | ?
? | 7.2111 | 9.0000

TabCalc example:

OutCol = HYP(InColA,InColB)

InColA | InColB | OutCol
1 | 1 | 1.4142
2 | 2 | 2.8284
3 | 4 | 5.0000
-2 | 3 | 3.6056
0 | 1 | 1.0000
? | 8 | ?
? | 9 | ?
4 | 6 | 7.2111
-9 | 0 | 9.0000

Applied example: calculation of slope values in percentages

The exponential HYP function can for instance be used to calculate slope values in percentages, from 2 input maps which contain heigth differences in x-direction (map DX) and in y-direction (map DY).

DX

DY

Slopepct

-8.0 | -0.2 | 9.2
-9.7 | 1.1 | 10.8
-8.0 | -0.4 | 13.0

6.3 | 11.3 | 3.7
8.3 | 7.3 | 8.8
7.7 | 0.8 | 18

50.9 | 56.5 | 49.6
63.8 | 36.9 | 69.7
55.5 | 4.5 | 111.02

Slopepct = (HYP(DX,DY)/PIXSIZE(DX)) * 100

PIXSIZE(DX) is a function which retrieves the pixel size of map DX. You can also directly fill out the pixel size of the input maps yourself (in this case 20). The results may exceed 100%, as a slope of 45° is equal to 100%.

See also:

SQ | POW
SQRT | EXP

Laws of exponents


IFF

Map and Table Calculation

IFF( ) function

If a is true, then return b, else return c.

Syntax

IFF(a, b, c)

Input

a | is the test condition: a boolean expression containing at least one map name or one column name.
b, c | an expression containing at least one map name or one column name, or simply a value, class name, ID, etc.

Output

IFF returns: if a=true, b is returned;
if a=false, c is returned;
if a=undefined, undefined is returned.
Domain: system domain Value;

the class/ID domain returned by c;

if c returns a string or undefined value, the class/ID domain returned by b;

if both b and c return a string, no default output domain.

Notes:

  • The conditional IFF may be used for all types of input data: values, classes, IDs and groups.
  • Merging Class or ID domains during calculations does not work properly when the IFF function is used. For more information, refer to Map and Table Calculation : Merging domains (workaround).
  • The amount of nested IFF statements is unlimited.
  • When a is undefined, the output will also be undefined.
  • When calculating with classes or IDs of a class or ID domain, you need to use double quotes around the "class names", "IDs", etc.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc

Examples

MapCalc example using a value map:

OutMap = IFF(DEM > 20, 50, 10)

DEM

OutMap

45 | 40 | 30
? | 15 | 10
10 | 15 | 30

50 | 50 | 50
? | 10 | 10
10 | 10 | 50

If a pixel in a Digital Elevation Model (map DEM) has a value greater than 20, then assign 50 to this pixel in output map OutMap, else assign 10.

MapCalc example using a class map:

OutMap = IFF(Landuse="Coffee", 50, 10)

Landuse

OutMap

C | C | G
F | F | ?
G | C | C

50 | 50 | 10
10 | 10 | ?
10 | 50 | 50

If in map Landuse a pixel belongs to class Coffee, then assign 50 to this pixel in output map OutMap, else assign 10.

Note:

Read in the Landuse map for C=Coffee, G=Grassland, and for F=Forest.

MapCalc example using a conditional IFF and a logical AND:

OutMap1 = IFF ((Landuse="Coffee") AND (DEM>=20), 50, 10)

OutMap2 = IFF ((Landuse="Coffee") AND (INRANGE(DEM,5,25), "True", "False")

The previous formula as above can also be written as:

OutMap2 = (Landuse="Coffee") AND (INRANGE(DEM,5,25)

Landuse

DEM

OutMap1

OutMap2

C | C | G
F | F | ?
G | C | C

45 | 40 | 30
? | 15 | 10
10 | 15 | 30

50 | 50 | 10
10 | 10 | 10
10 | 10 | 50

False | False | False
False | False | ?
False | True | False

  • OutMap1: If a pixel belongs to class Coffee in map Landuse and at the same time this pixel has a value greater than or equal to 20 in map DEM, then assign a 50 to this pixel in output map OutMap1, else assign a 10.
  • OutMap2: If a pixel belongs to class Coffee in map Landuse and at the same time this pixel has a value in between 5 and 25 in map DEM, then assign True to this pixel in output map OutMap2, else assign False.

Note:

Read in the Landuse map for C=Coffee, G=Grassland, and for F=Forest.

TabCalc examples:

Suitability1 = IFF (SoilDepth > 0.20, "Suitable", "Not Suitable")

Suitability2 = IFF ((SoilDepth > 0.20) AND (Phosphate > 30), True, False)

The second formula can also be written as:

Suitability2 = (SoilDepth > 0.20) AND (Phosphate > 30)

SoilLevel=IFF(SoilDepth<0.20,1,IFF(SoilDepth<0.40,2,IFF(SoilDepth<0.80,3,IFF(SoilDepth<1.60,4,0))))

SoilDepth | Phosphate | Suitability1 | Suitability2 | SoilLevel
0.15 | 8 | Not Suitable | False | 1
0.45 | 34 | Suitable | True | 3
0.90 | 10 | Suitable | False | 4
0.20 | 25 | Not Suitable | False | 2

  • If the first expression SoilDepth is greater than 0.20 is true, then Suitable is assigned in column Suitability1, else, if SoilDepth is less than or equal to 0.20, Not Suitable is assigned.
  • In expressions two and three a logical AND is used together with a conditional IFF. Only if both conditions are true, i.e. SoilDepth is greater than 0.20 and Phosphate is greater than 30, then a True is assigned, else a False is assigned.
  • Expression 4 nests four IFF statements. In words the expression means:
    - If column SoilDepth is less than 1.60, then assign a 4 to column SoilLevel, else assign a 0 to column SoilLevel
    - If column SoilDepth is less than 0.80, then assign a 3 to column SoilLevel, else
    - If column SoilDepth is less than 0.40, then assign a 2 to column SoilLevel, else
    - If column SoilDepth is less than 0.20, then assign a 1 to column SoilLevel.

See also:

IFUNDEF
ISUNDEF
IFNOTUNDEF
Map and Table Calculation : Assigning undefined values
How to calculate with undefineds in maps and tables
Map and Table Calculation : Merging domains (workaround)


IFNOTUNDEF

Map and Table Calculation

IFNOTUNDEF( ) function

If a is not undefined, then return b, else return undefined.
If a is not undefined, then return b, else return c.

Syntax

IFNOTUNDEF(a, b)
IFNOTUNDEF(a, b, c)

Input

a | is the test condition: a boolean expression containing at least one map name or one column name.
b, c | an expression containing at least one map name or one column name, or simply a value, class name, ID, etc.

Output

IFNOTUNDEF returns: if a is not undefined, b is returned;
if a is undefined and c is specified then c is returned;
if a is undefined and c is not specified, undefined is returned.
Domain:

system domain Value;

  • when using IFNOTUNDEF(a, b), the output domain will use reals if b uses real values; else integers will be used;
  • when using IFNOTUNDEF(a, b, c), the output domain will use reals when either b or c uses real values; else integers will be used;

the class/ID domain returned by c;

  • if c returns a string or undefined value, the class/ID domain returned by b;
  • if both b and c return a string, no default output domain;
  • if c is not specified and b returns a string or undefined value, the class/ID domain of a.

Notes:

  • The functions ISUNDEF, IFUNDEF or IFNOTUNDEF are the only functions that do NOT return an undefined when the input is undefined.
  • When using IFNOTUNDEF(a, b), the internal calculation will use reals if b uses real values; else integers will be used.
  • When using IFNOTUNDEF(a, b, c), the internal calculation will use reals when either b or c uses real values; else integers will be used.
  • When calculating with a non-value domain, you need to use double quotes around the class names, IDs, etc.
  • It is not possible to test for undefined values by using expressions like:
    OUT = IFF(Landuse="?",...,...)
    OUT = IFF(DEM=?,...,...)
  • To assign undefined values, see Map and Table Calculation : Assigning undefined values.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc

Examples

MapCalc example using a value map:

OutMap1 = IFNOTUNDEF(InMap,100)

OutMap2 = IFNOTUNDEF(InMap,10,50)

InMap

OutMap1

OutMap2

3 | ? | 4
? | 1 | ?
5 | 2 | 6

100 | ? | 100
? | 100 | ?
100 | 100 | 100

10 | 50 | 10
50 | 10 | 50
10 | 10 | 10

  • In OutMap1, every undefined pixel in map InMap remains undefined. Every defined pixel is assigned a value of 100.
  • In OutMap2, every undefined pixel in map InMap gets the value 50. Every defined pixel is assigned a value of 10.

MapCalc example using a class map:

OutMap1 = IFNOTUNDEF(Landuse,"Suitable")

OutMap2 = IFNOTUNDEF(Landuse,"Suitable","Not Suitable")

Landuse

OutMap1

OutMap2

? | F | G
L | L | ?
G | ? | F

? | S | S
S | S | ?
S | ? | S

N | S | S
S | S | N
S | N | S

  • In OutMap1, class name "Suitable" (i.e. S) is assigned for every defined pixel in map Landuse. For all undefined pixels, undefined (?) is returned.
  • In OutMap2, class name "Suitable" (i.e. S) is assigned for every defined pixel in map Landuse. For all undefined pixels "Not Suitable" (i.e. N) is assigned.

Note:

In map Landuse: F=Forest, G=Grassland and L=Lake.

TabCalc examples:

OutCol1 = IFNOTUNDEF(Population,1000)

OutCol2 = IFNOTUNDEF(Population,1000,5000)

OutCol3 = IFNOTUNDEF(Landuse,"Suitable")

OutCol4 = IFNOTUNDEF(Landuse,"Suitable","Not Suitable")

Sitenr | Population | Landuse | OutCol1 | OutCol2 | OutCol3 | OutCol4
1 | 850 | Crops | 1000 | 1000 | Suitable | Suitable
2 | ? | Grassland | ? | 5000 | Suitable | Suitable
3 | 600 | Urban area | 1000 | 1000 | Suitable | Suitable
4 | 950 | ? | 1000 | 1000 | ? | Not Suitable
5 | 1250 | Crops | 1000 | 1000 | Suitable | Suitable
6 | 450 | ? | 1000 | 1000 | ? | Not Suitable
7 | ? | Grassland | ? | 5000 | Suitable | Suitable
8 | 900 | Urban area | 1000 | 1000 | Suitable | Suitable

  • To Column OutCol1, value 1000 is assigned when a record of column Polulation is defined; when a record in column Population is undefined, undefined is returned.
  • To Column OutCol2, value 1000 is assigned when a record of column Population is defined; when a record in column Population is undefined a value of 5000 is assigned.
  • To Column OutCol3, class name "Suitable" is assigned when a record of column Landuse is defined; when a record in column Landuse is undefined, undefined (?) is returned.
  • To Column OutCol4, class name "Suitable" is assigned when a record of column Landuse is defined; when a record in column Landuse is undefined, "Not Suitable" is assigned.

See also:

ISUNDEF
IFUNDEF
IFF
Map and Table Calculation : Assigning undefined values
How to calculate with undefineds in maps and tables
Map and Table Calculation : Merging domains (workaround)


IFUNDEF

Map and Table Calculation

IFUNDEF( ) function

If a is undefined, then return b, else return a.
If a is undefined, then return b, else return c.

Syntax

IFUNDEF(a, b)
IFUNDEF(a, b, c)

Input

a | is the test condition: a boolean expression containing at least one map name or one column name.
b, c | an expression containing at least one map name or one column name, or simply a value, class name, ID, etc.

Output

IFUNDEF returns: if a is undefined, b is returned;
if a is not undefined and c is specified, c is returned;
if a is not undefined and c is not specified, a is returned.
Domain:

system domain Value;

the class/ID domain returned by c;

if c returns a string or undefined value, the class/ID domain returned by b;

if both b and c return a string, no default output domain;

if c is not specified and b returns a string or undefined value, the class/ID domain of a.

Notes:

  • The function IFUNDEF(a, b, c) gives the same result as the expression IFF(ISUNDEF(a), b, c).
  • The functions ISUNDEF, IFNOTUNDEF or IFUNDEF are the only functions that do NOT return an undefined when the input is undefined.
  • When using IFUNDEF(a, b), the internal calculation will use reals if b uses real values; else integers will be used.
  • When using IFUNDEF(a, b, c), the internal calculation will use reals when either b or c uses real values; else integers will be used.
  • When calculating with a non-value domain, you need to use double quotes around the class names, IDs, etc. If c is a new class name or ID a question will be asked whether you wish to add the new class name or ID to the existing domain of a. You can answer Yes.
  • It is not possible to test for undefined values by using expressions like:
    OUT = IFF(Landuse="?",...,...)
    OUT = IFF(DEM=?,..,....)
  • To assign undefined values, see Map and Table Calculation : Assigning undefined values.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc

Examples

MapCalc example using a value map:

OutMap = IFUNDEF(DEM,1000)

OutMap = IFUNDEF(DEM,1000,DEM)

InMap

OutMap

300 | ? | 400
? | 100 | ?
500 | 200 | 600

300 | 1000 | 400
1000 | 100 | 1000
500 | 200 | 600

Note: The following expression will give the same result:
OutMap = IFF(ISUNDEF(DEM),1000,DEM)

MapCalc example using a class map:

OutMap = IFUNDEF (Landuse,"Mountains")

OutMap = IFUNDEF(Landuse,"Mountains",Landuse)

Landuse

OutMap

? | F | G
L | L | ?
G | ? | F

M | F | G
L | L | M
G | M | F

In OutMap, class name "Mountains" (i.e. M) is assigned for every undefined pixel in map Landuse. To all other pixels, the original class name is assigned (F=Forest, G=Grassland, L=Lake).

Note: The following expression will give the same result:
OutMap = IFF(ISUNDEF(Landuse),"Mountains",Landuse)

TabCalc examples:

OutCol1 = IFUNDEF(Population,0)

OutCol1 = IFUNDEF(Population,0,Population)

OutCol2 = IFF(ISUNDEF(Landuse),"Mountains")

OutCol2 = IFF(ISUNDEF(Landuse),"Mountains",Landuse)

Sitenr | Population | Landuse | OutCol1 | OutCol2
1 | 850 | Crops | 850 | Crops
2 | ? | Grassland | 0 | Grassland
3 | 600 | Urban area | 600 | Urban area
4 | 950 | ? | 950 | Mountains
5 | 1250 | Crops | 1250 | Crops
6 | 450 | ? | 450 | Mountains
7 | ? | Grassland | 0 | Grassland
8 | 900 | Urban area | 900 | Urban area

  • Value 0 is assigned to output column OutCol1, when a record of column Population is undefined; else the original value is assigned.
  • Class name "Mountains" is assigned to output column OutCol2 when a record of column Landuse is undefined; else the original class name is assigned.

See also:

ISUNDEF
IFNOTUNDEF
IFF
Map and Table Calculation : Assigning undefined values
How to calculate with undefineds in maps and tables
Map and Table Calculation : Merging domains (workaround)


IN

Map and Table Calculation

IN( ) function

Tests whether String b is part of or equal to String a.

Syntax

IN(String a, String b)

Input

String a | is a string
Domain type: | any Class or ID domain or system domain String
String b | is a string
Domain type: | any Class or ID domain or system domain String

Output

IN returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The IN function is similar to the INMASK function.
  • Strings of a class or ID domain or a string column must be enclosed by double quotes, e.g. "MyClass".
  • The IN function does not accept wildcards in the input strings.
  • When one input string is undefined or both of the input strings are undefined, the output will also be undefined.

Tips:

  • For quick display purposes, you can also specify a mask in the Display Options dialog box of a polygon, segment or point map.
  • For quick calculation results, it is advised to use boolean expressions containing complete class names or IDs or their codes between quotes, in combination with the OR and/or AND operators. For example, the expression OutMap=(Landuse="Agriculture") OR (Landuse="Agriculture(irrigated)") is calculated much faster than the expression OutMask = INMASK(Landuse,"Agri*").
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? IN("VeryLongString","Long") | returns True
? IN("VeryLongString","long") | returns True
? IN("ABC","123") | returns False

MapCalc example:

Raster map Geomorphology uses class domain Geomorphology which contains among others the items "Glacial cirque", "Glacial lake", "Glacial slope" and "Glacial valley". To find all areas that are glacial, type on the command line of the Main window:

Glacial = IN(Geomorphology,"Glacial")

Geomorphology

Glacial

sf | gc | se
al | gs | gv
? | il | gl

False | True | False
False | True | True
? | False | True

Legend
al | Active landslide
gc | Glacial cirque
gl | Glacial lake
gs | Glacial slope
gv | Glacial valley
il | Infilled lake
ol | Old landslide
se | Slope with minor erosion
sf | Steep slope near a fault

Raster map Geomorphology has attribute table Geomorphology, in which class column Zonation contains several times the item "Steep slopes". To find all areas with steep slopes in map Geomorphology, type on the command line of the Main window:

Steep = IN(Geomorphology.zonation,"Steep")

Output map Steep will return True for all areas of the raster map Geomorphology where attribute column Zonation contains the string "Steep"; False will be returned for all other classes.

TabCalc example:

Glacial = IN(%K,"Glacial")

Steep = IN(Zonation,"Steep")

Domain Geomorphology | Zonation | Glacial | Steep
Accumulation of debris on slope | Steep slopes | False | True
Active landslide | Steep slopes | False | True
Alluvial fan (flooding possible) | Alluvial fan | False | False
Alluvial fan (no flooding possible) | Alluvial fan | False | False
Dipslope | Highest part | False | False
Face slope | Highest part | False | False
Flat area near a fault | Steep slopes | False | True
Glacial cirque | Highest part | True | False
Glacial lake | Highest part | True | False
Glacial slope | Highest part | True | False
Glacial valley | Highest part | True | False
Heavily eroded area | Steep slopes | False | True
Hills near a fault | Steep slopes | False | True
Infilled lake | Flat area | False | False
Old landslide | Steep slopes | False | True
Ridge | Steep slopes | False | True
Slope with minor erosion | Steep slopes | False | True
Steep slope near a fault | Steep slopes | False | True
Valley in alluvial fan | Alluvial fan | False | False

See also:

LEFT | STRLT | STRPOS
RIGHT | STRLE | INMASK
SUB | STRGT |
LENGTH | STRGE |


INMASK

Map and Table Calculation

INMASK( ) function

Tests whether the string(s) specified in the "Mask" occur in String.

Syntax

INMASK(String, "Mask")

Input

String | is a string
Domain type: | any Class or ID domain, or system domain String
Mask | is the mask. In the mask, you can specify multiple search strings, each separated by a comma; you may use wildcards, i.e. asterisks (*) and question marks (?)

Output

INMASK returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The INMASK function is similar to the IN function.
  • The INMASK function offers the opportunity for a simple check if certain words, characters, numbers, codes, etc. occur in a column or a map.
  • You can use wildcard ? when you are not interested in a character or number on a certain position. The wildcard * is used to omit one or more characters.
  • The total mask has to be enclosed by double quotes, e.g. "Agriculture, Forest".
  • When the input string is undefined, the output will also be undefined.

Tips:

  • For quick display purposes, you can also specify a mask in the Display Options dialog box of a polygon, segment or point map.
  • For quick calculation results, it is advised to use boolean expressions containing complete class names or IDs or their codes between quotes, in combination with the OR and/or AND operators. For example, the expression OutMap=(Landuse="Agriculture") OR (Landuse="Agriculture(irrigated)") is calculated much faster than the expression OutMask = INMASK(Landuse,"Agri*").
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? INMASK("VeryLongString","Long") | returns False
? INMASK("VeryLongString","*Long*") | returns True
? INMASK("VeryLongString","123") | returns False

MapCalc example:

Raster map Geomorphology uses class domain Geomorphology which contains among others the items "Glacial cirque", "Glacial lake", "Glacial slope", "Glacial valley", "Active landslide" and "Old landslide". To find all areas that are glacial or that contain landslides, type on the command line of the Main window:

OutMap1 = INMASK(Geomorphology,"Glacial*,*landslide")

Geomorphology

OutMap1

sf | gc | se
al | gs | gv
? | il | gl

False | True | False
True | True | True
? | False | True

Legend
al | Active landslide
gc | Glacial cirque
gl | Glacial lake
gs | Glacial slope
gv | Glacial valley
il | Infilled lake
ol | Old landslide
se | Slope with minor erosion
sf | Steep slope near a fault

Raster map Geomorphology has attribute table Geomorphology, in which class column Zonation contains several times the item "Steep slopes". To find all areas with steep slopes in map Geomorphology, type on the command line of the Main window:

OutMap2 = INMASK(Geomorphology.Zonation,"Steep*")

Output map OutMap2 will return True for all areas of the Geomorphology map where attribute column Zonation contains the string "Steep" and False for all other classes.

TabCalc example:

Code = CODE(%K)

OutCol1 = INMASK(%K,"Glacial*,*landslide")

OutCol2 = INMASK(%K,"g?,al,ol")

OutCol3 = INMASK(Zonation,"Steep*")

Domain of table Geology | Code | Zonation | OutCol1 | OutCol2 | OutCol3
Accumulation of debris on slope | ad | Steep slopes | False | False | Not Suitable
Active landslide | al | Steep slopes | True | True | Not Suitable
Alluvial fan (flooding possible) | af | Alluvial fan | False | False | Suitable
Alluvial fan (no flooding possible) | an | Alluvial fan | False | False | Suitable
Dipslope | ds | Highest part | False | False | Suitable
Face slope | fs | Highest part | False | False | Suitable
Flat area near a fault | fa | Steep slopes | False | False | Not Suitable
Glacial cirque | gc | Highest part | True | True | Suitable
Glacial lake | gl | Highest part | True | True | Suitable
Glacial slope | gs | Highest part | True | True | Suitable
Glacial valley | gy | Highest part | True | True | Suitable
Heavily eroded area | he | Steep slopes | False | False | Not Suitable
Hills near a fault | hf | Steep slopes | False | False | Not Suitable
Infilled lake | il | Flat area | False | False | Suitable
Old landslide | ol | Steep slopes | True | True | Not Suitable
Ridge | ri | Steep slopes | False | False | Not Suitable
Slope with minor erosion | se | Steep slopes | False | False | Not Suitable
Steep slope near a fault | sf | Steep slopes | False | False | Not Suitable
Valley in alluvial fan | yf | Alluvial fan | False | False | Suitable

%K calculates with the items in the domain of the table. For OutCol1, the calculation is performed on the class names in the domain. For OutCol2, the calculation is performed on the codes of the domain items. For OutCol3 choose a user-defined Bool domain containing "Not Suitable" as True string and "Suitable" as False string. The result is "Suitable" for all records that are not steep.

See also:

LEFT | STRLT | STRPOS
RIGHT | STRLE | IN
SUB | STRGT |
LENGTH | STRGE |
How to use masks


INRANGE

Map and Table Calculation

INRANGE( ) function

Tests whether Value a is contained by a range or closed interval with endpoints Value b and Value c, i.e. b £ a £ c or a Î [b,c].

Syntax

INRANGE(Value a, Value b, Value c)

Input

Value a | is a value
Domain type: | any Value domain
Value b | is a value
Domain type: | any Value domain
Value c | is a value
Domain type: | any Value domain

Output

INRANGE returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Note:

  • The mathematical notation of the INRANGE function is: b ≤ a ≤ c.
  • When one input value is undefined or when both input values are undefined, the output will also be undefined.

Tips:

  • The INRANGE function is often used in combination with the conditional IFF function and relational operators, such as =, <, >, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? INRANGE(20,10,100) | returns True
? INRANGE(200,10,100) | returns False

MapCalc example:

OutMap = INRANGE(InMap,1200,1500)

InMap

OutMap

800 | 900 | 1000
-900 | 0 | 1200
? | 1300 | 1600

False | False | False
False | False | True
? | True | False

OutMap = IFF(INRANGE(InMapA,1200,1500),InMapA,InMapB)

InMapA

InMapB

OutMap

800 | 900 | 1000
-900 | 0 | 1200
? | 1300 | 1600

11 | 12 | ?
-6 | 3 | -15
3 | 16 | 19

11 | 12 | ?
-6 | 3 | 1200
? | 1300 | 19

If a pixel in map InMapA has a value that is larger than or equal to 1200, and at the same time the value of this pixel is less than or equal to 1500, then the orginal value of map InMapA is assigned in output map OutMap. For other pixels, the value of the pixel in InMapB is assigned.

TabCalc example:

OutCol1 = INRANGE(InColA,1200,1500)

OutCol2 = IFF(INRANGE(InColA,1200,1500),InColA,IncolB)

OutCol3 = IFF(INRANGE(InColA,900,1300),"Inside","Outside")

InColA | InColB | OutCol1 | OutCol2 | OutCol3
800 | 11 | False | 11 | Outside
900 | 12 | False | 12 | Inside
1000 | ? | False | ? | Inside
-900 | -6 | False | -6 | Outside
0 | 3 | False | 3 | Outside
1200 | -15 | True | 1200 | Inside
? | 3 | ? | ? | ?
1300 | 16 | True | 1300 | Inside
1600 | 19 | False | 19 | Outside


ISUNDEF

Map and Table Calculation

ISUNDEF( ) function

Tests whether a is undefined or not known.

Syntax

ISUNDEF(a)

Input

a is the test condition: a boolean expression containing at least one map name or one column name

Output

ISUNDEF returns: | if a is undefined, True is returned; if a is not undefined, False is returned.
Domain: | system domain Bool

Notes:

  • The expression IFF(ISUNDEF(a), b, c) gives the same result as the function IFUNDEF(a, b, c).
  • The functions IFUNDEF, IFNOTUNDEF or ISUNDEF are the only functions that do NOT return a undefined when the input is undefined.
  • When calculating with a non-value domain, you need to use double quotes around the class names, IDs, etc.
  • It is not possible to test for undefined values by using expressions like:
    OUT = IFF(Landuse="?",...,...)
    OUT = IFF(DEM=?,...,...)
  • To assign undefined values, see Map and Table Calculation : Assigning undefined values.

Tips:

  • The ISUNDEF function is often used in combination with a conditional IFF function.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc

Examples

MapCalc example using a value map:

Below, the ISUNDEF function is combined with a conditional IFF function.

OutMap = IFF(ISUNDEF(DEM),1000,DEM)

DEM

OutMap

300 | ? | 400
? | 100 | ?
500 | 200 | 600

300 | 1000 | 400
1000 | 100 | 1000
500 | 200 | 600

Note:

Expressions OutMap = IFUNDEF(DEM,1000) or OutMap = IFUNDEF(DEM,1000,DEM) give the same results.

MapCalc example using a class map:

OutMap = IFF(ISUNDEF(Landuse),"Mountains",Landuse)

Landuse

OutMap

? | F | G
L | L | ?
G | ? | F

M | F | G
L | L | M
G | M | F

In OutMap, class name "Mountains" (i.e. M) is assigned for every undefined pixel in map Landuse. To all other pixels, the original class name is assigned (F=Forest, G=Grassland, L=Lake).

Note:

Expressions OutMap = IFUNDEF (Landuse,"Mountains") or OutMap = IFUNDEF(Landuse,"Mountains",Landuse) give the same results.

TabCalc examples:

OutCol1 = ISUNDEF(Population)

OutCol2 = IFF(ISUNDEF(Population),0,Population)

OutCol3 = IFF(ISUNDEF(Landuse),"Mountains",Landuse)

Sitenr | Population | Landuse | OutCol1 | OutCol2 | OutCol3
1 | 850 | Crops | False | 850 | Crops
2 | ? | Grassland | True | 0 | Grassland
3 | 600 | Urban area | False | 600 | Urban area
4 | 950 | ? | False | 950 | Mountains
5 | 1250 | Crops | False | 1250 | Crops
6 | 450 | ? | False | 450 | Mountains
7 | ? | Grassland | True | 0 | Grassland
8 | 900 | Urban area | False | 900 | Urban area

  • True is assigned to output column OutCol1 when a field in column Population is undefined; else False is assigned.
  • Value 0 is assigned to output column OutCol2 when a field in column Population is undefined; else the original value is assigned.
  • Class name "Mountains" is assigned to output column OutCol3 when a field in column Landuse is undefined; alse the original value is assigned.

See also:

IFUNDEF
IFNOTUNDEF
IFF
Map and Table Calculation : Assigning undefined values
How to calculate with undefineds in maps and tables


%K

Map and Table Calculation

Predefined variable %K

Variable to calculate with the class names or IDs of the domain of a table.

Syntax

%K

Notes:

  • K stands for Key column.
  • The table is supposed to use a Class, ID, group or Bool domain.
  • Normally, column calculations are performed on all records of specified column names. To calculate with specific records of a table using a Class, ID, group or Bool domain, specify [%K] as an index behind the output column name in an expression. %K can be replaced by a class name, ID, etc. in double quotes.

    Column[expr]

    to use values of a column indexed by record values, class names or IDs

    Table.Column[expr]

    to use values of a column in another table, indexed by record values, class names or IDs

    Table.Ext.Column[expr]

    to use values of a column in a table with another extension than .tbt (e.g. .his), indexed by record values, class names or IDs.
    In between the square brackets, you can write an expression expr containing %K.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = %K

OutCol2 = NAME(%K)

OutCol3 = CODE(%K)

OutCol4 = IFF(%K="Vacant",0,Population)

OutCol5{dom=value;vr=0:1000:1}:=?

OutCol5["Vacant"]:=0

OutCol5["Residential"]:=500

Domain | Population | OutCol1 | OutCol2 | OutCol3 | OutCol4 | OutCol5
Vacant | 100 | Vacant | Vacant | V | 0 | 0
Residential | 500 | Residential | Residential | R | 500 | 500
Industrial | 250 | Industrial | Industrial | D | 250 | ?
Institutional | 50 | Institutional | Institutional | S | 50 | ?

  • Column OutCol1 contains the names of the domain, that is used by the table. The column uses the same domain as the table.
  • Column OutCol2 contains the names of the items in the domain of the table; the column uses the system String domain.
  • Column OutCol3 contains the codes of the items in the domain of the table; the column uses the system String domain.
  • Column OutCol4 contains value 0 if the record is "Vacant" else it contains the values of column Population.
  • Column OutCol5 is created as an editable column. The Residential record of this column is assigned value 500; the Vacant record is assigned value 0.

TabCalc example using two different tables:

Suppose we have a table Province that contains information about the amount of products available in provinces. Further, we have a table ProductPrice with product prices. To obtain the yield of wood per province, multiply column Wood in table Landuse with the cell containing the wood price in column Price of table ProductPrice.

WoodPrice = ProductPrice.Price["Wood"] * Province.Wood

Province.tbt |  |  | ProductPrice.tbt
Dom. Province | Wood | Fodder | Dom. Product | Price
Province1 | 100 | 150 | Wood | 10
Province2 | 200 | 600 | Fodder | 30
Province3 | 500 | 50 | ... | ...
Province4 | 400 | 75 |  |
Province5 | 200 | 100 |  |
... | ... | ... |  |

Province.tbt
Dom. Province | Wood | Fodder | WoodPrice
Province1 | 100 | 150 | 1000
Province2 | 200 | 600 | 2000
Province3 | 500 | 50 | 5000
Province4 | 400 | 75 | 4000
Province5 | 200 | 100 | 2000
... | ... | ... | ...

Note:

When using data from different tables all table names have to be fully specified in the TabCalc expression.

See also:

%X

%Y

%L

%C

%K

%D

%P


%L

Map and Table Calculation

Predefined variable %L

Variable to calculate with line or row numbers of raster maps.

Syntax

%L

Note:

L stands for Line number.

Usable in

MapCalc

Examples

MapCalc examples:

SubMap = IFF(INRANGE(%C,100,400) AND (INRANGE(%L,200,500)), InMap, "?")

InMap | SubMap

SubMap has the same content as InMap if the column number is in the range of 100 to 400 and the line number in the range of 200 to 500. Outside this area SubMap is undefined.

Applied example: Assigning pixels to a back drop line:

The next example describes the assignment of average values to pixels of an image in which whole lines are missing. Occasionally satellite images suffer from so called back drop lines. In this example every 8th line is missing. These lines are assigned values which are the average values from the line above and the line below.

OutImage = IFF((%L MOD 8=0), (RASVALUE(Image, %L-1, %C) + RASVALUE(Image, %L+1, %C))/2, Image)

Image

OutImage
Line 7

Line 8

Line 9
51 | 6 | 29
? | ? | ?
8 | 18 | 53

51.00 | 6.00 | 29.00
29.50 | 12.00 | 41.00
8.00 | 18.00 | 53.00

Image shows some pixels of line 7 up to line 9 while line 8 is missing. These missing values are replaced by the average values of the pixels of the line above and the line below.

Note:

In this example both maps use system domain Value.

See also:

%X

%Y

%C

%R

%K

%D

%P


LAT

Map and Table Calculation

LAT( ) function

Converts decimal degrees to latitudes, i.e. a string with degrees, minutes, seconds, N or S.

Syntax

LAT(Value)

Input

Value | is a value in degrees
Domain type: | any Value domain

Output

LAT returns: | a string with degrees, minutes, seconds followed by N (North) or S (South), as DDD°MM'SS"N or DDD°MM'SS"S
Domain: | system domain String

Notes:

  • The LAT function returns almost the same string as the DMS function, but adds an additional N (North) or S (South) to the output string.
  • A minus sign in the input will result in an S (South) in the output string.
  • When the input value is undefined, the output will also be undefined, i.e. ? N/S.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LAT(7.5050) | returns 7°30'18.000"N
? LAT(-7.5050) | returns 7°30'18.000"S

TabCalc example:

OutCol = LAT(InCol)

InCol | OutCol
25.0000 | 25°00'00.000"N
-25.0000 | -25°00'00.000"S
45.0000 | 45°00'00.000"N
45.1250 | 45°07'30.000"N
45.2500 | 45°15'00.000"N
45.5000 | 45°30'00.000"N
45.7500 | 45°45'00.000"N
0.0000 | 0°00'00.000"N
? | ? N/S

See also:


LEFT

Map and Table Calculation

LEFT( ) function

Returns a number of characters of a string, counting forwards from the beginning of the string.

Syntax

LEFT(String, Value)

Input

String | is a string
Domain type: | any Class or ID domain, or system domain String
Value | is the number of characters that should be returned
Domain type: | any Value domain
Value range: | >=0

Output

LEFT returns: | a string
Domain type: | system domain String

Notes:

  • If Value is greater than the length of the input sting, the LEFT function returns the entire input string.
  • If Value is not an integer value, it is rounded off.
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tip:

  • LEFT(String, Value) is equivalent to SUB(String, 1, Value).
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LEFT("Landuse",3.5) | returns Land
? LEFT("Industrial",6) | returns Indust

TabCalc example:

OutCol = LEFT(InCol,6)

InCol | OutCol
Institutional | Instit
Commercial | Commer
Residential | Reside
? | ?
Industrial | Indust
Recreational | Recrea
Transport | Transp
Airport | Airpor
Water | Water

See also:

RIGHT | STRLT | IN
SUB | STRLE | INMASK
LENGTH | STRGT |
STRPOS | STRGE |


LENGTH

Map and Table Calculation

LENGTH( ) function

Returns the number of characters (the length) of a string.

Syntax

LENGTH(String)

Input

String | is a string
Domain type: | any Class or ID domain, or system domain String

Output

LENGTH returns: | an integer value
Domain type: | system domain Value

Note:

When the input string is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LENGTH("Landuse") | returns 7
? LENGTH("Industrial") | returns 10

TabCalc example:

OutCol = LENGTH(InCol)

InCol | OutCol
Institutional | 13
Commercial | 9
Residential | 11
? | ?
Industrial | 10
Recreational | 12
Transport | 9
Airport | 7
Water | 5

See also:

LEFT | STRLT | IN
RIGHT | STRLE | INMASK
SUB | STRGT |
STRPOS | STRGE |


LN

Map and Table Calculation

LN( ) function

Returns the e-based logarithm (the natural logarithm) of a value a, i.e. elog(a).

Syntax

LN(Value)

Input

Value | is a value
Domain type: | any Value domain
Value range: | >0

Output

LN returns: | a real value
Domain: | system domain Value

Notes:

  • The LN function is the inverse of the EXP function.
  • When the input value is outside the input value range the output value will be undefined.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LN(2.7183) | returns 1.0000
? LN(20) | returns 2.9957
? LN(EXP(4)) | returns 4.0000

MapCalc example:

OutMap = LN(InMap)

InMap

OutMap

7.3891 | 2.7183 | 1.6487
1.2214 | 1.0000 | 0.3679
? | 0.6703 | 10

2.0 | 1.0 | 0.5
0.2 | 0.0 | -1.0
? | -0.4 | 2.3062

TabCalc example:

OutCol = LN(InCol)

InCol | OutCol
7.3891 | 2.0
2.7183 | 1.0
1.6487 | 0.5
1.2214 | 0.2
1.0000 | 0.0
0.3679 | -1.0
? | ?
0.6703 | -0.4
0.9048 | 2.3062

See also:

LOG

Laws of logarithms


LOG

Map and Table Calculation

LOG( ) or LOG10( ) function

Returns the 10-based logarithm of a value a, i.e. 10log(a).

Syntax

LOG(Value)
LOG(Value)

Input

Value | is a value
Domain type: | any Value domain
Value range: | >0

Output

LOG or LOG10 returns: | a real value
Domain: | system domain Value

Notes:

  • The LOG and the LOG10 function are aliases of each other.
  • When the input value is outside the input value range the output value will be undefined.
  • If the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LOG(10) | returns 1
? LOG10(1000) | returns 3
? LOG(POW(10,5)) | returns 5

MapCalc example:

OutMap = LOG(InMap)

InMap

OutMap

10 | 1 | 100
2 | 0.0 | -1
? | 50 | 0.01

1 | 0 | 2
0.3010 | ? | ?
? | 1.6990 | -2

TabCalc example:

OutCol1 = LOG(InColA)

OutCol2 = LOG(InColA)/LOG(InColB)

InColA | InColB | OutCol1 | OutCol2
1000 | 10 | 3 | 3
10 | 10 | 1 | 1
0.01 | 10 | -2 | -2
1 | 10 | 0 | 1
0 | 10 | ? | ?
? | 10 | ? | ?
-4 | 10 | ? | ?
16 | 2 | 1.2041 | 4
32 | 4 | 1.5051 | 2.5

See also:

LN

Laws of logarithms


LON

Map and Table Calculation

LON( ) function

Converts decimal degrees to longitudes, i.e. a string with degrees, minutes, seconds, E or W.

Syntax

LON(Value)

Input

Value | is a value in degrees
Domain type: | any Value domain

Output

LON returns: | a string with degrees, minutes, seconds followed by E (East) or W (West), as DDD°MM'SS"E or DDD°MM'SS"W
Domain: | system domain String

Notes:

  • The LON function returns almost the same string as the DMS function, but adds an additional W (West) or E (East) to the output string.
  • A minus sign in the input will result in a W in the output string.
  • When the input value is undefined, the output will also be undefined, i.e. ? E/W.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? LON(7.5050) | returns 7°30'18.00"E
? LON(-7.5050) | returns 7°30'18.00"E

TabCalc example:

OutCol = LON(InCol)

InCol | OutCol
25.0000 | 25°00'00.000"E
-25.0000 | -25°00'00.000"W
45.0000 | 45°00'00.000"E
45.1250 | 45°07'30.000"E
45.2500 | 45°15'00.000"E
45.5000 | 45°30'00.000"E
45.7500 | 45°45'00.000"E
0.0000 | 0°0'00.000"E
? | ? E/W

See also:


MAPCOL

Map and Table Calculation

MAPCOL( ) function

Returns the column number of a pixel in raster map RasterMap at a certain (X,Y) Coordinate.

Syntax

MAPCOL(RasterMap, Coordinate)

Input

RasterMap | is a raster map
Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

MAPCOL returns: | a value
Domain: | system domain Value

Notes:

  • Depending on the georeference of the raster map, the column number of an XY coordinate is returned
  • The coordinate system of Coordinate is automatically transformed to the coordinate system of RasterMap if Coordinate and RasterMap do not have the same coordinate system.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, TabCalc, MapCalc

Examples

Pocket line calculator examples:

? MAPCOL(Landuse,COORD(803429, 8074631))

returns the column number of the pixel in raster map Landuse at coordinate (803429, 8074631), e.g. 398

TabCalc example:

OutCol1 = MAPCOL(Landuse,Coordinate)

OutCol2 = MAPCOL(Tmb1,Coordinate)

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | OutCol1 | Outcol2
1 | UMSS | (803429.00, 8074631.00) | 398 | 255
2 | Taquina | (799748.00, 8082415.00) | 214 | 82
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 402 | 167
4 | Laguna Totura | (801281.00, 8088967.00) | 291 | 85
5 | PROMIC | (802613.00, 8080483.00) | 357 | 187
6 | Aro Caqua | (806816.00, 8076585.00) | 567 | ?
7 | Colca Pithua | (797465.00, 8078352.00) | 100 | 37
8 | Cerro MachaMach | (796346.00, 8087736.00) | 44 | ?
9 | Laguna WaraWara | (806042.00, 8085414.00) | 529 | 263

Note:

As raster map Landuse uses a different georeference than raster map Tmb1, the values in output columns OutCol1 and OutCol2 are not the same.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDX | MAPVALUE | DIST2
TRANSFORM | MAXCRDY |  |


MAPCOLOR

Map and Table Calculation

MAPCOLOR( ) function

Returns the (R,G,B) colors of a certain pixel of a raster map RasterMap, from the map's default representation (class or value).

Syntax

MAPCOLOR(RasterMap)
MAPCOLOR(RasterMap, RowNr, ColumNr)

Input

RasterMap | is a raster map
RowNr | is the row number of a certain pixel
ColumnNr | is the column number of a certain pixel

Output

MAPCOLOR returns: | a color
Domain: | system domain Color

Notes:

  • The MAPCOLOR(RasterMap) function can only be used on the command line of the Main window; it cannot be used on the command line of a table window.
  • The MAPCOLOR function can be used to retrieve colors from a representation class or from a representation value used by the domain class or value of a raster map and assign this to e.g. an output raster map. The function can thus be used to convert a raster map to the Color domain, see also How to change the domain of a map.
  • When the input value is undefined, the output will be (0, 0, 0), i.e. black. To convert the black color in the output map, due to undefineds in the input, use e.g.: ColorMap2 = IFUNDEF(Landuse,COLOR(255,255,255),ColorMap)

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, Simple calculators

Examples

Pocket line calculator example:

? MAPCOLOR(DEM,150,200)

 retrieves the color of map DEM at row 150 and column 200, e.g. (255, 89, 16)

MapCalc example:

To convert raster map Landuse (class domain Landuse, using representation class Landuse) to a raster map LandColor with the Color domain:

LandColor = MAPCOLOR(Landuse)

Landuse.rpr

Landunit | Colorname | Color
Agriculture | Yellow | (255, 255, 0)
Airport | Red | (255, 0, 0)
Bare soils | Brown | (164, 40, 40)
Forest | Forest Green | (48, 128, 76)
Grass | Yellow Green | (98, 98, 98)
Lake | Blue | (0, 0, 255)
Riverbed | Cyan | (0, 255, 255)
Rocks | Gray | (128, 128, 128)
Shrubs | Magenta | (255, 0, 255)

Landuse

LandColor

Forest | Forest | Rocks
Shrubs | Lake | Grass
? | Grass | Airport

(48,128,76) | (48,128,76) | (128,128,128)
(255,0,255) | (0,0,255) | (98,98,98)
(0,0,0) | (98,98,98) | (255,0,0)

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


MAPCOLS

Map and Table Calculation

MAPCOLS( ) function

Returns the number of columns of a raster map.

Syntax

MAPCOLS(RasterMap)

Input

RasterMap is a raster map

Output

MAPCOLS returns: | a value
Domain: | system domain Value

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAPCOLS(DEM)

 returns the number of columns of raster map DEM, e.g. 637

MapCalc example:

OutMap = MAPCOLS(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

3 | 3 | 3
3 | 3 | 3
3 | 3 | 3

TabCalc example:

OutCol = MAPCOLS(InMap)

OutCol

3

3

3

3

3

3

3

3

3

See also:

MAPMAX | PIXAREA
MAPMIN | TBLRECS
MAPROWS | TBLCOLS
PIXSIZE | TBLVALUE


MAPCRD

Map and Table Calculation

MAPCRD( ) function

Returns the (X,Y) coordinate of a raster map at a certain row, column position.

Syntax

MAPCRD(RasterMap)
MAPCRD(RasterMap, RowNumber, ColumnNumber)

Input

RasterMap | is a raster map
RowNumber | is a row number
ColumnNumber | is a column number

Output

MAPCRD returns: | an (X,Y) coordinate
Domain: | the coordinate system used by the georeference of raster map RasterMap

Note:

MAPCRD is mostly used as input in an expression.

Tips:

  • This function may be handy to use in DDE applications.
  • The expression MAPCRD(RasterMap) returns the coordinates of the raster map at the current row, column position (MapCalc only).
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAPCRD(DEM, 120,150)

returns the coordinate of a raster map DEM at row 120 and column 150, e.g. (798470.00,8088130.00).

? DIST(MAPCRD(Geology,1,1),MAPCRD(Geology,1,MAPCOLS(Geology)))

returns the distance (e.g. 12720.000 m) of a pixel at the left boundary and a pixel at the right boundary of map Geology. Since the map has a rectangular shape you can use any row number you like. In this example the first one is taken.

Note: The function MAPCOLS returns the number of columns in a map. Therefore, it is unnecessary to put the map on the screen to find out which column is the last one.

TabCalc examples:

LanduseCrd=MAPCRD(Landuse,Row,Col)

Tmb1Crd=MAPCRD(Tmb1,Row,Col)

Tmgeo.grf opened as table

 | X | Y | Row | Col | LanduseCrd | Tmb1Crd
1 | 801490 | 8089155 | 23 | 90 | (797270.00,8090070.00) | (801489.15,8089154.06)
2 | 802004 | 8075147 | 471 | 205 | (799590.00,8081110.00) | (802013.11,8075141.54)
3 | 800242 | 8074191 | 510 | 156 | (798590.00,8080330.00) | (800251.34,8074210.12)
4 | 802445 | 8077922 | 379 | 201 | (799490.00,8082950.00) | (802471.55,8077928.79)
5 | 802841 | 8076212 | 433 | 224 | (799950.00,8081870.00) | (802805.90,8076196.50)
6 | 797727 | 8076145 | 461 | 61 | (796690.00,8081310.00) | (797718.58,8076137.76)
7 | 805768 | 8086385 | 90 | 247 | (800410.00,8088730.00) | (805767.38,8086388.24)

Note:

As maps Landuse and Tmb1 use different georeferences, the returned coordinates in the output columns are not the same.

See also:

COORD | MINCRDX | MAPROW | RASVALUE
CRDX | MINCRDY | MAPCOL | DIST
CRDY | MAXCRDX | MAPVALUE | DIST2
TRANSFORM | MAXCRDY |  |


MAPMAX

Map and Table Calculation

MAPMAX( ) function

Returns the maximum value of a value map.

Syntax

MAPMAX(ValueMap)

Input

ValueMap | is a raster, polygon, segment or point map
Domain type: | any Value domain

Output

MAPMAX returns: | a value
Domain: | system domain Value

Note:

By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAPMAX(DEM) | returns the maximum value of raster map DEM, e.g. 5172
? MAPMAX(Rain.mpp) | returns the maximum value of point map Rain, e.g. 123

MapCalc example:

OutMap = MAPMAX(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

40 | 40 | 40
40 | 40 | 40
40 | 40 | 40

OutMap1 = InMap1 >= 0.75 * MAPMAX(InMap1)

InMap1

OutMap1

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

F | T | F
T | F | T
? | T | T

OutMap1 uses the Bool domain and displays True only for the values between 75 and 100% of the maximum value of InMap1. The rest of the pixels are assigned False. In this example the maximum of InMap1 is 40 and only for values larger than or equal to 30 the statement is true.

TabCalc example:

OutCol = InCol + MAPMAX(InMap)

InCol | OutCol
10 | 55
35 | 80
20 | 65
35 | 80
15 | 60
40 | 85
? | ?
40 | 85
30 | 75

See also:

MAPMIN | PIXAREA
MAPROWS | TBLRECS
MAPCOLS | TBLCOLS
PIXSIZE | TBLVALUE


MAPMIN

Map and Table Calculation

MAPMIN( ) function

Returns the minimum value of a value map.

Syntax

MAPMIN(ValueMap)

Input

ValueMap | is a raster, polygon, segment or point map
Domain type: | any Value domain

Output

MAPMIN returns: | a value
Domain: | system domain Value

Note:

By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAPMIN(DEM) | returns the minimum value of raster map DEM, e.g. 342
? MAPMIN(Rain.mpp) | returns the minimum value of point map Rain, e.g. 17

MapCalc example:

OutMap = MAPMIN(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

10 | 10 | 10
10 | 10 | 10
10 | 10 | 10

OutMap1 = InMap1 - MAPMIN(InMap1)

InMap1

OutMap1

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

0 | 25 | 10
25 | 5 | 30
? | 30 | 20

TabCalc example:

OutCol = InCol + MAPMIN(InMap)

InCol | OutCol
10 | 20
35 | 45
20 | 30
35 | 45
15 | 25
40 | 50
? | ?
40 | 50
30 | 40

See also:

MAPMAX | PIXAREA
MAPROWS | TBLRECS
MAPCOLS | TBLCOLS
PIXSIZE | TBLVALUE


MAPROW

Map and Table Calculation

MAPROW( ) function

Returns the row number of a pixel in raster map RasterMap at a certain (X,Y) Coordinate.

Syntax

MAPROW(RasterMap, Coordinate)

Input

RasterMap | is a raster map
Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

MAPROW returns: | a value
Domain: | system domain Value

Notes:

  • Depending on the georeference of the raster map, the row number of an XY coordinate is returned.
  • The coordinate system of Coordinate is automatically transformed to the coordinate system of RasterMap if Coordinate and RasterMap do not have the same coordinate system.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

TabCalc, Simple calculators, MapCalc

Examples

Pocket line calculator examples:

? MAPROW(Landuse,COORD(803429,8074631))

returns the row number of the pixel in raster map Landuse at coordinate (803429, 8074631), e.g. 795

TabCalc example:

OutCol1 = MAPROW(Landuse,Coordinate)

OutCol2 = MAPROW(Tmb1,Coordinate)

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | OutCol1 | OutCol2
1 | UMSS | (803429.00, 8074631.00) | 795 | 480
2 | Taquina | (799748.00, 8082415.00) | 406 | 249
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | 155 | 68
4 | Laguna Totura | (801281.00, 8088967.00) | 78 | 30
5 | PROMIC | (802613.00, 8080483.00) | 502 | 296
6 | Aro Caqua | (806816.00, 8076585.00) | 697 | 400
7 | Colca Pithua | (797465.00, 8078352.00) | 609 | 391
8 | Cerro MachaMach | (796346.00, 8087736.00) | 140 | 95
9 | Laguna WaraWara | (806042.00, 8085414.00) | 256 | 120

Note:

As raster map Landuse uses a different georeference than raster map Tmb1, the values in output columns OutCol1 and OutCol2 are not the same

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPCOL | DIST
CRDY | MAXCRDX | MAPVALUE | DIST2
TRANSFORM | MAXCRDY |  |


MAPROWS

Map and Table Calculation

MAPROWS( ) function

Returns the number of rows of a raster map.

Syntax

MAPROWS(RasterMap)

Input

RasterMap is a raster map

Output

MAPROWS returns: | a value
Domain: | system domain Value

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAPROWS(DEM)

 returns the number of rows of raster map DEM, e.g. 932

MapCalc example:

OutMap = MAPROWS(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

3 | 3 | 3
3 | 3 | 3
3 | 3 | 3

TabCalc example:

OutCol = MAPROWS(InMap)

OutCol

3

3

3

3

3

3

3

3

3

See also:

MAPMAX | PIXAREA
MAPMIN | TBLRECS
MAPCOLS | TBLCOLS
PIXSIZE | TBLVALUE


MAPVALUE

Map and Table Calculation

MAPVALUE( ) function

Returns the value, class, or ID of a map Map at a certain (X,Y) Coordinate.

Syntax

MAPVALUE(Map, Coordinate)

Input

Map | is a raster, polygon, segment or point map
Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate system

Output

MAPVALUE returns: | a value, a class name or an ID
Domain: | same as input Map

Notes:

  • By default this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on a polygon map, a segment map or a point map, you need to specify the object's extension (.mpa, .mps or .mpp).
  • The coordinate system of Coordinate is automatically transformed to the coordinate system of Map if Coordinate and Map do not have the same coordinate system.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator example:

? MAPVALUE(Tmb1,COORD(800000,8080000,Cochabamba))

returns the value of Tmb1 on the location with X-coordinate 800000 and Y-coordinate 8080000, e.g. 50.

TabCalc examples:

LanduseVal=MAPVALUE(Landuse,Coordinate)

Tmb1Val=MAPVALUE(Tmb1,Coordinate)

Rainfall.mpp opened as table |  |  | Working table
ID | Name | Coordinate | LanduseVal | Tmb1Val
1 | UMSS | (803429.00, 8074631.00) | Urban centre | 69
2 | Taquina | (799748.00, 8082415.00) | Shrubs | 34
3 | Laguna Santa Rosa | (803511.00, 8087422.00) | Bare rock | 38
4 | Laguna Totura | (801281.00, 8088967.00) | Grassland | 45
5 | PROMIC | (802613.00, 8080483.00) | Agrculture | 50
6 | Aro Caqua | (806816.00, 8076585.00) | Urban periphery | 0
7 | Colca Pithua | (797465.00, 8078352.00) | Agriculture (irrigated) | 43
8 | Cerro MachaMach | (796346.00, 8087736.00) | Grassland | 0
9 | Laguna WaraWara | (806042.00, 8085414.00) | Grassland | 43

Notes:

  • Column Coordinate uses coordinate system Cochabamba as domain.
  • See How to calculate a cross-section through the terrain for more useful examples.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDX | MAPCOL | DIST2
TRANSFORM | MAXCRDY |  |


MAX

Map and Table Calculation

MAX( ) function

Returns the maximum value.

Syntax

MAX(ValueColumn)
MAX(Value a, Value b)
MAX(Value a, Value b, Value c)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Value a | is a value
Domain type: | any Value domain
Value b | is a value
Domain type: | any Value domain
Value c | is a value
Domain type: | any Value domain

Output

MAX returns: | a real value
Domain: | system domain Value

Notes:

  • The MAX(ValueColumn) function, i.e. 1 parameter only, can only be used in TabCalc.
  • To retrieve the maximum value of a single raster map, use the function MAPMAX.
  • The MAX function can also be performed through a dialog box, see Column Statistics.
  • When one of the input parameters is undefined, or when more input parameters are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? MAX(3.8,8.1,1.34) | returns 8.10
? MAX(PIDIV4,NEG(2)) | returns 0.7854
? MAX(Column1) | returns the maximum of column1 when used on the command line of a table window

MapCalc example:

OutMap = MAX(InMapA,InMapB)

InMapA

InMapB

OutMap

8 | 6 | -4
4 | -11 | 0
? | -7 | 3

8 | 7 | -2
14 | 1 | 2
5 | ? | 9

8 | 7 | -2
14 | 1 | 2
? | ? | 9

TabCalc example:

OutCol1 = MAX(InColA)

OutCol2 = MAX(InColA,IncolB)

OutCol3 = IFUNDEF(InColA,MAX(InColA))

InColA | InColB | OutCol1 | OutCol2 | OutCol3
8 | 8 | 8 | 8 | 8
6 | 7 | 8 | 7 | 6
-4 | -2 | 8 | -2 | -4
4 | 14 | 8 | 14 | 4
-11 | 1 | 8 | 1 | -11
0 | 2 | 8 | 2 | 0
? | 5 | 8 | ? | 8
-7 | ? | 8 | ? | -7
3 | 9 | 8 | 9 | 3

See also:

MIN | AVG | VAR | TTEST
SUM | STD | COV | CHISQUARE
CUM | STDEV | COVAR | Column Statistics
CNT | STDERR | CORR | AGGMAX


MAXCRDX

Map and Table Calculation

MAXCRDX( ) function

Returns the maximum X-coordinate of a map.

Syntax

MAXCRDX(Map)

Input

Map is a raster, polygon, segment or point map

Output

MAXCRDX returns: | a value
Domain: | system domain Value

Notes:

  • By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).
  • This function results in a coordinate value that can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAXCRDX(DEM) | returns the maximum X-coordinate of raster map DEM, e.g. 808220
? MAXCRDX(Rainfall.mpp) | returns the maximum X-coordinate of point map Rainfall, e.g. 807365.68

Example of calculating with minimum and maximum values of coordinates

It might occur that you have a point data set from which only a part of all points lay inside a certain area. You can select only these points to show or to use them for further calculation. In this example, it will be tested whether the points of a point map lay within the area of an existing land use map. The coordinates from the lower left corner of the Landuse map are: (795480, 8071880) and the coordinates from the upper right corner: (808220, 8090520).

Select = INRANGE(CRDX(Coordinate), MINCRDX(Landuse), MAXCRDX(Landuse)) AND INRANGE(CRDY(Coordinate), MINCRDY(Landuse), MAXCRDY(Landuse))

 | Coordinate | Name | Select
1 | (799491, 8086120) | SamplePoint1 | True
2 | (800085, 8080962) | SamplePoint2 | True
3 | (793710, 8077028) | SamplePoint3 | False
4 | (798934, 8183040) | SamplePoint4 | False
5 | (803610, 8078624) | SamplePoint5 | True
6 | (803313, 8085712) | SamplePoint6 | True
7 | (798204, 8123951) | SamplePoint7 | False

Points 3, 4 and 7 do not lie inside the boundaries of the land use map. The X-coordinate of point number 3 is lower than the minimum X-coordinate of the Landuse map while point numbers 4 and 7 have Y-coordinates which are larger than the maximum Y-coordinate in the Landuse map.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDY | MAPCOL | DIST2
TRANSFORM |  | MAPVALUE |


MAXCRDY

Map and Table Calculation

MAXCRDY( ) function

Returns the maximum Y-coordinate of a map.

Syntax

MAXCRDY(Map)

Input

Map is a raster, polygon, segment or point map

Output

MAXCRDY returns: | a value
Domain: | system domain Value

Notes:

  • By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).
  • This function results in a coordinate value that can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MAXCRDY(DEM) | returns the maximum value of raster map DEM, e.g. 8090520
? MAXCRDY(Rainfall.mpp) | returns the maximum value of point map Rainfall, e.g. 8089719.64

Example of calculating with minimum and maximum values of coordinates

It might occur that you have a point data set from which only a part of all points lay inside a certain area. You can select only these points to show or to use them for further calculation. In this example, it will be tested whether the points of a point map lay within the area of an existing land use map. The coordinates from the lower left corner of the Landuse map are: (795480, 8071880) and the coordinates from the upper right corner: (808220, 8090520).

Select = INRANGE(CRDX(Coordinate), MINCRDX(Landuse), MAXCRDX(Landuse)) AND INRANGE(CRDY(Coordinate), MINCRDY(Landuse), MAXCRDY(Landuse))

 | Coordinate | Name | Select
1 | (799491, 8086120) | SamplePoint1 | True
2 | (800085, 8080962) | SamplePoint2 | True
3 | (793710, 8077028) | SamplePoint3 | False
4 | (798934, 8183040) | SamplePoint4 | False
5 | (803610, 8078624) | SamplePoint5 | True
6 | (803313, 8085712) | SamplePoint6 | True
7 | (798204, 8123951) | SamplePoint7 | False

Points 3, 4 and 7 do not lie inside the boundaries of the land use map. The X-coordinate of point number 3 is lower than the minimum X-coordinate of the Landuse map while point numbers 4 and 7 have Y-coordinates which are larger than the maximum Y-coordinate in the Landuse map.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDX | MAPCOL | DIST2
TRANSFORM |  | MAPVALUE |


MIN

Map and Table Calculation

MIN( ) function

Returns the minimum value.

Syntax

MIN(ValueColumn)
MIN(Value a, Value b)
MIN(Value a, Value b, Value c)

Input

ValueColumn | is a value column
Domain type: | any Value domain
Value a | is a value
Domain type: | any Value domain
Value b | is a value
Domain type: | any Value domain
Value c | is a value
Domain type: | any Value domain

Output

MIN returns: | a real value
Domain: | system domain Value

Notes:

  • The MIN(ValueColumn) function, i.e. 1 parameter only, can only be used in TabCalc.
  • To retrieve the minimum value of a single raster map, use the function MAPMIN.
  • The MIN function can also be performed through a dialog box, see Column Statistics.
  • When one of the input parameters is undefined, or when more input parameters are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? MIN(3.8,8.1,1.34) | returns 1.34
? MIN(PIDIV4,NEG(2)) | returns -2.0000
? MIN(Column1) | returns the minimum of column1 when used on the command line of the table window

MapCalc example:

OutMap = MIN(InMapA,InMapB)

InMapA

InMapB

OutMap

8 | 6 | -4
4 | -11 | 0
? | -7 | 3

8 | 7 | -2
14 | 1 | 2
5 | ? | 9

8 | 6 | -4
4 | -11 | 0
? | ? | 3

TabCalc example:

OutCol1 = MIN(InColA)

OutCol2 = MIN(InColA,IncolB)
OutCol3 = IFUNDEF(InColA,MIN(IncolA))

InColA | InColB | OutCol1 | OutCol2 | OutCol3
8 | 8 | -11 | 8 | 8
6 | 7 | -11 | 6 | 6
-4 | -2 | -11 | -4 | -4
4 | 14 | -11 | 4 | 4
-11 | 1 | -11 | -11 | -11
0 | 2 | -11 | 0 | 0
? | 5 | -11 | ? | -11
-7 | ? | -11 | ? | -7
3 | 9 | -11 | 3 | 3

See also:

MAX | AVG | VAR | TTEST
SUM | STD | COV | CHISQUARE
CUM | STDEV | COVAR | Column Statistics
CNT | STDERR | CORR | AGGMIN


MINCRDX

Map and Table Calculation

MINCRDX( ) function

Returns the minimum X-coordinate of a map.

Syntax

MINCRDX(Map)

Input

Map is a raster, polygon, segment or point map

Output

MINCRDX returns: | a value
Domain: | system domain Value

Notes:

  • By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).
  • This function results in a coordinate value that can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MINCRDX(DEM) | returns the minimum X-coordinate of raster map DEM, e.g. 795480
? MINCRDX(Rainfall.mpp) | returns the maximum value of point map Rainfall, e.g. 795822.50

Example of calculating with minimum and maximum values of coordinates

It might occur that you have a point data set from which only a part of all points lay inside a certain area. You can select only these points to show or to use them for further calculation. In this example, it will be tested whether the points of a point map lay within the area of an existing land use map. The coordinates from the lower left corner of the Landuse map are: (795480, 8071880) and the coordinates from the upper right corner: (808220, 8090520).

Select = INRANGE(CRDX(Coordinate), MINCRDX(Landuse), MAXCRDX(Landuse)) AND INRANGE(CRDY(Coordinate), MINCRDY(Landuse), MAXCRDY(Landuse))

 | Coordinate | Name | Select
1 | (799491, 8086120) | SamplePoint1 | True
2 | (800085, 8080962) | SamplePoint2 | True
3 | (793710, 8077028) | SamplePoint3 | False
4 | (798934, 8183040) | SamplePoint4 | False
5 | (803610, 8078624) | SamplePoint5 | True
6 | (803313, 8085712) | SamplePoint6 | True
7 | (798204, 8123951) | SamplePoint7 | False

Points 3, 4 and 7 do not lie inside the boundaries of the land use map. The X-coordinate of point number 3 is lower than the minimum X-coordinate of the Landuse map while point numbers 4 and 7 have Y-coordinates which are larger than the maximum Y-coordinate in the Landuse map.

See also:

COORD | MINCRDY | MAPCRD | RASVALUE
CRDX | MAXCRDX | MAPROW | DIST
CRDY | MAXCRDY | MAPCOL | DIST2
TRANSFORM |  | MAPVALUE |


MINCRDY

Map and Table Calculation

MINCRDY( ) function

Returns the minimum Y-coordinate of a map.

Syntax

MINCRDY(Map)

Input

Map is a raster, polygon, segment or point map

Output

MINCRDY returns: | a value
Domain: | system domain Value

Notes:

  • By default, this function works on raster maps with extension .mpr; you can omit the extension .mpr. To use this function on polygon maps, segment maps or point maps, you need to specify the object's extension (.mpa, .mps or .mpp).
  • This function results in a coordinate value that can be used as input in other calculations.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? MINCRDY(DEM) | returns the minimum Y-coordinate of raster map DEM, e.g. 8071880
? MINCRDY(Rainfall.mpp) | returns the minimum Y-coordinate of point map Rainfall, e.g. 8073914.2

Example of calculating with minimum and maximum values of coordinates

It might occur that you have a point data set from which only a part of all points lay inside a certain area. You can select only these points to show or to use them for further calculation. In this example, it will be tested whether the points of a point map lay within the area of an existing land use map. The coordinates from the lower left corner of the Landuse map are: (795480, 8071880) and the coordinates from the upper right corner: (808220, 8090520).

Select = INRANGE(CRDX(Coordinate), MINCRDX(Landuse), MAXCRDX(Landuse)) AND INRANGE(CRDY(Coordinate), MINCRDY(Landuse), MAXCRDY(Landuse))

 | Coordinate | Name | Select
1 | (799491, 8086120) | SamplePoint1 | True
2 | (800085, 8080962) | SamplePoint2 | True
3 | (793710, 8077028) | SamplePoint3 | False
4 | (798934, 8183040) | SamplePoint4 | False
5 | (803610, 8078624) | SamplePoint5 | True
6 | (803313, 8085712) | SamplePoint6 | True
7 | (798204, 8123951) | SamplePoint7 | False

Points 3, 4 and 7 do not lie inside the boundaries of the land use map. The X-coordinate of point number 3 is lower than the minimum X-coordinate of the Landuse map while point numbers 4 and 7 have Y-coordinates which are larger than the maximum Y-coordinate in the Landuse map.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MAXCRDX | MAPROW | DIST
CRDY | MAXCRDY | MAPCOL | DIST2
TRANSFORM |  | MAPVALUE |


MOD

Map and Table Calculation

MOD operator

The modulus operator returns the remainder of a divided by b, i.e. a MOD b.

Syntax

a MOD b

Input

a | is a value
Domain type: | any Value domain
b | is a value
Domain type: | any Value domain

Output

MOD returns: | a integer value
Domain: | system domain Value

Notes:

  • The MOD operator needs typed spaces.
  • When b is 0 the output will be undefined.
  • When one input value is undefined or both of the input values are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? 10 MOD 3 | returns 1
? 10 MOD 12 | returns 10

MapCalc example:

OutMap = InMapA / InMapB

InMapA

InMapB

OutMap

10 | 11 | 12
-10 | 10 | 10
-10 | ? | 10

5 | 5 | 5
5 | 0 | -3
3 | -2 | 12

0 | 1 | 2
0 | ? | 1
? | ? | 10

TabCalc example:

OutCol = InColA MOD InColB

InColA | InColB | OutCol
10 | 5 | 0
11 | 5 | 1
12 | 5 | 2
-10 | 5 | 0
10 | 0 | ?
10 | -3 | 1
-10 | 3 | ?
? | -2 | ?
10 | 12 | 10

See also:

+ | /
- | ^
* | DIV


NAME

Map and Table Calculation

NAME( ) function

Returns the name of an item in a Class or ID domain.

Syntax

NAME(String)

Input

String | is a column with a Class or ID domain, or the Class or ID domain of a table (%K)
Domain type: | Class or ID domain

Output

NAME returns: | a string
Domain type: | system domain String

Note:

When the input is undefined, the output will also be undefined.

Tips:

  • If you like, you can convert the strings in the output column to a regular Class or ID domain through the Properties of the output column.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Example

TabCalc example:

InCol = %K

OutCol = NAME(InCol)

OutCol = NAME(%K)

InCol | OutCol
Accumulation of debris on slope | Accumulation of debris on slope
Active landslide | Active landslide
Alluvial fan (flooding possible) | Alluvial fan (flooding possible)
Alluvial fan (no flooding possible) | Alluvial fan (no flooding possible)
? | ?
Glacial lake | Glacial lake
Glacial valley | Glacial valley
Heavily eroded area | Heavily eroded area
Old landslide | Old landslide

Note:

The domain of a table simply shows names only.

See also:

CODE | LEFT
VALUE | RIGHT
STRING | SUB


NDVI

Map and Table Calculation

NDVI( ) function

Returns Normalized Difference Vegetation Index (NDVI) values, i.e. (b-a)/(b+a). NDVI values are a measure for the presence and condition of green vegetation.

Syntax

NDVI(Value a, Value b)

Input

Value a | is the satellite band containing visible or red reflectance values
Domain type: | an Image domain
Value b | is the satellite band containing near-infrared reflectance values
Domain type: | an Image domain

Output

NDVI returns: | a value
Domain: | system domain Min1to1
Value range: | [-1,1]

Notes:

  • Vegetated areas will generally yield high values because of their relatively high near-infrared reflectance and low visible reflectance.
  • In contrast, water, clouds, and snow have larger visible reflectance than near-infrared reflectance. Thus, these features yield negative index values.
  • Rock and bare soil areas have similar reflectances in the two bands and result in vegetation indices near zero.
  • When one input value is undefined, or when both input values are undefined, the output value will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? NDVI(46,78)

returns 0.258

MapCalc example:

OutMap = NDVI(TMBand3,TMBand4)

TMBand3

TMBand4

OutMap

18 | 25 | 28
? | 53 | 44
80 | 92 | 73

28 | 30 | 34
39 | 44 | 55
? | 71 | 175

0.217 | 0.091 | 0.097
? | -0.092 | 0.111
? | -0.129 | 0.411

TabCalc example:

OutCol = NDVI(InColA,IncolB)

InColA | InColB | OutCol
18 | 28 | 0.217
25 | 30 | 0.091
28 | 34 | 0.097
? | 39 | ?
53 | 44 | -0.092
44 | 55 | 0.111
80 | ? | ?
92 | 71 | -0.129
73 | 75 | 0.411


NEG

Map and Table Calculation

NEG( ) or -( ) function

Returns the input value multiplied by -1.

Syntax

NEG(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

NEG returns: | a value
Domain: | system domain Value

Notes:

  • The NEG(a) function is equivalent to -(a).
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? NEG(-12) | returns 12
? NEG(POW(-2,3)) | returns 8

MapCalc example:

OutMap = NEG(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.0 | -1.0
? | -0.4 | -0.1

-2.0 | -1.0 | -0.5
-0.2 | 0.0 | 1.0
? | 0.4 | 0.1

TabCalc example:

OutCol = NEG(InCol)

InCol | OutCol
2.0 | -2.0
1.0 | -1.0
0.5 | -0.5
0.2 | -0.2
0.0 | 0.0
-1.0 | 1.0
? | ?
-0.4 | 0.4
-0.1 | 0.1

See also:

ABS

SGN


NOT

Map and Table Calculation

NOT operator

Returns true if a is false and inverse, i.e. NOT a.

Syntax

NOT (a)

Input

a | is a boolean expression
Domain type: | any Bool domain

Output

NOT returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The truth table of the logical NOT operator is:
  • This means that:
    - if a is true, false is returned,
    - if a is false, true is returned, and
    - if a is undefined, undefined is returned.

Tips:

  • Logical operators are often used in combination with a conditional IFF function.
  • Testing whether values are within a certain range can also be performed with the INRANGE function.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

MapCalc examples:

OutMap1 = NOT(InMap1 >= 20)

InMap1

OutMap1

5 | 10 | -10
20 | 0 | 30
? | 40 | 45

True | True | True
False | True | False
? | False | False

OutMap2 = NOT(Landuse="Forest")

Landuse

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

False | False | True
True | True | True
? | True | False

TabCalc examples:

OutCol1 = NOT (InCol1 >= 20)

InCol1 | OutCol1
5 | True
10 | True
-10 | True
20 | False
0 | True
30 | False
? | ?
40 | False
45 | False

OutCol2 = NOT(Landuse="Forest")

Landuse | OutCol2
Forest | False
Forest | False
Grass | True
Lake | True
Lake | True
Grass | True
? | ?
Grass | True
Forest | False

See also:

AND

OR

XOR


OR

Map and Table Calculation

OR operator

Returns if either a or b is true, or if both a and b are true, i.e. a OR b.

Syntax

(a) OR (b)

Input

a | is a boolean expression
Domain type: | any Bool domain
b | is a boolean expression
Domain type: | any Bool domain

Output

OR returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The truth table of the logical OR operator is:
  • This means that:
    - if both a and b are true, true is returned,
    - if either a or b is true, true is returned,
    - if both a and b are false, false is returned,
    - if a is true and b is undefined, or vice versa, true is returned,
    - if a is false and b is undefined, or vice versa, undefined is returned, and
    - if both input parameters are undefined, the output will also be undefined.
  • In mathematics, the logic OR is called a union.

Tips:

  • Logical operators are often used in combination with a conditional IFF function.
  • Testing whether values are within a certain range can also be performed with the INRANGE function.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

MapCalc examples:

OutMap = (InMapA >= 20) OR (InMapB >= 70)

InMapA

InMapB

OutMap

5 | 10 | -10
20 | 0 | 30
? | 40 | 45

10 | 90 | 70
5 | 50 | 75
35 | 80 | ?

False | True | True
True | False | True
? | True | True

OutMap2 = (Landuse="Forest") OR (DEM > 1000)

Landuse

DEM

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

800 | 900 | 1000
-900 | 0 | 1200
1100 | 1300 | 1600

True | True | False
False | False | True
True | True | True

OutMap3 = (Landuse="Forest") OR (Landuse="Grass")

Landuse

OutMap3

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

True | True | True
False | False | True
? | True | True

TabCalc examples:

OutCol = (InColA >= 20) OR (InColB >= 70)

InColA | InColB | OutCol
5 | 10 | False
10 | 90 | True
-10 | 70 | True
20 | 5 | True
0 | 50 | False
30 | 75 | True
? | 35 | ?
40 | 80 | True
45 | ? | True

OutCol2 = (Landuse="Forest") OR (DEM > 1000)

OutCol3 = (Landuse="Forest") OR (Landuse="Grass")

Landuse | DEM | OutCol2 | OutCol3
Forest | 800 | True | True
Forest | 900 | True | True
Grass | 1000 | False | True
Lake | -900 | False | False
Lake | 0 | False | False
Grass | 1200 | True | True
? | 1100 | True | ?
Grass | 1300 | True | True
Forest | 1600 | True | True

See also:

AND

XOR

NOT


%P

Map and Table Calculation

Predefined variable %P

Returns the position of a neighbour in the neighbourhood expression.

Syntax

%P

Notes:

  • P stands for Position.
  • %P and NBPOS are aliases of each other. For more information, see Map Calculation : Neighbourhood operations & iterations.
    Return values:
    1 | 2 | 3
    4 | 5 | 6
    7 | 8 | 9

Usable in

MapCalc

Examples

Ridges = NBCNT8(10-Aspect#=NBPOS)

Calculate for each pixel the number of neighbour pixels for which the aspect is in the direction of the central pixel. A result of zero indicates a ridge or a flat area.

See also:

%X

%Y

%L

%C

%R

%K

%D


PIXAREA

Map and Table Calculation

PIXAREA( ) function

Returns the pixel area (square of the pixel size) of a raster map or a georeference.

Syntax

PIXAREA(RasterMap)
PIXAREA(GeoReference.grf)

Input

When used on raster maps:

RasterMap is a raster map

When used on georeferences:

GeoReference.grf is a georeference

Output

PIXAREA returns: | a value
Domain: | system domain Value

Note:

For georeferences which are not a georeference corners, an approximation of the pixel size is returned.

Tips:

  • This function may be handy to use in DDE applications
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? PIXAREA(DEM) | returns the pixel area of a raster map DEM, e.g. 400
? PIXAREA(TM.grf) | returns the pixel area of a georeference TM, e.g. 934.97

MapCalc example:

Suppose map InMap has a pixel size of 20.

OutMap = InMap * PIXAREA(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

4000 | 14000 | 8000
14000 | 6000 | 16000
? | 16000 | 12000

TabCalc example:

OutCol = InCol * PIXAREA(InMap)

InCol | OutCol
10 | 4000
35 | 14000
20 | 8000
35 | 14000
15 | 6000
40 | 16000
? | ?
40 | 16000
30 | 12000

See also:

MAPMAX | PIXSIZE
MAPMIN | TBLRECS
MAPROWS | TBLCOLS
MAPCOLS | TBLVALUE


PIXSIZE

Map and Table Calculation

PIXSIZE( ) function

Returns the pixel size of a raster map or a georeference.

Syntax

PIXSIZE(RasterMap)
PIXSIZE(GeoReference.grf)

Input

When used on raster maps:

RasterMap is a raster map

When used on georeferences:

GeoReference.grf is a georeference

Output

PIXSIZE returns: | a value
Domain: | system domain Value

Note:

For georeferences which are not a georeference corners, an approximation of the pixel size is returned.

Tips:

  • The PIXSIZE function is often used in the calculation of slope maps, the shortest path and in neighbourbood operations.
  • This function may be handy to use in DDE applications
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? PIXSIZE(DEM) | returns the pixel size of raster map DEM, e.g. 20
? PIXSIZE(TM.grf) | returns the pixel size of georeference TM, e.g. 30.58

MapCalc example:

Suppose map InMap has a pixel size of 20.

OutMap = InMap * PIXSIZE(InMap)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

200 | 700 | 400
700 | 300 | 800
? | 800 | 600

Tip:

An applied example of the PIXSIZE function in combination with other functions is given in the topic How to calculate a slope map.

TabCalc example:

OutCol = InCol * PIXSIZE(InMap)

InCol | OutCol
10 | 200
35 | 700
20 | 400
35 | 700
15 | 300
40 | 800
? | ?
40 | 800
30 | 600

See also:

MAPMAX | PIXAREA
MAPMIN | TBLRECS
MAPROWS | TBLCOLS
MAPCOLS | TBLVALUE


PNTCRD

Map and Table Calculation

PNTCRD( ) function

Returns the (X,Y) coordinate of the point with record number PointNumber or with point name PointName from point map PointMap.

Syntax

PNTCRD(PointMap, PointNumber)
PNTCRD(PointMap, "PointName")

Input

PointMap | is a point map
PointNumber | is the record number of a point
Domain type: | any Value domain
PointName | is a point name or a point value
Domain type: | domain of the PointMap

Output

PNTCRD returns: | the (X,Y) coordinate of a point
Coordinate System: | same as input PointMap

Notes:

  • If PointNumber is not an integer value, it is rounded off.
  • If "PointName" is not unique, the last valid coordinate is returned.
  • By opening the point map as table you can find point values of individual points.
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • This function may be handy to use in DDE applications.
  • The result of this function is often used in combination with PNTNR, PNTVAL, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

Point map Rainfall stores rainfall values of rainfall station located in the area of Cochabamba (Bolivia). To retrieve the point of a certain rainfall station:

? PNTCRD(Rainfall,3) | returns e.g. (803511.00, 8087422.00)
? PNTCRD(Rainfall,"Laguna Santa Rosa") | returns e.g. (803511.00, 8087422.00)

TabCalc examples:

OutCol = PNTCRD(Rainfall,3)

Rainfall.mpp opened as table

Recordnr | Name | Coordinate
1 | UMSS | (803429.00, 8074631.00)
2 | Taquina | (799748.00, 8082415.00)
3 | Laguna Santa Rosa | (803511.00, 8087422.00)
4 | Laguna Totura | (801281.00, 8088967.00)
5 | PROMIC | (802613.00, 8080483.00)
6 | Aro Caqua | (806816.00, 8076585.00)
7 | Colca Pithua | (797465.00, 8078352.00)
8 | Cerro MachaMach | (796346.00, 8087736.00)
9 | Laguna WaraWara | (806042.00, 8085414.00)

Applied example:

Given is a point map Pollution with points indicating sources of pollution. Create a raster map PolCircle with concentric circles with diminishing pollution around the point with identifier Plant 1. The pollution is 100% at the circle center and 0 at 1 km distance. Use a linear function. The output raster map has the same georeference as map BaseMap. The coordinate system is assumed to be in meters.

PolDist = DIST(PNTCRD(Pollution,"Plant 1"),MAPCRD(BaseMap))

PolCircle = IFF(PolDist>1000,0,PNTVAL(Pollution,"Plant 1")*(1-Pollution/1000)

if you would like to use the calculation for a point map that has pollution centers only identified by their pollution value (i.e. a value point map), you can find individual point numbers by opening the point map as a table. For doing the previous operation on the point with the highest pollution, open the point map as a table and identify the record number with the highest pollution. If the record number is 5, the Map calculation statement would be:

PolCircle = IFF(DIST(PNTCRD(Pollution, 5), MAPCRD(BaseMap)) > 1000, 0, PNTVAL(Pollution, 5) * (1 - DIST(PNTCRD(Pollution, 5), MAPCRD(BaseMap))/1000)

See also:

PNTNR

PNTVAL


PNTNR

Map and Table Calculation

PNTNR( ) function

Returns the record number of the point with the name or value PointName in point map PointMap.

Syntax

PNTNR(PointMap, "PointName")

Input

PointMap | is a point map
PointName | is a point name or a point value
Domain type: | domain of the PointMap

Output

PNTNR returns: | a value
Domain: | system domain Value

Notes:

  • By opening the point map as table you can find the point number (i.e. the record number in the table) of individual points.
  • If "PointName" is not unique, the last valid record number is returned.
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • This function may be handy to use in DDE applications.
  • The result of this function is often used as second parameter in PNTVAL, PNTCRD, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator example:

Point map Rainfall stores rainfall values of rainfall station located in the area of Cochabamba (Bolivia). To retrieve the point number of a certain rainfall station:

? PNTNR(Rainfall, "Laguna Santa Rosa")

returns e.g. 3

TabCalc examples:

OutCol1 = PNTNR(Rainfall,"Laguna Santa Rosa")

Rainfall.mpp opened as table

Recordnr | Name | Coordinate
1 | UMSS | (803429.00, 8074631.00)
2 | Taquina | (799748.00, 8082415.00)
3 | Laguna Santa Rosa | (803511.00, 8087422.00)
4 | Laguna Totura | (801281.00, 8088967.00)
5 | PROMIC | (802613.00, 8080483.00)
6 | Aro Caqua | (806816.00, 8076585.00)
7 | Colca Pithua | (797465.00, 8078352.00)
8 | Cerro MachaMach | (796346.00, 8087736.00)
9 | Laguna WaraWara | (806042.00, 8085414.00)

See also:

PNTVAL

PNTCRD


PNTVAL

Map and Table Calculation

PNTVAL( ) function

Returns the name or value of the point with record number PointNumber or with point name PointName in point map PointMap.

Syntax

PNTVAL(PointMap, PointNumber)
PNTVAL(PointMap, "PointName")

Input

PointMap | is a point map
PointNumber | is the record number of a point
Domain type: | any Value domain
PointName | is a point name or a point value
Domain type: | domain of the PointMap

Output

PNTVAL returns: | the name or value of a point
Domain: | same as input PointMap

Notes:

  • If PointNumber is not an integer value, it is rounded off.
  • If "Pointname" is not unique, the last valid name or value is returned.
  • By opening the point map as a table you can find point values of individual points.
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • This function may be handy to use in DDE applications.
  • The result of this function is often used in combination with PNTNR, PNTCRD, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

Point map Rainfall stores rainfall values of rainfall station located in the area of Cochabamba (Bolivia). To retrieve the point value of a certain rainfall station:

? PNTVAL(Rainfall,3) | returns e.g. Laguna Santa Rosa
? RIGHT(PNTVAL(Rainfall,"Laguna Santa Rosa"),10) | returns e.g. Santa Rosa

TabCalc examples:

OutCol = PNTVAL(Rainfall,3)

Rainfall.mpp opened as table

Recordnr | Name | Coordinate
1 | UMSS | (803429.00, 8074631.00)
2 | Taquina | (799748.00, 8082415.00)
3 | Laguna Santa Rosa | (803511.00, 8087422.00)
4 | Laguna Totura | (801281.00, 8088967.00)
5 | PROMIC | (802613.00, 8080483.00)
6 | Aro Caqua | (806816.00, 8076585.00)
7 | Colca Pithua | (797465.00, 8078352.00)
8 | Cerro MachaMach | (796346.00, 8087736.00)
9 | Laguna WaraWara | (806042.00, 8085414.00)

Applied example

Given is a point map Pollution with points indicating sources of pollution. Create a raster map PolCircle with concentric circles with diminishing pollution around the point with identifier Plant 1. The pollution is 100% at the circle center and 0 at 1 km distance. Use a linear function. The output raster map has the same georeference as map BaseMap. The coordinate system is assumed to be in meters.

PolDist = DIST(PNTCRD(Pollution,"Plant 1"),MAPCRD(BaseMap))

PolCircle = IFF(PolDist>1000,0,PNTVAL(Pollution,"Plant 1")*(1-Pollution/1000)

if you would like to use the calculation for a point map that has pollution centers only identified by their pollution value (i.e. a value point map), you can find individual point numbers by opening the point map as a table. For doing the previous operation on the point with the highest pollution, open the point map as a table and identify the record number with the highest pollution. If the record number is 5, the Map calculation statement would be:

PolCircle = IFF(DIST(PNTCRD(Pollution, 5), MAPCRD(BaseMap)) > 1000, 0, PNTVAL(Pollution, 5) * (1 - DIST(PNTCRD(Pollution, 5), MAPCRD(BaseMap))/1000)

See also:

PNTNR

PNTCRD


POW

Map and Table Calculation

POW( ) function

Returns the result of a value a raised to a power b, i.e. ab.

Syntax

POW(Value a, Value b)

Input

Value a | is the base value.
Domain type: | any Value domain
Value b | is the exponent to which Value a is raised.
Domain type: | any Value domain

Output

POW returns: | a real value
Domain: | system domain Value

Notes:

  • The POW(a,b) function is equivalent to a^b where ^ is the exponential operator.
  • When the base value is negative, the exponent has to be a whole integer value (otherwise the output will be undefined).
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • Using the function in the form of POW(a, 1/n) returns the nth root a (nÖa). See also laws of exponents.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? POW(2,3) | returns 8.000
? 2^3 | returns 8.000
? POW(8,1/3) | returns 2.000

MapCalc example:

OutMap = POW(InMap,3)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

8.000 | 1.000 | 0.125
0.008 | 0.027 | -1.000
? | -0.064 | -0.001

TabCalc example:

OutCol = POW(InColA,InColB)

InColA | InColB | OutCol
2.0 | 0.0 | 1.000
1.0 | 4.2 | 1.000
0.5 | 2.0 | 0.250
0.2 | 1.3 | 0.123
0.0 | 2.0 | 0.000
-1.0 | 8.6 | ?
? | 6.0 | ?
-0.4 | 3.0 | -0.064
-0.1 | 2.0 | 0.010

Applied example: exponential growth functions

In general, an exponential growth function is defined as:

An = A0 * (1 + perc/100)n

where:

An | is the amount after n years
A0 | is the amount in year 0
perc | is the growth rate as a percentage per year
n | is the number of years

In ILWIS this function looks like:

An = A0 * POW(1 + perc/100, n)

The expected total residential area after 4 years, of a residential area of 1136 ha with an estimated growth rate of 6% per year, is:

1136 * POW(1 + 6/100, 4) = 1434

For the other landuse areas the results are:

LandUse | AreaHaY0 | GrowPerc | AreaHaY4
Residential | 1136 | 6 | 1434
Commercial | 116 | 2 | 126
Industrial | 173 | 3 | 195
Institutional | 137 | 1 | 143
Recreational | 77 | 2 | 83
Transportation | 18 | 1 | 19

Where:

Column AreaHaY0 contains the areas in hectares for each land use class in year 0.

Column GrowPerc contains growth rates per year.

Column AreaHaY4 contains the areas of the land use classes after 4 years.

Notes:a

  • Instead of years you may also calculate in months, days, etc.
  • For an example of another growth function, see the EXP function.

See also:

SQ | HYP
SQRT | EXP

Laws of exponents


Map and Table Calculation

Predefined values

In ILWIS the following internal constants are defined:

PI | Value p: | 3.141592653589793...
PI2 | Value 2p: | 6.283185307179586...
PIDIV2 | Value ½p: | 1.570796326794896...
PIDIV4 | Value ¼p: | 0.785398163397448...
EXP(1) | Value e: | 2.718281828459045...
TRUE |  | 1
FALSE |  | 0

Note:

The predefined p values are often applied in combination with trigonometric functions like SIN, ACOS, ATAN2, etc.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? COS(PI) | returns -1.000
? TAN(PIDIV4) | returns 1
? RADDEG(ATAN2(PI,PI)) | returns 45.00
? TRUE*8 | returns 8

MapCalc example:

OutMap = InMap + SIN(PIDIV2)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

3.0 | 2.0 | 1.5
1.2 | 1.3 | 0.0
? | 0.6 | 0.9

TabCalc example:

OutCol = InCol + COS(PI2)

InCol | OutCol
2.0 | 3.0
1.0 | 2.0
0.5 | 1.5
0.2 | 1.2
0.3 | 1.3
-1.0 | 0.0
? | ?
-0.4 | 0.6
-0.1 | 0.9


%R

Map and Table Calculation

Predefined variable %R

Variable to calculate with record numbers in a table.

Syntax

%R

Notes:

  • R stands for Record number.
  • When a table uses system domain None, the record numbers are listed along the left of the table.
  • When a table uses another domain, the order of the domain items in the domain of the table are used.
  • Normally, column calculations are performed on the values of all records of specified columns. However, if you wish to perform an operation on specific records, you can indicate so by using [%R] as an index behind a column name in an expression.

    Column[expr]

    to use values of a column indexed by record values, class names or IDs

    Table.Column[expr]

    to use values of a column in another table, indexed by record values, class names or IDs

    Table.Ext.Column[expr]

    to use values of a column in a table with another extension than .tbt (e.g. .his), indexed by record values, class names or IDs.
    In between the square brackets, you can write an expression expr containing %R.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc

Examples

TabCalc example:

OutCol1 = %R

OutCol2 = OutCol1[%R+1] - OutCol1[%R]

OutCol3 = (OutCol1[%R-1] + OutCol1 + OutCol1[%R+1]) / 3

Domain | MyValue | OutCol1 | OutCol2 | OutCol3
Glacial deposits | 10 | 1 | 10 | ?
Lake deposits | 20 | 2 | 10 | 20
Old alluvial deposits | 30 | 3 | 40 | 40
Quartzites | 70 | 4 | 10 | 60
Recent alluvial deposits | 80 | 5 | 40 | 80
Shales | 90 | 6 | 10 | 100
Siltstones | 130 | 7 | 10 | 120
Slope deposits | 140 | 8 | ? | ?

  • Column OutCol1 contains the record numbers of the items in domain Geology; this domain is used by the table.
  • Column OutCol2 contains the difference of each record in column MyValue and its successive record, e.g. for the first record: 20-10 = 10.
  • Column OutCol3 contains the average value of each three successive records in column MyValue, e.g. for the second record: (10+20+30) / 3 = 20.00

See also:

%X

%Y

%L

%C

%K

%D

%P


RADDEG

Map and Table Calculation

RADDEG( ) function

Converts radians to degrees, i.e. (Value*360/2p) MOD 360.

Syntax

RADDEG(Value)

Input

Value | is a value in radians
Domain type: | any Value domain

Output

RADDEG returns: | a value in degrees
Domain: | system domain Value
Value range: | [0,360]

Note:

When the input value is undefined, the output will also be undefined.

Tips:

  • The RADDEG function is often used in combination with trigonometric functions such as SIN, ASIN, etc.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? RADDEG(1.5708) | returns 90.00
? RADDEG(ATAN(1.732)) | returns 60.00

MapCalc example:

OutMap = RADDEG(InMap)

InMap

OutMap

3.1416 | 1.5708 | 0.7854
0.5236 | 0.0000 | -1.047
? | -0.785 | 4.7124

180 | 90 | 45
30 | 0 | 300
? | 315 | 270

TabCalc example:

OutCol = RADDEG(InCol)

InCol | OutCol
3.1416 | 180
1.5708 | 90
0.7854 | 45
0.5236 | 30
0.0000 | 0
-1.0472 | 300
? | ?
-0.7854 | 315
4.7124 | 270

Applied example:

When you wish to convert slope values in percentages (Sloppct) to degrees (Slopdeg), use the following expression:

Slopedeg = RADDEG(ATAN(Slopepct/100))

Slopepct | Slopedeg
10 | 5.71
25 | 14.04
50 | 26.57
100 | 45.00
173 | 59.97

See also:

DEGRAD


RASVALUE

Map and Table Calculation

RASVALUE( ) function

Returns the value of a raster map at a certain row, column position.

Syntax

RASVALUE(RasterMap, RowNumber, ColumnNumber)

Input

RasterMap | is a raster map
RowNumber | is a row number
ColumnNumber | is a column number

Output

RASVALUE returns: | a class name, an ID or a value
Domain: | same as RasterMap

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? RASVALUE(Tmb1,100,200) | returns the pixel value of the pixel on line 100 and column 200, e.g. 45
? RASVALUE(Geology,62,191) | returns the pixel value of the pixel on line 62 and column 191, e.g. Gl : Glacial deposits

MapCalc example:

The next example describes the assignment of average values to pixels of an image in which whole lines are missing. Occasionally satellite images suffer from so called back drop lines. In this example every 8th line is missing. These lines are assigned values which are the average values from the line above and the line below.

OutImage = IFF((%L MOD 8=0), (RASVALUE(Image, %L-1, %C) + RASVALUE(Image, %L+1, %C))/2, Image)

Image

OutImage
Line 7

Line 8

Line 9
51 | 6 | 29
? | ? | ?
8 | 18 | 53

51.00 | 6.00 | 29.00
29.50 | 12.00 | 41.00
8.00 | 18.00 | 53.00

Image shows some pixels of line 7 up to line 9 while line 8 is missing. These missing values are replaced by the average values of the pixels of the line above and the line below.

Note:

In this example both maps use system domain Value.

See also:

COORD | MINCRDX | MAPCRD | DIST
CRDX | MINCRDY | MAPROW | DIST2
CRDY | MAXCRDX | MAPCOL |
TRANSFORM | MAXCRDY | MAPVALUE |


RIGHT

Map and Table Calculation

RIGHT( ) function

Returns a number of characters of a string, counting from the end of the string.

Syntax

RIGHT(String, Value)

Input

String | is a string
Domain type: | any Class or ID domain, or system domain String
Value | is the number of characters that should be returned
Domain type: | any Value domain
Value range: | >=0

Output

RIGHT returns: | a string
Domain type: | system domain String

Notes:

  • If Value is greater than the length of the input string, the RIGHT function returns the entire string.
  • If Value is not an integer value, it is rounded off.
  • When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? RIGHT("Landuse",3.5) | returns duse
? RIGHT("Industrial",6) | returns strial

TabCalc example:

OutCol = RIGHT(InCol,6)

InCol | OutCol
Institutional | tional
Commercial | ercial
Residential | ential
? | ?
Industrial | strial
Recreational | tional
Transport | nsport
Airport | irport
Water | Water

See also:

LEFT | STRLT | IN
SUB | STRLE | INMASK
LENGTH | STRGT |
STRPOS | STRGE |


RND

Map and Table Calculation

RND( ) function

Returns a random value.

Syntax

RND()
RND(0)
RND(Value)

Input

Value | is a long integer value
Domain type: | any Value domain
Value range: | >=0

Output

RND() returns: | a real value at random
Domain: | system domain Value
Value range: | [0,1>

RND(0) returns: | a 0 or a 1 at random
Domain: | system domain Value

RND(Value) returns: | a long integer value
Domain: | system domain Value
Value range: | [1,Value]

Notes:

  • It is advised to use the assignment symbol := in formulae with random functions; using the definition symbol = will result in the assignment of new random values during every calculation.
  • The maximum value for RND(Value) is around 2 billion, i.e. 2147483646 or 2.14E09.
  • When the input value is outside the value range, the output value will be undefined.
  • When the input value is undefined, the output value will also be undefined

Tips:

  • The random function can for instance be used to simulate a point dataset for comparison with measured point data (see also Spatial Correlation and Pattern Analysis).
  • To simulate a die, use the RND function in the form of RND(6).
  • To generate a random real value between a and b, use RND()*(b-a)+a.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? RND() | may return a random value between 0 and 1, e.g. 0.857
? RND(0) | may return a 0 or 1 at random, e.g. 1
? RND(1000) | may return a random integer value between 1 and 1000, e.g. 472
? RND(POW(2,3)) | may return a random integer value between 1 and 8, e.g. 4
? RND(6)+RND(6) | simulates the casting of two dice

MapCalc example:

OutMap1 := RND()

OutMap2 := RND(0)

OutMap3 := RND(1000)

OutMap1

OutMap2

OutMap3

0.689 | 0.376 | 0.725
0.574 | 0.803 | 0.245
0.615 | 0.243 | 0.157

1 | 0 | 0
1 | 1 | 0
0 | 1 | 1

371 | 61 | 992
760 | 266 | 142
482 | 953 | 674

TabCalc example:

OutCol1 := RND()

OutCol2 := RND(0)

OutCol3 := RND(1000)

OutCol1 | OutCol2 | OutCol3
0.689 | 1 | 371
0.376 | 0 | 61
0.725 | 0 | 992
0.574 | 1 | 760
0.803 | 1 | 266
0.245 | 0 | 142
0.615 | 0 | 482
0.243 | 1 | 953
0.157 | 1 | 674

See also:

ROUND


ROUND

Map and Table Calculation

ROUND( ) function

Rounds the specified value to the nearest long integer value.

Syntax

ROUND(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

ROUND returns: | a long integer value
Domain: | system domain Value

Note:

When the input value is undefined, the output value will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? ROUND(0.5) | returns 1
? ROUND(2.4) | returns 2
? ROUND(ABS(-3.5)) | returns 4

MapCalc example:

OutMap = ROUND(InMap)

InMap

OutMap

1.4 | 1.5 | 1.6
? | 0 | 1
-1.6 | -1.5 | -1.4

1 | 2 | 2
? | 0 | 1
-2 | -2 | -1

TabCalc example:

OutCol = ROUND(InCol)

InCol | OutCol
-1.6 | -2
-1.5 | -2
-1.4 | -1
? | ?
0 | 0
1 | 1
1.4 | 1
1.5 | 2
1.6 | 2

See also:

FLOOR

CEIL


RPRCOLOR

Map and Table Calculation

RPRCOLOR( ) function

Returns the (R,G,B) color of a certain class Class or value Value from a representation Representation of type Class or type Value.

Syntax

RPRCOLOR(Representation, Value)
RPRCOLOR(Representation, "Class")

Input

Representation | is a representation
Value | is a value
Class | is a class name

Output

RPRCOLOR returns: | a color
Domain: | system domain Color

Tips:

  • The RPRCOLOR function retrieves a color from a representation class or from a representation value. The function can also be used on a representation class that is opened as a table.
  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator example:

? RPRCOLOR(Suitability,"4") | returns the color of class 4 in a map with suitability classes
? RPRCOLOR(Landuse,"Forest") | returns the color of land use Forest in map Landuse, e.g. (0,255,0)
? RPRCOLOR(DEM,3000) | returns the color of value 3000 from representation DEM, e.g. (255,255,128)

TabCalc example:

Using Table Calculation, you have the ability to read colors from a representation into another table. Because a color should be retrieved for every item in the domain, you can use the predefined variable %K.

OutCol = RPRCOLOR(Landuse,%K)

Landuse.tbt | Landuse.rpr |
Landunit | Landunit | Color
Agriculture | Agriculture | (255, 255, 0)
Airport | Airport | (255, 0, 0)
Bare soils | Bare soils | (164, 40, 40)
Forest | Forest | (48, 128, 76)
Grass | Grass | (98, 98, 98)
Lake | Lake | (0, 0, 255)
Riverbed | Riverbed | (0, 255, 255)
Rocks | Rocks | (128, 128, 128)
Shrubs | Shrubs | (255, 0, 255)

Landuse.tbt

Landunit | Color
Agriculture | (255, 255, 0)
Airport | (255, 0, 0)
Bare soils | (164, 40, 40)
Forest | (48, 128, 76)
Grass | (98, 98, 98)
Lake | (0, 0, 255)
Riverbed | (0, 255, 255)
Rocks | (128, 128, 128)
Shrubs | (255, 0, 255)

The expression returns for every item in the attribute table Landuse.tbt the color which was described in the representation Landuse.rpr.

See also:

COLOR | CLRGREEN | CLRYELLOW | CLRHUE
MAPCOLOR | CLRBLUE | CLRMAGENTA | CLRSAT
RPRCOLOR |  | CLRCYAN | CLRINTENS
 |  | CLRGREY | COLORHSI


SEC

Map and Table Calculation

SEC( ) function

Converts a string with degrees, minutes, seconds to seconds, i.e. Seconds=3600*DDD+60*MM+SS.

Syntax

SEC(String)

Input

String | a string with degrees, minutes, seconds, as DDD°MM'SS" or DDD MM SS, optionally followed by N (North), S (South), E (East) or W (West)
Domain: | system domain String

Output

SEC returns: | is a value in degrees
Domain type: | system domain Value

Notes:

  • The degrees, minutes and minutes in the input string may be separated by °, ', " (as DDD°MM'SS") or by spaces (as in DDD MM SS).
  • The input string may optionally be followed by N (North), S (South), E (East) or W (West).
  • A minus sign, or an S or W character in the input string will result in a negative output value.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SEC("7 30 18") | returns 27018 (= 3600 * 7 + 30 * 60 + 18)
? SEC("7 30 18 S") | returns -27018

TabCalc example:

OutCol = SEC(InCol)

InCol | OutCol
25°00'00" | 25.000
-25°00'00" | -25.000
45°00'00"N | 45.000
45°07'30"S | 45.125
45°15'00" | 45.250
45°30'00" | 45.500
45°45'00" | 45.750

See also:


SGN

Map and Table Calculation

SGN( ) function

Returns an integer value indicating the sign of the input value.

Syntax

SGN(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

SGN returns: | -1 if Value<0; 0 if Value=0, and 1 if Value>0
Domain: | system domain Min1to1
Value range: | [-1,1]

Note:

When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SGN(12) | returns 1
? SGN(POW(-2,3)) | returns -1

MapCalc example:

OutMap = SGN(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.0 | -1.0
? | -0.4 | -0.1

1 | 1 | 1
1 | 0 | -1
? | -1 | -1

TabCalc example:

OutCol = SGN(InCol)

InCol | OutCol
2.0 | 1
1.0 | 1
0.5 | 1
0.2 | 1
0.0 | 0
-1.0 | -1
? | ?
-0.4 | -1
-0.1 | -1

See also:

ABS

NEG


SIN

Map and Table Calculation

SIN( ) function

Returns the sine of an angle.

Syntax

SIN(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

SIN returns: | a real value
Domain: | system domain Min1to1
Value range: | [-1,1]

Notes:

  • For the function SIN, the input angle has to be specified in radians. To convert degrees to radians, use the angular function DEGRAD.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SIN(0.79) | returns 0.710
? SIN(DEGRAD(30)) | returns 0.500

MapCalc example:

OutMap1 = SIN(InMap1)

InMap1

OutMap1

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

0.909 | 0.841 | 0.479
0.199 | 0.296 | -0.841
? | -0.389 | -0.100

OutMap2 = SIN(DEGRAD(InMap2))

InMap2

OutMap2

0 | 30 | 45
60 | 90 | 135
180 | 270 | ?

0.000 | 0.500 | 0.707
0.866 | 1.000 | 0.707
0.000 | -1.000 | ?

TabCalc example:

OutCol1 = SIN(InCol1)

OutCol2 = SIN(DEGRAD(InCol2))

InCol1 | OutCol1 | InCol2 | OutCol2
2.0 | 0.909 | 0 | 0.000
1.0 | 0.841 | 30 | 0.500
0.5 | 0.479 | 45 | 0.707
0.2 | 0.199 | 60 | 0.866
0.3 | 0.296 | 90 | 1.000
-1.0 | -0.841 | 135 | 0.707
? | ? | 180 | 0.000
-0.4 | -0.389 | 270 | -1.000
-0.1 | -0.100 | ? | ?

See also:

COS | ASIN | SINH
TAN | ACOS | COSH
ATAN2 | ATAN | TANH


SINH

Map and Table Calculation

SINH( ) function

Returns the hyperbolic sine of an angle.

Syntax

SINH(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

SINH returns: | a real value
Domain: | system domain Value

Notes:

  • The formula for the hyperbolic cosine is SINH(a)=(ea-e-a)/2
  • Hyperbolic functions are related to a hyperbole (x2-y2=r2), in the same way as trigonometric functions are related to a circle (x2+y2=r2).
  • When the input value is undefined, the output value will also be undefined.

Tips:

  • You can use the hyperbolic sine function to approximate a cumulative probability distribution. See also the applied example below.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SINH(4)

returns 27.290

MapCalc example:

OutMap = SINH(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

3.627 | 1.175 | 0.521
0.201 | 0.305 | -1.175
? | -0.411 | -0.100

TabCalc example:

OutCol = SINH(InCol)

InCol | OutCol
2.0 | 3.627
1.0 | 1.175
0.5 | 0.521
0.2 | 0.201
0.3 | 0.305
-1.0 | -1.175
? | ?
-0.4 | -0.411
-0.1 | -0.100

Applied example:

Suppose a laboratory test value series between 0 and 10 seconds. An empirical analysis of the collected history of experiments shows that the probability of obtaining a result, x, of less than t seconds is approximated by the following equation:

P(x<t) = 2868 * SINH(0.0342 * t) where 0<t<10

To calculate the probability of obtaining a result of less than 1.03 seconds, substitute 1.03 for t:

2.868 * SINH(0.0342 * 1.03) equals 0.101049063

You can expect this result to occur about 101 times for every 1000 experiments.

See also:

SIN | ASIN | ATAN2
COS | ACOS | COSH
TAN | ATAN | TANH


SQ

Map and Table Calculation

SQ( ) function

Returns the square of Value a, i.e. a2, or
returns the square of Value a plus the square of Value b, i.e. a2 + b2.

Syntax

SQ(Value a)
SQ(Value a, Value b)

Input

Value a | is a value
Domain type: | any Value domain
Value b | is a value
Domain type: | any Value domain

Output

SQ returns: | a real value
Domain: | system domain Value
Value range: | >=0

Note:

When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SQ(8-2) | returns 36.0000
? SQ(3,4) | returns 25.0000

MapCalc example:

OutMap = SQ(InMap)

InMap

OutMap

-8 | -4 | -2
-1 | 0 | 1
? | 4 | 16

64 | 16 | 4
1 | 0 | 1
? | 16 | 256

TabCalc example:

OutCol = SQ(InColA,InColB)

InColA | InColB | OutCol
2 | 1 | 5
1 | 12 | 145
5 | 3 | 34
0 | 4 | 16
3 | 2 | 13
-1 | 8 | 65
? | 12 | ?
-4 | 9 | 97
-7 | 0 | 49

See also:

SQRT | POW
HYP | EXP

Laws of exponents


SQRT

Map and Table Calculation

SQRT( ) function

Returns the positive square root of the specified input value a, i.e. Öa.

Syntax

SQRT(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

SQRT returns: | a value
Domain: | system domain Value
Value range: | >=0

Notes:

  • When the input value is negative the output value will be undefined.
  • If the input value is undefined, the output will also be undefined.

Tips:

  • When the output value of the SQRT function is multiplied by itself the input value is returned.
  • SQRT(a) is equivalent to POW(a,0.5).
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SQRT(2) | returns 1.4142
? SQRT(ABS(-16)) | returns 4.0000

MapCalc example:

OutMap = SQRT(InMap)

InMap

OutMap

-8 | -4 | -2
? | 0 | 1
2 | 4 | 16

? | ? | ?
? | 0 | 1
1.414 | 2 | 4

TabCalc example:

OutCol = SQRT(InCol)

InCol | OutCol
-8 | ?
-4 | ?
-2 | ?
? | ?
0 | 0.000
1 | 1.000
2 | 1.414
4 | 2.000
16 | 4.000

See also:

SQ | POW
HYP | EXP

Laws of exponents


STD or STDEV

Map and Table Calculation

STD( ) or STDEV function

Returns the standard deviation of a value column.

Syntax

STD(ValueColumn)
STDEV(ValueColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain

Output

STD returns: | a real value
Domain: | system domain Value

Notes:

  • The STD and STDEV function are aliases of each other.
  • The standard deviation is calculated according to the following formula:
  • The STD and STDEV function can only be used on the command line of a table window; they cannot be used on the command line of the Main window.
  • The STD and STDEV function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the record will be excluded from the calculation.

Tips:

  • To calculate weighted standard deviations or standard deviations per class, see the AGGSTD function.
  • The smaller the standard deviation, the less the values vary from the average.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = STD(InCol)

OutCol = STDEV(InCol)

InCol | OutCol
-5 | 5.855
-2 | 5.855
-1 | 5.855
0 | 5.855
? | 5.855
4 | 5.855
8 | 5.855
9 | 5.855
11 | 5.855

TabCalc pocket line calculator example:

? STD(InCol) | returns 5.855
? STDEV(InCol) | returns 5.855

See also:

MIN | CNT | VAR | TTEST
MAX | AVG | COV | CHISQUARE
SUM | STDERR | COVAR | Column Statistics
CUM |  | CORR | AGGSTD


STDERR

Map and Table Calculation

STDERR( ) function

Returns the standard error of a value column.

Syntax

STDERR(ValueColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain

Output

STDERR returns: | a real value
Domain: | system domain Value

Notes:

  • The standard error is calculated according to the following formula:

    • where σ is the square root of the variance.

  • The STDERR function can only be used on the command line of the table window; it cannot be used on the command line on the Main window.
  • The STDERR function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the record will be excluded from the calculation.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = STDERR(InCol)

InCol | OutCol
-5 | 2.070
-2 | 2.070
-1 | 2.070
0 | 2.070
? | 2.070
4 | 2.070
8 | 2.070
9 | 2.070
11 | 2.070

TabCalc pocket line calculator example:

? STDERR(InCol)

returns 2.070

See also:

MIN | CNT | VAR | TTEST
MAX | AVG | COV | CHISQUARE
SUM | STD | COVAR | Column Statistics
CUM | STDEV | CORR |


STRGE

Map and Table Calculation

STRGE( ) function

Returns true if, in alphabetical order, String a comes after or on the same place as String b, i.e. a >= b.

Syntax

STRGE(String a, String b)

Input

String a | is a string
Domain type: | any Class or ID domain, or system domain String
String b | is a string
Domain type: | any Class or ID domain, or system domain String

Output

STRGE returns: | a boolean value, i.e. True, False or undefined
Domain type: | system domain Bool

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • STRGE(String a, String b) is equivalent to String a >= String b.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRGE("Landuse","Forest") | returns True
? "Airport" >= "Industrial" | returns False

TabCalc example:

OutCol = STRGE(Landuse,Geomorphology)

Landuse | Geomorphology | OutCol
Institutional | Glacial slope | True
Commercial | Glacial lake | False
Residential | Old landslide | True
? | Active landslide | ?
Industrial | Heavily eroded area | True
Recreational | River floodplain | false
Transport | Valley in alluvial fan | False
Airport | ? | ?
Water | Water | True

See also:

LEFT | STRPOS | IN
RIGHT | STRLT | INMASK
SUB | STRLE |
LENGTH | STRGT |


STRGT

Map and Table Calculation

STRGT( ) function

Returns true if, in alphabetical order, String a comes after String b, i.e. a > b.

Syntax

STRGT(String a, String b)

Input

String a | is a string
Domain type: | any Class or ID domain, or system domain String
String b | is a string
Domain type: | any Class or ID domain, or system domain String

Output

STRGT returns: | a boolean value, i.e. True, False, or undefined
Domain type: | system domain Bool

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • STRGT(String a, String b) is equivalent to String a > String b.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRGT("Landuse","Forest") | returns True
? "Airport" > "Industrial" | returns False

TabCalc example:

OutCol = STRGT(Landuse,Geomorphology)

Landuse | Geomorphology | OutCol
Institutional | Glacial slope | True
Commercial | Glacial lake | False
Residential | Old landslide | True
? | Active landslide | ?
Industrial | Heavily eroded area | True
Recreational | River floodplain | False
Transport | Valley in alluvial fan | False
Airport | ? | ?
Water | Water | False

See also:

LEFT | STRPOS | IN
RIGHT | STRLT | INMASK
SUB | STRLE |
LENGTH | STRGE |


STRING

Map and Table Calculation

STRING( ) function

Converts a value to a string.

Syntax

STRING(Value)

Input

Value | is a value
Domain type: | any Value domain

Output

STRING returns: | a string
Domain type: | system domain String

Notes:

  • The STRING function is the inverse of the VALUE function.
  • A minus sign or a decimal point in the input value is retained in the output string.
  • When the input is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRING(45) | returns 45.000
? STRING(-38.5) | returns -38.5000

TabCalc example:

OutCol = STRING(InCol)

InCol | OutCol
0.0 | 0.0
0.1 | 0.1
-1.5 | -1.5
25.0 | 25.0
999.0 | 999.0
? | ?

See also:

VALUE

CODE

NAME


STRLE

Map and Table Calculation

STRLE( ) function

Returns true if, in alphabetical order, String a comes before or on the same place as String b, i.e. a <= b.

Syntax

STRLE(String a, String b)

Input

String a | is a string
Domain type: | any Class or ID domain, or system domain String
String b | is a string
Domain type: | any Class or ID domain, or system domain String

Output

STRLE returns: | a boolean value, i.e. True, False, or undefined
Domain type: | system domain Bool

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • STRLE(String a, String b) is equivalent to String a <= String b.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRLE("Landuse","Forest") | returns False
? "Airport" <= "Industrial" | returns True

TabCalc example:

OutCol = STRLE(Landuse,Geomorphology)

Landuse | Geomorphology | OutCol
Institutional | Glacial slope | False
Commercial | Glacial lake | True
Residential | Old landslide | False
? | Active landslide | ?
Industrial | Heavily eroded area | False
Recreational | River floodplain | True
Transport | Valley in alluvial fan | True
Airport | ? | ?
Water | Water | True

See also:

LEFT | STRPOS | IN
RIGHT | STRLT | INMASK
SUB | STRGT |
LENGTH | STRGE |


STRLT

Map and Table Calculation

STRLT( ) function

Returns true if, in alphabetical order, String a comes before String b, i.e. a < b.

Syntax

STRLT(String a, String b)

Input

String a | is a string
Domain type: | any Class or ID domain, or system domain String
String b | is a string
Domain type: | any Class or ID domain, or system domain String

Output

STRLT returns: | a boolean value, i.e. True, False or undefined
Domain type: | system domain Bool

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • STRLT(String a, String b) is equivalent to String a < String b.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRLT("Landuse","Forest") | returns False
? "Airport" < "Industrial" | returns True

TabCalc example:

OutCol = STRLT(Landuse,Geomorphology)

Landuse | Geomorphology | OutCol
Institutional | Glacial slope | False
Commercial | Glacial lake | True
Residential | Old landslide | False
? | Active landslide | ?
Industrial | Heavily eroded area | False
Recreational | River floodplain | True
Transport | Valley in alluvial fan | True
Airport | ? | ?
Water | Water | False

See also:

LEFT | STRPOS | IN
RIGHT | STRLE | INMASK
SUB | STRGT |
LENGTH | STRGE |


STRPOS

Map and Table Calculation

STRPOS( ) function

Returns the starting position of the second string (i.e. the substring) in the first string.

Syntax

STRPOS(String a,"String b")

Input

String a | is a string
Domain type: | any Class or ID domain, or system domain String
String b | is a string
Domain type: | any Class or ID domain, or system domain String

Output

STRPOS returns: | an integer value
Domain type: | system domain Value

Note:

When one of the input parameters is undefined, or when both input parameters are undefined, the output will also be undefined.

Tips:

  • The STRPOS function might be useful when you want to find out the starting position of your second input domain when using the domain of a cross table. See also the applied example below.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? STRPOS("Commercial","mm") | returns 3
? STRPOS("Landuse","p") | returns 0

TabCalc example:

OutCol = STRPOS(InCol,"slope")

InCol | OutCol
Active alluvial fan | 0
Denudational steep to very steep slopes | 34
Denudational moderately steep slopes | 31
? | ?
Fault-line scarp | 0
Fault-related hills | 0
Steep face-slopes | 12
Infilled lake | 0
Steep dipslopes | 10

Applied example:

The next example uses the cross table of a Landuse map and a Geomorphology map.

OutCol = STRPOS(InCol, "* ") + 2

InCol | OutCol
Bare rock * Glacial slope | 13
Bare rock * Glacial lake | 13
Grassland * Old landslide | 13
Grassland * Active landslide | 13
Bare soils * Heavily eroded area | 14
Bare soils * Hills near a fault | 14
Forest * Valley in alluvial fan | 10
Shrubs * Alluvial fan (flooding possible) | 10
Urban periphery * Infilled lake | 19

In column OutCol the starting position is found of sub-string * followed by a space. Then 2 is added to find the real starting position of the geomorphological description.

See also:

LEFT | STRLT | IN
RIGHT | STRLE | INMASK
SUB | STRGT |
LENGTH | STRGE |


SUB

Map and Table Calculation

SUB( ) function

Returns a substring of a string, starting at a specified position and continuing for a specified number of characters.

Syntax

SUB(String, Value a, Value b)

Input

String | is a string
Domain type: | any Class or ID domain, or system domain String
Value a | is the value that specifies the starting position in the text string, from where the substring is returned
Domain type: | any Value domain
Value range: | >=1
Value b | is the value that specifies the number of characters that should be returned
Domain type: | any Value domain
Value range: | >=0

Output

SUB returns: | a string
Domain type: | system domain String

Notes:

  • If Value b is greater than the length of the input string the SUB function returns the entire input string.
  • If Value a and Value b are not integer values, they are rounded off.
  • When the input string is undefined, the output will also be undefined.

Tip:

  • SUB(String, 1, Value) is equivalent to LEFT(String, Value).
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? SUB("Landuse",5,3) | returns use
? SUB("Industrial",2.5,3.6) | returns dust

TabCalc example:

OutCol = SUB(InCol,4,6)

InCol | OutCol
Institutional | tituti
Commercial | mercia
Residential | identi
? | ?
Industrial | ustria
Recreational | reatio
Transport | nsport
Airport | port
Water | er

See also:

LEFT | STRLT | IN
RIGHT | STRLE | INMASK
LENGTH | STRGT |
STRPOS | STRGE |


SUM

Map and Table Calculation

SUM( ) function

Returns the sum of all values in a value column.

Syntax

SUM(ValueColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain

Output

SUM returns: | a real value
Domain: | system domain Value

Notes:

  • The SUM function can only be used on the command line of a table window; it cannot be used on the command line of the Main window.
  • The SUM function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the record will be excluded from the calculation.

Tips:

  • To calculate the sum per class, see the AGGSUM function.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = SUM(InCol)

InCol | OutCol
-5 | 24
-2 | 24
-1 | 24
0 | 24
? | 24
4 | 24
8 | 24
9 | 24
11 | 24

TabCalc pocket line calculator example:

? SUM(InCol)

returns 24.000

See also:

MIN | AVG | VAR | TTEST
MAX | STD | COV | CHISQUARE
CUM | STDEV | COVAR | Column Statistics
CNT | STDERR | CORR | AGGSUM


TAN

Map and Table Calculation

TAN( ) function

Returns the tangent of an angle.

Syntax

TAN(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

TAN returns: | a real value
Domain: | system domain Value

Notes:

  • For the function TAN, the input angle has to be specified in radians. To convert degrees to radians, use the angular function DEGRAD.
  • When the input value is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? TAN(0.7853) | returns 1.000
? TAN(DEGRAD(45)) | returns 1.000

MapCalc example:

OutMap1 = TAN(InMap1)

InMap1

OutMap1

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

-2.185 | 1.557 | 0.546
0.203 | 0.309 | -1.557
? | -0.423 | -0.100

OutMap2 = TAN(DEGRAD(InMap2))

InMap2

OutMap2

0 | 30 | 45
60 | 90 | 135
180 | 270 | ?

0.000 | 0.577 | 1.000
1.732 | ?.??? | -1.000
?.??? | ?.??? | ?

TabCalc example:

OutCol1 = TAN(InCol1)

OutCol2 = TAN(DEGRAD(InCol2))

InCol1 | OutCol1 | InCol2 | OutCol2
2.0 | -2.185 | 0 | 0.000
1.0 | 1.557 | 30 | 0.577
0.5 | 0.546 | 45 | 1.000
0.2 | 0.203 | 60 | 1.732
0.3 | 0.309 | 90 | ?.???
-1.0 | -1.557 | 135 | -1.000
? | ? | 180 | ?.???
-0.4 | -0.423 | 270 | ?.???
-0.1 | -0.100 | ? | ?

See also:

SIN | ASIN | SINH
COS | ACOS | COSH
ATAN2 | ATAN | TANH


TANH

Map and Table Calculation

TANH( ) function

Returns the hyperbolic tangent of an angle.

Syntax

TANH(Value)

Input

Value | is the angle specified in radians
Domain type: | any Value domain

Output

TAN returns: | a real value
Domain: | system domain Value

Notes:

  • The formula for the hyperbolic tangent is TANH(a)=SINH(a)/COSH(a), i.e. TANH(a)= (ea-e-a)/(ea+e-a).
  • Hyperbolic functions are related to a hyperbole (x2-y2=r2), in the same way as trigonometric functions are related to a circle (x2+y2=r2).
  • When the input value is undefined, the output value will also be undefined.

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? TANH(4)

returns 0.999

MapCalc example:

OutMap = TANH(InMap)

InMap

OutMap

2.0 | 1.0 | 0.5
0.2 | 0.3 | -1.0
? | -0.4 | -0.1

0.964 | 0.762 | 0.462
0.197 | 0.291 | -0.762
? | -0.380 | -0.100

TabCalc example:

OutCol = TANH(InCol)

InCol | OutCol
2.0 | 0.964
1.0 | 0.762
0.5 | 0.462
0.2 | 0.197
0.3 | 0.291
-1.0 | -0.762
? | ?
-0.4 | -0.380
-0.1 | -0.100

See also:

SIN | ASIN | SINH
COS | ACOS | COSH
TAN | ATAN | ATAN2


TBLCOLS

Map and Table Calculation

TBLCOLS( ) function

Returns the number of columns in a table.

Syntax

TBLCOLS(Table)

Input

Table is a table or any other object which is stored as a table, e.g. histograms, two-dimensional tables, a georef tiepoints, a segment map, a point map, a representation class

Output

TBLCOLS returns: | a value
Domain: | system domain Value

Note:

By default, this function works on tables with extension .tbt; you can omit the extension .tbt. To use this function on other objects, you need to specify the object's extension.

Tips:

  • This function may be handy to use in DDE applications
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? TBLCOLS(InTable) | returns the total number of columns in table InTable, e.g. 4
? TBLCOLS(Point.mpp) | returns the total number of columns in the table of point map Point.mpp, e.g. 7

TabCalc example:

OutCol = TBLCOLS(InTable)

InTable

InCol1 | InCol2 | InCol3 | InCol4 | OutCol
10 | 35 | 20 | 35 | 4
35 | 20 | 35 | 15 | 4
20 | 35 | 15 | 40 | 4
35 | 15 | 40 | ? | 4
15 | 40 | ? | 40 | 4
40 | ? | 40 | 30 | 4
? | 40 | 30 | 10 | 4
40 | 30 | 10 | 35 | 4
30 | 10 | 35 | 20 | 4

MapCalc example:

OutMap = InMap * TBLCOLS(InTable)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

40 | 140 | 80
140 | 60 | 160
? | 160 | 120

See also:

MAPMAX | PIXSIZE
MAPMIN | PIXAREA
MAPROWS | TBLRECS
MAPCOLS | TBLVALUE


TBLRECS

Map and Table Calculation

TBLRECS( ) function

Returns the number of records in a table.

Syntax

TBLRECS(Table)

Input

Table is a table or any other object which is stored as a table, e.g. histograms, two-dimensional tables, a georef tiepoints, a segment map, a point map, a representation class

Output

TBLRECS returns: | a value
Domain: | system domain Value

Note:

By default, this function works on tables with extension .tbt; you can omit the extension .tbt. To use this function on other objects, you need to specify the object's extension.

Tips:

  • This function may be handy to use in DDE applications
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

Simple calculators, MapCalc, TabCalc

Examples

Pocket line calculator examples:

? TBLRECS(InTable) | returns the total number of records in table InTable, e.g. 9
? TBLRECS(Point.mpp) | returns the total number of records in the table of point map Point.mpp, e.g. 717

TabCalc example:

OutCol = TBLRECS(InTable)

InTable

InCol | OutCol
10 | 9
35 | 9
20 | 9
35 | 9
15 | 9
40 | 9
? | 9
40 | 9
30 | 9

MapCalc example:

OutMap = InMap * TBLRECS(InTable)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

90 | 315 | 180
315 | 135 | 360
?? | 360 | 270

See also:

MAPMAX | PIXSIZE
MAPMIN | PIXAREA
MAPROWS | TBLCOLS
MAPCOLS | TBLVALUE


TBLVALUE

Map and Table Calculation

TBLVALUE( ) function

Returns the value (value, class name, id or string) from table Table as found in column "ColumnName" and in record Record.

Syntax

TBLVALUE(Table, "ColumnName", Record)

Input

Table | is a table name
ColumnName | is a column name
Record | is a record number, a class name or an ID

Output

TBLRECS returns: | a value
Domain: | system domain Value

Notes:

  • When the table uses a Class or ID domain, specify Record as a domain item from that domain in double quotes (e.g. "Airport" or "015").
  • If the table uses system domain Image or system domain None, specify Record as a record number without quotes.

Tips:

  • This function may be handy to use in DDE applications.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? TBLVALUE(Cityblocks,"Area","015") | returns the value from table Cityblock (ID domain) as found in column Area and in record 015
? TBLVALUE(Tmb1.his,"Npix",65) | returns the number of pixels with value 65 in map Tmb1 as found in column Npix and in record 65 of histogram Tmb1
? TBLVALUE("C:\Path\Tmb1.his","Npix",65) | returns the same as above but with the histogram in another directory

TabCalc example:

OutCol = TBLVALUE(InTable, "InCol", 5)

InTable

InCol | OutCol
10 | 15
35 | 15
20 | 15
35 | 15
15 | 15
40 | 15
? | 15
40 | 15
30 | 15

MapCalc example:

OutMap = InMap - TBLVALUE(InTable, "InCol", 5)

InMap

OutMap

10 | 35 | 20
35 | 15 | 40
? | 40 | 30

-5 | 20 | 5
20 | 0 | 25
? | 25 | 15

See also:

MAPMAX | PIXSIZE
MAPMIN | PIXAREA
MAPROWS | TBLRECS
MAPCOLS | TBLCOLS


TRANSFORM

Map and Table Calculation

TRANSFORM( ) function

Transforms an (X,Y) coordinate to another coordinate system.

Syntax

TRANSFORM(Coordinate, CoordinateSystem)

Input

Coordinate | is an (X,Y) coordinate
Domain type: | a coordinate sytem
CoordinateSystem | is a target coordinate system

Output

TRANSFORM returns: | an (X,Y) coordinate
Domain: | same coordinate system as CoordinateSystem

Tip:

When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? TRANSFORM (COORD(803429,8074631,Cochabamba),LATLON)

returns the (X,Y) coordinate according to the X coordinate and the Y coordinate and coordinate system LatLon, i.e. 17°23'36.51"S, 66°08'40.01"W

TabCalc example:

XYCoord = COORD(X,Y,Cochabamba)

XYLatLon = TRANSFORM(XYCoord,LATLON)

XYLatLon = TRANSFORM(COORD(X,Y,Cochabamba),LATLON)

Point data from the Cochabam area currently using coordinate system Cochabamba (Cochabamba, Bolivia) will be transformed into longitudes and latitudes (LatLon coordinate system).

X | Y | XYCoord | XYLatLon
803429 | 8074631 | (803429,8074631) | 17°21'30.66"S, 73°42'04.21"W
799748 | 8082415 | (799748,8082415) | 17°19'25.29"S, 66°10'48.48"W
803511 | 8087422 | (803511,8087422) | 17°16'40.76"S, 66°08'43.67"W
801281 | 8088967 | (801281,8088967) | 17°15'51.61"S, 66°09'59.87"W
802613 | 8080483 | (802613,8080483) | 17°20'26.71"S, 66°09'10.57"W
806816 | 8076585 | (806816,8076585) | 17°22'31.35"S, 66°06'46.37"W
797465 | 8078352 | (797465,8078352) | 17°21'38.43"S, 66°12'03.73"W
796346 | 8087736 | (796346, 8087736) | 17°16'33.96"S, 66°12'46.21"W
806042 | 8085414 | (806042, 8085414) | 17°17'44.79"S, 66°07'17.04"W

In words the above mentioned expressions read:

Take the X-component of a coordinate belonging to coordinate system Cochabamba and transform it to a longitude value. Take the Y-component of a coordinate belonging to coordinate system Cochabamba and transform it to a latitude value.

See also:

COORD | MINCRDX | MAPCRD | RASVALUE
CRDX | MINCRDY | MAPROW | DIST
CRDY | MAXCRDX | MAPCOL | DIST2
 | MAXCRDY | MAPVALUE |


TTEST

Map and Table Calculation

TTEST( ) function

Performs a Student's t-test on a column.

Syntax

TTEST(Value, ValueColumn)

Input

Value | is the true value, i.e. the value to which the mean of your variable (m) stochastically converges
Domain type: | any Value domain
ValueColumn | is the value column on which the t-test is performed
Domain type: | any Value domain

Output

TTEST returns: | a real value
Domain: | system domain Value

Notes:

  • The Student's t-test is calculated according to the following formula:
  • The t-test tests whether a sample of n observations with mean [image] comes from a normal distribution with mean μ. It can be used to determine whether or not the means in two sample populations are significantly different.
  • The output of the t-test has to be looked up in a table.
  • The TTEST function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the value is excluded in the calculation.

Tips:

  • The t-test is often used in the hypothesis testing of small sample data sets.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator example:

? TTEST(3.0,InCol)

returns 0.515

TabCalc example:

OutCol = TTEST(3.0,InCol)

InCol | OutCol
3 | 0.515
2 | 0.515
? | 0.515
0 | 0.515
4 | 0.515
5 | 0.515
6 | 0.515
7 | 0.515
8 | 0.515

See also:

MIN | CNT | STDERR | CORR
MAX | AVG | VAR | CHISQUARE
SUM | STD | COV | Column Statistics
CUM | STDEV | COVAR |


VALUE

Map and Table Calculation

VALUE( ) function

Converts a string with numbers to a value.

Syntax

VALUE(String)

Input

String | is a string consisting of numbers, optionally preceded with a minus sign and optionally containing a dot.
Domain type: | system domain String

Output

VALUE returns: | a real value
Domain type: | system domain Value

Notes:

  • The VALUE function is the inverse of the STRING function.
  • When the input string starts with a minus sign, the output value will be negative.
  • A dot in the input string will result in an output value with a decimal point.
  • When the input string contains any alphabetic characters, the output will be undefined.
  • When the input is undefined, the output will also be undefined.

Tip:

When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, Simple calculators

Examples

Pocket line calculator examples:

? VALUE("45") | returns 45.000
? VALUE(-38.5) | returns -38.500

TabCalc example:

OutCol1 = VALUE(InCol1)

OutCol2 = VALUE(SUB(InCol2,2,2))

InCol1 | InCol2 | OutCol1 | OutCol2
0 | A11 | 0.000 | 11
0.1 | A12 | 0.100 | 12
-1.5 | A20 | -1.500 | 20
25 | A30 | 25.000 | 30
999 | B10 | 999 | 10
A300 | B21 | ? | 21
ABC | B22 | ? | 22
? | ? | ? | ?

Column ColOut2 contains the values of a sub string of column InCol2. The sub string starts at position 2 and takes 2 characters into account; when the result of the sub string is a number, then this is converted to a value.

See also:

STRING

CODE

NAME


VAR

Map and Table Calculation

VAR( ) function

Returns the variance of a value column.

Syntax

VAR(ValueColumn)

Input

ValueColumn | is a value column
Domain type: | any Value domain

Output

VAR returns: | a real value
Domain: | system domain Value

Notes:

  • The variance is calculated according to the following formula:
  • The VAR function can only be used on the command line of the table window; it cannot be used on the command line of the Main window.
  • The VAR function can also be performed through a dialog box, see Column Statistics.
  • When the input value is undefined, the record will be excluded from the calculation.

Tips:

  • The smaller the variance, the less the values vary from the average.
  • When the definition symbol = is used, a dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output column has been calculated.

Usable in

TabCalc, TabCalc pocket line calculator

Examples

TabCalc example:

OutCol = VAR(InCol)

InCol | OutCol
-5 | 34.286
-2 | 34.286
-1 | 34.286
0 | 34.286
? | 34.286
4 | 34.286
8 | 34.286
9 | 34.286
11 | 34.286

TabCalc pocket line calculator example:

? VAR(InCol)

returns 34.286

See also:

MIN | CNT | STDERR | TTEST
MAX | AVG | COV | CHISQUARE
SUM | STD | COVAR | Column Statistics
CUM | STDEV | CORR |


%X

Map and Table Calculation

Predefined variable %X

Variable to calculate with X-coordinates of raster maps.

Syntax

%X

Note:

X stands for X-coordinate.

Tip:

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Usable in

MapCalc

Examples

MapCalc example:

SubMap = IFF((%X > 80000) AND (%Y < 8080000), InMap, "?")

InMap | SubMap

SubMap has the same content as InMap if the X-coordinate is larger than 800000 and the Y-coordinate is smaller than 8080000. Outside this area SubMap is undefined.

See also:

%Y

%L

%C

%R

%K

%D

%P


XOR

Map and Table Calculation

XOR operator

Returns if either a or b exclusive is true, i.e. a XOR b.

Syntax

(a) XOR (b)

Input

a | is a boolean expression
Domain type: | any Bool domain
b | is a boolean expression
Domain type: | any Bool domain

Output

XOR returns: | a boolean value, i.e. True, False or undefined
Domain: | system domain Bool

Notes:

  • The truth table of the logical XOR operator is:
  • This means that:
    - if both a and b are true, false is returned,
    - if either a or b is true, true is returned,
    - if both a and b are false, false is returned.
    - if a is true and b is undefined, or vice versa, undefined is returned,
    - if a is false and b is undefined, or vice versa, undefined is returned, and
    - if both input parameters are undefined, the output will also be undefined.

Tips:

  • Logical operators are often used in combination with a conditional IFF function.
  • Testing whether values are within a certain range can also be performed with the INRANGE function.
  • When the definition symbol = is used, a dependent output map or dependent output column is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map/column has been calculated.

Usable in

MapCalc, TabCalc, Simple calculators

Examples

MapCalc examples:

OutMap = (InMapA >= 20) XOR (InMapB >= 70)

InMapA

InMapB

OutMap

5 | 10 | -10
20 | 0 | 30
? | 40 | 45

10 | 90 | 70
5 | 50 | 75
35 | 80 | ?

False | True | True
True | False | False
? | False | ?

OutMap2 = (Landuse="Forest") XOR (DEM > 1000)

Landuse

DEM

OutMap2

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

800 | 900 | 1000
-900 | 0 | 1200
1100 | 1300 | 1600

True | True | False
False | False | True
? | True | False

TabCalc examples:

OutCol = (InColA >= 20) XOR (InColB >= 70)

InColA | InColB | OutCol
5 | 10 | False
10 | 90 | True
-10 | 70 | True
20 | 5 | True
0 | 50 | False
30 | 75 | False
? | 35 | ?
40 | 80 | False
45 | ? | ?

OutCol2 = (Landuse="Forest") XOR (DEM > 1000)

Landuse | DEM | OutCol2
Forest | 800 | True
Forest | 900 | True
Grass | 1000 | False
Lake | -900 | False
Lake | 0 | False
Grass | 1200 | True
? | 1100 | ?
Grass | 1300 | True
Forest | 1600 | False

See also:

AND

OR

NOT


%Y

Map and Table Calculation

Predefined variable %Y

Variable to calculate with Y-coordinates of raster maps.

Syntax

%Y

Note:

Y stands for Y-coordinate.

Tip:

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Usable in

MapCalc

Examples

MapCalc example:

SubMap = IFF((%X > 80000) AND (%Y < 8080000), InMap, "?")

InMap | SubMap

SubMap has the same content as InMap if the X-coordinate is larger than 800000 and the Y-coordinate is smaller than 8080000. Outside this area SubMap is undefined.

See also:

%X

%L

%C

%R

%K

%D

%P


MapCalc/TabCalc : functional overview of operators and functions

Map and Table Calculation

Functional overview of operators and functions

Operators

Arithmetic operators

Logical operators

Relational operators

Functions

Aggregate functions

Angular functions

Classify function

Color functions

Conditional IFF function

Coordinate conversion functions

Coordinate functions

Data property functions

Exponential functions

Hyperbolic functions

Inrange function

Logarithmic functions

NDVI function

Point functions

Predefined values

Predefined variables

Random functions

Rounding functions

Sign functions

Statistical functions

String conversion functions

String functions

Trigonometric functions

Undefined functions

Operators

Arithmetic operators

+
-
*
/
^
MOD
DIV

Logical operators

AND
OR
XOR
NOT

Relational operators

= | or EQ
< | or LT
<= | or LE
> | or GT
>= | or GE
<> | or NE

Functions

Aggregate functions

AGGAVG
AGGCNT
AGGMIN
AGGMED
AGGMAX
AGGPRD
AGGSTD
AGGSUM

Angular functions

DEGRAD
RADDEG

Classify function

CLFY

Color functions

CLRRED
CLRGREEN
CLRBLUE
CLRYELLOW
CLRMAGENTA
CLRCYAN
CLRGREY
CLRHUE
CLRSAT
CLRINTENS
COLOR
COLORHSI
MAPCOLOR
RPRCOLOR

Conditional IFF function

IFF

Coordinate conversion functions

DMS
DEGREE
LAT
LON
SEC

Coordinate functions

COORD
CRDX
CRDY
DIST
DIST2
MAPCOL
MAPCRD
MAPROW
MAPVALUE
MAXCRDX
MAXCRDY
MINCRDX
MINCRDY
RASVALUE
TRANSFORM

Data property functions

MAPMAX
MAPMIN
MAPCOLS
MAPROWS
PIXAREA
PIXSIZE
TBLCOLS
TBLRECS
TBLVALUE

Exponential functions

EXP
HYP
POW
SQ
SQRT
Laws of exponents

Hyperbolic functions

SINH
COSH
TANH

Inrange function

INRANGE

Logarithmic functions

LOG
LN
Laws of logarithms

NDVI function

NDVI

Point functions

PNTCRD
PNTNR
PNTVAL

Predefined values

EXP(1)
FALSE
PI
PI2
PIDIV2
PIDIV4
TRUE

Predefined variables

%C
%D
%K
%L
%P
%R
%X
%Y

Random functions

RND

Rounding functions

CEIL
FLOOR
ROUND

Sign functions

ABS
NEG or -(a)
SGN

Statistical functions

AVG
CHISQUARE
CNT
CORR
COVAR or COV
CUM
MAX
MIN
STD or STDEV
STERR
SUM
TTEST
VAR

String conversion functions

CODE
NAME
STRING
VALUE

String functions

IN
INMASK
LEFT
LENGTH
RIGHT
STRLE
STRLT
STRGE
STRGT
STRPOS
SUB

Trigonometric functions

SIN
COS
TAN
ASIN
ACOS
ATAN
ATAN2

Undefined functions


MapCalc/TabCalc : general syntax

Map and Table Calculation

General syntax

Introduction

To calculate with raster maps, you can use the command line of the Main window; to calculate with columns in a table, you can use the command line of a table window.

A MapCalc or TabCalc formula consists of:

  • an output raster map name or an output column name that will contain the result of the calculation,
  • a definition symbol (=), or an assignment symbol (:=), and
  • an expression.

MapCalc syntax

OutputMap = Expression
OutputMap := Expression

TabCalc syntax

OutputColumn = Expression
OutputColumn := Expression

  • MapCalc formulae, typed on the command line of the Main window, are always performed on all pixels of the input map(s) and the answers are written to the pixels of the output map. By default, the command line of the Main window assumes raster map objects; when object extensions are specified, you can also work with other objects.
  • TabCalc formulae, typed on the command line of a table window, are by default performed on the records of the input column(s) and the answers are written to the records of the output column. By default, the command line of a table window assumes columns.

Notes:

  • It does not matter whether you type in capitals or in small characters; map and table calculation formulae are not case-sensitive.
  • When you use the Map Calculation dialog box, you have to type the expression part; the output map name has to be specified separately.
  • Advanced users who are certain that a typed formula is correct, may skip any dialog boxes by ending the expression with a semi-colon (;).
  • To use TabCalc formulae in a script, i.e. using TabCalc formulae on the command line of the Main window, see Appendices : ILWIS script language (syntax), section TabCalc .
  • ILWIS integer mathematics is limited to 32 bits (i.e. from -2147483647 to 2147483647). This means that any integer calculation which exceeds these limits, also within memory, may lead to unpredictable results.
  • Using a MapCalc expression like Map1=Map1*1000 leads to an error message because the expression is cyclic. The same goes for a TabCalc expression like Column1=Column1*100.

Examples

MapCalc example

A simple MapCalc formula reads:

OutMap = InMapA + InMapB

InMapA

InMapB

OutMap

1 | 2 | 3
4 | 5 | 6
7 | 8 | 9

10 | 20 | 30
40 | 50 | 60
70 | 80 | 90

11 | 22 | 33
44 | 55 | 66
77 | 88 | 99

The values of the pixels in OutMap are the sums of the values in the corresponding pixels of InMapA and InMapB.

TabCalc example

A simple TabCalc formula reads:

OutColumn = InColumnA + InColumnB

In the table, this looks as follows:

InColumnA | InColumnB | OutColumn
1 | 10 | 11
2 | 20 | 22
3 | 30 | 33
4 | 40 | 44

Each record in column OutColumn stores the sum of the values of the records in InColumnA and InColumnB.

Names of maps and tables

In ILWIS 3, object names, i.e. input or output map or table names, comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

However, on the command line, object names must be enclosed by single quotes when the object name:

  • starts with a digit from 0 to 9;
  • contains one or more spaces;
  • contains any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

Object extensions should be left outside the quotes. When an object name already contains a single quote, this single quote must be duplicated.

Thus, on the command line, single quotes around object names can only be omitted when object names start with a character between A to Z and do not contain spaces nor special characters.

Note:

When an existing output map name is specified, a message box will appear asking whether to overwrite the existing map or not.

For more information and examples, see How to use long object names.

Definition symbol = Assignment symbol :=

By using the defintion symbol =, a dependent output map or a dependent output column will be created.

A dependent map or a dependent column has the following advantageous characteristics:

  • the formula/expression by which the map or column was created is stored (this is also called the definition of a map or column),
  • the formula/expression by which the output map or column was created can be changed/edited,
  • a series of dependent maps or columns can be recalculated/made up-to-date, when a single definition or a single input map or column has changed.

You can manage dependent maps and columns through:

  • the Raster Map Properties sheet of a dependent map,
  • the Column Properties of a dependent column.

For more information, refer to Basic concepts : dependent data objects.

Tip: To make all columns in a table up-to-date, you can also click the Update all columns button [image] in the toolbar of a table window.

By using the assignment symbol :=, an editable map or column will be created. Dependency links are immediately broken after the output map or the output column has been calculated.

Note: It does not matter whether you type spaces around the definition or assignment symbol, or in the expression or not.

Expression

The expression usually contains one or more input map names or column names combined with operators and/or functions to specify what calculation has to be performed. The operators and functions which can be used in Table Calculations are identical to those in Map Calculation.

For overviews of operators and functions, see:

  • Alphabetic overview of operators and functions, or
  • Functional overview of operators and functions.

  • Operators are for instance + - / * ^ etc.
  • Some regularly used functions are for instance IFF(a,b,c), a AND b, SQRT(a), POW(a,b), LOG(a), etc.
  • Some constant values are predefined: the value p can be used by typing PI, the value e can be used by typing EXP(1).
  • To use line numbers or column numbers as variables in calculations, you can use %L (line) or %C (column).
  • To use X-coordinates or Y-coordinates as variables in calculations, you can use %X and %Y.
  • To use record numbers, or class names or IDs from the table domain as variables in calculations, you can use %R (record) and %K (key).

Examples of the usage of a function are presented in the topic on the function.

Furthermore, advanced users may wish to create their own functions. For more information, see Map and Table Calculation : User-defined functions.

Notes:

  • Input object names that contain spaces or special characters should be enclosed by 'single quotes', see the section on Names of maps and tables above.
  • When using class names or IDs or their codes in expressions, these should be enclosed by "double quotes", e.g. "Coffee".

Tip:

It is advised to use built-in functions instead of creating a combination of simple functions which perform the same calculation because pre-defined functions are quicker.

Miscellaneous

General information on the command lines:

  • The maximum length of an expression on the command line is 32000 characters. You can use the (Ctrl+) Left and Right Arrow keys on the keyboard to move back and forth in your formula. Use the somewhat larger MapCalc dialog box if you wish to type a MapCalc formula on multiple lines.
  • The command line has a history: press the Up Arrow key to retrieve previously used expressions; the Down Arrow key is used to 'scroll' forward again. You can also open the list of previously used commands and expressions by clicking the arrow at the right hand side of the command line. The amount of commands and expressions that can be retrieved can be set in the Preferences.
  • You can use the command line as a pocket calculator by typing a question mark ? followed by an expression, i.e. do not specify an output map/column name nor a definition or assignment symbol.

Raster Map Definition dialog box:

After typing a MapCalc formula on the command line of the Main window, and pressing Enter, the Raster Map Definition dialog box will appear, in which you can:

  • accept or modify your expression;
  • accept or specify the domain that should be used by the output map;
  • for value maps, accept or modify the value range and precision of the output map;
  • accept or modify the description of the output map.

Normally, ILWIS will come up with correct defaults for domain, value range and precision.

Column Properties dialog box:

After typing a TabCalc formula on the command line of a table window, and pressing Enter, the Column Properties dialog box will appear, in which you can:

  • accept or modify your expression;
  • accept or specify the domain that should be used by the output column;
  • for value columns, accept or modify the value range and precision of the output column;
  • specify the position of the column in the table, the width with which the column should be displayed, the number of decimals that should be displayed;
  • accept or modify the description of the output column.

Normally, ILWIS will come up with correct defaults for domain, value range and precision.

Overruling the default domain, value range and precision:

Generally, ILWIS will use correct defaults for the domain and possible value range and precision of the output map(s) or columns. When using the Raster Map Definition dialog box or the Column Properties dialog box, you will notice this. In scripts however, these dialog boxes will never appear.

To ensure that an output map or column will use a certain domain, and/or a certain value range and/or a certain precision, you can specify this yourself within a pair of curly brackets {} after the output map/column name.

Within the curly brackets, you can specify:

  • the domain as dom=MyDomain
  • the value range as vr=min:max:precision, or as vr=min:max, or as vr=::precision

When you specify both domain and value range, separate these with a semicolon.

Notes:

  • ILWIS expressions are not case-sensitive.
  • Spaces are allowed after output object names, around the definition or assignment symbol, and before and behind brackets, commas, or semicolons.
  • Spaces are not allowed before or behind colons.
  • ILWIS uses its internal defaults to determine whether the internal calculation will be performed in integers or in reals.
    In general it can be said, that:

    • when the input consists of integers, the internal calculation will also be performed in integers;
    • when the input consists of reals, the internal calculation will also be performed in reals.

    Any user specification of the desired output domain and value range can only limit the results from the internal calculation. It is thus not possible, that when all input is in integers, to obtain output in reals by using a precision smaller than 1, for instance by using OUT{dom=Value;vr=0:10000:0.001} = ....

Examples

OUT1{dom=MyVal} = expression

OUT2{dom=MyVal;vr=0:10000:1} = expression

OUT3{dom=MyVal;vr=0:10000} = expression

OUT4{dom=MyVal;vr=::0.001} = expression

Tip: For more information and examples, see Appendices : Construction of expressions.

See also:

MapCalc/TabCalc : Alphabetical overview of operators and functions

MapCalc/TabCalc : Functional overview of operators and functions

Basic concepts : dependent data objects

Main window : command line

Table window : command line

How to use long object names

Appendices : Construction of expressions

How to calculate with undefineds in maps and tables


MapCalc/TabCalc : simple calculators

Map and Table Calculation

Simple calculators

The command line in the Main window and the command line of a table window can be used as a pocket line calculator. The pocket line calculator is an ILWIS tool which enables the user to make quick calculations. All operators and functions described in Map and Table Calculation are available.

To use the pocket line calculator type on the command line of the Main window, or on the command line of a table window, a ? followed by your calculation/expression.

The pocket line calculator is especially convenient for:

  • quick calculations without the need to start other programs;
  • retrieving pixel information of maps (values, classes or ID’s, colors, coordinates, etc.) without displaying them on the screen;
  • retrieving some information on data in your table without creating new columns;
  • trying out difficult calculations before performing them with maps or table columns.

Furthermore, all operators and functions that are available for Map and Table calculation can also be used:

  • In the expression of a Graph from Formula. For more information, see Add Graph from Formula.
  • When using a user-defined expression for a coordinate system of type formula. For more information, see Edit Coordinate System Formula.

Tip:

The Map and Table calculation operators and functions can of course also be used in user-defined functions and scripts.

Examples:

Pocket line calculator examples

? 7 + 8 | returns 15
? 10 DIV 3 | returns the integer quotient, i.e. 3
? SIN(PI/2) | returns the sine of PI/2, i.e. 1.0
? COS(DEGRAD(60)) | returns the cosine of 60 degrees, i.e. 0.50
? MAPCOLOR (DEM,150,200) | retrieves the color of map DEM at row 150 and column 200, e.g. (255, 89, 16)
? MAPVALUE(Tmb1,COORD(800000,8080000))
 | returns the value of Tmb1 on the location with X-coordinate 800000 and Y-coordinate 8080000, e.g. 50.
? IFF(MAPVALUE(DEM,(COORD(100000,100000))>2500,"High","Low")
 | returns "High" if the value of the DEM on the specified location is higher than 2500; when the altitude is less than 2500, "Low" is returned.

User-defined functions in pocket line calculator:

More complicated expressions or expressions which will be used several times may be stored as a user-defined function or in an ASCII-file. ASCII-files can be made in any text editor. Application of such a file requires ?@FileName on the command line. The user-defined function Suitable may look like:

IFF ((MAPVALUE(Soil,COORD(150000,200000))="Rock") OR (MAPVALUE(Slope,COORD(150000,200000))>30),"Unsuitable","Suitable")

To apply this file, type:

?@Suitable

Tip:

For more information on user-defined functions, refer to Map and Table Calculation : User-defined functions.

See also:

Map and Table Calculation

Map and Table Calculation : General syntax


MapCalc/TabCalc: merge domains (workaround)

Map and Table Calculation

Merging domains (workaround)

Due to an error in the ILWIS software, class or ID domains are sometimes merged too early when the IFF function is used. In case domains are merged during a calculation, a warning is issued, and you may obtain an incorrect output map or output column.

For example an expression like:

OutMap = IFF(ClassMapA="ClassX", ClassMapA, ClassMapB)

returns an incorrect output map.

A workaround for this problem is to split the previous expression into two parts: one part that creates a boolean map and another part that use the boolean map in an IFF statement.

ClassX = ClassMapA="ClassX"

OutMap = IFF(ClassX, ClassMapA, ClassMapB)

Example

Unsuitable = SuitClass="Unsuitable"

CORRECT = IFF(Unsuitable, SuitClass, Urban)

SuitClass

Urban

Unsuitable

CORRECT

S | S | U
S | M | U
M | U | S

UR | UR | NU
NU | UR | UR
NU | UR | NU

F | F | T
F | F | T
F | T | F

UR | UR | U
NU | UR | U
NU | U | NU

The output map CORRECT may use domain Urban into which the domain items of map SuitClass are merged.

You can also choose to create a new domain for the output map; the domain items of the domains used by the Urban and SuitClass maps, are then merged into the new domain.

Notes:

  • Read in the SuitClass map for S=Suitable, M=Moderately Suitable and for U=Unsuitable.
  • Read in the Urban map for UR=Urban and for NU=Non Urban.

See also:

IFF


MapCalc : attribute map

Map calculation

Creating an attribute map

Maps of the domain type Class, ID or Group can have an attribute table with additional information on the elements in the map. An attribute table must use the same domain Class, ID or Group as the map(s) to which it refers. The domain provides the relational link between the table and the map. Therefore, the attributes in a column in an attribute table, can be put in a map, a so-called attribute map.

You can also directly create an attribute map of a raster map by typing one of the following statements on the command line of the Main window:

Syntax

OutMap = InMap.InColumn
OutMap = InMap.InTable.InColumn

where:

OutMap | is the name of your output raster map.
InMap | is the name of your input raster map (domain Class map or domain ID map).
InTable | is the name of a table (using same domain as input map).
InColumn | is the name of a column.

Notes:

  • The first statement only works when an attribute table is linked to the input map or to the domain of the input map (see Raster Map Properties or Domain Properties).
  • For the second statement, the table does not have to be linked to the map. However the statement only works when the domain that is used by the table is the same as the domain that is used by the map.

Tips:

  • The Attribute map of raster map operation provides the same functionality as the statements above.
  • To create attribute maps from polygon, segment or point maps with an attribute table: use the Attribute map of polygon map, Attribute map of segment map or Attribute map of point map operations.
  • When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example

In the following example a Landuse map is used showing the geographical position of five landuse classes. In the attribute table Landuse there is a column Landuse with the description of the landuse classes and a column CommValue with the commercial value per landuse class. A new map LandValue is created showing the commercial value per landuse class.

LandValue = Landuse.CommValue

This formula works in this example because the atrribute table is linked to the domain of the input map. You may also use the expressions:

LandValue = Landuse.Landuse.CommValue

LandValue = MapAttribute(Landuse,CommValue)

Landuse

LandValue

INS | COM | RES
INS | REC | RES
COM | IND | IND

30 | 40 | 20
30 | 10 | 20
40 | 50 | 50

Landuse.tbt

Landuse | CommValue
Institutional | 30
Commercial | 40
Residential | 20
Industrial | 50
Recreational | 10

See also:

How to create attribute maps

Attribute map of raster map


MapCalc : two-dimensional tables

Map calculation

Classifying maps according to a two-dimensional table

Two-dimensional tables are used to combine or reclassify two raster maps with a Class, Group or ID domain. It defines a new class or a value for each possible combination of input classes, groups or IDs.

A two-dimensional table view consists of rows representing one domain, and columns representing another domain. In the two-dimensional table, you have to assign a value, class name or ID to each possible combination of your input domains.

Application of a two-dimensional table on the command line of the Main window, requires two input raster maps which have the domains as used by the two-dimensional table. The output raster map then contains the values, classes or IDs that you entered in the fields of the two-dimensional table.

When you create a new two-dimensional table, it is directly displayed in a table window where you can also edit it directly. To open and edit an existing two-dimensional table, double-click a two-dimensional table in the Catalog, double-click the Open or Edit item in the Operation-list, or select the Edit Object command on the Edit menu of the Main window and select a two-dimensional table.

To apply a two-dimensional table:

A two-dimensional table can be applied by typing the following expression on the command line of the Main window:

OutMap = Two-DimTableName[InMap1,InMap2]

where:

OutMap | is the name of your output map.
Two-DimTableName | is the name of your two-dimensional table (extension .TA2).
InMap1 InMap2 | are your input maps from which the domains are used in the two-dimensional table.

Example:

Two small raster maps will be combined to one output map according to a two-dimensional table. The domain of InMap1 contains the IDs: A, B, C, D and E; InMap2 has the classes: P, Q, R, and S.

The two-dimensional table may for instance look like:

TwoDim.ta2

 | P | Q | R | S
A | Very Low | Very Low | Very Low | Very Low
B | Very Low | Low | Intermediately Low | Intermediate
C | Very Low | Intermediately Low | Intermediate | Intermediately High
D | Very Low | Intermediate | Intermediately High | High
E | Very Low | Intermediately High | High | Very High

To apply this table to InMap1 and InMap2 and obtain OutMap use the following formula:

OutMap = TwoDim[InMap1,InMap2]

InMap1

InMap2

OutMap

A | A | D
D | A | B
B | C | C

Q | P | S
P | Q | Q
R | R | T

VL | VL | H
VL | VL | L
IL | I | H

OutMap has pixel values according to the classification given in the two-dimensional table TwoDim. Each combination of corresponding pixel values is assigned its new value.

See also:

Map and Table Calculation

ILWIS objects : two-dimensional tables


MapCalc/TabCalc : undefined values (assign)

Map and Table Calculation

Assigning undefined values

To assign the undefined value to a pixel in an output map or to a record in an output column that uses a value domain, use the question mark ?.

To assign the undefined value to a pixel in an output map or to a record in an output column that uses a class, ID, string or group domain, use a question mark between double quotes "?".

Examples

MapCalc examples:

OutMap = IFF(ValueMap >= 20, ?, ValueMap)

ValueMap

OutMap

5 | 10 | -10
20 | 0 | 30
? | 40 | 45

5 | 10 | -10
? | 0 | ?
? | ? | ?

If a pixel in map ValueMap has a value larger than or equal to 20, then undefined is assigned to this pixel in map OutMap; else the pixel will get the original value.

OutMap = IFF(Landuse="Forest","?", Landuse)

Landuse

OutMap

Forest | Forest | Grass
Lake | Lake | Grass
? | Grass | Forest

? | ? | Grass
Lake | Lake | Grass
? | Grass | ?

If a pixel in map Landuse has class name "Forest", then undefined is assigned to this pixel in map Outmap; else the original class name is assigned.

TabCalc examples:

OutCol = IFF(ValueCol >= 20, ?, ValueCol)

ValueCol | OutCol
5 | 5
10 | 10
-10 | -10
20 | ?
0 | 0
30 | ?
? | ?
40 | ?
45 | ?

If a record in column ValueCol has a value larger than or equal to 20, then undefined is assigned to this record in column OutCol; else the record will get the original value.

OutCol = IFF(Landuse="Forest", "?", Landuse)

Landuse | OutCol
Forest | ?
Forest | ?
Grass | Grass
Lake | Lake
Lake | Lake
Grass | Grass
? | ?
Grass | Grass
Forest | ?

If a record in column Landuse has class name "Forest", then undefined is assigned to this record in column OutCol; else the original class name is assigned.

See also:

ISUNDEF
IFUNDEF
IFNOTUNDEF


TabCalc : joining columns from other tables

Table calculation

Joining columns from other tables

The join operation enables you to read a column from a second table and join it into the current table.

To be able to join, you need a link between the tables. The link between tables is always made through a common Class or ID domain that exists in both tables; this common domain may be used either by one or both of the tables itself, or by a column in the tables. This link is also called the key through which joining can take place.

To join a column into a currently opened table:

  • you can use the Join Column wizard,
  • you can type a Join expression on the command line of the table window.

This topic contains the following sections:

  • Join methods to create links between tables
  • Using the Join Column wizard
  • Join expressions on the command line of a table window
  • Examples

Join methods to create links between tables

1. Two tables which use the same domain:

The tables have a one to one relation.

You don't have to specify a key.

The link between the tables can be directly created through the domain of both tables.

2. A column in the current table uses the same domain as the second table:

The relation between the column of the current table and the second, selected table is a many to one relation.

You will need to specify a key column from the current table, i.e. key 1.

The link between the tables can then be created through the domain of the specified key column in the current table (key 1) and the domain of the second, selected table (key 2).

3. The current table uses the same domain as a column in the second table:

The relation between the records in the current table and the values in the second selected table is possibly a one to many relation.

You will need a key column from the second, selected table, i.e. key 2.

The link between the tables can then be created through the domain of the current table (key 1) and the domain of the specified key column in the second, selected table (key 2).

  • Furthermore, when the classes or IDs in the key 2 column of the second table are not unique (i.e. one to many relation), then the values to be joined need to be aggregated by the groups of key 2.

    • You will then thus need to specify from the second, selected table a key 2 column (the 'group by' column), an aggregation method, and optionally a weight column.

  • When the classes or IDs in the key column of the second table are unique (i.e. one to one relation), you should only specify key 2.

4. A column in the current table uses the same domain as a column in the second table:

The relation between the records in the current table and the second, selected table is possibly a many to many relation.

You will need to specify both a key column from the current table, i.e. key 1, as well as a key column from the second, selected table, i.e. key 2.

The link between the tables can then be created through the domain of the specified key column in the current table (key 1) and the domain of the specified key column in the second, selected table (key 2).

  • Furthermore, when the classes or IDs in the key 2 column of the second table are not unique (i.e. many to many relation), then the values to be joined need to be aggregated by the groups of key 2.

    • You will then thus need to specify from the second, selected table, a key 2 column from the second table (the 'group by' column), an aggregation method, and optionally a weight column; and from the current table a key 1 column.

  • When the classes or IDs in the key column of the second table are unique (i.e. many to one relation), you should only specify key 2.

Tips:

  • Links between tables are always through Class or ID domains.
  • For more information on column aggregations, refer to Aggregate functions.

Using the Join Column wizard

The easiest way to join columns is via the Join Column wizard which is available on the Columns menu in a table window.

To start the Join Column wizard:

  • open the table into which you wish to join one or more columns of another table,
  • open the Columns menu of the table window, and choose the Join command.
  • the first page of the Join Column wizard appears.

Short explanation of the Join Column wizard:

  1. Select table and column:
    • Select the table from which you wish to join a column into the current table.
    • From the selected table, select the column that you wish to join into the current table.

  2. Join method:
    • Select one of the join methods, see the explanation above.

    If you wish to create a link through the common Class or ID domain of both tables, i.e. both tables use the same domain, you will directly continue on the Output column name page.

  3. Link between tables:
    • Select a key column from the current table (key 1), and/or a key column from the second, selected table (key2).

  4. Aggregation method:
    • If the values to be joined need to be aggregated, select an aggregation function and, optionally, a weight column from the second table.

      • The Aggregation method page will not appear when an aggregation is not necessary.

  5. Output column name:
    • Type, for the current table, a name for the output column that will contain the joined values.

For more information, refer to the Join Column wizard Help.

Join expressions on the command line of a table window

To join a column from another table into the current table you may also type a Join expression on the command line of a table window.

Syntax

The syntax of the join operation on the command line is:

(1) | OutColName | = | ColumnJoin(TableName, ColumnName)
(2) | OutColName | = | ColumnJoin(TableName, ColumnName, Key1)
(3) | OutColName | = | ColumnJoin2ndKey(TableName, ColumnName, Key2)
(4) | OutColName | = | ColumnJoin2ndKey(TableName, ColumnName, Key1, Key2)
(5) | OutColName | = | ColumnJoin AggFunc(TableName, ColumnName, Key2)
(6) | OutColName | = | ColumnJoin AggFunc(TableName, ColumnName, Key2, Weight)
(7) | OutColName | = | ColumnJoin AggFunc(TableName, ColumnName, Key2, [Weight], Key1)

where:

OutColName

is the output column name. Usually, this is the same as the column name that was chosen to be joined into the current table.

ColumnJoin

is the command to start the Join operation.

ColumnJoin2ndKey

is the command to start the Join operation and when you wish to use a column from the second table (key2) to make a link to the current table.

ColumnJoin AggFunc

is the command to start the Join operation and when you wish to use an aggregation, i.e. joining while using an aggregation function. Replace the AggFunc part by one of the following aggregation functions:

Avg | Cnt | Max | Med | Min | Prd | Std | Sum.

To use for instance the Average function, the first part of the expression should thus look like ColumnJoinAvg(...)

TableName

is the name of the second table from which you wish to join a column into the current table.

ColumnName

is the name of the column, from the second table, that contains the data that you wish to join into the current table.

Key1

is a Class or ID column from the current table that is needed to create a link between both tables.

Key2

is a Class or ID column from the second table that is needed to create a link between both tables.

If an aggregation has to take place, the values to be joined will be grouped and aggregated on this column.

Weight

is an optional parameter to specify a column from the second table which contains weight values to be used during the aggregation. When you do not wish to use weights, specify value 1.

Formula 1 represents the case where both tables have the same domain.

Formula 2 represents the case where a column of the current table has the same domain as the second table (i.e. many to one relation).

Formula 3 represents the case where the current table uses the same domain as a column in the second table and when the classes or IDs in that column in the second table are unique (one to one relation).

Formula 4 represents the case where a column in the current table uses the same domain as a column in the second table and when the classes or IDs in that column in the second table are unique (many to one relation).

Formula 5 represents the case where the current table uses the same domain as a column in the second table and when the classes or IDs in that column in the second table are not unique (one to many relation). The values will be aggregated during the join.

Formula 6 represents the same case as Formula 5, but now weight values are used during the aggregation.

Formula 7 represents the case where a column in the current table uses the same domain as a column in the second table and when the classes or IDs in that column in the second table are not unique (many to many relation). The values will be aggregated during the join, while, optionally, using a weight column.

Examples

Example 1:

The domain of the current table is the same as the domain of another table.

Table Landuse contains landuse classes and also lists the commercial value of these landuse classes (column CommVal).

The (raster or polygon) histogram of the Landuse map contains the area of each landuse class.

The column Area from the histogram will be joined into attribute table Landuse.

Landuse.tbt |  | Landuse.his/.hsa |  | Landuse.tbt after joining
Domain Landuse | CommVal | Domain Landuse | Area | Domain Landuse | CommVal | Area
Residential | 1000 | Residential | 9920800 | Residential | 1000 | 9920800
Commercial | 2000 | Commercial | 4131200 | Commercial | 2000 | 4131200
Industrial | 5000 | Industrial | 2161600 | Industrial | 5000 | 2161600
Institutional | 4000 | Institutional | 4918400 | Institutional | 4000 | 4918400
Agricultural | 2000 | Agricultural | 10461600 | Agricultural | 2000 | 10461600

Open table Landuse as the current table.

When you wish to use the Join Column wizard, open the Columns menu in the table, and choose Join.

In the Join Column wizard:

  • Select table and column page: select histogram Landuse, and select column Area as the column to be joined.
  • Join method page: select the option Use Domain of current table (key1) and use Domain of selected table (key2).
  • Output column page: type a name for the output column that will contain the joined values, e.g. Area.

When you wish to type a Join expression on the command line of the table window, type one of the following expressions:

Area = ColumnJoin(Landuse.his, Area)

Area = Landuse.his.Area

Area = ColumnJoin(Landuse.hsa, Area)

Area = Landuse.hsa.Area

With the first and second formula, column Area from the raster histogram Landuse.his is joined into the attribute table.

With the third and fourth formula, column Area from polygon histogram Landuse.hsa is joined into the attribute table.

The second formula is an alias for the first formula.

The fourth formula is an alias for the thrid formula.

Example 2:

The domain of a column in the current table is the same as the domain of the second table.

Table Municipality contains a number of municipalities, the population of each municipality and a column indicating whether the municipalities are considered large, medium or small (column MunClass).

Table MuniSubs contains information for large, medium and small municipalities. It contains a column Subsidy which represents for instance expected subsidy figures for types of municipalities.

The subsidy figures in table MuniSubs will be joined into the Municipality table.

Table Municipality |  |  | Table MuniSubs
Domain Municipality | Population | MunClass | Domain MunClass | Subsidy
Municip1 | 99208 | MunLarge | MunSmall | 1000
Municip2 | 41312 | MunMedium | MunMedium | 2000
Municip3 | 21616 | MunSmall | MunLarge | 5000
Municip4 | 49184 | MunMedium | ... |
Municip5 | 104616 | MunLarge |  |
... |  |  |  |

Table Municip after joining
Domain Municipality | Population | MunClass | Subsidy
Municip1 | 99208 | MunLarge | 5000
Municip2 | 41312 | MunMedium | 2000
Municip3 | 21616 | MunSmall | 1000
Municip4 | 49184 | MunMedium | 2000
Municip5 | 104616 | MunLarge | 5000
... |  |  |

Open table Municipality as the current table.

When using the Join Column wizard:

  • Select table and column page: select table MuniSubs as the second table, and select column Subsidy as the column to be joined.
  • Join method page: select the option Choose key Column from current table (key1) and use Domain of selected table (key2).
  • Link between tables page: on the left hand side of the page, select column MunClass as key1.
  • Output column page: type a name for the output column that will contain the joined values, e.g. Subsidy.

When you wish to type a Join expression on the command line of the table window, type:

Subsidy = ColumnJoin(MuniSubs, Subsidy, MunClass)

Example 3:

The domain of your current table is the same as the domain of a column in the second table.

Table Province lists for each province some information. The domain of this table is Province; the Province domain contains all provinces of a certain country.

Table Municipality contains population figures for each municipality (column Population). Furthermore, for each municipality it is known in which province it is (column Province). Column Population has a value domain, column Province has domain Province (i.e. the same domain as the domain of the other table).

The population column Population of table Municipality will be joined into the Province table. As a province usually contains more than one municipality, the population figures need to be aggregated during the join.

Table Province |  | Table Municipality
Domain Province | AnyInfo | Domain Minicipality | Population | Province
Prov1 | 1000 | Municip1 | 9920 | Prov1
Prov2 | 2000 | Municip2 | 4131 | Prov1
Prov3 | 5000 | Municip3 | 2161 | Prov2
Prov4 | 4000 | Municip4 | 4918 | Prov1
Prov5 | 2000 | Municip5 | 10461 | Prov3
... |  | ... |  |

Table Province after joining
Domain Province | AnyInfo | Population
Prov1 | 1000 | 18969
Prov2 | 2000 | 2161
Prov3 | 5000 | 10461
Prov4 | 4000 | ?
Prov5 | 2000 | ?
... |  |

Note that the value for Prov1 is an aggregated value.

Open table Province as the current table.

When using the Join Column wizard:

  • Select table and column page: select table Municipality as the second table, and select column Population as the column to be joined.
  • Join method page: select the option Use Domain of current table (key1) and choose key Column from selected table (key2).
  • Link between tables page: on the right hand side of the page, select column Province as key2.
  • Aggregation page: select an aggregation function, e.g. Sum.
  • Output column page: type a name for the output column that will contain the joined values, e.g. Population.

When you wish to type a Join expression on the command line of the table window, use:

Population = ColumnJoinSum(Municipality, Population, Province)

where: Population is the output column name, Municipality is the table from which you wish to get a column, Population is the column to be joined, and Province is used as key2 (the 'group by' column).

Example 4:

The domain of a column in the current table is the same as the domain of a column in the second table.

In this example, we will use two tables with domain None:

  • It is possible to make a link between the tables through their common table domain None, but then, the values of the selected column to be joined will simply be written, record by record, from the second table into the first table.
  • To obtain more useful values, we will therefore use a column that exists in both tables and which can ensure a proper link between the tables.

Table Province contains information on provinces (column Province) and some other information. The domain of the table is domain None; the domain of column Province is Province.

Table Municipality contains information on municipalities and population figures for each municipality (column Population). Furthermore, for each municipality it is known in which province it is (column Province). Column Population has a value domain, column Province has domain Province (i.e. the same domain as the domain of the column in the other table).

The population column Population of table Municipality will be joined into the Province table. As a province usually contains more than one municipality, the population figures need to be aggregated during the join.

Table Province |  |  | Table Municipality
Domain None | Province | AnyInfo | Domain None | Municipality | Population | Province
1 | Prov1 | 1000 | 1 | Municip1 | 9920 | Prov1
2 | Prov4 | 2000 | 2 | Municip2 | 4131 | Prov1
3 | Prov3 | 5000 | 3 | Municip3 | 2161 | Prov2
4 | Prov4 | 4000 | 4 | Municip4 | 4918 | Prov1
5 | Prov5 | 2000 | 5 | Municip5 | 10461 | Prov3
6 | Prov2 | ... | 6 | Municip6 | 8745 | Prov4
7 | ... |  | 7 | ... |  |

Table Province after joining
Domain None | Province | AnyInfo | Population
1 | Prov1 | 1000 | 18969
2 | Prov4 | 2000 | 8745
3 | Prov3 | 5000 | 10461
4 | Prov4 | 4000 | 8745
5 | Prov5 | 2000 | ?
6 | Prov2 | ... | 2161
7 | ... |  |

Note that the value for Prov4 is listed twice; the value for Prov1 is an aggregated value.

Open table Province as the current table.

When using the Join Column wizard:

  • Select table and column page: select table Municipality as the second table, and select column Population as the column to be joined.
  • Join method page: select the option Choose key Column from current table (key1) and choose key Column from selected table (key2).
  • Link between tables page:
    • on the left hand hand side of the page, select column Province as key1.
    • on the right hand side of the page, select column Prov as key2.
  • Aggregation page: select an aggregation function, e.g. Sum.
  • Output column page: type a name for the output column that will contain the joined values, e.g. Population.

When you wish to type a Join expression on the command line of the table window, use:

Population = ColumnJoinSum(Municipality, Population, Province, 1, Province)

where: Population is the output column name, Municipality is the table from which you wish to get a column, Population is the column to be joined, Province is used as key2 (the 'group by' column), 1 is used to indicate that no weights are used, and Province is used as key1.

See also:

Join Column wizard

How to join areas from a histogram into an attribute table

How to columns of another table into the current table

Aggregate functions

Aggregate column (dialog box)


MapCalc : neighbourhood operations & iterations (advanced)

Map calculation

Neighbourhood operations & Iterations

This topic deals with:

  • Neighbourhood operations
  • Iterations

Neighbourhood operations

Neighbourhood operations are a special spatial analysis in ILWIS. They are calculations on pixels in which the outcome depends on the neighbouring pixels. Neighbourhood operations may be performed on user-selected pixels as well as on whole maps. Just as in filtering procedures, neighbourhood operations make use of a filter. This window of 3 by 3 cells is moved over the raster map. Each cell of the output map is calculated according to the specified neighbourhood expression. The cell numbers in the moving window are coded as follows:

1 | 2 | 3
4 | 5 | 6
7 | 8 | 9

Fig. 1: The 3x3 neighbourhood matrix with the identifiers for the positions of the neighbour pixels (1, 2, 3, 4, 6, 7, 8, 9) with respect to a central pixel (5).

This means that the left neighbour of the central pixel is coded number 4 and the lower right pixel number 9. By definition the central pixel itself is included and has value 5. The result of the calculation is stored in the central pixel.

Note:

If a neighbourhood operation is performed on a pixel on the top or bottom line or on the very first or last column of a raster map, new neighbours are created by duplicating this boundary line or column. In the case of the neighbour position variable: NBPOS, the outer lines or rows added will have value 0.

Neighbourhood expressions have to be typed on the command line of the Main window, like MapCalc formulas.

1. Calculating with the value of a single neighbour:

The simplest neighbourhood expression retrieves the value of a single user-selected neighbour:

Syntax

Outmap = Map#[Neighbour]

where:

Outmap | is the name of the output raster map.
Map# | is the syntax to specify the name of the input raster map Map over which a neighbourhood matrix will be moved.
[Neighbour] | is the syntax to select a single neighbour from the map over which the neighbourhood matrix is moved. Neighbour is a number between 1 and 9 which indicates the position of a certain pixel in the neighbourhood matrix as numbered as in Figure 1; the value of the selected neighbour will be retrieved. In fact, for Neighbour, any expression may be used that results in a number between 1 and 9.

Notes:

  • The position of the single neighbour is enclosed in square brackets.
  • An undefined value is returned when the specified value of the expression is outside the range [1,9].

Examples:

The following examples show how you can calculate altitude differences in X and Y directions using neighbourhood expressions in their simplest form. Maps DX and DY are the output maps; a Digital Elevation Model (DEM) is used as input map.

DX = DEM#[4] - DEM#[6]

DEM

DX

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

0 | -10 | -20 | -10
10 | 15 | -5 | -10
-10 | 0 | 20 | 10
10 | 15 | 10 | 5

In words: subtract the value of the neighbour to the right of the central pixel (i.e. neighbour pixel on position 6) from the value of the neighbour to the left of the central pixel (i.e. neighbour pixel on position 4) and store the result in the central pixel in output map DX.

DY = DEM#[2] - DEM#[8]

DEM

DY

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

0 | 10 | 25 | 25
10 | 0 | 20 | 40
-5 | -5 | -5 | 10
-15 | 5 | 0 | -5

In words: subtract the value of the neighbour below the central pixel (i.e. neighbour pixel on position 8) from the value of the neighbour above the central pixel (i.e. neighbour pixel on position 2) and store the result in the central pixel in output map DY.

2. Using neighbourhood functions on multiple neighbours:

This paragraph deals with neighbourhood functions. A neighbourhood function can calculate with all values found by a neighbourhood matrix, or only with the values of some selected neighbours in the matrix.

Syntax

Outmap = NbFunction(NbExpression)
Outmap = NbFunction[neighbour, neighbour, ...](NbExpression)

where:

Outmap

is the name of the output raster map.

NbFunction

is a neighbourhood function to be used on the values as found by a neighbourhood matrix. The available functions are: NBMIN, NBMAX, NBAVG, NBSUM, NBPRD, NBSTD, NBCNT, NBMINP, NBMAXP, NBPRDP and NBCNDP. For more information, see the list of Available neighbourhood functions below.

[neighbour, neighbour, ...]

in case the neighbourhood function is followed by a list of neighbours [neighbour, neighbour, ...], then the neighbourhood function will only work on the values of these selected neighbours.

As in the paragraph 'Calculating with the value of a single neighbour', neighbour is a number between 1 and 9 which indicates the position of a certain pixel in the neighbourhood matrix (refer to Figure 1).

For certain combinations of specific neighbours, the [neighbour, neighbour, ...] syntax can be simplified, see Aliases for specific multiple neighbours below.

(NbExpression)

is a neighbourhood expression: a neighbourhood expression is any expression which contains the name(s) of the input map(s) and which contains at least one neighbour operator #.

NbExpression may read for instance:

Map# | a neighbourhood matrix will move over input map Map; the values of all neighbours found by the matrix will be 'retrieved'. The neighbourhood function will then return the minimum, maximum, average, sum, etc. of these values.
Map# > 40 | a neighbourhood matrix will move over input map Map; the values of the neighbours found by the matrix will be 'retrieved' when a neighbour has a value greater than 40. The neighbourhood function will then return the minimum, maximum, average, sum, etc. of these values.

NbFunction, list of available neighbourhood functions:

NBMIN | returns the smallest value of the values found by a neighbourhood matrix.
NBMAX | returns the largest value of the values found by a neighbourhood matrix.
NBAVG | returns the average value of the values found by a neighbourhood matrix.
NBSUM | returns the sum of the values found by a neighbourhood matrix; neighbours that have value Undefined are ignored; when all neighbours and the central pixel have value Undefined, value 0 is returned.
NBPRD | returns the predominant value of the values found by a neighbourhood matrix.
NBSTD | returns the standard deviation of the values found by a neighbourhood matrix.
NBCNT | counts the number of neighbour pixels, as found by a neighbourhood matrix, which do NOT have value Undefined nor value False.
NBMINP | returns the position of the neighbour that has the smallest value (i.e. as a number between 1 and 9); when multiple neighbour pixels have the same smallest value, then the precedence is: central pixel number 5, and then 1, 2, 3, 4, 6, 7, 8, 9.
NBMAXP | returns the position of the neighbour that has the largest value (i.e. as a number between 1 and 9); when multiple neighbour pixels have the same largest value, then the precedence is: central pixel number 5, and then 1, 2, 3, 4, 6, 7, 8, 9.
NBPRDP | returns the position of the neighbour with the predominant value (i.e. as a number between 1 and 9); when multiple neighbour pixels have this predominant value, then the precedence is: central pixel number 5, and then 1, 2, 3, 4, 6, 7, 8, 9.
NBCNDP | returns the position of the neighbouring pixel for which the outcome of a certain condition is NOT Undefined nor False (thus returns a number between 1 and 9); when multiple neighbour pixels satisfy the condition, then the precedence is: central pixel number 5, and then 1, 2, 3, 4, 6, 7, 8, 9; when none of the neighbours satisfies the specified condition the outcome value is undefined.

Aliases for specific multiple neighbours:

Instead of specifying a list of neighbours as [neighbour, neighbour, ...], you may use a shorter syntax for some combinations of specific neighbours.

Regular syntax | Alias | Explanation
NbFunction[2,4,6,8] | NbFunction4 | to calculate only with the neighbours on positions 2, 4, 6, 8 and thus excluding the central pixel, use NbFunction with suffix 4, e.g. NBAVG4.
NbFunction[2,4,5,6,8] | NbFunction5 | to calculate only with the neighbours on positions 2, 4, 5, 6, 8 and thus including the central pixel, i.e. the 4-connected pixels, use NbFunction with suffix 5, e.g. NBAVG5.
NbFunction[1,2,3,4,6,7,8,9] | NbFunction8 | to calculate only with the neighbours on positions 1, 2, 3, 4, 6, 7, 8, 9 and thus excluding the central pixel, use NbFunction with suffix 8, e.g. NBAVG8.

Examples

NBMIN Example:

OutMap = NBMIN(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

20 | 15 | 15 | 15
20 | 15 | 10 | 10
20 | 15 | 10 | 10
20 | 20 | 10 | 10

In words: return the minimum value of each 9 values found by a neighbourhood matrix which moves over InMap.

NBMAX Example:

OutMap = NBMAX(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

30 | 40 | 50 | 50
30 | 40 | 50 | 50
35 | 35 | 30 | 25
35 | 35 | 30 | 20

In words: return the maximum value of each 9 values found by a neighbourhood matrix which moves over InMap.

NBAVG Examples:

OutMap1 = NBAVG(InMap#)

View maps

InMap

OutMap1

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

27.50 | 27.50 | 30.00 | 32.50
26.67 | 26.11 | 26.67 | 26.67
26.67 | 23.89 | 20.00 | 17.50
27.50 | 25.00 | 20.00 | 16.25

In words: calculate the average of each 9 values found by a neighbourhood matrix which moves over InMap.

Note:

Using this function is the same as using the AVG3X3 filter in the Filter operation.

OutMap2 = NBAVG[2,4,5,6,8](InMap#)

OutMap2 = NBAVG5(InMap#)

View maps

InMap2

OutMap2

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

30.00 | 30.00 | 33.75 | 38.33
25.00 | 25.00 | 24.00 | 25.00
28.75 | 23.00 | 19.00 | 17.50
26.67 | 27.50 | 20.00 | 15.00

In words: calculate the average of the values of the neighbours on position 2, 4, 5, 6 and 8 (i.e. the 4-connected pixels) as found by a neighbourhood matrix which moves over InMap.

NBSUM Examples:

OutMap = NBSUM(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

110 | 165 | 180 | 130
160 | 235 | 240 | 160
160 | 215 | 180 | 105
110 | 150 | 120 | 65

In words: return the sum of the values found by a neighbourhood matrix which moves over InMap.

OutMap = NBSUM(InMap#)/9

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

12.22 | 18.33 | 20.00 | 14.44
17.78 | 26.11 | 26.67 | 17.78
17.78 | 23.89 | 20.00 | 11.67
12.22 | 16.67 | 13.33 | 7.22

In words: return the sum of the values found by a neighbourhood matrix and divide the sum by the number of neighbours (i.e. return the mean of the pixel values of all neighbours).

OutMap = NBSUM[2,4,5,6,8](InMap#)/5

OutMap = NBSUM5(InMap#)/5

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

18.00 | 24.00 | 27.00 | 23.00
20.00 | 25.00 | 24.00 | 20.00
23.00 | 23.00 | 19.00 | 14.00
16.00 | 22.00 | 16.00 | 9.00

In words: return the mean of the pixel values of all 4-connected neighbours.

NBPRD Example:

OutMap = NBPRD(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

30 | 30 | 40 | 50
30 | 30 | 30 | 25
20 | 20 | 20 | 20
35 | 20 | 20 | 20

In words: return the predominant value of all neighbour pixel found by a neighbourhood matrix which moves over InMap.

NBSTD Example:

OutMap = NBSTD(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

5.0 | 8.8 | 13.0 | 15.5
5.2 | 7.8 | 12.5 | 15.4
6.1 | 6.5 | 6.1 | 5.2
6.5 | 6.3 | 7.1 | 4.8

In words: return the standard deviation of the values found by a neighbourhood matrix which moves over InMap.

NBCNT Examples

OutMap1 = NBCNT(InMap1#)

View maps

InMap1

OutMap1

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

4 | 6 | 6 | 4
6 | 9 | 9 | 6
6 | 9 | 9 | 6
4 | 6 | 6 | 4

In words: count the number of neighbour pixels, as found by a neighbourhood matrix that moves over InMap1, which do NOT have an undefined value.

An area is considered to be flat when in the moving window of 3 by 3 pixels all pixels have the same value. By using one of the following expression you can check which pixels have 8 neighbours with the same altitude as the central pixel.

Flat = NBCNT(DEM#=DEM)=9

View maps

DEM

Flat

30 | 30 | 30 | 50
30 | 30 | 30 | 25
30 | 30 | 20 | 10
35 | 25 | 20 | 15

False | False | False | False
False | False | False | False
False | False | False | False
False | False | False | False

In words: return True in map Flat if all pixels examined by the neighbourhood matrix moving over map DEM (Dem#) have the same value (=9) as the central pixel in that map DEM. This expression can be used to identify flat areas in your Digital Elevation Model (DEM). You may wish to add additional contour lines inside the flat areas and perform the Contour Interpolation operation again to improve your DEM.

Flat = NBCNT(DEM#=DEM)=8

View maps

DEM

Flat

30 | 30 | 30 | 50
30 | 30 | 30 | 25
30 | 30 | 20 | 10
35 | 25 | 20 | 15

False | False | False | False
False | True | False | False
False | False | False | False
False | False | False | False

In words: return True in map Flat if 8 of the 8 selected neighbours in map DEM have the same value as the central pixel in map DEM.

Streams = NBCNT(DEM#>DEM)>=5

View maps

DEM

Streams

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

False | False | False | False
False | True | True | False
False | False | False | True
False | False | False | False

In words: return True in map Streams if 5 or more of all neighbour pixels in map DEM have a value greater than the central pixel.

Streams2 = IFF(NBCNT(DEM#>DEM)>=5,NBMAXP(DEM#),?)

View maps

DEM

Streams2

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

? | ? | ? | ?
? | 3 | 3 | ?
? | ? | ? | 2
? | ? | ? | ?

In words: return the position of the neighbour that has the largest value in map Streams if 5 or more of all neighbour pixels in map DEM have a value greater than the central pixel. Return undefined if less than 5 of all neighbour pixels in map DEM have a value greater than the central pixel.

NBMINP Examples

Aspect = NBMINP(DEM#)

View maps

DEM

Aspect

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

9 | 9 | 8 | 7
6 | 6 | 9 | 8
5 | 3 | 6 | 5
2 | 1 | 3 | 2

In words: return in map Aspect, the position of the neighbour with the smallest value of each 9 values as found by a neighbourhood matrix which moves over map DEM. The returned position will be a value between 1 and 9; these values can be interpreted as the aspect of the slopes in your Digital Elevation Model (DEM). For more information, refer to How to calculate a classified aspect map.

Pit = NBMINP(DEM#)=5

View maps

DEM

Pit

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

False | False | False | False
False | False | False | False
True | False | False | True
False | False | False | False

In words: return True in map Pit if the central pixel has the smallest value of all neighbour pixels as found by a neighbourhood matrix which moves over DEM.

Note:

This expression can be used to identify local pits in your Digital Elevation Model (DEM).

NBMAXP Example

OutMap = NBMAXP(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

5 | 6 | 6 | 5
5 | 3 | 3 | 2
8 | 7 | 4 | 2
5 | 4 | 1 | 1

In words: return the position of the neigbour that has the largest value as found by a neighbourhood matrix which moves over InMap.

NBPRDP Example

OutMap = NBPRDP(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

5 | 5 | 5 | 5
5 | 1 | 1 | 5
5 | 2 | 5 | 4
5 | 1 | 5 | 1

In words: return the position of the neighbour with the predominant value as found by a neighbourhood matrix which moves over InMap.

NBCNDP Examples

OutMap = NBCNDP(InMap#)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

5 | 5 | 5 | 5
5 | 5 | 5 | 5
5 | 5 | 5 | 5
5 | 5 | 5 | 5

In words: return the position of the neighbouring pixel for which the outcome is NOT undefined nor False.

Notes:

  • When multiple pixels satisfy the condition, then the precedence is the central pixel (i.e. number 5), and then 1, 2, 3, 4, 6, 7, 8, 9.
  • When none of the neighbours satisfies the specified condition the outcome is undefined.

OutMap = NBCNDP(InMap#>20)

View maps

InMap

OutMap

30 | 30 | 40 | 50
30 | 20 | 15 | 25
20 | 30 | 20 | 10
35 | 25 | 20 | 15

5 | 5 | 5 | 5
5 | 1 | 1 | 5
2 | 5 | 3 | 2
5 | 5 | 1 | ?

In words: return the position of the neighbouring pixel for which the outcome of a certain condition (i.e. pixel value > 20) is not undefined nor False.

3. Using predefined neighbourhood variables

This paragraph treats the neighbourhood variables NBDIS, NBPOS, and NBFLT(fltname) and their syntax. NBDIS, NBPOS and NBFLT can only be used in combination with NbFunction and NbExpression as described above.

NBDIS

returns the distance between the central pixel and its neighbouring ones.

Notes:

  • NBDIS and %D are aliases of each other.
  • The distance to the central pixel is 0, the distance to pixels on positions 2, 4, 6 and 8 is 1, and the distance to pixels on positions 1, 3, 7 and 9 is √2 (i.e. ≈ 1.4).
    Position of neighbours: Returned values:
    1 | 2 | 3
    4 | 5 | 6
    7 | 8 | 9
    1.4 | 1 | 1.4
    1 | 0 | 1
    1.4 | 1 | 1.4

Tip: NBDIS is generally multiplied by the pixel size of a raster map or a georeference, for instance like: NBDIS * PIXSIZE(RasterMap) or NBDIS * PIXSIZE(GeoReference.grf).

NBPOS

returns the position of a neighbour in the neighbourhood expression.

Note: NBPOS and %P are aliases of each other.
Returned values:
1 | 2 | 3
4 | 5 | 6
7 | 8 | 9

NBFLT (FltName)

applies a linear 3x3 filter on the values found by a neighbourhood matrix where FltName is one of the system filters: AVG3x3, EDGESENH, etc. or a user-defined filter.

Examples

NBDIS Example

See How to calculate distances using iterations.

NBPOS Example

Ridges = NBCNT8(10-Aspect#=NBPOS)

Calculate for each pixel the number of neighbour pixels for which the aspect is in the direction of the central pixel. A result of zero indicates a ridge or a flat area.

NBFLT Example

OUT = NBSUM(Map1# * NBFLT(Edgesenh))

Apply the edge enhancement filter on input map Map1 and sum the values of each neighbourhood matrix (same as using the edge enhancement filter in the Filter operation).

Iterations

Iterations are a special type of calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next one.

The calculation stops when the difference of the output compared to the input is negligible or if the number of iterations is reached as previously defined. Iterations are often used in combination with neighbourhood operations. Such an application might be for instance the selection of an item or area which fits a certain condition, starting from one pixel.

Iteration expressions can directly be typed on the command line of the Main window, or in the Iteration : dialog box.

Syntax

MAPITER(StartMap, IterExpr)
MAPITER(StartMap, Iterexpr, Nr of Iterations)

where:

  • the first expression performs iterations on the StartMap according to the iteration expression IterExpr until no pixel changes anymore, and
  • the second expression performs a specified Nr of Iterations on the StartMap according to the iteration expression IterExpr.

MAPITERPROP(StartMap, IterExpr)
MAPITERPROP(StartMap, IterExpr, Nr of Iterations)

where:

  • the first expression performs iterations with propagation on a StartMap according to the iteration expression IterExpr until no pixel changes anymore; the newly calculated value for a pixel is used in calculating the next line instead of in the next iteration.
  • the second expression performs a specified Nr of iterations with propagation on a StartMap according to the iteration expression IterExpr; the newly calculated value for a pixel is used in calculating the next line instead of in the next iteration.

After each iteration ILWIS shows the number of changed pixels. This number is the total of changes after performing one iteration in all directions (up, down, right and left).

Examples

Examples on using iterations are presented in How to calculate distances using iterations and How to calculate flooded area and water volume after construction of a dam.

See also:

Map and Table Calculation

%D

%P


MapCalc : map lists (advanced)

Map and Table Calculation

Calculating with map lists

Map Calculation:

To apply a MapCalc formula on all raster maps in a map list, you can type a map list expression on the command line of the Main window. For instance, if the regular MapCalc formula on InMap reads:

OutMap = SQ(InMap) + 10

Then, the map list expression to use the formula on all input maps in a map list InMapList reads:

OutMapList = MapListApplic(InMapList, "SQ(##) + 10")

where ## represents the individual raster maps in the map list.

The output map list is a dependent object. When the output map list is opened, the dependent output raster maps will be defined and calculated. The output raster maps of the map list will obtain the same name as the output map list, followed by _1, _2, _3, etc. For more information, refer to ILWIS objects : Map lists.

Operations:

Similarly, operations that use a raster map as input and produce a raster map as output, can also be performed on all raster maps of an input map list. You can choose the input map list in the dialog box of the operation but you can also type an expression on the command line of the Main window. The general syntax of map list expressions for operations is:

OutMapList = MapListApplic(InMapList, Map Operation(##, other parameters))

where ## represents the individual raster maps in the map list.

The output map list is a dependent object. When the output map list is opened, the dependent output raster maps will be defined and calculated. The output raster maps of the map list will obtain the same name as the output map list, followed by _1, _2, _3, etc. For more information refer to Aggregate Map : command line (2), Filter : command line (2), Stretch : command line (2), Densify : command line (2), Resample : command line (2), Sub-Map of raster map : command line (2), or Mirror/Rotate : command line (2).

Map lists from General Raster Import:

In case the map list is the result of Import General Raster using the option Use Data in Original Format and without the creation of separate maps, then the object definition file will only contain a reference to the original non-ILWIS file and there will be no separate ILWIS raster maps stored on disk. When such a map list is opened, the first band is called 'band 1', the second 'band 2', etc.

On the command line, the first band of such a map list can be addressed as maplistname.mpl:1, the second band as maplistname.mpl:2, etc. To calculate with such maps on the command line, you can use for instance expressions like:

OUT = MyMapList:1 + MyMapList:2

OUT = 'My Map List'.mpl:1 + 'My Map List'.mpl:2.

See also:

How to create a map list

How to edit a map list

ILWIS objects : raster maps

ILWIS objects : map lists

ILWIS operations


MapCalc/TabCalc : user-defined functions

Map and Table calculation

User-defined functions

A user-defined function can be created:

  • to perform calculations in MapCalc and TabCalc which use difficult or long formulas that are tedious to type in on the command line, or
  • to define calculations for MapCalc and TabCalc which you want to use a number of times on different maps or columns.

A user-defined function may contain any combination of existing MapCalc/TabCalc operators and functions, and may use parameters representing maps and columns.

Syntax

For a function with parameters:

Function FunctionName (ParamDomain Param [,ParamDomain Param]) : OutputDomain
Begin
Return Expression;
End;

For a function without parameters:

Function FunctionName() : OutputDomain
Begin
Return Expression;
End;

Where:

FunctionName | is the name of the function as specified in the Create Function dialog box.
ParamDomain is the domain type of an input parameter. You can use e.g. Value | String | Coord | Color | Bool. By default, the domain type of input parameters is set to Value.
  • Choose Value when input maps or columns use a Value domain,
  • choose String when input maps or columns use a Class or ID domain or when columns use the String domain,
  • choose Coord when input columns use a coordinate system as domain,
  • choose Color when input maps or columns use the Color domain,
  • choose Bool when input maps or columns use the Bool, the YesNo, or the Bit domain.
Param is the name of an input parameter.
Parameter names:
  • must start with a character from A to Z,
  • may contain characters from A to Z, digits 0 to 9, and underscores.
OutputDomain | is the domain that should be used for the output object (a column or a map) of the function. You can choose any domain available in your data set as well as a coordinate system. By default, the output domain is set to the system Value domain. When you choose a value output domain, the value range is determined by the selected domain.
Expression | is the expression that the function should perform, as defined before in the Create Function dialog box.

Notes:

  • When a function is created, the domain type of all input parameters ParamDomainType, and the output domain OutputDomain for the function are by default set to Value.
  • In case your input parameters use another domain type than domain type Value, or if the output domain of the function is another domain than system domain Value, you need to change the word(s) Value yourself in the appropriate place(s).
  • In other words, you must make sure that the domain type of each parameter and the output domain of the function are correctly declared.

To create a user-defined function:

  • in the Main window, open the File menu and choose Create Function, or
  • in the Operation-tree, expand the Create item and double-click New Function, or
  • in the Operation-list, double-click the item New Function.

The Create Function dialog box appears where:

  • you can fill in the name of your new function;
  • you can enter the expression which should be performed when the function is applied, and
  • optionally you can give a short description of the function in the description box.

The different parameters in your function may be characters (a, b, c etc.) but it is recommended to give parameters logic names. Clear names make the application of user-defined functions much easier.

After the Create Function dialog box, the Function editor will be opened. The Function editor shows the newly created function. If necessary you can edit the function until it satisfies your purposes.

Applying a user-defined function:

You apply your function on the command line of the Main window or a Table window.

The syntax to apply a user-defined function is:

OUTPUT = FunctionName(a, b, c, ...)

where:

OUTPUT | is the output map name (when applied on the command line of the Main window) or the output column name (when applied on the command line of a Table window).
FunctionName | is the name of the user-defined function.
a, b, c, ... | are the parameters such as values, map names or table column names, used in the function; parameters should be typed in the same order as they appear in the function definition.

Examples:

Example 1 : Sum of two value maps/columns using parameters
Example 2 : Sum of two value maps without using parameters
Example 3 : Calculation of the seasonal rainfall and expressing it as the relative amount of total rainfall
Example 4 : Using Class or ID domains in user-defined functions
Example 5 : User-defined function in slope instability hazard analysis (advanced)
Example 6 : Calling a user-defined function in a user-defined function; Mean flow velocity of rivers
Example 7 : Conversion of LatLon to Mercator

Example 1: Sum of two value maps/columns using parameters

In the Create Function dialog box, define a function SUM to sum two value maps or two value columns as:

a + b

In the Function editor, this function is listed as:

Function SUM(Value a,Value b) : Value

Begin

Return a + b;

End;

This means that the function SUM has two parameters (a and b) which have a value domain and that the output of the function will also be a value (system domain Value). The calculation itself is defined as: return the sum of a and b.

To apply this function, type on the command line:

Output1=SUM(Parameter1, Parameter2)

where:

Output1 | is the output object (value domain);
Parameter1,Parameter2 | are the parameters replacing the a and b in the function, e.g. Map1 and Map2 or Col1 and Col2.

This example shows the functionality of a user-defined function. However in such a simple example, it would have been easier for example to directly type on the command line:

Output1 = Map1 + Map2

Example 2: Sum of two value maps without using parameters

Although it is not common, you may define functions which use existing data that are not mentioned as parameters. In this example, two existing maps will be used; the resulting function can thus only be used in a MapCalc expression.

To define a function AVG2 to calculate the average of two existing maps (MyMap1 and MyMap2), you may create a function AVG2 defined as:

(MyMap1+MyMap2)/2

In the Function editor this will appear as:

Function AVG2(value MyMap1, value MyMap2) : Value

Remove the parameters between the brackets; and keep the default output domain Value.

Function AVG2() : Value

Further, the Function editor states the calculation that should be performed with the parameters of the function; in this case:

Begin

Return (MyMap1+MyMap2)/2;

End;

To use this function, type on the command line:

OUT=AVG2()

where:

OUT | is the output object,
AVG2 | is the function which already contains the map names MyMap1 and MyMap2 on which the function should be performed.

Example 3 : Calculation of seasonal rainfall and expressing it as the relative amount of total rainfall

Another and a little bit more complicated example is the calculation of the seasonal rainfall which should be expressed as the relative amount of total rainfall. In this example, a table named Rainfall is used. It shows the amount of rainfall per month for several rainfall stations. A new column total was already calculated, showing the total rainfall per year for each rainfall station.

In the Create Function dialog box, define a function SEASON as:

100 * (Month1 + Month2 + Month3) / Totrain

For the description of this function, you may type for instance:

Seasonal rainfall as relative amount of total rainfall

In the Function editor, the function is listed as:

Function SEASON(Value Month1,Value Month2,Value Month3,Value Totrain) : Value

Begin

Return 100 * (Month1 + Month2 + Month3) / Totrain;

End;

This means:

The parameters Month1, Month2, Month3 and Totrain are values, the values for these parameters are retrieved and the output is calculated; the output of function Season will also be a value.

In this example the output value domain is changed into domain Perc (Percentage) as follows:

  • Select with the cursor the last word Value which indicates the output domain (the one after the : ), and
  • change it to Perc (which is one of the ILWIS system value domains).

Now the definition of the function should read:

Function SEASON(Value Month1,Value Month2,Value Month3,Value Totrain) : Perc

Begin

Return 100 * (Month1 + Month2 + Month3) / Totrain;

End;

To apply this function for the first three months of the year, type on the command line of the Table window:

Relative_Amount1 = SEASON (January, February, March, Total)

Column Relative_Amount1 stores the relative amount of rainfall which fell in the months January, February and March compared to the total rainfall in that year.

You may use the function again to calculate the relative amount of rainfall for the months of April, May, and June.

Relative_Amount2 = SEASON (April, May, June, Total)

Example 4 : Using Class or ID domains in user-defined functions

You can also use Class or ID domains in user-defined functions.

This example uses a table with information on parcels. Imagine that we want to build extra houses, but only on parcels which are already in residential use and only when there is enough space to build. If the parcels satisfy certain conditions, specified in the user-defined function, they are assigned "suitable" else "not suitable".

In the Create Function dialog box, define a function SUITABLE as:

IFF ((landuse = "Residential") and (Area/Nrhouses > 10000), "Suitable", "Not Suitable")

Because ILWIS assigns by default value domains to landuse and to the output column an error message appears to warn you that ILWIS does not recognize the quotation mark " before the word Residential. This needs to be changed in the Function editor.

In the Function editor, the function is listed as:

Function SUITABLE (Value Landuse,Value Area,Value Nrhouses) : Value

Begin

Return IFF ((Landuse = "Residential") and (Area/Nrhouses > 10000) , "Suitable", "Not Suitable");

End;

  • Change the domain type of input parameter Landuse from Value to String
  • Change the output domain of the function from Value to String

Now the function should read:

Function SUITABLE(String Landuse,Value Area,Value Nrhouses) : String

Begin

Return iff ((Landuse = "Residential") and (Area/Nrhouses > 10000) , "Suitable", "Not Suitable");

End;

To apply the function on the Parcel table that is displayed in a Table window, type on

the command line of the Table window:

Suit = SUITABLE (Landuse, Area, Units)

Parcel | Landuse | Area | Units | Suit
100 | Residential | 58200 | 5 | suitable
124 | Commercial | 16600 | 4 | not suitable
157 | Residential | 82540 | 12 | suitable
162 | Residential | 65925 | 4 | not suitable
181 | Industrial | 8365 | 3 | not suitable
202 | Institutional | 82470 | 5 | not suitable
225 | Residential | 19830 | 7 | not suitable
269 | Commercial | 52945 | 9 | not suitable
288 | Institutional | 29400 | 6 | not suitable
295 | Residential | 7235 | 4 | not suitable

Only parcels having a Residential landuse as well as an area per unit over 10000 square meters are assigned "Suitable".

Example 5 : User-defined function in slope instability hazard analysis (advanced)

The hazard degree of slope instability can be expressed by the Safety Factor (F). This is the ratio between the forces that make the slope fail and those that prevent the slope from failing. F-values larger than 1 indicate stable conditions, and F-values smaller than 1 instable conditions. At F=1 the slope is at the point of failure. Many different models exist for the calculation of Safety Factors. Here one of the simplest models is used.

When the model is applied on each pixel, a hazard map of safety factors is calculated. The safety factor is calculated according the following formula (Brunsden and Prior, 1979) :

F = (c' + (g - m * gw) z cos2b * tan f') / (gz sinb * cosb )

Below, the meaning of the symbols is briefly explained, and some average values are given from laboratory analysis:

c' | = effective cohesion | = 10000 | [Pa= N/m2]
g | = unit weight of soil | = 11000 | [N/m3]
m | = relative water depth | = zw/w | [-]
gw | = unit weight of water | = 10000 | [N/m3]
z | = depth of failure surface below the surface | = map Asht | [m]
zw | = height of water table above failure surface | = ? | [m]
b | = slope surface inclination | = map Slope | [°]
f | = effective angle of shearing resistance | = 30 | [°]
tan(f') | = tangent of the effective angle of shearing resistance | = 0.58 | [°]

For detailed information on this formula refer to Chapter 6 of the Applications Guide.

In this example the slope stability analysis is made by using only two parameter maps: Asht (thickness of volcanic ashes) and Slope (slope angles in degrees). The depth of the possible failure plane is taken at the contact of the volcanic ashes and the underlying material. As a consequence, safety factors will not be calculated for the entire area, but only for the areas where there is volcanic ash at the surface.

The only unknown parameter yet is the depth of the water table. In the formula this is expressed as the value m, which is the relation between the depth of the water table and the depth of the failure surface.

ILWIS does not recognize symbols such as: c' , g, or f . Therefore, give clear name to these symbols in the user-defined function. Later, while applying the user-defined function, you fill out the values of the parameters which are represented by symbols now.

Create a function SAFETY with the following expression:

EffectiveCohesion + (SoilWeight - RelWaterDepth * WaterWeight) * FailureDepth * SQ(COS(DEGRAD(MapSlope))) * TanAngleRes / SoilWeight * FailureDepth * SIN(DEGRAD(MapSlope)) * COS(DEGRAD(MapSlope))

For the description of the function, you can type for instance: Safety factor.

In the Function editor, the expression is listed as:

Function SAFETY (Value EffectiveCohesion,Value SoilWeight,Value RelWaterDepth,Value WaterWeight,Value FailureDepth,Value MapSlope,Value TanAngleRes) : Value

Begin

Return EffectiveCohesion + (SoilWeight - RelWaterDepth * WaterWeight) * FailureDepth * SQ(COS(DEGRAD(Mapslope))) * TanAngleRes / SoilWeight * FailureDepth * SIN(DEGRAD(MapSlope)) * COS(DEGRAD(MapSlope));

End;

Firstly calculate the safety factor for the volcanic ashes under the assumption that the soil is completely dry. In that case the parameter m equals zero. In the expression, m is represented by parameter 'RelWaterDepth'; it describes the relation between the depth of the water-table and the depth of the failure surface.

Type on the command line of the Main window:

Fdry = SAFETY (10000, 11000, 0, Asht, Slope, 0.58)

This means: apply the function SAFETY using the values and maps which are specified between the brackets and store the result in map Fdry. Map Fdry shows the safety factors for extremely dry conditions.

You can imagine that a situation with a completely dry situation does not occur in many tropical regions such as for instance Manizales in Colombia.

You can easily calculate a next scenario that will evaluate a condition in which the slopes are completely saturated. This is also not a very realistic situation, but it will give us the most pessimistic estimation of slope stability.

When the soil is saturated, the m factor from the formula is equal to 1 which means that the water-table is at the surface. There is also another factor which is different for saturated conditions:

g = unit weight of soil = 16000 N/m3

Now you can simply apply the user-defined function again, this time using the new saturated values.

Fsat = SAFETY (10000, 16000, 1, Asht, Slope, 0.58)

This means: apply the function SAFETY using the values and maps which are specified between the brackets and store the result in map Fsat. The map shows the safety factors for extremely wet conditions.

As soon as you have created your user-defined function, you are able to perform many similar calculations only by using different values for your parameters.

Example 6 : Calling a user-defined function in a user-defined function: Mean flow velocity

An equation that is often used to calculate the river's mean flow velocity is the Manning equation:

V=(R2/3 * S1/2)/n

where:

V | = the mean flow velocity | [m/s]
R | = hydraulic radius | [m]
S | = slope gradient | [°]
n | = Manning roughness coefficient | [-]

The Manning equation refers to the relationship between the velocity of a stream and its channel geometry. For a rectangular channel the hydraulic radius R is:

R=(W*H)/(W+2*H)

where:

W | = width of the channel | [m]
H | = height of the water in the channel | [m]

For a straight artificial concrete-lined culvert the Manning roughness coefficient is 0.013. For an unvegetated straight channel at bankfull discharge the roughness fluctuates between 0.025 - 0.033. In ILWIS, functions can call other functions but calls cannot be recursive, i.e. a function cannot call itself. In the example below, Manning function (V) calls another function (R) that calculates the Hydraulic radius.

  1. Create a function R with the following expression:

    (W*H)/(W+2*H)

    For the description of the function, you can type for instance: Hydraulic radius for a rectangular channel

    In the Function editor, the function reads:

    Function R(Value W,Value H) : Value

    Begin

    Return (W*H)/(W+2*H);

    End;

  2. Then, create another function V that calls function R and calculates the mean flow velocity:

    (POW(R(W,H),2/3)*SQRT(S))/n

    For the description of this function, you can type for instance: Manning equation to calculate the mean flow velocity

    In the Function editor, the function reads:

    Function V(Value W,Value H,Value S,Value n) : Value

    Begin

    Return (POW(R(W,H),2/3)*SQRT(S))/n;

    End;

  3. To apply this function, using for example a channel width of 10 meter (W), a water depth of 4 meter (H), a channel slope of 5 degrees (S) and a Manning roughness coefficient of 0.013 (n), type on the command line of a Table window:

    Velocity = V(10,4,5,0.013)

Example 7 : Conversion of LatLon to Mercator

To convert coordinates from LatLon to Mercator create a function LatLonMerc as:

Function LatLonMerc(Value Lat,Value Lon) : Coord

Begin

Value xx;

Value yy;

Value k;

k:=1;

xx:=k*Lon

yy:=k*LOG(TAN(PIDIV4+0.5*Lat));

Return COORD(xx,yy);

End;

Additional information and examples (advanced)

Besides the normal MapCalc and TabCalc expressions, the ILWIS calculator has the basic functionality of a Pascal like program. With this Pascal like functionality you can build functions that contain IF, THEN, ELSE loops, FOR loops, WHILE loops and REPEAT/UNTIL loops. For more information, see Map and Table calculation : User-defined functions (advanced).

See also:

ILWIS objects : functions

Function editor : functionality

Map and Table calculation : User-defined functions (advanced)

Map and Table calculation : Alphabetical overview of operators and functions

Map and Table calculation : Functional overview of operators and functions


MapCalc/TabCalc : user-defined functions (advanced)

Map and Table calculation

User-defined functions (advanced)

Besides the normal MapCalc and TabCalc expressions, the ILWIS calculator has the basic functionality of a Pascal like program. With this Pascal like functionality you can build functions that contain IF, THEN, ELSE loops, FOR loops, WHILE loops and REPEAT/UNTIL loops.

Using loops is an advanced subject and the user should fully understand the basics of user-defined functions. If you are more interested in the basic functionality go to Map and Table calculation : User-defined functions.

Syntax

The syntax for a 'calculator' program/function with parameters is:

Function FunctionName (ParamDomain Param [,ParamDomain
Param]) : OutputDomain
Begin
[Declarations;]
[Statements;]
Return  Expression;
End;

where:

FunctionName | is the name of the function as specified in the Create Function dialog box.
ParamDomain | is the domain of an input parameter. You can use e.g. Value | String | Coord | Color | Bool. By default, the domain of input parameters is set to Value.
Param is the name of an input parameter.
Parameter names:
  • must start with a character from A to Z,
  • may contain characters from A to Z, digits 0 to 9, and underscores.
OutputDomain | is the name of the domain that should be used for the output object (a column or a map). You can choose any domain available in your data set as well as a coordinate system. By default the output domain is set to the system Value domain. When you choose a value output domain, the value range is determined by the selected domain.
Declarations | is the section where the variables have to be declared before they can be used in expressions. The full set of variable types that are functioning are: Var | Int | Real | Value | String | Coord | Color (Real and Value are synonyms, Var and Int are also synonyms).
Statements | are instructions to ILWIS to do something. Statements can be single or multiple. Multiple statements are always grouped inside the keywords Begin and End and each statement must be separated by a semicolon. A group of statements is often referred to as a Compound statement.
Expression | is the expression that the function should perform, as defined before in the Create Function dialog box.

The words Function, Begin, Return and End are keywords in ILWIS and have a fixed meaning (see below).

Note:

  • When a function is created, the domain type of all input parameters ParamDomainType, and the output domain OutputDomain for the function are by default set to Value.
  • In case your input parameters use another domain type than domain type Value, or if the output domain of the function is another domain than system domain Value, you need to change the word(s) Value yourself in the appropriate place(s).
  • In other words, you must make sure that the domain type of each parameter and the output domain of the function are correctly declared.

Declarations:

A variable can be thought of as a box that contains data of a specific form or type. Before being used in expressions, variables have to be declared in the following way:

int i, j; string s, t;

real x; value y;

Statements:

In ILWIS, a statement is an instruction to ILWIS to do something. Multiple statements are always grouped inside the keywords Begin and End and each statement must be separated by a semicolon. A group of statements is often referred to as a Compound statement.

Assignment statement:

One of the most basic kinds of statements is the assignment statement. It is used to store a value into a variable. The general form for an assignment statement is:

Designator := Expression;

The Designator is just a name of a variable that is to have its value set, and the result of the expression is what the variable will be set to. Expressions can be quite complicated but they can also be as simple as just being a number.

Examples

Example 1 : If, then, else statements in user-defined functions
Example 2 : For loops in user-defined functions
Example 3 : While loops in user-defined functions
Example 4 : Repeat/until loops in user-defined functions

Example 1 : If, then, else statements in user-defined functions

The IF statement is used to do different things depending on a certain condition. A condition is the result of a logical expression (i.e. a Boolean expression). The general syntax for an IF, THEN, ELSE statement is:

if a then b [else c]

where:

a | = a boolean expression
b | = either a statement or a compound statement
c | = either a statement or a compound statement

Function ifthenelse(Value x) : Value

Begin

var n;

if (x<10) then

begin

n := sq(x);

end

else

begin

n :=sqrt(x);

end;

Return n;

End;

For each input value: if the input value is smaller than 10, return the square of the input value, else return the square root of the input value.

Example 2 : For loops in user-defined functions

The FOR loop used to execute a group of statements multiple times. A FOR loop works from an initial loop counter value until an end loop counter value. The general syntax for a FOR statement is:

for a to b [step c] do d

where:

a | = loop counter assignment
b | = end value loop counter
c | = expression
d | = either a statement or a compound statement

Function forloop(Value a) : Value a

Begin

var i,b;

i :=1;

b :=a;

for i :=1 to 100 step 4 do

b :=b+1;

Return b;

End;

For each input value: count from 1 to 100 with steps of 4 (thus 25 times) and, each time, add 1 to the input value.

Example 3 : While loops in user-defined functions

The WHILE loop is used to execute a group of statements multiple times. A WHILE loop works as long as a logical expression for the loop counter is true. The general syntax a WHILE statement is:

while a do begin b end

where:

a | = logical expression
b | = either a statement or a compound statement

Function whileloop (Value a) : Value

Begin

var i,b;

i:=1;

b:=a;

while i<a do

begin

b:=b+1;

i:=i+1;

end;

Return b;

End;

For each input value: set the counter to 1, then if the counter is smaller than the input value, add 1 to the input value and add 1 to the counter. When the counter equals the input value, the output value is returned.

Example 4 : Repeat/until loops in user-defined functions

The REPEAT/UNTIL statement is used to execute a group of statements multiple times. A REPEAT/UNTIL loop works until a logical expression for the loop counter becomes true. The general form a REPEAT/UNTIL statement is:

repeat a until b

where:

a | = either a statement or a compound statement
b | = boolean expression

Function repeatloop (Value a) : Value

Begin

var i,b;

i:=1;

b:=a;

repeat

b:=b+1;

i:=i+1;

until i>=a;

Return b;

End;

For each input value: set the counter to 1, then add 1 to the input value, add 1 to the counter, check whether the counter is not yet larger than the input value, and repeat adding. When the counter equals the input value, the output value is returned.

The significant difference between a REPEAT/UNTIL loop and a WHILE loop is that every REPEAT/UNTIL loop is entered at least once because the test of the Boolean condition occurs at the bottom of the loop; a WHILE loop is not entered at all if the Boolean condition is initially false. Also the WHILE ends when the Boolean condition becomes false, whereas the REPEAT/UNTIL ends when the condition becomes true.

Out1=ifthenelse(Value)

Out2=forloop(Value)

Out3=whileloop(Value)

Out4=repeatloop(Value)

Value | Out1 | Out2 | Out3 | Out4
0 | 0 | 25 | 0 | 1
1 | 1 | 26 | 1 | 2
2 | 4 | 27 | 3 | 3
3 | 9 | 28 | 5 | 5
4 | 16 | 29 | 7 | 7
5 | 25 | 30 | 9 | 9
6 | 36 | 31 | 11 | 11
7 | 47 | 32 | 13 | 13
16 | 4 | 41 | 31 | 31
25 | 5 | 50 | 49 | 49

See also:

Function editor : functionality

ILWIS objects : functions

Map and Table calculation : User-defined functions


MapCalc/TabCalc : scripts

Map and Table calculation

Creating and running scripts

By creating and running a script, you can perform a series of ILWIS operations. The usage of scripts may save time but is something for more experienced users.

With a script, MapCalc and TabCalc expressions can be performed as well as any ILWIS operation. Furthermore, some extra commands are possible to show objects, or to perform some file management. For more information on script syntax, see Appendices : ILWIS expressions, Appendices : ILWIS commands and Appendices : ILWIS script language (syntax).

To create a script:

  • in the Main window, open the File menu and choose Create Script, or
  • in the Operation-tree, expand the Create item and double-click New Script, or
  • in the Operation-list, double-click the New Script item.

The Script editor appears in which you can type your script expressions.

Example of a script with parameters:

To calculate slope maps in percentages and in degrees:

  1. Create a script (e.g. 'Slopes')
  2. On the Script tab of the script editor where the script can be defined: type, to insert a comment line:

    3. //script to calculate slope maps in percentages and in degrees

    or type

    Rem script to calculate slope maps in percentages and in degrees

  3. To use the Contour Interpolation operation to create an interpolated height map from segment contour lines, type:

    4. %3 = MapInterpolContour(%1, %2)

    Perform a contour interpolation on segment map %1, use existing georeference %2, and write the output to map %3.
    Advanced users may wish to define a georeference corners beforehand with a script command; see Appendices : ILWIS script language (syntax).

  4. To use the dfdx filter on the interpolated contour map to calculate height differences in X-direction, type:

    5. DX = MapFilter(%3, dfdx)

    Filter map %3 with the dfdx filter and write the output to map DX.

  5. To use the dfdy filter on the interpolated contour map to calculate height differences in Y-direction, type:

    6. DY = MapFilter(%3, dfdy)

    Filter map %3 with the dfdy filter and write the output to map DY.

  6. To calculate a slope map in percentages from the output of step 4 and 5, type:

    7. %4 = 100 * HYP(DX,DY) / PIXSIZE(%3)

    HYP is an internal MapCalc/TabCalc function;
    DX and DY are the output maps from the filtering operation;
    function PIXSIZE returns the pixel size of raster map %3;
    %4 is the output map name of the map containing slope values in percentages.

  7. To convert the percentage values into degrees, type:

    8. %5 = RADDEG(ATAN(%4/100))

    Function ATAN and RADDEG are internal MapCalc/TabCalc functions,
    %5 is the output map name of the map containing slope values in degrees.

  8. After running the script (see step 11), the output maps will be available as dependent maps. The expression by which a map is created is stored in the map's object definition file. The data file for an output map will be calculated when you double-click an output map in the Catalog.

    9. To let the script calculate the data files for the output maps, you may add the following lines to your script:

    calc %3.mpr
    calc %4.mpr
    calc %5.mpr

    In fact, by adding only calc %5.mpr, all maps which are part of the process to calculate map %5 will be calculated as well.

  9. On the Parameters tab of the script editor, select the number of parameters (in this case 5), type a name for every parameter and select for each input parameter the object type. For example:

    10. Parameter | Name | Type
%1 | Input contour segment map | Segment Map
%2 | Georef for all output maps | Georeference
%3 | Output DEM | Filename
%4 | Output slope map (perc.) | Filename
%5 | Output slope map (degrees) | Filename

  10. On the Default Values tab, you may assign default objects to your parameters as you would like to use them in the script and/or as you would like to see them in the Run Script dialog box.

    11. For instance:

    • The default output name for the Output DEM may be: DEM
    • The default output name for the Output slope map (perc.) may be: SlopePct
    • The default output name for the Output slope map (degrees) may be: SlopeDeg

  11. To run the script:
    • open the File menu in the script editor and select the Run Script command,
    • press the Run Script Run Script button in the toolbar of script editor, or
    • type on the command line of the Main window: Run ScriptName

    The Run Script dialog box will appear:

    Run Script dialog box

    In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab of the script editor.

    • If you did not specify default objects on the Default Values tab, you need to select objects for input parameters and/or type object names for output parameters.
    • If you did fill out objects on the Default Values tab, the Run Script dialog box will already be filled out with these defaults.

    Choose the objects etc. you wish to use, and click OK to execute the script.

Tips:

  • To skip the Run Script dialog box, you can also directly fill out all parameters on the command line of the Main window:

    run Slopes Contour.mps MyGeoref.grf DEM SlopePct SlopeDeg

    In script Slopes, %1 is filled out as Contour.mps, %2 as MyGeoref.grf, %3 as DEM, %4 as SlopePct, and %5 as SlopeDeg.

  • Of course, you could also directly type objects names inside the script, instead of using parameters.
  • For more information on running scripts, see also How to run scripts.

The result of running this script are maps SlopePct and SlopeDeg which are slope maps in percentages and in degrees. Also other maps are calculated during the whole procedure, such as the DEM, DX (height differences in X-direction) and DY (height differences in Y-direction). The following maps show the input map Contour and very small parts of the other maps calculated by the script.

Contour | DEM
DX | DY

Negative values in map DX mean that the slope is downwards when you go from west to east. A positive value indicates an upwards slope. In map DY positive values indicate that when you go from the south to north the slope is upwards and negative values mean that the slope is downwards.

SlopePct | SlopeDeg

The slope maps show the steepness of the slopes irrespective of the direction of the slope.

Mind:

the following slope values are the same: 30°= 58%, 45°= 100%, 60°= 173%, 80°= 567%. As you see, slope values in the Slopepct map can be greater than 100%.

Additionally, you can prepare representations for both maps with the Representation Value/Gradual editor.

You can also create two domain Groups to classify both output maps, e.g.:
classes 0-10%, 10-25%, 25-50%, 50-100%, >100% for the slope map in percentages and
classes 0-6°, 6-12.5°, 12.5-22.5°, 22.5-45°, >45° for the slope map in degrees.

Use these domain groups in the Slicing operation.

You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

See also:

ILWIS objects : scripts

Script editor : functionality

Appendices : ILWIS script language (syntax)

How to create a script

How to use parameters in scripts

How to run scripts


ILWIS operations : quick reference (menu-wise)

ILWIS operations

 Complete reference

Quick reference (menu-wise)

 Quick ref. (alphabetic)

Visualization:

Show Map

Show Table

Show Map List as Color Composite

Show Map list as Slide Show

Display 3D

Apply 3D

Anaglyph

Stereoscope

Raster operations:

Map Calculation

Attribute Map

Cross

Aggregate Map

Distance

Iteration

Area Numbering

Sub Map

Glue Maps

Mirror Rotate

Spatial Multi-Criteria Evaluation

Image Processing:

Filter

Stretch

Slicing

Color Separation

Color Composite

Cluster

Cluster

Sample

Classify

Resample

Epipolar Stereo Pair

Stereo Pair from DTM

Statistics:

Histogram

Raster:

Autocorrelation - Semivariance

Variogram Surface

Map List:

Principal Components

Factor Analysis

Variance Covariance

Correlation Matrix

Polygons:

Neighbour Polygons

Segments:

Segment Direction Histogram

Points:

Spatial Correlation

Variogram Surface

Cross Variogram

Pattern Analysis

Interpolation:

Densify Map

Kriging from Raster

Contour Interpolation

Point Interpolation:

Nearest Point

Moving Average

Trend Surface

Moving Surface

Kriging

Anisotropic Kriging

Universal Kriging

CoKriging

Vector operations:

Unique ID

Polygons:

Attribute Map

Mask Polygons

Assign Labels

Transform Polygons

ID Grid Map

Segments:

Attribute Map

Mask Segments

Assign Labels

Sub Map

Glue Segment Maps

Densify Coordinates

Transform Segments

Tunnel Segments

Points:

Attribute Map

Mask Points

Sub Map

Glue Point Maps

Transform Point Map

Coordinates:

Transform Coordinates

Find Datum Transformation Parameters

Rasterize:

Polygons to Raster

Segments to Raster

Segment Density

Points to Raster

Point Density

Vectorize:

Raster to Polygons

Raster to Segments

Raster to Points

Polygons to Segments

Polygons to Points

Segments to Polygons

Segments to Points

Table Operations:

Transpose Table

Change Domain of Table

Table to Point Map

Glue Tables

DEM Hydro-Processing:

DEM Visualization

Flow Determination:

Fill Sinks

Flow Direction

Flow Accumulation

Flow Modification:

DEM Optimization

Topological Optimization

Variable Threshold Computation

Network and Catchment Extraction:

Drainage Network Extraction

Drainage Network Ordering

Catchment Extraction

Catchment Merge

Compound Parameter Extraction:

Overland Flow Length

Compound Index Calculation

Statistical Parameter Extraction:

Horton Statistics

Aggregate Statistics

Cumulative Hypsometric Curve

Class Coverage Statistics


ILWIS operations : quick reference (alphabetic)

ILWIS operations

 Complete reference

Quick reference (alphabetic)

 Quick ref. (menu-wise)

Aggregate map

Aggregate statistics

Anaglyph

Anisotropic Kriging

Apply 3D

Area numbering

Assign labels to polygons

Assign labels to segments

Attribute map of point map

Attribute map of polygon map

Attribute map of raster map

Attribute map of segment map

Autocorrelation - Semivariance

Catchment extraction

Catchment merge

Change domain of table

Class coverage statistics

Classify

Cluster

CoKriging

Color composite

Color separation

Compound Index calculation

Contour interpolation

Correlation matrix

Cross

Cross Variogram

Cumulative hypsometric curve

DEM optimization

DEM visualization

Densify raster map

Densify segment coordinates

Display 3D

Distance calculation

Drainage network extraction

Drainage network ordering

Edit

Epipolar Stereo Pair

Export

Factor analysis

Fill sinks

Filter

Find datum transformation parameters

Flow accumulation

Flow direction

Glue point maps

Glue raster maps

Glue segment maps

Glue tables

Histogram

Horton statistics

ID Grid map

Import

Iteration

Kriging

Kriging from Raster

Map calculation

Mask points

Mask polygons

Mask segments

Mirror Rotate

Moving average

Moving surface

Nearest point

Neighbour polygons

Overland flow length

Pattern analysis

Point density

Point interpolation

Points to raster

Polygons to points

Polygons to raster

Polygons to segments

Principal components

Raster to points

Raster to polygons

Raster to segments

Resample

Sample

Segment density

Segment direction histogram

Segments to points

Segments to polygons

Segments to raster

Show

Show map list as color composite

Show map list as slide show

Slicing

Spatial correlation

Spatial Multi-Criteria Evaluation

Stereo pair from DTM

Stereoscope

Stretch

Sub-map of point map

Sub-map of segment map

Sub-map of raster map

Table to point map

Topological optimization

Transform coordinates

Transform point map

Transform polygon map

Transform segment map

Transpose table

Trend surface

Tunnel segments

Unique ID

Universal Kriging

Variable threshold computation

Variance-Covariance matrix

Variogram surface

See also:

Appendices : ILWIS commands

Appendices : ILWIS expressions


ILWIS operations : complete reference

ILWIS operations

 Quick ref. (menu-wise)

Complete reference

 Quick ref. (alphabetic)

VISUALIZATION

Show Map

Show a map in a new map window.

Show Table

Show a table in a table window.

Show map list as color composite

Display three images, or other raster maps with a value domain, present in a map list as a color composite. You will show an Interactive color composite.

By using an interactive color composite, you can easily change intervals, select other bands, etc. The resulting color composite is displayed in a map window which can be saved as a map view. Interactive color composites are very suitable to be used as a background during sampling or during screen digitizing.
Your graphics board needs to be configured to use more than 256 colors, for instance High Color 16-bit, or True Color 24-bit (see Display Settings in Windows' Control Panel).

A permanent color composite can always be created with Color Composite operation on the Operations, Image Processing menu.

Show map list as slide show

Show multiple raster maps which are combined in a map list, one after the other in a map window at a user-specified rate. You will show a Slide Show. This visualization technique is designed to present multi-temporal changes in maps. All maps in the map list must use the same domain and the same georeference.

You can use a slide show:

  • to present the temporal changes in maps of the same theme but of different years,
  • to display a number of classified satellite images of different months or years,
  • to display derived products from satellite images such as NDVI maps of different months,
  • to display a number of 3D views one after the other.

Display 3D

With Display 3D, you can create and edit a georeference 3D in order to obtain a three dimensional view of one or more maps. A Digital Elevation Model (DEM) is required to create a georeference 3D. The DEM can then be displayed as 3D grid lines with or without a drape of a raster map. The georeference 3D can be edited with the Georeference 3D editor.

When finished editing the 3D view, you can add point, segment and/or polygon maps and/or annotation to improve the 3D view.

Apply 3D

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display raster maps in three dimensions.

You can create a georeference 3D with Display 3D or Apply 3D; a Digital Elevation Model (DEM) is required and you have to specify 3D view parameters using the Georeference 3D editor.

Show stereo pair as anaglyph

Anaglyph will show a calculated stereo pair in a map window; the anaglyph is either displayed in Red-Green or in Red-Blue. You will be able to view the height differences in the stereo pair by using red-green or red-blue glasses.

To create a stereo pair, use the Epipolar Stereo Pair operation.

A stereo pair can also be shown in a Stereoscope window where you can view the stereo pair with a stereoscope.

Show stereo pair with stereoscope

Stereoscope will show a calculated stereo pair in a Stereo Pair - Stereoscope window; you will be able to view the height differences in the stereo pair by using a stereoscope.

To create a stereo pair, use the Epipolar Stereo Pair operation.

A stereo pair can also be shown as an Anaglyph in a map window.

RASTER OPERATIONS

Map Calculation

Map Calculation can be used to perform calculations with raster maps.

Attribute map of raster map

By creating an attribute map of a raster map, the class name or ID of each pixel in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A raster map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the raster map or to its domain through the Properties dialog box of the map or the domain.

Cross

The Cross operation performs an overlay of two raster maps. Pixels on the same positions in both maps are compared; the occurring combinations of class names, identifiers or values of pixels in the first input map and those of pixels in the second input map are stored. These combinations give an output cross map and a cross table. The cross table includes the combinations of input values, classes or IDs, the number of pixels that occur for each combination and the area for each combination.

Aggregate map

The Aggregate map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum. The Aggregate Map operation either creates a new georeference in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).

Distance calculation

Distance calculation assigns to each pixel the smallest distance in meters towards user-specified source pixels, for example to schools, to roads etc. The output is called a distance map.

The input map for a distance calculation is called a source map: all pixels with a class name, ID, or value are regarded as source pixels, and distance values will be calculated for all pixels that are undefined.

Inaccessible or less accessible areas can be indicated in a weight map. The weight factors in such a map represent the relative difficulty, a 'resistance', to surpass pixels. By using weight factors that are inversely proportional to the possible speed that can be obtained in different mapping units, a so-called time travel map can be calculated.

Through a distance calculation, also a Thiessen map can be calculated. A weight map can be used, but is not obligatory.

Iterations

Iterations are a special type of map calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next. These calculations are performed line by line, pixel by pixel and take place in all directions. When a calculation in one direction is finished (for instance from top to bottom) a rotation takes place for the calculation in the next direction. The calculation stops when there are no more differences between an output map compared to the previous output map, or when a certain number of iterations is reached as defined before. Iterations are often used in combination with neighbourhood operations.

Area numbering

Area numbering is a raster operation which assigns unique identifiers to pixels with the same class names or values that are horizontally, vertically or diagonally connected.

The output of Area numbering is a map in which these connected areas are codified as Area 1, Area 2, etc. Furthermore, an attribute table is created for the output map. The table contains the new IDs; the class names, IDs, or values of the original mapping units; and the size (npix and area) of the unique output units.

Area numbering can be used to make a decision based on the size of individual groups of pixels with the same class name or value (uniquely identified areas) instead of on all pixels with the same class name or value.

Sub-map of raster map

The Sub-map of raster map operation copies a rectangular part of a raster map into a new raster map. The user has to specify row and column numbers or XY-coordinates of the input map to indicate the part of the input map that should be copied into the new raster map.

Glue raster maps

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed. A resampling is performed when needed.

With the Glue raster maps operation, you can thus merge two or more adjacent or partly overlapping raster maps (i.e. make a mosaic), or glue smaller raster maps onto a larger one.

Mirror/Rotate

The Mirror/Rotate operation allows you to reflect a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).

In ILWIS, the word 'mirror' is used as a synonym for 'reflection'.

Spatial Multi-Criteria Evaluation (SMCE)

Spatial Multi-Criteria Evaluation (SMCE) is an application that assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way.

As input for the application, you need to build a criteria tree:

  1. specify a main goal and supply a name for the final output map,
  2. optionally, add groups to the main goal; a group is supposed to contain multiple factors,
  3. add criteria to the main goal, and specify whether a criterion is a factor or a constraint.

For each factor and for each constraint, you need to specify a name as text (like a description), and an input map or input attribute column.

A criteria tree lists and defines:

  • all inserted groups, factors and constraints,
  • the way in which all groups, factors and constraints should be grouped, standardized and weighed,
  • in order to calculate the final output map.

The output of the operation is a so-called 'composite index' raster map. This map combines all input data according to the rules for weighing and standardization of the factors and/or constraints. The output map shows the suitability for the goal that was set, and can be an aid in planning and decision-making.

IMAGE PROCESSING

Filter

Filtering is a raster operation in which each pixel value in a raster map is replaced with a new value.

The new value is obtained by applying a certain function to each input pixel and its direct neighbours. These neighbours are usually the 8 adjacent pixels (in a 3 x 3 filter) or the 24 surrounding pixels (in a 5 x 5 filter). When you create or define your own filters, any odd sized matrix is allowed (5 x 1, 11 x 23, 25 x 25).

Filtering is for instance used to sharpen a satellite image, to detect line features, etc.

Stretch

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization.

Slicing

The Slicing operation classifies ranges of values of an input raster map into classes of an output map. A domain Group should be created beforehand; it lists the upper value boundaries of the groups and the output class names.

To perform an interactive slicing, you can create a representation value for the input map and change value boundaries and colors of the representation value.

Color separation

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.

Color composite

A color composite is a combination of three raster bands. One band is displayed in shades of red, one in shades of green and one in shades of blue. Putting three bands together in one color composite map can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.

The Color Composite operation on the Operations, Image Processing menu creates a permanent color composite raster map.

To interactively display a map list as a color composite (16 or 24-bit), choose Show MapList as Color Composite from the Operations, Visualization menu. Interactive color composites can be stored by saving the map window as a map view.

Cluster

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.

Sample

Sample is an interactive process of selecting training pixels in a sample set prior to an image classification.

In the sample set editor, select pixels that are characteristic for a certain type of a certain natural resource on the ground and that have similar spectral values in the maps in the map list, and assign a class name to them. The spectral values of these sampled pixels or training pixels provide the basis on which decisions are made during classification. These values can be inspected in the sample statistics of a certain class of training pixels and can be visualized in feature spaces. The result of Sampling is a filled sample set.

Classify

The Classify operation performs a multi-spectral image classification according to training pixels in a sample set.

The following classification methods can be used:

  • Box classifier,
  • Minimum distance,
  • Minimum Mahalanobis distance,
  • Maximum Likelihood,
  • Maximum Likelihood including Prior Probabilities.

Resample

The Resample operation resamples a raster map from the map's current georeference to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear interpolation, and bicubic interpolation.

In raster operations (e.g. MapCalc, Cross), all input raster maps must have the same georeference. Thus, prior to such operations, use Resample:

  • to combine raster maps from various sources, when maps use different coordinate systems (projections) or different georeferences (pixel size): resample the maps to one common georeference;
  • to combine satellite imagery of different dates or resolutions: create a georef tiepoints for each set of images, then resample the images preferably to a georef corners;
  • to combine satellite images with rasterized vector maps: rasterize the vector data on the georef tiepoints of the satellite images, or, in case you prefer North-oriented raster maps, rasterize the vector maps with a georef corners, and resample the images with the georef tiepoints to this georef corners;
  • to combine scanned photographs with rasterized vector data, or to rectify scanned aerial photographs: create a georef tiepoints, a georef direct linear or a georef orthophoto for the photo, then resample the photo to a georef corners.

Epipolar stereo pair

With the Epipolar Stereo Pair operation, you will create a stereo pair from two scanned aerial photographs with overlap.

In short, the process is as follows:

  • Specify the left input map and the right input map; one of the maps may already have a georeference.
  • Specify the output name of the stereo pair that will be created.

Then, in the Epipolar Stereo Pair - Creation window:

  • Mark on each photograph two, three, or four fiducial marks.
  • Mark the calculated principal point of the left photograph, on the right photograph (transferred principal point).
  • Mark the principal point of the right photograph, on the left photograph (transferred principal point).
  • In case of large scale differences between the two input maps, specify one or two scaling points in both photographs.

When you close the Epipolar Stereo Pair - Creation window, both input photographs will be resampled to output maps, i.e. the stereo pair is calculated. Rotation differences and possible scale differences between the photographs will be removed.

A calculated stereo pair can be viewed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.

Stereo pair from DTM

The Stereo pair from DTM operation creates a stereo pair from an input photograph or image and a Digital Terrain Model (DTM).

In the output stereo pair, the input photograph or image is displayed over the terrain.

The result can be viewed in stereo, either:

  • in a Stereo Pair - Stereoscope window: use a stereoscope that is mounted onto your monitor,
  • as an Anaglyph in a map window: use red-green or red-blue glasses.

STATISTICS

Histogram

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map.

Results are shown in a histogram window as a table and as a graph.

Histograms of Value raster maps also contain summary information such as mean, standard deviation, and percentage intervals. Summary information is available in a histogram window as well as in the Properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a Value domain, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.

A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.

A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.

Raster:

Autocorrelation - Semivariance

The Autocorrelation - Semivariance operation calculates the autocorrelation and semivariance of a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal and vertical directions. The semivariance, a measure for the spatial variability of a raster map, is calculated for the same shifts.

Variogram Surface

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Map list:

Principal Components

Principal Components Analysis is mathematical method to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Principal Component Analysis each variable is transformed into a linear combination of orthogonal common components (output raster maps) with decreasing variation. The linear transformation assumes the components will explain all of the variance in each variable. Hence each component (output raster map) carries different information which is uncorrelated with other components.

Factor Analysis

Factor analysis is used to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Factor analysis each variable is transformed into a linear combination of orthogonal common factors (output raster maps) with decreasing variation. The linear transformation assumes the factors will explain all of the correlation in each variable. Hence each factor (output raster map) carries different information which is uncorrelated with other factors.

Variance-covariance matrix

The Variance-covariance matrix operation calculates variances and covariances of raster maps in a map list. The variance is a means to express the variation of pixel values within a single raster map, i.e. a measure of the variation to the mean of the DN (Digital Number) values in a raster map. The covariance is a measure to express the variation of pixel values in two raster maps. It denotes the joint variation to the common mean of pixel values of the maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Correlation matrix

The Correlation matrix operation calculates correlation coefficients of input raster maps of a map list. Correlation coefficients characterize the distribution of pixel values in two raster maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Polygons:

Neighbour polygons

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.

Segments:

Segment direction histogram

The Segment direction histogram operation calculates the total length and number of segments per direction. The output is a table with directions from 0 to 179° and the length and number of the segments in that direction. The results can be displayed as a rose-diagram.

Points:

Spatial correlation

Spatial correlation calculates some point statistics: spatial autocorrelation (as Moran's I), spatial variance (as Geary's c) and experimental semi-variogram values. Experimental semi-variogram values are either calculculated in all directions (omnidirectional) or in a certain direction and the perpendicular direction (bidirectional). This may help to get an impression of the nature of your point data, for instance prior to a point interpolation. Furthermore, from the output table of the Spatial Correlation operation, you can create semi-variogram models in a graph window so that necessary input parameters for a Kriging, Anisotropic Kriging or Universal Kriging operation can be determined.

As input for this operation, you can use a point map with a value domain, or a point map with a class or ID domain with an attribute table that contains one or more value columns (the attribute table must be linked to the map). The output of this operation is a table from which you can create graphs such as a semi-variogram.

Variogram Surface

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Cross Variogram

The Cross Variogram operation calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns. The Cross Variogram operation is a multivariate form of the Spatial correlation operation.

From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables (Graph window : Add semivariogram model). All three models serve as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Pattern analysis

The Pattern analysis operation is a tool to obtain information on the spatial distribution of points in a point map. The output table contains six columns with the probabilities of finding 1 point (Prob1Pnt) within a certain distance from any point in your input map, then 2 points (Prob2Pnt), 3 points (Prob3Pnt), etc. Another column (ProbAllPnt) contains the sum of Prob1Pnt, Prob2Pnt, ..., Prob(n-1), where n is the number of points in the input map.

By inspecting the graphs of distances against probabilities, you may recognize distribution patterns of your points like random, clustered, regular, paired etc.

INTERPOLATION

Raster:

Densify raster map

The Densify raster map operation reduces the pixel size of your map. The number of rows and columns is increased and the new pixels in between the existing ones are assigned a value by means of a bilinear or bicubic interpolation.

You should use densify after a point interpolation. Further, densify can be used to improve the quality of printed raster maps.

Raster:

Kriging from raster

Kriging from Raster is similar to the Ordinary Kriging interpolation c.q. prediction method but requires a raster map as input, instead of a point map. The operation can be seen as a raster interpolation and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging from Raster are determined by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation), the distribution of input pixels, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

If you have an input point map, you can use the point interpolation operations Simple and Ordinary Kriging, Anisotropic Kriging, Universal Kriging and CoKriging.

Segments:

Contour interpolation

Contour interpolation is an operation which first rasterizes segments in a segment map with a value domain, and then calculates values for pixels that are not covered by segments by means of a linear interpolation.

When using Contour interpolation on a segment map containing height (contour) information, the resulting raster map is a Digital Elevation Model.

Points:

Point interpolation

In a point interpolation, the input map is a point map, and the output map is a raster map. The pixel values in the raster output map are interpolated from the point values.

There are four point interpolations: Nearest point, Moving average, Trend surface and Moving surface. For more information, see below.

Nearest point (Point interpolation)

The Nearest point operation requires a point map as input and returns a raster map as output. Each pixel in the output map is assigned the class name, identifier, or value of the nearest point, according to Euclidean distance. This method is also called Nearest Neighbour or Thiessen. The points in the input point map for the Nearest point operation do not need to be values necessarily; point maps (or attribute columns) with a class, ID or bool domain are also accepted.

For example schools, hospitals, water wells, etc. can be represented by points. The output map of a nearest point operation on such a point map gives the 'service area' of the schools, hospitals or water wells, based on the shortest distance (as the crow flies) between points and pixels.

When you have many points or when you want to use weights to indicate accessibilities, it is advised to rasterize the points, and then use Distance calculation to make a Thiessen map.

Moving average (Point interpolation)

The Moving average operation is a point interpolation which requires a point map as input and returns a raster map as output. To the output pixels, weighted averaged point values are assigned. The weight factors for the points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons, strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.

Trend surface (Point interpolation)

The Trend surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a least squares fit so that the surface approaches all point values in the map. The calculated surface values are assigned to the output pixels.

Moving surface (Point interpolation)

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a least squares fit; for each output pixel, the surface will approach the weighted point values of the points which fall within the specified limiting distance.

Weight factors for the input points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons, strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.

Kriging

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. Two methods are available: Simple Kriging and Ordinary Kriging. The optional error map contains the standard errors of the estimates.

Besides Simple and Ordinary Kriging, you can also use the operations Anisotropic Kriging, Universal Kriging, CoKriging, or Kriging from Raster.

Anisotropic Kriging

Anisotropic Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Anisotropic Kriging is a variant of the Ordinary Kriging operation: Anisotropic Kriging incorporates the influence of direction dependency.

Before Anisotropic Kriging, you should investigate the direction of anisotropy for instance with Variogram Surface, the semi-variogram values in two directions for instance with Spatial Correlation, and determine the range of the semi-variogram values in two directions by preparing semi-variogram models in a graph window (Graph window : Add semi-variogram model).

Universal Kriging

Universal Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Universal Kriging is a variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation.

Before Universal Kriging, you should perform the Spatial Correlation operation, and determine a semi-variogram model in a graph window (Graph window : Add semi-variogram model).

CoKriging

CoKriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. CoKriging is a multivariate variant of the Ordinary Kriging operation: CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Before CoKriging, you should perform the Cross Variogram operation and determine a semi-variogram model for the predictand, for the covariable and a cross-variogram model for the combination of the variables in a graph window (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation.

VECTOR OPERATIONS

Unique ID

The Unique ID operation can be used to assign unique identifiers to all elements in a segment, polygon or point map. The output map contains the same geographic information as the input map, but each point, segment or polygon will have a unique ID.

Furthermore, an attribute table is created for the output map. The table contains a column with the original classes, IDs or values of the input map; the areas of individual output polygons; the lengths of individual output segments.

Polygons:

Attribute map of polygon map

By creating an Attribute map of a polygon map, the class name or ID of each polygon in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A polygon map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the polygon map or to its domain through the Properties dialog box of the map or the domain.

Mask Polygons

The Mask polygons operation allows you to selectively copy polygons of an input polygon map into a new output polygon map. The user has to specify a mask to select and retrieve the class names, IDs or values of the polygons that are to be copied.

Assign labels to polygons

The Assign labels to polygons operation can be used to recode polygons in a polygon map according to label points in a point map. For each label point, the surrounding polygon is determined; then the class name, ID, or value of the label point is assigned to that polygon.

Transform polygon map

The Transform polygon map operation transforms the coordinates of polygon boundaries in a polygon map from the map's current coordinate system to another target coordinate system. You can choose whether coordinates of polygon boundaries should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

ID Grid map

The ID Grid map map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for the rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.

Segments:

Attribute map of segment map

By creating an Attribute map of a segment map, the class name or ID of each segment in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A segment map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the segment map or to its domain through the Properties dialog box of the map or the domain.

Mask segments

The Mask Segments operation allows you to selectively copy segments of an input segment map into a new output segment map. The user has to specify a mask to select and retrieve the class names, identifiers or values of the segments that are to be copied.

Assign labels to segments

The Assign labels to segments operation can be used to recode segments in a segment map according to label points in a point map. For each label point, the closest segment is determined; then the class name, ID or value of the label point is assigned to that segment.

Sub-map of segment map

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map.

The user has to specify minimum and maximum XY-coordinates for the new segment map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

Glue segment maps

The Glue segment maps operation glues or merges two or more segment maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the segments that are to be copied into the output map. The user can also specify a clip boundary, to copy only those segments to the output map which fall within the specified coordinate boundaries coordinate boundaries of the output map.

Densify segment coordinates

The Densify segment coordinates operation allows you to obtain more intermediate coordinates within segments. The segments of an input map are copied, and extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

The Densify segment coordinates operation can be used separately before a Transform segments operation, but you can also use the Densify coordinates option within the Transform segments or the Transform polygons operations.

Transform segment map

The Transform segment map operation transforms the coordinates of segments in a segment map from the map's current coordinate system to another target coordinate system. You can choose whether segment coordinates should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

Tunnel segments

The Tunnel segments operation reduces the amount of intermediate points within segments in a segment map. The segments of the input map are copied into a new segment map. However, for every three consecutive intermediate points within a segment, the middle one is omitted if it falls within a user-defined tunnel-width. Redundant nodes can also be removed.

Points:

Attribute map of point map

By creating an Attribute map of a point map, the class name or ID of each point in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A point map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the point map or to its domain through the Properties dialog box of the map or the domain.

Mask Points

The Mask points operation allows you to selectively copy points of an input point map into a new output point map. The user has to specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied.

Sub-map of point map

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map.

The user has to specify minimum and maximum XY-coordinates for the new point map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

Glue point maps

The Glue point maps operation glues or merges two or more point maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied into the output map.

The user can also specify a clip boundary, to copy only those points to the output map which fall within the specified coordinate boundaries of the output map.

Transform point map

The Transform point map operation transforms the coordinates of points in a point map from the map's current coordinate system to another target coordinate system.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

Coordinates:

Transform coordinates

The Transform coordinates allows you to:

  • select a certain input coordinate system,
  • type a XY-coordinate or a LatLon coordinate, using this input coordinate system,
  • select another target coordinate system,
  • then, the entered XY-coordinate or LatLon-coordinate will be shown in the selected target coordinate system.

In this way, you can interactively check whether a certain transformation is correct.

The Transform Coordinates dialog box can only be used when a transformation between the input coordinate system and the target coordinate system is possible.

Find datum transformation parameters

The Find datum transformation parameters operation enables you to find datum transformation parameters between the coordinate systems of two point maps, where:

  • the coordinate system of the first point map is supposed to use a local (unknown) datum,
  • the coordinate system of the second point map is supposed to use a global datum, preferably WGS 84.

You can choose to use one of the following calculation methods:

  • Geo-centric datum shift
  • Molodensky
  • Bursa Wolf
  • Molodensky Badekas

Optionally, you can save the calculated transformation parameters (into the coordinate system of the first point map).

  • The datum of the first coordinate system will then be changed.
  • The first coordinate system will then be compatible with the WGS 84 datum, and thus with any other known datum.
  • Automatic coordinate transformations during display etc. are then possible for any map that uses the first coordinate system.

RASTERIZE

Polygons to raster

The Polygons to raster operation rasterizes a polygon map. The class names, IDs, or values in the polygon map are also used in the raster map, i.e. the domain of the polygon map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Segments to raster

The Segments to raster operation rasterizes a segment map. The class names, IDs, or values in the segment map are also used in the raster map, i.e. the domain of the segment map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Segment density

The Segment density operation rasterizes a segment map. For each output pixel, the total length of segment parts within the boundaries the output pixel is summed: this is the output value for the pixel. By using a mask you can specify the elements of the input map that are to be used in the calculation.

Points to raster

The Points to raster operation rasterizes a point map. The class names, IDs, or values in the point map are also used in the raster map; i.e. the domain of the point map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Point density

The Point density operation rasterizes a point map. For each output pixel, the number of points with a class name, ID or value located in the output pixel is counted: this is the output value for the pixel. When using the command line, you can also sum the values of points (or of point attributes). This operation can be used to examine the regional distribution of points or point values.

VECTORIZE

Raster to Polygons

The Raster to Polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names or IDs in the input raster map will also be used for the polygons in the output polygon map. No polygons are created for pixels with the undefined value.

Raster to Segments

The Raster to Segments operation extracts segments from the boundaries of mapping units in a raster map. You can choose to extract segments from 4-connected or 8-connected areas, and to smooth output segments or not.

Furthermore, you can choose to assign a single name 'Boundaries' to all output segments or to assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments. In the latter case, an attribute table will be created for the output map which contains the original mapping unit names or values on either side of an extracted segment as well the lengths of the extracted segments.

Raster to Points

The Raster to Points operation extracts a point from each pixel in a raster map. Each point obtains the value, class name or ID of the corresponding pixel.

Polygons to Segments

The Polygons to Segments operation extracts polygon boundaries and creates a segment map out of them. By default, the operation extracts segments from all polygon boundaries of the input map. A mask can be specified to extract segments of specific polygons.

You can choose whether to assign a single name 'Boundary' to all output segments, or to assign unique names (like 'Boundary 1', 'Boundary 2', etc.) to the output segments. In the latter case, an attribute table will be created for the output map which contains the original polygon names or values on either side of an extracted segment as well the lengths of the extracted segments.

The operation is useful when you want to edit/update boundaries of polygons.

Polygons to Points

The Polygon to Points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.

Segments to Polygons

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported vector files from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends, self overlap and/or intersections are not allowed. A mask can be specified to polygonize specific segments.

Mind: to interactively check or polygonize segments, use the Check Segments or the Polygonize option in the Segment editor.

Segments to Points

The Segments to Points operation creates a point map from a segment map. The output point map can contain either:

  • a point for each node in the segment map, or
  • points at a regular distance along the segments in the segment map, or
  • points for all stored coordinates in the segment map.

TABLE OPERATIONS

Transpose Table

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.

Change domain of table

The Change domain of table operation copies the contents of an input table to a new table; the new table will have another domain than the input table.

For the domain of the output table, you can choose:

  • domain None;
  • an existing class or ID domain on disk;
  • a class or ID domain of a column in the input table when that column contains unique classes or IDs;
  • a class or ID domain of a column in the input table where the column does not contain unique classes or IDs and other column values need to be aggregated (average, minimum, maximum, sum, last value encountered).

Table to point map

The Table to point map operation creates a point map out of a table.

For the coordinates of the points, you can use from the table:

  • a coordinate column which contains the XY-coordinates for the points as (X,Y); the domain of this column should be a coordinate system;
  • a value column which contains the X-coordinates for the points and another value column which contains the Y-coordinates for the points.

Depending on the domain of the input table, you can furthermore choose between the following possibilities:

  • Input table with an ID domain:
    the points in the output point map should use the same IDs as found in the domain of the table;
    the input table will be linked as attribute table to the output point map.
  • Input table with domain None:
    the points in the output point map should use the IDs of a new ID domain in which the IDs are based on the record numbers of the table and a user-defined prefix;
    also the input table will obtain this new ID domain and the table will be linked as attribute table to the output point map.
  • Any input table:
    the points in the output point map should use the class names, IDs, or values as found in a column of the table;
    the output point map will have no attribute table.

Glue tables

The Glue tables operation allows you to glue or merge two or more tables together. As input tables, you may use:

  • tables with domain None,
  • tables with class domains,
  • tables with ID domains,
  • tables with class domains and ID domains.

The Glue tables operation should be regarded as a tool to combine different tables. You can for instance combine or integrate attribute tables of different years. Tables with domain None can also be glued vertically one below the other.

HYDROLOGIC FLOW

DEM visualization

The DEM visualization script creates a color composite for you from a DEM. First, three shadow maps are created by the script, using three different shadow filters. The combination of them in a color composite gives a very good impression of the relief in your area.

As input is required:

  • a DEM.

At the end of the script, the color composite of the shadow maps is displayed.

For more information, refer to DEM visualization.

Flow determination:

Fill sinks

The Fill sinks operation 'removes' local depressions (of single pixels and of multiple pixels) from a Digital Elevation Model (DEM).

  • The height value of a single-pixel depression is raised to smallest value of the 8 neighbours of a single-pixel depression.
  • The height values of a local depression consisting of multiple pixels are raised to the smallest value of a pixel that is both adjacent to the outlet for the depression, and that would discharge into the initial depression.

By using the Fill sinks operation,

  • and a subsequent Flow direction operation on the output map of the Fill sinks operation,
  • and a Flow accumulation operation on the output map of Flow direction operation,

it is ensured:

  • that a flow direction will be found for every pixel in the map, and
  • that water in any pixel will be discharged into outlets towards the edges of the map.

Flow direction

The Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow.

Flow direction is calculated for every central pixel in input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbouring pixels. The output map contains flow directions as N (to the North), NE (to the North East), etc.

You can choose to calculate flow direction according to steepest slope or according to lowest neighbour.

Flow accumulation

The Flow accumulation operation determines the number of pixels that naturally drain into outlets. The operation can be used to find the drainage pattern of a terrain.

  • As input the operation uses the output map of the Flow direction operation.
  • The output map contains cumulative hydrologic flow values that represent the number of input pixels which contribute any water to the outlets (or sinks if these have not been removed).

Flow modification:

DEM optimization

The DEM optimization operation enables you to 'burn' existing drainage features into a Digital Elevation Model (DEM), so that a subsequent Flow direction operation on the output DEM will better follow the existing drainage pattern.

The DEM optimization operation offers the following possibilities:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.

Topological optimization

When a DEM and/or a flow direction map have undefined values, e.g. when there are lakes in the study area, the Topological Optimization operation can improve the results of a previous Flow Direction operation and a Drainage Network Extraction operation to ensure a proper flow through this lake.

As input, this operation requires:

  • an existing output map of the Drainage Network Extraction operation,
  • an existing output map of the Flow Direction operation,
  • a segment map with one or more segments that connect the inlet(s) of a lake with the outlet(s) of lake (down flow).

As output, the operation delivers:

  • a new continuous drainage network raster map, and
  • a new flow direction raster map.

The output of this operation can serve as a new basis for the other hydrologic operations, e.g. to obtain new Strahler or Shreve order numbers, new catchments etc.

Variable threshold computation

The Variable threshold computation operation helps you to prepare a threshold map that can be used in a Drainage network extraction operation.

You can base the threshold map on a height map (DEM), or on attribute values from an attribute table of a raster map with a class or ID domain (e.g. infiltration attribute values in a table linked to a geological unit map).

As a user, you have to:

  • specify the size of a kernel or moving window, so that for the calculation of each output pixel, only 3 x 3 or 5 x 5, etc. input pixels will be considered;
  • specify the number of desired output classes;
  • specify a boundary value and a desired output value for each output class that you wish to obtain.

When height values are used as input, you can optionally obtain an internal relief map as additional output.

For more information on the calculations that will take place, refer to Variable threshold computation : functionality.

Network and Catchment Extraction:

Drainage network extraction

The Drainage network extraction operation extracts a basic drainage network (boolean raster map).

As input is required: the output raster map of the Flow Accumulation operation.

You can choose to use as additional input:

  • a threshold value, to set a minimum for the number of pixels that should drain into a pixel that is examined;
  • a threshold raster map, where pixels can have a threshold value based on e.g. their geological unit or height values;
    • when using a threshold map, also the output map of a previous Flow Direction operation is required.

When using a threshold map, the operation will furthermore fill possible gaps between drainage lines.

The output raster map will show the basic drainage as pixels with value True, while other pixels have value False.

Drainage network ordering

The Drainage network ordering operation:

  • examines all drainage lines in the drainage network map, i.e. output map from the Drainage Network Extraction operation,
  • finds the nodes where two or more streams meet, and
  • assigns a unique ID to each stream in between these nodes, as well as to the streams that only have a single node.

To limit the number of output streams and reduce calculation time, you can specify the minimum length that streams should have to remain in the network.

The output of this operation is a raster map, a segment map and an attribute table that all use a newly created ID domain.

The attribute table contains information on each stream, such as:

  • Strahler ordering number, Shreve ordering number,
  • stream length, calculated along the drainage, and calculated as a straight line between XY-coordinates,
  • slope values in degrees and in percentages, calculated along the drainage and calculated as a straight line between XY-coordinates, and elevation,
  • sinuosity of the drainage path as a measure of meandering,
  • total upstream drainage length, i.e. the total length of the streams that drain into the current one, etc.

Catchment extraction

The Catchment extraction operation constructs catchments; a catchment will be calculated for each stream found in the output map of the Drainage Network Ordering operation.

As input is required:

  • the output raster map of the Drainage Network Ordering operation,
  • the output raster map of the Flow Direction operation.

As output a raster map, a polygon map and an attribute table are produced which all use the ID domain of the input Drainage Network Ordering map.

The attribute table contains information on each catchment, such as:

  • area and perimeter of the catchment,
  • total upstream area, i.e. the area of all catchments that drain into this catchment, etc.

Catchment merge

The Catchment merge operation is able to merge adjacent catchments, as found by the Catchment Extraction operation. In fact, new catchments will be created on the basis of the Drainage Network Ordering map and its attribute table.

As input is required:

  • the output map and attribute table of the Drainage Network Ordering operation,
  • the output map of the Flow Direction operation,
  • the output map of the Flow Accumulation operation.

You can merge catchments in two manners:

  • by specifying a point map that contains locations of stream outlets within a catchment; all adjacent catchments that drain into such outlets will be merged,
  • by simply specifying a Strahler or Shreve ordering value: all adjacent catchments that have this Strahler or Shreve order value (or a lower value) and which drain into a common catchment will be merged.

As output a new catchment raster map, polygon map and attribute table are produced. These all use a new ID domain.

The attribute table contains information on the new catchments, similar to the output attribute table of the Catchment Extraction operation, but you will also find information on:

  • total drainage length, total upstream area,
  • drainage density,
  • longest flow path length and longest drainage length.

Compound Parameter Extraction:

Overland flow length

The Overland Flow Length operation calculates for each pixel the overland distance towards the 'nearest' drainage according to the flow paths available in the Flow Direction map.

As input is required:

  • the output raster map of the Drainage Network Ordering operation and its linked attribute table,
  • the output raster map of the Flow Direction operation.

Compound Index calculation

The Compound Index Calculation script calculates:

  • Wetness Index,
  • Stream Power Index, and
  • Sediment Transport Index.

As input is required:

  • a DEM,
  • the output of a previous Flow Accumulation operation.

For more information, refer to Compound Index Calculation.

Statistical Parameter Extraction:

Horton statistics

The Horton statistics operation calculates for each (Strahler) stream order number and for each merged catchment:

  • the number of streams,
  • the average stream length (km), and
  • the average area of catchments (km2), and
  • expected values for these by means of a least squares fit.

The output is stored in a table which can be used to construct so-called Horton plots in a graph window.

Horton plots enable you to inspect the regularity of your extracted stream network based on the (Strahler) stream order numbers, and may serve as a quality control indicator for the entire stream network extraction process. It is expected that:

  • the number of streams show a relative decrease for subsequent Strahler order numbers,
  • the length of streams and the catchment areas show a relative increase for subsequent Strahler order numbers.

As input is required:

  • the output of a previous Catchment extraction operation,
  • the output of a previous Catchment merge operation,
  • the output of a previous Drainage network ordering operation.

Aggregate statistics

The Aggregate statistics script allows you to cross a merged catchments map with a DEM (or any other map): you will obtain for each catchment the following values: average, minimum, maximum, std, predominant, median, sum, count.

The results are added as new columns to your existing merged catchments table.

As input is required:

  • the output table of a previous Catchment Merge operation,
  • the output map of a previous Catchment Merge operation,
  • another raster map containing values, e.g. your DEM.

For more information, refer to Aggregate statistics.

Cumulative hypsometric curve

The Cumulative hypsometric curve script crosses a merged catchments map with your DEM. The script will ask for the ID of a single catchment that you wish to use in the Cross. In the resulting cross table, cumulative values are calculated for the Area of subsequent height values in square kilometers and in percentages. The output is stored in columns: cum_area and cum_percent.

With the output cross table and its newly calculated columns, you can create graphs:

  • use column cum_area or column cum_percent on the X-axis,
  • use the column with the height values on the Y-axis.

This will give you a so-called cumulative hypsometric curve.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a DEM,

For more information, refer to Cumulative hypsometric curve.

Class coverage statistics

The Class coverage statistics script crosses a selected catchment from a merged catchments map with a raster map that has a class domain, for instance land use classes or land cover classes.

Then, for each class, the area in percentages is calculated, i.e. the area that is occupied by each class in the selected catchment. The output is stored in column area_percent.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a raster map with a class domain, for instance a land use map or a land cover map,

When the script is finished, the output cross table is displayed.

For more information, refer to Class coverage statistics.

IMPORT

Import files from another package into ILWIS 3.

You can choose to use:

  • ILWIS Map Import
  • Import General Raster
  • Import Table wizard


Operations

Visualization

Show Map

Show Table

Show Map List as Color Composite

Show Map List as Slide Show

Display 3D

Apply 3D

Show Stereo Pair as Anaglyph

Show Stereo Pair with Stereoscope


Open/Show table

Show Table

Select a table and show/open it in a new table window.

This dialog box appears:

  • when you choose Show Table from the Operations menu in the Main window,
  • when you choose Open Table from the File menu in a table window,
  • when you click the Open Table button in the toolbar of the Main window.

Dialog box options:

Select a table: | Select a table which you want to open in a new table window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

When the selected table is not open yet, the table is opened in a new table window.

When the selected table is already open, the table is restored and the table window becomes the active window.

Tip:

To open a table, you can also:

  • double-click a table in the Catalog, or
  • click the right mouse button on a table in the Catalog and select Open from the context-sensitive menu, or
  • drag a table from the Catalog to the Show item in the Operation-list.

Further you can type a command on the command line of the Main window. For more information, see Appendices : commands.

See also:

Table window


Show map list as color composite

Show map list as

Color Composite

Select a map list in the Show map list as color composite dialog box, and display three maps present in this map list together as an interactive color composite.

One map will be displayed in shades of red, one in shades of green and one in shades of blue. Putting three images together in one color composite can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.

By using an interactive color composite, you can easily change intervals, select other bands, etc. The resulting color composite is displayed in a map window which can be saved as a map view. Interactive color composites are very suitable to be used as a background during sampling or during screen digitizing.

Your graphics board needs to be configured to use more than 256 colors, for instance High Color 16-bit, or True Color 24-bit (see Display Settings in Windows' Control Panel).

Tip:

When you want to create a permanent color composite, which can for instance be used as a raster drape over a 3D model, choose Color Composite from the Operations, Image Processing menu.

See also:

Show map list as color composite : dialog box


Show map list as color composite : dialog box

Show Map List as color composite

Dialog box

Select a map list and show three images, or other raster maps with a value domain, present in this map list as an interactive color composite. The resulting color composite will be displayed in a map window which can be saved as a map view. Interactive color composites are very suitable to be used as a background during sampling or during screen digitizing.

One map will be displayed in shades of red, one in shades of green and one in shades of blue. Putting three images together in one color composite map can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.

This dialog box appears:

  • when you choose Show Map List as Color Composite from the Operations, Visualization menu in the Main window,
  • when you double-click the [image] ColorComp item in the Operation-list.

Dialog box options:

Select a map list: | Select an existing map list which contains raster maps with the Image domain or raster maps with a value domain.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Display Options - Map List as Color Composite dialog box appears. There, you can select which images/maps you want to use for your color composite and specify the stretch intervals.

A map list can only be showed as an interactive color composite, when your graphics board is configured to use more than 256 colors, for instance High Color 16-bit or True Color 24-bit (see Display Settings in Windows' Control Panel).

Tips:

When you want to create a permanent color composite, which can for instance be used as a drape over a 3D model, choose Color Composite from the Operations, Image Processing menu.

See also:

Show Map List as Color Composite

Display Options - Map List as Color Composite


Show map list as slide show

Show map list as

Slide Show

Select a map list in the Show map list as slide show dialog box, and show the map list as a slide show in a map window. All maps in the map list are displayed one after the other. A slide show is designed to present multi-temporal changes in maps. All maps in the map list must use the same domain and the same georeference.

Raster maps that you can include in a map list for a slide show may be:

  • satellite images of the same area of for instance different months,
  • derived products from satellite images such as NDVI maps, of for instance different months,
  • classified satellite images of for instance different months or years,
  • thematic raster maps (e.g. land use maps) of for instance different years,
  • to display a number of 3D views one after the other.

In a slide show, all maps in the map list will be displayed using one set of display options. When the maps in the map list use a class domain, a slide show always works fine. When the maps in the map list use a value domain, it is important that the range of value in the maps is approximately the same.

See also:

Show map list as slide show : dialog box


Show map list as slide show : dialog box

Show Map List as slide show

Dialog box

Select a map list and show its maps as a slide show: all raster maps in the map list will be displayed one after the other in the map window at a user-specified rate. This visualization technique is designed to present multi-temporal changes in maps. All maps in the map list must use the same domain and the same georeference.

The first step of making a slide show is thus to create a map list of all the raster maps that you want to show. For more information, refer to Create a map list. All raster maps in a map list need to have the same domain and the same georeference. Further, in a slide show, all maps in the map list will be displayed using one set of display options. When the maps in the map list use a class domain, a slide show always works fine. When the maps in the map list use a value domain, it is important that the stretch range of these maps is approximately the same.

Raster maps that you can include in a map list for a slide show may be:

  • satellite images of the same area of for instance different months,
  • derived products from satellite images, such as NDVI maps, of for instance different months,
  • classified satellite images of for instance different months or years,
  • thematic raster maps (e.g. land use maps) of for instance different years,
  • output raster maps of the Apply 3D operation that depict the same area in 3D but for instance from different angles.

It is generally not very useful to display a slide show of a map list which contains the bands (different wave-length intervals) of one satellite image (taken at a certain time), as the values in each band may strongly vary. By specifying a stretch range from 0 to 255 for all these bands, one band may appear quite dark, another one quite light, etc. It is often better to display the individual bands of an image in separate map windows; each band stretched according to the values that occur in that band.

This dialog box appears:

  • when you choose Show Map List as Slide Show from the Operations, Visualization menu in the Main window, or
  • when you double-click the Slide Show item in the Operation-list.

Dialog box options:

Select a map list: | Select an existing map list which you want to display as a slide show.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

A Display Options - Raster Map dialog box is opened. This dialog box shows information on one raster map in the map list. The display options specified in this dialog box will be used to display all raster maps in the map list. In case your map list contains value maps, pay special attention to the stretch range as all maps will be displayed using the same stretch range.

After the display options are specified, the Display Options - Map List as Slide Show dialog box appears.

See also:

Show map list as slide show

ILWIS objects : map lists

How to display a map list as a slide show


Display 3D

With Display 3D, you can create and edit a georeference 3D in order to obtain a three dimensional view of one or more maps. A Digital Terrain Model (DTM), also called a Digital Elevation Model (DEM), is required to create a georeference 3D. For more information on creating a DEM, see How to calculate a DEM.

By relating any map with the corresponding terrain surface in a 3D model, you can discover and understand relations between spatial data sets. For example, by draping a land use map over the height values of a 3D model, you can see where your areas of interest are located: on slopes, on flat areas, in the lower areas, in the mountains, etc.

Although Display 3D was originally developed to model relief, it can of course also be used to model the continuous variation of any other value map as a surface (e.g. concentration values, land values).

  1. When you start the Display 3D operation, first the Display 3D dialog box appears. Create a new georeference 3D or select an existing one.
  2. Then, the Display Options - 3D Grid dialog box appears. Specify whether the DEM should displayed as 3D grid lines with or without a drape of a raster map (preferably a raster map with a class domain).
  3. Subsequently, the DEM is displayed in a map window which uses the georeference 3D.
  4. To edit the georeference 3D, you have to start the Georeference 3D editor: choose Georeference from the Edit menu in the map window. The large Georeference 3D editor : Edit dialog box appears.
  5. When finished editing the 3D view, close the Georeference 3D editor and return to the map window.
  6. In the map window, you can add point, segment and/or polygon maps and/or annotation to improve the 3D view.

See also:

Display 3D : dialog box

Display Options - 3D Grid dialog box

Georeference 3D editor : Edit dialog box


Display 3D : dialog box

Display 3D

Dialog box

Create a three-dimensional view of your study area. Use an existing georeference 3D or create a new one.

A Digital Terrain Model (DTM), also called a Digital Elevation Model (DEM), is required to create a georeference 3D. For more information on creating a DEM, see How to calculate a DEM.

By relating any map with the corresponding terrain surface in a 3D model, you can discover and understand relations between spatial data sets. For example, by draping a land use map over the height values of a 3D model, you can see where your areas of interest are located: on slopes, on flat areas, in the lower areas, in the mountains, etc.

Although Display 3D was originally developed to model relief, it can of course also be used to model the continuous variation of any other value map as a surface (e.g. concentration values, land values).

This dialog box appears:

  • when you choose Display 3D from the Operations, Visualization menu in the Main window, or
  • when you double-click the Display3D item in the Operation-list.

Dialog box options:

Georeference:

Select an existing georeference 3D, or create a new georeference 3D by clicking the create button.

When you create a new georeference 3D, the Create Georeference 3D dialog box appears. In that dialog box, you can specify the name of a DEM which should be used, and the size of the map window in which the 3D view should appear. After that, you return to this Display 3D dialog box.

When everything is OK, the Display Options - 3D Grid dialog box appears. The DEM can be displayed as 3D grid lines with or without a drape of a raster map.

To obtain a suitable perspective on the terrain, edit the georeference 3D with the Georeference 3D editor. When finished editing the 3D view, you can add point, segment and/or polygon maps and/or annotation to improve the 3D view.

See also:

Display 3D

How to display Digital Elevation Models


Apply 3D

Functionality

Dialog box

Command line

Algorithm


Apply 3D : functionality

Apply 3D

Functionality

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display the output raster map in three dimensions, i.e. as a 3D view.

To create a georeference 3D, you need a Digital Elevation Model (DEM) and you have to specify 3D view parameters in the georeference 3D editor. For more information, see Georeference 3D editor.

  • In Display 3D, the georeference 3D can be used to drape a raster map over your height model, but in Apply 3D, an input raster map is resampled according to the georeference 3D. The resampled output map will then always appear in a map window as a 3D view.
  • In Display 3D, the calculations to drape a raster map over your height model are performed on the fly and display may therefore be slow, but the resampled output raster map of Apply 3D can be efficiently displayed in a map window as no more complicated 3D calculations have to performed; these are handled by the Apply 3D operation.

The functionality of the Resample and the Apply 3D operations are comparable. With the Resample operation, you can resample a raster map to any georeference. The Apply 3D operation is designed to resample a raster map to a georeference 3D but the resampling process has the same result as using the Resample operation.

When the output raster map of Apply 3D is displayed in a map window, you can add extra point, segment and polygon maps to enhance the 3D view. As usual, you can save the contents of the map window a map view.

Input map requirements:

No special requirements for the input raster map. Further, a georeference 3D is required which you can create and modify according to your wishes with Display 3D or Apply 3D and the Georeference 3D editor.

Domain and georeference of output map:

The output raster map uses the same domain as the input raster map.

The output raster map uses the georeference 3D as specified by the user.

Tip:

To obtain rotating 3D views in a map window:

  • prepare a number of 3D views (georeferences 3D) that depict the same area but for instance from different angles,
  • perform the Apply 3D operation a number of times on one input map, using the various georeferences 3D and specifying different output map names,
  • combine the output maps in a map list and show the map list as a slide show.

For more information on slide shows, see How to display a map list as a slide show.

See also:

Apply 3D : dialog box

Apply 3D : command line

Apply 3D : algorithm

Display 3D

Georeference 3D editor


Apply 3D : dialog box

Apply 3D

Dialog box

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display the output raster map in three dimensions, i.e. as a 3D view.

You can create a georeference 3D with Display 3D or Apply 3D; a Digital Elevation Model is required and you have to specify 3D view parameters using the Georeference 3D editor.

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select a map, or drag a raster map directly from the Catalog into this box.
Output raster map: | Type a name for the output raster map that is resampled to a georeference 3D.
Georeference: | Select an existing georeference 3D for the output raster map or create a new georeference 3D by clicking the create button.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Apply 3D : functionality


Apply 3D : command line

Apply 3D

Command line

The Apply 3D operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapApply3D(InputMapName,Georef3D)

where:

OUTMAP | is the name of your output raster map.
MapApply3D | is the command to start the Apply3D operation.
InputMapName | is the name of your input raster map.
Georef3D | is the name of an existing georeference 3D.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Apply 3D : functionality


Apply 3D : algorithm

Apply 3D

Algorithm

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display the output raster map in three dimensions, i.e. as a 3D view.

You can create a georeference 3D with Display 3D; a Digital Elevation Model is required and you have to specify 3D view parameters using the Georeference 3D editor.

The operation is based on the display of a 3D view in a map window. For each pixel in each row of the input raster map, the position of its four corners is determined in the 3D view and the area between the four corners is filled with the class name or value of the raster drape.

The order of drawing is determined by the orientation of the 3D view:

  • Rows or pixels that are farthest away from the observer are drawn first.
  • Pixels that are closer to the observer are drawn later and consequently hide previously drawn pixels which are higher than previously drawn pixels.

If the coordinate system of the input map and the input georeference 3D are different but compatible, an automatic coordinate transformation is performed.

See also:

Apply 3D : functionality


Show stereo pair as anaglyph

Show stereo pair

as anaglyph

Show a calculated stereo pair as an anaglyph in a map window. The anaglyph is either displayed in Red-Green or in Red-Blue. You will be able to view the height differences in the stereo pair by using red-green or red-blue glasses.

To create a stereo pair:

  • use the Epipolar Stereo Pair operation, or
  • use the Stereo pair from DTM operation.

Notes:

  • To view a stereo pair as an anaglyph in a map window, the output maps calculated by the stereo pair must use the Image domain or any other value domain.
  • To convert a map with the Color domain to the Image domain, you can use the Color Separation operation; choose option Intensity. See also How to change the domain of a map.
  • As the output images of a stereo pair may have a very large file size, it is advised to create Pyramid Layers for both output raster maps. This will speed up display in the map window.

To start showing a stereo pair as an anaglyph:

  1. from the Operations menu of the Main window, choose Visualization, Show Stereo Pair as Anaglyph, or
  2. in the Operation-list, double-click the Anaglyph item, or
  3. in the Operation-tree, expand the Visualization item and double-click the Anaglyph item, or
  4. click a stereo pair in a Catalog with the right mouse button and choose Visualization, Anaglyph from the context-sensitive menu.

In the cases 1, 2, and 3, a Show stereo pair as anaglyph dialog box will appear:

  • Select a stereo pair.
  • The stereo pair (and its output maps) will automatically be calculated from the input maps if the stereo pair was not yet calculated.
  • A Display Options - Stereo Pair as Anaglyph dialog box will appear.
  • Then, the stereo pair will then be shown as an anaglyph in a map window.

Tip: The default Open behaviour for a stereo pair, for instance when a stereo pair is double-clicked in a Catalog, is that the stereo pair will be shown in a Stereoscope window. If you prefer to show the stereo pair as an anaglyph by a default Open action, you can define this in the Preferences, section Main window.

Anaglyph in map window:

The stereo pair is shown as an anaglyph in a map window; depending on the choice you made in the Display Options - Stereo Pair as Anaglyph dialog box:

  • the left-hand output map of the stereo pair will be shown in Red,
  • the right-hand output map of the stereo pair will be shown either in Green or in Blue.

You can inspect the anaglyph using Red-Green or Red-Blue glasses.

In the map window, you can:

  • add a point map or a segment map to the stereo pair (screen digitizing).

If you wish to add a point map or a segment map to the anaglyph, you may first wish to make sure that one of the output maps of the stereo pair has a georeference. Then open the stereo pair as an anaglyph and start screen digitizing.

In the anaglyph, coordinates are calculated from the positions of the pixels shown in red, i.e. pixels of the left output map.

Tip: A stereo pair can also be viewed with a stereoscope in a Stereo Pair - Stereoscope window.

See also:

Epipolar Stereo Pair (operation)

Epipolar Stereo Pair : Creation window

Stereo pair from DTM (operation)

Show stereo pair with stereoscope

Stereo Pair - Stereoscope window

Map window : functionality

ILWIS objects : stereo pairs


Show stereo pair as anaglyph (dialog box)

Show Stereo Pair as Anaglyph

Show a stereo pair as an anaglyph in a map window.

This dialog box appears:

  • when you open the Operations menu in the Main window, and choose Visualization, Stereo Pair as Anaglyph,
  • when you double-click the Anaglyph item in the Operation-list,
  • when you open the Visualization item in the Operation-tree and double-click the Anaglyph item,
  • when you click a stereo pair in a Catalog with the right mouse button and choose Visualization, Stereo Pair as Anaglyph from the context-sensitive menu.

Dialog box options:

Stereo pair: | Select the stereo pair that you wish to show as an anaglyph.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

The Display Options - Stereo Pair as Anaglyph dialog box will follow.

Tips:

  • A stereo pair can also be viewed with a Stereoscope in a Stereo Pair - Stereoscope window.
  • To open a stereo pair, you can furthermore type a command on the command line of the Main window. For more information, see Appendices : commands.

See also:

Anaglyph

Stereoscope


Show stereo pair with stereoscope

Show stereo pair

with stereoscope

Show a calculated stereo pair in a Stereoscope window; you will be able to view the height differences in the stereo pair by using a stereoscope that is mounted onto your monitor.

To create a stereo pair:

  • use the Epipolar Stereo Pair operation, or
  • use the Stereo pair from DTM operation.

To start showing a stereo pair with a stereoscope:

When creating an epipolar stereo pair:

  1. close the Epipolar Stereo Pair - Creation window with the Exit and Show button [image], or

When a stereo pair already exists:

  2. from the Operations menu of the Main window, choose Visualization, Show Stereo Pair with Stereoscope, or
  3. in the Operation-list, double-click the Stereoscope item, or
  4. in the Operation-tree, expand the Visualization item and double-click the Stereoscope item, or
  5. double-click a stereo pair in a Catalog, or
  6. click a stereo pair in a Catalog with the right mouse button and choose Visualization, Stereoscope from the context-sensitive menu.

In case 2, 3, and 4, first the Open Stereo Pair dialog box will appear:

  • Select a stereo pair.
  • The stereo pair (and its output maps) will automatically be calculated from the input maps if the stereo pair was not yet calculated.
  • The stereo pair will then be shown in a Stereo Pair - Stereoscope window.

In case 1, 5 and 6, the stereo pair will directly be opened in the Stereo Pair - Stereoscope window.

Tips:

  • To view a stereo pair in the Stereoscope window, the output maps calculated by the stereo pair may have the Color domain, the Image domain or any other value domain.
  • As the output images of a stereo pair may have a very large file size, it is advised to create Pyramid Layers for both output raster maps. This will speed up display in the Stereo Pair - Stereoscope window.
  • The default Open behaviour for a stereo pair, i.e. open in Stereoscope window or open as Anaglyph, can be defined in the Preferences, section Main window.

Stereo Pair - Stereoscope window:

The stereo pair is shown in a Stereo Pair - Stereoscope window:

  • the left-hand pane of this window displays the left-hand output map of the stereo pair,
  • the right-hand pane of this window displays the right-hand output map of the stereo pair.

A stereoscope has to be mounted onto your monitor.

Refer the topic on the Stereo Pair - Stereoscope window for information on:

  • how to size the window in order to properly view the area with overlap in stereo,
  • how to add a georeference to one of the maps,
  • how to add a point map or a segment map to the stereo pair (screen digitizing).

Tip: A stereo pair can also be shown as an Anaglyph in a map window.

Additional information:

  • A Stereoscope window is split into two panes. You should position the window in such a way that the splitter is in the middle of your stereoscope.
  • Initially, the horizontal offset between the rotation points of the photographs is equal to the width of each pane. This offset will be maintained during zooming, scrolling and panning.
  • You may have to resize the window for proper stereo vision; by resizing the window, the horizontal offset between the rotation points of the photographs will change.
  • You can further adjust stereo vision by unlocking the horizontal scroll.

See also:

Epipolar Stereo Pair (operation)

Epipolar Stereo Pair : Creation window

Stereo Pair from DTM (operation)

Stereo Pair - Stereoscope window

Show stereo pair as anaglyph

ILWIS objects : stereo pairs


Open stereo pair (dialog box)

Open Stereo Pair

Open a stereo pair.

1. To open an existing stereo pair in the Epipolar Stereo Pair - Creation window:

  • choose Open Stereo Pair from the File menu in the Epipolar Stereo Pair - Creation window, or
  • click the Open button [image] in the toolbar of the Epipolar Stereo Pair - Creation window.

In the Epipolar Stereo Pair - Creation window, you will be able to view or edit position of the fiducial marks, principal points, transferred principal points, and optional scaling points.

2. To open an existing stereo pair in the Stereo Pair - Stereoscope window:

  • open the Operations menu in the Main window, and choose Visualization, Stereoscope,
  • double-click the Stereoscope item in the Operation-list,
  • open the Visualization item in the Operation-tree and double-click the Stereoscope item,
  • choose Open Stereo Pair from the File menu in the Stereo Pair - Stereoscope window, or
  • click the Open button [image] in the toolbar of the Stereo Pair - Stereoscope window.

In the Stereo Pair - Stereoscope window, you will be able to view the stereo pair with a stereoscope.

Dialog box options:

Stereo pair:

Select the stereo pair that you wish to show.

Tips:

To open a stereo pair in the Epipolar Stereo Pair - Creation window, you can also:

  • click the right mouse button on a stereo pair in a Catalog and select Edit from the context-sensitive menu.

To open a stereo pair in the Stereo Pair - Stereoscope window, you can also:

  • double-click a stereo pair in the Catalog, or
  • click the right mouse button on a stereo pair in a Catalog and select Open from the context-sensitive menu.
  • drag a stereo pair from the Catalog to the Stereoscope item in the Operation-list.

To open a stereo pair, you can furthermore type a command on the command line of the Main window. For more information, see Appendices : commands.

See also:

Epipolar Stereo Pair - Creation window

Stereo Pair - Stereoscope window


Operations

Raster operations

Map Calculation

Attribute Map

Cross

Aggregate Map

Distance Calculation

Iteration

Area Numbering

Sub Map

Glue Maps

Mirror Rotate

Spatial Multiple-Criteria Evaluation


Map calculation (operation)

Map Calculation

Map Calculation (expressions)

Dialog box

Algorithm


Map calculation : dialog box

Map calculation

Dialog box

Map calculation can be used to perform calculations with raster maps. In the dialog box, type a MapCalc expression. For more information on the operators and functions that can be used, refer to Map Calculation. You can also type your map calculation expressions on the command line of the Main window.

Dialog box options:

Expression: | Type a MapCalc formula, for example Map1+Map2 Mind: You must use single quotes around object names which start with a digit, contain spaces or contain one of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , . . Example: 'My Map1' + 'My Map2'
Output raster map: | Type a name for the output raster map.
Defaults: | Click this button to obtain a default domain. When the default domain is a value domain, you also obtain defaults for the value range and precision of the output map. You can also click this button to obtain defaults again after you changed the default domain, value range or precision.
Domain: | Accept the default domain, or select or create [image] your own output domain.
Value range: | If the output map uses a value domain, accept the default value range, or specify your own range of possible values in the output map.
Precision: | If the output map uses a value domain, accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Tip:

When working with value maps, you can generally accept the default system domain Value. You only need to select or create a user-defined value domain when the values have a specific meaning for which you have or want to create a meaningful representation.

See also:

Map calculation

How to use long object names


Map calculation : algorithm

Map calculation

Algorithm

Your map calculation formula is processed in the following simplified way:

  1. Tokenizer:
    • breaks the expression into tokens such as special characters (e.g. brackets, commas, +, *, /, <, >, =), composed tokens (e.g. <=, lt, >=, gt), strings, and values,
    • feeds the result to the parser.

  2. Parser:
    • performs a simple syntax check on the tokens, for instance a check on the correct number of brackets,
    • translates the tokens into map names, tables names, column names, constants, operators (+, *), functions, variables, brackets, etc.
    • feeds the result to code generator.

  3. Code generator:
    • performs an indepth syntax check, for instance a check on the number and type of parameters for all functions and operators used,
    • determines the output domain, value range and georeference,
    • creates an instruction stack.

  4. Calculator:
    • for each line of the maps carries out all instructions on the stack.

    For effiency reasons, the process is done line by line. This has the same result as when the instructions were carried out pixel by pixel.

Example 1:

OUTMAP = a+1

Stack contains following instructions:

load a

const 1

operator add

store

Example 2:

OUTMAP = (a+1) * (b+2)

Stack contains following instructions:

load a

const 1

operator add

load b

const 2

operator add

operator multiply

store

Example 3:

OUTMAP = iff(landuse="arable") and (slope<=20), "suitable", "not suitable")

Stack contains following instructions:

load landuse

const "arable"

equal

load slope

const 20

less than or equal

and

const "suitable"

const "not suitable"

call iff

store

See also:

Map Calculation


Attribute map of raster map

Functionality

Dialog box

Command line

Algorithm


Attribute map of raster map : functionality

Attribute map of raster map

Functionality

By creating an attribute map of a raster map, the class name or ID of each pixel in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A raster map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the raster map or to its domain through the Properties dialog box of the map or the domain.

Example of creating an attribute map:

In the pictures below, an attribute map for pH is created for units A, B, C, and D in the input map..

Input map: | Attribute table:
Output attribute map: |

Input map requirements:

  • the input map needs to be a map with a domain of the Class or ID type;
  • the table, from which you want to choose a column, should use the same domain as the map;
  • the attribute table can be linked to the map or to its domain;
  • the attribute table should have one or more columns with attribute values, classes or IDs.

An attribute map can be created from any column with a value, class or ID domain, but not from a column using domain String.

Domain and georeference of output map:

The output map uses the same domain as the specified attribute column.

The output map uses the same georeference as the input map.

Tips:

  1. This operation creates a permanent attribute map. To temporarily display an attribute map, you can select the option 'Attribute' in the Display Options dialog box when displaying a raster map.
  2. The colors in which an attribute map is displayed, depend on the domain of the specified attribute column:
    • if you used a domain Class attribute column and this domain already has a user-defined representation, then this representation is automatically selected in the Display Options dialog box which appears when you display the attribute map. In the Display Options dialog box, you can also select another existing representation or create a new representation by clicking the create button.
    • if you used a domain Value attribute column, you can either select one of the standard value representations or create your own representation by clicking the create button in the Display Options dialog box which appears when you display the attribute map.
  3. You can also create attribute maps of polygon maps, attribute maps of segment maps and attribute maps of point maps.

See also:

Attribute map of raster map : dialog box

Attribute map of raster map : command line

Attribute map of raster map: algorithm


Attribute map of raster map : dialog box

Attribute map of raster map

Dialog box

By creating an attribute map of a raster map, the class name or ID of each pixel in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A raster map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the raster map or to its domain through the Properties dialog box of the map or the domain.

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The input map should be a domain Class or ID map.
Table: | By default, the attribute table linked to the selected input map or to its domain is shown. In case you want to use another table, select a table with the same domain as the input map from the list box.
Attribute: | Select an attribute column from the attribute table.
Output raster map: | Type a name for the output raster map that will contain the attribute values.
Domain: | In case the output map uses a value domain, accept the default domain (the domain of the selected column), select another value domain or create a new value domain.
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Attribute map of raster map : functionality


Attribute map of raster map : command line

Attribute map of raster map

Command line

The Attribute map of raster map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapAttribute(InputMapName, ColumnName)
OUTMAP | = | MapAttribute(InputMapName, TableName.ColumnName)
OUTMAP | = | InputMapName.ColumnName

where:

OUTMAP | is the name of your output raster map.
MapAttribute | is the command to start the creation of an attribute map of a raster map.
InputMapName | is the name of your input raster map. For the first and third expression, the attribute table needs to be linked to the input map or its domain.
TableName | is the name of an attribute table. The attribute table should use the same domain as the input map.
ColumnName | is the name of an attribute column in the attribute table.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Attribute map of raster map : functionality


Attribute map of raster map : algorithm

Attribute map of raster map

Algorithm

The program scans the raster map line by line, starting with the first (left) pixel in the first line until the last (right) pixel in the last line.

Each pixel is copied to the output map:

  • each class name or ID in the input map is replaced with the attribute value that belongs to this class or ID as found in the attribute table.

Undefined values are assigned to an output pixel:

  • if the pixel in the input map is undefined, or
  • if the class name, ID, or value in the selected attribute column is undefined.

See also:

Attribute map of raster map : functionality


Cross

Functionality

Dialog box

Command line

Algorithm


Cross : functionality

Cross

Functionality

The Cross operation performs an overlay of two raster maps. Pixels on the same positions in both maps are compared; the occurring combinations of class names, identifiers or values of pixels in the first input map and those of pixels in the second input map are stored. These combinations give an output cross map and a cross table. The cross table includes the combinations of input values, classes or IDs, the number of pixels that occur for each combination and the area for each combination.

Input map requirements:

  • Both maps should have the same georeference.
  • No restrictions on domain types.

Domain and georeference of output map and table:

Cross creates an Identifier domain for the output map and table. This output domain obtains the same name as the output map and is filled with the combinations of class names, IDs or values or colors of both input maps.

When an input map has a class or ID domain in which the class names or IDs have codes, then these codes will appear in the output domain.

An output cross map uses the same georeference as the input maps.

Example:

Input map 1: | Input map 2: | Output cross map:

In the picture of the output map above, read B*S instead of BS, etc.

Output cross table:

Domain | Map1 | Map2 | NPix | Area
A * R | A | R | 3 | .....
A * T | A | T | 2 | .....
B * S | B | S | 2 | .....
B * T | B | T | 1 | .....
C * R | C | R | 1 | .....
C * S | C | S | 3 | .....
C * T | C | T | 1 | .....
D * S | D | S | 2 | .....
D * T | D | T | 1 | .....

The cross table lists:

Domain | the combination of class names, identifiers, values or group names of the first map with the second map's class names, IDs or values is returned as the output domain for the cross table. If class names or IDs in an input map have codes, then these codes will appear in the output domain.
Map1 | the class names, identifiers, or values of pixels in the first input map.
Map2 | the class names, identifiers, or values of pixels in the second input map.
NPix | the number of pixels that occur as a combination.
Area | the areas of the combinations as: NPix * pixel size * pixel size.

When you open a cross table, you can sort on columns, calculate with columns and perform column aggregations as usual.

Tip: When the input maps of a cross used a class or ID domain, the output cross table can also be shown as a matrix. Open the output cross table and choose Confusion Matrix from the Options menu of the table window. The matrix will show the number of pixels (NPix) as found for each combination, and the total number of pixels for each class/ID of the first input map.

 | R | S | T | Totals
A | 3 | 0 | 2 | 5
B | 0 | 2 | 1 | 3
C | 1 | 3 | 1 | 5
D | 0 | 2 | 1 | 3

Combinations with undefined values:

When you use the Cross operation through the Cross dialog box, combinations with undefined values will by default not appear in the output cross table, i.e. undefined values are ignored. If an output cross table should also list combinations with undefined values, clear one or both of the Ignore Undefs check boxes in the dialog box.

The combination Undefined value in the first input map and Undefined value in the second input map will never be listed.

See also:

Cross : dialog box

Cross : command line

Cross : algorithm


Cross : dialog box

Cross

Dialog box

The Cross operation performs an overlay of two raster maps: pixels on the same positions in both maps are compared; the occurring combinations of class names, identifiers or values of pixels in the first input map and those of pixels in the second input map are stored. These combinations give an output cross map and a cross table. The cross table includes the combinations of input values, classes or IDs, the number of pixels that occur for each combination and the area for each combination.

Dialog box options:

First map: | Select the first input raster map. Open the drop-down list box by clicking it and select a map, or directly drag a map from the Catalog into this box.
Ignore undefs: | Select this check box to ignore undefined values in the first input map; in the output cross table, combinations with undefined values in the first map will not be listed. Clear this check box when combinations with undefined values in the first map should be listed in the cross table.
Second map: | Select the second input raster map.
Ignore undefs: | Select this check box to ignore undefined values in the second input map; in the output cross table, combinations with undefined values in the second map will not be listed. Clear this check box when combinations with undefined values in the second map should be listed in the cross table.
Output table: | Type a name for the output cross table which will contain the combinations of the two input maps. This name will also be used for the output domain.
Description: | Optionally, type a description for the output cross table (and cross map). The description will appear in the status bar of the Main window when moving the mouse pointer over the table or the map in a Catalog, and in the title bar of a table or map window when the output table or output map is displayed. If no description is supplied, the output table (and the output map) will use their own definition as description.
Output map: | Select this check box if you want to obtain a cross map containing the combinations of the two input maps. Subsequently, type a name for the output raster map. Clear this check box if an output cross map is not desired.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary the table will be calculated later, for instance when the table is opened to be displayed.

Optionally, a dependent output map can be defined.

An ID domain will be created (same name as cross table) which contains the combinations of domain items of both input maps. When an input map has a class or ID domain in which the class names or IDs have codes, then these codes will appear in the output domain.

See also:

Cross : functionality


Cross : command line

Cross

Command line

Cross can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTTABLE | = | TableCross(FirstInputMap, SecondInputMap)
OUTTABLE | = | TableCross(FirstInputMap, SecondInputMap, OUTMAP)
OUTTABLE | = | TableCross(FirstInputMap, SecondInputMap [, OUTMAP] , IgnoreUndefs)
OUTTABLE | = | TableCross(FirstInputMap, SecondInputMap [, OUTMAP] , IgnoreUndef1)
OUTTABLE | = | TableCross(FirstInputMap, SecondInputMap [, OUTMAP] , IgnoreUndef2)

where:

OUTTABLE | is the name of your output cross table.
OUTMAP | is an optional parameter to create an output cross map.
TableCross | is the command to start cross and produce an output cross table (optionally with an output cross map).
FirstInputMap | is the name of your first input raster map (any domain).
SecondInputMap | is the name of your second input raster map (any domain).
IgnoreUndefs | an optional parameter to ignore undefined values in both maps; in the output cross table combinations with undefined values will not appear. When the parameter is not used, the output cross table will also show combinations with undefined values.
IgnoreUndef1 | an optional parameter to ignore undefined values of the first input map.
IgnoreUndef2 | an optional parameter to ignore undefined values of the second input map.

Alias:

OUTMAP

=

MapCross(FirstInputMap, SecondInputMap, OUTTABLE)

where:

OUTMAP | is the name of your output cross map.
MapCross | is the command to start cross and produce an output cross map and an output cross table.

For other parameters, see above.

When the definition symbol = is used, a dependent output table and/or a dependent map are created; when the assignment symbol := is used, dependency links are immediately broken after the output table and/or map have been calculated.

Furthermore, an ID domain is created (same name as cross table) which contains the combinations of domain items of both input maps. When an input map has a class or ID domain in which the class names or IDs have codes, then these codes will appear in the output domain.

See also:

Cross : functionality


Cross : algorithm

Cross

Algorithm

Cross table:

For all pixels at similar positions in both input maps, the combination of pixel 'values' in both maps is listed, and the number of pixels occurring as this combination is counted.

From the pixel size of the maps and the number of pixels encountered as a combination, the areas of the combinations are calculated.

Domain of cross map and cross table:

Cross creates an Identifier domain for the output cross map and cross table. This output domain obtains the same name as the output table and is filled with the combinations of class names, IDs or values of both input maps. When an input map has a class or ID domain in which the class names or IDs have codes, then these codes will appear in the output domain.

See also:

Cross : functionality


Aggregate map

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm


Aggregate map : functionality

Aggregate map

Functionality

The Aggregate Map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum. The Aggregate Map operation either creates a new georeference in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).

The Aggregate Map operation is designed for applications that require a multi-resolution approach, for instance to find densities of certain features in raster maps. You can also use this operation to generalize raster data.

First, the user has to specify a group size which determines the size of the blocks of input pixels, e.g. 3 x 3, 4 x 4, 5 x 5 pixels, etc. on which an aggregation has to be performed.

Then, you have to select an aggregation function which calculates an output value for each block of (n x n) input pixels:

Average | calculates the average for each block of input pixel values;
Count | counts the number of pixels in each block of input pixels that are not undefined;
Maximum | finds the maximum for each block of input pixel values;
Median | finds the median for each block of input pixels;
Minimum | finds the minimum for each block of input pixel values;
Predominant | finds the most occuring (predominant) class name, ID or value for each block of input pixels;
Std Deviation | calculates the standard deviation for each block of input pixel values;
Sum | calculates the sum for each block of input pixel values.

All aggregation functions work on value maps. The aggregation functions Count, Median and Predominant also work on maps with another domain type. For the Median function, the order of a Class or ID domain is used.

Lastly, you have to choose between Group and No Group:

  • Group: the operation creates a new georeference with the same name as the output map in which the pixels are a factor larger than in the input map.

    • For example, when you used a group factor of 4:

    • the aggregated value for each block of 4 x 4 input pixels is stored in 1 output pixel;
    • pixels in the output map will thus represent an area that is 16 times larger than the areas represented by pixels of the input map;
    • when an input map had 1600 rows and 1200 columns, the output map will have 400 rows and 300 columns;
    • when the pixel size of pixels in an input map is 25m (pixels represent 25 x 25m), the pixel size in the output map will be 100m (pixels represent 100 x 100m).
  • No Group: the output map uses the same georeference as the input map. For example, when you used a group factor of 4, the aggregated value for each block of 4 x 4 input pixels in stored in 4 x 4 output pixels which correspond to the pixels of the input map.

Figures 1, 2 and 3 below illustrate the difference between Group and No Group.

Example using Group and No Group:

In this example, the input map has 6 x 6 pixels (Figure 1). Each block of 3 x 3 input pixels is aggregated with the Average function. With the Group option, this results in a map of 2 x 2 pixels (Figure 2); with the No Group option, this results in a map of 6 x 6 pixels (Figure 3).

Input map: |
Fig. 1: Input map for an aggregation. |
Output map Group: | Ouput map No Group:
Fig. 2: Output of average aggregation when using the Group option. | Fig. 3: Output of average aggregation when using the No Group option.

Input map requirements:

All aggregation functions can be used on value maps.

The aggregation functions Count, Median and Predominant can also be applied on raster maps with another domain type.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

The default domain depends on the selected aggregation function.

When the option Group is selected, a new georeference is created for the output map. When the option No Group is selected, the output raster map uses the same georeference as the input raster map.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.
  • When the Group option is selected, all output raster maps will use the georeference created for the first raster map in the map list, e.g. Out_1.

Tips:

  • To obtain smaller pixels in an output map, use the Densify operation.
  • To aggregate segments, you can use the Segment Density operation.
  • To aggregate points, you can use the Point Density operation.
  • You can also calculate averages, maximum values, median values, minimum values, standard deviations with the Filter operation. The Aggregate Map operation considers blocks of n x n input pixels at a time; when an aggregated value is calculated for one block, the next block of n x n input pixels is considered; each time an aggregated value is either assigned to one large aggregated pixel (group) or to all pixels of the block that was considered (no group). The Filter operation considers a number of input pixels as specified by the filter size; when one filtered value is calculated, the filter moves one input pixel to right and calculates the next value; each time an output value is assigned to the center pixel of the filter.

See also:

Aggregate map : dialog box

Aggregate map : command line (1)

Aggregate map : command line (2)

Aggregate map : algorithm


Aggregate map : dialog box

Aggregate map

Dialog box

The Aggregate Map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum. The Aggregate Map operation either creates a new georeference in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box. Refer to Aggregate map : functionality to see which aggregation functions work on which types of input maps.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Group factor:

Type a value for the size of the blocks of input pixels on which an aggregation function should be applied. When you specify value 4, the aggregation is performed on each block of 4 x 4 input pixels. The Group factor should be at least 2.

Function:

Select an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation, or Sum. For more information, refer to Aggregate map : functionality.

Group:

Select this check box if each block of input pixels should appear as one pixel in the output map after the aggregation. The operation will create a new georeference which will obtain the same name as the output map. Clear this check box if the georeference of the input map and the output map should be the same: each aggregated value will be stored in all pixels in the output map which correspond to the considered block of input pixels.

Offset:

Optionally, select this check box when the aggregation should skip a certain number of rows at the top of the input map and/or a certain number of columns at the left of the input map. Subsequently specify the number of rows and/or columns which should be skipped. For example, when you use a RowOffset of 2 and a ColumnOffset of 4, the operation will start at line 3 and at column 5. When offsets are used while the option No Group is selected, the skipped lines and columns are assigned the undefined value.

Clear this check box when the aggregation should start at row 1, col 1 of the input map (offset 0, 0).

Output raster map:

Type a name for the output raster map that will contain the aggregated values.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Domain:

When the output map(s) will contain values, accept the default domain, or select another existing value domain, or create [image] your own output value domain.

Value range:

Accept the default value range, or specify your own range of possible values in the output map(s).

Precision:

Accept the default precision for the output values, or specify your own precision.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

Furthermore, when the Group option is used, a new georeference is created for the output map(s); this georeference obtains the same name as the output map, or the same name as the output map list followed by _1.

See also:

Aggregate map : functionality


Aggregate map : command line (1)

Aggregate map

Command line (1)

The Aggregate Map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, group)
OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, nogroup)
OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, group, RowOffset, ColOffset)
OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, nogroup, RowOffset, ColOffset)
OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, group, NewGeoref)
OUTMAP | = | MapAggregate AggFnc(InputMapName, Groupfactor, group, RowOffset, ColOffset, NewGeoref)

where:

OUTMAP

is the name of the output raster map.

MapAggregate

is the first part of the command to start the Aggregate Map operation.

AggFnc

is the second part of the command to start the Aggregate Map operation. Type an aggregation function directly after MapAggregate (no spaces allowed): Avg | Max | Med | Min | Prd | Std | Sum

If no aggregation function is specified on the command line, the operation will use the pixel in the upper left corner of each block of input pixels as output value.

InputMapName

is the name of the input raster map.

Groupfactor

is a value for the size of the blocks of input pixels to be aggregated; group factor 4 means that the aggregation is performed on each block of 4 x 4 input pixels (integer >= 2).

group

is the parameter to indicate to group the aggregated value into one output pixel.

nogroup

is the parameter to indicate to use the georeference of the input map for the output map. In this case, each output aggregation value is assigned to all output pixels that correspond to the blocks of input pixels.

RowOffset

is an optional parameter to skip the specified number of lines at the top of the input map, i.e. the aggregation will start at line RowOffset+1.

ColOffset

is an optional parameter to skip the specified number of columns at the left of the input map, i.e. the aggregation will start at ColOffset+1.

NewGeoref

is an optional parameter to specify a name for the output georeference; if not specified, the output georeference will obtain the same name as the output map.

All Aggregation functions work on input value maps; the Count, Median and Predominant aggregation functions also work on maps of other domain types.

To specify the domain and value range of the output map, you can use curly brackets after the output map name, for instance:

OUTMAP{dom=MyDom} = expression

OUTMAP{dom=MyDom;vr=min:max:prec} = expression

For more information, see Appendices : ILWIS expressions.

Tip: To use this operation on all raster maps in a map list, see Aggregate map : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. Further, when the Group option is used, a georeference factor is created with the same name as the output map, unless you specify a new georeference name yourself.

See also:

Aggregate map : command line (2)

Aggregate map : functionality


Aggregate map : command line (2)

Aggregate map

Command line (2)

To perform the Aggregate Map operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, group))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, nogroup))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, group, RowOffset, ColOffset))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, nogroup, RowOffset, ColOffset))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, group, NewGeoref))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapAggregate AggFnc(##, Groupfactor, group, RowOffset, ColOffset, NewGeoref))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapAggregate | is the first part of the command to start the Aggregate Map operation.
AggFnc | see Aggregate map : command line (1)
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
Groupfactor | see Aggregate map : command line (1)
group | see Aggregate map : command line (1)
nogroup | see Aggregate map : command line (1)
RowOffset | see Aggregate map : command line (1)
ColOffset | see Aggregate map : command line (1)
NewGeoref | see Aggregate map : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Aggregate map : command line (1)

Aggregate map : functionality


Aggregate map : algorithm

Aggregate map

Algorithm

The Aggregate Map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum. The Aggregate Map operation either creates a new georeference factor in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).

The Aggregate Map operation considers blocks of n x n input pixels at a time, as specified by the group factor. In Figure 1 below, a group factor of 3 is used. Note that the numbers 1 to 36 are pixel numbers, not pixel values.

Figure 1: Principle of calculating aggregated values for blocks of input pixels.

The first aggregated value is calculated for pixels 1, 2, 3, 7, 8, 9, 13, 14, and 15. Then the block is moved 3 steps to the right and the next aggregated value is calculated for pixels 4, 5, 6, 10, 11, 12, 16, 17, and 18, etc.

Mark the difference with the Filter operation in which the first filtered value is also calculated for pixels 1, 2, 3, 7, 8, 9, 13, 14, and 15. However, then the filter is moved one step to the right, and the next filtered value is calculated for pixels 2, 3, 4, 8, 9, 10, 14, 15, and 16, etc.

For each block of n x n input pixels values, the operation calculates an aggregated value. If no aggregation function is specified on the command line, the operation will use the pixel in the upper left corner of each block of input pixels as output.

An aggregated value is either assigned to 1 pixel in the output map (Group) or to all pixels in the output map which correspond to the considered block of input pixels (No Group). For more information, see Aggregate map : functionality.

When an input map cannot be completely split up in blocks (for example when using an input map of 100 lines x 100 columns and a group factor of 3) the last line(s)/column(s) are ignored. In case the option No Group is selected, these remaining lines columns are assigned the undefined value.

When a RowOffset and a ColumnOffset are specified, the aggregation skips the specified number of lines at the top of the input map and/or the specified number of columns at the left of the input map. For example, when a RowOffset of 5 is used and a ColumnOffset of 10, the operation will start at line 6 and column 11. In case the option No Group is selected, the skipped lines and columns are assigned the undefined value.

See also:

Aggregate map : functionality


Distance calculation

Functionality

Travel time map

Thiessen map

Dialog box

Command line (1)

Command line (2)

Algorithm


Distance calculation : functionality

Distance calculation

Functionality

The Distance operation assigns to each pixel the smallest distance in meters towards user-specified source pixels, for example distance to schools, to roads etc. The output is called a distance map.

Input for a distance calculation is a source map and optionally a weight map.

By using weight factors that are inversely proportional to the possible speed that can be obtained in different mapping units, a so-called time travel map can be calculated. Through a distance calculation, also a Thiessen map can be calculated.

Input source map for a distance calculation:

A source map is obligatory input for a distance calculation. In the Distance calculation dialog box, a source map can be any raster map with a class or ID domain. On the command line, you can also use raster maps with a value domain.

All pixels in the source map that have a class name, ID or value are considered as sources. For all pixels that have the undefined value, a distance value is calculated.

As a source map, you can thus directly use any rasterized point, segment, or polygon map.

Of course, you can also use one or more MapCalc statements to prepare a source map from existing raster maps.

For ILWIS 1.41 users: the input map for a distance calculation is no longer a map in which value 0 is used for sources and value 1 is used for accessible pixels.

Input weight map for a distance calculation:

A weight map is optional input for a distance calculation.

  • If no resistances have to be taken into account, a weight map is not necessary. All pixels are assumed to have weight 1.
  • To exclude inaccessible areas from a distance calculation, prepare a weight map in which negative values or the undefined value are assigned to inaccessible areas; assign value 1 to accessible pixels.
  • To work with relative accessibility, prepare a weight map in which weight values represent the relative difficulty to surpass pixels.
  • To calculate a travel time map, prepare a weight map in which weight values are inversely proportional to the relative speed that can be obtained in the different mapping units.
  • Pixels with value 1 in the weight map are normally accessible, pixels with value 2 are twice as difficult to access than pixels with value 1, etc.
  • Pixels with a negative value or value 'undefined' in the weight map cannot be reached; such pixels have a weight that is unlimitedly large.
  • Pixels with value 0 in the weight map have free accessibility: distance/time values will not increase while surpassing these areas.

Domain and georeference of output map:

In the output distance map: value 0 is assigned to source pixels, the shortest distance value towards the nearest source is assigned to all accessible pixels, and the undefined value is assigned to inaccessible pixels.

By default, the distance map obtains system domain Distance; the value range and precision for the output map can be adjusted each time you perform the Distance operation. You can also create or use a value domain of your own.

The output distance map uses the same georeference as the input map.

When displaying a distance output map, by default System Gray or System Pseudo representations can be selected. You can also create a representation of your own, e.g. by clicking the create representation button in the Display Options dialog box of the output distance map.

Tip:

If line barriers are used with a width of only one pixel (e.g. rasterized segments), these barriers should be broadened before performing a distance calculation. This is because in the distance program, pixels are regarded to be 8-connected: each pixel has access to its eight neighbours (horizontally, vertically, and diagonally). Line barriers that are 8-connected can thus still be surpassed: only 4-connected lines cannot be surpassed.

To make a raster map with line barriers 4-connected instead of 8-connected, you can use use the Dilate4 filter or the Conn8to4 filter.

See also:

Distance calculation : travel time map

Distance calculation : Thiessen map

Distance calculation : dialog box

Distance calculation : command line (1)

Distance calculation : command line (2)

Distance calculation : algorithm

How to calculate shortest path


Distance calculation : travel time map

Distance calculation

Travel time map

By calculating a travel time map, each pixel is assigned the time required to reach that pixel from user-specified source pixels, for example time to reach schools, villages etc.

A travel time map is created in three steps:

  • prepare a source map and a weight map. The weight (resistance) factors in the weight map reflect the relative decrease of speed in less accessible terrains compared to the best accessible terrain (see example below);
  • perform a distance calculation using source and weight map;
  • perform a MapCalc calculation to convert the obtained output values to time units.

Input map requirements to create a travel time map:

Source map: In the Distance calculation dialog box, a source map can be any raster map with a class domain or an ID domain. On the command line, you can also use raster maps with a value domain. All pixels in the source map that have a class name, ID or value are considered as sources. For all pixels that have the undefined value, a distance/travel time value is calculated.

Weight map: In the weight map, weight factors simulate the difficulty of crossing pixels which form barriers such as rivers and mountain ridges. Weight factors represent a 'resistance' in the distance calculation. The higher the value of accessible pixels in the weight map, the higher the resulting output distance pixel values will be.

When weight factors are used which are inversely proportional to the possible speed that can be obtained in the different mapping units, a relative time map is produced instead of a distance map. For instance, if the travel speeds in the table below are valid for crossing different Terrain Mapping Units, the displayed weight factors could define the pixel values of the different TMUs in the input weight map.

Terrain Mapping Unit | maximum speed (Km/h) | weight factors in input weight map
main road | 70 | 1
secondary road | 35 | 2
field | 5 | 14
normal forest | 2.5 | 28
dense forest | 1 | 70
river (inaccessible) | 0 | -1

Note that the weight factors are inversely proportional to the speed and that the largest speed is set to weight factor 1 (i.e. the weight factors have the unit h/km and a multiplication factor of 70 was used to obtain whole weight values).

Output 'distance' map:

The values in the output 'distance' map are expressed in meters, related to weight factor 1.

The output 'distance' map uses by default system domain Distance; the value range and precision for the output map can be adjusted each time you perform the Distance operation. You can also create or use a value domain of your own.

The output map uses the same georeference as the input maps.

Converting the output distance values to time units:

The values in the output distance map are expressed in meters, related to weight factor 1.

These output values should be converted to time units using a MapCalc expression.

Considering the example above where the maximum speed was 70 km/h, you could apply the following:

  • when the output distance values are divided by 70000 (m/h), the time in hours to reach each pixel is obtained,
  • when the output distance values are multiplied by 60 and divided by 70000, the time in minutes to reach each pixel is obtained,
  • when the output distance values are multiplied by 60*60 and divided by 70000, the time in seconds to reach each pixel is obtained.

See also:

Distance calculation: functionality

How to calculate shortest path


Distance calculation : Thiessen map

Distance calculation

Thiessen map

By calculating a Thiessen map, each pixel is assigned the class name, ID or value of the nearest source. A Thiessen map can be created by performing a Distance calculation on any raster source map.

A Thiessen map is created in two steps:

  • prepare a source map and if required a weight map;
  • perform a distance calculation using the source map, and if required the weight map; indicate that you want to obtain a Thiessen map.

Input map requirements:

As source map, it is advised to use a map with domain Identifier, but also maps with a class domain can be used. On the command line, also source maps with a value domain are accepted. All pixels with a class name, ID or value are considered as sources. The undefined pixels in this source map obtain the ID, class name or value of the nearest source.

In the weight map, you can specify weight (resistance) factors that reflect the relative difficulty to pass the pixels.

  • If no resistances have to be taken into account, a weight map is not necessary. All pixels are assumed to have weight 1.
  • Pixels with value 1 are normally accessible, pixels with value 2 are twice as difficult to access than pixels with value 1, etc.
  • Pixels with a negative value or value 'undefined' cannot be reached; such pixels have a weight that is unlimitedly large.
  • Pixels with value 0 have free accessibility: distance/time values will not increase while passing these areas.

Output maps:

When calculating a Thiessen map, also a distance map is calculated as a by-product.

Due to the algorithm of the distance operation, the boundaries between two areas in the Thiessen map may appear not straight, but octagonal around the sources. To obtain exact shortest distances, you can use the Nearest point operation.

Domain and georeference of output maps:

The output Thiessen map always uses the same domain as the input source map.

The output distance map obtains by default system domain Distance; the value range and precision for the output map can be adjusted each time you perform the Distance operation. You can also create or use a value domain of your own.

The output maps use the same georeference as the input maps.

Tips:

  • If your sources are not too many points, and you do not want to take accessibily factors into account, the best way to create a Thiessen map is to use the Nearest point operation.
  • If line barriers are used with a width of only one pixel (e.g. rasterized segments), these barriers should be broadened before performing a distance calculation. This is because in the distance program, pixels are regarded to be 8-connected: each pixel has access to its eight neighbours (horizontally, vertically, and diagonally). Line barriers that are 8-connected can thus still be surpassed: only 4-connected lines cannot be surpassed.
    To make a raster map with line barriers 4-connected instead of 8-connected, you can use use the Dilate4 filter or the Conn8to4 filter.

See also:

Distance calculation : functionality


Distance calculation : dialog box

Distance calculation

Dialog box

Create a distance map or a travel time map. For information about input map requirements, see Distance calculation : functionality.

Dialog box options:

Source map: | Select the raster map that contains the source pixels. Open the drop-down list box and select a map, or directly drag a map from the Catalog into this box. In the Distance calculation dialog box, a source map can be any raster map with a class or ID domain. On the command line, you can also use raster maps with a value domain.
Weight map: | Select this check box if you do not have equal accessibility in the map, subsequently select the raster map that contains weigth values. Clear this check box if no weight values are to be used (equal accessibility).
Output map: | Type a name for the output raster map that will contain the calculated distances (in meters) towards the source pixels.
Domain: | Accept the default system domain Distance, or select or create [image] your own output value domain.
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.
Thiessen map: | Select this check box if you want to calculate a Thiessen map. Subsequently, type a name for the output Thiessen map.

When you click the Show button, the dependent output distance map will be defined, calculated and shown. When you click the Define button, the dependent output distance map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a Thiessen map can be defined.

See also:

Distance calculation : functionality

Distance calculation : travel time map

Distance calculation : Thiessen map


Distance calculation : command line (1)

Distance calculation

Command line (1)

To create a distance map or a travel time map, the distance calculation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapDistance(SourceMap)
OUTMAP | = | MapDistance(SourceMap,WeightMap)

where:

OUTMAP | is the name of your output raster distance map.
MapDistance | is the command to start the Distance calculation operation.
SourceMap | is the name of the source map; the source map can be a map with a class, ID, or value domain.
WeightMap | is the name of the optional weight map; the weight map should be a map with a value domain.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Distance calculation : command line (2)

Distance calculation : functionality


Distance calculation : command line (2)

Distance calculation

Command line (2)

To create a Thiessen map, one of the following expressions can be typed on the command line of the Main window:

OUTDist | = | MapDistance(SourceMap, WeightMap, OutThies)
OUTDist | = | MapDistance(SourceMap, 1, OutThies)
OUTDist | = | MapDistance(SourceMap, , OutThies)

OUTThies | = | MapThiessen(SourceMap, OutDist)
OUTThies | = | MapThiessen(SourceMap, WeightMap, OutDist)
OUTThies | = | MapThiessen(SourceMap, 1, OutDist)
OUTThies | = | MapThiessen(SourceMap, , OutDist)

where:

OUTDist | is the name of your output raster distance map.
OUTThies | is the name of your output raster Thiessen map.
MapDistance | is the command to start the Distance calculation operation. In the expressions above, also a Thiessen map is calculated.
MapThiessen | is the command to start the calculation of a Thiessen map. When calculating a Thiessen map, also a distance map is calculated.
SourceMap | is the name of the source map; the source map can be a map with a class, ID, or value domain.
WeightMap | is the name of the optional weight map; the weight map should be a map with a value domain.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency links are immediately broken after the output maps have been calculated.

See also:

Distance calculation : Thiessen map


Distance calculation : algorithm

Distance calculation

Algorithm

The distance calculation is a process in which for each pixel the distance to its neighbouring pixels is calculated using a 3 * 3 matrix with the following values:

7 | 5 | 7
5 | 0 | 5
7 | 5 | 7

7/5 is a good approximation of Ö2, and Ö2 is the distance between two diagonally connected pixels when the raster cell size is 1. Figure 1 presents the raw distance values as calculated by the distance program. To obtain distance values in meters, these raw values are divided by 5 and multiplied by the pixel size and a correction factor.

Fig. 1: Raw distance values as calculated by the distance program when no weight map is used. These values are divided by 5 and multiplied by the pixel size and a correction factor.

Initialization:

All source pixels obtain distance value 0; all other pixels obtain a value distance value that is infinetely large.

Recursive process:

For each pixel (column by column, line by line):

  • for each diagonal neighbour, the test distance of the centre pixel is set to the current distance value of the neighbour plus seven;
    • if this test distance is smaller than the actual distance value of the centre pixel, than the actual distance value of the centre pixel is replaced by the test distance.
  • for all horizontal and vertical neightbours, the test distance of the centre pixel is set to the current distance value of the neighbour plus five;
    • if this test distance is smaller than the actual distance value of the centre pixel, than the actual distance value of the centre pixel is replaced by the test distance.

If a weight map is used, the test distances are multiplied by the weight values found in the weight map.

This is a recursive process in which the output file has to be scanned forward and backward until no more changes occur.

Then a final computation is performed taking into account the pixel size of the map so that the final output values are in meters; further the output values are multiplied by a correction factor to reduce overall errors, see Table 1 below.

Tbl 1: Table 1 presents the results of a distance calculation for a map as presented in Figure 1. This table shows the use of the correction factor which reduces the overall error in calculated distance values.
Column raw distance presents raw distance values as used in Figure 1;
column raw distance/5 presents the result of the distance calculation after dividing the raw distance values by 5; column Euclidian distance presents distance values as they should be; column Error before correction shows the error of the distance calculation when not performing the correction as 100*(raw distance/5)/Euclidian distance; column Corrected distance presents distance values after the correction as (raw distance/5)*0.968; column Error after correction shows the error of the distance calculation after the correction is performed as 100*Corrected distance/Euclidian distance. See that column Error before correction gives errors up to 7.5% while column Error after correction only gives errors up to 4.5%.

Raw distance | Raw distance / 5 | Euclidian distance | Error before correction (%) | Corrected distance | Error after correction (%)
5.000 | 1.000000 | 1.000 | 0.000 | 0.97 | -3.200
7.000 | 1.400000 | 1.414 | -1.005 | 1.36 | -4.173
10.000 | 2.000000 | 2.000 | 0.000 | 1.94 | -3.200
12.000 | 2.400000 | 2.236 | 7.331 | 2.32 | 3.897
14.000 | 2.800000 | 2.828 | -1.005 | 2.71 | -4.173
15.000 | 3.000000 | 3.000 | 0.000 | 2.90 | -3.200
17.000 | 3.400000 | 3.162 | 7.517 | 3.29 | 4.077
19.000 | 3.800000 | 3.606 | 5.393 | 3.68 | 2.020
20.000 | 4.000000 | 4.000 | 0.000 | 3.87 | -3.200
21.000 | 4.200000 | 4.243 | -1.005 | 4.07 | -4.173
22.000 | 4.400000 | 4.123 | 6.716 | 4.26 | 3.301
24.000 | 4.800000 | 4.472 | 7.331 | 4.65 | 3.897
25.000 | 5.000000 | 5.000 | 0.000 | 4.84 | -3.200
26.000 | 5.200000 | 5.000 | 4.000 | 5.03 | 0.672
27.000 | 5.400000 | 5.099 | 5.903 | 5.23 | 2.514
29.000 | 5.800000 | 5.385 | 7.703 | 5.61 | 4.257
31.000 | 6.200000 | 5.831 | 6.329 | 6.00 | 2.927

Note that, due to the raster approximation, for horizontal and vertical lines of 0° or 90°, the calculated distances are around 3% too small, for diagonal lines of 45°, the calculated distances are around 4% too small, and that for lines of 22.5° and 67.5° the distances are around 4% too large. Distances along all other lines have smaller errors.

See also:

Distance calculation : functionality


Iteration

Functionality

Dialog box

Command line

Algorithm


Iteration : functionality

Iteration

Functionality

Iterations are a special type of map calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next. These calculations are performed line by line, pixel by pixel and take place in all directions. When a calculation in one direction is finished (for instance from top to bottom) a rotation takes place for the calculation in the next direction.

The calculation stops when the difference of the output compared to the input is negligible or if the number of steps is reached which was defined before. Iterations are often used in combination with neighbourhood operations. Such an application might be for instance the selection of an item or area which fits a certain condition, starting from one pixel. For more information, see Map Calculation : neighbourhood operations; an example is presented in topic How to calculate flooded area and water volume after constructing a dam.

In ILWIS, four iteration operations are available listed below:

MAPITER(startmap, iterexpr) | performs iterations on the startmap according the iteration expression until no pixel changes anymore;
MAPITER(startmap, iterexpr, nr of iterations) | performs a specified number of iterations on the startmap according the iteration expression;
MAPITERPROP(startmap, iterexpr) | performs iterations with propagation on a startmap until no pixel changes anymore; the newly calculated value for a pixel is used in calculating the next pixel instead of in the next iteration;
MAPITERPROP(startmap, iterexpr, nr of iterations) | performs a specified number of iterations with propagation on a startmap; the newly calculated value for a pixel is used in calculating the next pixel instead of in the next iteration.

The input map for an iteration is called a start map and contains one or more pixels which act as the starting point of the calculation.The iteration expression defines a certain condition or defines a calculation to be performed.

After each iteration ILWIS shows the number of changed pixels.

Input map requirements:

The start map should contain one or more starting pixels. The other pixels should not be undefined because then every calculation will result into another undefined, unless you use the IFUNDEF or IFF combined with ISUNDEF (see also Map and Table Calculation : Functional overview of operators and functions).

Domain and georeference of output map:

The output raster map will generally use the system domain Value. The output map uses the georeference of the input raster map.

See also:

Map calculation : neighbourhood operations & iterations

Iteration : dialog box

Iteration : command line

Iteration : algorithm


Iteration : dialog box

Iteration

Dialog box

Iterations are a special type of map calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next.

The calculation stops when the difference of the output compared to the input is negligible or if the number of steps is reached which was defined before. Iterations are often used in combination with neighbourhood operations.

Dialog box options:

Start map:

Select an input raster map which contains one or more starting pixels for the iteration. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box.

Expression:

Type the expression to be used in the calculation; for more information refer to Map calculation : neighbourhood operations.

Stop criterium

Choose one of the two options:

Until no changes:

To stop the operation when pixel values do not change anymore;

Number of iterations:

To stop the operation after a certain number of iterations. Subsequently type a value for the maximum number of iterations that you want to perform.

Propagation:

Propagation is selected by default. Propagation means that the newly calculated value for a pixel is used in calculating the next pixel instead of in the next iteration.

Output raster map:

Type a name for the output raster map that will contain the result of the iteration.

Domain:

When the output map will contain values, accept the default domain, or select another existing value domain, or create your own output value domain.

Defaults:

Click this button to obtain a default domain. When the default domain is a value domain, you also obtain defaults for the value range and precision of the output map.

You can also click this button to obtain defaults again after you changed the default domain, value range or precision.

Value range:

If the output map uses a value domain, accept the default value range, or specify your own range of possible values in the output map.

Precision:

If the output map uses a value domain, accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Tips:

  • The start map should contain one or more starting pixels.
  • When working with value maps, you can generally accept the default domain Value. You only need to select or create a user-defined value domain when the values have a specific meaning for which you have or want to create a meaningful representation.

See also:

Map calculation : neighbourhood operations & iterations

Iteration : functionality


Iteration : command line

Iteration

Command line

Iterations can be directly performed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapIter(Startmap, Iter-expression)
OUTMAP | = | MapIter(Startmap, Iter-expression, nr of iterations)
OUTMAP | = | MapIterProp(Startmap, Iter-expression)
OUTMAP | = | MapIterProp(Startmap, Iter-expression, nr of iterations)

where:

OUTMAP | is the name of the output raster map that will contain the result of the iteration.
MapIter | is the command to perform an iteration without propagation.
MapIterProp | is the command to perform an the iteration with propagation.
Startmap | is the name of the input map which contains one or more pixels acting as the starting point for the calculation.
Iter-expression | is the Iteration-expression which defines the calculation to be performed.
nr or iterations | is the number of iterations to be performed.

See also:

Map calculation : neighbourhood operations & iterations

Iteration : functionality


Iteration : algorithm

Iteration

Algorithm

Any mathematical operation which is used in successive repetition using the result of one calculation as input for the next. These calculations are performed line by line, pixel by pixel and take place in all directions. When a calculation in one direction is finished (for instance from top to bottom) a rotation takes place for the calculation in the next direction.

See also:

Map calculation : neighbourhood operations & iterations

Iteration : functionality


Area numbering

Functionality

Dialog box

Command line

Algorithm


Area numbering : functionality

Area numbering

Functionality

Area numbering assigns unique pixel values in an output map for connected areas (areas consisting of pixels with the same value, class name, or ID) in an input map. Area numbering breaks down mapping units which may occur in several places in your input map (e.g. a province including some islands, all having the same pixel value), into uniquely codified connected areas (e.g. the mainland and each island separately codified.)

The output of Area numbering is a map in which these connected areas are codified as Area 1, Area 2, etc. Furthermore, an attribute table is created for the output map. The table contains the new IDs; the class names, IDs, or values of the original mapping units; and the size (npix and area) of the unique output units.

The uniquely codified areas may be useful:

  • if you want to perform a cross operation with another map and you want to distinguish each connected area separately instead of mapping units, or
  • if you want to add special attribute information to each connected area, instead of to the mapping units.

4-connectivity versus 8-connectivity:

Area numbering can recognise connected areas either as:

  • pixels with the same pixel value which are horizontally or vertically connected to each other (4-connected), or as
  • pixels with the same pixel value which are horizontally, vertically or diagonally connected to each other (8-connected).

Below, a representation of 4 and 8-connectivity is presented; the program is looking at 4 or at 8 neighbours.

4-connectivity: | 8-connectivity:

Using 4-connectivity results in 4-connected areas in the output map, using 8-connectivity results in 8-connected areas in the output map. Using 8-connectivity results in a smaller number of connected areas and smoother boundaries of these areas.

Input map requirements:

In the dialog box, you can only select raster maps with a class, ID, or Bool domain.

On the command line, there are no special requirements for the input map.

Domain and georeference of output map:

The output map and the attribute table will use an internally defined UniqueID domain; the IDs have names like Area 1, Area 2, etc. The domain is stored by the output map (internal domain).

The output map uses the same georeference as the input map.

Attribute table for output map:

An attribute table will be automatically created for the output map. The table contains the new IDs; the class names, IDs, or values of the original mapping units; and the size (npix and area) of the unique output units.

Example area numbering 4-connected:

Input map: | Output map:

The order of the numbering in the output map is defined as from left to right line by line, and from top to bottom.

  • Using 4-connectivity results in 4-connected areas in the output map.
  • Mapping unit 5 of the input map is divided into three 4-connected areas in the output map (3, 6, 7) because only horizontal and vertical neighbours were valid to construct new areas.
  • Mapping unit 8 of the input map is divided into three connected areas in the output map (1, 5, 8) because the individual parts are not neighbouring each other.

Example area numbering 8-connected:

Input map: | Output map:

The order of the numbering in the output map is defined as from left to right line by line, and from top to bottom.

  • Using 8-connectivity results in 8-connected areas in the output map.
  • Mapping unit 5 in the input map remains one 8-connected area in the output map (3) because horizontal, vertical and diagonal neighbours were valid to construct new areas.
  • Mapping unit 8 in the input map is divided into three areas in the output map (1, 5, 6) because the individual parts are not neighbouring each other.

Tip:

For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Area numbering : dialog box

Area numbering : command line

Area numbering : algorithm


Area numbering : dialog box

Area numbering

Dialog box

Area numbering assigns unique identifiers to pixels with the same class names or IDs that are horizontally, vertically or diagonally connected.

The output of Area numbering is a map in which these connected areas are codified as Area 1, Area 2, etc. Furthermore, an attribute table is created for the output map. The table contains the new IDs; the class names or IDs of the original mapping units; and the size (npix and area) of the unique output units.

Area numbering can be used to make a decision based on the size of individual groups of pixels with the same class name or ID (uniquely identified areas) instead of on all pixels with the same class name or ID.

Dialog box options:

Input raster map:

Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. In the dialog box, you can only select a map with a class, ID or Bool domain; on the command line you can also use input value maps.

Connect:

Select option button 4 to retrieve 4-connected areas, i.e. areas will be constructed for pixels with the same pixel value which are horizontally or vertically connected.

Select option button 8 to retrieve 8-connected areas, i.e. areas will be constructed for pixels with the same pixel value which are horizontally, vertically or diagonally connected.

Output raster map:

Type a name for the output raster map that will contain the renumbered connected areas. This name will also be used for the output attribute table.

Description:

Optionally, type a description for the output map and the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the map or table in a Catalog, and in the title bar of a map or table window when the output map or table is displayed. If no description is supplied, the output map and the table will use their own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Furthermore, an attribute table will be defined which will contain the names of the original mapping units, the number of pixels and the areas of the unique output units.

Both the output map and the attribute table will use a UniqueID domain.

See also:

Area numbering : functionality


Area numbering : command line

Area numbering

Command line

The Area numbering operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapAreaNumbering(InputMapName,8|4)

where:

OUTMAP | is the name of your output raster map and the attribute table of the output map.
MapAreaNumbering | is the command to start the Area Numbering operation.
InputMapName | is the name of your input raster map (any domain).
8|4 | is the parameter to indicate whether to construct 8-connected or 4-connected areas (either 8 or 4).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. For the output map and its attribute table, a UniqueID domain will be used (internal domain).

See also:

Area numbering : functionality


Area numbering : algorithm

Area numbering

Algorithm

Area numbering operates as a 3 x 3 filter: the filter moves over the map and a value is assigned to the center pixel of the filter in the output map, depending on the values of the center pixel itself and its neighbouring pixels in the input map.

In case of 4-connectivity, the program compares the values of 4 neighbouring pixels with the value of the center pixel, and in case of 8-connectivity, the program compares the values of 8 neighbouring pixels with the value of the center pixel.

4-connectivity: | 8-connectivity:

The filter runs from left to right line by line, from top to bottom over the input map.

Rule:

If one or more of the 4 or 8 pixels neighbouring the center pixel has the same value as the center pixel itself (in the input map), then the center pixel is assigned (in the output map):

  • a new value, in case the neighbour(s) with the same value as the center pixel was/were not renumbered yet, or
  • the same value as was assigned to the neighbour(s) with the same value as the center pixel, in case this/these neighbour(s) already was/were renumbered.

Else, if none of the neighbouring pixels has the same value as the center pixel, a new value will be assigned to the center pixel in the output map.

Also, an attribute table is created: it lists the new IDs (Area 1, Area 2, etc.); the original class names, IDs or values of the input map; and the size (npix and area) of the output units.

Output domain:

The Area numbering operation will use a UniqueID domain for the output map and its attribute table; the IDs have names like Area 1, Area 2, etc. This domain is stored by the output map (internal domain).

See also:

Area numbering : functionality


Sub-map of raster map

Functionality / Algorithm

Dialog box

Command line (1)

Command line (2)


Sub-map of raster map : functionality/algorithm

Sub-map of raster map

Functionality / Algorithm

The Sub-map of raster map operation copies a rectangular part of a raster map into a new raster map. The user has to specify row and column numbers or XY-coordinates of the input map to indicate the part of the input map that should be copied into the new raster map.

This operation allows you to cut out a part of your raster map.

You can choose to specify the part of the input map that should be copied as:

  • start line and column (upper left) and the number of lines and columns,
  • start line and column (upper left) and end line and column (lower right),
  • start XY-coordinate and end XY-coordinate (opposite start XY-coordinate).

The last option is only available when the input map is North-oriented.

Tips:

The Sub-map of raster map operation permanently reduces the area covered by a raster map.

  • To temporarily reduce the area of a raster map, you can zoom in on the raster map in a map window. The result can be stored as a map view.
  • To temporarily enlarge the area of a raster map, i.e. to create extra space around a raster map in a map window for annotation purposes, you can use the Extend Window command on the Options menu in the map window, or you can zoom in on the raster map and drag a rectangle partly outside the map window. Also this result can be stored as a map view.

Input map requirements:

No special input map requirements.

The option to specify coordinates is only available when the input map is North-oriented.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

The output map uses the same domain as the input map.

The operation always creates a new georeference for the output map. When using the dialog box, the new georeference will always obtain the same name as the specified output map name. On the command line, you can specify a name for the output georeference yourself.

  • When the Lines and Columns option is used, a georeference of type SubMap will be created for the output map.
  • When the Corners option is used, a georeference of type SubMapCorners will be created for the output map.
  • When the Coordinates option is used, a georeference of type SubMapCoords will be created for the output map.

For more information, see ILWIS objects : georeferences.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.
  • All output raster maps will use the georeference created for the first raster map in the map list, e.g. Out_1.

See also:

Sub-map of raster map : dialog box

Sub-map of raster map : command line (1)

Sub-map of raster map : command line (2)

ILWIS objects : georeferences


Sub-map of raster map : dialog box

Sub-map of raster map

Dialog box

The Sub-map of raster map operation copies a rectangular part of a raster map into a new raster map. The user has to specify row and column numbers or XY-coordinates of the input map to indicate the part of the input map that should be copied into the new raster map.

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box. No special input map requirements.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Lines and columns:

Select this option when you want to specify start line and column and the number of lines and columns that should be copied.

Corners:

Select this option when you want to specify start line and column and end line and column; the area in between will be copied.

Coordinates:

Select this option when you want to specify start the XY-coordinate and the end XY-coordinate; the area in between will be copied.

Lines and columns option:

First line:

Type the line number of the input map where copying should start (top row).

First column:

Type the column number of the input map where copying should start (left column).

Number of lines:

Type the number of lines of the input map that you want to be copied starting from 'First line'.

Number of columns:

Type the number of columns of the input map that you want to be copied starting from 'First column'.

Corners option:

First line:

Type the line number of the input map where copying should start (top row).

First column:

Type the column number of the input map where copying should start (left column).

Last line:

Type the line number of the input map where copying should end (bottom row).

Last column:

Type the column number of the input map where copying should end (right column).

Coordinates option:

First coordinate:

Type the X-coordinate and the Y-coordinate where copying should start. You may specify any corner where copying should start: the upper left, upper right, lower left or lower right corner.

Opposite coordinate:

Type the X-coordinate and the Y-coordinate where copying should end. This must be the corner opposite to the corner specified for 'first coordinate'.

Output raster map:

Type a name for the output raster map that will contain the copied pixels.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

Furthermore, a new georeference is automatically created for the output map(s); this georeference obtains the same name as the output map or the same name as the output map list followed by _1.

See also:

Sub-map of raster map : functionality / algorithm


Sub-map of raster map : command line (1)

Sub-map of raster map

Command line (1)

The sub-map of raster map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapSubMap(InputRasterMap, start row, start col, nr rows, nr cols)
OUTMAP | = | MapSubMap(InputRasterMap, start row, start col, nr rows, nr cols, NewGeoref)
OUTMAP | = | MapSubMapCorners(InputRasterMap, start row, start col, end row, end col)
OUTMAP | = | MapSubMapCorners(InputRasterMap, start row, start col, end row, end col, NewGeoref)
OUTMAP | = | MapSubMapCoords(InputRasterMap, start X-coord, start Y-coord, end X-coord, end Y-coord)
OUTMAP | = | MapSubMapCoords(InputRasterMap, start X-coord, start Y-coord, end X-coord, end Y-coord, NewGeoref)

where:

OUTMAP | is the name of your output raster map.
MapSubMap | is the command to start the sub-map of raster map operation; specify the start line and column number and the amount of rows and columns that should be copied.
MapSubMapCorners | is the command to start the sub-map of raster map operation; specify the start line and column number and the end line and end column number.
MapSubMapCoords | is the command to start the sub-map of raster map operation; specify the start X- and Y-coordinate and the end X- and Y-coordinate.
InputRasterMap | is the name of the input raster map.
NewGeoref | is an optional parameter to specify a name for the output georeference; if not specified, the output georeference will obtain the same name as the output map.
For MapSubmap:
start row | is the line number in the input map where copying should start (top row).
start col | is the column number in the input map where copying should start (left col).
nr rows | are the number of rows that are to be copied from the input map starting from 'start row'.
nr cols | are the number of columns that are to be copied from the input map starting from 'start col'.
For MapSubmapCorners:
start row | is the line number in the input map where copying should start (top row).
start col | is the column number in the input map where copying should start (left col).
end row | is the line number in the input map where copying should end (bottom row).
end col | is the column number in the input map where copying should end (right col).
For MapSubmapCoords:
start X-coord | is the X-coordinate in the input map where copying should start (left X or right X).
start Y-coord | is the Y-coordinate in the input map where copying should start (top Y or bottom Y).
end X-coord | is the X-coordinate in the input map where copying should end; the X-coord opposite to 'start X-coord'.
end Y-coord | is the Y-coordinate in the input map where copying should end; the Y-coord opposite to 'start Y-coord'.

Tip: To use this operation on all raster maps in a map list, see Sub-map of raster map : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Furthermore, a georeference is created with the same name as the output map, unless you specify a new georeference name yourself.

  • When the MapSubMap command is used, a georeference of type SubMap is created;
  • When the MapSubMapCorners command is used, a georeference of type SubMapCorners is created;
  • When the MapSubMapCoords command is used, a georeference of type SubMapCoords is created;

See also:

Sub-map of raster map : command line (2)

Sub-map of raster map : functionality / algorithm

ILWIS objects : georeferences


Sub-map of raster map : command line (2)

Sub-map of raster map

Command line (2)

To perform the sub-map of raster map operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMap(##, start row, start col, nr rows, nr cols))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMap(##, start row, start col, nr rows, nr cols, NewGeoref))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMapCorners(##, start row, start col, end row, end col))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMapCorners(##, start row, start col, end row, end col, NewGeoref))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMapCoords(##, start X-coord, start Y-coord, end X-coord, end Y-coord))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapSubMapCoords(##, start X-coord, start Y-coord, end X-coord, end Y-coord, NewGeoref))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapSubMap | is the command to start the sub-map of raster map operation, see Sub-map of raster map : command line (1)
MapSubMapCorners | is another command to start the sub-map of raster map operation, see Sub-map of raster map : command line (1)
MapSubMapCoords | is another command to start the sub-map of raster map operation, see Sub-map of raster map : command line (1)
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
NewGeoref | see Sub-map of raster map : command line (1)
other parameters | see Sub-map of raster map : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Sub-map of raster map : command line (1)

Sub-map of raster map : functionality / algorithm

ILWIS objects : georeferences


Glue raster maps

Functionality

Dialog box

Command line

Algorithm


Glue raster maps : functionality

Glue raster maps

Functionality

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed. With the Glue raster maps operation, you can thus merge two or more adjacent or partly overlapping raster maps (i.e. make a mosaic) or glue smaller raster maps onto a larger one.

When the input raster maps have attribute tables, also the tables will be automatically merged; for more information see the Glue tables operation.

Input maps: In the dialog box, you can select 2, 3, or 4 input raster maps. On the command line, you can specify as many input maps as you like. The input maps may be purely adjacent to one another, partly overlapping, or totally overlapping. When the input maps are (partly) overlapping, the input maps form a pile of maps on top of each other.

Map on top: When the pile of input maps are (partly) overlapping the same area, you have to decide which map should be considered as the map on top. When for a pixel a value is found in the map on top, that value will appear in the output map. When the undefined value is found in the map on top, the operation will look in the map 'below' it. Undefined pixels thus act as being transparent and provide 'openings' to enable the operation to find a value in the map below the current one.

In the dialog box, you can select the check box 'Last Map on Top' to order the input maps as:

  • the map which was selected last, to appear on top,
  • the map selected one but last, below that one,
  • until the map selected first.

On the command line, you can use the Replace option to this end.

Then, for each pixel, the operation will do:

  • when a value is encountered in the map you selected last: that value will appear in the output map;
  • when the undefined value is encountered in the map you selected last: the operation will look in the map that was selected one but last;
    • when a value is encountered in the map you selected one but last: that value will appear in the output map;
    • when the undefined value is encountered in the map you selected one but last: the operation will look in the map that was selected second but last, etc.

Only when no value is found at all, the output pixel will be assigned the undefined value. Mind: when the output map uses the Image domain, this means value 0; when the output map uses a Picture domain or the Color domain, this means color (0,0,0), i.e. black.

Output georeference / First input map:

If you wish, you can specify to use an existing georeference for the output map (both dialog box and command line), or you can create a new georeference corners yourself for the output map (dialog box only). Tip: When you choose an existing georeference corners or create a new georeference corners, then the output map will always be North-oriented.

When no existing georeference is specified, and when you did not create a georeference yourself, the system will, if required, automatically construct a georeference for the output map; it will be sized in such a way that all input raster maps will fit in the new georeference.

  • This output georeference will be based on the first input map; the georeference of the first input map will directly determine the pixel size and the coordinate system for the output georeference.
  • Furthermore, this type of output georeference will automatically obtain the same name as the output raster map; the output georeference created by the system is a georeference of type submap.

See also the section Georeference of output map below.

Domain combinations: You can always merge maps that use the same domain, and maps that use domains of the same type. In some cases, you can also merge maps of different domain types. The list below shows the possible combinations of input domain types and also shows the output domain type.

In | In | Out
Image | Image | Image
Image | Value | Value
Image | Color | Color
Value | Value | Value
Value | Color | Color
Class | Image | Color
Class | Value | Color
Class | Class | Class
Class | Color | Color
ID | ID | ID
Picture | Picture | Picture
Picture | Color | Color
Color | Color | Color
Bool | Bool | Bool
Bit | Bool | Bool
Bit | Bit | Bit

For more information, see also the section Domain of output map below.

Example:

To show a certain landuse type (of a class map) on a satellite image:

  • Select an image that you want to use as background and stretch the image with the Stretch operation.
  • To obtain for instance a landuse map showing only agricultural units, perform MapCalc statements like:

            •

    Agri

    =

    iff ((landuse="agriculture") or (landuse="agriculture (irrigated)"), landuse, "?")

    Explanation: if map landuse is classified as agriculture, then have these classes remain, else assign undefined.

  • Use the Glue Raster Maps operation to merge the map Agri with your stretched image. The results may look like below.
  • The result of the Glue Raster Map operation is shown in Figure 1 below.

Fig. 1: Agricultural land use over a satellite image. The light green part is agriculture with irrigation, the dark green part is rainfed agriculture.

For presentation and printing purposes, you could of course also use the Mask Polygons operation, use as mask agri* . Then, display the output polygon map on top of the satellite image in a map window.

Input map requirements:

The domains of the input maps should be mergeable, see the list of domain combinations above.

All input raster maps must have a georeference, which is not georeference None.

Domain of output map:

The domain type for the output map can be found in the list of domain combinations above. Here some extra information will be given on how the system deals with the domains for the output maps.

  • The output map will use system domain Image when you are combining images with each other.
  • The output map will use system domain Value when you are combining value maps with value maps or images with value maps. The value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is the smallest precision of the input maps.
  • The output map will use a class domain when all input maps use a class domain. When all input maps use the same class domain, then the output map will also use this class domain. When the input maps use different class domains and when the class names in the input domains are different, then all class names of all input domains will be merged automatically into a new output domain. You can choose whether the new domain should be stored as a separate object, or whether it should be stored by the output map (internal domain). Also the representations of the input class domains will be merged into a new output representation; the new representation is either stored as a separate object or by the output map (internal representation).
  • The output map will use an ID domain when all input maps use an ID domain. The same procedure is followed as for class maps. There are no representations involved.
  • The output map will use a Picture domain when all input maps use a Picture domain. When all input maps use the same Picture domain, the output map will also use this Picture domain. When the input maps use different Picture domains and when the colors in the input Picture domains are different, then the colors of all input domains will be merged automatically into a new output Picture domain. You have to keep in mind though that a Picture domain can only contain a maximum of 256 colors. Thus, when the total number of all input colors is 256 or less, the colors of the input pictures will be retained in the output picture. The new Picture domain will always be stored by the output map (internal domain) and not as a separate object.
  • The output map will use system domain Color when you are combining images, value maps, class maps or pictures with a map that uses the Color domain, and when you are combining class maps with images or class maps with value maps. For class maps and pictures, the output colors will be retrieved from the representation of the input domains; for images and value maps, the output color will be retrieved from system representation Gray is used.

Georeference of output map:

  1. If all input maps use the same georeference, then that georeference will also be used for the output map.

  2. If you specified to use an existing georeference, or if you created a new georeference yourself in the dialog box, then that georeference will be used for the output map.

  3. When no existing georeference was used, and when no new georeference was created by the user, and when the input maps use different georeferences, then the system will automatically create a new georeference (type submap) for the output map.

    4. This new georeference submap, created by the system, will always use the pixel size and coordinate system of your first input map; the size of this georeference will be such that all input maps fit in it; the name of this new georeference will be the same as the name of output map.

If necessary, all input maps are resampled with the Nearest Neighbour method to the output georeference.

Usually, the input georeferences will use the same coordinate system which covers the whole area already. In case input georeferences use different but compatible coordinate systems (e.g. different projections), the coordinate system of the first input map is used for the output georef, and a coordinate transformation is performed for the other input maps.

Tips:

  1. When input maps are resampled to a new output georeference, this will be done with the Nearest Neighbour method. When working with value maps which use different georeferences, and when you would like to calculate with the output value map of the Glue Raster maps operation, you will obtain better interpolation results from the Glue Raster maps operation, when:
    • you first make one new large georeference,
    • resample your maps to this new georeference by using the Resample operation with the Bilinear or BiCubic interpolation method, and
    • only when all maps use the same new large georeference, use the Glue Raster Maps operation.
  2. When you wish to combine class maps with ID maps, you first have to convert either the class domain into an ID domain or the ID domain into a class domain. In fact, it is quite easy to convert Class and ID domain(s) to each other: open the Domain Properties dialog box of the domain that you want to convert, and click the Convert to Classes or the Convert to IDs button. When converting IDs to classes, you can create a representation class for your map; when converting from classes to IDs, you will loose your representation class.
  3. When you wish to combine a class map with one image, it is advised to first stretch the image; this will improve the contrast in the output map with the Color domain.
  4. When you wish to combine a class map with multiple images, it is advised to first use the glue raster maps operation only with all images, then stretch the output image and finally use the glue raster maps operation again to merge the class map in it. This will improve the contrast in the output map with the Color domain.

Note:

When merging class maps or ID maps, by default an internal domain is created for the output map to reduce the number of separately stored domains. Internal domains are stored by an output map. If you like, you can select the New Domain check box in the dialog box and specify a new name for the output domain if you want the output domain to be stored as a separate object.

For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Glue raster maps : dialog box

Glue raster maps : command line

Glue raster maps : algorithm

Resample : functionality

Resample : algorithm

Glue tables : functionality


Glue raster maps : dialog box

Glue raster maps

Dialog box

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed. With the Glue raster maps operation, you can thus merge two or more adjacent or partly overlapping raster maps (i.e. make a mosaic) or glue smaller raster maps onto a larger one.

Dialog box options:

Number of input maps:

Select the number of raster maps that you want to glue or merge together (2, 3, or 4). In the dialog box, the number of input raster maps is limited to four. On the command line, this limitation is not present.

First input map:

Select the first input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box.

Second input map:

Select the second input raster map.

Third input map:

Optionally, select a third input raster map.

Fourth input map:

Optionally, select a fourth input raster map.

You can always glue raster maps of the same domain type. For more information on mergeable domain types, see Glue raster maps : functionality.

Last map on top:

Select this check box when for overlapping pixels the values, class names, IDs, or colors of the last map should be used. Then, for overlapping pixels, the values of the last map will appear on top of the other maps; undefined values in the last map will act as openings for the map under it, etc.

Clear this check box when for overlapping pixels, the pixels of the first map should be used.

New domain:

Only when merging Class or ID maps that do not use the same domain: select this box if you want to store the output domain as a separate object (recommended). Subsequently, type a name for the new domain. Clear this check box to obtain an output Class or ID domain which is stored by the output map (internal domain).

Georeference:

Select this check box if you wish to select an existing georeference for the output raster map, or when you wish to create a new georeference for the output raster map.

  • Select an existing georeference from the drop-down list, or
  • create a new georeference corners by clicking the create button.

Clear this check box to let the program automatically create a new georeference in which all input raster maps fit. In this case, the first input map will determine the pixel size of the georeference.

Output raster map:

Type a name for the output raster map that will contain all input maps.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Furthermore, if no existing georeference is specified or when no new georeference is created, a new georeference may be automatically created for the output map (same name as output map), and if specified, also a new domain is created.

See also:

Glue raster maps : functionality


Glue raster maps : command line

Glue raster maps

Command line

The Glue raster maps operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapGlue(FirstInputMapName, SecondInputMapName [, MoreInput Maps])
OUTMAP | = | MapGlue(FirstInputMapName, SecondInputMapName [, MoreInput Maps] , Replace)
OUTMAP | = | MapGlue(FirstInputMapName, SecondInputMapName [, MoreInput Maps] , NewDomain)
OUTMAP | = | MapGlue(FirstInputMapName, SecondInputMapName [, MoreInput Maps] , NewDomain, Replace)
OUTMAP | = | MapGlue(Georeference.grf, FirstInputMapName, SecondInputMapName [, MoreInput Maps] [, NewDomain] [, Replace])

where:

OUTMAP | is the name of your output raster map.
MapGlue | is the command to start the Glue raster maps operation.
Georeference.grf | is an optional parameter to specify the name of an existing georeference that you wish to use as the georeference for the output raster map. When you wish to use an existing georeference, it is required to specify the extension .grf. If the parameter is not specified, the system will create a new georeference for the output map.
FirstInputMapName | is the name of the first input raster map.
SecondInputMapName | is the name of the second input raster map.
MoreInputMaps | optionally, you can specify more input raster map names, delimited by commas.
Replace | is an optional parameter to use for overlapping pixels the values, class names, IDs or colors of the last input map. When this parameter is not used, then the values, class names, IDs or colors of the first input map will be used for overlapping pixels.
NewDomain | is an optional parameter in case of merging Class or ID maps that do not have the same domain, to specify a name for the new output domain in which all input domain items will be merged. When input Class or ID domains are not the same and this parameter is not specified, the new output domain in which all input domain items are merged will be stored by the output map (internal domain).

On the command line, you can specify as many input raster maps as you like; i.e. you can merge as many raster maps as you like. When using the dialog box of this operation, only two, three or four input maps can be merged at a time.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Furthermore, if no existing georeference is specified, a georeference submap is created with the same name as the output map. In case Class or ID maps are merged which do not have the same domain, and the NewDomain parameter is used, a new output domain is also created.

See also:

Glue raster maps : functionality


Glue raster maps : algorithm

Glue raster maps

Algorithm

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

First, the operation checks whether the georeferences and the domain types of the input maps are compatible. If so, the operation can be performed. For more information on mergeable domain types, see Glue raster maps : functionality.

Output georeference:

If an existing georeference is specified (or created through the dialog box), the output map will use the specified georeference.

If no existing georeference is specified for the output map, and if required, a new georeference submap will be automatically created for the output map (same name as the output map).

  • The pixel size of the first input map is used and the georeference is extended in X and Y direction so that all input maps fit into the output georeference.
  • If needed, all input maps are resampled to this output georeference. The nearest neighbour resampling method is used in the same way as when resampling the values of a single raster map to a new georeference (see Resample).
  • Usually, the input georeferences will use the same coordinate system which covers the whole area already. In case the input georeferences use a different but compatible coordinate system (e.g. different projections), the coordinate system of the first input map is used and a coordinate transformation is performed for the other maps.

Output domain:

  • When merging maps with the same domain, the output map will also use that domain.
  • When merging value maps, the value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is the smallest precision of the input maps.
  • When merging a value map with an Image, the output map always uses system domain Value . The value range for the output map is determined by the smallest minimum and the largest maximum of the input maps; the precision is the smallest precision of the input maps.
  • When merging Class maps or when merging ID maps that do not have the same domain, a new output domain is created which contains all domain items, i.e. all classes or all IDs. The new domain is either stored as a separate object, or is stored by the output map (internal domain).
  • When merging Pictures, a new output domain and a new representation are created which are both stored by the output map (internal domain and internal representation); the representation contains all colors of the input maps with a maximum of 256.
  • When merging an image or a class, ID, or value map with a Color map, the output map will use the Color domain.
  • When merging a class map with an image or when merging a class map with a value map, the output map will use the Color domain.

Overlapping pixels:

  • By default, the last map appears on top of the first map.
  • Undefined pixels in the map on top are considered transparent and act as openings.

See also:

Glue raster maps : functionality


Mirror/Rotate

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm


Mirror/Rotate : functionality

Mirror/Rotate

Functionality

The Mirror/Rotate operation allows you to reflect or mirror a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).

Below, the different options are illustrated using a 3 * 3 map.

Reflection in a horizontal line:

Reflection in a vertical line:

Reflection in a diagonal:

Transpose:

Rotate 90°:

Rotate 180°:

Rotate 270°:

Input map requirements:

No special input map requirements.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

The output raster map uses the same domain as the input raster map.

The operation always creates a new georeference for the output map.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.
  • All output raster maps will use the georeference created for the first raster map in the map list, e.g. Out_1.

Tip:

When you wish to rotate a raster map into another direction, create a georeference tiepoints and then use Resample.

See also:

Mirror/Rotate : dialog box

Mirror/Rotate : command line (1)

Mirror/Rotate : command line (2)

Mirror/Rotate : algorithm


Mirror/Rotate : dialog box

Mirror/Rotate

Dialog box

The Mirror/Rotate operation allows you to reflect or mirror a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box. No special input map requirements.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Mirror horizontal:

Reflect line numbers in a horizontal line.

Mirror vertical:

Reflect column numbers in a vertical line.

Transpose:

Transpose row and column numbers.

Mirror diagonal:

Reflect line and column numbers in a diagonal.

Rotate 90 degrees:

Rotate the map 90° clock-wise.

Rotate 180 degrees:

Rotate the map 180° clock-wise.

Rotate 270 degrees:

Rotate the map 270° clock-wise.

Output raster map:

Type a name for the output raster map that will contain the reflected or rotated map.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

Furthermore, a new georeference is automatically created for the output map(s); this georeference obtains the same name as the output map, or the same name as the output map list followed by _1.

See also:

Mirror/Rotate : functionality


Mirror/Rotate : command line (1)

Mirror/Rotate

Command line (1)

The Mirror/Rotate operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapMirrorRotate(InputRasterMap, rotatetype)

where:

OUTMAP | is the name of your output raster map.
MapMirrorRotate | is the command to start the Mirror/Rotate operation.
InputRasterMap | is the name of the input raster map.
rotatetype | is the type of reflection or rotation that you wish to use: mirrhor | mirrvert | mirrdiag | transpose | rotate90 | rotate180 | rotate270

Tip: To use this operation on all raster maps in a map list, see Mirror/Rotate : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. Furthermore, a georeference mirrorrotate is created with the same name as the output map.

See also:

Mirror/Rotate : command line (2)

Mirror/Rotate : functionality


Mirror/Rotate : command line (2)

Mirror/Rotate

Command line (2)

To perform the Mirror/Rotate operation on all raster maps in a map list, type the following expression on the command line of the Main window:

OUTMAPLIST

=

MapListApplic(InputMapListName, MapMirrorRotate(##, rotatetype))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapMirrorRotate | is the command to start the Mirror/Rotate operation.
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
rotatetype | see Mirror/Rotate : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Mirror/Rotate : command line (1)

Mirror/Rotate : functionality


Mirror/Rotate : algorithm

Mirror/Rotate

Algorithm

The Mirror/Rotate operation allows you to reflect or mirror a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).

A new georeference mirrorrotate is created with the same name as the output map.

Reflect in horizontal line:

All line numbers are switched.

  • the first line (from left to right) becomes the last line (from left to right),
  • the second line (from left to right) becomes the one but last line (from left to right),

    • etc.

Reflect in vertical line:

All column numbers are switched.

  • the first column (from top to bottom) becomes the last column (from top to bottom),
  • the second column (from top to bottom) becomes the one but last column (from top to bottom),

    • etc.

Transpose:

Row and column numbers are interchanged. All line numbers become column numbers and all column numbers become line numbers.

  • the first line (from left to right) becomes the first column (from top to bottom),
  • the second line (from left to right) becomes the second column (from top to bottom),

    • etc.

Reflect in diagonal:

  • the first line (from left to right), becomes the last column (from bottom to top),
  • the second line (from left to right) becomes the one but last column (from bottom to top,

    • etc.

Rotate 90° (clock-wise):

  • the first line (from left to right) becomes the last column (from top to bottom),
  • the second line (from left to right) becomes the one but last column (from top to bottom),

    • etc.

Rotate 180° (clock-wise):

  • the first line (from left to right) becomes the last line (from right to left),
  • the second line (from left to right) becomes the one but last line (from right to left),

    • etc.

Rotate 270° (clock-wise):

  • the first line (from left to right) becomes the first column (from bottom to top),
  • the second line (from left to right) becomes the second column (from bottom to top),

    • etc.

See also:

Mirror/Rotate : functionality


Operations

Image Processing

Filter

Stretch

Slicing

Color Separation

Color Composite

Cluster

Sample

Classify

Resample

Epipolar Stereo pair

Stereo pair from DTM


Filter

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm

Filters:

Filter types

Standard filters

User-defined filters


Filter : functionality

Filter

Functionality

Filtering is a process in which each pixel value in a raster map is replaced with a new value. The new value is obtained by applying a certain function to each input pixel and its direct neighbours. These neighbours are usually the 8 adjacent pixels (in a 3 x 3 filter) or the 24 surrounding pixels (in a 5 x 5 filter). When you create or define your own filters, any odd sized matrix is allowed (5 x 1, 11 x 23, 25 x 25).

Filters can be used for a number of purposes:

  • to enhance 'sharpness' of a satellite image for better visual interpretation,
  • to reduce noise in an image prior to a multi-band image classification when classifying rather large areas
  • to detect line features or edges in a satellite image,
  • to calculate steepness, direction (aspect), and shape (concave, convex) of slopes in a DEM,
  • to assign pixels which were classified as unknown during a multi-band image classification the value of the most frequent occurring class around the unknown pixel,
  • morphologic filtering on bit maps, etc.

Sharpening images:

EDGESENH

the edges enhancement filter leaves the overall look of the image the same, but pixels at the borders of light areas become light as well, and pixels at the borders of dark areas become dark. Homogenous areas remain the same. This gives the impression that the image is sharper.

Noise reduction in images (smoothing):

AVG3x3 | calculates the average value of 9 pixels and assigns the result to the central pixel. The AVG filter smoothes the image but may blur it.
MED3x3 | reads and orders 9 pixel values from low to high and replaces the central pixel with the middle value (= the pixel value with rank order 5 = median value).
MED5x5 | reads and orders 25 pixel values from low to high and replaces the central pixel with the middle value (= the pixel value with rank order 13 = median value).

The MED3x3 and MED5x5 filters remove point noise better than the AVG filter and they do not blur the image, but thin line features may disappear. Median filters can be used prior to a multi-band image classification if the classes to distinguish are 'large' areas (forest, agriculture) and not small or fine features (farm, roads).

Detecting line features and edges:

Gradient filters: see DFDX, DFDY, D2FDX2, D2FDY2, etc. below.

EDGESENH | the edges enhancement filter leaves the overall look of the image the same, but pixels at the borders of light areas become light as well, and pixels at the borders of dark areas become dark. Homogenous areas remain the same. This gives the impression that the image is sharper.
LAPLACE | The LAPLACE filter calculates gradients both in x- and y-direction (second partial derivative). The effect of using the LAPLACE filter is that when the value of the central pixel is relatively high compared to its neighbours, the value assigned to the central pixel will be even lower than the neighbours; and that when the value of the central pixel is relatively low compared to its neighbours, the value assigned to the central pixel will be even higher than the neighbours. Thus values which 'largely' differ from their neighbours come out as an opposite in the output map, while areas with more or less the same pixel value 'disappear'. The LAPLACE filter is quite sensitive to noise.

Detecting areas and directions of change:

PATTERN

detects homogenous areas where pixels have more or less the same value; detects outliers where the value of all neighbouring pixels is largely different from a center pixel; detects the directions in which differences between the center pixel and its neighbours are found.

Using filters on DEMs:

DFDX | detects slope differences in x-direction. Positive values in the output map mean that the terrain goes up from left to right (West to East); negative values in the output mean the terrain goes down.
DFDY | detects slope differences in y-direction. Positive values in the output map means that the terrain goes up from bottom to top (South to North); negative values mean that terrain goes down.
D2FDX2 | detects slope shape differences in x-direction (second derivative). Positive values in the output map mean that the terrain is concave in x-direction; negative values mean that the terrain is convex.
D2FDY2 | detects slope shape differences in y-direction (second derivative). Positive values in the output map mean that the terrain is concave in y-direction; negative values mean that the terrain is convex.
LAPLACE | the LAPLACE filter can be used to investigate which parts of the terrain are convex (negative value in output map) or concave (positive value in output map). Flat areas and uniform slopes obtain output value 0.
SHADOW | applies artificial illumination (from the Northwest) to the DEM. As a result, higher parts in the DEM become more pronounced because they obtain a shadow.

Using filters after a multi-band classification:

MAJUNDEF

the undefined-majority filter assigns to pixels classified as unknown during a multi-band image classification, the value of the most frequent occurring class around the unknown pixel. It considers 8 neighbours around an unclassified pixel and assigns the predominant class name of the neighbours to the unclassified pixel in the output map.

Morphologic filtering:

DILATE4 | assigns a 1 to the center pixel if one or more horizontal or vertical neighbours is true as well. The result of using DILATE4 is that true pixels 'grow' in horizontal and vertical direction.
DILATE8 | assigns a 1 to the center pixel if any of the neighbours is true. The result of using DILATE8 is that true pixels 'grow' in all directions.
SHRINK4 | assigns a 1 only when the center pixel is 1 and all horizontal and vertical neighbours are 1 as well. The result of using the SHRINK4 filter is that areas of true pixels 'shrink' along their edges; single lines of true pixels and single true pixels totally surrounded by false pixels disappear.
SHRINK8 | assigns a 1 only when the center pixel is 1 and all neighbours are 1 as well. The result of using the SHRINK8 filter is that areas of true pixels 'shrink' along their edges; single lines of true pixels and single true pixels totally surrounded by false pixels disappear.
INBND4 | assigns a 1 only when the center pixel is 1 and at least one of the horizontal or vertical neighbours is 0 (meaning it is located at the edge of a group of true pixels). The result of using this filter is that 4-connected areas of true pixels are replaced by their 4-connected outline (a 4-connected boundary of true pixels).
INBND8 | assigns only a 1 when the center pixel is 1 and at least one of the 8 neighbours is 0 (meaning it is located at the edge of a group of true pixels). The result of using this filter is that areas of 8-connected true pixels are replaced by their 8-connected outline (an 8-connected boundary of true pixels).
OUTBND4 | results in a 4-connected outline of groups of false pixels.
OUTBND8 | results in an 8-connected outline of groups of false pixels.
CONN8TO4 | when true pixels are only 8-connected, this filter makes them 4-connected by adding a true pixel in some places. This might give your binary image a better outlook.
BINMAJOR | assigns the predominant value of each group of 9 pixels to the center pixel. The filter removes single pixels and very small groups of pixels; larger areas are smoothed.
PEPPSALT | only removes single true pixels and single false pixels.

Standard filters are found in the ILWIS\SYSTEM directory. You can also define your own filters in the Filter dialog box or by typing an expression on the command line of the Main window. For more information and some examples, refer to Filters : user-defined filters.

Input map requirements:

Input map requirements depend on the used filter type:

Linear filters: | raster map with a Value domain or the Image domain;
Rank order filters: | raster map with a Value domain or the Image domain;
Majority filters: | any raster map; no restrictions on domain type;
Binary filters: | raster map with a Value domain, the Image domain, a Bool domain, the Bit domain or a Class or ID domain;
Pattern filters: | raster map with a Value domain or the Image domain;
Standard deviation filters: | raster map with a Value domain or the Image domain.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

An output domain is proposed depending on the domain of the input map and the filter type used. The value range and precision for the output raster map can be adjusted each time you perform the Filter operation.

The output map uses the same georeference as the input map.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.

See also:

Filter : dialog box

Filter : command line (1)

Filter : command line (2)

Filter : algorithm

ILWIS objects : filters

Filters : filter types

Filters : standard filters

Filters : user-defined filters


Filter : dialog box

Filter

Dialog box

Filtering is a process in which each pixel value in a raster map is replaced with a new value. The new value is obtained by applying a certain function on each input pixel and its direct neighbours.

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select an input map or map list, or directly drag a raster map or map list from a Catalog into this box.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Filter type:

Select the type of filter to use: linear, average, majority, rank order, median, pattern, binary, or standard deviation.

Predefined:

When you selected as the Filter type: Majority or Rank Order:

select this check box if you want to use a standard predefined Majority filter (Majority, MajUndef, MajZero) or a standard predefined Rank order filter (Med3x3, Med5x5) on disk.

Clear this check box if you want to construct your own majority or rank order filter.

Filter name:

For linear, predefined majority, predefined rank order and binary filter types: select the name of an existing filter on disk.

When you selected as the Filter type: Linear; you can also create your own linear filter by clicking the create button [image].

Rows Columns:

Type values for the number of rows and columns to define the filter size. Row and column values must be odd values but do not need to be the same.

Rank:

For user-defined rank order filters: optionally, specify the rank order number of the considered pixels that should be used as output value.

Threshold:

Optionally, specify a threshold value. An output value of the filter will only be used if the difference between the original and new pixel value is smaller than or equal to the threshold. If the difference between the original and new pixel value is larger than the threshold the original value will be used.

Undefined:

For a user-defined majority filter: optionally, select this check box to replace only undefined values.

Output raster map:

Type a name for the raster output map that will contain the filtered values.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Domain:

Accept the default domain, or select another domain for the output map(s), or create [image] your own domain.

Value range:

Accept the default value range, of specify your own range of possible values in the output map(s).

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

For more information and some examples on using standard or user-defined filters from the Filter dialog box, refer to Filters : user-defined filters.

See also:

Filter : functionality

Filters : filter types

Filters : standard filters

Filters : user-defined filters

ILWIS objects : filters


Filter : command line (1)

Filter

Command line (1)

The Filter operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapFilter(InputMapName, FilterName)
OUTMAP | = | MapFilter(InputMapName, FilterExpression)

where:

OUTMAP

is the name of your output map.

MapFilter

is the command to start the Filter operation.

InputMapName

is the name of your input map.

FilterName

avg3x3 | binmajor | conn8to4 | d2fdx2 | d2fdxdy | d2fdy2 | dfddn | dfdup | dfdx | dfdy | dilate4 | dilate8 | edgesenh | inbnd4 | inbnd8 | laplace | lifegame | majority | majundef | majzero | med3x3 | med5x5 | outbnd4 | outbnd8 | peppsalt | shadow | shrink4 | shrink8 | name of user-defined linear filter

FilterExpression

FilterLinear(rows,cols,expression) |

Average(rows,cols) |
RankOrder(rows,cols,rank[,threshold]) |
Median(rows,cols[,threshold] ) |
Majority(rows,cols) |
ZeroMajority(rows,cols) |
UndefMajority(rows,cols) |
Pattern(threshold) |
FilterStandardDev(rows,cols)

Tips:

  • For more information and some examples of using standard and user-defined filters on the command line, refer to Filters : user-defined filters.
  • To use this operation on all raster maps in a map list, see Filter : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Filter : command line (2)

Filter : functionality

Filters : filter types

Filters : standard filters

Filters : user-defined filters

ILWIS objects : filters


Filter : command line (2)

Filter

Command line (2)

To perform the Filter operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapFilter(##, FilterName))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapFilter(##, FilterExpression))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapFilter | is the command to start the Filter operation.
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
FilterName | see Filter : command line (1)
FilterExpression | see Filter : command line (1)

Tip: For more information and some examples of using standard and user-defined filters on the command line, refer to Filters : user-defined filters.

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Filter : command line (1)

Filter : functionality

Filters : filter types

Filters : standard filters

Filters : user-defined filters

ILWIS objects : filters


Filter : algorithm

Filter

Algorithm

Filtering is a process in which each pixel value in a raster map is replaced with a new value. The new value is obtained by applying a certain function on each input pixel and its direct neighbours.

Based on the algorithm used by a filter, the following types of filters can be distinguished:

  • linear filters
  • rank order and median filters
  • majority filters
  • binary filters
  • pattern filters
  • standard deviation filters

Algorithms and examples are explained in the topics on the different filter types.

See also:

Filter : functionality

Filters : filter types

Filters : standard filters

Filters : user-defined filters

ILWIS objects : filters


Filters : filter types, standard filters, user-defined filters

Filters

Filter types, standard filters, user-defined filters

Filter types

Linear filters

Gradient or derivative filters (techn. info)

Rank order and median filters

Majority filters

Binary filters

Pattern filters

Standard deviation filters

Standard filters

User-defined filters

User-defined linear filters

User-defined average filters

User-defined rank order and median filters

User-defined majority filters

User-defined pattern filters

User-defined standard deviation filters


Filters : filter types

Filters

Filter types

Based on the algorithm used by filters, the following types of filters can be distinguished:

Linear filters

Gradient or derivative filters (techn. info)

Rank order and median filters

Majority filters

Binary filters

Pattern filters

Standard deviation filters

Algorithms are explained and examples are presented in the separate topics on filter types.


Filter types : linear filters

Filter types

 Example linear filters

Linear filters

Linear (convolution) filters consist of a matrix with values and a gain factor. When considering a linear filter of size 3x3, the 9 matrix values are multiplied with 9 pixel values in the input raster map, this is summed and then multiplied with the gain factor. The result is assigned to the center pixel in the output map.

Standard linear filters:

The following standard filters are linear filters: AVG3x3, EDGESENH, LAPLACE, SHADOW. Also the standard gradient filters are linear filters: DFDX, DFDY, DFDDN, DFDUP, D2FDX2, D2FDY2, D2FDXDY.

User-defined linear filters:

You can create, edit and store your own linear filters, for instance from the Filter : dialog box, through the File menu in the Main window or by clicking the NewFilter item in the Operation-list or the Operation-tree. For more information, refer to the Create Filter dialog box and the (Linear) Filter editor. You need to specify the size of your filter, fill out the values in the matrix and specify a gain factor. Experienced users may wish to experiment with the definition of a linear filter by an expression on the command line. For more information on using standard and user-defined linear filters, refer to User-defined linear filters.

Furthermore, you can interactively define an Average filter in the Filter dialog box or by an expression on the command line. For more information, refer to User-defined average filters.

See also:

Filters : standard filters

Filters : user-defined linear filters

Filters : user-defined average filters

Filter (operation)


Filter types : gradient or derivative filters (technical information)

Filter types

Gradient or derivative filters (technical information)

Linear (convolution) filters consist of a matrix with coefficients and a gain factor. When considering a linear filter of size 3x3, the 9 matrix coefficients are multiplied with 9 pixel values in the input raster map, this is summed and then multiplied with the gain factor. The result is assigned to the center pixel in the output map.

The following standard filters are known as gradient filters or derivative filters: DFDX, DFDY, DFDDN, DFDUP, D2FDX2, D2FDY2, D2FDXDY. For each group of pixel values considered, they calculate the first or second derivative in one or more directions. Derivative filters are often used in relation to slope calculations.

The standard derivative filters mentioned above have a typical size of 1x5, 5x1, or 5x5. Of course, you can also create your own linear gradient filters.

This topic is intended for people who would like to understand the mathematical background of the coefficients in the matrices of derivative filters. First, 3x3 filters will be described, then 5x5 filters.

3x3 filters

Introduction:

The simplest mathematical situation is represented when using a 3x3 filter, however these filters may not be exact enough to calculate slopes. A 3x3 filter uses the 9 input values to calculate a value for the center pixel in the output map.

To do calculations with a 3x3 filter, a local coordinate system (x,y) is defined around the current center pixel, as:

(-1,1) | (0,1) | (1,1)
(-1,0) | (0,0) | (1,0)
(-1,-1) | (0,-1) | (1,-1)

Both x and y can have the values -1, 0, and 1.

When calculating the first derivative only in the x-direction, y remains 0, and x can have value -1, 0, or 1.

To calculate derivatives, a continuous function is needed. The input pixel values are to be described by a function fx where:

f0 = input pixel value of the center pixel; x=0

f-1 = input pixel value of the pixel to the left of the center pixel; x=-1

f1 = input pixel value of the pixel to the right of the center pixel; x=1

Formulas:

As continuous function, a polynomial function is used. With 9 known values, a second order polynomial can be fitted through these points.

(1)

fxy = a00 + a10 x + a20 x2 + a01 y + a11 xy + a21 x2y + a02 y2 + a12 xy2 + a22 x2y2

When we are only interested in the first derivative in x-direction, formula 1 can be simplified by substituting y with 0 to:

(2)

fx = a0 + a1 x + a2 x2

The function for the first derivative equals:

(3)

df/dx = f'x = a1 + 2a2 x

The second derivative equals:

(4)

d2f/dx2 = f"x = 2a2

Because we are interested in the derivatives at the central pixel where x=0, in formulas 3 and 4, x can be substituted with 0:

(5) | df/dx = f'0 = a1
(6) | d2f/dx2 = f"0 = 2a2

To find f-1, f0 and f1, in formula 2, x is substituted with values -1, 0, and 1:

(7) | f-1 = a0 - a1 + a2
(8) | f0 = a0
(9) | f1 = a0 + a1 + a2

Then, by elimination, a1 and a2 are found:

(10) | a1 = (f1 - f-1) / 2
(11) | a2 = (f-1 - 2f0 + f1) / 2

A 3x3 first derivative filter for the x-direction will thus read:

0 | 0 | 0
-1 | 0 | 1
0 | 0 | 0

Gain factor = 1/2 = 0.5

A 3x3 second derivative filter for the x-direction will thus read:

0 | 0 | 0
1 | -2 | 1
0 | 0 | 0

Gain factor = 1/2 = 0.5

To calculate the second derivative in both the x-direction and the y-direction, f"=d2f/dxdy, formula 1 is needed. After the substitution of all 9 coordinates in the equation, and solving them, the results are:

(12) | d2f / dxdy = a11
(13) | a11 = (f1,1 + f-1,-1) - (f-1,1 + f1,-1) / 4

A 3x3 second derivative filter for both the x-direction and the y-direction will thus read:

-1 | 0 | 1
0 | 0 | 0
1 | 0 | -1

Gain factor = 1/4 = 0.25

5x5 filters

Calculation of matrix coefficients for 5x5 filters follows the same method as for 3x3 filters. Although 5x5 filters are a little bit more complicated, they will produce more accurate results.

Again a local coordinate system is used around the current center pixel as:

(-2,2) | (-1,2) | (0,2) | (1,2) | (2,2)
(-2,1) | (-1,1) | (0,1) | (1,1) | (2,1)
(-2,0) | (-1,0) | (0,0) | (1,0) | (2,0)
(-2,-1) | (-1,-1) | (0,-1) | (1,-1) | (2,-1)
(-2,-2) | (-1,-2) | (0,-2) | (1,-2) | (2,-2)

Both x and y can have the values -2, -1, 0, 1, and 2.

The polynomial function fx and its derivatives are:

(14) | fx = a0 + a1 x + a2 x2 + a3 x3 + a4 x4
(15) | df/dx= f'x = a1 + 2a2 x + 3a3 x2 + 4a4 x3
(16) | d2f/dx2 = f"x = 2a2 + 6a3 x + 12a4 x2

By substituting x in formulas 15 and 16 with 0, the previous equations 5 and 6 are obtained again:

(5) | df/dx = f'0 = a1
(6) | d2f/dx2 = f"0 = 2a2

By substituting x in formula 14 with values -2, -1, 0, 1, and 2; f-2, f-1, f0 , f1 and f2 are found:

(17) | f-2 = a0 - 2a1 + 4a2 - 8a3 + 16a4
(18) | f-1 = a0 - a1 + a2 - a3 + a4
(19) | f0 = a0
(20) | f1 = a0 + a1 + a2 + a3 + a4
(21) | f2 = a0 + 2a1 + 4a2 + 8a3 + 16a4

With some restructuring, the following equations are obtained:

(22) | f1 + f-1 = 2a0 + 2a2 + 2a4
(23) | f1 - f-1 = 2a1 + 2a3
(24) | f2 + f-2 = 2a0 + 8a2 + 32a4
(25) | f2 - f-2 = 4a1 + 16a3

The matrix coefficients for a 1x5 filter which calculates the first derivative in x-direction are found by the elimination of a3: subtracting equation 23 eight times from equation 25. This results in:

(26)

a1 = (f-2 - 8f-1 + 8f1 - f2) / 12

A 1x5 first derivative filter for the x-direction will thus read:

1

-8

0

8

-1

Gain factor = 1/12 = 0.0833333

This is exactly the DFDX filter.

The matrix coefficients for a 1x5 filter which calculates the second derivative in x-direction are found by the elimination of a4: subtracting equation 22 sixteen times from equation 24 and substituting f0 for a0. This results in:

(27)

a2 = (-f-2 + 16f-1 - 30f0 + 16f1 - f2) / 24

A 1x5 second derivative filter for the x-direction will thus read:

-1

16

-30

16

-1

Gain factor = 1/24 = 0.0416667

This is exactly the D2FDX2 filter.

See also:

Filter (operation)


Filter types : rank order and median filters

Filter types

 Example rank order filters

Rank order and median filters

Rank order filters have a certain size, but do not have any matrix values nor a gain factor. A rank order filter of size 3x3 for example, examines 9 pixel values of the input map at a time, sorts the values from small to large, and selects for the output value that value which is encountered at a certain rank order number. So one value of the pixel values examined becomes the output value, without any calculation performed on the values itself.

When a threshold is set, the value of the center pixel will only be replaced with the new value if the difference between the original and new value is smaller than or equal to the threshold.

Standard rank order filters:

Standard rank order filters are the median filters: MED3x3, MED5x5. For each 9 pixels considered, the MED3 filter always assigns the value of rank 5 to the center pixel in the output map. For each 25 pixels considered, the MED5 filter always assigns the value of rank 13 to the center pixel in the output map. The median filters can for instance be used to smooth an image.

User-defined rank order and median filters:

In the Filter dialog box as well as on the command line, you can define your own rank order filter and median filter. For a rank order filter, specify the size of the filter, the rank order number and an optional threshold. In this way you can obtain for example the minimum or maximum value of a number of pixels. For median filters, specify the size of the filter and an optional threshold. For more information and some examples, refer to User-defined rank order and median filters.

See also:

Filters : standard filters

Filters : user-defined rank order and median filters

Filter (operation)


Filter types : majority filters

Filter types

Majority filters

For each group of pixels considered in the input map, a majority filter assign the predominant (=mostly frequently occurring) value or class name of these to the center pixel in the output map. Undef-majority filters only do this when the center pixel in the input map is undefined; zero-majority filters only do this when the value of the center pixel in the input map is 0.

Undef-Majority filters are often used as a post-classification operation to reduce the number of undefined pixels in the output map of an image classification.

Standard majority filters:

For each 3x3 pixels considered, the standard MAJORITY filter assigns the predominant value or class name to the central pixel in the output map. If no predominant value is found, for instance when all 9 input pixels have a different value or class name, the value or class name which is encountered first is used as output.

The standard undef-majority filter (MAJUNDEF) will only assign the predominant value or class name to the central pixel in the output map if the central pixel in the input map is undefined.

The standard zero-majority filter (MAJZERO) will only assign the predominant value or class name to the central pixel in the output map if the central pixel in the input map has value zero.

User-defined majority filters:

In the Filter dialog box as well as on the command line, you can define your own majority filters: specify the size of the filter and whether a condition has to be used. For more information, refer to user-defined majority filters.

See also:

Filters : standard filters

Filters : user-defined majority filters

Filter (operation)


Filter types : binary filters

Filter types

 Example binary filters

Binary filters

Binary filters are used to morphologically filter binary structures or objects in images or other maps. You can for instance enhance the outlines of a structure by making (the edges of) structures 1 pixel wider in any direction (dilate), by making (the edges of ) structures 1 pixel smaller in any direction (shrink), etc.

In short, binary filters are 3 by 3 filters that consider defined values unequal to zero in the input map as true values (the 'structures') and zero values in the input map as false. Depending on the number and position of true and false values of a central pixel and its 8 neighbours, a 9 digit binary number is produced which determines whether a 0 (false) or a 1 (true) should be returned for the pixel in the output map.

This means that:

  • for input maps with the Bit domain: 1 values are interpreted as 1 (true) and zero values are interpreted as 0 (false);
  • for input maps with a Bool domain: 1 values are interpreted as 1 (true), zero values and undefined neighbour values are interpreted as 0 (false) while undefined central values will return undefined;
  • for input maps with the Image domain: all values unequal to zero are interpreted as 1 (true) and zero values are interpreted as 0 (false);
  • for input maps with another Value domain: all values unequal to zero are interpreted as 1 (true), zero values and undefined neighbour values are interpreted as 0 (false) while undefined central values will always return undefined;
  • for input maps with a Class or ID domain: all classes and IDs are interpreted as 1 (true) and all undefined values are interpreted as 0 (false).

Each 9 binary pixels examined by a binary filter are put in a special order or bit position as below (where 0 means the last position, 1 the one but last position, etc.):

5 | 6 | 7
4 | 8 | 0
3 | 2 | 1

This results in a binary number of 9 digits (when only lower right pixel is true: 000000010). Thus depending on the position of true pixels in the input map a unique number is obtained. To decide whether the central pixel should be assigned a 0 or 1, the binary number is looked up in a table which is present in each binary filter itself.

Standard binary filters:

The standard binary filters are: BINMAJOR, CONN8TO4, DILATE4, DILATE8, SHRINK4, SHRINK8, INBND4, INBND8, OUTBND4, OUTBND8, PEPPSALT, LIFEGAME.

User-defined binary filters:

There are no possibilities in ILWIS to define your own binary filters. However, you could copy an existing binary filter (*.FIL), edit it with an ASCII editor like Notepad and thus create your own binary filter.

Only Pattern filters, which work more or less the same as binary filters, can be user-defined via the Filter dialog box or the command line.

See also:

Filters : standard filters

Filter (operation)


Filter types : pattern filters

Filter types

 Example pattern filters

Pattern filters

With a pattern filter you can detect: areas where pixels have more or less the same value, outliers where the values of all neighbours are largely different from the center pixel, and the directions in which differences between a center pixel and its neighbours are found. A pattern filter always works in a 3x3 environment and works on images and other raster maps with a value domain.

Whether or not any of the 8 neighbours is considered to have more or less the same value as the center pixel, is determined by the threshold value that you have to specify. When the absolute difference between a neighbour and the center pixel is smaller than or equal to the threshold value, the answer is true. For each true neighbour, a certain bit is set. The value assigned to the center pixel in the output map is the bit-wise combination of all true neighbours. For more information, refer to Example pattern filters.

This will give you the following results:

  • When all neighbours are false, the final output value is 0 which means that there are large differences between central pixel and all its neighbours (= outlier).
  • When all neigbours are true, the output value is 255 which means that there are small differences between the central pixel and its neighbours (= area),
  • All other output values bit-wise represent the directions in which differences are found.

Standard pattern filters:

There is no standard pattern filter stored on disk.

User-defined pattern filters:

A pattern filter always works in a 3x3 environment. In the Filter dialog box as well as on the command line, you can define a pattern filter; specify the threshold value which has to be used. For more information and some examples, refer to User-defined pattern filters.

See also:

User-defined pattern filters

Filter (operation)


Filter types : standard deviation filters

Filter types

 Example standard deviation filters

Standard deviation filters

For each group of pixels in the input map, a standard deviation filter calculates the standard deviation and assigns this value to the center pixel in the output map.

Standard deviation filters can be useful for radar images. The interpretation of radar images is often difficult: you can not rely on spectral values because of back scatter (return of the pulse sent by the radar). This often causes a lot of 'noise'. By using a standard deviation filter, you may be able to recognize some patterns.

The formula to calculate the standard deviation reads:

where:

xi | are the individual pixel values of the input map considered by the filter
 | is the mean of the pixel values considered by the filter
r | is the size of the filter in rows
c | is the size of the filter in columns

Standard standard deviation filters:

There is no standard standard deviation filter stored on disk.

User-defined standard deviation filters:

In the Filter dialog box as well as on the command line, you can define a standard deviation filter: specify the size of the filter. For more information and some examples, refer to User-defined standard deviation filters.

See also:

Filters : user-defined standard deviation filters

Filter (operation)


Filters : standard filters

Filters

Standard filters

Linear convolution filters:

AVG3x3 | calculates the average value of each 9 pixel values considered (3x3 matrix)
EDGESENH | calculates Pixel value - Laplace; enhances edges (3x3 matrix)
LAPLACE | calculates second derivative in all directions (3x3 matrix)
SHADOW | applies artificial illumination from the Northwest (3x3 matrix)
DFDX | calculates first derivative in x-direction (1x5 matrix)
DFDY | calculates first derivative in y-direction (5x1 matrix)
DFDDN | calculates first derivative along downward diagonal (5x5 matrix)
DFDUP | calculates first derivative along upward diagonal (5x5 matrix)
D2FDX2 | calculates second derivative in x-direction (5x5 matrix)
D2FDY2 | calculates second derivative in y-direction (5x5 matrix)
D2FDXDY | calculates second derivative in all diagonal directions (5x5 matrix)

Rank order filters:

MED3x3 | replaces the value of the center pixel by the median value of each 9 pixel values considered (3x3 matrix)
MED5x5 | replaces the value of the center pixel by the median value of each 9 pixel values considered (5x5 matrix)

Majority filters:

MAJORITY | The majority filter selects the predominant (most frequently occurring) value or class name of a pixel and its 8 neighbours. (3x3 matrix)
MAJUNDEF | The undef-majority filter only assigns the predominant value or class name when the central pixel is undefined. (3x3 matrix)
MAJZERO | The zero-majority filter only assigns the predominant value or class name when the central pixel has value 0. (3x3 matrix)

Binary filters:

BINMAJOR | replaces the central pixel with the predominant value (0 or 1) of the 9 pixels considered (3x3 matrix)
CONN8TO4 | makes 8-connected true pixels 4-connected (3x3 matrix)
DILATE4 | dilation of 4-connected true pixels (3x3 matrix)
DILATE8 | dilation of 8-connected true pixels (3x3 matrix)
SHRINK4 | shrinking of 4-connected true pixels (3x3 matrix)
SHRINK8 | shrinking of 8-connected true pixels (3x3 matrix)
INBND4 | gives the inner boundary of areas of 4-connected true pixels (3x3 matrix)
INBND8 | gives the inner boundary of areas of 8-connected true pixels (3x3 matrix)
OUTBND4 | gives the outer boundary of areas of 4-connected true pixels (3x3 matrix)
OUTBND8 | gives the outer boundary of areas of 8-connected true pixels (3x3 matrix)
PEPPSALT | only removes single true pixels and single false pixels (3x3 matrix)
LIFEGAME | game: small groups of true pixels die of loneliness, large groups of true pixels die of overcrowding, and when there is space (false pixels), true pixels reproduce and make one of their false neighbours true (3x3 matrix).

Standard filters are stored in your ILWIS\SYSTEM directory and have extension .FIL. They are stored in ASCII format, so you can have a look at them with any text editor, for example Notepad.

Besides the standard filters mentioned above, you can create and store your own linear filters and you may define your own average filters, rank order filters, median filters, majority filters, pattern filters, standard deviation filters or linear filters. For more information, refer to Filters : user-defined filters.

See also:

Filter types

Filters : user-defined filters

Filter (operation)


Filters : user-defined filters

Filters

User-defined filters

Besides using the ILWIS standard filters, you can:

  • create, edit and store your own linear filters,
  • define a filter in the Filter dialog box by specifying some parameters,
  • define a filter on the command line by an expression.

Creating linear filters:

You can create, edit and store your own linear filters, for example for example by clicking the create button [image] in the Filter dialog box, by selecting Create Filter command from the File menu of the Main window, or by double-clicking the NewFilter item in the Operation-list or the Operation-list.

You can specify the size of the linear filter, insert your own values in the matrix and specify a gain factor. For more information, refer to the Create Filter dialog box and the Filter editor.

Defining a filter in the Filter dialog box:

In the Filter dialog box, you can select any standard (predefined) filter.

Furthermore, you can define the following filters according to your wishes: Average filter, Rank Order filter, Median filter, Majority filter, Pattern filter, and Standard Deviation filter. You can specify the filter size, a rank or the threshold.

Defining a filter by an expression on the command line:

Finally, advanced users can define an Average filter, a Rank Order filter, a Median filter, a Majority filter, a Pattern filter, a Standard Deviation filter or even a Linear filter by typing an expression on the command line of the Main window.

Detailed information and examples:

The following topics describe all possibilities of user-defined filters and also provide you with some examples:

  • User-defined linear filters,
  • User-defined average filters,
  • User-defined rank order and median filters,
  • User-defined majority filters,
  • User-defined pattern filters,
  • User-defined standard deviation filters.

See also:

ILWIS objects : filters

Filter : dialog box

Filter : command line


Filters : user-defined linear filters

Filters

User-defined linear filters

To create, edit and store a linear filter on disk:

A user-defined linear filter can be created:

  • by clicking the create button [image] in the Filter dialog box, or
  • by choosing the Create Filter command from the File menu of the Main window, or
  • by double-clicking the NewFilter command in the Operation-list or the Operation-tree.

The Create Filter dialog box will appear and the Filter editor will be opened. You can specify the size of the filter, fill out values in the matrix, and specify a gain factor.

To edit an existing user-defined linear filter:

An existing user-defined linear filter can be edited:

  • by double-clicking a user-defined linear filter in a Catalog,
  • by clicking your filter with the right mouse button in the Catalog, and subsequently choosing the Open command from the context-sensitive menu,
  • by selecting a filter in a Catalog, and choosing the Edit Object command from the Edit menu in the Main window.

The Filter editor will be opened.

The standard linear filters cannot be edited.

User-defined average filters:

Additional possibilities are provided to for user-defined average filters, via the Filter dialog box or via the command line, see Filters : user-defined average filters.

Selecting an existing linear filter in the Filter dialog box:

In the Filter dialog box, you can select any standard linear filter or any linear filter you created yourself.

  • Open the Filter dialog box,
  • for Filter Type, select: Linear,
  • for Filter Name, select: Avg3x3, d2fdx2, d2fdxdy, d2fdy2, dfddn, dfdup, dfdx, dfdy, Edgesenh, Laplace, Shadow, or your own linear filter.

Using existing linear filters on the command line:

To use an existing linear filter from the command line, type the following expression on the command line of the Main window.

OUTMAP

=

MapFilter(InputMapName, FilterName)

where:

OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
FilterName | is either the name of a standard filter on disk, then fill out one of the following standard linear filter names: avg3x3 | d2fdx2 | d2fdxdy | d2fdy2 | dfddn | dfdup | dfdx | dfdy | edgesenh | laplace | shadow or the name of a linear filter which you created yourself.

Defining a linear filter on the command line (advanced):

Advanced users may wish to experiment with the definition of a linear filter by an expression. The syntax for the command line is:

OUTMAP

=

MapFilter(InputMapName, FilterLinear(rows, cols, expression))

where:

OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
FilterLinear | is the command to define a linear filter.
rows | are the number of rows of your linear filter.
cols | are the number of columns of your linear filter.
expression | is an expression in which you can use x, y, and r to calculate the linear filter's matrix values, where:
x | distance to the center cell of the matrix in x-direction; the center cell of the matrix has position (0,0); the distance in x-direction increases to the right.
y | distance to the center cell of the matrix in y-direction; the center cell of the matrix has position (0,0); the distance in y-direction increases downwards.
r | Euclidean distance to the center cell of the matrix: Ö(x2+y2)

Examples of linear filter expressions are for instance:

FilterLinear(5,5,2x+y)

Defines a 5 by 5 shadow filter where the illumination is from the north-west.

FilterLinear(5,5,-2x-y)

Defines a 5 by 5 shadow filter where the illumination is from the south-east.

FilterLinear(5,5,iff(r>3,0,4-r))

Defines an average filter in which the matrix values decrease linearly from the center cell of the matrix towards the borders of the matrix according to Euclidean distance.

Tip:

  • Both the number of rows and the number of columns defining the filter size must be odd values.

See also:

Filter types : linear filters

Create a linear filter

(Linear) Filter editor

Filter : dialog box

Filter : command line


Filters : user-defined average filters

Filters

User-defined average filters

The standard average filter is AVG3x3; it calculates the average value of 9 pixel values considered. In the Filter dialog box as well as on the command line, you may define other average filters of any user-defined size.

Using the Filter dialog box:

  1. To use the standard Average filter AVG3x3:
    • Open the Filter dialog box,
    • for Filter Type, select: Linear,
    • for Filter Name, select: Avg3x3.

  2. To define your own average filter:
    • Open the Filter dialog box,
    • for Filter Type, select: Average,
    • specify the size of the filter.

See also the example below.

Using the command line (advanced):

  1. To use the standard Average filter AVG3x3, type on the command line of the Main window:

            2.

    OUTMAP

    =

    MapFilter(InputMapName,Avg3x3)

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Avg3x3 | is the name of the standard average filter.

  2. To define your own Average filter, type the following expression on the command line of the Main window:

    3. OUTMAP

    =

    MapFilter(InputMapName,Average(rows , cols))

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Average | is the command to define an average filter.
rows | are the number of rows of your average filter.
cols | are the number of columns of your average filter.

Example:

To use an average filter which considers each 5 vertically neighbouring pixels:

  • in the Filter : dialog box, choose for Filter type: Average,

    • specify 5 for the number of rows and 1 for the number of columns,

  • on the command line, use a filter definition of: Average(5,1).

Tip:

  • Both the number of rows and the number of columns defining the filter size must be odd values.

See also:

Filter types : linear filters

Filter : dialog box

Filter : command line


Filters : user-defined rank order and median filters

Filters

User-defined rank order and median filters

Standard rank order filters are MED3x3 and MED5x5; these filters sort 9 resp. 25 pixel values and assign the 5th resp. the 13th value (median value) to the center pixel in the output map. In the Filter dialog box as well as on the command line, you may define other rank order and median filters of any user-defined size and assigning any user-defined rank order value to the central pixel.

Using the Filter dialog box:

  1. To use one of the standard rank order filters:
    • Open the Filter dialog box,
    • for Filter Type, select: Rank Order,
    • select the Predefined check box,
    • for Filter Name, select: Med3x3 or Med5x5.

  2. To define your own rank order filter:
    • Open the Filter dialog box,
    • for Filter Type, select: Rank Order,
    • clear the Predefined check box,
    • specify the size of the filter,
    • specify the rank order value which should be assigned to the central pixel,
    • optionally specify a threshold: if the absolute difference between the result and the original value is larger than the threshold, the original value is kept; if the difference is smaller than or equal to the threshold, the ranked value is assigned.

    This ensures that larger differences between neighbouring pixels remain in the output, while small variations are removed.

  3. To define your own median filter:
    • Open the Filter dialog box,
    • for Filter Type, select: Median,
    • specify the size of the filter,
    • optionally specify a threshold.

See also the example below.

Using the command line (advanced):

  1. To use a standard Rank order filter, type one of the following expressions on the command line of the Main window:

    2. OUTMAP | = | MapFilter(InputMapName, Med3x3)
OUTMAP | = | MapFilter(InputMapName, Med5x5)

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Med3x3 | is the name of the standard Median 3x3 filter.
Med5x5 | is the name of the standard Median 5x5 filter.

  2. To define your own Rank order filter, type one of the following expressions on the command line of the Main window:

    3. OUTMAP | = | MapFilter(InputMapName, Rankorder(rows,cols,rank))
OUTMAP | = | MapFilter(InputMapName, Rankorder(rows,cols,rank,threshold))

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Rankorder | is the command to define a rank order filter.
rows | are the number of rows of your rank order filter.
cols | are the number of columns of your rank order filter.
rank | is the rank order number that determines the output value.
threshold | when a threshold is set, the value of the center pixel will only be replaced by the new value if the difference between the original and new pixel value is smaller than or equal to the threshold.

  3. To define your own Median filter, type one of the following expressions on the command line of the Main window:

    4. OUTMAP | = | MapFilter(InputMapName,Median(rows,cols))
OUTMAP | = | MapFilter(InputMapName,Median(rows,cols,threshold))

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Median | is the command to define a median filter.
rows | are the number of rows of your median filter.
cols | are the number of columns of your median filter.
rank | is the rank order number that determines the output value.
threshold | when a threshold is set, the value of the center pixel will only be replaced by the new value if the difference between the original and new pixel value is smaller than or equal to the threshold.

Examples:

  1. To obtain the minimum of each 3x3 neighbouring pixels:
    • in the Filter dialog box, select for the Filter type Rank Order,
      clear the Predefined check box,
      specify 3 for the number of rows and 3 for the number of columns,
      specify 1 for the rank, and
      optionally specify a threshold.
    • on the command line, use a filter definition of: Rankorder(3,3,1)

    Rank 1 means the smallest value of each 9 (3 by 3) pixel values examined will be used for the output pixel.

  2. To obtain the maximum of each 7 horizontally neighbouring pixels:
    • in the Filter dialog box,
      select for the Filter type Rank Order
      clear the Predefined check box,
      specify 1 for the number of rows and 7 for the number of columns,
      specify 7 for the rank, and
      optionally specify a threshold.
    • on the command line, use a filter definition of: Rankorder(1,7,7)

    Rank 7 means that the largest value of each 7 (1 by 7) pixel values examined is used as output value.

  3. To obtain the median value of each 5 horizontally neighbouring pixels:
    • in the Filter dialog box,
      select for the Filter type Median,
      clear the Predefined check box,
      specify 1 for the number of rows and 5 for the number of columns, and
      optionally specify a threshold.
    • on the command line, use a filter definition of: Median(1,5).

Tips:

  • Both the number of rows and the number of columns defining the filter size must be odd values.
  • With Neighbourhood operators similar operations can be performed as with rank order filters: for example, the minimum, maximum, sum and predominant pixel value of each 9 pixels considered can be assigned as output value to the central pixel. For more information, refer to MapCalc special : neighbourhood operations.
  • With the Aggregate Map operation, similar results can be obtained. Aggregate Map however moves from block to block in the map, while the Filter operation moves pixel by pixel.

See also:

Filter types : rank order and median filters

Filter : dialog box

Filter : command line


Filters : user-defined majority filters

Filters

User-defined majority filters

The standard majority filters are: Majority, MajUndef, and MajZero; they work in a 3 by 3 environment and assign the predominant value of the surrounding pixels to the central pixel. In the Filter dialog box as well as on the command line, you may define other majority filters of any user-defined size.

Using the Filter dialog box:

  1. To use one of the standard Majority filters:
    • Open the Filter dialog box,
    • for Filter Type, select: Majority,
    • select the Predefined check box,
    • for Filter Name, select: Majority, MajUndef or MajZero.

  2. To define your own Majority filter:
    • Open the Filter dialog box,
    • for Filter Type, select: Majority,
    • clear the Predefined check box,
    • specify the size of the filter,
    • in case you want to replace only central values which are undefined, select the Undefined check box.

See also the example below.

Using the command line (advanced):

  1. To use a standard Majority filter, type one of the following expressions on the command line of the Main window:

    2. OUTMAP | = | MapFilter(InputMapName, Majority)
OUTMAP | = | MapFilter(InputMapName, MajUndef)
OUTMAP | = | MapFilter(InputMapName, MajZero)

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Majority | is the name of the standard Majority filter.
MajUndef | is the name of the standard Undef-Majority filter.
MajZero | is the name of the standard Zero-Majority filter.

  2. To define your own Majority filter, type one of the following expressions on the command line of the Main window:

    3. OUTMAP | = | MapFilter(InputMapName, Majority(rows,cols))
OUTMAP | = | MapFilter(InputMapName, UndefMajority(rows,cols))
OUTMAP | = | MapFilter(InputMapName, ZeroMajority(rows,cols))

    where:

    OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Majority | is the command to define a Majority filter.
UndefMajority | is the command to define an Undef-Majority filter.
ZeroMajority | is the command to define a Zero-Majority filter.
rows | are the number of rows of your majority filter.
cols | are the number of columns of your majority filter.

Example:

To use a majority filter which considers each 5 horizontally neighbouring pixels:

  • in the Filter dialog box, choose for Filter type: Majority,
    clear the Predefined check box, and
    specify 1 for the number of rows and 5 for the number of columns,
  • on the command line, use a filter definition of:
    Majority(1,5)

Tip:

  • Both the number of rows and the number of columns defining the filter size must be odd values.

See also:

Filter types : majority filters

Filter : dialog box

Filter : command line


Filters : user-defined pattern filters

Filters

User-defined pattern filters

With a pattern filter, you can detect areas where pixels have more or less the same value, outliers where the values of all neighbouring pixels are very different from the center pixel, and the directions in which differences between neighbouring pixel values are found. Whether or not 3x3 neighbouring pixels are considered to have more or less the same value, is determined by the threshold value that you have to specify.

There is no standard pattern filter stored on disk. A pattern filter always works in a 3x3 environment. In the Filter dialog box as well as on the command line, you can define the threshold value which has to be used by the pattern filter.

Using the Filter dialog box:

To use a pattern filter:

  • Open the Filter dialog box,
  • for Filter Type, select: Pattern,
  • specify a threshold value which determines whether the absolute differences between the central pixel and its neighbours are considered large (edge) or small (area).

Using the command line (advanced):

To define a pattern filter, type the following expression on the command line of the Main window:

OUTMAP

=

MapFilter(InputMapName, Pattern(threshold))

where:

OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
Pattern | is the command to define a pattern filter.
threshold | specify a value for the threshold which determines whether the absolute differences between the central pixel and its neighbours are considered large (outlier or direction of edge) or small (area).

See also:

Filter types : pattern filters

Filter : dialog box

Filter : command line


Filters : user-defined standard deviation filters

Filters

User-defined standard deviation filters

There is no standard standard deviation filter stored on disk. You always have to define a standard deviation filter yourself, either through the Filter dialog box or by an expression on the command line of the Main window.

Using the Filter dialog box:

To define your own standard deviation filter:

  • Open the Filter dialog box,
  • for Filter Type, select: Standard Deviation,
  • specify the size of the filter.

Using the command line (advanced):

To define your own Standard Deviation filter, type the following expression on the command line of the Main window:

OUTMAP

=

MapFilter(InputMapName, FilterStandardDev(rows,cols))

where:

OUTMAP | is the name of your output map.
MapFilter | is the command to start the Filter operation.
InputMapName | is the name of your input map.
FilterStandardDev | is the command to define a standard deviation filter.
rows | are the number of rows of your standard deviation filter.
cols | are the number of columns of your standard deviation filter.

Example:

To use a standard deviation filter which considers each 7 vertically neighbouring pixels:

  • in the Filter : dialog box, choose for Filter type: Standard Deviation,
    specify 7 for the number of rows and 1 for the number of columns,
  • on the command line, use a filter definition of: FilterStandardDev(7,1).

Tip:

  • Both the number of rows and the number of columns defining the filter size must be odd values.

See also:

Filter types : standard deviation filters

Filter : dialog box

Filter : command line


Stretch

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm


Stretch : functionality

Stretch

Functionality

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization.

Example linear stretching:

In any satellite image, the possible pixel values are in the range of 0 to 255. In practice however, not all these values will occur in your images. Suppose you have a certain image in which the values range from 55 to 103. When this map is stretched linearly to output range 0 to 255: the minimum input value 55 is brought to output value 0, and maximum input value 103 is brought to output value 255, and all other values in between change accordingly (using the same formula). As 0 is by default displayed in black, and 255 in white, the contrast will be better when the image is displayed.

Example histogram equalization:

When an image is stretched with histogram equalization, also the number of pixels with a certain value is taken into account. Input values are re-distributed over a user-defined number of output intervals; in principle, all output intervals contain an equal number of pixels. When a certain image with values between 55 and 103 is stretched with histogram equalization to 256 output intervals; the minimum input value 55 is brought to output value 0, and maximum input value 103 is brought to output value 255; the other input values are divided over these 256 output intervals in such a way that each interval contains an equal number of pixels as far as possible. In general, it can be said that the part of an image's histogram with the largest amount of pixels is relatively stretched more than the parts with few pixels.

For more information on both stretch methods, see Stretch : algorithm.

Tip:

The stretch operation produces a new output map with stretched values.

Temporary linear stretching can be performed during the display of a value map: you can specify 'stretch from' range in the Display Options dialog box.

Input map requirements and type of output map:

An input map for the Stretch operation must be a value map.

The result of the Stretch operation is always another value map.

The operation can also be applied on all raster maps in a map list.

'Stretch from' and 'stretch to' range:

During Stretch, the user has to specify an input value range to stretch from, and an output value range to stretch to. The 'stretch from' range can be specified as two values, which act as the lower and upper boundaries of input values that you want to stretch.

The 'stretch from' range can also be specified as a percentage (e.g. 1%). This percentage stands for the cumulative amount of pixels on each side of the map's histogram that should not be taken into account during stretch. In fact, the 1% range of values on the lower side of a map's histogram is brought to the lower 'stretch to' value and the 1% range of values on the upper side of a map's histogram is brought to the upper 'stretch to' value. Ignoring for instance 1% of the smallest values in the map and 1% of the largest values in a map during stretching can improve the overall stretch results as the ends of a map's histogram usually contain few sparse values.

For linear stretching, the 'stretch to' range is specified by the domain of the output map. When choosing the Image domain, the output stretch range is from 0 to 255. When choosing another value domain, you need to specify the minimum and maximum values to stretch to (value range) and a precision (resolution of output values).

For histogram equalization, the 'stretch to' range is the number of specified intervals; when 256 intervals are specified, the output values will range from 0 to 255. When another number of output intervals is specified, the first interval will obtain output value 1, the second value 2, etc.

Domain and georeference of output map:

By default, the output map will use system domain Image, but you can also choose another value domain, e.g. system domain Value.

The output map always uses the same georeference as the input map.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.

Examples:

In this example, a TM band is shown with its original histogram (Fig. 1), then the result a linear stretch (Fig. 2) of this image, and finally the result after performing histogram equalization (Fig. 3) on this image. In both cases, stretching was performed on all values in the input map (0%); for linear stretching these values were stretched to the image domain (range 0-255, precision 1), and for histogram equalization the input values were stretched into 256 output intervals.

Fig. 1: Original histogram of TMB4:

The values in the original image range from 0 to 103.

Fig. 2: Result after linear stretching:

After linear stretching, the values of the image range from 0 - 255. There are still a lot of pixels with values in the middle of the image range (histogram has a bell shape).

Fig. 3: Result after histogram equalization:

After histogram equalization, the values of the image range from 0-255. The peak of values which occurred in the centre of the original histogram as well as in the result after linear stretching is smoothed out.

See also:

Stretch : dialog box

Stretch : command line (1)

Stretch : command line (2)

Stretch : algorithm


Stretch : dialog box

Stretch

Dialog box

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization.

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box. The input map(s) must be value map(s).

When you select an input map list, the operation will be performed on all raster maps in the map list.

Method:

Linear Stretching

Histogram Equalization

Intervals:

For histogram equalization: specify the number of output intervals. When 256 intervals are specified, the output values will range from 0 to 255; when another number of output intervals is specified, the first interval will obtain output value 1, the second value 2, etc.

Stretch from:

Specify the range of input values to be stretched.

Min Max:

Enter lower and upper values to define the range of input values that will be stretched.

Percentage:

Enter a percentage of pixels not to be taken into account by during stretching. When entering for instance 1%, this means that 1% of the smallest values in the map and 1% of the largest values in the map are ignored.

Output raster map:

Type a name for the output raster map that will contain the stretched values.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Domain:

For linear stretching: select an existing value domain for the output map(s).

  • When working with images, it is suggested to select system domain Image; the values in the input map are then stretched to 0 - 255.
  • When working with other value maps, it is suggested to accept system domain Value; then also adjust the value range and precision of the selected domain; this determines the 'stretch to' range for linear stretching.

Value range:

For linear stretching with an output value domain but not domain Image: adjust these values to the values to which you want to stretch to.

Precision:

For linear stretching with an output value domain but not domain Image: adjust the precision if you want to change the 'resolution' of possible values in the output map.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

The output map(s) are always value map(s). For histogram equalization, the output domain is always a value domain, and the 'stretch to' value range is determined from the number of specified intervals.

See also:

Stretch : functionality


Stretch : command line (1)

Stretch

Command line (1)

The Stretch operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapStretchLinear(InputMapName, Range from, Domain)
OUTMAP | = | MapStretchLinear(InputMapName, Range from, Domain, Range to)
OUTMAP | = | MapStretchHistEq(InputMapName, Range from, Intervals)

where:

OUTMAP | is the name of your output raster map.
MapStretchLinear | is the command to start the Stretch operation with linear stretching.
MapStretchHistEq | is the command to start the Stretch operation with histogram equalization.
InputMapName | is the name of your input raster map (must be a value map).
Range from | is the range of input values that should be stretched. Specify the 'stretch from range' as: min:max |perc
min:max | lower and upper 'stretch from' boundaries
perc | real value >= 0, percentage of pixels to be ignored on both sides of the input map's histogram during stretching.
Domain | For linear stretching: when choosing output domain Image, the output stretch range is from 0 to 255; when choosing any other output value domain, specify the minimum and maximum values to stretch to (value range) and a precision (resolution of output values).
Range to | For linear stretching when choosing an output Value domain but not Image: the range of output values to which the 'range from' values need to be stretched. Specify the 'stretch to' range as: min:max | min:max:precision
min:max | Lower and upper 'stretch to' values in output map.
min:max:precision | Lower and upper 'stretch to' values in output map, and precision of output values.
Intervals | For histogram equalization: the number of output intervals: when 256 intervals are specified, the output values will range from 0 to 255; when another number of output intervals is specified, the first interval will obtain output value 1, the second value 2, etc.

Tip: To use this operation on all raster maps in a map list, see Stretch : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Stretch : command line (2)

Stretch : functionality


Stretch : command line (2)

Stretch

Command line (2)

To perform the Stretch operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapStretchLinear(##, Range from, Domain))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapStretchLinear(##, Range from, Domain, Range to))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapStretchHistEq(##, Range from, Intervals))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapStretchLinear | is the command to start the Stretch operation with linear stretching.
MapStretchHistEq | is the command to start the Stretch operation with histogram equalization.
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
Range from | see Stretch : command line (1)
Domain | see Stretch : command line (1)
Range to | see Stretch : command line (1)
Intervals | see Stretch : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Stretch : command line (1)

Stretch : functionality


Stretch : algorithm

Stretch

Algorithm

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization. For general information, see Stretch : functionality.

Linear stretching:

The input values of a map are re-scaled to output values in the output map.

Input values are specified by the 'stretch from' values; the lower and upper 'stretch from' boundary values are included in the stretching.

Output values are specified by the output domain and the value range and precision of this domain.

Linear stretching uses the following formula:

OUTVAL

=

(INVAL - INLO) * ((OUTUP-OUTLO)/(INUP-INLO)) + OUTLO

where:

OUTVAL | Value of pixel in output map
INVAL | Value of pixel in input map
INLO | Lower value of 'stretch from' range
INUP | Upper value of 'stretch from' range
OUTLO | Lower value of 'stretch to' range
OUTUP | Upper value of 'stretch to' range

When the 'stretch from' range is specified as values, these are INLO and INUP.

When the 'stretch from' range is specified as a percentage (e.g. 1%), INLO and INUP are determined from the map's histogram (1% and 99% npcumpct); all input values smaller than or equal to INLO are brought to OUTLO, and all input values greater than or equal to INUP are brought to OUTUP.

When choosing output domain Image, then OUTLO is 0, and OUTUP is 255. When choosing domain Value, the minimum and maximum values specified as the value range are used as OUTLO and OUTUP ('stretch to' range).

The value specified as the precision of the output value domain is used to round OUTVAL.

The result of a linear stretch is that all input values are stretched to the same extent, see Fig. 1 below.

Fig. 1: Schematic explanation of a linear stretch. Input values range from 55 to 103; output values range from 0 to 255.

Histogram equalization:

Lower and upper boundaries of the 'stretch from' range are determined in the same way as with linear stretching. The 'stretch to' values are determined from the number of specified output intervals. When 256 intervals are specified, the output values will range from 0 to 255. When another number of output intervals is specified, the first interval will obtain output value 1, the second value 2, etc.

  1. The histogram of the input map is calculated. The total number of pixels with values is calculated (undefined values are not considered).
  2. The total number of pixels with values is divided by the number of required output intervals, in order to get a 'threshold' for the number of pixels that ideally should end up in each interval.
  3. The 'threshold' divides the input histogram into the desired number of output intervals as follows:
  4. For the first interval:
    • when in the histogram of the input map, the cumulative number of pixels reaches the 'threshold' value,
    • the input value in the histogram closest to this 'threshold' is selected, and
    • all input pixel values smaller or equal than this value are assigned the first output value.
  5. For next intervals:
    • whenever a next factor of the 'threshold' is reached in the input histogram,
    • the value closest to this 'threshold' is selected, and
    • all input pixel values smaller or equal than this value but larger than the previous interval boundary value are assigned the next output value.

    In this way all output intervals are filled with input values.

The result of a histogram equalization stretch is that parts of the histogram with many pixels are stretched more than parts with few pixels, see also Figure 2 below. Figure 3 below shows step 3 as described above: the determination of which input values belong to which output interval, in the histogram of an input map.

Fig. 2: Schematic explanation of a histogram equalization. Input values range from 55 - 103. Number of output intervals 6.

Fig. 3: Part of an input map's histogram showing the determination of which input values belong to which output intervals. The total number of pixels in this map was 187000. The threshold value for 6 groups, is thus 31166.67 pixels. Every time a multiple of this figure is reached in the histogram, a boundary is inserted; the value of the input map is closest to this threshold value is selected (66, 69, 73, 76, 79).
The first interval thus contains a total of 27236 pixels, the second interval 31223 pixels, the third interval 37520 pixels, the fourth interval 36168 pixels, the fifth interval 23244 pixels, and the sixth interval 31609 pixels.

See also:

Stretch : functionality


Slicing

Functionality

Dialog box

Command line

Algorithm


Slicing : functionality

Slicing

Functionality

Slicing classifies the values of a raster map. Ranges of values of the input map are grouped together into one output class. A domain Group should be created beforehand; it lists the upper boundaries of the groups and the group names.

With Slicing, a map with for example slope values ranging from 0 to 200% can be grouped into relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO). Also, a map containing Green Vegetation Index values (combination of satellite bands), can be sliced into user-defined intervals. This can be considered as a first classification.

Example:

A map with slope values ranging from 0 to 200% is grouped into relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO).

Input map:

Output map:

6 | 10 | 20 | 40
4 | 12 | 20 | 25
3 | 7 | 12 | 10
1 | 5 | 5 | 5

U | R | H | M
U | R | H | H
U | U | R | R
F | U | U | U

In the output map, read for F Flat, for U Undulating, for R Rolling, for H Hilly and for M Mountainous.

The Slicing is performed according to the following domain Group:

Upper Boundary | Group Name
2 | Flat
8 | Undulating
16 | Rolling
30 | Hilly
200 | Mountainous

Input requirements:

The input map should be a value map; further, a Group domain should be available.

Domain and georeference of output map:

The output map uses the Group domain that is required for the Slicing operation.

The output map uses the same georeference as the input map.

Tip 1:

The Slicing operation creates a new output map with new class names. Instead, you can also slice/classify a value map by creating and editing a representation for that map. You can then interactively modify the representation and redraw the map until satisfied:

  1. Double-click a value map in the Catalog; in the Display Options dialog box, click the create button next to the Representation list box to create a representation for this map;
  2. Type a name for the new representation; then the Representation Value/Gradual editor is opened;
  3. Click OK in the Display Options dialog box of the map; the map is displayed in a map window;
  4. In the Representation Value/Gradual editor, insert boundaries and adjust colors;
  5. Keep the editor open and switch to the map window;
  6. Press the Redraw button [image] in the map window and the map is directly shown with this representation;
  7. Switch to the Representation editor and continue to change boundaries, and colors; then switch to the mapp window to redraw the map, etc. until satisfied.

Slicing by modifying a representation takes much less time than (re-)calculating values as the Slicing operation would do; another advantage is that the exact input values are retained.

For more information, see How to slice an image.

Tip 2:

To get the best out of the Slicing operation:

  • When creating a Group domain, also fill the representation of this domain.
  • Keep the domain window, representation window and output map window open simultaneously; you can modify classes, i.e edit the domain Group, and change its representation;
  • Open the Properties of the map (Edit menu in the map window, Properties) and click the Make Up-to-Date button; the map is recalculated according to the new boundaries in the domain Group;
  • Redraw the map in the map window.

Notes:

  • For ILWIS 1.41 users: a domain Group is a synonym for an ILWIS 1.41 classify table.
  • Instead of using the Slicing operation to apply a domain Group on a map, you can also use the MapCalc function CLFY(InputMap,DomainGroup) on the command line.
  • To perform a multi-spectral image classification, see the Classify operation.

Reference:

  • FAO, 1990, Guidelines for soil profile description. FAO, Rome.

See also:

How to slice an image

How to classify a map

Slicing : dialog box

Slicing : command line

Slicing : algorithm


Slicing : dialog box

Slicing

Dialog box

Slicing classifies the values of a raster map. Ranges of values of the input map are grouped together into one output class. A domain Group should be created beforehand; it lists the upper boundaries of the groups and the group names.

With Slicing, a map with for example slope values ranging from 0 to 45% can be grouped into relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO).

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The input map should be a value map.
Output raster map: | Type a name for the output raster map that will contain the classified values as groups.
Domain: | Select the name of a domain Group which was created beforehand (click the list box), or create a new domain Group (click the little create button).
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Tips:

  • To interactively slice a map, create and edit a representation Value/Gradual.
  • To perform a multi-spectral image classification, see the Classify operation.

See also:

Slicing : functionality


Slicing : command line

Slicing

Command line

The Slicing operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapSlicing(InputMapName, Domain)
OUTMAP | = | CLFY(InputMapName, Domain)

where:

OUTMAP | is the name of your output raster map.
MapSlicing | is the command to start the Slicing operation.
CLFY | is a MapCalc function (this is in fact a short cut).
InputMapName | is the name of your input value map (raster map).
Domain | is the name of your domain Group which contains the boundaries of the values and the group names for the output map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Slicing : functionality


Slicing : algorithm

Slicing

Algorithm

Slicing classifies the values of a raster map. Ranges of values of the input map are grouped together into one output class. A domain Group should be created beforehand; it lists the upper boundaries of the groups and the group names.

With Slicing, a map with for example slope values ranging from 0 to 200% can be grouped into relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO).

See also:

Slicing : functionality


Color separation

Functionality

Dialog box

Command line

Algorithm


Color separation : functionality

Color separation

Functionality

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.

Color models

Display devices commonly use the Red, Green, Blue (RGB) additive color system.

Printers commonly use the Yellow, Magenta, Cyan, Black (YMCK) subtractive color system.

Professionals working with colors generally think in Hue, Saturation and Intensity (HSI).

RGB color system:

Any color can be regarded as a combination of different contributions of the primary colors Red, Green and Blue (RGB). Figure 1 below presents a color cube with Red, Green and Blue axes. Along each of these axes the 'amount' of a primary color increases from 0 to 255, where 0 means no intensity (no contribution to the final color) and 255 means maximum intensity. Each point in the color cube thus represents a different color depending on the amounts of Red, Green and Blue.

The Gray scale is presented by a line from Black to White (dashed line in Figure 1). For each Gray color, the amounts of Red, Green, and Blue are equal.

Figure 1: Color cube of Red, Green, Blue and Yellow, Magenta, Cyan and Gray.

YMC color system:

The colors Yellow, Magenta, and Cyan (YMC) can be presented in the same color cube as the Red, Green, Blue color cube (Figure 1). The YMC color system uses the Yellow, Magenta, and Cyan subtractive primaries.

Yellow | = | Red + Green | = | White - Blue
Magenta | = | Red + Blue | = | White - Green
Cyan | = | Green + Blue | = | White - Red

HSI color system:

Colors can also be defined using the Hue, Saturation, and Intensity (HSI) system (see Figure 2).

  • Hue is the basic component of a color and is the dominant or average wavelength.
  • Saturation describes the 'color purity' or the purity of color relative to Gray. The relative amount of Red, Green and Blue determines the Hue and the Saturation.
  • Intensity describes the brightness of a color. The total amount of Red+Green+Blue determines the brightness.

Figure 2: Color cube which also shows Hue, Saturation and Intensity.

The Color separation operation gives you the possibility to change to from one color system to one of the other models. The formulas used for the transformation from one model to another are described in Color separation : algorithm.

Input map requirements:

An input raster map with a Picture domain or the Color domain is required. In a map with a picture domain the colors are stored in its representation. In a map with domain Color the colors are stored in the pixels of the map (map is stored using 4 bytes per pixel).

Domain and georeference of output map:

The output raster map always obtains the Image domain. When extracting Red, Green, Blue, Yellow, Magenta, Cyan or Gray, the values in the output map range from 0 to 255. When extracting Hue, Saturation or Intensity, the values in the output map range from 0 to 240. This complies with the Windows definition.

The output raster map uses the same georeference as the input raster map.

Note:

When you for example extract the Red color from an image, the intensities in the output map are measured for this color. When you open the output image, the intensities for Red are given on a gray scale (and not in a red scale). You can select the Red representation (from black to red) in the Display Options dialog box of the map, or you can create your own representation.

Tip:

The reverse process of color separation is creating a color composite.

See also:

Color separation : dialog box

Color separation : command line

Color separation : algorithm


Color separation : dialog box

Color separation

Dialog box

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. Only input maps with a picture domain or the color domain are allowed.
Color: | Select the color you want to retrieve: Red, Green, Blue, Yellow, Magenta, Cyan, Hue, Saturation, Intensity or Gray.
Output raster map: | Type a name for the output raster map that will contain the values of one color of the input map.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Color separation : functionality


Color separation : command line

Color separation

Command line

Color separation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapColorSeparation(InputMapName, Color)
OUTMAP | = | MapColorSep(InputMapName, Color)
OUTMAP | = | InputMapName.Color

where:

OUTMAP | is the name of your output raster map.
MapColorSeparation | is the command to start the Color separation operation.
MapColorSep | is an alias to start the Color separation operation.
InputMapName | is the name of your input raster map; the input maps must have a Picture domain or the Color domain.
Color | is the color you want to extract, choose one of the following: red | green | blue | yellow | magenta | cyan | hue | saturation | sat | intensity | intens | gray | grey

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Color separation : functionality


Color separation : algorithm

Color separation

Algorithm

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.

For each pixel the selected color is retrieved. Red, Green and Blue values are directly retrieved from the map or the picture domain. When another color is selected, one of the following formulas is applied:

Yellow | = | 255 - Blue
Magenta | = | 255 - Green
Cyan | = | 255 - Red
Hue | = | (255/2p) * arctan2 (1/2 Ö3 * (Green-Blue) , Red - (Green+Blue) / 2 ) * 240/255
Saturation | = | Ö (Red2 + Green2 + Blue2 - Red*Green - Red*Blue - Green*Blue) * 240/255
Intensity | = | 1/3 * (Red + Green + Blue) * 240/255
Gray | = | 0.3 * Red + 0.59 * Green + 0.11 * Blue

Red, Green, and Blue values range from 0 to 255. Hue, Saturation, and Intensity values however range from 0 to 240; this range complies with the Windows color scheme definition. In the formulas for Hue, Saturation and Intensity above, multiplication factor 240/255 is used to obtain that range.

See also:

Color separation : functionality


Color composite

Functionality

Dialog box

Command line

Algorithm


Color composite : functionality

Color composite

Functionality

A color composite is created by combining 3 raster images (bands/maps). One band is displayed in shades of red, one in shades of green and one in shades of blue.

A color composite can be created:

  • to serve as a background image during sampling and subsequent image classification,
  • for visual interpretation purposes, a printed color composite may be useful as a field map, but you can also use a color composite as a background image during on-screen digitizing, or
  • for illustration purposes, for instance by using a color composite as a drape over a 3D model.

Tip:

This operation creates a permanent color composite map. When your graphics board is configured to use more than 256 colors, for instance High Color 16-bit or True Color 24-bit (see Display Settings in Windows' Control Panel), you can also interactively display a color composite by selecting the Show MapList as Color Composite command from the Operations, Visualization menu. By creating an interactive color composite (very suitable for sampling or on-screen digitizing), you can easily change intervals, select other bands, etc. Another advantage is that besides maps with the Image domain, also maps with a Value domain are accepted. The resulting color composite is displayed in a map window. To store such a color composite, you can save the map window as a map view.

General information on color composites:

  • A color composite gives a visual impression of 3 raster bands. Putting the three bands together in one color composite map can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.
  • The input pixel values of each band are measures of the amount of reflection in a certain wavelength interval. The values in the output color composite map just refer to certain colors; the output values themselves have no meaning.
  • Before creating a color composite, you might filter the bands in order to increase sharpness of features of interest.

By using this operation, color composites can be created in various ways:

  • Standard:
    • Linear stretching: input values are linearly stretched; user-defined input intervals;
    • Histogram equalization: input values are equally divided over output colors; user-defined input intervals;
  • Dynamic (Heckbert): input values are automatically distributed over a user-defined number of colors.
  • 24 Bit RGB:
    • Linear stretching: input values are linearly stretched; user-defined input intervals;
    • Histogram equalization: input values are equally divided over output colors; user-defined input intervals;
  • 24 Bit HSI: input values are interpreted as hue, saturation and intensity.

The different methods of creating a color composite are merely a matter of scaling the input values over the output colors. The exact methods by which this is done are described in Color Composite : algorithm.

Input map requirements:

The three input maps should use the Image domain. A georeference is not required for the input maps. If the maps do have a georeference, all input maps should use the same georeference.

Domain of output map:

For a standard color composite: the operation always uses system Picture domain ColorCmp for the output color composite. This domain always uses system representation ColorCmp.

For a dynamic color composite: the operation creates a new domain (type Picture) for the output color composite and a new representation for this domain. This output domain and representation are always stored by the output map (internal domain and internal representation).

For a 24-bit color composite: the operation always uses the Color domain for the output color composite.

Georeference of output map:

The output color composite always uses the same georeference as the input maps.

Tips:

  • If the user is interested in the image as a whole, it is best to use the Dynamic option. This usually results in a composite with good contrast. The Dynamic option does not take into account the structure of the input bands. Therefore, if the user is interested in specific intervals of the input bands, it is better to use the Standard option, using linear stretching. However, if the pixels that are of less interest can be masked, the user can calculate a Dynamic composite using only the pixels that are of interest.
  • When there are more bands available than can be used to create a color composite (e.g. 7 TM-bands), you can first calculate the Optimum Index Factor (OIF); this may help you to decide which bands to select for a color composite.
  • The reverse process of creating a color composite is color separation.
  • For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Color composite : dialog box

Color composite : command line

Color composite : algorithm


Color composite : dialog box

Color composite

Dialog box

A color composite is created by combining 3 raster images or maps. One map is displayed in shades of red, one in shades of green and one in shades of blue.

Dialog box options for 24 Bit Color Composite:

24 bit: | Select this check box if you want to create a map that can be displayed in 24-bit graphic mode (domain Color). Clear this check box if you want to create a color composite which uses a Picture domain.
RGB: | Creates a 24-bit color composite with Red, Green and Blue bands as input. See Standard Color Composite options below.
HSI: | Creates a 24-bit color composite with Hue, Saturation and Intensity bands as input.

You should only select these 24-bit options, if your graphic board is configured to use more than 256 colors, for instance High Color 16-bit or True Color 24-bit (see Display Settings in Windows' Control Panel).

Dialog box options for Standard Color Composite:

Standard: | Select the Standard option button when you want to use the standard color composite representation which has six shades of red, six shades of green and six shades of blue (total 216 colors).
Linear Stretching: | Select Linear Stretching if you want to obtain intervals of equal length (in terms of input values) for the output colors.

Histogram equalization:

 | Select Histogram Equalization if you want to obtain an equal number of pixels for the different output colors.
Percentage: | Select this check box to define input intervals by a percentage of pixels to be ignored on both sides of the input map's histogram. Clear this check box to specify input intervals by a minimum and maximum value of each input map.

Dialog box options for Dynamic (Heckbert) Color Composite:

Dynamic: | Select the Dynamic option button when you want an automatic division of input values over a number of output colors.
Colors: | Enter a value for the number of colors of which the dynamic color composite should consist (integer value between 2 and 255).

General dialog box options:

Red Band: | Select a raster map to be displayed in shades of red. Open the list box and select the appropriate raster map, or directly drag a raster map from the Catalog into this box.
Green Band: | Select a raster map to be displayed in shades of green.
Blue Band: | Select a raster map to be displayed in shades of blue.
Output raster map: | Type a map name for the output color composite.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

When the Dynamic option is used, the output map will use an internal Picture domain which has an internal representation.

Tip:

This operation creates a permanent color composite map. When your graphics board is configured to use more than 256 colors, for instance High Color 16-bit or True Color 24-bit (see Display Settings in Windows' Control Panel), you can also interactively display a color composite by selecting the Show MapList as Color Composite command from the Operations, Visualization menu. By creating an interactive color composite, you can easily change intervals, select other bands, etc. The resulting color composite is displayed in a map window. To store such a color composite, you can save the map window as a map view.

See also:

Color composite : functionality


Color composite : command line

Color composite

Command line

A color composite can be directly created by typing one of the following expressions on the command line of the Main Window:

OUTMAP | = | MapColorComp(MapList, range1, range2, range3)
OUTMAP | = | MapColorCompLinear(MapList, range1, range2, range3)
OUTMAP | = | MapColorCompHistEq(MapList, range1, range2, range3)
OUTMAP | = | MapHeckbert(MapList, NrColors)
OUTMAP | = | MapColorComp24(MapList)
OUTMAP | = | MapColorComp24(MapList, range1, range2, range3)
OUTMAP | = | MapColorComp24Linear(MapList)
OUTMAP | = | MapColorComp24Linear(MapList, range1, range2, range3)
OUTMAP | = | MapColorComp24HistEq(MapList,range1, range2, range3)
OUTMAP | = | MapColorComp24HSI(MapList)

where:

OUTMAP

is the name of your output color composite.

MapColorComp

is the command start the Color composite operation using linear stretching.

MapColorCompLinear

is the command start the Color composite operation using linear stretching.

MapColorCompHistEq

is the command to start the Color composite operation using histogram equalization.

MapHeckbert

is the command to start the Color composite operation using the Heckbert dynamic algorithm.

MapColorComp24

is the command to start the 24-bit Color composite operation using linear stretching.

MapColorComp24Linear

is the command to start the 24-bit Color composite operation using linear stretching.

MapColorComp24HistEq

is the command to start the 24-bit Color composite operation using histogram equalization.

MapColorComp24HSI

is the command to start the 24-bit Color composite operation using hue, saturation, and intensity.

MapList

is the name of an existing map list which contains 3 raster maps with the Image domain, or the definition of a map list as:
mlist(ImageRed, ImageGreen, ImageBlue)
For more information, see the examples below.

range1..3

for each band, the intervals of input values to be used as min:max or as perc

min:max

minimum and maximum value determining range of input values, e.g. 20:200; integer values between 0 and 255.

perc

percentage of input values to be ignored on both sides of the maps' histogram during linear stretch or histogram equalization; 0 £ real value < 50.

When no ranges are specified for the MapColorComp24 or MapColorComp24Linear commands then all input values are used, i.e. no stretching. The MapHeckbert and the MapColorComp24HSI commands always use all input values.

NrColors

For Dynamic (Heckbert) color composites: the number of colors present in the output map (2-255).

All maps in the input map list must have the same georeference.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Examples:

A complete expression to calculate a color composite of bands tm4, tmb3, and tmb2, using linear stretching and ignoring 1% of all input values, might thus read:

OUTMAP

=

MapColorComp(mlist(tmb4,tmb3,tmb2),1,1,1)

A complete expression to calculate a dynamic color composite of bands tm4, tmb3, and tmb2, using 200 colors, might thus read:

OUTMAP

=

MapHeckbert(mlist(tmb4,tmb3,tmb2),200)

See also:

Color composite : functionality


Color composite : algorithm

Color composite

Algorithm

Standard color composites

Linear stretching of interval:

The specified interval range per band is linearly divided into 6 classes of equal length with numbers 0 to 5. Since this is done for three bands, the number of possible combinations is 6´6´6 = 216. This is the number of different colors that will appear in the color composite.

Histogram equalization:

The specified interval range (lower and upper boundary) per band is divided into 6 classes with numbers 0 to 5, in which each class has an equal area under the histogram. As for linear stretching, the number of different output colors is 6´6´6 = 216.

Output colors:

Each output color obtains an internal number of the system picture domain ColorCmp; the value is calculated as:

output = 36*red + 6*green + blue.

This implies that the output map will contain internal values between 0 and 215 (since 215 = 5 * 36 + 5 * 6 + 5). The values of this ColorCmp domain are always linked to system representation ColorCmp.

Dynamic color composites

A dynamic color composite is calculated using the Heckbert Quantization Algorithm. The Heckbert algorithm produces a color composite on the basis of the amount of variation in pixel values in the three input maps.

This algorithm first builds a three dimensional histogram, indicating how 'popular' any given value is in the images. All values fall in one box or cube. This histogram is then subdivided into smaller boxes or cubes: a division is made in the middle of the axis which has the largest variation. This process continues until as many boxes are created as there are output colors (number defined by the user, maximum 255). This algorithm attempts to create boxes which have approximately equal popularity in the image. Then, colors are assigned to represent each box.

  1. First, the input map values at 1% and 99% are determined. See also the Histogram operation.
  2. The band with the largest variation in pixel values is selected, the total number of pixels for this band is calculated, and the band is divided into 2 halves, each containing half of the total number of pixels. The division leaves the other 2 bands intact. The result after one division is 2 so-called 'boxes': one band divided over the 2 boxes, and the other 2 bands complete in both boxes.
  3. The program then searches for the next (part of a) band with the largest variation in pixel values. The total number of pixels on that (part of the) band is calculated, the (part of a) band is divided into 2 halves, so that each new part of the band contains half of the total number of pixels, and the other 2 bands are left as they were. The result after 2 divisions is 3 'boxes': each with (parts of) the red, the green, and the blue band.
  4. The division process is repeated until the total number of 'boxes' reaches the number of user-defined colors desired for the output map.
  5. Then colors are assigned to all boxes. For each box, weighted averages are calculated of the parts of the red band, green band and blue band covered by that box; the outcome values are the Red, Green and Blue values for that box. The calculation is repeated for all boxes.

An example of the first and second division is given in Figures 1, 2 and 3 below.

Example Heckbert algorithm:

Three 1% histograms are calculated before the first division, see Figure 1:

Figure1:

Figure 1 shows that the pixel values range:

  • from 31 to 98 in the first input map
  • from 22 to 100 in the second input map and
  • from 21 to 66 in the third input map.

Thus, the largest variation is found in the second input map. The total number of pixels on this band is divided in 2 so-called 'boxes': the first division is at pixel value 65 of band 2.

The result of the first division is represented in Figures 2 and 3. Figure 2 shows the histograms of one box; Figure 3 the histograms of the other. Enlarge the Help window by dragging its borders when you cannot see both figures next to each other.

Figure 2: | Figure 3:

Figure 2 shows that the pixel values range in box 1:

  • from 31 to 98 in the first input map
  • from 22 to 65 in the second input map, and
  • from 21 to 66 in the third input map

Figure 3 shows that the pixel values range in box 2:

  • from 31 to 98 in the first input map
  • from 66 to 100 in the second input map, and
  • from 21 to 66 in the third input map.

The next largest variation is found in the first input map in box 1. The total number of pixels on this band divided into 2 parts: the next division takes place at pixel value 66.

Output domain for dynamic composites:

The operation creates a new domain (type Picture) for the output color composite and a new representation for this domain. This output domain and representation are always stored by the output map (internal domain and internal representation).

24-bit RGB color composites

Linear stretching of interval:

Each input band is stretched to values between 0 and 255 using linear stretching using the user-defined intervals of the histograms.

Histogram equalization:

Each input band is stretched to values between 0 and 255 using histogram equalization using the user-defined intervals of the histograms.

Output colors:

The results are combined in a map with 4 bytes per pixel (4 bytes is 32 bits, thus 8 bits are not used). Each pixel in this map contains the red, green, and blue intensities of values between 0 and 255. It means that the possible number of output colors is 256 x 256 x 256 = ± 16 million.

24-bit HSI color composites

In this case no stretching is performed. In the output map, for each pixel the hue, saturation and intensity is converted to red, green, and blue intensities. The following relations exist:

Hue | = | 255/2p * arctan2 ( 1/2 * Ö3 * (Green-Blue) , Red - (Green+Blue) / 2 ) * 240/255
Saturation | = | Ö (Red2 + Green2 + Blue2 - Red*Green - Red*Blue - Green*Blue) * 240/255
Intensity | = | 1/3 * (Red + Green + Blue) * 240/255

Red, green, and blue values range from 0 to 255. Hue, saturation, and intensity values however range from 0 to 240; this range complies with the Windows color scheme definition. In the formulas above, multiplication factor 240/255 is used to obtain that range.

References:

Heckbert, P., 1982. Color image quantization for frame buffer display. SIGGRAPH '82 Proceedings, p. 297.

See also:

Color Composite : functionality


Cluster

Functionality

Dialog box

Command line

Algorithm


Cluster : functionality

Cluster

Functionality

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

In the first phase of the operation, a multidimensional histogram of the input bands is calculated. The multidimensional histogram is a representation of the feature space. In the second phase, this feature space is split into several boxes to obtain the desired number of clusters.

After classification the desired number of clusters are available. In the output raster map, each pixel has a class name like Cluster 1, Cluster 2, ..., etc. These clusters are called spectral classes.

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.

The program cannot automatically give you the meaning of the obtained spectral classes; it is up to the user to find out which land cover type or other feature corresponds to each cluster, and finding these relationships may not always be easy. You can compare the clusters in the output raster map to field observation data, or perform a Cross with a ground truth map. Of course, if you know the area, you can also visually interpret the output.

The difference between unsupervised classification (Cluster) and supervised classification (Sample and Classify) is that when using Cluster, the software automatically splits the feature space into clusters based on the spectral values and afterwards you have to identify these clusters. When using Sample and Classify, classification takes place according to training pixels in a sample set which is defined by the user.

Input map requirements:

The input raster map list must contain raster maps that have the Image domain and the same georeference.

Domain and georeference of ouput map:

The output map and the optional attribute table will use an internally defined class domain; the class names have names like Cluster 1, Cluster 2, etc. This domain is stored by the output map (internal domain).

The output raster map uses the same georeference as the input raster maps.

Attribute table for ouput map:

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.

Tips:

  • To view and edit the internal output domain of the Cluster operation, you can display the output map in a map window and choose the Domain command from the Edit menu in the map window.
  • To change the colors of the clusters in the output map, you can display the map in a map window and choose the Representation command from the Edit menu in the map window. Press the Redraw button [image] in the map window to see the effect of changed colors.
  • To view or edit the internal domain or the representation, you can also click the output map with the right mouse button in the Catalog, then choose Open as Domain or Open as Representation from the context-sensitive menu.
  • For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Cluster : dialog box

Cluster : command line

Cluster : algorithm

Sample

Classify : functionality


Cluster : dialog box

Cluster

Dialog box

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.

Dialog box options:

Number of input maps: | Select the number of input bands to be used in the cluster analysis (1, 2, 3, or 4). For the selected number of input bands, a number of Input Map list boxes appear.
Input maps: | Select the input raster maps. Open each list box and select the desired input map, or drag raster maps directly from the Catalog into the list boxes. All input maps should use domain Image.
Number of clusters: | Type a value for the number of clusters that should be created. You can create between 2 and 60 clusters.
Output raster map: | Type a name for the output raster map that will contain the desired number of clusters after the unsupervised classification.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.
Output table: | Select this check box if you wish to obtain an attribute table which will contain for each output cluster the average, predominant and minimum and maximum value of each input band. Subsequently, type a name for the output table.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, an output attribute table can be defined.

The output cluster names (Cluster 1, Cluster 2, etc.) which are used in the output map as well as in the optional attribute table are stored by the output map (internal class domain).

See also:

Cluster : functionality


Cluster : command line

Cluster

Command line

The Cluster operation can directly be executed by typing one of the following expressions on the command line of the Main Window:

OUTMAP | = | MapCluster(InputMapList, nr of clusters)
OUTMAP | = | MapCluster(InputMapList, nr of clusters, OutputAttribTable)

where:

OUTMAP | is the name of the output map.
MapCluster | is the command to start the Cluster operation.
InputMapList | is the name of an existing maplist which contains 1 up to 4 raster maps with the Image domain. If you like you can also define a map list on the fly as: mlist(map1, map2, ...) where mlist is fixed syntax to define a temporary map list without name, and where map1, map2 etc. are the names of the raster maps that should be part of the map list.
nr of clusters | is an integer value for the number of clusters/spectral classes you want to obtain in the output map; number of clusters between 2 and 60.
OutputAttribTable | is the name of an attribute table for the output map containing statistical information on the clusters (optional parameter).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. Furthermore, cluster names for the output map and optional attribute table are stored by the output map (internal class domain).

See also:

Cluster : functionality


Cluster : algorithm

Cluster

Algorithm

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

To create the number of desired clusters a generalized form of the Heckbert quantization algorithm is used. For more information, see also Color composite : algorithm.

In the first phase of the application a multidimensional histogram of the input bands is calculated.

  • When only 1 or 2 input bands are used, all values of the band(s) are taken into account;
  • When 3 input bands are used, the pixel values 0-255 are linearly stretched to 0-31 using the 1% interval of the histograms;
  • When 4 input bands are used, the pixel values 0-255 are linearly stretched to 0-15 using the 1% interval of the histograms.

The multidimensional histogram is regarded as a representation of the feature space.

In the second phase this feature space is split or divided into several boxes to obtain the desired number of clusters. In this phase the software starts with one cluster occupying the entire feature space. This cluster is divided into two along its longest axis (largest variation in pixel values). The division is done in such a way that the two new clusters approximately contain the same amount of pixels. Then, the next cluster is divided into two along the longest axis (largest variation). This process continues until the required number of clusters is reached.

Optionally, an attribute table can be created for the output map. For each output cluster, the average, predominant and minimum and maximum value are extracted from the input bands.

Output domain:

The output map and the optional attribute table will use an internally defined class domain; the class names have names like Cluster 1, Cluster 2, etc. This domain is stored by the output map (internal domain).

See also:

Cluster : functionality

Color composite : algorithm


Sample

Sampling is an interactive process of selecting training pixels in a sample set prior to an image classification.

To start sampling, create a new sample set or select an existing one in the Sample : dialog box.

Then the sample set editor is opened: select pixels that are characteristic for a certain type of a certain natural resource on the ground and that have similar spectral values in the maps in the map list, and assign a class name to them. The spectral values of these sampled pixels or training pixels provide the basis on which decisions are made during classification. These values can be inspected in the sample statistics of a certain class of training pixels and can be visualized in feature spaces. The result of Sampling is a filled sample set.

See also:

Sample : dialog box


Sample : dialog box

Sample

Dialog box

Select an existing sample set or create a new sample set. Then, sample training pixels prior to an image classification. Sampling is the process of assigning class names to groups of pixels with similar spectral values and that are supposed to represent a known feature on the ground.

Dialog box options:

Sample set:

Select an existing sample set to continue sampling (open the list box by clicking it), or create a new sample set by clicking the little create button [image].

When you create a new sample set, the Create Sample Set dialog box appears. In the Create Sample Set dialog box, you can specify which background map you want to use, the map list that should be used and the domain of the sample set. After that, you return to this Sampling dialog box.

When everything is OK, the Sample set editor is started.

See also:

Sample

Sample set editor


Classify

Functionality

Dialog box

Command line

Algorithm


Classify : functionality

Classify

Functionality

The Classify operation performs a multi-spectral image classification according to training pixels in a sample set. Before classification, a sample set thus has to be prepared with Sample.

The following classification methods are available:

  • Box classifier, using a multiplication factor,
  • Minimum distance, optionally using a threshold value,
  • Minimum Mahalanobis distance, optionally using a threshold value,
  • Maximum Likelihood, optionally using a threshold value, and
  • Maximum Likelihood including Prior Probabilities, optionally using a threshold value.

As Sample was the training phase, where classes of pixels with similar spectral values are defined, Classify is the decision phase, where each output pixel is assigned a class name if the spectral values of that pixel are similar enough to a training class; if this is not the case, an output pixel may be assigned the undefined value. As Classify uses the training pixels selected by the user, Classify is a supervised classification.

A supervised classification foremost depends on the spectral values of the pixels that you selected to serve as training pixels in Sample. Relevant information on the classes for which training pixels have been selected in the sample set, can be viewed in the Sample Statistics.

The manner in which the spectral values of input pixels are compared to the known values and statistics of the training pixels, to decide on the class that should be assigned to a pixel, furthermore depends on the classification method that you choose, and the parameters you use for that method. In general, to each output pixel, the class will be assigned of which the spectral values are most similar to (or 'nearest') to the spectral values of an input pixel.

The bands that you wish to classify should be combined in a map list. This map list is part of the required input sample set. There is no limitation for the number of bands that can be classified.

Training pixels should be assigned a class name; this is done in Sample. There is no limitation for the number of classes that a sample set can contain.

Tip:

During Sampling, you can already create some dependent output maps with the Classify operation (various methods, various parameters) using the current sample set as input. To create a dependent output map, click the Define button in the Classify dialog box; you will just create the definition for an output map. In this way various dependent output maps may exist only by their object definition file and are not yet calculated and stored on disk.

If you then add these dependent maps to a pixel info window, you can already see the results of classifying while still busy with the sampling process.

General introduction to classification methods:

All classification methods calculate the means per band for each class of training pixels as defined in the sample set. The set of means per class is called a class mean below; this is an n-dimensional vector in the feature space, formed by n bands.

  • The Box classifier is based on the distances towards class means and, for each training class and for each band, the standard deviation of the training pixels.
  • The Minimum Distance classifier is based on Euclidean distances towards class means only.
  • Both the Minimum Mahalanobis distance classifier and the Maximum Likelihood classifier are based on the distances towards class means and the variance-covariance matrix of each class.
  • The Prior Probability classifier is the same as the Maximum Likelihood classifier but includes prior probabilities.

For the Box classifier a multiplication factor has to be specified. This factor is multiplied with the standard deviations of the classes to make the boxes around the classes a bit wider. The larger you choose the multiplication factor, the easier a pixel will be assigned to a class.

For the other classifiers a threshold distance may be specified. You should use a threshold value when pixels with a spectral signature that is not similar to any of the training classes, should not be classified. The threshold value is, for a pixel to be classified, the allowed spectral distance towards a class mean; the method of calculation spectral distances towards class means depends on the selected classification method.

When, for a pixel to be classified, the spectral distance towards a class mean:

  • is smaller than or equal to the threshold, the pixel is acceptable to be assigned this class name,

    • (when the pixel is acceptable for multiple classes, the class that is 'closest' is selected);

  • is larger than the threshold, the pixel is rejected and will not classified as that class.

The larger you choose the threshold, the easier a pixel will be assigned to a class.

If no threshold value is specified, all pixels of the image will be classified.

Examples of the meaning of a certain threshold value for map lists containing 3 or 7 bands are presented in Classify : algorithm.

In general, a 'good' threshold values does not exist prior to the classification; a 'good' value has to be found interactively while classifying, or estimated from the training pixels in the input sample set.

Box classifier:

For each class, multi-dimensional boxes are drawn around class means based on the standard deviation of the training pixels in each band. The user can insert a multiplication factor (usually > 1) to make all boxes a bit wider.

  • If the spectral values of a pixel to be classified fall inside a box, then that class name is assigned.
  • If the spectral values of a pixel fall within multiple boxes, the class name of the box with the smallest product of standard deviations is assigned (i.e. class name of the box with the smallest n-dimensional 'volume').
  • If the spectral values of a pixel do not fall within any class box, the undefined value is assigned.

The default multiplication factor is Ö3 for 3 bands.

Minimum Distance to Mean classifier:

For the spectral values of a pixel to be classified, the distances towards the class means are calculated.

  • If the shortest (Euclidean) distance to a class mean is smaller than the user-defined threshold, then this class name is assigned to the output pixel.
  • Else the undefined value is assigned.

Minimum Mahalanobis Distance classifier:

For the spectral values of a pixel to be classified, the distances towards the class means are calculated as Mahalanobis distance. The Mahalanobis distance depends on the distances towards class means and the variance-covariance matrix of each class.

  • The class name with the shortest Mahalanobis distance is assigned, if this distance is smaller than the user-defined threshold value.
  • Else, the undefined value is assigned.

Maximum Likelihood classifier:

The Maximum Likelihood classification assumes that spectral values of training pixels are statistically distributed according to a 'multi-variate normal (Gaussian) probability density function'.

For each set of spectral input values, the distance towards each of the classes is calculated using Mahalanobis distance. Another factor is added to compensate for within class variability.

  • The class name with the shortest distance is assigned, if this distance is smaller than the user-defined threshold value.
  • Else, the undefined value is assigned.

Maximum Likelihood classifier including Prior Probabilities:

This classification method is similar to the Maximum Likelihood classification but includes a user-defined multiplication factor for each class: the prior probabilities.

Prior probability values can be used to favor certain classes above others, e.g. in case of spectral overlap, on the basis of a priori knowledge. For example, classes which are known to cover large parts of the study area (high frequency), can be given a higher prior probability value.

Prior Probabilities should be listed in a value column of a table, where the table should use the same domain as the sample set. The column then contains for each class, a prior probability value. Each probability value must be ≥ 0. Theoretically, the sum of the prior probability values of all classes should equal 1; however, if the sum of prior probability values in your column is not equal to 1, the program will internally normalize the prior probability values from 0 to 1.

For each set of spectral input values, the distance towards each of the classes is calculated using Mahalanobis distance, including a factor to compensate for within class variability, and the prior probabilities.

  • The class name with the shortest distance is assigned, if this distance is smaller than the user-defined threshold value.
  • Else, the undefined value is assigned.

For more information on classification methods, see Classify : algorithm.

Input requirements:

A sample set is required. The standard deviation of each class of training pixels should be > 0 in every band.

For Prior Probability classification, also a table (same domain as sample set) is required; the table should contain a value column that contains for each class a prior probability value (values ≥ 0).

Domain and georeference of output map:

The output map uses the same domain as the sample set.

The output map uses the same georeference as the input maps of the sample set.

Tips:

  • Classification relies on the spectral separability of classes. Heterogeneous classes that contain elements of many other classes, for example towns (mixture of roofs, roads, forest, grass, water etc.), are in general difficult to classify. If all town pixels are to be classified as town, then elsewhere the forest, grass and water pixels are likely to be misclassified.
  • The spectral values of pixels at the border of 2 distinct classes are usually influenced by both classes. In a feature space, these pixels are usually positioned in between the 2 classes. During classification such pixels may obtain the undefined value as they are not similar enough to either class.
  • The spectral values of elongated terrain objects, such as roads, having a width smaller than the image's pixel size, are usually influenced by the spectral values of surrounding pixels. Elongated features may therefore be difficult to classify. Classification is mainly suitable for classes that form areas in the terrain.
  • To assess the accuracy of a classification, you can prepare a confusion matrix. For more information, see How to calculate a confusion matrix or Table window - View menu : Confusion matrix.

See also:

Classify : dialog box

Classify : command line

Classify : algorithm


Classify : dialog box

Classify

Dialog box

The classify operation performs a multi-spectral image classification according to training pixels in a sample set. The following classification methods can be used: Box classifier, Minimum distance, Minimum Mahalanobis distance, Maximum Likelihood, and Maximum Likelihood with Prior Probabilities.

Dialog box options:

Sample set:

Select an input sample set. Open the list box and select the desired sample set, or drag a sample set directly from the Catalog into this box.

Classification method:

Select a classification method: Box Classifier, Minimum Distance, Minimum Mahalanobis Distance, Maximum Likelihood or Prior Probability. For more information, see Classify : functionality.

Multiplication factor:

For the Box Classifier method, type a multiplication factor, usually larger than 1.

The multiplication factor allows you to make boxes drawn around class means on the basis of their standard deviations a bit wider.

Threshold distance:

For the Minimum Distance, Minimum Mahalanobis distance, Maximum Likelihood and Prior Probability classification methods:

  • Select this check box and subsequently type a threshold distance when pixels with a spectral signature that is not similar to any of the training classes, should not be classified.

      • When, for a pixel to be classified, the spectral distance towards a class mean:

    • is smaller than or equal to the threshold, the pixel is acceptable for that class; the pixel will be classified as that class when there is no other class at an even smaller spectral distance;
    • is larger than the threshold, the pixel is rejected and will not classified as that class.
  • Clear this check box when all pixels should be classified.

Tips:

  • The larger you choose the threshold value, the more pixels will be classified.
  • The calculation of spectral distances towards class means depends on the selected classification method.
  • For an example of the meaning of the threshold value for the Minimum Distance classifier, see Classify : algorithm.

Table:

For the Prior Probability classification method: select the table which contains the column with the prior probability values.

The table must use the same class domain as the sample set.

Column:

For the Prior Probability classification method: select the column with the prior probability values.

Ideally, the sum of probabilities equals 1. When this is not the case, the program will internally normalize the probability values.

Output raster map:

Type a name for the output raster map that will contain the outcome of the classification.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Tip:

To assess the accuracy of the classification, you can prepare a confusion matrix. For more information, see How to calculate a confusion matrix.

See also:

Classify : functionality

Classify : algorithm


Classify : command line

Classify

Command line

The Classify operation can be directly executed by typing one of the following expressions on the command line of the Main Window:

OUTMAP | = | MapClassify(SampleSetName, ClassifierBox(factor))
OUTMAP | = | MapClassify(SampleSetName, ClassifierMinDist())
OUTMAP | = | MapClassify(SampleSetName, ClassifierMinDist(threshold))
OUTMAP | = | MapClassify(SampleSetName, ClassifierMinMahaDist())
OUTMAP | = | MapClassify(SampleSetName, ClassifierMinMahaDist(threshold))
OUTMAP | = | MapClassify(SampleSetName, ClassifierMaxLikelihood())
OUTMAP | = | MapClassify(SampleSetName, ClassifierMaxLikelihood(threshold))
OUTMAP | = | MapClassify(SampleSetName, ClassifierPriorProb(TableName, ColumnName))
OUTMAP | = | MapClassify(SampleSetName, ClassifierPriorProb(threshold, TableName, ColumnName))

where:

OUTMAP

is the name of your output raster map.

MapClassify

is the command to start the Classify operation.

SampleSetName

is the name of your input sample set which contains the training pixels; a sample set is created through sampling.

ClassifierBox

is obligatory syntax for a Box classification.

ClassifierMinDist

is obligatory syntax for a Minimum Distance classification.

ClassifierMinMahaDist

is obligatory syntax for a Minimum Mahalanobis Distance classification.

ClassifierMaxLikelihood

is obligatory syntax for a Maximum Likelihood classification.

ClassifierPriorProb

is obligatory syntax for a Maximum Likelihood classification which includes prior probabilities.

factor

is an obligatory parameter for the Box classifier which allows you to widen (factor > 1) the boxes that are 'drawn' around class means; the n-dimensional size of a box depends on the standard deviations in the n input bands; real value > 0.

threshold

for the Minimum Distance, Minimum Mahalanobis distance, Maximum Likelihood and Prior Probabilities classifier:

  • Optional parameter which is used, for a pixel to be classified, to decide whether the calculated spectral distance towards a class is small enough to actually classify the pixel as that class; if the spectral distance of a pixel towards a class is larger than the threshold, the pixel will not be classified as that class; real value > 0.
  • The larger you choose the threshold, the more pixels will be classified.
  • If the threshold is not specified, all pixels will be classified.

TableName

for the Prior Probabilities classifier: the parameter which specifies the table that contains the column with the prior probability values.

ColumnName

for the Prior Probabilities classifier: the parameter which specifies the column name that contains prior probability values.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Classify : functionality


Classify : algorithm

Classify

Algorithm

The Classify operation performs a multi-spectral image classification according to training pixels in a sample set.

The following classification methods are available:

  • Box classifier, using a multiplication factor,
  • Minimum Distance, optionally using a threshold value,
  • Minimum Mahalanobis distance, optionally using a threshold value,
  • Maximum Likelihood, optionally using a threshold value,
  • Maximum Likelihood including Prior Probabilities, optionally using a threshold value.

Explanation of terms:

  • The term 'Class mean' (mi) is used for the means of the training pixels in class i for the n input bands. When for example you wish to classify an image with 7 bands, a class mean vector is a 7 x 1 vector, containing the mean values of a single class in band 1, in band 2, ..., band 7. The class means (in all input bands) of a certain class are directly visible in the Sample Statistics of your sample set.

  • The term 'Feature vector' (x) is used for the spectral values of a certain pixel to be classified in n bands. When for example you wish to classify an image with 7 bands, and a pixel to be classified has value 56 in band 1, value 88 in band 2, value 190 in band 3, ... , and value 165 in band 7, the feature vector for this pixel is a 7 x 1 vector containing values 56, 88, 190, ..., 165.

  • The optional 'threshold' value is expressed as the n-dimensional spectral distance towards a class mean; how the spectral distance is calculated depends on the selected classification method.

    • In general, it is compared whether the spectral distance of a feature vector towards a class mean is smaller than the specified n-dimensional spectral threshold distance or not:

    • if smaller, the pixel (feature vector) is acceptable for this class;

      • the pixel will be classified as this class, when there is no other class mean at an even smaller spectral distance;

    • if larger, the pixel (feature vector) is rejected for, i.e. not classified as, this class.

    Examples of the threshold value using the Minimum Distance classifier:

    1. Suppose you wish to classify an image containing 7 bands:
      • When specifying a threshold of 100, then the root of the squared sums of distances towards a class mean in all bands may not exceed 100.
      • When, for a certain feature vector to be classified, the distance (or difference) towards a certain class mean equals 3 in bands 1, 2, and 3, and equals 4 in bands 4, 5, 6, and 7, then:

        • 100 ≤ Ö(32 + 32 + 32 + 42 + 42 + 42 + 42)

        The inequality is fulfilled, thus the feature vector is accepted and the pixel will be classified as this class.

      • Similarly, a feature vector will also be accepted and classified as this class, when the distances of the feature vector towards a certain class mean equals 7 in band 1; 5 in band 2; 4 in bands 3, 4, 5; and 1 in bands 6 and 7; as

        • 100 ≤ Ö(72 + 52 + 42 + 42 + 42 + 12 + 12)

    2. Suppose you wish to classify an image with 3 bands:
      • When specifying a threshold of 100, then the root of the squared sums of distances towards a class mean in all bands may not exceed 100.
      • When, for a certain feature vector to be classified, the distance (or difference) towards a certain class mean equals 6 in two bands, and equals 5 in the other band, then:

        • 100 ≤ Ö(62 + 62 + 52)

        The inequality is fulfilled, thus the feature vector is accepted and the pixel will be classified as this class.

      • Similarly, a feature vector will also be accepted and classified as this class, when the distances of the feature vector towards a certain class mean equals 9 in one band, and equals 3 in the two other bands, as

        • 100 ≤ Ö(92 + 32 + 32)

    In case of Minimum Distance, the spectral distance of a feature vector towards a class mean is thus a simple Euclidian distance in n-dimensions, as demonstrated above. For the Minimum Mahalanobis distance or the Maximum Likelihood classifier however, the calculation of the spectral distance towards a class mean involves the variance-covariance matrix of the class; this implies a non-Euclidian distance concept.

Classification methods

Prior to any classification, empirical statistics are drawn from the training pixels in the input sample set. These sample statistics are calculated per class of training pixels and per band. For instance, for a single class (i), n mean values are calculated when there are n input bands; these n mean values together are called the class mean (vector) for that class (mi).

Depending on the selected classification method, the following statistics are calculated:

  • for each class i of training pixels
    • :

    • the means of training pixels per band (mi),
    • in case of box classifier: the variance of the training pixels per band,
    • the standard deviation of the training pixels per band (should be > 0),
    • the predominant value (mode) per band,
    • in case of Minimum Mahalanobis distance, Maximum Likelihood and Prior Probability classifier: an n x n variance-covariance matrix (Vi) which stores class variance per band, and class covariance between bands.

For each feature vector to be classified, these statistics are used to calculate the shortest 'distance' towards the training classes. All classification decisions are thus based on these statistical empirical parameters.

Box classifier:

For each class, a multi-dimensional box is drawn around the class mean.

For each class, the size of the box is calculated as:

(class mean ± standard deviation per band) * multiplication factor

  • If a feature vector falls inside a box, then the corresponding class name is assigned.
  • if a feature vector falls within two boxes, the class name of the box with the smallest product of standard deviations is assigned, i.e. the class name of the smallest box.
  • if a feature vector does not fall within a box, the undefined value is assigned.

Minimum Distance to Mean:

For each feature vector, the distances towards class means are calculated.

  • The shortest Euclidian distance to a class mean is found;
  • if this shortest distance to a class mean is smaller than the user-defined threshold, then this class name is assigned to the output pixel.
  • else the undefined value is assigned.

Minimum Mahalanobis distance:

For each feature vector, the Mahalanobis distances towards class means are calculated. This includes the calculation of the variance-covariance matrix V for each class i.

The Mahalanobis distance is calculated as:

di(x) = yTVi-1y

For an explanation of the parameters, see Maximum Likelihood classifier.

  • For each feature vector x, the shortest Mahalanobis distance to a class mean is found;
  • if this shortest distance to a class mean is smaller than the user-defined threshold, then this class name is assigned to the output pixel.
  • else the undefined value is assigned.

Maximum Likelihood:

For each feature vector, the distances towards class means are calculated. This includes the calculation of the variance-covariance matrix V for each class i.

The formula used in Maximum Likelihood reads:

di(x) = ln|Vi| + yTVi-1y

where:

di | distance between feature vector (x) and a class mean (mi) based on probabilities
Vi | the n x n variance-covariance matrix of class i, where n is the number of input bands
|Vi| | determinant of Vi
Vi-1 | the inverse of Vi
y | x - mi ; is the difference vector between feature vector x and class mean vector mi
yT | the transposed of y

  • For each feature vector x, the shortest distance di to a class mean mi is found;
  • if this shortest distance to a class mean is smaller than the user-defined threshold, then this class name is assigned to the output pixel.
  • else the undefined value is assigned.

Maximum Likelihood including Prior Probabilities:

For each feature vector, the distances towards class means are calculated. This includes the calculation of the variance-covariance matrix V for each class i. Furthermore, for each class, the prior probabilities are taken into account; these are listed in a column of a table.

The formula used in Maximum Likelihood with Prior Probabilities reads:

di(x) = ln|Vi| + yTVi-1y - 2 ln(P(Ci))

where:

P(Ci)

the prior probability for class i

For an explanation of the other parameters, see Maximum Likelihood classifier.

  • For each feature vector x, the shortest distance di to a class mean mi is found;
  • if this shortest distance to a class mean is smaller than the user-defined threshold, then this class name is assigned to the output pixel.
  • else the undefined value is assigned.

Reference:

  • Gorte, B., 1998. Probabilistic Segmentation of Remotely Sensed Images. ITC publication nr 63. ITC, Enschede. 143 pp.

See also:

Classify : functionality


Resample

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm


Resample : functionality

Resample

Functionality

The Resample operation resamples a raster map from the map's current georeference to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear interpolation, and bicubic interpolation.

In raster operations (e.g. MapCalc, Cross), all input raster maps must have the same georeference. Thus, prior to such operations, use Resample:

  • to combine raster maps from various sources, when maps use different coordinate systems (projections) or different georeferences (pixel size): resample the maps to one common georeference;
  • to combine satellite imagery of different dates or resolutions: create a georef tiepoints for each set of images, then resample the images preferably to a georef corners;
  • to combine satellite images with rasterized vector maps: rasterize the vector data on the georef tiepoints of the satellite images, or, in case you prefer North-oriented raster maps, rasterize the vector maps with a georef corners, and resample the images with the georef tiepoints to this georef corners;
  • to combine scanned photographs with rasterized vector data, or to rectify scanned aerial photographs: create a georef tiepoints, a georef direct linear or a georef orthophoto for the photo, then resample the photo to a georef corners.

Tip:

It is not advisable to use Resample to make a raster map with any georeference use a georeference 3D; use the Apply 3D operation instead.

For more information on georeference types or on creating georeferences, refer to ILWIS objects : georeferences or How to create a georeference. For more information on editing a georef tiepoints, a georef direct linear or a georef orthophoto, refer to Tiepoint editor.

Resampling methods:

To resample an image, select an input image which has a georeference (usually a georeference tiepoints), select a resampling method (nearest neighbour, bilinear, bicubic), type an output map name and select the target georeference (usually a georeference corners).

  • When using nearest neighbour resampling, the value of the input pixel closest to a new output pixel is used as output value (see Fig. 1);
  • when using bilinear resampling, the values of 4 input pixels closest to a new output pixel are used to interpolate output values (see Fig. 2);
  • when using bicubic resampling, the values of 16 input pixels closest to a new output pixel are used to interpolate output values.

For more information, see Resample : algorithm.

Fig. 1: Nearest neighbour resampling. Input pixels are represented by dashed black lines, coordinates of input pixels by black dots; output pixels are represented by red solid lines, coordinates of output pixels by red plus signs. The grey arrows indicate how output values are determined.

As you can see in Figure 1, some values of the input map may be used twice in the output map, while other input values may not be used at all.

Fig. 2: Bilinear resampling. Input pixels are represented by dashed black lines, coordinates of input pixels by black dots; output pixels are represented by solid red lines, coordinates of output pixels by red plus signs. The grey arrows indicate how output values are determined.

Input map requirements:

The input map needs to have a georeference; this is usually a georef tiepoints, a georef direct linear or a georef orthophoto.

Furthermore:

  • For nearest neighbour resampling, the input map can have any domain.
  • For bilinear resampling, the input map should be a value map or a map using the Color domain.
  • For bicubic resampling, the input map needs to be a value map.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

The output map uses the same domain as the input map. If the input map has a value domain, the value range and precision can be adjusted for the output map.

The target georeference for the output map has to be selected or created. You can usually select an existing georeference corners.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.

See also:

Resample : dialog box

Resample : command line (1)

Resample : command line (2)

Resample : algorithm

ILWIS objects : georeferences


Resample : dialog box

Resample

Dialog box

The Resample operation resamples a raster map from the map's current georeference to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear, and bicubic.

In raster operations (e.g. MapCalc, Cross), all input raster maps must have the same georeference. Thus, prior to such operations, you can use Resample:

  • to combine raster maps obtained from various sources (different projections, pixel size),
  • to combine satellite imagery of different dates or resolutions,
  • to combine satellite images or scanned photographs with existing rasterized vector data.

Furthermore, you can use Resample to rectify scanned aerial photographs.

You will usually resample raster maps from their current georeference to one common georeference corners.

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box. The input raster map(s) may not use georef None.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Resampling method:

Select a resampling method: Nearest Neighbour, Bilinear, or Bicubic.

  • For nearest neighbour resampling, the input map can have any domain.
  • For bilinear resampling, the input map should be a value map or a map using the Color domain.
  • For bicubic resampling, the input map needs to be a value map.

For more information, see Resample : functionality or Resample : algorithm.

Output raster map:

Type a name for the output raster map that will contain resampled pixels.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Georeference:

Select an existing target georeference for the output raster map(s) to which the input map(s) should be resampled; open the list box by clicking it. Or create a new georeference by clicking the little create button.

Value range:

In case the output map(s) use a value domain: accept the default value range, or specify your own range of possible values in the output map(s).

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

See also:

Resample : functionality


Resample : command line (1)

Resample

Command line (1)

The Resample operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapResample(InputMapName, Georeference, NearestNeighbour| BiLinear| BiCubic)
OUTMAP | = | MapResample(InputMapName, Georeference, NearestNeighbour| BiLinear| BiCubic, Patch| NoPatch)

where:

OUTMAP | is the name of your output raster map.
MapResample | is the command to start the Resample operation.
InputMapName | is the name of your input raster map.
Georeference | is the name of an existing target georeference that should be used for the output raster map.
NearestNeighbour | is the parameter to assign output values from the nearest pixels in the intput map.
BiLinear | is the parameter to calculate new values by a bilinear interpolation.
BiCubic | is the parameter to calculate new values by a bicubic interpolation.
Patch | is an optional parameter to have the operation first patch the input raster map, then resample it and finally unpatch it. This is the default behaviour.
NoPatch | is an optional parameter to have the operation directly resample the input raster map without patching. This will take less disk space but will usually take more time.

Tip: To use this operation on all raster maps in a map list, see Resample : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Resample : command line (2)

Resample : functionality


Resample : command line (2)

Resample

Command line (2)

To perform the Resample operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapResample(##, Georeference, NearestNeighbour| BiLinear| BiCubic))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapResample(##, Georeference, NearestNeighbour| BiLinear| BiCubic, Patch| NoPatch))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapResample | is the command to start the Resample operation.
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
Georeference | see Resample : command line (1)
NearestNeighbour | see Resample : command line (1)
BiLinear | see Resample : command line (1)
BiCubic | see Resample : command line (1)
Patch | see Resample : command line (1)
NoPatch | see Resample : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Resample : command line (1)

Resample : functionality


Resample : algorithm

Resample

Algorithm

The Resample operation resamples a raster map from the map's current georeference. to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear interpolation, and bicubic interpolation.

The resampling process consists of several steps:

  • the selected output georeference determines the number of rows and columns in the output map; thus the XY-coordinate for each output pixel is known;
  • then these positions are looked up in the original map and, according to the selected interpolation method, 1 (nearest neighbour), 4 (bilinear) or 16 (bicubic) neighbour pixels around this position in the input map are used to calculate a value for the output map.

Nearest neighbour resampling is the fastest method, but results in discontinuities because some input values may be used more than once as output value, while other input values may not be used at all. Bilinear resampling takes much less time than a bicubic resampling. A bilinear interpolation results in discontinuity of the first derivative. A bicubic interpolation remains continuous up to the second derivative.

Nearest neighbour resampling:

With nearest neighbour resampling, first the coordinate of each pixel in the output map is determined. Then, for each output pixel, the pixel value of input pixel closest to this coordinate is used as output value.

Figure 1 below shows the position of a 'new' pixel in the output map, and the position and values of 4 surrounding pixels in the input map.

Fig. 1: Nearest Neighbour resampling. The coordinates of input pixels are represented by black and grey dots. The coordinate of an output pixel is represented by a cross. The red arrow shows how the value of the nearest input pixel is assigned to the output pixel.

The value for the 'new' pixel in the output map is the value in the input map closest to the new coordinate (19).

Bilinear resampling:

With bilinear resampling, first the coordinate of each pixel in the output map is determined. Then the values of 4 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

Figure 2 below shows the position of a 'new' pixel in the output map, and the position and values of 4 surrounding pixels in the input map.

Fig. 2: Bilinear interpolation in Bilinear Resampling. The coordinates of 4 neighbouring input pixels are represented by black dots. The coordinate of an output pixel is represented by a black cross. The straight black lines represent the interpolations; intermediate answers are represented by red dots.

The value of the 'new' pixel in the output map is calculated by:

  • first 2 interpolations in y-direction (between values 15 and 17, and between values 16 and 19; resulting in two intermediate values which are represented in red),
  • then 1 interpolation in x-direction (between the two intermediate values in red).

A straight line is drawn through each set of 2 points, and from this the value of the third point is known. A bilinear interpolation should not be used when you intend to calculate a derivative of the output map.

Bicubic resampling:

With bicubic resampling, first the coordinate of each pixel in the output map is determined; then the values of 16 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

Figure 3 below shows the position of a 'new' pixel in the output map, and the position and values of 16 surrounding pixels in the input map.

Fig. 3: Bicubic interpolation in Bicubic resampling. The coordinates of 16 neighbouring input pixels are represented by black dots. The coordinate of an output pixel is represented by a black cross. The straight black lines represent the interpolations; intermediate answers are represented by red dots.

The value of the 'new' pixel in the output map is calculated by:

  • first 4 interpolations in y-direction,
  • then 1 interpolation in x-direction (between the 4 intermediate values, represented in red).

A third order polynomial is fitted through each set of 4 known points and from this the value of the fifth point is known. A bicubic interpolation gives a better estimate of the output value than a bilinear interpolation.

See also:

Resample : functionality


Epipolar Stereo Pair (operation)

Epipolar Stereo Pair

With the Epipolar Stereo Pair operation, you will create a stereo pair from two scanned aerial photographs with overlap.

In short, the process is as follows:

  • Specify the left input map and the right input map; one or both of the input maps may already have a georeference.
  • Specify the output name of the stereo pair that will be created.

Then, in the Epipolar Stereo Pair - Creation window:

  • Mark on each photograph two, three, or four fiducial marks.
  • Mark the calculated principal point of the left photograph, on the right photograph (transferred principal point).
  • Mark the principal point of the right photograph, on the left photograph (transferred principal point).
  • In case of scale differences between the two input maps, specify one or two scaling points in both photographs.

When you close the Epipolar Stereo Pair - Creation window with the Exit and Show button [image], both input photographs will be resampled to output maps, i.e. the stereo pair is calculated. Rotation differences and possible scale differences between the photographs will be removed.

A calculated stereo pair can be viewed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.

To start the Epipolar Stereo Pair operation:

  • from the Operations menu of the Main window, choose Image Processing, Epipolar Stereo Pair, or
  • in the Operation-list, double-click the Epipolar Stereo Pair item, or
  • in the Operation-tree, expand the Image Processing item and double-click the Epipolar Stereo Pair item.

Input maps and requirements:

When the Epipolar Stereo Pair is started, the Create Stereo Pair dialog box appears:

  • Specify the left input map and the right input map; one of the maps may already have a georeference.
  • Specify the output name of the stereo pair that will be created.

The operation is designed to use as input:

  • two scanned aerial photographs;
  • the photographs should at least have 50% overlap with each other,

    • (because the principal point of the left photograph must be visible in the right photograph and vice versa);

  • in each scanned photograph, at least 2 fiducial marks should be visible,

    • (i.e. either 2 or more corner fiducial marks, or 2 or more fiducial marks in the middle along an edge of the photograph).

Tip: The operation can also be used on satellite images with overlap (images from different angles), but then you have to estimate the position of rotation points (explained below).

One or both of the input photographs/images may already use a georeference tiepoints, a georef direct linear, a georef orthophoto, or a georef parallel projective. However, the photographs/images may also use georef None.

The input photographs/images may use the following domains, depending on how you wish to show the stereo pair later on:

  • when you wish to view the stereo pair later on with a stereoscope, you can use input raster maps with the Color domain, the Image domain, or another value domain.
  • when you wish to view the stereo pair later on as an anaglyph later on, you can only use raster maps with the Image domain, or with another value domain.

  • As scanned photographs/images may have a very large file size, it is advised to create Pyramid Layers for both input raster maps. This will speed up display in the Epipolar Stereo Pair - Creation window.
  • If one or both of the photographs/images was scanned in the wrong direction, you can use the Mirror Rotate operation before starting to create a stereo pair.
  • To convert a map with the Color domain to the Image domain, you can use the Color Separation operation; choose option Intensity. See also How to change the domain of a map.

Epipolar Stereo Pair - Creation window:

After the Create Stereo Pair dialog box, the Epipolar Stereo Pair - Creation window will be opened.

  • Mark on each photograph two, three, or four fiducial marks.
  • Mark the calculated principal point of the left photograph, on the right photograph (transferred principal point).
  • Mark the principal point of the right photograph, on the left photograph (transferred principal point).
  • In case of scale differences between the two input maps, specify one or two scaling points in both photographs.

When using satelling images:

  • Estimate the satellite ground track; it should run from left to right.
  • In the left image, mark a rotation point which lies on the ground track (as 'principal point'), and transfer this point to the right image (as 'transferred principal point').
  • In the right image, mark a rotation point which lies on the ground track (as 'principal point') and which lies to the right of the transferred point from the left image.

    • Transfer the rotation point from the right image to the left image (as 'transferred principal point').

Output stereo pair:

The dependent output stereo pair will be defined and calculated when you close the Epipolar Stereo Pair - Creation window with the Exit and Show button [image]:

  • Both input photographs are resampled to output raster maps. During resampling, the Bilinear interpolation method is used; for more information, see Resample : algorithm.

  • The two output raster maps will obtain the same name as the output stereo pair, followed by _Left and _Right.
  • The output maps will both obtain a new georeference of type scale_rotate. If one of the input maps already had a georeference, these coordinates will be retained in the output map.

Each input map is rotated along the vertical axis, so that the imaginary line between principal point and transferred principal point will be exactly horizontal in the output map. Furthermore, if the input photographs had scale differences and when scaling points were specified, resampling will also increase the input map with the least pixels to the size of the other input map with the most pixels. In the output maps, rotation differences along the vertical axis and possible scale differences between the input photographs will thus be removed. This means that in the two photographs the area of overlap can be viewed in stereo. See also the Additonal Info below.

Showing the stereo pair:

A calculated stereo pair can be viewed:

  • with a stereoscope in the Stereo Pair - Stereoscope window: you can use a stereoscope that is mounted on your monitor, or
  • as an anaglyph in a map window: you can use red-green or red-blue glasses.

You can screen digitize on the stereo pair:

  • after you have added a georeference to one of the output maps (in case both input maps of the stereo pair used georeference None),
  • if one of the input maps already had a georeference, you can directly start screen digitizing.

Tip: As the output maps of a stereo pair may have a very large file size, it is advised to create Pyramid Layers for both output raster maps. This will speed up the display of the stereo pair both in the Stereo Pair - Stereoscope window and in a map window.

Additional information:

The goal of making a photo pair epipolar is that after rotation around the principal points, the corresponding lines (rows) of the resampled images contain equal places in the terrain; they are only different due to different relief displacement caused by different viewing direction. The epipolar position of the two output images is after all a situation where, ideally, the parallax of terrain objects is only present in X-direction, i.e. along image rows.

See also:

Epipolar Stereo Pair : Creation window

Show stereo pair with stereoscope

Stereo Pair : Stereoscope window

Show stereo pair as anaglyph

ILWIS objects : stereo pairs


Create an epipolar stereo pair (dialog box)

Create an epipolar stereo pair

Create an epipolar stereo pair from two aerial photographs with overlap. You can view the resulting stereo pair with a stereoscope in a stereoscope window, or as an anaglyph in a map window.

This dialog box appears when creating a new stereo pair:

  • from the Operations menu of the Main window, choose Image Processing, Epipolar Stereo Pair, or
  • in the Operation-list, double-click the Epipolar Stereo Pair item, or
  • in the Operation-tree, expand the Image Processing item and double-click the Epipolar Stereo Pair item, or
  • from the File menu in an existing Epipolar Stereo Pair - Creation window, choose the New Stereo Pair command, or
  • click the New Stereo Pair button [image] in the toolbar of the Epipolar Stereo Pair - Creation window.

Dialog box options:

Left image: | Select the raster map (e.g. a scanned aerial photograph) that is positioned on the left-hand side.
Right image: | Select the raster map (e.g. a scanned aerial photograph) that is positioned on the right-hand side.
Output stereo pair: | Type a new name for the stereo pair. The (resampled) output raster maps of the stereo pair will also obtain this name followed by _Left or _Right.
Description: | Type a description for the output stereo pair. The description of a stereo pair is visible on the status bar of the Main window when moving the mouse pointer over the map in the Catalog.

Tips:

  • You should have two scanned images (for instance two aerial photographs with fiducial marks) that have overlap.
  • When you wish to view the stereo pair later on with a stereoscope, you can use input raster maps with the Color domain, the Image domain, or another value domain.
  • When you wish to view the stereo pair as an anaglyph later on, you can only use raster maps with the Image domain, or with a value domain.

The two input raster maps will be displayed in the Epipolar Stereo Pair - Creation window. You can mark the positions of the fiducial marks, the principal points, the transferred principal points, and optional scaling points.

See also:

Epipolar Stereo Pair

Epipolar Stereo Pair - Creation window

ILWIS objects : stereo pairs


Stereo pair from DTM

Functionality

Dialog box

Command line

Algorithm


Stereo pair from DTM : functionality

Stereo pair from DTM

Functionality

The Stereo pair from DTM operation creates a stereo pair from a single raster map and a Digital Terrain Model (DTM).

As input is needed:

  • a raster map that you wish to display over the terrain, for instance a scanned aerial photograph, a satellite image, or a 'normal' raster map;
  • a Digital Terrain Model (DTM), i.e. a raster map with height values. A DTM is also known as a Digital Elevation Model (DEM).

Tip: It is highly recommended to select the Interpolation check box in the Properties sheet of your DTM, before you use the Stereo pair from DTM operation.

In the output stereo pair, the input photograph or image is displayed over the terrain. The output stereo pair will contain a left and a right raster map.

You can view the result in stereo, either:

  • in a Stereo Pair - Stereoscope window: use a stereoscope that is mounted onto your monitor,
  • as an Anaglyph in a map window: use red-green or red-blue glasses.

Note: With this operation, stereo vision is only achieved for height differences in terrain. When viewing an output stereo pair, you will not see the heights of objects such as buildings, trees, etc. because these heights are not included in the DTM.

Process and options:

Look angle

The input raster map will be projected twice on the terrain; the input map will be resampled into a left output raster map and a right output raster map. The shift between the left and right output map is determined by the specified look angle. The look angle thus determines the angle by which the left and the right output map are projected over the terrain.

Tips:

  • When the height differences in the DTM are small, it is advised to use a somewhat larger look angle. This will exaggerate the height differences.
  • Reversely, when the height differences in the DTM are large, you can reduce the look angle.

Look modus

You can choose to divide this look angle equally over both output maps (look modus Both), i.e. when the look angle is specified as 30°, the left output map will be projected at 15° left over the terrain, and the right output map at 15° right.

You can also choose to look entirely from the left (look modus Left): the left output map will then be projected over the terrain using the total look angle; the right output map will then be projected vertically.

Similarly, when you choose look modus Right, to have the left output map projected vertically, while the right output map is projected over the terrain using the total look angle.

Tip: When you wish to use the output stereo pair for screen digitizing later on, you can use any look modus. After displaying the stereo pair, it does not make a difference whether you screen digitize on the left or on the right output map.

Reference height

You need to provide a reference height, that is the altitude (of the DTM) that should appear at the level of your screen when viewing the stereo pair.

When viewing the stereo pair, larger height values in the DTM will appear 'outside of your monitor', while smaller height values in the DTM will appear 'inside your monitor'.

Objects in a row at reference level in the input map, will end up in the same column in a row of the left and the right output map.

Tip: For the reference height, you can choose for instance, the height of a central well recognizable object in the input photograph/image, the height of an area of interest in the input photograph/image, the average altitude in your DTM, etc.

Resample modus

For the resampling process, you can choose between:

  • Fast resampling: resampling is quick, input-driven (the estimated position of output pixels is less accurate) and biased nearest neighbour.
  • Accurate resampling: resampling is output-driven just as the Resample operation, and is therefore more accurate on the positions of output pixels. Furthermore, values in the output maps are more accurate as value maps and maps with the Color domain are resampled using bilinear interpolation; other maps will be resampled using nearest neighbour.

    Tip: For more information on accurate resampling methods, see Resample : algorithm.

The left and right output raster map form together the output stereo pair.

Input map requirements:

For the input raster map that will be displayed over the terrain:

  • In the dialog box, the input photograph, image or 'normal' raster map may use the Image domain, any other value domain, the Color domain, or the Picture domain.
  • On the command line, the input map may use any domain.
  • The input map should use a georeference that is compatible with the georeference of the DTM. This can be for instance a georeference tiepoints, a georeference direct linear or a georeference orthophoto.

The DTM should use a value domain. The area covered by the DTM should preferably be larger than the area covered by the input photograph or image. Only the parts of the photograph or image that also exist in the DTM will be displayed in the output stereo pair.

Note:

To obtain an output stereo pair in which the height differences are continuous, i.e. smoothly spread over the input photograph or image:

  • make sure the Interpolation check box in the DTM's Properties sheet is selected,
  • use a DTM with a good precision for the height values (for instance a precision of 0.1 or 0.01).

Tips:

  • Instead of an input photograph or image, you can also use a shadow map as input and a DTM. A shadow map can be obtained by filtering the DTM with the Shadow filter; create a new domain during Filtering and link this domain (through the Domain Properties) to system representation Gray. After the Stereo pair from DTM operation, you can view the shadow map in stereo.
  • Instead of an input DTM, you can also use a value map, or a value column in an attribute table of a class or ID map, which does not contain height values but another type of values. These values will then be used as 'height' differences. With the Stereo pair from DTM operation, you can then display for instance a photo or an image, or the value map itself, on top of these (attribute) values.

Output objects:

A dependent stereo pair is created which will contain:

  • a left output raster map and a right output raster map;
  • the left and right output raster maps will each use a new georeference of their own; this is a georeference of type stereomate.

The output stereo pair depends on the input raster map and the DTM.

The output raster maps obtain the same name as the output stereo pair; the left output raster map name is followed by '_Left', the right output raster map name is followed by '_Right'.

The dependency links of the output maps are always broken, so that the output maps are editable.

Tips:

  • To create a stereo pair from two photographs or images with overlap: use the Epipolar stereo pair operation.

See also:

Stereo pair from DTM : dialog box

Stereo pair from DTM : command line

Stereo pair from DTM : algorithm

ILWIS objects : stereo pairs

Stereoscope

Stereoscope window

Anaglyph


Stereo pair from DTM : dialog box

Stereo pair from DTM

Dialog box

The Stereo pair from DTM operation creates a stereo pair from a single raster map and a Digital Terrain Model (DTM). The photograph or image will be displayed over the terrain; the result can be viewed in stereo.

Dialog box options:

Input raster map:

Select an input raster map, i.e. a single scanned aerial photograph, a satellite image, or a normal raster map. The map should use the Image domain, any other value domain, the Color domain, or the Picture domain. Open the list box and select the desired input map, or drag a raster map directly from a Catalog into this box.

On the commmand line, there are no restrictions on the domain type of the input map.

DTM:

Select an input Digital Elevation Model (DTM) (raster value map).

If the DTM does not cover the entire area of the input raster map, then the parts of the input raster map for which no DTM value can be found will appear black in the output stereo pair.

A Digital Terrain Model is also known as a Digital Elevation Model (DEM).

Tip: It is highly recommended to have the Interpolation check box selected in the Properties sheet of your DTM.

Look angle:

Specify a value between 0 and 90° for the total angle of 'projection' of the two output raster maps which together will form the output stereo pair. For more information, refer to Stereo pair from DTM : functionality.

Reference height:

Specify a height value (of your DTM) that should appear at 'ground' level of your monitor when inspecting the stereo pair. Larger height values in the DTM will appear 'outside of your monitor'; smaller height values in the DTM will appear 'inside your monitor'.

Look modus:

Select how the Look angle should be divided over the two output raster maps that will form the stereo pair.

Left:

The left output raster map will be 'projected' using the total Look angle; the right output raster map will be 'projected' vertically.

Both:

The left and the right output raster map will each be 'projected' using half the Look angle.

Right:

The left output raster map will be 'projected' vertically; the right output raster map will be 'projected' using the total Look angle.

Resample modus:

Select the method to resample the input raster map into two output raster maps which together will form the output stereo pair.

Fast:

For quick resampling. Resampling is input-driven (the estimated position of output pixels is less accurate) and biased nearest neighbour.

Accurate:

For slow but accurate resampling. Resampling is output-driven just as the Resample operation; value maps and maps with the Color domain are resampled using bilinear interpolation; other maps are resampled using nearest neighbour.

Output stereo pair:

Type a name for the stereo pair. The (resampled) output raster maps of the stereo pair will also obtain this name, followed by _Left or _Right.

Description:

Optionally, type a description for the output stereo pair. The description will appear in the status bar of the Main window when moving the mouse pointer over the stereo pair in a Catalog. If no description is supplied, the output stereo pair will use its own definition as description.

When you click the Show button, two output raster maps and the output stereo pair will be defined, calculated and shown. When you click the Define button, the output stereo pair will only be defined; if necessary, the two output raster maps and thus the stereo pair will be calculated later, for instance when the stereo pair is opened to be displayed.

You can view the calculated result either:

  • in a Stereo Pair - Stereoscope window:

    • you will be able to view the height differences in the stereo pair by using a stereoscope that is mounted onto your monitor.

  • as an Anaglyph in a map window:

    • the anaglyph is either displayed in Red-Green or in Red-Blue;
    you will be able to view the height differences in the stereo pair by using red-green or red-blue glasses.

See also:

Stereo pair from DTM : functionality


Stereo pair from DTM : command line

Stereo pair from DTM

Command line

The Stereo pair from DTM operation can be directly executed by typing the following expression on the command line of the Main window:

OUTSTEREOPAIR | = | StereoPairFromDTM(InputMapName, DTM)
OUTSTEREOPAIR | = | StereoPairFromDTM(InputMapName, DTM [, Look angle [, Reference height [, Look modus [, Resample modus]]]] )

where:

OUTSTEREOPAIR

The name of the output stereo pair.

StereoPairFromDTM

The command to start the Stereo pair from DTM operation.

InputMapName

The name of your input raster map (any domain) from which you wish to create a stereo pair.

DTM

The name of your DTM, i.e. a raster map with any value domain, i.e. also maps with the Image domain, the Byte domain etc. are allowed.

If you wish to use attribute values of a class map etc. as 'height' value, you can use: tablename.columnname.

Look angle

Optional parameter; specify a value between 0 and 90° for the total angle of 'projection' of the two output raster maps which together will form the output stereo pair. For more information, refer to Stereo pair from DTM : functionality.

When the Look angle is not specified, 30° will be used.

Reference height

Optional parameter to specify a height value (of your DTM) that should appear at 'ground' level of your monitor when inspecting the stereo pair. Larger height values in the DTM will appear 'outside of your monitor'; smaller height values in the DTM will appear 'inside your monitor'.

When the Reference height is not specified, a default value will be calculated from the minimum and maximum height value as found in the DTM, i.e. (min + max) / 2 .

Look modus

Left | Both | Right

Optional parameter to specify how the Look angle should be divided over the two output raster maps that will form the stereo pair.

Select either Left, Both or Right. When the Look modus is not specified, Both will be used.

Left

The left output raster map will be 'projected' using the total Look angle; the right output raster map will be 'projected' vertically.

Both

The left and the right output raster map will each be 'projected' using half the Look angle.

Right

The left output raster map will be 'projected' vertically; the right output raster map will be 'projected' using the total Look angle.

Resample modus

Fast | Accurate

Optional parameter to specify the resampling method. Select either Fast or Accurate. When the Resample modus is not specified, Fast will be used.

Fast

Parameter for quick resampling. Resampling is input-driven (the estimated position of output pixels is less accurate) and biased (nearest neighbour).

Accurate

Parameter for slow but accurate resampling. Resampling is output-driven just as the Resample operation; value maps and maps with the Color domain are resampled using bilinear interpolation; other maps are resampled using nearest neighbour.

Tip: For more information on accurate resampling methods, see Resample : algorithm.

Syntax tips:

  • If you leave out one or more optional intermediate parameters, you can type nothing or a space; however, you still must use commas to separate empty parameters.
  • Furthermore, before the last closing bracket ), a comma is not allowed. When you wish to omit one or more optional parameters at the end of the syntax, just leave them out. In other words, do not end with an empty parameter.
  • Square brackets [] should not be typed; they are only used to indicate that a parameter is optional.
  • Vertical bars | should not be typed; they are only used to indicate a choice.

The following objects will be created:

  • A stereo pair.
  • The stereo pair will contain two raster maps with the same name as the output stereo pair, followed by _Left and _Right. These raster maps are the output of resampling.
  • The output raster maps will each use a georeference of type GeorefStereoMate. The georeference of the left-hand output map has the same name as the left-hand raster map; the georeference of the right-hand output map has the same name as the right-hand raster map.

The two output raster maps, which together form the stereo pair, are always editable; their dependency links are automatically broken.

See also:

Stereo pair from DTM : functionality


Stereo pair from DTM : algorithm

Stereo pair from DTM

Algorithm

The Stereo pair from DTM operation creates a stereo pair from an input photograph or image and a Digital Terrain Model (DTM). The input photograph or image will be displayed over the terrain. The result can be viewed in stereo.

The input photo or image is draped twice, once from the left and once from the right, with a certain angle, over the terrain and is then projected onto the plane of the reference height.

The rows of the left and the right output map are created by parallel projections (at right angles to the columns) onto these two shifted planes. Relief displacement as defined by the DTM is taken into account.

This is done row by row; any row of the input map will end up in the same row in both output maps.

Depending on the terrain height, objects in a row of the input map, are shifted in X-direction (x-parallax) in the rows of the output maps. This ensures stereo vision.

An object in a row on the specified reference height will end up in exactly the same column of a row in the output maps.

Resampling:

  • Fast reampling: resampling is quick, input-driven (the estimated position of output pixels is less accurate) and biased (nearest neighbour).
  • Accurate resampling: resampling is output-driven just as the Resample operation, and is therefore more accurate on the positions of output pixels. Furthermore, values in the output maps are more accurate as value maps and maps with the Color domain are resampled using bilinear interpolation; other maps are resampled using nearest neighbour.

    Tip: For more information on accurate resampling methods, see Resample : algorithm.

Note: With this operation, stereo vision is only achieved for height differences in terrain. When viewing an output stereo pair, you will not see the heights of objects such as buildings, trees, etc. because these heights are not included in the DTM.

See also:

Stereo pair from DTM : functionality


Operations

Statistics

Histogram

Raster:

Autocorrelation - Semivariance

Variogram surface

Map List:

Principal Components

Factor Analysis

Variance-covariance

Correlation matrix

Polygons:

Neighbour polygons

Segments:

Direction histogram

Point statistics:

Spatial correlation

Variogram surface

Cross variogram

Pattern analysis


Histogram

Functionality

Dialog box

Command line

Algorithm


Histogram : functionality

Histogram

Functionality

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map. Results are presented in a histogram window, both as a table and as a graph. Summary information of a histogram of a raster map which uses a value or the Image domain, can be viewed in the properties of the histogram: mean, standard deviation, median, predominant, undefineds and percentage intervals.

Histograms of raster maps that are stored using 1 or 2 bytes per pixel are automatically calculated when needed. Thus, there is no need to perform the Histogram operation separately. You can use this operation to calculate histograms of raster maps stored with 4 or 8 bytes per pixel and to calculate histograms of polygon, segment or point maps.

A raster histogram lists the number of pixels, the percentages, and the areas per value, class or ID. For value maps (map which use a value, the image, the bit or a bool domain), also the cumulative number of pixels and cumulative percentages are calculated. Further,

  • if the input map is an image, the percentages of the total number of pixels excluding pixels with value zero are always calculated;
  • if the input map uses a bool or a value domain and if this map contains undefined values, the percentages of the total number of pixels excluding pixels with the undefined value are calculated;
  • if the input map uses a class or ID domain, the percentages of the total number of pixels excluding pixels with the undefined value are always calculated.

A polygon histogram lists the number of polygons, the perimeter and area of polygons per class, ID, or value. If the input polygon map is a value map, also the cumulative number of polygons, the cumulative perimeter and cumulative area are calculated.

A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map is a value map, also the cumulative number of segments and the cumulative length are calculated.

A point histogram lists the number of points per class, ID or value. If the input point map is a value map, also the cumulative number of points are calculated.

In the histogram window, histograms are displayed both as a table and as a graph. To protect the results of the histogram calculation, the columns in a histogram are not editable (columns are table-owned and read-only), but you can calculate new columns from the existing ones by typing Table Calculation formulas on the command line of the histogram window.

Input map requirements:

No special input requirements; a histogram can be calculated for any kind of raster, polygon, segment or point map.

Domain of output histogram table:

Always, a dependent output histogram is created with the same name as the input map. The extension of a histogram is determined by the type of input map: .HIS for raster maps, .HSA for polygon maps, .HSI for segment maps and .HSP for point maps.

  • When calculating the histogram of an image, the histogram also uses the Image domain: all values of the Image domain between 0 and 255 appear as records in the histogram table.
  • When calculating the histogram of a map which uses the Bit domain, the histogram also uses the Bit domain: all values of the Bit domain (0 and 1) appear as records in the histogram table.
  • When calculating the histogram of a map which uses a value domain, the histogram table obtains domain None. Occurring values in the input map appear in a column named Value, this column uses the same domain as the input map.
  • When calculating the histogram of a map which uses a Bool domain, the histogram table obtains domain None. Occurring values in the input map (False and True) appear in a column named Value, this column uses the same domain as the input map.
  • When calculating the histogram of a map which uses a class or ID domain, the histogram table uses the same domain as the input map.
  • When calculating the histogram of a map which uses a Picture domain, then the histogram uses the same domain as the input map: the colors appear as (Red,Green,Blue) values as records in the histogram table.

A raster histogram contains the following columns:

domain
  • if this is a histogram of a map which uses the Image domain, then all values between 0 and 255 appear as records in the histogram table;
  • if this is a histogram of a map which uses the Bit domain, then values 0 and 1 appear as records in the histogram table;
  • if this is a histogram of a map which uses a class or ID domain, then the class names or IDs appear as records in the histogram;
  • if this is a histogram of a map which uses a Picture domain, then the colors as (Red,Green,Blue) values appear as records in the histogram.
  • if this is a histogram of a map with any other domain, record numbers appear.

Value

Column Value appears in histograms of maps which use a value domain, bool domain or the color domain: each occurring value in the map is listed.

Npix

The number of pixels with a certain value or meaning (pixel frequencies).

NpixPct

The relative amount of pixels with a certain value or meaning as a percentage of the total number of pixels in the map.

PctNotZero

Column PctNotZero appears in histograms of images: the relative amount of pixels with a certain value as a percentage of the total number of pixels in the map that do not have value 0.

PctNotUnd

Column PctNotUnd appears in histograms of raster maps which use a class, ID, bool or value domain and when the maps actually contain undefined pixels: the relative amount of pixels with a certain value or meaning as a percentage of the total number of pixels in the map that are not undefined.

NpixCum

For histograms of images and value maps: the cumulative amount of pixels of pixels with this value or a smaller value.

NpCumPct

For histograms of images and value maps: the relative cumulative amount of pixels with this value or a smaller value as a percentage of the total number of pixels in the map (to determine for instance the 1%, 5%, 95%, 99% intervals).

Area

The area of pixels with a certain value or meaning as: npix* pixel size * pixel size.

A polygon histogram contains the following columns:

domain
  • if this is a histogram of a domain class or ID map, then the class names or IDs appear as domain entries in the histogram table;
  • if this is a histogram of another domain value map, then record numbers appear as domain entries in the histogram table.

Value

Column Value only appears in histograms of maps which use a value domain or a bool domain: each occurring value in the map is listed.

NrPol

The number of polygons with a certain value or meaning.

NPolCum

For polygon maps which use a value domain: the cumulative number of polygons with this value or a smaller value.

Perimeter

The perimeter of polygons with a certain value or meaning.

PerimeterCum

For polygon maps which use a value domain: the cumulative perimeter of polygons with this value or a smaller value.

Area

The area of polygons with a certain value or meaning.

AreaCum

For polygon maps which use a value domain: the cumulative area of polygons with this value or a smaller value.

A segment histogram contains the following columns:

domain
  • if this is a histogram of a domain class or ID map, then the class names or IDs appear as domain entries in the histogram table;
  • if this is a histogram of another domain value map, then record numbers appear as domain entries in the histogram table.

Value

Column Value only appears in histograms of maps which use a value domain or a bool domain: each occurring value in the map is listed.

NrSeg

The number of segments with a certain value or meaning (segment frequencies).

NrSegCum

For segment maps which use a value domain: the cumulative number of segments with this value or a smaller value.

Length

The length of segments with a certain value or meaning.

LengthCum

For segment maps which use a value domain: the cumulative length of segments with this value or a smaller value.

A point histogram contains the following columns:

domain
  • if this is a histogram of a domain class or ID map, then the class names or IDs appear as domain entries in the histogram table;
  • if this is a histogram of another domain value map, then record numbers appear as domain entries in the histogram table.

Value

Column Value only appears in histograms of maps which use a value domain or a bool domain: each occurring value in the map is listed.

NrPnt

The number of points with a certain value or meaning (point frequencies).

NrPntCum

For point maps which use a value domain: the cumulative number of points with this value or a smaller value.

Tips:

  1. In the Catalog, the following icons are used:

            2.

    for raster map histograms,

    for polygon map histograms,

    for segment map histograms,

    for point map histograms.
  2. In an existing attribute table, you can easily join for instance the Area column of a histogram, for more information refer to How to join areas from a histogram to an attribute table.
  3. To create a graph that shows several histograms, first join the necessary columns into one histogram or table.
  4. To calculate the lengths of segments in a certain area, use the Segment Density operation.
  5. To calculate the directions of segments, use the Segment Direction Histogram operation.
  6. To calculate the number of points in a certain area, use the Point Density operation.

See also:

Histogram : dialog box

Histogram : command line

Histogram : algorithm

ILWIS objects : histograms


Histogram : dialog box

Histogram

Dialog box

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map.

The results are shown in a histogram window as a table and as a graph.

Histograms of Value raster maps also contain summary information such as mean, standard deviation, and percentage intervals. The summary information is available in a histogram window as well as in the Properties of the histogram.

Dialog box options:

Input map:

Select an input raster, polygon, segment or point map. Open the list box and select the desired input map, or drag a raster, polygon, segment or point map directly from the Catalog into this box.

The output histogram always obtains the same name as the input map.

When you click the Show button, the dependent histogram will be defined, calculated and displayed in a table window. When you click the Define button, the histogram will only be defined; if necessary, it will be calculated later, for instance when the histogram is opened to be displayed.

Notes:

  • For raster maps that are stored using 1 or 2 bytes per pixel, a histogram will automatically be calculated when required. Thus, for such raster maps there is no need to perform the Histogram operation separately.
  • You can use the Histogram operation to calculate histograms for raster maps stored with 4 or 8 bytes per pixel, and to calculate histograms for polygon, segment or point maps.

See also:

Histogram : functionality


Histogram : command line

Histogram

Command line

The Histogram operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE | = | TableHistogram(InputMapName)
OUTTABLE | = | TableHistogramPnt(InputPntMapName)
OUTTABLE | = | TableHistogramPol(InputPolMapName)
OUTTABLE | = | TableHistogramSeg(InputSegMapName)

where:

OUTTABLE | is not a user-defined name of a histogram: the histogram table automatically obtains the same name as the input map.
TableHistogram | is the command to start the Histogram operation and calculate the histogram of a raster map.
TableHistogramPnt | is the command to start the Histogram operation and calculate the histogram of a point map.
TableHistogramPol | is the command to start the Histogram operation and calculate the histogram of a polygon map.
TableHistogramSeg | is the command to start the Histogram operation and calculate the histogram of a segment map.
InputMapName | is the name of your input raster map (any domain).
InputPntMapName | is the name of your input point map (any domain).
InputPolMapName | is the name of your input polygon map (any domain).
InputSegMapName | is the name of your input segment map (any domain).

You can only create histograms using the definition symbol =. The output histogram always obtains the same name as the input map and is a dependent object.

See also:

Histogram : functionality


Histogram : algorithm

Histogram

Algorithm

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map.

Results are shown in a histogram window as a table and as a graph.

Histograms of Value raster maps also contain summary information such as mean, standard deviation, and percentage intervals. Summary information is available in a histogram window as well as in the Properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a Value domain, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.
A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.
A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.

Raster map histograms are stored in .HIS and .HI#.

Polygon map histograms are stored in .HSA and .HA#.

Segment map histograms are stored in .HSS and .HS#.

Point map histograms are stored in .HSP and .HP#.

See also:

Histogram : functionality


Autocorrelation - Semivariance

Functionality

Dialog box

Command line

Algorithm


Autocorrelation - Semivariance : functionality

Autocorrelation - Semivariance

Functionality

AutoCorrelation calculates autocorrelation and semi-variogram values for a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal or vertical directions. The semi-variogram values which are a measure for the spatial variability of a raster map are calculated for the same shifts. The operation is a tool to obtain information on horizontal and vertical patterns in a raster map.

Method:

The user has to specify a maximum pixel shift, i.e. the maximum distance for which values of pixels should be compared to each other.

  1. For each pixel, the value of that pixel (at position P) is compared with the value of the pixel one column to the right (position Q: row + 1) and one row below (position R: col + 1). Figure 1 below shows the collection of horizontal pairs of pixel values (PQ) for the first row of a map for shift 1;
    • for all collected values PQ , the horizontal correlation and semi-variogram values are calculated; and
    • for all collected values PR, the vertical correlation and semi-variogram values are calculated;
    • the calculated values are shown in the output table in record number 1 (shift 1).
  2. Subsequently, for each pixel, the value of that pixel (at position P) is compared with the values of the pixel two rows to the right (position Q: row + 2) and two columns below (position R: col + 2). Figure 2 below shows the collection of horizontal pairs of pixel values for the first row of the map for shift 2;
    • again for all pairs PQ, the horizontal correlation and semi-variogram values are calculated; and
    • for all pairs PR, the vertical correlation and semi-variogram values are calculated;
    • the calculated values are shown in the output table in record number 2 (shift 2).
  3. This continues until the specified maximum pixel shift is reached.

    4. Fig. 1: Collection of horizontal pairs of pixel values PQ for the first row in a map for shift 1. | Fig 2.: Collection of horizontal pairs of pixel values PQ for the first row in the map for shift 2.

Autocorrelation and correlogram:

The method is based on the assumption that a regional variable becomes random at a great distance. The autocorrelation is a value between -1 and +1. A horizontal correlation value of 1 means a perfect correlation between pixels with a certain shift, i.e. the pixel values at P (column position P) and Q (column position P + shift) increase and decrease exactly proportionally. Variation is however rarely as regular as this. In most cases autocorrelation is large at short shifts, where the values of P and Q are similar. It decreases to 0 at larger shifts, where there is little relation. A plot of the autocorrelation against the shift is known as a correlogram.

Semi-variogram values and semi-variogram:

Semi-variogram values are a measure of variance. It is a straightforward way of measuring how a value changes between P and Q. In the calculation, it is assumed that the variance of differences only depends on the distance between P and Q. A plot of the calculated semi-variogram values against the shifts (lags or distance) is known as a semi-variogram.

The figure below shows a typical semi-variogram:

It can be seen from the figure that the curve rises from a small semi-variogram value to higher levels at larger shifts, where it levels off. This horizontal part is known as the sill. At these large values of the lag there is no spatial dependence between the data points. The estimates of variances of differences will be invariant with distance. The distance at which the semi-variogram values approach the sill is the range. The range is the important part of the variogram because it describes how inter-site differences are spatially dependent. A long range indicates high correlation, a small range indicates low correlation. Often the semi-variogram values do not approach zero at the origin; semi-variogram values may seem to intersect the positive y-axis. This can be seen as the residual, spatially uncorrelated noise, which is also knows as the nugget.

Example:

The program can be used to detect correlation between pixels at regular horizontal or vertical distance intervals. In this way repetitions, or repeated patterns in a map, can be detected. An autocorrelation graph with regular peaks at certain interval distances indicates a cyclicity in the map. For instance, a map depicting the wave height at sea in a certain area will show an increased autocorrelation at a distance equal to the wave length, when looking in a direction parallel to the propagation direction of the waves.

Input map requirements:

The input raster map needs to have the Image domain or a value domain.

Output table:

An output table with domain None is created. The table has the same number of records as the pixel shift that you specified. The record numbers in the table represent the pixel shifts. The first record in the table represents a pixel shift of 1, the second record represents a pixel shift of 2, etc., and the last record thus represents the maximum pixel shift as specified. For your convenience, a distance column has been added which shows the pixel shift values as distance values (distance = record number * pixel size).

The table contains 5 columns:

  • Column Distance shows the distance values (available when the input map uses a georeference);
  • Column HorCorr shows correlation values for horizontal shifts;
  • Column VertCorr shows correlation values for vertical shifts;
  • Column HorSemVar shows semi-variogram values for horizontal shifts;
  • Column VertSemVar shows semi-variogram values for vertical shifts.

Tips:

  1. For a better understanding it is useful to visualize autocorrelation and semi-variogram values in a graph. To visualize for instance semi-variogram values:
    • Open the output table so that it is displayed in a table window.
    • Open the File menu in the table window, select the Create Graph command: select the Distance column for the X-axis and a column with horizontal or vertical semi-variogram values for the Y-axis. A point graph will be displayed in a new graph window.
    • You can then model your experimental semi-variogram values by selecting the Add Semi-variogram Model command from the Edit menu of the graph window.

    For more information on semi-variograms, see also Spatial correlation : functionality.

  2. To visualize and determine a possible anisotropy axis, you can perform the Variogram surface operation.
  3. When you have points, you can perform the Spatial correlation operation: you can for instance calculate semi-variogram values for all or certain directions. To create points from a raster map, you can use the Raster to Points operation. Although Spatial correlation has more possibilities for points, the algorithm may become slow when there are very many points; the Autocorrelation-Semivariance operation is rather fast for large (raster) maps.

See also:

Autocorrelation - Semivariance : dialog box

Autocorrelation - Semivariance : command line

Autocorrelation - Semivariance : algorithm

Spatial correlation : functionality


Autocorrelation - Semivariance : dialog box

Autocorrelation - Semivariance

Dialog box

AutoCorrelation calculates autocorrelation and semi-variogram values for a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal or vertical directions. The semi-variogram values which are a measure of the spatial variability within a raster map are calculated for the same shifts. The operation is a tool to obtain information on horizontal and vertical patterns in a raster map.

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The raster map need to be a value map.
Maximum pixel shift: | Type a value for the maximum pixel shift (in pixels), i.e. the maximum separation distance between pixels until which correlation and semi-variogram values should be calculated. By making a graph of distance against for instance output experimental semi-variogram values, you can find until which distance, the values in the raster map are related to each other (in geostatistics, that distance is called the range). The smallest possible value which you can enter is 1 (shift of 1 pixel). The largest value which is accepted is the number of rows in the map or the number of columns in your map (the largest of these). For very large maps, the maximum pixel shift is furthermore limited to 8000.
Output table: | Type a name for the output table that will contain the autocorrelation and the experimental semi-variogram values for shifts of 1 pixel, 2 pixels, 3 pixels, etc. until the specified maximum pixel shift.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Autocorrelation - Semivariance : functionality


Autocorrelation - Semivariance : command line

Autocorrelation - Semivariance

Command line

The Autocorrelation - Semivariance operation can be directly executed by typing the following expression on the command line of the Main Window:

OUTTABLE | = | TableAutoCorrSemiVar(InputMapName)
OUTTABLE | = | TableAutoCorrSemiVar(InputMapName, max shift)

where:

OUTTABLE

is the name of the output table.

TableAutoCorrSemiVar

 | is the command to start the Autocorrelation - Semivariance operation.
InputMapName | is the name of your input raster map (value map).
max shift | is the parameter to indicate the maximum pixel shift, measured in number of pixels. When the maximum pixel shift is not specified, a maximum of 20 will be used; in case the map has either less lines or less columns than 100, a smaller default is used.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Autocorrelation - Semivariance : functionality


Autocorrelation - Semivariance : algorithm

Autocorrelation - Semivariance

Algorithm

AutoCorrelation calculates autocorrelation and semi-variogram values for a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal or vertical directions. The semi-variogram values which are a measure of the spatial variability within a raster map are calculated for the same shifts.

For each record in the output table, i.e. for all pixels that have a certain distance towards each other, the horizontal and vertical autocorrelation values, and horizontal and vertical semi-variogram values are calculated as:

where:

n | number of terms in the summations
a(p) | pixel value at position p in the input map
a(p+h) | pixel value at position p+h in the input map; this is h pixels further in either horizontal (row) or vertical (column) direction
S | summation over all pixels for which both a(p) and a(p+h) are defined.

Pixel shift:

The default value for the maximum pixel shift is usually 20. This means that correlations and experimental semi-variogram values will be calculated in horizontal and vertical directions for pixel pairs that are 1, 2, 3, until 20 pixels apart. The output table will contain 20 records; the record numbers imply the pixel shift. The Distance column gives the distance in meters; Distance = record number * pixel size of map.

  • For maps where either the number of rows or the number of columns is less than 100, a smaller default for the maximum pixel shift is provided.
  • The maximum value that will accepted for the maximum pixel shift is the number of rows in your map or the number of columns in your map (the largest of these). Obviously, pixel pairs can only be found until a maximum pixel shift equal to the number of rows (= NrRows -1) for the calculations in vertical direction, and until the number of columns (= NrCols -1) for calculations in horizontal direction.
  • Furthermore, for very large raster maps, the absolute limitation for the maximum pixel shift of 8000 pixels.

Mind:

Using a small value for the maximum pixel shift will increase calculation speed for this operation as less records need to be calculated.

Example:

When a map has 200 rows and 300 columns, the maximum pixel shift that you can specify is 300. The output table will then contain 300 records. The maximum pixel shift for which horizontal autocorrelations and semi-variogram values can be calculated is 299 (pixel in first column to pixel in last column); for the horizontal columns record 300 will thus remain empty. The columns containing vertical autocorrelations and semi-variogram values will be filled up to record 199 as this is the maximum vertical distance between pixels in the map.

Process:

First, horizontal pixel pairs will be found for all horizontal distances.

For all pixel pairs which are a horizontal distance of 1 pixel apart, the horizontal autocorrelation value and the horizontal semi-variogram value are calculated. The answers appear in the first record of the table.

This is then repeated for all pixel pairs that are a horizontal distance of 2 pixels apart from each other, etc., either until the distance becomes so large that no more pixel pairs can be found for that distance or until the user-specified maximum pixel shift minus 1 is reached.

Next, internally using MirrorRotate, the map is rotated 90°, and the calculations are repeated for all pixel shifts. These answers will appear in the columns containing the autocorrelations and semi-variogram values for vertical distances.

See also:

Autocorrelation - Semivariance : functionality

Spatial correlation : functionality


Variogram surface

Functionality

Dialog box

Command line

Algorithm


Variogram surface : functionality

Variogram surface

Functionality

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the bidirectional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Concept and process:

For the Variogram surface operation, you can use a point map or a raster map as input. The map should use a value domain, or should be linked to an attribute table which contains value columns. In the remainder of the text, the words point maps, point pairs and points will be used; when using an input raster map, please read raster maps, pairs of defined input pixels and defined input pixels.

The output of the Variogram surface operation is a plot, depicted as a raster map, with the origin in the center. Each cell in the plot (each pixel in the output map) has the size of the user-specified lag spacing. The number of cells in the output surface (from the central cell at the origin towards positive and negative X and Y axes) is defined by the user-specified number of lags. The cells in the output surface thus represent directional distance classes; each cell will contain the semi-variogram value of all point pairs whose separation vector ends up in that cell/pixel (see Figures 1 to 4 below).

Fig. 1-4: Figure 1 presents 4 points (A, B, C, and D) in a point map. All point pairs are identified by a colored line: red for point pair AB, green for point pair AD, blue for point pair AC, cyan for point pair BC, magenta for point pair CD, and gray for point pair BD.
In Figure 2, the separation vectors between points of point pairs are shown in an initial plot. The colors are the same as in the previous figure.
In Figure 3, the lag spacing is shown as a gray grid. The lag spacing determines the size of the grid cells/pixels in the output surface/output raster map.
Figure 4 shows in gray the output pixels, i.e. the directional distance classes, of the surface for which a semi-variogram value will be calculated. Values are calculated from the point values of the point pairs whose separation vector ends up in that pixel. For good calculations, the semi-variogram value of a single pixel should be calculated from the values of at least 30 point pairs. The 0's indicate the position of the origin in the output map's georeference.

Process:

  • The 'separation vectors' between all input point pairs are determined, i.e. the distances and the directions between individual points in point pairs.
  • All separation vectors are 'transferred' to the framework of the output semi-variogram surface: all vectors start in the origin.
  • For each cell in the output surface, a semi-variogram value is then calculated from the values of all point pairs whose separation vectors end up in that cell/pixel.

Additional information on the output surface/raster map:

The directional distance classes which are shown as pixels in the output raster map (the variogram surface) are defined by:

  • the lag spacing: this determines the horizontal and vertical size in meters of the distance classes, i.e. the size of individual cells/pixels in the output map. When a point map is used as input, you can specify the lag spacing yourself. When the input is a raster map, then the pixel size of the input map is automatically used for the lag spacing/pixel size of the output map.
  • the number of lags: this determines the number of distance classes (cells/pixels) that appear in your output map in each of the 4 main directions away from the origin. When you use 10 lags, the output map will have 19 * 19 pixels.

    • Example: keeping in mind that the first lag is only half a lag, when using 10 lags and a lag spacing of 250 m, the semi-variogram values will be calculated for points up to 2500 - 125 = 2375 m apart in horizontal and vertical directions, and up to Ö((2375)2 + (2375)2) = 3358 m apart in diagonal directions. The output surface will not contain semi-variogram values for points that have greater distances towards each.

The output raster map uses a special kind of georeference, a georereference differential, which stores the number of lags and the lag spacing. This georeference is internally stored and therefore not available on disk. The georeference is needed to give a proper XY-orientation to the pixels in the output map, so that for instance grid lines can be overlaid and angles can be measured.

The number of rows in the output map is always equal to the number of columns in the output map, and these are always uneven. The number of rows and columns in the output map is (2 * nr lags) - 1. For limitations on the number of lags and the combination of lag spacing and number of lags that can be used, see Variogram surface : dialog box and Variogram surface : command line.

As a vector between 2 input points (A and B) may point from A to B and also from B to A, and as the output surface contains a cell for both possibilities, the output surface is symmetric in the origin. Semi-variogram values in the first quadrant of the output map also appear in the third quadrant, and semi-variogram values in the second quadrant in the output map also appear in the fourth quadrant.

The semi-variogram values in the output map can be compared to the overall variance of your input data.

Input map requirements:

The input point map should be a value map, or when a point map uses an ID domain and when the map is linked to an attribute table, you can also use a column with a value domain from the map's attribute table.

Alternatively, you can use an input raster map with a value domain, or a raster map with a linked attribute table which contains value columns. As distances and directions between defined pixels are being calculated, an input raster map may not use georeference None.

You need to specify the lag length (for an input point map) and the number of lags. On the command line, these parameters may be omitted.

Domain and georeference of output map:

The output raster map always uses system domain Value. The value range and precision can be adjusted for the output map.

The output map uses an internally defined georeference differential (not available on disk) which simply stores the lag spacing and the number of lags. The georeference is necessary to give a proper XY-orientation to the pixels in the output map. When using an input point map, the pixels in the output map have the size of the user-specified lag spacing; when using an input raster map, the pixels in the output map will automatically have the same size as the pixels in the input map. The number of rows and columns in the output map is (2 * nr of lags) - 1. The output map has a central cell/pixel at the origin.

Interpretation of anisotropy in the output map:

  • The output map can best be viewed in a map window using representation Pseudo while a histogram has been calculated. To view the coordinates and the position of the origin in the output raster map, you can add grid lines where the grid distance equals the specified lag spacing. It is important to recognize the origin of the plot/output map.
  • Semi-variogram values close to the origin of the output map are expected to be small (blue in repr. Pseudo), as values of points at very short distances to each other are expected to be similar.
  • When there is no anisotropy, semi-variogram values will gradually increase from the origin into all directions. You will thus find circle-like shapes from the origin outwards where the color gradually changes from blue at the origin to green to red away from the origin.
  • Your input data is supposed to be anisotropic when you find an ellipse-like shape of low semi-variogram values (blue in repr. Pseudo) in a certain direction going through the origin. In this direction, the semi-variogram values do not increase much. However, in the perpendicular direction, you find a clear increase of semi-variogram values: from blue at the origin to green to red away from the origin.
  • You can measure the direction of anisotropy with the Measure Distance button [image] from the toolbar of the map window, e.g. by following a 'line' of blue pixels going through the origin of the plot. The Measure Distance button measures distances and angles clockwise from the Y-axis.

You can specify this angle in the Spatial correlation operation while choosing for the bidirectional method:

  • to obtain semi-variogram values in the direction of the anisotropy as well as for the perpendicular direction,
  • to prepare the semi-variogram model in the direction of the anisotropy as well as for the perpendicular direction,
  • to investigate the range of the variable in the direction of the anisotropy as well as in the perpendicular direction.

Tips:

  1. When no points are encountered in a certain directional distance class, the semi-variogram value of that cell in the output surface will be undefined.
  2. When you find many undefined semi-variogram surface values in between few rather large semi-variogram values, you should consider to increase the lag spacing. Mind that results will be more reliable when say more than 30 point pairs are found in individual directional distance classes.
  3. When you find very many undefined semi-variogram values mainly at the outer parts of the surface, you should consider to reduce the lag spacing.
  4. When using an input point map with very many points, calculations of a large surface may take quite long. It is advised, to start using the operation with rather few lags and/or a rather small lag spacing.
  5. General explanations on semi-variogram values and semi-variogram models can be found in Spatial correlation : functionality and Graph window : Add semi-variogram model.

See also:

Variogram surface : dialog box

Variogram surface : command line

Variogram surface : algorithm

Spatial correlation : functionality

Anisotropic Kriging : functionality


Variogram surface : dialog box

Variogram surface

Dialog box

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the bidirectional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Dialog box options:

Input map:

Select an input point map or an input raster map. Open the list box and select the desired point or raster map, or drag a point or raster map directly from the Catalog into this box. You can select a point or raster map with a value domain, or a point or raster map with a class or ID domain which has a linked attribute table with values (then select an attribute column with a value domain).

Lag spacing (m):

In case of an input point map, type a value for the size of the distance classes (lags) that should be used. This also determines the pixel size of the pixels in the output map. For more information on the concept, see Variogram surface : functionality. (0 < real value < diagonal of point map; for more information on limitations, see Variogram surface : command line).

For input raster maps, the pixel size of the input map is used as the lag spacing for the output map.

Number of lags:

Type a value for the number of distance classes (lags) that should be used both in horizontal and in vertical direction away from the central pixel at the origin in the output map. Together with the lag spacing, this determines the maximum distance between points for which semi-variogram values will be calculated. The number of lags also determines the size of your output map; 10 lags will result in an output map of 19 x 19 pixels.

The maximum number of lags is limited to 45 (1 <= integer value <= 45).

However, in order to prevent the creation of output maps which contain almost no information, there are some extra limitations:

  • for an input point map, the product of the lag spacing and the number of lags may not exceed twice the length of the diagonal of the point map;
  • for an input raster map, the number of lags cannot exceed neither the number of rows nor the number of columns of the input raster map; the program will then automatically round this value down to (the minimum of) the number of rows or the number of columns in the input map.

Output raster map:

Type a name for the output raster map that will contain the semi-variogram values for directional distance classes. The output raster map will use system domain Value.

Value range:

Accept the default value range, or specify your own range of possible values in the output map.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

The output map uses an internally defined georeference (not available on disk) which simply stores the lag spacing and the number of lags, and which ensures that the output map can be displayed.

See also:

Variogram surface : functionality


Variogram surface : command line

Variogram surface

Command line

The Variogram surface operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapVariogramSurfacePnt(InputPointMap)
OUTMAP | = | MapVariogramSurfacePnt(InputPointMap, LagSpacing)
OUTMAP | = | MapVariogramSurfacePnt(InputPointMap, LagSpacing, Nr of Lags)
OUTMAP | = | MapVariogramSurfaceRas(InputRasterMap)
OUTMAP | = | MapVariogramSurfaceRas(InputRasterMap, Nr of Lags)

where:

OUTMAP

is the name of the output raster map.

MapVariogramSurfacePnt

is the command to start the Variogram surface operation with a point map as input.

MapVariogramSurfaceRas

is the command to start the Variogram surface operation with a raster map as input.

InputPointMap

is the name of the input point map with a value domain; to use a domain value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

InputRasterMap

is the name of the input point map with a value domain; to use a domain value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

LagSpacing

for input point maps only: a parameter to specify the length in meters for the directional distance classes (lags) that should be used; 0 < real value < diagonal of point map. This also determines the pixel size of the pixels in the output map.

When this parameter is not specified for an input point map, a default lag spacing is provided based on the point density in the input point map as 0.5 Ö ((point map height * point map width) / number of points) .

For input raster maps, the lag spacing and thus the pixel size of the output map is determined by the pixel size of the input map.

Nr of Lags

is a parameter to specify the number of distance classes (lags) that should be used both in horizontal and in vertical direction away from the central pixel at the origin in the output map. This also determines the number of pixels in the output map. In principle, you can use 1 to 45 lags both for point maps and for raster maps (see also limitations below). The number of pixels in the output map is defined as (2 * nr of lags) - 1.

When this parameter is not specified, 10 lags are assumed; 10 lags result in an output map of 19 x 19 'pixels'.

In order to prevent the creation of output maps which contain almost no information, there are some extra limitations on the combination of lag spacing and number of lags when using an input point map and on the number of lags when using an input raster map:

  • for an input point map, the product of the lag spacing and the number of lags may not exceed twice the length of the diagonal of the point map;
  • for an input raster map, the number of lags cannot exceed neither the number of rows nor the number of columns of the input raster map; the program will then automatically round this value down to (the minimum of) the number of rows or the number of columns in the input map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. The output map always uses an internally defined (not available on disk) georeference differential.

See also:

Variogram surface : functionality


Variogram surface : algorithm

Variogram surface

Algorithm

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the bidirectional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Process:

  • The 'separation vectors' between all input point pairs are determined, i.e. the distances and the directions between individual points in point pairs.
  • All separation vectors are 'transferred' to the framework of the output semi-variogram surface: all vectors start in the origin. For more information, see Variogram surface : functionality.
  • For each cell in the output surface, a semi-variogram value is then calculated from the values of all point pairs whose separation vectors end up in that cell/pixel. For the calculation of semi-variogram values, see Spatial correlation : functionality and Spatial correlation : algorithm.

The formula to calculate experimental semi-variogram values reads:

=

S (zi - zj)2 / 2n

where:

 | experimental semi-variogram value of points that have a certain distance (h) towards each other
zi | the value of point i
zj | the value of point j
S (zi - zj)2 | the sum of the squared differences between point values of all point pairs within a certain distance class
n | the number of point pairs within a distance class

See also:

Variogram surface : functionality

Spatial correlation : functionality

Spatial correlation : algorithm


Principal Component Analysis

Functionality

Dialog box

Command line

Algorithm


Principal Component Analysis : functionality

Principal Component Analysis

Functionality

The Principal Component Analysis operation is mathematical method to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Principal Component Analysis each variable is transformed into a linear combination of orthogonal common components (output raster maps) with decreasing variation. The linear transformation assumes the components will explain all of the variance in each variable. Hence each component (output raster map) carries different information which is uncorrelated with other components.

The input for Principal components analysis consists of a map list with raster maps from which the covariance matrix will be calculated.

The output of the principal component analysis operation is:

  • an output matrix denoting the transformation coefficients (calculated from the covariance matrix),
  • an output map list containing the set of transformed raster maps (also called the components).

The output raster maps are listed in decreasing order of variance. This enables a reduction of output maps because the last number of transformed maps have little or no variation left (may be virtually constant maps). The 'last' components thus do not add significance and may hence be discarded. During the operation, the number of output bands can be directly reduced by specifying a parameter.

The additional information of the output matrix contains furthermore the amount of variance accounted for by each component.

Note:

Just as Principal Component Analysis uses the covariance matrix to calculate the map transformations, Factor analysis uses the correlation matrix (standardized variance-covariance matrix). The difference in approach is that Principal Component Analysis is more of a mathematical manipulation whilst Factor analysis is regarded as a statistical technique (Davis, 1986).

Principal components analysis can be used for several purposes, e.g.:

  • Data compression. For example you have 7 TM bands. Using principal components most of the variance in a seven-band TM data set can be explained in two or three components.
  • Pre-processing procedure prior to classification of the data.
  • To find targets of interest, e.g., the component with the lowest variance may contain some interesting information (Mather, 1987).

Input requirements:

The operation requires a map list that contains at least 2 raster maps (bands) and, when using the dialog box, a maximum of 99 raster maps. On the command line, the maximum number of bands in the input map list is not limited.

All raster maps in the map list must use the Image domain or the same value domain, and all raster maps should have the same georeference. Undefined values in the input raster maps are ignored.

Output objects of this operation:

  1. First, the operation defines an output matrix and an output map list.
    • The output map list will obtain the same name as the matrix.

  2. When the output matrix has been calculated, it contains the eigenvectors of the calculated covariance matrix. The total variance per band is also calculated; this is shown in Additional Info pane in the matrix viewer and in the Matrix Properties.

  3. When both the output matrix and the output map list have been calculated, all output raster maps in the output map list are defined as linear combinations of the eigenvectors and the input maps.
    • The output maps obtain the same name as the matrix but the map names are followed by _1, _2, _3, etc., where for instance OutComp_1 represents the first axis, i.e. explaining the largest amount of variation of all input maps, and where OutComp_2 is the second orthogonal axis, etc.
    • When the eigenvectors to construct the first output map OutComp_1 are for instance: 0.43, 0.65, 0.63 (as the first row in the matrix); then the first output map OutComp_1 is calculated as 0.43 * InMap1 + 0.65 * InMap2 + 0.63 * InMap3.

Domain and georeference of output raster maps:

The output raster maps use the system Value domain and have the same georeference as the input raster maps.

See also:

Principal Component Analysis: dialog box

Principal Component Analysis: command line

Principal Component Analysis: algorithm

ILWIS objects : matrices


Principal Component Analysis : dialog box

Principal Component Analysis

Dialog box

The Principal Component Analysis operation is a linear transformation of a set of (satellite) raster maps to uncover relationships among many variables and to reduce the amount of data needed to define such relationships. The input raster maps are transformed, i.e. recalculated based on the covariance matrix, into output raster maps called components.

Dialog box options:

Input map list:

Select an input map list. Open the list box and select the desired map list, or drag a map list from the Catalog into the box. You can also click the create button to create a new map list.

Note: When using the dialog box, the map list cannot contain more than 99 input bands. This limitation does not exist on the command line.

Nr. of output bands:

Type a value for the desired number of output bands.

Output matrix:

Type a name for the output matrix which will contain the transformation coefficients. The output map list will obtain the same name as the matrix; the output raster maps in the output map list will also obtain the name of the matrix followed by _1, _2, _3, etc.

Description:

Optionally, type a description for the output matrix. The description will appear in the status bar of the Main window when moving the mouse pointer over the matrix in a Catalog.

When you click the Show button, the dependent output matrix will be defined, calculated and shown. Furthermore, the dependent output map list will be defined.

When you click the Define button, the dependent output matrix will only be defined; if necessary, the matrix will be calculated later, for instance when the matrix is opened to be displayed. Furthermore, the dependent output map list will be defined.

The dependent raster maps of the dependent output map list will only be calculated when the map list is opened, e.g. by double-clicking the map list in a Catalog.

See also:

Principal Component Analysis : functionality


Principal Component Analysis : command line

Principal Component Analysis

Command line

The Principal Component Analysis operation can be directly executed by typing one of the following expressions on the command line of the Main Window:

OUTMATRIX | = | MatrixPrincComp(InputMaplist)
OUTMATRIX | = | MatrixPrincComp(InputMaplist, nr of output bands)

where:

OUTMATRIX | is the name of the output matrix; the output map list will obtain the same name; the output raster maps also use this name followed by _1, _2, _3, etc.
MatrixPrincComp | is the command to start the Principal Components operation.
InputMaplist | is the name of the input map list; all raster maps in the input map list must use the Image domain or the same value domain, and have the same georeference. If you like you can also define a map list on the fly as: mlist(map1, map2, ...) where mlist is fixed syntax to define a temporary map list without name, and where map1, map2 etc. are the names of the raster maps that should be part of the map list.
nr of output bands | is an optional parameter to specify the number of desired output bands (1 <= integer value <= nr of input bands). If not specified, the same number of output bands will be defined as found in the input map list.

When the definition symbol = is used:

  • A dependent output matrix will be created containing the Principal Components Analysis coefficients.
  • A dependent output map list is automatically created (defined); it will contain the resulting transformed raster maps (principal components). The definition of the output map list reads:

    • OUTMAPLIST

    =

    MapListMatrixMultiply(InputMapList, OUTMATRIX, nr of output maps)

When the assignment symbol := is used:

  • The dependency link of the output matrix will be immediately broken after the output matrix has been calculated.
  • The dependent map list will be created as above.

The dependent raster maps of the dependent output map list will only be calculated when the map list is opened, e.g. by double-clicking the map list in a Catalog.

See also:

Principal Component Analysis : functionality


Principal Component Analysis : algorithm

Principal Component Analysis

Algorithm

The Principal component analysis operation results in a linear transformation of a set of (satellite) raster maps. The map values are transformed into raster map values, called components.

The following steps apply:

  1. The covariance matrix of the input raster maps is computed.
  2. The orientation of the components is computed based on the eigenvectors and eigenvalues of the covariance matrix.
  3. The vectors in each column are normalized. The normalized values are the principal component analysis coefficients.

    4. With two input raster maps the principal components analysis coefficients matrix looks like:

    where:

    a1 and a2 | = | coefficients of the first component
b1 and b2 | = | coefficients of the second component.

    With M bands an MxM matrix of principal component analysis coefficients is calculated.

  4. A map list is created which contains an expression with which the transformed raster maps (factors) can be defined and calculated.

    5. The expression in the map list reads:

    MapListMatrixMultiply(InputMapList, PrincipalComponentsMatrix, nr of output maps)

  5. When the map list is opened, the pixel values of the input maps are transformed into the new raster maps (principal component):

    6. where:

    x and y | = | spectral values in the first and second component
X and Y | = | spectral values in the two input raster maps
a1 and a2 | = | coefficients of the first component
b1 and b2 | = | coefficients of the second component.

References:

  • Davis, J.C. 1986. Statistics and data analysis in geology. John Wiley & Sons, Inc., New York.

See also:

Principal Component Analysis: functionality


Factor analysis

Functionality

Dialog box

Command line

Algorithm


Factor analysis : functionality

Factor analysis

Functionality

The Factor analysis operation is used to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Factor analysis each variable is transformed into a linear combination of orthogonal common factors (output raster maps) with decreasing variation. The linear transformation assumes the factors will explain all of the correlation in each variable. Hence each factor (output raster map) carries different information which is uncorrelated with other factors.

The input for Factor analysis consists of a map list with raster maps from which the correlation matrix will be calculated.

The output of the Factor analysis operation is:

  • an output matrix denoting the transformation coefficients (calculated from the correlation matrix),
  • an output map list containing the set of transformed raster maps (also called factors).

The output raster maps are listed in decreasing order of variance. This enables a reduction of output maps because the last number of transformed maps have little or no variation left (may be virtually constant maps). The 'last' factor maps thus do not add significance and may hence be discarded. During the operation, the number of output bands can be directly reduced by specifying a parameter.

The additional information of the output matrix contains furthermore the amount of variance accounted for by each factor map.

Note:

Just as Factor analysis uses the correlation matrix (standardized variance-covariance matrix) to calculate transformed raster maps, Principal components analysis uses the variance-covariance matrix. The difference in approach is that Factor analysis is regarded as a statistical technique, whereas the Principal Component operation is more a mathematical manipulation (Davis, 1986).

Factor analysis can be used for several purposes, e.g.:

  • for separating derivatives within a single population. A typical example in geology is the discrimination between rock types based on chemical analysis of samples representing a magmatic differentiation sequence (Davis, 1973).
  • as a pre-processing procedure prior to classification of data.

Input requirements:

The operation requires a map list that contains at least 2 raster maps (bands) and, when using the dialog box, a maximum of 99 raster maps. On the command line, the maximum number of bands in the input map list is not limited.

All raster maps in the map list must use the Image domain or the same value domain, and all raster maps should have the same georeference. Undefined values in the input raster maps are ignored.

Output objects of this operation:

  1. First, the operation defines an output matrix and an output map list.
    • The output map list will obtain the same name as the matrix.

  2. When the output matrix has been calculated, it contains the eigenvectors of the calculated correlation matrix. The total variance per band is also calculated; this is shown in Additional Info pane in the matrix viewer and in the Matrix Properties.

  3. When both the output matrix and the output map list have been calculated, all output maps in the output map list are defined as linear combinations of the factor loadings and the input maps.
    • The output maps obtain the same name as the matrix but the map names are followed by _1, _2, _3, etc., where for instance OutFactor_1 represents the first factor, OutFactor_2 the second uncorrelated factor, etc.
    • When the factor loadings to construct the first output map OutFactor_1 are for instance: 0.43, 0.65, 0.63 (as the first row in the matrix); then the first output map OutFactor_1 is calculated as 0.43 * InMap1 + 0.65 * InMap2 + 0.63 * InMap3.

Domain and georeference of output raster maps:

The output raster maps use the system Value domain and have the same georeference as the input raster maps.

See also:

Factor analysis : dialog box

Factor analysis : command line

Factor analysis : algorithm

ILWIS objects : matrices


Factor analysis : dialog box

Factor analysis

Dialog box

The Factor analysis operation is a linear transformation of a set of (satellite) raster maps to uncover relationships among many variables and to reduce the amount of data needed to define such relationships. The pixel values of the input raster maps are transformed, i.e. recalculated based on the correlation matrix, into output raster maps called factors.

Dialog box options:

Input map list:

Select an input map list. Open the list box and select the desired map list, or drag a map list from the Catalog into the box. You can also click the create button to create a new map list.

Note: When using the dialog box, the map list cannot contain more than 99 input bands. This limitation does not exist on the command line.

Nr. of output bands:

Type a value for the desired number of output bands.

Output matrix:

Type a name for the output matrix which will contain the transformation coefficients. The output map list will obtain the same name as the matrix; the output raster maps in the output map list will also obtain the name of the matrix followed by _1, _2, _3, etc.

Description:

Optionally, type a description for the output matrix. The description will appear in the status bar of the Main window when moving the mouse pointer over the matrix in a Catalog.

When you click the Show button, the dependent output matrix will be defined, calculated and shown. Furthermore, the dependent output map list will be defined.

When you click the Define button, the dependent output matrix will only be defined; if necessary, the matrix will be calculated later, for instance when the matrix is opened to be displayed. Furthermore, the dependent output map list will be defined.

The dependent raster maps of the dependent output map list will only be calculated when the map list is opened, e.g. by double-clicking the map list in a Catalog.

See also:

Factor analysis : functionality


Factor analysis : command line

Factor analysis

Command line

The Factor analysis operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMATRIX | = | MatrixFactorAnal(InputMaplist)
OUTMATRIX | = | MatrixFactorAnal(InputMaplist, nr of output bands)

where:

OUTMATRIX | is the name of the output matrix; the output map list will obtain the same name; the output raster maps also use this name followed by _1, _2, _3, etc.
MatrixFactorAnal | is the command to start the Factor analysis operation.
InputMaplist | is the name of the input map list; all raster maps in the input map list must use the Image domain or the same value domain, and have the same georeference. If you like you can also define a map list on the fly as: mlist(map1, map2, ...) where mlist is fixed syntax to define a temporary map list without name, and where map1, map2 etc. are the names of the raster maps that should be part of the map list.
nr of output bands | is an optional parameter to specify the number of desired output bands (1 <= integer value <= nr of input bands). If not specified, the same number of output bands will be defined as found in the input map list.

When the definition symbol = is used:

  • A dependent output matrix will be created containing the Factor Analysis coefficients.
  • A dependent output map list is automatically created (defined); it will contain the resulting transformed raster maps (factor maps). The definition of the output map list reads:

    • OUTMAPLIST

    =

    MapListMatrixMultiply(InputMapList, OUTMATRIX, nr of output maps)

When the assignment symbol := is used:

  • The dependency link of the output matrix will be immediately broken after the output matrix has been calculated.
  • The dependent map list will be created as above.

The dependent raster maps of the dependent output map list will only be calculated when the map list is opened, e.g. by double-clicking the map list in a Catalog.

See also:

Factor analysis : functionality


Factor analysis : algorithm

Factor analysis

Algorithm

The Factor analysis operation results in a linear transformation of a set of (satellite) raster maps. The map values are transformed into raster map values, called factors.

The following steps apply:

  1. The correlation matrix of the input raster maps is computed.
  2. The orientation of the factors is computed based on the eigenvectors and eigenvalues of the correlation matrix.
  3. The vectors in each column are normalized. The normalized values are the factor analysis coefficients.

    4. Looking at two input raster maps the factor analysis coefficients matrix looks like:

    where:

    a1 and a2 | = | coefficients of the first factor (factor loadings)
b1 and b2 | = | coefficients of the second factor (factor loadings)

    If M bands are used, an MxM matrix of factor analysis coefficients is computed.

  4. A map list is created which contains an expression with which the transformed raster maps (factors) can be defined and calculated.

    5. The expression in the map list reads:

    MapListMatrixMultiply(InputMapList, FactorAnalysisMatrix, nr of output maps)

  5. When the map list is opened, the pixel values of the input maps are transformed into the new raster maps (factors):

    6. where:

    x and y | = | spectral values in the first and second factor (output maps)
X and Y | = | spectral values in the two input raster maps
a1 and a2 | = | coefficients of the first factor
b1 and b2 | = | coefficients of the second factor.

References:

  • Davis, J.C. 1986. Statistics and data analysis in geology. John Wiley & Sons, Inc., New York.

See also:

Factor analysis: functionality


Variance-Covariance matrix

Functionality

Dialog box

Algorithm


Variance-Covariance matrix : functionality

Variance-Covariance matrix

Functionality

The variance-covariance operation calculates variances and covariances of a number of raster maps in a map list. The variance is a means to express the variation of pixel values within a single raster map, i.e. a measure of the variation to the mean of the DN (Digital Number) values in a raster map. The covariance is a measure to express the variation of pixel values in two raster maps. It denotes the joint variation to the common mean of pixel values of the maps.

The resulting covariance matrix contains computed variances and covariances. Furthermore, the mean and standard deviation of each individual raster map is calculated and shown.

General information:

The following shows how the covariance matrix is composed for three raster maps (band1, band2, band3):

 | band1 | band2 | band3
band1 | Var1 | CoVar1-2 | CoVar1-3
band2 | CoVar2-1 | Var2 | CoVar2-3
band3 | CoVar3-1 | CoVar3-2 | Var3

The diagonal elements (Var) present the respective variances of the bands. The off-diagonal elements (CoVar) present the respective covariances of band pairs. Since covariance calculations are symmetric, the covariance matrix is also, e.g. CoVar1-2 is identical to Covar2-1.

Input requirements:

The operation requires a map list in which all raster maps use the Image domain or the same value domain, and the same georeference. Pixels in the input maps that have the undefined value are ignored in the calculation.

Output matrix:

After performing the operation, the covariance matrix, and the mean and standard deviation of the individual raster maps are shown on the screen. To show the matrix once more after closing this window, you have to perform the operation again. The values of the covariance matrix are stored by the object definition file of the map list (.MPL). When the map list contains a single raster map the resulting matrix will only contain the variance of the map.

Furthermore, after calculating a covariance matrix or a correlation matrix, the Properties dialog box of the input map list shows you the Optimum Index Factors, i.e. the combinations of three input maps with largest sum of standard deviations and smallest correlation. This can give you an indication which raster maps to use to create a color composite. For more information, see Optimum Index Factor : functionality / algorithm.

Note:

As the output covariance matrix is not stored as a separate object, this operation cannot be executed from the command line.

See also:

Variance-Covariance matrix : dialog box

Variance-Covariance matrix : algorithm


Variance-Covariance matrix : dialog box

Variance-Covariance matrix

Dialog box

The Variance-Covariance operation calculates variances and covariances of a number of raster maps in a map list. The variance is a means to express the variation of pixel values within a single raster map, i.e. a measure of the variation to the mean of the DN (Digital Number) values in a raster map. The covariance is a measure to express the variation of pixel values in two raster maps. It denotes the joint variation to the common mean of pixel values of the maps.

Dialog box options:

Map list:

Select an input map list (open the list box and select the desired map list, or drag a map list from the Catalog into this list box) or create a new map list by clicking the create button. All raster maps in the map list must use the Image domain or the same value domain and must have the same georeference.

When you click the OK button, the covariance matrix is calculated and shown. The matrix is not stored as a separate object, but the matrix values are stored by the object definition file of the map list (.MPL). To show the matrix once more after you closed the matrix window, you have to perform the operation again.

See also:

Variance-Covariance matrix : functionality


Variance-Covariance matrix : algorithm

Variance-Covariance matrix

Algorithm

Variances and covariances are computed for M bands in the map list. The result is presented as a M x M covariance matrix.

The values of the covariance matrix are calculated according to the following formulae:

where:

xb | = | pixel values in map b.
N | = | the number of pixels which are not undefined.

and

where:

xb1 | = | pixel values in map b1.
xb2 | = | pixel values in map b2.
N | = | the number of pixels which are not undefined.

See also:

Variance-Covariance matrix : functionality


Correlation matrix

Functionality

Dialog box

Algorithm


Correlation matrix : functionality

Correlation matrix

Functionality

The operation calculates correlation coefficients of raster maps in a map list. Correlation coefficients characterize the distribution of pixel values in two raster maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Analyzing satellite data the images often show a degree of correlation. This means that when spectral values in one band are high the values in another band are expected to be high as well. Plotting values from highly correlated bands in a feature space will result in an ellipsoid denoting that the two bands contain dependent information. From a set of highly correlated bands only one adds real value whilst the other ones may be derived or estimated. Calculating a correlation matrix helps to detect the redundancy and identifies possible reductions in the number of bands, e.g., to be used in a color composite.

Correlation coefficients are normalized covariance values. A correlation coefficient ranges from -1 to +1. Diagonal elements are always 1. A correlation close to +1 indicates a direct relationship between two bands. This suggests that if the reflectance (DN) of a pixel in one band is known, the reflectance of that pixel in the other band can be derived or estimated. A correlation close to -1 indicates an inverse relationship between the reflectance values of one band and the reflectance values in the other one.

Example:

The following example shows a correlation matrix for 4 input bands. Bands 1 and 2 are highly correlated with a correlation coefficient of 0.97. Bands 1 and 4 seem independent with a correlation coefficient of -0.10.

 | band 1 | band 2 | band 3 | band 4
band 1 | 1.00 | 0.97 | 0.50 | -0.10
band 2 | 0.97 | 1.00 | 0.43 | -0.21
band 3 | 0.50 | 0.43 | 1.00 | 0.83
band 4 | -0.10 | -0.21 | 0.83 | 1.00

The high correlation between band 1 and band 2 suggests the removal of one of these bands; in a color composite use band 1 or band 2, and band 3 and band 4.

Input map requirements:

The operation requires a map list in which all raster maps use the Image domain or the same value domain and the same georeference. Pixels in the input maps that have the undefined value are ignored in the calculation.

Output matrix:

After performing the operation, the correlation matrix, and the mean and standard deviation of each individual raster map are shown on the screen. To show the matrix once more after closing this window, you have to perform the operation again. The values of the correlation matrix are stored by the object definition file of the map list (.MPL).

Furthermore, after calculating a correlation matrix or a covariance matrix, the Properties dialog box of the input map list shows you the Optimum Index Factors, i.e. the combinations of three input maps with largest sum of standard deviations and smallest correlation. This can give you an indication which raster maps to use to create a color composite. For more information, see Optimum Index Factor : functionality / algorithm.

Note:

As the output correlation matrix is not stored as a separate object, this operation cannot be executed from the command line.

See also:

Correlation matrix : dialog box

Correlation matrix : algorithm


Correlation matrix : dialog box

Correlation matrix

Dialog box

The Correlation matrix operation calculates correlation coefficients of the raster maps in a map list. Correlation coefficients characterize the distribution of pixel values in two raster maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Dialog box options:

Map list:

Select an input map list (open the list box and select the desired map list, or drag a map list from the Catalog into this list box) or create a new map list by clicking the create button. All raster maps in the map list must use the Image domain or the same value domain and must have the same georeference.

When you click the OK button, the correlation matrix is defined, calculated and shown. The matrix is not stored as a separate object, but the matrix values are stored in the object definition file of the map list (.MPL). To show the matrix once more after you have closed the matrix window, you have to perform the operation again.

See also:

Correlation matrix : functionality


Correlation matrix : algorithm

Correlation matrix

Algorithm

The Correlation matrix operation calculates correlation coefficients of input raster maps of a map list. Undefined values in the maps are ignored.

The correlation matrix is calculated in two steps. In the first step, the covariance matrix of the raster maps in the map list is calculated. In the second step, the elements of the covariance matrix are normalized according to the following formula:

where:

Covarb1,b2 | = | the covariance computed of two input raster maps (b1, b2).
varb1 | = | the variance in the first input raster map (b1 ).
varb2 | = | the variance in the second input raster map (b2 ).

See also:

Correlation matrix : functionality


Optimum Index Factor : functionality/algorithm

Optimum Index Factor

Functionality / Algorithm

The Optimum Index Factor (OIF) is a statistic value that can be used to select the optimum combination of three bands in a satellite image with which you want to create a color composite. The optimum combination of bands out of all possible 3-band combinations is the one with the highest amount of 'information' (= highest sum of standard deviations), with the least amount of duplication (lowest correlation among band pairs).

Preparation:

  • Create a map list which contains the multi-spectral bands of your satellite image.
  • Calculate a variance-covariance matrix or a correlation matrix of this map list.
  • Open the Properties dialog box of your map list and click the Additional Info button.

The ranked OIF values are shown with the corresponding band combinations. For more information, refer to How to calculate Optimum Index Factor.

Example:

Consider an input map list containing 7 bands, named tmb1, tmb2, ... tmb7. For each combination of three bands in the map list, OIF values are calculated through a simple formula which uses the standard deviations of the bands and correlation coefficients between band pairs (see algorithm below). The OIF values may read:

OIF Index Highest Ranking

1: | tmb4 | tmb5 | tmb6 | (29.04)
2: | tmb1 | tmb5 | tmb6 | (28.58)
3: | tmb3 | tmb5 | tmb6 | (27.98)
4: | tmb5 | tmb6 | tmb7 | (26.67)
5: | tmb1 | tmb4 | tmb5 | (26.42)
6: | tmb2 | tmb5 | tmb6 | (26.01)

The OIF values suggest that from the 7 bands in the map list, the combination of bands tmb4, tmb5 and tmb6 is the best statistical choice to create a color composite.

Notes:

  • By using the three bands with the highest OIF value for a color composite, it is not implied that you will create the 'best' color composite since this greatly depends on the purpose of your work.
  • 'Noise' (such as dropouts) in one of the input bands is considered as high variance, hence this band will appear in all high ranking combinations.

Input requirements:

To calculate Optimum Index Factors, a map list is required which contains at least 3 raster maps; the raster maps must all use the Image domain or the same value domain, and they must have the same georeference. Furthermore, it is necessary that a correlation matrix or a variance-covariance matrix has been calculated for the map list; this will provide the standard deviations and correlation coefficients which are required for the OIF calculation.

For more information, refer to How to calculate Optimum Index Factor.

Output OIF values:

After a variance-covariance matrix or a correlation matrix has been calculated for the input map list, you can display the ranked OIF values and corresponding band combinations by clicking the Additional Info button in the Properties dialog box of the input map list.

The OIF values are stored in the object definition file of the map list (.MPL).

Note:

It is not possible to calculate OIF values from the command line.

Algorithm:

  1. First the number of possible combinations of three bands within the map list is determined as:

    2. where:

    N

    is the total number of bands in the map list.

    For 3 bands, there is only 1 combination;

    for 4 bands, there are 4 combinations;

    for 5 bands, there are 10 combinations;

    for 6 bands there are 20 combinations; and

    for 7 bands, there are 35 combinations.

  2. Then, for each combination of three bands, the OIF is calculated as:

    3. where:

    Stdi | standard deviation of band i
Stdj | standard deviation of band j
Stdk | standard deviation of band k
Corrij | correlation coefficient of band i and band j
Corrik | correlation coefficient of band i and band k
Corrjk | correlation coefficient of band j and band k

  3. Finally, the OIF values are ranked.

See also:

How to calculate Optimum Index Factor

Variance-Covariance matrix

Correlation matrix


Neighbour polygons

Functionality

Dialog box

Command line

Algorithm


Neighbour polygons : functionality

Neighbour polygons

Functionality

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.

Input map requirements:

The input map needs to be a polygon map with a class, ID, or group domain.

Output table:

An output table with domain None is created.

The output table has 3 columns:

  • The first two columns list the class names, IDs, or group names of neighbouring, i.e. adjacent, polygons. In the table, the combinations of neighbouring polygons is shown twice. It means that, for example, all boundaries between polygons A and B are shown not only as PolA-PolB but also as PolB-PolA;
  • Column Length lists the lengths of the summed boundaries between these polygons.

For example, an area with certain crops needs to be protected against rabbits. A fence is needed at the boundary of this area. It is therefore interesting to calculate the boundary of the area. The output of the Neighbour polygon operation is an output table which shows the length of the boundaries between polygons.

Example:

Input map:

Output table:

PolName1 | PolName2 | Length | (segments)
A | B | 100 | 1
A | D | 1150 | 2+4
B | D | 650 | 3
C | D | 750 | 5

In this example, you can see that for class A, there are 2 polygons. Note that there are 2 polygon boundaries between the polygons of class A and class D. In the output table, the lengths of these two segment boundaries are summed.

See also:

Neighbour polygons : dialog box

Neighbour polygons : command line

Neighbour polygons : algorithm


Neighbour polygons : dialog box

Neighbour polygons

Dialog box

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. The polygon map needs to use a class, ID or group domain.
Output table: | Type a name for the output table that will contain the lengths of the boundaries of neighbouring polygons.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Neighbour polygons : functionality


Neighbour polygons : command line

Neighbour polygons

Command line

The Neighbour polygons operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE

=

TableNeighbourPol(InputPolMapName)

where:

OUTTABLE | is the name of the output table.
TableNeighbourPol | is the command to start the Neighbour polygons operation.
InputPolMapName | is the name of your input polygon map.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Neighbour polygons : functionality


Neighbour polygons : algorithm

Neighbour polygons

Algorithm

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.

Steps:

  • The program scans the polygon map polygon by polygon.
  • For each polygon the boundary is checked for neighbouring polygons. The lengths of the boundaries of a polygon with its neighbouring polygons are calculated.
  • All polygon boundaries, for example all boundaries between polygons A and B, are summed.
  • These values are presented in an output table. The polygon names, in the first two columns of the table, are arranged in alphabetic order.

See also:

Neighbour polygons : functionality


Segment direction histogram

Functionality

Dialog box

Command line

Algorithm


Segment direction histogram : functionality

Segment direction histogram

Functionality

The Segment direction histogram operation calculates directions and lengths within segments, i.e. between all stored coordinates of the segments. The output is a table with directions from 0 to 179° and the length and number of the segment parts in that direction.

This operation can be used to analyze the pattern of lines (segments) in a segment map. To get information on, for instance, the structure and lithology of rocks, the direction, length, and frequencies of features such as faulting and jointing can be calculated.

Example:

When segments only consist of begin and end nodes without any intermediate points (see Fig. 1), directions and lengths will be calculated for the complete segments.

Usually however segments consist of a begin and end node and multiple intermediate points (see Fig. 2). Directions and lengths will then be calculated between all stored coordinates in the segments, i.e. for all segments from the begin node to the first intermediate point, from the first intermediate point to the second, etc., until the end node.

Fig. 1: Segments without intermediate points. | Fig. 2: Segments with intermediate points.

Input map requirements:

No special requirements for the input segment map.

Output table:

An output table with domain None is created.

The output table has three columns:

  • Column Direction shows the compass direction in degrees from 0 (north-south trending) to179°,
  • Column Length shows the total length of all segment parts in that direction; and
  • Column Nrseg (frequency) shows the total number of the segment parts in that direction.

Tips:

  • For a better understanding of the pattern of segments, you can display graphically the output data as a rose diagram.
  • To reduce the number of intermediate points within segments of a segment map, you can use the Tunnel segments operation.

Notes:

  • The operation calculates direction, length and frequency for all segments in the map. Therefore, the input segment map has to contain only those segments of which directions are of interest; the map should not contain segments which show, for example, a frame or boundary of an area. To select the proper segments, you can use the Mask segments operation prior to the Segment direction histogram operation.
  • The operation is only useful when your segments are rather straight lines. As this operation calculates directions and lengths between all stored coordinates of segments, it is generally not very practical to use this operation on segment maps which store for instance roads or rivers; these features often contain too many curves.

See also:

Segment direction histogram : dialog box

Segment direction histogram : command line

Segment direction histogram : algorithm


Segment direction histogram : dialog box

Segment direction histogram

Dialog box

The Segment direction histogram operation calculates directions and lengths within segments, i.e. between all stored coordinates of the segments. The output is a table with directions from 0 to 179° and the length and number of the segment parts in that direction.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box.
Output table: | Type a name for the output table, i.e. the output histogram, that will contain the direction, length and frequency of the segments in the input map.
Description: | Optionally, type a description for the output histogram. The description will appear in the status bar of the Main window when moving the mouse pointer over the histogram in a Catalog, and in the title bar of a histogram window when the output histogram is displayed. If no description is supplied, the output histogram will use its own definition as description.

When you click the Show button, the dependent output table (the histogram) will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the histogram will be calculated later, for instance when the histogram is opened to be displayed.

See also:

Segment direction histogram : functionality


Segment direction histogram : command line

Segment direction histogram

Command line

The Segment direction histogram operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE

=

TableSegDir(InputSegMapName)

where:

OUTTABLE | is the name of the output table.
TableSegDir | is the command to start the Segment direction histogram operation.
InputSegMapName | is the name of your input segment map.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Segment direction histogram : functionality


Segment direction histogram : algorithm

Segment direction histogram

Algorithm

The Segment direction histogram operation calculates directions and lengths within segments, i.e. between all stored coordinates of the segments. The output is a table with directions from 0 to 179° and the length and number of the segment parts in that direction.

Steps:

  1. The program scans the map segment by segment.
  2. Within each segment, i.e. between all stored coordinates in a segment, directions are calculated. This means that not the total direction of a complete segment is calculated but the direction from the begin node to the first intermediate point, from the first intermediate point to the second, etc., until the end node. Figure 1 and Figure 2 below show segments with and without intermediate points.

    3. Fig. 1: Segments without intermediate points. | Fig. 2: Segments with intermediate points.

  3. The compass directions are sorted from 0 to 179°.

  4. Then, for each direction:
    • when the segments in the map have no intermediate points at all, the total lenghts of segments in that direction and the number of segments in that direction are calculated;
    • when the segments do have intermediate points, the total length of the segment parts in that direction and the frequency of the segment parts in that direction are calculated.

See also:

Segment direction histogram : functionality


Spatial correlation

Functionality

Dialog box

Command line

Algorithm


Spatial correlation : functionality

Spatial correlation

Functionality

Point statistics may help to get an impression of the nature of your point data, for instance prior to a point interpolation, and to find necessary input parameters for Kriging, Anisotropic Kriging or Universal Kriging. First, distance and optionally direction is calculated between all points of possible point pairs; these distances and directions are also known as the separation vectors. Subsequently, autocorrelation, autovariance and experimental semi-variogram values are calculated from the values of those point pairs which fall within the same user-specified lag, i.e. the same distance (and direction) class.

Spatial autocorrelation measures dependence among nearby values in a spatial distribution. Variables may be correlated because they are affected by similar processes, or phenomena, that extend over a larger region. Odland (1988, p.7) mentions that spatial autocorrelation 'exists whenever a variable exhibits a regular pattern over space in which values at a certain set of locations depend on values of the same variable at other locations'. For example, if the concentration of a certain pollutant is very high at a certain location, it will most likely also be high in the direct surroundings. In other words, the concentration is autocorrelated at small distances. At larger distances, it is less likely that the concentration will be equally high. The correlation will probably be lower, and the variance higher.

By plotting the answers on autocorrelation against the distance classes, you will be able to see until which distance spatial autocorrelation exists between point pairs. This value can be used for the limiting distance in point interpolations such as moving average and moving surface. Furthermore, the user is encouraged to compare his or her data set with a data set consisting of the same point locations, with a set of attribute values, approximately in the same range as the measured variable, but created at random (using one of the RND functions in Table Calculation). If the graphs are very much the same for the measured data and the random data, no spatial autocorrelation exists between the data points. Hence, point interpolation is not useful. For more information, see Interpretation of Moran's I and Geary's c below.

Calculating semi-variograms is a basic geostatistical measure to determine the rate of change of a regionalized variable along a specific orientation (usually distances). Semi-variogram values are defined as the sum of the squared differences between pairs of points separated by a certain distance divided by two times the number of points in a distance class. By plotting experimental semi-variogram values against distance classes in a graph, you obtain a semi-variogram. By finding a model or function which fits these experimental semi-variogram values, you can obtain necessary input information (such as model type, sill, range, and nugget) for a Simple or Ordinary Kriging, an Anisotropic Kriging or a Universal Kriging operation later on. For more information, see the Additional info on semi-variograms below.

Tip:

When you suspect anisotropy in your input data, you can first perform the Variogram Surface operation. The output of this operation will show you the direction of the anisotropy. You can then do Spatial Correlation using the bi-directional method.

General process of this operation (omni directional):

  1. First, the distances between all points are calculated.
  2. Then, distance classes are determined (output column Distance). This is usually done according to the user-specified lag spacing: in the output table, records will appear for each multiple of the user-specified lag spacing. When specifying a lag spacing of 500 m., the values in the Distance column in the output table will be 0, 500, 1000, 1500, etc.
    However, these values in the output column Distance represent the middle value of a distance class, thus for lag spacing 500, distance 500 represents the distance interval of 250-750m, distance 1000 represents the distance interval of 750-1250m, etc.
    When a variable was sampled at regular distances, you can use this distance for the lag spacing.
  3. Subsequently, for each distance class, the number of point pairs is counted of which the points have such a distance towards each other.
    Thus, when the user-specified lag spacing is 500 m.:
    • the first record in the output table has value 0 in column Distance; this first distance class is only half a distance class: it contains all point pairs of which the distance of the points towards each other is 0-250 m.;
    • the second record in the output table has value 500 in column Distance; this distance class contains all point pairs of which the distance of the points towards each other is between 250-750 m.;
    • the third record in the output table has value 1000 in column Distance; this distance class contains all point pairs of which the distance of the points towards each other is between 750-1250 m. etc.;

    On the command line, you can also use a certain expression to obtain log-scaled distance classes.

  4. Then, for all the point pairs within a certain distance class, the following statistical values are calculated:
    • spatial autocorrelation (as Moran's I)
    • spatial variance (as Geary's c)
    • semi-variogram values.

    The formula to calculate experimental semi-variogram values reads:

    = S (zi - zi+h)2 / 2n

    where:

     | experimental semi-variogram value of points that have a certain distance (h) towards each other
zi | the value of point i
zi+h | the value of a point at distance h from point i
S (zi - zi+h)2 | the sum of the squared differences between point values of all point pairs within a certain distance class
n | the number of point pairs within a distance class

    For more information on formulas, see Spatial correlation : algorithm.

Methods:

In the dialog box, you can choose to use either the omni directional or the bi-directional method:

  • The omni directional method simply determines all distances between all point pairs, regardless of any direction, i.e. in all directions. Thus, all point pairs that have a certain distance towards each other will be counted in a certain distance class.
    Then, Moran's I, Geary's c, and experimental semi-variogram values are calculated for all point pairs within each distance class.
  • The bi-directional method first counts, just like the omni directional method, all pairs of points that have a certain distance to each other, and then calculates the Moran's I and Geary's c for these point pairs within each distance class. Furthermore, all point pairs are counted with a certain distance to each other and with a certain direction towards each other. For the point pairs in a certain distance class and in the correct direction, experimental semi-variogram values will be calculated. Then, also, for the direction perpendicular to the specified direction, point pairs are counted and experimental semi-variogram values calculated.

Both for the omni directional or the bi-directional method, linear distance intervals are created where the middle values of these distance classes are multiples of the user-specified lag spacing.

To calculate experimental semi-variogram values in a certain direction, you thus have to use the bi-directional method. The parameters for the bi-directional method are schematically presented in Figure 1.

  • The direction angle is measured clockwise from the Y-axis and defines the direction in which points should be located relative to each other. When you use a direction angle of 90°, it means that only point pairs for which the points are located in West-East or in East-West direction will be considered (i.e. +90° clockwise from the Y-axis).
    When choosing the bi-directional method, semi-variogram values will always be calculated for the point pairs in the specified direction and the perpendicular direction.
  • The tolerance angle is a parameter with which you can limit the number of point pairs.
    When a tolerance of 45° is used, all point pairs in the map will contribute to calculated semi-variogram values.
    When using a tolerance of 10°, the direction of every 2 points may differ -10° or +10° from the specified direction (90°). So, in fact, all points that are found in a position within 80° to 100° to one another are valid pairs. Then, for the valid point pairs, the distance class to which they belong will be determined.
  • Optionally, you can specify a third parameter, the band width (m), to limit the tolerance angle to a certain width.

Fig. 1: Schematic explanation of the bi-directional method when experimental semi-variogram values are calculated for the specified direction as well as for the perpendicular direction. The user has to specify a Direction (blue angle) and a Tolerance (red angle), and optionally, also a Band width (green distance in meters) can be specified. These parameters are used to find valid point pairs. When an input point is located at the origin of this picture, it is calculated whether any other input point is within the specified direction, tolerance angle and band width. If this is the case, the 2 points are a valid point pair; otherwise the pair is ignored. For each valid point pair, the distance between the 2 points is calculated, and the point pair is counted in the appropriate distance class.

Finally, from the command line, you can even use another method by which logarithmic distance intervals are used. The lag spacing increases with the distance.

Spherical distance:

Optionally, when using the 'omni directional' method, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the input point map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Tip: When you used the spherical distance option in the Spatial Correlation operation, you should also use the spherical distance option in a subsequent point interpolation operation, or in a subsequent Kriging operation.

Input map requirements:

The input point map should either be a value map itself, or a Class or ID point map which has a linked attribute table with one or more value columns.

Output table:

An output table with domain None is created.

When you use the option Omni directional, the output table will contain 6 columns:

  • Column Distance lists the middle values of the distance intervals;
  • Column NrPairs lists for each distance interval, the number of point pairs found at these distances towards each other;
  • Column I lists for each distance interval, the spatial autocorrelation of the point pairs in this distance interval;
  • Column c lists for each distance interval, a statistic for spatial variance of the point pairs in this distance interval;
  • Column AvgLag lists for each distance interval, the average distance between points of point pairs in this distance interval;
  • Column Semivar lists for each distance interval, the experimental semi-variogram value of the point pairs in this distance interval.

When you use the option Bi-directional, the output table will contain 10 columns:

  • Column Distance lists the middle values of the distance intervals;
  • Column NrPairs lists for each distance interval, the number of point pairs found at these distances towards each other;
  • Column I lists for each distance interval, the spatial autocorrelation of the point pairs in this distance interval;
  • Column c lists for each distance interval, a statistic for spatial variance of the point pairs in this distance interval;
  • Column AvgLag1 lists for each distance interval, the average distance between points of point pairs in this distance interval;
  • Column NrPairs1 lists for each distance interval, the number of point pairs found in the user-specified direction and at these distances towards each other;
  • Column Semivar1 lists for each distance interval, the experimental semi-variogram value of the point pairs found in the user-specified direction and at these distances towards each other;
  • Column AvgLag2 lists for each distance interval, the average distance between points of point pairs in this distance interval;
  • Column NrPairs2 lists for each distance interval, the number of point pairs found perpendicular to the user-specified direction and at these distances towards each other;
  • Column Semivar2 lists for each distance interval, the experimental semi-variogram value of the point pairs found perpendicular to the user-specified direction and at these distances towards each other.

Mind:

When in an distance interval no point pairs are found, then the values in columns I, c, AvgLag and SemiVar will be undefined for these distance intervals.

Additional information: Semi-variograms

From the results of the Spatial correlation operation, you can make a semi-variogram. In the semi-variogram, the discrete experimental semi-variogram values [image] that are the outcome of Spatial correlation will be modeled by a continuous function so that a semi-variogram value g will be available for any desired distance h (and optionally direction) for a Simple or Ordinary Kriging, an Anisotropic Kriging or a Universal Kriging operation later on.

How to display a semi-variogram:

Display the input table of the Spatial correlation operation or a histogram of an input value map in a table window.

  • Determine the variance (s2) of your input variable. The variance of a column can be calculated by using an expression like OUT = var(columnname)

Display the output table of the Spatial correlation operation in a table window. Inspect the following columns in the output table:

  • columns Distance, and AvgLag/AvgLag1/AvgLag2: usually not more than half of the total sampled distance should be taken into account; the larger the distance between the point pairs, the less point pairs, and the less reliable the outcome;
  • columns NrPairs/NrPairs1/NrPairs2: for reliable semi-variogram values, distance classes should at least contain 30 point pairs.

Create point graphs, i.e. experimental semi-variogram(s), from the Distance and SemiVar columns in the output table of Spatial Correlation.

  • From the File menu in the table window, choose the Create Graph command.
  • In the Create Graph dialog box, when you used the omni directional method:
    • choose for the X-axis, the Distance column or the AvgLag column;
    • choose for the Y-axis, the SemiVar column.

    When you used the bi-directional method, you can draw two graphs (e.g. in two graph windows):

    • Distance or AvgLag1 against SemiVar1 (semi-variogram values in the specified direction), and
    • Distance or AvgLag2 against SemiVar2 (semi-variogram values in the perpendicular direction).
  • The experimental semi-variogram values will automatically be displayed as point graphs.
  • You may wish to adapt the boundaries of the X-axis from 0 to more or less half of the total distance between the samples, and the Y-axis from 0 to more or less the expected variance (s2) of your input sample values.

In literature, the shown graph is called a discrete experimental semi-variogram.

Figure 2 below shows a semi-variogram depicting a spherical model:

  • When the distance between sample points is 0, the differences between sampled values is also expected to be 0. Thus, the semi-variogram value at distance 0 equals 0, i.e. g(0)=0.
  • Samples that are at a very small distance to each other are expected to have almost the same values; thus, the squared differences between sample values are expected to be small positive values at small distances.
  • With increasing distance between point pairs, the expected squared differences between point values will also increase.
  • At some distance the points that are compared are so far apart that they are not any more related to each other, i.e. the sample values will become independent of one another. Then, the squared differences of the point values will become equal in magnitude to the variance of the variable. The semi-variogram no longer increases and the semi-variogram develops a flat region, called the sill. The distance at which the semi-variogram approaches the variance is referred to as the range or the span of the variable.

Fig. 2: A semi-variogram depicting a spherical model.

Remarks on semi-variograms:

  • A semi-variogram with a nugget effect is a semi-variogram that goes from 0 to the level of the nugget effect in a distance less than the sampling distance. The semi-variogram model shows the semi-variogram value 0 at distance 0 and a discontinuity (jump) to a semi-variogram value at an extremely small distance. A nugget effect indicates that the variable is erratic over very short distances, the variable is highly variable over distances less than the specified lag spacing or the sampling interval.
  • For semi-variograms which, after a flat sill level, show an ongoing increase in semi-variogram values, probably a trend has to be taken into account for the longer distances. However, the experimental semi-variogram values for the distances up to the sill, are probably accurate enough to be used in a model.
  • Possible dips in the semi-variogram indicate that at certain distances between points there is less difference between the samples than at other distances; this might indicate periodic trends.

The next step, before Kriging, is to model the discrete values of your experimental semi-variogram by a continuous function which will give an expected value for any desired distance.

  • From the Edit menu in the graph window, choose the Add Graph Semi-variogram Model command.
  • In the Add Graph Semi-variogram Model dialog box, you can choose a type of semi-variogram model (spherical, exponential, etc.), and you can fill out values for the sill, range and nugget. A line will then be drawn according to the model you selected and the values you selected for sill, range and nugget.
  • You are advised to visually experiment a little with models and sill, range, and nugget values to find the best line through your experimental semi-variogram values. You can edit a semi-variogram model by double-clicking it in the Graph Management pane. For more information, refer to the Graph Options - Semi-variogram Model dialog box.
  • When finished, you can save the graph by choosing the Save or the Save As commands from the File menu of the graph window.

To find which semi-variogram model fits your experimental semi-variogram values best, you can also use the Column SemiVariogram operation. This operation calculates semi-variogram values according to a user-specified semi-variogram model and parameters and stores calculated semi-variogram values in an output column.

Once you have decided which semi-variogram model, and which values for sill, range and nugget fit your data best, you can continue with the Simple or Ordinary Kriging operation, the Anisotropic Kriging operation or the Universal Kriging operation.

Interpretation of Moran's I and Geary's c

For all point pairs in a distance/direction class, you obtain a value for Moran's I and Geary's c; the formulae for these statistic measures can be found in topic Spatial correlation : algorithm. Geary's c compares the squared differences of point pair values to the mean of all values. Moran's I relates the product of differences of point pair values to the overall difference.

The general interpretation of both statistics can be summarized as:

0 < C < 1 | Strong positive autocorrelation | I > 0
C > 1 | Strong negative autocorrelation | I < 0
C = 1 | Random distribution of values | I = 0

Geary's c multiplied by the variance of the input equals the semi-variogram values.

References:

  • Berry, J. K. Beyond Mapping: extending spatial dependency to maps. In: Geoworld, 1999, vol. 12, no. 1, pp. 26-27.
  • Clark, I. 1979. Practical geostatistics. Applied Science Publishers, London. 129 pp.
  • Davis, J. C. 1973. Statistics and data analysis in geology. Wiley, New York. 646 pp.
  • Isaaks, E. H., and R. M. Srivastava. 1989. An introduction to applied geostatistics. Oxford University Press, New York. 561 pp.
  • Odland, J. 1988. Spatial autocorrelation. In: G.I. Thrall (Ed.), Sage University Scientific Geography Series no. 9. Sage Publications, Beverly Hills. 87 pp.

See also:

Point statistics

Variogram surface : functionality

Spatial correlation : dialog box

Spatial correlation : command line

Spatial correlation : algorithm

Graph window : Add semi-variogram model (dialog box)

Graph options - Semi-variogram Model (dialog box)

Point interpolation

Kriging : functionality

Anisotropic Kriging : functionality

Universal Kriging : functionality


Spatial correlation : dialog box

Spatial correlation

Dialog box

Spatial correlation calculates spatial autocorrelation (as Moran's I), spatial variance (as Geary's c) and semi-variogram values for point pairs that are at a certain distance to each other. Point statistics may help to get an impression of the nature of your point data, for instance prior to a point interpolation, and to find necessary input parameters for Kriging.

Dialog box options:

Input point map:

Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, or a point map with a class or ID domain which has a linked attribute table with values (then select an attribute column with a value domain).

Omnidirectional:

Choose the option omnidirectional when distances between points should be calculated in all directions. Depending on the user-specified lag spacing, distance classes are determined; the upper limits of the distance classes are multiples of the lag spacing. Based on the found distance between each pair of points, it is determined to which distance class this pair of points belongs. Thus, all point pairs that are found to have a certain distance towards each other, will be counted as a point pair in that distance class. For all point pairs within each distance class, the spatial autocorrelation, spatial variance and experimental semi-variogram values will be calculated.

Bidirectional:

Choose the option bidirectional when distances between points should also be calculated in a certain direction.
Like the Omnidirectional option, all points that have a certain distance to each other will be counted as a point pair in a certain distance class. For all point pairs within each distance class, the spatial autocorrelation and spatial variance will be calculated.

Furthermore, for the same distance classes, all points that have a certain distance to each other and that fall within the specified direction, will be counted as a point pair. For all these point pairs, experimental semi-variogram values will be calculated. Similarly, point pairs will be counted in the perpendicular direction and experimental semi-variogram values will also be calculated for this perpendicular direction. For an explanation of parameters for the bidirectional method, see Spatial correlation : functionality.

Lag spacing (m):

Type a value that will be used for the distance classes; the output table will contain a Distance column with multiples of the specified lag spacing. However, these values represent the middle values of actual distance classes. For example, when using lag spacing 500, distance classes of 500 m will be used, and the output table will show Distance values of 0, 500, 1000, 1500, etc. These values represent the intervals 0-250, 250-750, 750-1250, 1250-1750, etc.

  • For distance class 0, all point pairs will be counted where the points are less than 250 m apart;
  • for distance class 500, all point pairs will be counted where the points are between 250 and 750 m apart;
  • for distance class 1000, all point pairs will be counted where the points are between 750 and 1250 m apart, etc.

When a variable was sampled at regular distances, you can enter this distance as the lag spacing. You should not use a value larger than half of the size of your map.

Use spherical distance:

When using the 'omnidirectional' method:

  • Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the input point map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Spatial correlation : functionality.
  • Clear this check box to calculate with planar (Euclidean) distances.

Direction (deg):

For Bidirectional: type a value for the direction in which point pairs should be found. The direction is specified in degrees as a clockwise angle from the Y-axis.

Direction 0° means finding only point pairs in the direction North-South and South-North to each other.
Direction 90° means finding only point pairs in the direction East-West and West-East to each other.

0° £ direction £ 90°.

Tolerance (deg):

For Bidirectional: type a value in degrees for half of the opening angle with which point pairs should be found in a certain direction.

Tolerance 0.01 means a very narrow opening to find point pairs in a certain direction.

Tolerance 45° means an opening of 90°.

0° < tolerance £ 45°.

Band width (m):

For Bidirectional: optionally, specify a value for the band width. By specifying a band width, you will limit the opening angle to a certain width; the opening width with which point pairs can be found in a certain direction will never be broader than twice the specified band width.

Output table:

Type a name for the output table that will contain the spatial autocorrelation, spatial variance, and experimental semi-variogram values.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the table will be calculated later, for instance when the table is opened to be displayed.

Tip:

The Spatial correlation : functionality topic contains a figure in which the options direction, tolerance and band width, are explained.

See also:

Spatial correlation : functionality


Spatial correlation : command line

Spatial correlation

Command line

The Spatial correlation operation be directly executed by typing one of the following expressions on the command line of the Main window:

OUTTABLE | = | TableSpatCorr(InputPointMap)
OUTTABLE | = | TableSpatCorr(InputPointMap, LagSpacing)
OUTTABLE | = | TableSpatCorr(InputPointMap, LagSpacing, Direction)
OUTTABLE | = | TableSpatCorr(InputPointMap, LagSpacing, Direction, Tolerance)
OUTTABLE | = | TableSpatCorr(InputPointMap, LagSpacing, Direction, Tolerance, Bandwidth)
OUTTABLE | = | TableSpatCorr(InputPointMap, LagSpacing, plane | sphere)

where:

OUTTABLE | is the name of your output spatial correlation table.
TableSpatCorr | is the command to start the Spatial correlation operation.
InputPointMap | is the name of your input point map (value map). When you want to use a Class or ID point map with an attribute table linked to the map, you can use: InputPointMap.ColumnName
LagSpacing | is an optional parameter to specify the length in meters for the linear distance intervals that should be used. When this parameter is not used, logarithmic distance intervals will be calculated.
Direction | To use the 'bidirectional' method: an optional parameter to specify an angle in degrees for the direction in which point pairs should be found. Direction 0° is North; direction 90° is East. The direction is a clockwise angle from the Y-axis. 0° £ direction £ 90°. When this parameter is not used your semi-variogram values will be 'omnidirectional'.
Tolerance | is an optional parameter to specify half of the opening angle in degrees with which point pairs in a certain direction should be found. 0° < tolerance £ 45°. When a Direction is specified but the Tolerance is not specified, a Tolerance of 45° will be used (meaning that all points will be found).
Bandwidth | is an optional parameter to specify half of the maximum width in meters within which point pairs within a certain angle and in a certain direction should be found. By specifying a band width, you will limit the opening angle to a certain width; the opening width with which point pairs can be found in a certain direction will never be broader than twice the specified band width. When this parameter is not specified, there is no limitation for the width of the opening angle.
plane | sphere | When using the 'omnidirectional' method: an optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system of the input point map (sphere). If not specified, distances will be calculated in a plane.

When the first formula is used, only spatial autocorrelation and spatial variance are calculated, i.e. no semi-variogram values. Furthermore, instead of linear distance classes, you will obtain a number of logarithmic distance classes.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Spatial correlation : functionality


Spatial correlation : algorithm

Spatial correlation

Algorithm

First, distances between all points are calculated. Distance classes are created for point pairs that are more or less at the same distance to each other.

  • Distance classes are usually based on a user-specified lag spacing.
  • By using the options 'omni directional' and spherical distance, all distances are calculated over the sphere using the projection of the coordinate system that is used by the input point map.

Then, for all point pairs within a distance group, the spatial autocorrelation, spatial variance and the experimental semi-variogram value is calculated.

In ILWIS, spatial autocorrelation between points is calculated as Moran's I (Odland):

In ILWIS, the spatial variance is calculated as Geary's c (Odland):

Semi-variogram values are defined as:

where:

z

the value of a point

the average value of all available point values

(zi - [image] )(zj - [image] )

the product of:

the difference of the value of point i and the average value of all points, and

the difference of the value of point j and the average value of all points

(zi-zj)2

the squared difference of the values of point i and point j; this is calculated for all point pairs within a distance class and then summed.

(zi- [image] )2

the squared difference of the value of point i and the average value of all points; this is calculated for all points and then summed; this is a constant value (variance).

n

the total number of points

wij

weight of a point pair.

When using the omnidirectional method, wij = 1 when a point pair belongs to a certain distance class, otherwise wij = 0.

When using the bidirectional method, wij = 1 when a point pair belongs to a certain distance class and when within the direction, tolerance and bandwidth as specified by the user (see also Figure 1 in Spatial correlation : functionality); otherwise wij = 0.

In the numerators (top of a fraction) of these formulas, the weights assure that only the values of points that have a certain distance towards each other will be taken into account in the calculations for that distance class.

In the denominators of these formulas (bottom of a fraction), i.e. in the standardization parts of the formulas, the weights count the number of valid point pairs within a distance class.

All summations are from i=1 to n and from j=i+1 to n, thus every point pair is counted only once.

References:

  • Geary, R.C., 1954. The contiguity ratio and statistical mapping.
  • Moran, P.A.P., 1948. The interpretation of statistical maps.
  • Odland, J. 1988. Spatial autocorrelation. In: G.I. Thrall (Ed.), Sage University Scientific Geography Series no. 9. Sage Publications, Beverly Hills. 87 pp.

See also:

Spatial correlation : functionality

Graph window : Add semi-variogram model (dialog box)

Kriging : functionality


Cross Variogram

Functionality

Dialog box

Command line

Algorithm


Cross Variogram : functionality

Cross Variogram

Functionality

The Cross Variogram calculates experimental semi-variogram values for the two input variables and cross-variogram values for the combination of both variables. As two variables are handled simultaneously, the Cross Variogram operation can be seen as the multivariate form of the Spatial correlation operation. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns.

Often data may be available for more than one attribute per sampled location. One set of samples may be expensive or difficult to measure and is therefore sampled infrequently while another variable may be cheap or easy to measure and has more observations or more accurate ones. If the correlation between the two variables is high (positive or negative), then it may be possible to use the information about the spatial variation of a well-sampled variable (the covariable) to help to interpolate a sparsely sampled variable (the predictand). This estimation method is known as CoKriging.

From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables, and a cross-variogram model for the combination of the variables (see Additional information below or Graph window : Add semi-variogram model. The models do not need to be identical: for the experimental semi-variogram values of variable A, you may use for instance a spherical model; for the experimental semi-variogram values of variable B, an exponential model; and for the cross-variogram values of variables A and B, yet another model may be used (see Figure 1). The models should obey the Cauchy-Schwarz inequality. For more information, see Cross Variogram : algorithm.

All three models are required as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Spherical distance:

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the input point map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Tip:

When you used the spherical distance option in the Cross Variogram operation, you should also use the spherical distance option in a subsequent CoKriging operation.

Input map requirements:

The input point map should be a point map with an ID domain. The point map should be linked to an attribute table that contains at least 2 columns with a value domain (column A and column B).

Cross-variogram values will only be calculated for point pairs that have values in both Columns A and B. This implies that for some locations, you need to have measured values for both variables.

Output table:

An output table with domain None is created.

The output table will contain 8 columns:

  • Column Distance lists the middle values of the distance intervals;
  • Column AvgLag lists for each distance interval, the average distance between points of point pairs in this distance interval;
  • Column NrPairsA lists for each distance interval, the number of point pairs of variable A found at these distances towards each other;
  • Column NrPairsB lists for each distance interval, the number of point pairs of variable B found at these distances towards each other;
  • Column NrPairsAB lists for each distance interval, the number of point pairs with valid A and B value respectively found at these distances towards each other;
  • Column SemivarA lists for each distance interval, the experimental semi-variogram value of the point pairs in this distance interval for variable A;
  • Column SemivarB lists for each distance interval, the experimental semi-variogram value of the point pairs in this distance interval for variable B;
  • Column CrossVarAB lists for each distance interval, the experimental cross-variogram value of the point pairs in this distance interval for the combined variables A and B.

Mind:

when in an distance interval no point pairs are found, then the values in columns AvgLag and SemiVarA, SemivarB and CrossVarAB will be undefined for these distance intervals.

Additional information

Semi-variogram(s) and Cross-variogram(s):

From the results of the Cross Variogram operation, you can make two semi-variograms and one cross-variogram. In the semi-variograms and the cross-variogram, the discrete experimental semi-variogram values and the cross-variogram values, that are the outcome of the Cross Variogram operation, can be modeled by a continuous function so that a semi-variogram value or a cross-variogram value will be available for any desired distance h for the CoKriging operation later on.

How to display Semi-variogram(s) and Cross-variogram(s):

Display the input table of the Cross Variogram operation in a table window. You first have to determine the variance (s2) of your input variables.

From the Columns menu in the table window, choose the Statistics command.

In the Column Statistics dialog box:

  • select the Variance function;
  • select the input variable for which you want to calculate the variance.

Display the output table of the Cross Variogram operation in a table window.

Inspect the following columns in the output table:

  • columns Distance and AvgLag: usually not more than half of the total sampled distance should be taken into account; the larger the distance between the point pairs, the less point pairs, and the less reliable the outcome;
  • columns NrPairsA, NrPairsB, NrPairsAB: for reliable semi-variogram and cross-variogram values, distance classes should at least contain 30 point pairs. When you find many point pairs per distance class, you may consider to decrease the lag spacing.

In the output table of Cross Variogram operation, create point graphs, i.e. experimental semi-variograms and an experimental cross-variogram, from the Distance, SemiVar and CrossVar columns:

  • From the File menu in the table window, choose the Create Graph command.
  • In the Create Graph dialog box:
    • choose for the X-axis, the Distance column or the AvgLag column;
    • choose for the Y-axis, a SemiVar or the CrossVar column.

  • The experimental semi-variogram or cross-variogram values will be automatically displayed as a point graph.
  • You may wish to adapt the boundaries of the X-axis from 0 to more or less half of the total distance between the samples, and the Y-axis from 0 to more or less the expected variance (s2) of your input sample values.

In this way, you can create three point graphs (e.g. in three graph windows):

  • Distance or AvgLag against SemiVarA (semi-variogram values of the first variable),
  • Distance or AvgLag against SemiVarB (semi-variogram values of the second variable),
  • Distance or AvgLag against CrossVarAB (cross-variogram values).

For more information on semi-variograms, see Spatial correlation : functionality, section Additional information on Semi-variograms, or Graph window : Add Semi-variogram Model, section Additional information.

The next step, before CoKriging, is to model the discrete values of your experimental semi-variograms and your cross-variogram by a continuous function, which will give an expected value for any desired distance.

  • From the Edit menu in the graph window, choose the Add Graph Semi-variogram Model command.
  • In the Add Graph Semi-variogram Model dialog box, you can choose the type of semi-variogram model or cross-variogram model (spherical, exponential, etc.), and you can fill out values for the sill, range and nugget. A (continuous) line will then be drawn according to the model you selected and the values you selected for sill, range and nugget.

You are advised to visually experiment a little with models and sill, range, and nugget values to find the best line through your experimental semi-variogram and cross-variogram values. For more information on creating semi-variogram models, refer to the Graph window : Add Semi-variogram Model dialog box.

To save your graphs, you can choose the Save or the Save As commands from the File menu in a graph window.

To find which semi-variogram or cross-variogram models fit your experimental semi-variogram or cross-variogram values best, you can also use the Column Semi-variogram operation. This operation calculates semi-variogram or cross-variogram values according to a user-specified semi-variogram model or cross-variogram model, and it stores calculated semi-variogram values or cross-variogram values in an output column. By calculating the Goodness of Fit (R2), you can test which semi-variogram model or cross-variogram model fits best. For more information, see Column Semi-variogram operation, section Calculating R2.

Once you have decided, which semi-variogram or cross-variogram models, and which values for sill, range and nugget fit your data best, you can continue with the CoKriging operation.

See also:

Cross Variogram : dialog box

Cross Variogram : command line

Cross Variogram : algorithm

Point statistics

Spatial Correlation : functionality

Point interpolation

CoKriging : functionality


Cross Variogram : dialog box

Cross Variogram

Dialog box

The Cross Variogram operation calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns. The Cross Variogram operation is a multivariate form of the Spatial correlation operation.

From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Dialog box options:

Point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You should select a point map with an ID domain that has a linked attribute table. The attribute table should contain at least 2 columns with a value domain. You can also select a point map with a class domain and a linked attribute table.
Column A: | Select a column with a value domain that you want to use as the first variable.
Column B: | Select a column with a value domain that you want to use as the second variable. For many points, there should be measured values both for Column A and Column B. The variables in Column A and Column B should be highly correlated (positive or negative).
Lag spacing (m): | Type a value that will be used for the distance classes (real value > 0). The output table will contain a Distance column with multiples of the specified lag spacing; these values represent the middle values of actual distance classes. When the variables were sampled at regular distances, you can enter this distance as the lag spacing.
Use spherical distance: | Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the input point map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Cross variogram : functionality. Clear this check box to calculate with planar (Euclidean) distances.
Output table: | Type a name for the output table that contain will the experimental semi-variogram values of the variables A and B and the experimental cross-variogram values of AB.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Cross Variogram : functionality


Cross Variogram : command line

Cross Variogram

Command line

The Cross Variogram operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE | = | TableCrossVariogram(InputPointMap, ColumnA, ColumnB, LagSpacing)
OUTTABLE | = | TableCrossVariogram(InputPointMap, ColumnA, ColumnB, LagSpacing, plane | sphere)

where:

OUTTABLE | is the name of your output Cross Variogram table.
TableCrossVariogram | is the command to start the Cross Variogram operation.
InputPointMap | is the name of your input point map with ID domain. The point map should be linked to an attribute table which contains at least 2 columns with a value domain.
ColumnA | is an attribute column with a value domain that contains the first variable.
ColumnB | is an attribute column with a value domain that contains the second variable. For many points, there should be measured values both for Column A and Column B. The variables should be highly correlated (positive or negative).
LagSpacing | is a parameter to specify the length in meters of the linear distance intervals that should be used (real value > 0).
plane | sphere | optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system of the input point map (sphere). If not specified, distances will be calculated in a plane.

When the definition symbol = is used, a dependent output table is created: when the assignment symbol := is used the dependency link is immediately broken after the output table has been calculated.

See also:

Cross Variogram : functionality


Cross Variogram : algorithm

Cross Variogram

Algorithm

The Cross Variogram operation, necessary to perform CoKriging, is an extension of the Spatial correlation operation. Distances, Average lags, Nr of Pairs and semi-variogram values are calculated in the same way as in Spatial correlation (algorithm).

  • Distance classes are usually based on a user-specified lag spacing.
  • When the spherical distance option is used, all distances are calculated over the sphere using the projection of the coordinate system that is used by the input point map.

Cross-variogram values are estimated directly from the sample data using the formula:

(1)

where:

AB (h) | is the estimated cross-variogram value at distance h where h is ||h||
n(h) | is the number of data pairs of observations of the first variable ZA and the second variable ZB at locations xi and xj when the distance between xi and xj fits in a distance class h.

Equation (1) resembles the manner in which experimental semi-variogram values are computed in the Spatial correlation operation with variable ZB replaced by ZA itself.

Cross-variogram values can increase or decrease with distance h depending on the correlation between variable A and variable B. Semi-variogram values on the other hand are by definition positive. When models are fitted to the experimental semi-and cross-variograms, the Cauchy-Schwartz relation (equation 2) must be checked to guarantee a correct CoKriging estimation variance in all circumstances (Deutsch and Journel 1992; Isaaks and Srivastava 1989).

|gAB | <= Ö (gA * gB )

(2)

for all values of distance 0 < h < limiting distance in the CoKriging operation.

where:

gAB | is a cross-variogram value,
gA | is a semi-variogram value for variable A,
gB | is a semi-variogram value for variable B.

References:

  • Deutsch, C.V., and A.G. Journel. 1992. Geostatistical software library and user's guide. Oxford University Press, New York. 340 pp.
  • Isaaks, E. H., and R. M. Srivastava. 1989. An introduction to applied Geostatistics. Oxford University Press, New York. 561 pp.
  • Pebesma, E.J. 1996. Mapping Groundwater Quality in the Netherlands. KNAG/Faculteit Ruimtelijke Wetenschappen, Utrecht University. 128 pp.

See also:

Cross Variogram : functionality


Pattern analysis

Functionality

Examples

Dialog box

Command line

Algorithm


Pattern analysis : functionality

Pattern analysis

Functionality

Data in a point map represent spatial occurrence of a particular phenomenon. To acquire knowledge about the occurrence of the phenomenon, the spatial distribution of the points in the map can be examined. Point pattern analysis is a technique that is used to obtain information about the arrangement of point data in space, to be able to make a statement about the occurrence of certain patterns.

Three types of patterns can be distinguished:

  • In a situation of complete spatial randomness (CSR), no correlation exists between locations of points.
  • In a clustered pattern, subgroups of points tend to be significantly closer to each other than to other subgroups of points.
  • In a regular pattern, distances between adjacent points tend to be further apart than for CSR. The pattern under consideration is compared to the situation of CSR. If point items tend to attract each other, and there is environmental heterogeneity, one can call the pattern 'grouped'. On the other hand, if individual point items tend to repel each other, and points are more spread out than in CSR, one may call the pattern 'regular'.

There are basically two different techniques; the location of points can be studied:

  • with reference to the area, i.e. measures of dispersion, or
  • with respect to each other, i.e. measures of arrangement.

Measures of arrangement:

Measures of arrangement are techniques that examine characteristics of the locations of points relative to other points in the pattern. In this technique measured frequencies of occurrences of reflexive nearest neighbours (RNN) are compared with expected frequencies of occurrences in a situation of CSR. The CSR is simulated for the same area and the same number of points. Two points are considered first order RNN if they are each other's nearest neighbour. This definition can be extended to higher orders; second order RNNs are points that are each others second-nearest neighbours etc. The frequencies are calculated for RNNs of first to sixth order.

Boots & Getis (1988, p. 69) remark that 'most researchers suggest that more higher order values in excess of CSR expectations indicate measure of regularity in arrangement of points, whereas lower empirical values imply elements of grouping in the pattern'. If more (first order) RNNs occur than is expected in CSR, it can be concluded that isolated and relatively uniformly arranged couples exist.

Measures of dispersion:

Measures of dispersion are techniques that examine characteristics of the locations of points with respect to the area e.g. the pattern is analyzed by calculating distances between individual points, and comparing these with the distances that would be found in a CSR. In this technique the mean distance between RNNs are tested against the expected distances in CSR. If the individual points are closer than they would be for CSR, this indicates a clustered pattern. If, on the other hand, individual points are further apart than they would be in CSR, a more regular pattern is assumed.

Input map requirements:

An input point map is required with at least two points which do not have the undefined value.

Output table:

An output table with domain None is created.

The output table contains the following information:

Measures of dispersion

In the output table, in which the mean distance between RNNs are tested against the expected distances in a (simulated) CRS, eight columns are stored:

  • Column Distance lists distances. These distances should be considered as the distance from any point in the input point map, i.e. a kind of search radius;
  • Column Prob1Pnt lists the probability that within a certain distance (column Distance) of any point, at least one other point will be found, i.e. the probability that the nearest neighbour of any point list within this distance;
  • Column Prob2Pnt lists the probability that, within that distance, from any point, at least two other points will be found;
  • The same goes for columns Prob3Pnt, Prob4Pnt, Prob5Pnt and Prob6Pnt;
  • For a dataset of n points, ProbAllPnt is the summation of Prob1Pnt + Prob2Pnt + .. + Probn-1Pnt, divided by (n - 1); this is the probability that a randomly selected point pair from this point map has a separation less than the given distance.

The probabilities listed in the output table are in fact the relative frequencies drawn from the input point map, and are thus empirical values. If for a given distance, say 3.6m, the entry in column Prob3Pnt is 0.43, it means that for 43% of all points in the input point map, 3 nearest neighbours can be found within a radius of 3.6m.

Tips:

  • In the output table, the columns ProbnPnt cannot be interpreted easily without more information. The user is encouraged to create other datasets (with an equal amount of points, in about the same area) in which the points are randomly distributed, e.g. by using for instance the RND() function in TabCalc, and regularly distributed.
  • To study the differences between the three datasets (the original one and the two special ones), graphs can be drawn: choose Create Graph from the File menu in the table window; display Distance against ProbnPnt.

Measures of arrangement

The Additional Info tab in the Properties sheet of the output table contains additional information displayed in two tables, both with columns Order, Observed value, and Assumed with CSR.

The first table lists the order of the reflexive nearest neighbours (nearest, second nearest, etc.), the observed number of times (frequency) that such a pair is found in the dataset, and the number of times this would happen in the situation of CSR (expected frequency).

  • If the observed number of pairs is much larger than in CSR, this indicates that the points are not randomly distributed, instead they cluster.
  • If the observed number of pairs is smaller than in CSR, the points are distributed regularly.

The second table lists the mean distance to the reflexive nearest neighbour for every order, and the mean distance in a CSR.

  • If the mean distance for the data set is much smaller than the one for CSR, the points tend to cluster.
  • If the mean distance is larger than in CSR, the point distribution is more regular.

Advantages/disadvantages of dispersion vs. arrangement:

The advantages of measurements of arrangement are:

  1. The technique is density free, i.e. no estimates have to be made, for example the expected number of points per quadrant;
  2. The technique is free of edge effects, because the arrangement of points with respect to each other is studied rather than with respect to the area.

The advantages of the dispersion technique are:

  1. It is more rigorous than the arrangement technique, because it is more sensitive to certain differences in some pattern characteristics. For arrangement, identical values may sometimes be expected for patterns that are different in some way;
  2. The statistical theory for dispersion is better developed, so that this method is less subjective.

Note that higher order RNN analysis (refined analysis) might give more information than first order analysis alone; take the example of couples on a dance floor; the distance to the first order RNN will be significantly less than in CSR, while higher order RNN distances will be higher.

Reference:

  • Boots, B.N. & A. Getis, 1988, Point Pattern Analysis. Sage University Scientific Geography Series no. 8. Sage Publications, Beverly Hills.

See also:

Pattern Analysis : examples

Pattern Analysis : dialog box

Pattern Analysis : command line

Pattern Analysis : algorithm


Pattern analysis : examples

Pattern analysis

Examples

Input maps for Pattern analysis

Below, you find examples of three point maps in which the spacing of the samples shows the three fundamental pattern types:

  • Random samples;
  • Clustered samples;
  • Regular samples.

Each point map occupies an area of 5000m by 5000m. The measured values of the samples are not important (they were all set to 1). Each point map was used as input in a Pattern analysis operation.

Random point samples | Clustered point samples | Regular point samples

Output tables and graphs of Pattern analysis

For each input point map, an output table was obtained from Pattern analysis. From each output table, some graphs were prepared:

  • firstly, graphs were made of the Distance column against the Prob1Pnt column;
  • secondly, graphs were made of the Distance column against the ProbAllPnt column.

Probability and distance of finding at least 1 point neighbour:

The three graphs below show the probability and the distance at which at least 1 point neighbour will be found (Distance column against Prob1Pnt column) for each of the input maps.

For random points: distances and probabilities of finding at least 1 point neighbour.

For clustered points: distances and probabilities of finding at least 1 point neighbour.

For regular points: distances and probabilities of finding at least 1 point neighbour.

From the graphs you can find the distance at which the probability of finding at least 1 neighbour (for any point) becomes 1 (Prob1Pnt = 1). For the input maps used, you can see that this occurs:

  • around 750m in case of the map with the randomly spaced points;
  • around 300m in case of the map with the clustered points;
  • around 500m in case of the map with the regularly spaced points.

For interpolation and/or Kriging purposes of these input maps, it will thus make no sense using a limiting distance value smaller than or similar to the values listed above, as interpolations or estimations on the basis of the value of only one other neighbour are of course not very accurate.

If you want to make sure that interpolations or estimations will be based on for example at least five point values (the value of any point itself and the values of at least 4 neighbours), you should prepare a graph of the Distance column against the Prob4Pnt column, then read the distance at which the probability of finding at least 4 neighbours becomes 1. For your information, in the three point maps used above, this is at a distance of around 1600m for the random points, 500m for the clustered points, and 1000m for the regular points.

Probability and distance of finding neighbours:

The next three graphs are graphs of the Distance column against the ProbAllPnt column.

This shows the cumulative number of neighbours (on a scale from 0 to 1) which will be found at a certain distance.

The graphs also show the probability that a randomly selected point pair in an input map will have a separation less than a certain distance.

For random points: probability of finding point neighbours at a certain distance.

For clustered points: probability of finding point neighbours at a certain distance.

For regular points: probability of finding point neighbours at a certain distance.

The probability of finding neighbours approaches 1 at distances greater than 5000m. As the side of each map was 5000m, all points will certainly have been found at distances of Ö(50002 + 50002) » 7000m.

In the graph of the map containing the clustered points, you can see that the probability curve is not increasing between distances between around 600m and 1000m. This is the distance at which the points in any certain cluster have all been found, but none of the points of any other cluster.

Mind:

When you apply Pattern Analysis on point measurements of a single province or region, you can expect boundary effects at distances greater than around half of the size of the input map (in the examples above around 2500m). You can see in the ProbAllPnt graphs that from this distance onward, the probability increases less rapidly (curves flatten). When the phenomenon under study has also been sampled in other neighbouring provinces or regions, you can therefore reduce these boundary effects by including some points in your data set from the neighbouring areas.

See also:

Pattern Analysis : functionality


Pattern analysis : dialog box

Pattern analysis

Dialog box

Point pattern analysis is a technique that is used to obtain information about the arrangement of point data in space, to be able to make a statement about the occurrence of certain patterns.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. The point map needs to have at least two points which are not undefined.
Output table: | Type a name for the output table that will contain columns with probabilities of finding more points for different distance intervals.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Pattern analysis : functionality


Pattern analysis : command line

Pattern analysis

Command line

The Pattern analysis operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE

=

TablePattAnal(InputPointMapName)

where:

OUTTABLE | is the name of your output table.
TablePattAnal | is the command to start the Pattern analysis operation.
InputPointMapName | is the name of your input point map.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Pattern analysis : functionality


Pattern analysis : algorithm

Pattern analysis

Algorithm

Data in a point map represent spatial occurrence of a particular phenomenon. To acquire knowledge about the occurrence of the phenomenon, the spatial distribution of the points in the map can be examined. Point pattern analysis is a technique that is used to obtain information about the arrangement of point data in space to be able to make a statement about the occurrence of certain patterns.

Measures of dispersion:

The mean distance between RNNs are tested against the expected distances in a CRS.

First a number of different distance figures are defined. Then from distance 0 to the upper limit of each distance figure, the probability of finding one or more other points is calculated for output columns Prob1Pnt, Prob2Pnt, ..., Prob6Pnt where:

  • Column Distance lists distances. These distances should be considered as the distance from any point in the input point map, i.e. a kind of search radius;
  • Column Prob1Pnt lists the probability that within a certain distance (column Distance) of any point, at least one other point will be found, i.e. the distance at which any point's nearest neighbour can be found;
  • Column Prob2Pnt lists the probability that from any point, at least two other points will be found;
  • The same goes for columns Prob3Pnt, Prob4Pnt, Prob5Pnt and Prob6Pnt;
  • For a dataset of n points, ProbAllPnt is the summation of Prob1Pnt + Prob2Pnt + ... + Probn-1Pnt, divided by (n - 1).

The formula to calculate probabilities within certain distances reads:

Measures of arrangement:

For every order the expected number of reflexive neighbours is calculated. Multiplying the probability that a point in a CSR pattern is a reflexive neighbour by the number of points gives you the expected number. Note that a reflexive point must be a member of a pair, so the observed value will always be an even number.

To calculate the mean distance to nearest neighbour, the nearest neighbour distance (d) for each of the points is summed and divided by the number of points. The formula reads:

where:

di | is the nearest neighbour distance for a point in the map
n | is the number of points.

Note that the mean distance to nearest neighbour is not corrected for boundary effects.

Reference:

  • Boots, B.N. & A. Getis, 1988, Point Pattern Analysis. Sage University Scientific Geography Series no. 8. Sage Publications, Bevery Hills.

See also:

Pattern analysis : functionality


Operations

Interpolation

Densify

Kriging from Raster

Contour interpolation

Point interpolation:

Nearest point

Moving average

Trend surface

Moving surface

Kriging

Anisotropic Kriging

Universal Kriging

CoKriging


Densify

Functionality

Dialog box

Command line (1)

Command line (2)

Algorithm


Densify : functionality

Densify

Functionality

The Densify operation allows you to reduce the pixel size of a raster map, i.e. the number of rows and columns is increased in the output map. When the input map is a value map, new values can be assigned to the pixels in the output map by means of nearest neighbour, or a bilinear or bicubic interpolation. When the input map is a domain class or ID map, only the nearest neighbour method is available.

Densify should be used after you performed a point interpolation. Furthermore, you can use Densify before printing raster maps with the Image domain or a value domain, to improve the quality of the printed maps.

Example:

When an input raster map has 400 rows by 400 columns with a pixel size of 25m,

and Densify is applied with an enlargement factor 2.5,

the resulting output raster map has 1000 rows and 1000 columns and a pixel size of 10m.

Mind that a byte map of 1000 rows and 1000 columns requires 1 MB disk space, while a map of 400 rows and 400 columns merely requires 160 kB disk space. The effect of using an enlargement factor of 2.5 is that the original map size increases by the square of the enlargement factor.

Nearest Neighbour:

For each output pixel, the class name, ID or value of the nearest pixel in the input map is assigned.

Bilinear versus bicubic interpolation:

A bilinear interpolation takes much less time than a bicubic interpolation.

A bilinear interpolation results in discontinuity when taking the first derivative of a densify output map. A bicubic interpolation remains continuous up to the second derivative.

This means that when you obtained a value raster map from a point interpolation, the point interpolation results can be improved with the Densify operation:

  • Densify with a bilinear interpolation gives a quick results;
  • Densify with a bicubic interpolation is advised if after Densify, you intend to apply first derivative filters like DFDX, DFDY, or SHADOW on the densify output map.

Input map requirements:

For nearest neighbour, the input raster map can have any domain. For a bilinear or bicubic interpolation, the input raster map should be a value map. The input raster map must have a georeference which is not georeference None.

The operation can also be applied on all raster maps in a map list.

Domain and georeference of output map:

The output map uses the same value domain as the input map. The value range and precision can be adjusted for the output map.

The operation always creates a new georeference for the output map. The output georeference obtains the same name as the output map and is calculated from the input georeference and the specified enlargement factor.

When the operation is performed on an input map list, you will obtain an output map list. When the output map list is opened, the output raster maps will be (defined and) calculated.

  • The output raster maps will obtain the same name as the output map list followed by _1, _2, _3, etc.
  • All output raster maps will use the georeference created for the first raster map in the map list, e.g. Out_1.

See also:

Densify : dialog box

Densify : command line (1)

Densify : command line (2)

Densify : algorithm


Densify : dialog box

Densify

Dialog box

The Densify operation allows you to reduce the pixel size of a map.

The user is asked to enter an enlargement factor which determines the number of rows and columns in the output map. For example, when using an enlargement factor of 2.5 on an input map consisting of 400 lines and 400 columns (e.g. pixel size of 25m); the output map will contain 1000 lines by 1000 columns (resulting in a pixel size of 10m).

Thus the number of rows and columns in the map is increased and, as the position of each pixel in the output map is known, values are assigned to these pixels by means of nearest neighbour, or a bilinear or bicubic interpolation using values from the input map.

Dialog box options:

Input raster map:

Select an input raster map or an input map list. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box.

When you select an input map list, the operation will be performed on all raster maps in the map list.

Densify factor:

Enter a value by which the number of rows and columns of the input map should be multiplied (real value >= 1).

Interpolation method:

Select an interpolation method which is used to determine the pixel values in the output map.

Nearest Neighbour:

To assign to each output pixel the value of the nearest pixel in the input map; this option is available for input maps with any domain.

Bilinear:

To calculate for each output pixel a value from 4 surrounding pixels in the input map; this option is available for value maps.

Bicubic:

To calculate for each output pixel a value from 16 surrounding pixels in the input map; this option is available for value maps.

Output raster map:

Type a name for the output raster map.

If you selected an input map list, then you can type a name for the output map list; all raster maps in the output map list will obtain this name followed by _1, _2, _3, etc.

Value range:

Accept the default value range, or specify your own range of possible values in the output map(s).

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map or the output map list. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map or the output map list will use its own definition as description.

When you selected a single raster map as input:

  • and you click the Show button, the dependent output map will be defined, calculated and shown.
  • and you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when it is opened to be displayed.

When you selected a map list as input:

  • and you click the Show button, the dependent output map list and its dependent raster maps will be defined and calculated. Then, the output map list will be shown.
  • and you click the Define button, the dependent output map list will only be defined. When you open the output map list later on, the map list will be calculated, which means that the output raster maps will be defined and calculated.

Furthermore, a new georeference will be created for the output map; this georeference obtains the same name as the output map, or the same name as the output map list followed by _1.

Restriction:

For a Bilinear or a Bicubic interpolation, the input raster map should be a value map.

See also:

Densify : functionality

Densify : algorithm


Densify : command line (1)

Densify

Command line (1)

The Densify operation can be directly executed by typing one of the following expressions on the command line of the Main Window:

OUTMAP | = | MapDensify(InputMapName, factor, nearestneighbour)
OUTMAP | = | MapDensify(InputMapName, factor, bilinear)
OUTMAP | = | MapDensify(InputMapName, factor, bicubic)

where:

OUTMAP | is the name of your output raster map
MapDensify | is the command to start the Densify operation
InputMapName | is the name of your input raster map
factor | is the enlargement factor (real value > 1)
nearestneighbour | is the parameter to assign output values from the nearest pixels in the intput map.
bilinear | is the parameter to calculate new values by a bilinear interpolation.
bicubic | is the parameter to calculate new values by a bicubic interpolation.

Tip: To use this operation on all raster maps in a map list, see Densify : command line (2).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. Furthermore, a georeference factor is created with the same name as the output map.

See also:

Densify : command line (2)

Densify : functionality


Densify : command line (2)

Densify

Command line (2)

To perform the Densify operation on all raster maps in a map list, type one of the following expressions on the command line of the Main window:

OUTMAPLIST | = | MapListApplic(InputMapListName, MapDensify(##, factor, nearestneighbour))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapDensify(##, factor, bilinear))
OUTMAPLIST | = | MapListApplic(InputMapListName, MapDensify(##, factor, bicubic))

where:

OUTMAPLIST | is the name of the output map list map; all output raster maps will be created when the map list is opened, the raster maps will obtain the same name as the map list followed by _1, _2, _3, etc.
MapListApplic | is the command to start an operation on all raster maps in a map list.
InputMapListName | is the name of the input map list which contains all raster maps on which the operation should be performed.
MapDensify | is the command to start the Densify operation.
## | is an obligatory parameter in map list expressions; it indicates the individual raster maps in the input map list.
factor | Densify : command line (1)
nearestneighbour | Densify : command line (1)
bilinear | Densify : command line (1)
bicubic | Densify : command line (1)

When the definition symbol = is used, a dependent output map list is created. When the map list is opened and thus calculated, the dependent output raster maps will be defined and calculated.

When the assignment symbol := is used, the output raster maps will be defined and calculated, then the dependency links of the output raster maps will be broken.

See also:

Densify : command line (1)

Densify : functionality


Densify : algorithm

Densify

Algorithm

The Densify process consists of several steps:

  • from the specified enlargement factor and the georeference of the input map, a new georeference factor is created; this georeference determines the number of rows and columns in the output map; thus the XY-coordinate is known for each output pixel;
  • then these positions are looked up in the input map and, according to the selected interpolation method, the nearest pixel, or 4 (bilinear), 16 (bicubic) input pixels around this position are used to calculate a value for the output map.

For a detailed description of the nearest neighbour method, bilinear and bicubic interpolation, refer to Resample : functionality or Resample : algorithm.

With a nearest neighbour interpolation, the pixels of the output map are assigned the same class names, IDs or values as the pixels of the input map.

A bilinear interpolation takes much less time than a bicubic interpolation.

A bilinear interpolation results in discontinuity of the first derivative. This means that a bilinear interpolation gives artefacts when you for example want to use a DFDX, DFDY, or a SHADOW filter on the map later on.

A bicubic interpolation remains continuous up to the second derivative.

See also:

Bilinear interpolation example

Bicubic interpolation example

Resample : algorithm


Kriging from Raster

Functionality

Dialog box

Command line

Algorithm


Kriging from Raster : functionality

Kriging from Raster

Functionality

Kriging from Raster is similar to the Ordinary Kriging interpolation c.q. prediction method but requires a raster map as input, instead of a point map. The operation can be seen as a raster interpolation and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input pixel values, similar to the Moving Average operation. The weight factors in Kriging from Raster are determined by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation), the distribution of input pixels, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

In Kriging from Raster the interpolation is exact in all input data pixels whose value is defined. This means that the output pixels which where already defined as input pixels need not be kriged but their value can just be copied from the input map. In case of a non zero nugget and isolated data input pixels, the effect is a sharp discontinuity. At the place of an undefined input pixel, an output pixel is computed if its surrounding limiting circle contains enough defined input pixels. In this way one can fill up the undefined gaps of a raster map on the basis of the model of spatial continuity.

Point kriging interpolation on the other hand is seldom exact because the input data points normally don not coincide exactly with any output pixel midpoint. Besides filling up gaps of a raster map, Raster Kriging may also be a useful operation to get a much denser network of sample points. When point samples are measured on a regularly grid, it is much quicker to rasterize the point map and using Kriging from Raster than to use any other point interpolation operation.

Preparation:

Besides an input raster map, Kriging from Raster requires a semi-variogram model including the type of the model and values for the parameters nugget, sill and range; this can be obtained from the Autocorrelation - Semivariance operation.

  • Display the output table of Autocorrelation - Semivariance, and create a graph (i.e. a semi-variogram) in which you plot the horizontal or vertical semi-variance values against the distance classes.
  • Subsequently, model the semi-variogram: select a model like Spherical, Exponential, Gaussian, etc., and choose values for sill, nugget and range. This shows as a line in the graph through the points.
  • Superimpose trials of various models with various defining parameters in order to find the best approximation.

For more information, see Spatial correlation : functionality, section on Semi-variograms, or Graph window : Add semi-variogram model.

General Kriging tips:

  • When a global trend is apparent, it should be removed before Kriging. You could use the Trend surface operation and appropriate TabCalc subtractions.
  • To take a local trend into account, use Spatial Correlation and Universal Kriging.
  • To take anisotropy into account, use Variogram Surface, Spatial Correlation (bidirectional), and Anisotropic Kriging.
  • When you like to Krige a sparsely sampled variable with help of a well sampled variable, use Cross Variogram and CoKriging.

For more information, see How to use Kriging.

Limiting distance and number of input pixels:

In Kriging from Raster, you can influence the number of valid input pixels that should be taken into account in the calculation of an output pixel value by specifying a limiting distance and a minimum and maximum number of valid input pixel values:

  • only the values of input pixels that fall within the limiting distance or search radius to an output pixel will be used in the calculation for that output pixel value; the limiting distance can be specified in meters or in pixels,
  • within the limiting distance towards each output pixel, at least the specified minimum number of pixels should be found, otherwise the pixel will be assigned the undefined value,
  • within the limiting distance towards each output pixel, only the specified maximum number of pixels will be taken into account; when more than the specified maximum number of pixels are found within the limiting distance, only the pixels which are nearest to the output pixel will be taken into account.

For each output pixel, a set of simultaneous equations needs to be solved to find the weight values for those pixels that contribute to the output value of the pixel.

Limitations:

  • the maximum limiting distance which can be used is 40*pixelsize meters or 40 pixels (this will result in a matrix of 81*81).
  • the maximum number of input pixels which can be used within each limiting distance is 100.

These limitations are implemented both for the dialog box and the command line.

In general, it can be said that when more input pixel values are used (maximum limiting distance, maximum nr of pixels), the output Kriging estimates will be more reliable, but the calculation will take more time.

Error map:

Optionally, an output error map can be created which will contain the standard error of the estimate, i.e. the square root of the error variance.

The error variance in each estimated output pixel depends on:

  • the semi-variogram model including its parameters,
  • the spatial distribution of the input pixels,
  • the position of an output pixel with respect to the position of the input pixels.

A standard error which is larger than the original sample standard deviation denotes a rather unreliable prediction.

Input map requirements:

The input raster map should be a value map. You can also use a raster map with an ID domain which has a suitable value column in its attribute table.

Domain and georeference of output raster maps:

The output raster map containing the Kriging estimates or predictions will use the same value domain as the input raster map or the attribute column. The value range and precision can be adjusted for the output map; it is advised to choose a wider value range for the output map than the input value range.

The output raster map will also use the same georeference as the input raster map.

The optional error map will obtain the same name as specified for the output Kriging map, followed by the string _Error. The output error map will use the same domain and the same georeference as the output Kriging map with the predictions.

Confidence interval maps:

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

Tip 1:

When the output raster map shows undefined pixels, this can be due to several factors:

  • The value range of the output raster map is too narrow: because of extrapolation, certain output values may fall beyond the range limits and ILWIS converts them to undefined.
    Remedy: extend the value range in the dialog box and compare the results.
  • The minimum number of pixels to be taken into account is too high in relation to the limiting distance, i.e. the minimum number of pixels specified are not found within the specified limiting distance.
    Remedy: lower the minimum number of pixels and/or increase the limiting distance.

Tip 2:

The output can become erratic when:

  • Input pixels are too sparse in certain areas to ensure an estimate with small variance.
    Remedy: increase limiting distance, find supplementary data, investigate possible anisotropy.
  • The semi-variogram Range parameter is set incorrectly due to poor interpretation of a correct output of the Autocorrelation - Semivariance
    Remedy: Try another pixel shift.
  • The semi-variogram model is incorrect: the geometric distribution of the sample points is unbalanced or the user is unaware of an existing anisotropy. There is perhaps an error in the range setting (horizontal scale in graph) or sill and/or nugget (vertical scale).

See also:

Kriging from Raster : dialog box

Kriging from Raster: command line

Kriging from Raster : algorithm

Moving average : functionality

Autocorrelation - Semivariance : functionality

Graph window : Add semi-variogram model

Point interpolation

Kriging : functionality

Anisotropic Kriging : functionality

Universal Kriging : functionality

CoKriging : functionality

How to use Kriging

How to calculate confidence interval maps


Kriging from Raster : dialog box

Kriging from Raster

Dialog box

Kriging from Raster is similar to the Ordinary Kriging interpolation c.q. prediction method but requires a raster map as input, instead of a point map. The operation can be seen as a raster interpolation and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input values, similar to the Moving Average operation. The weight factors in Kriging from Raster are determined by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation), the distribution of input pixels, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

For more information about the differences and advantages of Kriging from Raster compared to other point interpolation techniques see Kriging from Raster: functionality.

Dialog box options:

Input raster map:

Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. You can select a raster map with a value domain, or a raster map with an ID domain. In case you selected an input raster map with an ID domain, select an attribute column (value domain) from the linked attribute table.

Semi-variogram Model:

Select the model which should be used to calculate the semi-variogram function g (h). The available models are: Spherical, Exponential, Gaussian, Wave, Rational Quadratic, Circular, and Power. The model/function as well as the variables nugget, sill and range can be found by modelling the semi-variogram which is the output of the Autocorrelation - Semivariance operation. For more information, see Spatial correlation : functionality section on semi-variograms, or Graph window : Add Graph Semi-variogram (dialog box).

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin to the semi-variogram value g at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a value for the sill; the sill is the plateau that the semi-variogram values g reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line), then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Limiting distance:

Type a value for the limiting distance also called search radius or limiting circle. Input samples (pixels) that are farther away from an output pixel than the limiting distance will not be used in the calculation of the value for that output pixel. The limiting distance is usually smaller than the range of your semi-variogram. (0 < limiting distance < diagonal of raster map).

One can either enter the search radius in meters or in pixels. Both entry fields are presented in the dialog box simultaneously. Changing the contents in one of the fields causes a change in the other because the two values are defined by the pixel size of the input map in constant proportion.

Meters:

Limiting distance will be specified in meters, and specify a limiting distance value (0 < real value <= 40*pixelsize).

Pixels:

Limiting distance will be specified in pixels, and specify a limiting distance value (0 < integer value <= 40).

Min nr of pixels:

Type a value for the minimum number of input pixels with a value that should be used by the calculation within each limiting distance (search radius). This is necessary to make sure that the estimation is based at least this many values.

When for an output pixel, not enough valid input pixels are found within the specified limiting distance, then the undefined value will be assigned to the output pixel. It is advised to use at least 4 input pixels.

Max nr of pixels:

Type a value for the maximum number of input pixels with a value that should be used by the calculation within each limiting distance (search radius). Limitation: you cannot use more than 100 valid input pixels within each limiting distance.

When for an output pixel more input pixels with a value are found within the limiting distance than specified, then only the input pixels which are nearest to the output pixel will be used in the calculation.

By specifying a rather small maximum, the algorithm may be faster but the estimation quality may be less.

Output raster map:

Type a name for the output raster map that will contain the Kriging estimates.

Value range:

Accept the default value range, or specify your own range of possible values in the output map. It is advisable to make the value range for the output map wider than the input value range; as negative weights may be used, Kriging estimates may be greater or smaller than your original input values. Mind: in case estimates are calculated that fall outside the specified value range, the pixel will be assigned the undefined value.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Error map:

Select this check box when you also want to obtain an error map. The error map will contain the standard error of the estimates, i.e. the square root of the error variance. The name of the error map will be the same as the name specified for the Kriging output map followed by the additonal string _Error.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a second output map containing standard errors can be created.

See also:

Kriging from Raster: functionality


Kriging from Raster : command line

Kriging from Raster

Command line

The Kriging from Raster operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapKrigingFromRaster(InputRasterMap, SemiVarModel)
OUTMAP | = | MapKrigingFromRaster(InputRasterMap, SemiVarModel, LimDist)
OUTMAP | = | MapKrigingFromRaster(InputRasterMap, SemiVarModel, LimDist, DistanceUnit)
OUTMAP | = | MapKrigingFromRaster(InputRasterMap, SemiVarModel, LimDist, Distance Unit, 1|0, min)
OUTMAP | = | MapKrigingFromRaster(InputRasterMap, SemiVarModel, LimDist, Distance Unit, 1|0, min, max)

where:

OUTMAP

is the name of the output raster map.

MapKrigingFromRaster

is the command to start the Kriging from Raster operation.

InputRasterMap

is the name of the input raster map with a value domain.

SemiVarModel

Model(nugget, sill, range) | Power(nugget, slope, pow)

This expression defines the semi-variogram model that should be used and the expected parameters.

Model

Spherical | Exponential | Gaussian | Wave | RatQuad | Circular

nugget

value for the nugget, according to your semi-variogram (real value).

sill

value for the sill, according to your semi-variogram (real value).

range

value for the range, according to your semi-variogram (real value > 0).

slope

when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh.

pow

when using the Power model: an exponent 0 < real value < 2. When you use value 1, the Power model will become linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

LimDist

A value for the limiting distance: pixels that are farther away from an output pixel than the limiting distance will not be used in the Kriging equations. You can specify a value in meters or in pixels, see DistanceUnit below.
If the DistanceUnit is specified in meters: 0 < limiting distance (real) <= 40 * pixelsize;
if the DistanceUnit is specified in pixels: 0 < limiting distance (integer) <= 40.

DistanceUnit

m | p

Defines whether the limiting distance value is expressed in meters or in pixels.

m

Limiting distance value is expressed in meters.

p

Limiting distance value is expressed in pixels.

1 | 0

Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.

1

Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.

0

Do not create an error map.

min, max

Optional parameters to specify the minimum and maximum number of input pixels with a value that should be taken into account per Kriging estimate/prediction, i.e. the number of input pixels with a value within the limiting distance of an output pixel that should be taken into account in the calculation of the output value for that pixel. 1 <= min. nr. of pixels (integer) <= max. nr. of pixels (integer) <= 100.

  • When the minimum is not specified a minimum value 1 will be used. When, for an output pixel, less valid input pixels are found within the specified limiting distance than the specified minimum, no Kriging is performed and the output pixel will become undefined. If the whole map contains less valid input pixels than the specified minimum, an error message will appear and no output will be produced.
  • When the maximum is not specified, value 16 will be used. When, for an output pixel, more valid input pixels are found within the specified limiting distance than the specified maximum, then only the specified maximum number of pixels that are nearest to the output pixel will be used.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

To perform Kriging from Raster on the attribute values in column MyAttribute as present in an attribute table linked to raster map MyRaster,

  • producing output raster map OUTMAP,
  • using a Spherical semi-variogram model with nugget 10 m, sill 70 m and range 800 m (found by means of Autocorrelation - Semivariance),
  • using a limiting distance of 20 m,
  • producing an error map OUTMAP_Error,
  • while each Kriging equation should use at least 5 and at most 16 input samples (min, max).

you can use the following expression:

OUTMAP

=

MapKrigingFromRaster(MyRaster.MyAttribute,Spherical(10,70,800),20,m,1,5,16)

See also:

Kriging from Raster : functionality

Autocorrelation - Semivariance : functionality

Formulae of semi-variogram models


Kriging from Raster : algorithm

Kriging from Raster

Algorithm

Kriging from Raster can be seen as a raster interpolation which requires a raster map as input and returns a raster map with estimations and optionally an error map.

The estimations or predictions are calculated as weighted averages of known input pixel values, similar to the Moving Average operation.

The estimate to be calculated, i.e. an output pixel value [image], is a linear combination of weight factors (wi) and known input pixel midpoint values (Zi):
= S(wi * Zi)

In case the value of an output pixel would only depend on 3 input pixels, this would read:
= w1 * Z1 + w2 * Z2 + w3 * Z3

Thus, to calculate one output pixel value [image], first, three weight factors w1, w2, w3 have to be found (one for each input pixel value Z1, Z2, Z3), then, these weight factors can be multiplied with the corresponding input pixel values, and summed.

In Moving average, the weight factors are simply determined by the distances of the input pixels towards an output pixel. In Kriging from Raster, however, the weight factors are calculated by finding the semi-variogram values for all distances between input pixels and by finding semi-variogram values for all distances between an output pixel and all input pixels; then a set of simultaneous equations has to be solved.

All semi-variogram values are calculated by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation). The weight factors are calculated in such a way that the estimation error in each output pixel is minimized.

The optional error map contains the standard errors of the estimates.

Process Kriging from Raster:

  1. Find the valid input pixels:
    • input pixels which coordinates are undefined are ignored,
    • input pixels which value is undefined are ignored,

  2. For the first output pixel, determine the input pixels (n) which will make a contribution to the output value depending on the specified limiting distance and minimum and maximum number of points:
    • input pixels that are farther away from this output pixel than the specified limiting distance are ignored,
    • if the number of pixels found within the limiting distance is smaller than the specified minimum nr of pixels, assign the undefined value to this output pixel,
    • use only the specified maximum number of pixels within the limiting distance, and, in case more pixels are found within the limiting distance than the specified maximum number of pixels, use only the pixels that are nearest to this output pixel.

  3. Determine the distances between all input pixels that will make a contribution to this output pixel (result of step 2), and find the semi-variogram value for these distances.
    • for each combination of 2 contributing input pixels, the distance between the pixels is determined,
    • for each combination of 2 contributing input pixels, the distance value is substituted in the user-selected selected semi-variogram function, using the user-specified nugget, sill, and range parameters; this gives a semi-variogram value.
    • the semi-variogram values are filled out in matrix C below (eq. 1).

  4. Determine the distances of this output pixel towards all input pixels, and find the semi-variogram value for these distances:
    • semi-variogram values are determined using the selected semi-variogram function or model and its parameters as above,
    • the semi-variogram values are filled out in vector D (eq. 1).

  5. Calculate the weight factors (vector w):
    • by first inverting matrix C (result of step 3),
    • by solving the set of simultaneous equations.

    The obtained weight factors apply to the current output pixel only.

  6. Calculate the estimated or predicted values for this output pixel:
    • as the sum of the products of the weight factors and the input pixel values (eq. 4).

  7. Optionally, calculate the error variance and standard error for this output pixel:
    • error variance: by multiplying vector w (result of step 4) with vector D (result of step 3), according to Equation 5a.
    • standard error or standard deviation: as the square root of the error variance, according to Equation 5b.

  8. Consider the next output pixel and repeat steps 2-8, until all output pixels are done.

Formulae to calculate weight factors:

The Kriging weight factors of n valid input pixels i (i = 1, ..., n) are found by solving the following matrix equation:

[ C ]

*

[ w ]

=

[ D ]

(1)

This matrix equation can be written as a set of n +1 simultaneous equations:

Si ( wi * g (hik) ) + l = g (hpi) | for k = 1, ..., n | (2)
Si wi = 1 |  | (3)

where:

hik | is the distance between input pixel i and input pixel k
hpi | is the distance between the output pixel p and input pixel i
g(hik) | is the value of the semi-variogram model for the distance hik, i.e. the semi-variogram value for the distance between input pixels i and input pixel k
g(hpi) | is the value of the semi-variogram model for the distance hpi , i.e. the semi-variogram value for the distance between the output pixel p and input pixel i
wi | is a weight factor for input pixel i
l | is a Lagrange multiplier, used to minimize possible estimation error

Matrix C thus contains the semi-variogram values for all combinations of valid input pixels that will make a contribution to the output pixel value.

Vector w thus contains the weight factors for all valid input pixels that will make a contribution to the output pixel value.

Vector D thus contains the semi-variogram for an output pixel and all combinations of valid input pixels.

Equation (3) guarantees unbiasedness of the estimates. The solutions wi minimize the Kriging error variance s2.

Formulae to calculate an estimate or predicted value for an output pixel:

= Si (wi * Zi)

(4)

where:

 | is the estimate or predicted value for one output pixel to be calculated
wi | is the weight factor for input pixel i
Zi | is the value of input pixel i

Formulae to calculate error variance and standard error:

The error variance is calculated as:

s2 = Si ( wi * g (hpi)) + l

(5a)

The standard error or standard deviation is the square root of the error variance, thus:

s = Ö ( Si ( wi * g (hpi)) + l )

(5b)

where:

s2 | is the error variance for the output pixel estimate
s | is the standard error or the standard deviation of the output pixel estimate
hpi | is the distance between the output pixel p and input pixel i
g (hpi) | is the value of the semi-variogram model for the distance hpi , i.e. the semi-variogram value for the distance between the output pixel p and input pixel i
wi | is a weight factor for input pixel i
l | is a Lagrange multiplier, used to minimize possible estimation error

Notes:

  1. The contents of matrix C depends on the semi-variogram model selected by the user, its parameters nugget, sill and range, and the geometric distribution of the pixels within the limiting circle in the input map.
  2. The contents of vector D is determined by the location of the estimated pixel value with respect to the surrounding input pixels (inside the limiting circle) and the semi-variogram.
  3. The estimates [image] are computed as linear combinations of the n point sample values with the weights wi as coefficients (the wi are found from equation (1)). Therefore the estimates are called 'linear predictors'.
  4. Equation (3) guarantees unbiasedness of the estimates. The solutions wi minimize the Kriging error variance s2.
  5. Equation (5) does not contain the sample attribute information. This means that the error variances solely depend on the spatial distribution of the samples and not on their measurement values (the attribute values).
  6. In Kriging from Raster the number of points used (n <= N) and hence the size of the Kriging matrix (n+1) will change from pixel to pixel while calculating the output map(s). Hence it is theoretically possible that for each output pixel a new Kriging system of order n+1 has to be solved. The algorithm also takes care that for each new set of surrounding input pixels, this set is sorted according to distance from the estimated pixel in order to enable to select the closest pixels satisfying the max nr of pixels condition.

References:

  • Clark, I. 1979. Practical geostatistics. Applied Science Publishers, London. 129 pp.
  • Cressie, N.A.C. 1993. Statistics for spatial data. Wiley, New York. 900 pp.
  • Davis, J. C. 1973. Statistics and data analysis in geology. Wiley, New York. 646 pp.
  • Deutsch, C.V., and A.G. Journel. 1992. Geostatistical software library and user's guide. Oxford University Press, New York. 340 pp.
  • Isaaks, E. H., and R. M. Srivastava. 1989. An introduction to applied geostatistics. Oxford University Press, New York. 561 pp.
  • Journel, A. G. and Ch. J. Huijbregts. 1978. Mining geostatistics. Academic Press, London, 600 pp.
  • Krige, D.G. Two-dimensional weighted moving average trend surfaces for ore-valuation, in Proc. Symposium on Mathematical Statistics and Computer Applications in Ore Valuation: Journ. South African Inst. Mining and Metallurgy, Johannesburg, 1966, Mar. 7-8, pp. 13-38.
  • Matheron, G.F. Principles of geostatistics: Economic Geology, 1963, vol. 58, pp.1246-1266.
  • Meer, F. D. van der. Introduction to geostatistics. ITC lecture notes. 72 pp.
  • Olea, R.A. 1991. Geostatistical glossary and multilingual dictionary. Oxford University Press, New York.
  • Stein, A. 1998. Spatial statistics for soils and the environment. ITC lecture notes. 47 pp.

See also:

Kriging from Raster : functionality


Contour interpolation

Functionality

Dialog box

Command line

Algorithm


Contour interpolation : functionality

Contour interpolation

Functionality

Contour interpolation is an operation which first rasterizes contour lines of a segment map with a value domain, and then calculates values for pixels that are not covered by segments by means of a linear interpolation. Furthermore, on the command line, this operation can also use an input raster map.

When using Contour interpolation on a segment map containing height (contour) information, the resulting raster map is a Digital Elevation Model (DEM). To visualize a DEM you can use Display3D.

Input map requirements:

The input segment map should be a value map. The Contour interpolation operation creates an intermediate raster map with rasterized segments. For all pixel values with undefined values in this intermediate map, an output value is calculated.

When using Contour interpolation from the command line, also a raster map (with rasterized segments) can be used as input.

Domain and georeference of output map:

The output map uses the same value domain as the input map. The value range and precision can be adjusted for the output map.

The georeference for the output map has to be selected or created; you can usually select an existing georeference corners.

Notes:

  • At the borders of the area in which interpolation takes place, artefacts may occur. Therefore make sure that the area of interest is smaller than the area in which interpolation takes place. After the contour interpolation, you can perform a map calculation with another raster map which contains your study area by using a mask.
  • The contours should touch the boundary of the map, otherwise discontinuities will appear.
  • Several megabytes of temporary disk space are required to perform the interpolation.
  • The quality of the obtained Digital Elevation Model will not only depend on the density of digitized contour lines or on the precision you choose for the domain of the output map but also on the selected pixel size of the georeference for the output raster map. The smaller the precision and the smaller the pixel size, the better your DEM will be.

    • However choosing a small precision will result in a raster map that is stored using 4 or 8 bytes per pixel, while choosing a small pixel size will result in a raster map with more pixels. Choosing a small precision or a small pixel size thus result in a larger output raster map on disk.

  • An example of how output values are interpolated from the contour lines is presented in Contour interpolation : algorithm.

Tip:

When later on you want to create a georeference orthophoto or a georeference direct linear, which will use the created DEM, it is strongly advised to mark the Interpolation check box in the Raster Map Properties dialog box of the DEM.

See also:

Contour interpolation : dialog box

Contour interpolation : command line

Contour interpolation : algorithm

How to calculate a Digital Elevation Model


Contour interpolation : dialog box

Contour interpolation

Dialog box

Contour interpolation is an operation which first rasterizes contour lines of a segment map with a value domain, and then calculates values for pixels that are not covered by segments by means of a linear interpolation. Furthermore, on the command line, this operation can also use an input raster map.

When using Contour interpolation on a segment map containing height (contour) information, the resulting raster map is a Digital Elevation Model (DEM).

Dialog box options:

Contour map: | Select an input segment map with a value domain.
Output raster map: | Type a name for the output raster map.
Georeference: | Select a georeference for the output raster map or create a new georeference by clicking the little create button [image] .
Domain: | Accept the default domain, or select an another existing value domain, or create a new value domain.
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision for the output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Contour interpolation : functionality


Contour interpolation : command line

Contour interpolation

Command line

Contour interpolation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapInterpolContour(InputSegmentMap, Georeference)
OUTMAP | = | MapInterpolContour(InputRasterMap)

where:

OUTMAP | is the name of your output raster map.
MapInterpolContour | is the command to start the Contour interpolation operation.
InputSegmentMap | is the name of your input segment map (value domain).
InputRasterMap | is the name of an input raster map (value domain).
Georeference | is the name of an existing georeference that should be used for the output raster map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Contour interpolation : functionality


Contour interpolation : algorithm

Contour interpolation

Algorithm

Contour interpolation first rasterizes contour lines in the segment map (see also Segments to Raster). This results in values for all pixels that are located on the segments.

Then values have to be calculated for pixels that fall in between the segments. For each undefined pixel, the distance is calculated towards the two nearest contour lines (see also Distance calculation). The distances are calculated forwards and backwards, until no more changes occur. Then a linear interpolation is performed using the two distance values. This returns the value for the undefined pixel.

Example:

The pixel values in this example are calculated as follows:

  1. The value for output pixel no. 1 is determined by the contour lines with value 0m and value 10m. The distance to these contour lines is respectively 1 and 3 and therefore the pixel value will be ((3*10)+(1*0))/4 = 7.5m. This interpolation matches reality.
  2. Pixel no. 2 is situated on a contour line with value 20, and therefore obtains this value. This interpolation also matches reality.
  3. The value for output pixel no. 3 is determined by the contour line with value 10m, and therefore the pixel value will also be 10m. When this area indeed represents a flat area, the interpolation matches reality. However, when the area represents a peak or a valley, this interpolation is wrong. You can then obtain a correct interpretation by adding a small segment representing the highest point of the top or the lowest point of the valley to the segment map.
  4. The value for output pixel no. 4 is determined by the contour lines with value 10m and value 20m. The distance to these contour lines is respectively 2 and 4 and therefore the pixel value will be ((2*20)+(4*10))/6 = 13.33m. This is incorrect, because the output pixel value is most likely to lay within the values 0m and 10m. To avoid these kind of artifects, extend the contour line (segment) with value 10 to the border of the map. The output pixel value will now be determined by the contour lines with value 0m and 10m, and the interpolation will be better.

Reference:

  • Gorte, B.G.H. and Koolhoven W., 1990. Interpolation between isolines based on the Borgefors distance transform. ITC Journal 1990-3, pp. 245-247. ITC, Enschede.

See also:

Contour interpolation : functionality


Point interpolation

A point interpolation performs an interpolation on randomly distributed point values and returns regularly distributed point values. This is also known as gridding. In ILWIS, the output values are raster values.

In an ILWIS point interpolation, the input map is a point map in which:

  • the points themselves are values (point map with a value domain), for instance concentration values, or
  • the points are identifiers (point map with an Identifier domain) and values are stored in a column of an attribute table linked to the point map.

The output of a point interpolation is a raster map. For each pixel in the output map, a value is calculated by an interpolation on input point values.

Several point interpolation methods are available:

  • Nearest point: assigns to pixels the value, identifier or class name of the nearest point, according to Euclidean distance. This method is also called Nearest Neighbour or Thiessen. The points in the input point map for the Nearest point operation do not need to be values necessarily; point maps (or attribute columns) with a class, ID or bool domain are also accepted.
  • Moving average: assigns to pixels weighted averaged point values. The weight factors for the points are calculated by a user-specified weight function. Weights may for instance approximately equal the inverse distance to an output pixel. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero; this speeds up the calculation and prevents artifacts.
  • Trend surface: calculates pixel values by fitting one surface through all point values in the map. The surface may be of the first order up to the sixth order. A trend surface may give a general impression of the data. Surface fitting is performed by a least squares fit. It might be a good idea to subtract the outcome of a trend surface from the original data, and calculate the residuals.
  • Moving surface: calculates a pixel value by fitting a surface for each output pixel through weighted point values. The weight factors for the points are calculated by a user-specified weight function. Weights may for instance approximately equal the inverse distance to an output pixel. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero; this speeds up the calculation and prevents artifacts. Surface fitting is performed by a least squares fit.
  • Kriging: assigns to pixels weighted averaged points values, like the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. Two methods are available: Simple Kriging and Ordinary Kriging. Optionally, an error map can be obtained which contains the standard errors of the estimates. The errors are assumed to have e normal (Gauss) distribution. The technique is derived from the theory of regionalized variables (Krige, Matheron).
  • Anisotropic Kriging: calculates estimates or predictions and optionally standard errors from point values similar to the Kriging operation but spatial dependencies (anisotropy) is taken into account. The direction of anisotropy can be investigated with the Variogram Surface operation. Then, by using the bidirectional method in Spatial Correlation, you need to determine two semi-variogram models, i.e. for two perpendicular directions; the ranges of these semi-variogram models determine the ratio of anisotropy.
  • Universal Kriging: calculates estimates or predictions and optionally standard errors from point values similar to the Kriging operation but a local trend is taken into account. This local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation. You need to specify a semi-variogram model (from the output of Spatial Correlation) and a trend surface type (linear or quadratic).
  • CoKriging: calculates estimates or predictions and optionally standard errors from point values for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative). CoKriging is a multi-variate variant of the Ordinary Kriging operation. You need to specify semi-variogram models for the predictand and for the covariable, and a cross variogram model for the combination of both variables. All three models can be determined from the output table of the Cross Variogram operation.

For more information on the Kriging operation, see also How to use Kriging.

Preparations:

  • Point interpolations assume spatial randomness of the input points. To investigate whether your points are randomly distributed, or appear clustered, regular, or paired, etc., you can use the Pattern analysis operation prior to a point interpolation.

    • In case your points are regularly distributed, e.g. as a regular grid, it is advised to directly rasterize the points with the Points to Raster operation. Use a georeference which ensures that each output pixel contains one point and that the points are positioned at the center of the pixels. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation (bilinear or bicubic interpolation).

  • Furthermore, point interpolations assume a certain degree of spatial correlation between the input point values. To investigate whether your point values are spatially correlated and until which distance from any point this correlation occurs, you can use the Spatial correlation operation prior to a point interpolation. The distance over which the data are correlated can be used as the maximum limiting distance in Moving average, Moving surface or Kriging operations. When there is no correlation between input point values, interpolation is senseless.

Tips:

  1. When your point map contains values in which all extremes of your measured variable are present (e.g. for height values all mountain tops and valleys are measured), then using a Moving average point interpolation will probably be sufficient.
  2. When you have indications that your point map does not contain all extreme values of a measured variable (e.g. you have soil samples and you have measured pH values as part of a large soil survey), then it is advised to use the Moving surface operation; the Moving average operation is not suitable. When you find extremes with the Moving surface operation, you might decide to go back to the field and measure the variable at the position of the extreme value; this will improve the results of a subsequent Moving surface operation.
  3. When you have relatively few points, it is advised to use a Trend surface operation.
  4. When you have rainfall data from a number of rainfall stations, first subtract for known patterns (e.g. height influence), then perform a Trend surface operation, and finally add the known patterns again to the output map.
  5. To check whether you have enough points within the limiting distance in a Moving average or a Moving surface point interpolation, you can perform the calculation again with a limiting distance increased by a factor 2. When you find profound differences in outcomes, you have chosen the limiting distance too small in the first calculation.
  6. When using a Moving average or a Moving surface point interpolation, it is for time efficiency reasons strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation (bilinear or bicubic interpolation).
  7. Instead of using Densify or Resample, you can also use online interpolation. In the Properties dialog box of the output raster map of an interpolation, i.e. of a value raster map, you can select the Interpolation check box. This means that the normal pixel value will only refer to the center of that pixel; elsewhere in any pixel, a value will be directly interpolated based on the values of 4 (bilinear) or 16 (bicubic) neighbouring pixels. The interpolated values are directly available in the raster map, e.g. by using left mouse info or in pixel info. Hence, the creation of an extra raster map with Densify or Resample is not needed. For more information, see Raster Map Properties (dialog box).

See also:

Point interpolation : Nearest point

Point interpolation : Moving average

Point interpolation : Trend surface

Point interpolation : Moving surface

Point estimation : Kriging

Point estimation : Anisotropic Kriging

Point estimation : Universal Kriging

Point estimation : CoKriging


Nearest point

Functionality / Algorithm

Dialog box

Command line


Nearest point : functionality/algorithm

Nearest point

Functionality / Algorithm

The Nearest point operation requires a point map as input and returns a raster map as output. Each pixel in the output map is assigned the class name, identifier, or value of the nearest point.

Example:

Schools, hospitals, water wells, etc. may be represented by points. The output of a nearest point operation on such a point map gives the 'service area' of the schools, hospitals or water wells, based on the shortest distance (as the crow flies) between points and pixels.

Input map: | Output map:

Nearest point operation versus Distance operation:

The Nearest point is operation is also known as Nearest neighbour or Thiessen Map. Also the Distance operation has an option to create a Thiessen map.

  • When every pixel in the output map is equally accessible, the Nearest point operation offers a quick way to obtain a Thiessen map from point data. Furthermore, as the Nearest point operation uses Euclidean distances, the output of the Nearest point operation may be somewhat more precise than the output of the Distance operation which uses approximated raster distances.
  • When you have many points or when you wish to use weights to indicate accessibilities, you can use the Distance operation. For more information, see Distance calculation: Thiessen map.

Spherical distances:

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the georeference of the output raster map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Tip:

When you used the spherical distance option in the Spatial Correlation operation, it is advised to also use the spherical distance option in the Nearest Point operation.

Input map requirements:

No special input map requirements. Input maps may be maps of domain type class, ID, value, or bool. Furthermore, you can use a class or ID map with an attribute table.

Domain and georeference of output map:

The output raster map uses the same domain as the input point map or the domain of the attribute column.

The georeference for the output map has to be selected or created; you can usually select an existing georeference corners.

Algorithm:

For each output pixel, the Euclidean distances towards all points are determined. The value of the point with the shortest distance towards an output pixel is assigned to this output pixel.

In case the option spherical distance is used, spherical distances are calculated from each output pixel towards all input points.

See also:

Point interpolation

Nearest point : dialog box

Nearest point : command line

Distance calculation : Thiessen map


Nearest point : dialog box

Nearest point

Dialog box

The nearest point operation requires a point map as input and returns a raster map as output. Each pixel in the output map is assigned the class name, identifier or value of the nearest point, according to Euclidean distance. This operation is also known as Nearest neighbour or Thiessen Map.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. Any map with a class, ID, value or bool domain is accepted; you can also select an attribute from a linked attribute table.
Use spherical distance: | Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the georeference of the output raster map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Nearest point : functionality/algorithm. Clear this check box to calculate with planar (Euclidean) distances.
Output raster map: | Type a name for the output raster map that will contain, for each pixel, the class name, identifier, or value of the nearest point.
Georeference: | Select the name of an existing georeference or create a new georeference (click the create button [image] ).
Value range: | In case the output map uses a value domain, accept the default value range, or specify your own range of possible values in the output map.
Precision: | In case the output map uses a value domain, accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Nearest point : functionality / algorithm


Nearest point : command line

Nearest point

Command line

The Nearest Point operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapNearestPoint(InputPointMap, Georeference)
OUTMAP | = | MapNearestPoint(InputPointMap, Georeference, plane | sphere)
OUTMAP | = | MapNearestPoint(InputPointMap.Column, Georeference)
OUTMAP | = | MapNearestPoint(InputPointMap.Column, Georeference, plane | sphere)

where:

OUTMAP | is the name of the output raster map.
MapNearestPoint | is the command to start the Nearest Point operation.
InputPointMap | is the name of the input point map (any domain).
InputPointMap.Column | is the name of the input point map (class or ID) which has a linked attribute table, and the name of a column (any domain) in this attribute table.
Georeference | is the name of an existing georeference that should be used for the output raster map.
plane | sphere | optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere). If not specified, distances will be calculated in a plane.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Nearest point : functionality / algorithm


Moving average

Functionality

Dialog box

Command line

Algorithm


Moving average : functionality

Moving average

Functionality

The Moving average operation is a point interpolation which requires a point map as input and returns a raster map as output. The values for the output pixels are the weighted averages of input point values. Weighted averaging is the calculation of the sum of the products of weights and point values, divided by the sum of weights.

The weight factors for the input points are calculated by a user-specified weight function. There are two methods: inverse distance and linear decrease. Both methods ensure that points which are close to an output pixel obtain large weights and that points which are farther away from an output pixel obtain small weights. Values of points which are close to an output pixel are thus of greater importance to this output pixel value than the values of points which are farther away.

By specifying a limiting distance, you can influence until which distance from any output pixel, points will be taken into account for the calculation a value for that output pixel; for each output pixel, only the values of the points which fall within the limiting distance to this output pixel will be used. Values of points that are farther away from an output pixel than the specified limiting distance, obtain weight zero by the weight calculation, and these values will thus not be used in the output pixel value calculation. This speeds up the calculation and prevents artifacts.

For more information on the calculation of weight factors, see Moving average : algorithm.

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the georeference of the output raster map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Input map requirements:

The input point map should be a value map. Furthermore, when a point map uses a class or ID domain and the map is linked to an attribute table, you can also use such a point map and select a column with a value domain from the map's attribute table.

Domain and georeference of output map:

The output raster map uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map. The georeference for the output map has to be selected or created; you can usually select an existing georeference corners.

Tips:

  • For time efficiency reasons, it is advisable to choose a rather large pixel size for the output raster map. Further interpolation on the raster values can be performed with the Densify operation or the Resample operation (using bilinear or bicubic interpolation).
  • Prior to interpolation, you can use the Pattern analysis operation to investigate whether your points are randomly distributed, and the Spatial correlation operation to investigate whether your points are spatially correlated and until which distance from any point this correlation occurs. The limiting distance should not be specified larger than the distance until which correlation occurs.
  • Make sure that there are enough points within the limiting distance; in other words, choose a limiting distance which is large enough.
    • To check whether you have enough points within the limiting distance, you can perform the calculation again with a limiting distance increased by a factor 2. When you find profound differences in outcomes, you have chosen the limiting distance too small in the first calculation.
  • When you used the spherical distance option in the Spatial Correlation operation, it is advised to also use the spherical distance option in the Moving average operation.

See also:

Point interpolation

Moving average : dialog box

Moving average : command line

Moving average : algorithm


Moving average : dialog box

Moving average

Dialog box

Moving average is a point interpolation which performs a weighted averaging on point values and returns a raster map as output. You have to specify the weight function and a limiting distance. For more information, refer to Moving average : functionality.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, or a point map with a class or ID domain which has a linked attribute table with values (then select an attribute column with a value domain).
Weight function: | Select the weight function which should be used to calculate weight factors for the points. Both weight functions ensure that points close to an output pixel will obtain a larger weight factor than points which are farther away. The inverse distance method assigns relatively larger weights to points close to an output pixel than the linear decrease method. For more information on weight functions, see Moving average : algorithm.
Inverse distance: | (1 / dn ) - 1
Linear decrease: | 1 - dn
 | d = relative distance of points towards pixels n = weight exponent
Weight exponent: | Type a value for weight exponent n to be used in the selected weight function (real value, usually a value around value 1.0).
Limiting distance: | Type a value for the limiting distance. Points that are farther away from any output pixel than the limiting distance are assigned weight zero; the values of these points will thus not be used in the calculation of the output value for that pixel.
Use spherical distance: | Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the georeference of the output raster map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Moving average : functionality. Clear this check box to calculate with planar (Euclidean) distances.
Output raster map: | Type a name for the output raster map that will contain the weighted averaged point values.
Georeference: | Select the name of an existing georeference or create a new georeference. For time efficiency reasons, it is advisable to choose a rather large pixel size for the output raster map. Further interpolation on the raster values can be performed with the Densify operation or the Resample operation (using bilinear or bicubic interpolation).
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Moving average : functionality

Moving average : algorithm


Moving average : command line

Moving average

Command line

The Moving Average operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapMovingAverage(InputPointMap, Georeference, WeightFunction)
OUTMAP | = | MapMovingAverage(InputPointMap, Georeference, WeightFunction, plane | sphere)
OUTMAP | = | MapMovingAverage(InputPointMap.Column, Georeference, WeightFunction)
OUTMAP | = | MapMovingAverage(InputPointMap.Column, Georeference, WeightFunction, plane | sphere)

where:

OUTMAP | is the name of the output raster map.
MapMovingAverage | is the command to start the Moving Average operation.
InputPointMap | is the name of the input point map with a value domain.
InputPointMap.Column | is the name of an input point map with a class or ID domain which has a linked attribute table, and the name of a value column in this attribute table.
Georeference | is the name of an existing georeference for the output raster map.
WeightFunction | is an expressing which defines the type of weight function to be used, as: InvDist(Exp,LimDist) Linear(Exp,LimDist)
InvDist | is the parameter to indicate the use of the inverse distance method.
Linear | is the parameter to indicate the use of the linear decrease method.
Exp | is a value for weight exponent n to be used in the specified weight function (real value, usually a value close to 1.0).
LimDist | is a value for the limiting distance: points that are farther away from an output pixel than the limiting distance obtain weight zero.
plane | sphere | optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere). If not specified, distances will be calculated in a plane.

Example:

A full expression for the Moving Average operation, using weights according to the inverse distance method, a weight exponent 1, and a limiting distance of 500 m. might thus read:

OUTMAP

=

MapMovingAverage(MapX, GeorefX, InvDist(1,500))

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Point interpolation

Moving average : functionality

Moving average : algorithm


Moving average : algorithm

Moving average

Algorithm

Moving average performs a weighted averaging on point values and returns a raster map as output. The user has to specify a weight function and a limiting distance.

  1. First, for each output pixel, the distances of all points towards the output pixel are calculated to determine weight factors for the points:

    2. For each output pixel, weight factors for the points are then calculated according to the weight function specified by the user. Two weight functions are available: inverse distance and linear decrease.

    Inverse distance: | weight = (1 / dn ) - 1
Linear decrease: | weight = 1 - dn

    where:

    d | = | D/D0 = relative distance of point to output pixel
D | = | Euclidean distance of point to output pixel When the spherical distance option is used, distances (D) are calculated over the sphere using the projection of the coordinate system that is used by the georeference of the output raster map.
D0 | = | limiting distance
n | = | weight exponent

    Figures 1 and 2 below show the manner in which weight values decrease with increasing distance, for different values of n. The X-axes represent d: the distance of a point towards an output pixel divided by the limiting distance. The Y-axes represent the calculated weight values.

    Fig. 1: Inverse distance weight = (1/dn ) - 1 X-axis: d = D/D0 Y-axis: weight values | Fig. 2: Linear decrease weight = 1 - dn X-axis: d = D/D0 Y-axis: weight values

    The weight functions ensure that points close to an output pixel obtain a larger weight value than points which are farther away from an output pixel.

    See that when the distance of a point towards an output pixel equals the limiting distance (value 1.0 at X-axis), or when the distance of a point towards an output pixel is larger than the limiting distance, the calculated weight value will equal 0; the weight functions are thus continuous.

    Tips:

    • The inverse distance function can be selected when you have very accurately measured point values and when local variation, within a pixel, is small. This function ensures that the computed output values equal the input point values.
    • The linear decrease function can be selected for point maps in which you know there are measurement errors, and when points lying close to each other have different values. This function will decrease the overall error by correcting erroneous measurements with other close points. The consequence is that the computed output values will not necessarily coincide with the measured point values.

  2. Then, for each output pixel, an output value is calculated as the sum of the products of calculated weight values and point values, divided by sum of weights.

    3. output pixel value

    =

    S ( w i * val i ) / S w i

    where:

    w i | = | weight value for point i
val i | = | point value of point i

Tip:

For time efficiency reasons, it is strongly advised to choose a rather large pixel size for the output raster map. Further interpolation on the raster values can be performed with the Densify operation or the Resample operation (using bilinear or bicubic interpolation).

See also:

Moving average : functionality


Trend surface

Functionality

Dialog box

Command line

Algorithm


Trend surface : functionality

Trend surface

Functionality

The Trend Surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a least squares fit so that the global surface approaches all point values in the map. The calculated surface values are assigned to the output pixels.

The trend surfaces in this operation range from a simple plane to complex polynomial surfaces. You can usually select a first or second order function to calculate the surface, as these are the least sensitive to produce extreme values. For more information on the available functions which calculate surfaces, see Trend surface : algorithm.

Input map requirements:

The input point map should be a value map. Furthermore, when a point map uses a class or ID domain and the map is linked to an attribute table, you can also use such a point map and select a column with a value domain from the map's attribute table.

Domain and georeference of output map:

The output raster map uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map. The georeference for the output map has to be selected or created; you can usually select an existing georeference corners.

Tips:

  • After performing the Trend surface operation, you can press the Additional Info button in the Properties dialog box of the output raster map to display the formula of the calculated surface.
  • You can subtract the output map of the trend surface operation from the original point values, e.g. using the MAPVALUE() and PNTCRD() functions in TabCalc. If the residuals of this subtraction do not have a strong spatial correlation, the trend surface is a representative model of your point values.
  • Prior to interpolation, you can use the Pattern analysis operation to investigate whether your points are randomly distributed, and the Spatial correlation operation to investigate whether your points are spatially correlated.

See also:

Point interpolation

Trend surface: dialog box

Trend surface: command line

Trend surface: algorithm


Trend surface : dialog box

Trend surface

Dialog box

The Trend Surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a least squares fit so that the global surface approaches all point values in the map. The calculated surface values are assigned to the output pixels. You have to specify the function with which the surface has to be calculated. For more information, refer to Trend surface : functionality.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, or a point map with a class or ID domain which has a linked attribute table with values (then select an attribute column with a value domain).
Surface: | Select one of the 8 functions to calculate a trend surface which approaches all points in your point map.
Output raster map: | Type a name for the output raster map.
Georeference: | Select the name of an existing georeference or create a new georeference.
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Trend surface : functionality


Trend surface : command line

Trend surface

Command line

The Trend surface operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapTrendSurface(InputPointMap, Georeference, SurfaceType)
OUTMAP | = | MapTrendSurface(PointMap.Column, Georeference, SurfaceType)

where:

OUTMAP | is the name of the output raster map.
MapTrendSurface | is the command to start the Trend surface operation.
InputPointMap | is the name of the input point map with a value domain.
PointMap.Column | is the name of an input point map with a class or ID domain which has a linked attribute table, and the name of a value column in this attribute table.
Georeference | is the name of an existing georeference that should be used for the output raster map.
SurfaceType | is the parameter which specifies the function with which a surface should be calculated; use one of the following: Plane | Linear2 | Parabolic2 | 2 | 3 | 4 | 5 | 6

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Trend surface : functionality


Trend surface : algorithm

Trend surface

Algorithm

The Trend Surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a global least squares fit approaching all point values in the map. The calculated surface values are assigned to the output pixels.

Below the functions and surface types are listed, as well as the absolute minimum number of points that are mathematically required to fit such a surface. You will always need more points than this absolute mathematical minimum to obtain good results.

In general, the use of simple surfaces is preferred, as these will produce the least artificial extreme values.

Plane: | the surface is a plane; formula: z = a + bx + cy Minimum number of points required: 3
2nd degree Linear: | the surface is planar but tilted, i.e. first order plane; formula: z = a + bx + cy + dxy Minimum number of points required: 4
2nd degree Parabolic: | the surface is a second order polynomial surface; formula: z = a + bx + cy + ex2 + fy2 Minimum number of points required: 5
2nd degree: | the surface is a full second order polynomial surface; formula: z = a + bx + cy + dxy + ex2 + fy2 Minimum number of points required: 6
3rd degree: | the surface is a third order polynomial surface; formula: z = a + ... + gx3 + hx2y + ixy2 + jy3 Minimum number of points required: 10
4th degree: | the surface is a fourth order polynomial surface; formula: z = a + ... + kx4 + lx3y + mx2y2 + nxy3 + oy4 Minimum number of points required: 15
5th degree: | the surface is a fifth order polynomial surface; formula: z = a + ... +px5 + qx4y +rx3y2 + ... + uy5 Minimum number of points required: 21
6th degree: | the surface is a sixth order polynomial surface z = a + ... + vx6+... Minimum number of points required: 28

See also:

Trend surface : functionality


Moving surface

Functionality

Dialog box

Command line

Algorithm


Moving surface : functionality

Moving surface

Functionality

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a moving least squares fit; for each output pixel, the surface will approach the weighted point values of the points which fall within the specified limiting distance (see below). The calculated surface values are assigned to the output pixels.

The weight factors for the input points are calculated by a user-specified weight function. There are two methods: inverse distance and linear decrease. Both methods ensure that points which are close to an output pixel obtain large weights and that points which are farther away from an output pixel obtain small weights. The values of points which are close to an output pixel are thus of greater importance to the output value for that pixel than points which are farther away.

By specifying a limiting distance, you can influence until which distance from any output pixel, points will be taken into account for the calculation a value for that output pixel. For each output pixel, only the values of the points which fall within the limiting distance to this output pixel will be used to calculate a value for that output pixel. Values of points that are farther away from an output pixel than the specified limiting distance, obtain weight zero by the weight calculation, and these values will thus not be used in the output pixel value calculation. This speeds up the calculation and prevents artifacts.

The surfaces in this operation range from a simple plane to complex polynomial surfaces. You can usually select a first or second order surface, as these are the least sensitive to produce artificial extreme values.

For more information on weight calculation methods and surfaces, see Moving surface : algorithm.

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the georeference of the output raster map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Input map requirements:

The input point map should be a value map. Furthermore, when a point map uses a class or ID domain and the map is linked to an attribute table, you can also use such a point map and select a column with a value domain from the map's attribute table.

Domain and georeference of output map:

The output raster map uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map. The georeference for the output map has to be selected or created; you can usually select an existing georeference corners.

Tips:

  • For time efficiency reasons, it is advisable to choose a rather large pixel size for the output raster map. Further interpolation on the raster values can be performed with the Densify operation or the Resample operation (using bicubic interpolation).
  • Prior to interpolation, you can use the Pattern analysis operation to investigate whether your points are randomly distributed, and the Spatial correlation operation to investigate whether your points are spatially correlated and until which distance from any point this correlation occurs. The limiting distance should not be specified larger than the distance until which correlation occurs.
  • When you used the spherical distance option in the Spatial correlation operation, it is advised to also use the spherical distance option in the Moving surface operation.
  • Make sure that there are enough points within the limiting distance; in other words, choose the limiting distance value large enough.
    To check whether you have enough points within the limiting distance, you can perform the calculation again with a limiting distance increased by a factor 2. When you find profound differences in outcomes, you have chosen the limiting distance too small in the first calculation.
  • To find only a regional trend, use the Trend surface operation which is a relatively fast operation. When you use the residuals of the Trend surface operation as input for the Moving surface operation, you may be able to split regional and local phenomena.

See also:

Point Interpolation

Moving surface : dialog box

Moving surface : command line

Moving surface : algorithm


Moving surface : dialog box

Moving surface

Dialog box

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a least squares fit; for each output pixel, the surface will approach the weighted point values of the points which fall within the specified limiting distance. The calculated surface values are assigned to the output pixels. You have to specify a weight function, a value for the limiting distance and a function with which surfaces have to be calculated. For more information, refer to Moving surface : functionality.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, or a point map with a class or ID domain which has a linked attribute table with values (then select an attribute column with a value domain).
Weight function: | Select the weight function which should be used to calculate weight factors for the points. Both weight functions ensure that points close to an output pixel will obtain a larger weight factor than points which are farther away. The inverse distance method assigns relatively larger weights to points close to an output pixel than the linear decrease method. For more information on weight functions, see Moving surface : algorithm.
Inverse distance: | (1 / dn ) - 1
Linear decrease: | 1 - dn
 | d = relative distance of points towards pixels n = weight exponent
Weight exponent: | Type a value for weight exponent n to be used in the selected weight function (real value, usually a value close to 1.0).
Limiting distance: | Type a value for the limiting distance. Points that are farther away from any output pixel than the limiting distance, are assigned weight zero; the values of these points will thus not be used in the calculation of the output value for that pixel.
Use spherical distance: | Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the georeference of the output raster map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Moving surface : functionality. Clear this check box to calculate with planar (Euclidean) distances.
Surface: | Select one of the 8 functions to calculate for each output pixel a surface which approaching all points within the limiting distance towards this output pixel.
Output raster map: | Type the name of the output raster map.
Georeference: | Type the name of an existing georeference or create a new georeference.
Value range: | Accept the default value range, or specify your own range of possible values in the output map.
Precision: | Accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Moving surface : functionality


Moving surface : command line

Moving surface

Command line

The Moving surface operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapMovingSurface(InputPointMap, Georeference, SurfaceType, WeightFunction)
OUTMAP | = | MapMovingSurface(InputPointMap, Georeference, SurfaceType, WeightFunction, plane | sphere)
OUTMAP | = | MapMovingSurface(InputPointMap.Column, Georeference, SurfaceType, WeightFunction)
OUTMAP | = | MapMovingSurface(InputPointMap.Column, Georeference, SurfaceType, WeightFunction, plane | sphere)

where:

OUTMAP | is the name of the output raster map.
MapMovingSurface | is the command to start the Moving surface operation.
InputPointMap | is the name of the input point map with a value domain.
InputPointMap.Column | is the name of an input point map with a class or ID domain which has a linked attribute table, and the name of a value column in this attribute table.
Georeference | is the name of an existing georeference that should be used for the output raster map.
SurfaceType | is the parameter which specifies the function with which surfaces should be calculated; use one of the following: Plane | Linear2 | Parabolic2 | 2 | 3 | 4 | 5 | 6
WeightFunction | is an expressing which defines the type of weight function to be used, as: InvDist(Exp,LimDist) Linear(Exp,LimDist)
InvDist | is the parameter to indicate the use of the inverse distance method.
Linear | is the parameter to indicate the use of the linear decrease method.
Exp | is a value for weight exponent n to be used in the specified weight function (real value, usually a value close to 1.0).
LimDist | is a value for the limiting distance: points that are farther away from an output pixel than the limiting distance obtain weight zero.
plane | sphere | optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere). If not specified, distances will be calculated in a plane.

Example:

A full expression for the Moving surface operation, using a plane, using weights according to the inverse distance method, a weight exponent 1, and a limiting distance of 500m. might thus read:

OUTMAP

=

MapMovingSurface(MapX, GeorefX, Plane, InvDist(1,500))

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Moving surface : functionality


Moving surface : algorithm

Moving surface

Algorithm

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a least square method approaching weighted point values.

  1. First, for each output pixel, the distances of all points towards the output pixel are calculated to determine weight factors for the points:

    2. For each output pixel, weight factors for the points are then calculated according to the weight function specified by the user. Two weight functions are available: inverse distance and linear decrease.

    Inverse distance: | weight = (1 / dn ) - 1
Linear decrease: | weight = 1 - dn

    where:

    d | = | D/D0 = relative distance of point to output pixel
D | = | Euclidean distance of point to output pixel. When the spherical distance option is used, distances (D) are calculated over the sphere using the projection of the coordinate system that is used by the georeference of the output raster map.
D0 | = | limiting distance
n | = | weight exponent

    Figures 1 and 2 below show the manner in which weight values decrease with increasing distance, for different values of n. The X-axes represent d: the distance of a point towards an output pixel divided by the limiting distance. The Y-axes represent the calculated weight values.

    Fig. 1: Inverse distance weight = (1/dn ) - 1 X-axis: d = D/D0 Y-axis: weight values | Fig. 2: Linear decrease weight = 1 - dn X-axis: d = D/D0 Y-axis: weight values

    The weight functions ensure that points close to an output pixel obtain a larger weight value than points which are farther away from an output pixel.

    See that when the distance of a point towards an output pixel equals the limiting distance (value 1.0 at X-axis), or when the distance of a point towards an output pixel is larger than the limiting distance, the calculated weight value will equal 0; the weight functions are thus continuous.

    Tips:

    • The inverse distance function can be selected when you have very accurately measured point values and when local variation, within a pixel, is small. This function ensures that the computed output values equal the input point values.
    • The linear decrease function can be selected for point maps in which you know there are measurement errors, and when points which are close to each other have different values. This function will decrease the overall error by correcting erroneous measurements with other close points. The consequence is that the computed output values will not necessarily coincide with the measured point values.

  2. Then, for each output pixel, an output value is calculated by fitting a polynomial surface through all weighted point values of points that fall within the limiting distance towards this pixel. To each output pixel, the calculated surface value is assigned.

    Below the functions and surface types are listed, as well as the absolute minimum number of points that are mathematically required to fit such a surface. To obtain good results, for each output pixel, you need more points within the limiting distance than this absolute mathematical minimum.

    In general, the use of simple surfaces is preferred, as these will produce the least artificial extreme values.

    3. Plane: | the surface is a plane; formula: z = a + bx + cy Minimum number of points required: 3
2nd degree Linear: | the surface is planar but tilted, i.e. first order plane; formula: z = a + bx + cy + dxy Minimum number of points required: 4
2nd degree Parabolic: | the surface is a second order polynomial surface; formula: z = a + bx + cy + ex2 + fy2 Minimum number of points required: 5
2nd degree: | the surface is a full second order polynomial surface; formula: z = a + bx + cy + dxy + ex2 + fy2 Minimum number of points required: 6
3rd degree: | the surface is a third order polynomial surface; formula: z = a + ... + gx3 + hx2y + ixy2 + jy3 Minimum number of points required: 10
4th degree: | the surface is a fourth order polynomial surface; formula: z = a + ... + kx4 + lx3y + mx2y2 + nxy3 + oy4 Minimum number of points required: 15
5th degree: | the surface is a fifth order polynomial surface; formula: z = a + ... +px5 + qx4y +rx3y2 + ... + uy5 Minimum number of points required: 21
6th degree: | the surface is a sixth order polynomial surface z = a + ... + vx6+... Minimum number of points required: 28

Tip:

For time efficiency reasons, it is strongly advised to choose a rather large pixel size for the output raster map. Further interpolation on the raster values can be performed with the Densify operation or the Resample operation (using bicubic interpolation).

See also:

Moving surface : functionality


Kriging

Functionality

Dialog box

Command line

Algorithm


Kriging : functionality

Kriging

Functionality

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

Kriging is named after D.G. Krige, a South African mining engineer and pioneer in the application of statistical techniques to mine evaluation. The Kriging technique is derived from the theory of regionalized variables (Krige, Matheron). An advantage of Kriging (above other moving averages like inverse distance) is that it provides a measure of the probable error associated with the estimates.

Preparation:

Besides an input point map, Kriging requires a semi-variogram model including the type of the model and values for the parameters nugget, sill and range; this can be obtained from the Spatial correlation operation.

  • Display the output table of Spatial correlation, and create a graph (i.e. a semi-variogram) in which you plot the semi-variance values against the distance classes.
  • Subsequently, model the semi-variogram: select a model like Spherical, Exponential, Gaussian, etc., and choose values for sill, nugget and range. This shows as a line in the graph through the points.
  • Superimpose trials of various models with various defining parameters in order to find the best approximation.

For more information, see Spatial correlation : functionality, section on Semi-variograms, or Graph window : Add semi-variogram model.

General Kriging tips:

  • When you have an input raster map instead of a point map you can use Kriging from Raster as interpolation technique.
  • When a global trend is apparent, it should be removed before Kriging. You could use the Trend surface operation and appropriate TabCalc subtractions.
  • To take a local trend into account, use Spatial Correlation and Universal Kriging.
  • To take anisotropy into account, use Variogram Surface, Spatial Correlation (bidirectional), and Anisotropic Kriging.
  • When you like to Krige a sparsely sampled variable with help of a well sampled variable, use Cross Variogram and CoKriging.

For more information, see How to use Kriging.

Methods:

Two Kriging methods are available: Simple Kriging and Ordinary Kriging.

  • In Simple Kriging, all input points are used to calculate each output pixel value. Only one large matrix needs to be inverted to find the weight factors for all input points.
  • In Ordinary Kriging, you can influence the number of points that should be taken into account in the calculation of an output pixel value by specifying a limiting distance and a minimum and maximum number of points:
    • only the points that fall within the limiting distance to an output pixel will be used in the calculation for that output pixel value,
    • within the limiting distance towards each output pixel, at least the specified minimum number of points should be found, otherwise the pixel will be assigned the undefined value.
    • within the limiting distance towards each output pixel, only the specified maximum number of points will be taken into account; when more than the specified maximum number of points are found within the limiting distance, only the points which are nearest to the output pixel will be taken into account.

    For each output pixel, a set of simultaneous equations needs to be solved to find the weight values for those points that contribute to the output value of the pixel.

In general, it can be said that the more points are used, the more reliable the estimation will be.

Removing duplicates or coinciding points:

When you have multiple values for the same location or when point locations are very close to each other, i.e. when samples coincide, the Kriging system of equations becomes singular and cannot be solved.

It is therefore advised to use the option Remove Duplicates which will automatically 'remove' any coinciding points. You can choose to either take the average value of coinciding points, or to take the value of the first (coinciding) point encountered only. By specifying a Tolerance, you can control the distance between points at which points are considered coinciding or not. When the distance between points is less than the specified tolerance, these points are considered coinciding; otherwise the points are considered distinct.

When your input data does contain coinciding points and when the Remove Duplicates option is not used, Simple Kriging will yield an error message, and Ordinary Kriging will assign the undefined value for all pixels to which the coinciding points make a contribution.

Spherical distance:

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the georeference of the output raster map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Tip: When you used the spherical distance option in the Spatial Correlation operation, it is advised to also use the spherical distance option in the Kriging operation.

Error map:

Optionally, an output error map can be created which contains the standard error of the estimate, i.e. the square root of the error variance.

The error variance in each estimated output pixel depends on:

  • the semi-variogram model including its parameters,
  • the spatial distribution of the input sample points,
  • the position of an output pixel with respect to the position of the input sample points.

A standard error which is larger than the original sample standard deviation denotes a rather unreliable prediction.

Input map requirements:

The input point map is generally a value map. You can also use a ID point map which is linked to an attribute table, and select a column with a value domain from the attribute table. Furthermore, you need to define a complete semi-variogram model.

Limitations:

  • when using the dialog box for Simple Kriging, the input point map may not contain more than 100 valid input points;
  • when using the dialog box for Ordinary Kriging, the maximum number of points that can be used within each limiting distance (search radius) is 100.

These limitations are not applicable on the command line.

Tip:

To speed up the calculation when using Ordinary Kriging and using a large number of points within each limiting distance, it is advised to first rasterize the point values and then to use the Kriging from Raster operation.

Domain and georeference of output raster maps:

The output raster map containing the Kriging estimates or predictions uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map; it is advised to choose a wider value range for the output map than the input value range.

The georeference for the output Kriging map has to be selected or created; you can usually select an existing georeference corners.

The optional output error map will obtain the same name as specified for the output Kriging map, followed by the string _Error. The output error map will use the same domain and the same georeference as the output Kriging map with the predictions.

Confidence interval maps:

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

Tip 1:

When the output raster map shows undefined pixels, this can be due to several factors:

  • There are coinciding points while you did not use the option Remove Duplicates.
    Remedy: use the option Remove Duplicates, or change the tolerance. You can also remove duplicates yourself, e.g. by editing the point map in the point editor, by editing the point map as a table, or by editing the attribute table of the point map.
  • The value range of the output raster map is too narrow: because of extrapolation, certain output values may fall beyond the range limits and ILWIS converts them to undefined.
    Remedy: extend the value range in the dialog box and compare the results.
  • The minimum number of points to be taken into account is too high in relation to the limiting distance, i.e. the minimum number of points specified are not found within the specified limiting distance.
    Remedy: lower the minimum number of points and/or increase the limiting distance.

Tip 2:

The output can also become erratic because:

  • The input points are too sparse in certain areas to ensure an estimate with small variance.
    Remedy: increase limiting distance, find supplementary point data, investigate possible anisotropy.
  • The semi-variogram Range parameter is set incorrectly due to poor interpretation of a correct output of the Spatial correlation operation. This may occur when you chose the lag spacing in Spatial correlation far too large.
    Remedy: Try another lag spacing and inspect the NrPairs column.
  • The semi-variogram model is incorrect: the geometric distribution of the sample points is unbalanced or the user is unaware of an existing anisotropy. There is perhaps an error in the range setting (horizontal scale in graph) or sill and/or nugget (vertical scale).

See also:

Kriging : dialog box

Kriging : command line

Kriging : algorithm

Moving average : functionality

Spatial correlation : functionality

Graph window : Add semi-variogram model

Point interpolation

Anisotropic Kriging : functionality

Universal Kriging : functionality

CoKriging : functionality

Kriging from Raster : functionality

How to use Kriging

How to calculate confidence interval maps


Kriging : dialog box

Kriging

Dialog box

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

You have to choose whether you want to use Simple Kriging or Ordinary Kriging. For Ordinary Kriging, a limiting distance and a minimum and maximum number of points to be used in the calculations need to be specified.

Dialog box options:

Input point map:

Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, but you may also use a point map with a ID domain which has a linked attribute table, then select an attribute column with a value domain from the attribute table.

Limitation: To increase calculation speed when using the dialog box, you are not allowed:

  • for Simple Kriging, to use an input point which contains more than 100 valid input points;
  • for Ordinary Kriging, to use more than 100 point values within the limiting distance (see 'Max nr of points' below).

These limitations are not present on the command line.

Semi-variogram Model:

Select the model which should be used to calculate the semi-variogram function g (h). The available models are: Spherical, Exponential, Gaussian, Wave, Rational Quadratic, Circular, and Power. The model/function as well as the variables nugget, sill and range can be found by modelling the semi-variogram which is the output of the Spatial correlation operation. For more information, see Spatial correlation : functionality section on semi-variograms, or Graph window : Add Graph Semi-variogram (dialog box).

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin to the semi-variogram value g at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a value for the sill; the sill is the plateau that the semi-variogram values g reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line), then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Methods:

In general, points close to an output pixel will obtain a larger weight value than points which are farther away.

Simple Kriging:

The Simple Kriging method assigns weights to all points of the input map; for the estimation of each output pixel value, all input point values will be used.

Ordinary Kriging:

The Ordinary Kriging method uses for the estimation of each output pixel value only the values of points that are within the user-specified limiting distance towards a pixel. This gives the estimation method a more local character.

Limiting distance:

For Ordinary Kriging only: type a value for the limiting distance also called search radius or limiting circle. Points that are farther away from an output pixel than the limiting distance will not be used in the calculation of the value for that output pixel. The limiting distance is usually smaller than the range of your semi-variogram. (0 < limiting distance < diagonal of point map).

Min nr of points:

For Ordinary Kriging only: type a value for the minimum number of points that should be used by the calculation within each limiting distance (search radius). This is necessary to make sure that the estimation is based at least this many points.

When for an output pixel, not enough points are found within the specified limiting distance, then the undefined value will be assigned to the output pixel. It is advised to use at least 4 points.

Max nr of points:

For Ordinary Kriging only: type a value for the maximum number of points that should be used by the calculation within each limiting distance (search radius). Limitation: In the dialog box, you cannot specify to use more than 100 valid input points within each limiting distance. This limitation is not present on the command line.

When for an output pixel more points are found within the limiting distance than specified, then only the points nearest to the output pixel will be used in the calculation.

By specifying a rather small maximum, the algorithm may be faster but the estimation quality may be less.

Remove duplicates:

In case of coinciding points, it is advised to always select this check box. Subsequently, select 'Average' or 'First value'.

You can clear this check box when you are sure that you have no coinciding points. If the check box is cleared and any coinciding points, i.e. duplicates, are found, Simple Kriging will fail, while Ordinary Kriging will result in undefined values in the neighbourhood of the coinciding points.

Average:

For points that are less than the specified tolerance distance apart, use the mean value of these points.

First value:

For points that are less than the specified tolerance distance apart, only use the value of the first point encountered.

Tolerance (m):

Type a value (meters) for the tolerance distance: when the distance between two points is smaller than the specified Tolerance, then these points are considered as coinciding points or duplicates (real value > 0).

Use spherical distance:

Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the georeference of the output raster map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see Kriging : functionality.

Clear this check box to calculate with planar (Euclidean) distances.

Output raster map:

Type a name for the output raster map that will contain the Kriging estimates.

Georeference:

Select the name of an existing georeference or create a new georeference.

Value range:

Accept the default value range, or specify your own range of possible values in the output map. It is advisable to make the value range for the output map wider than the input value range; as negative weights may be used, Kriging estimates may be greater or smaller than your original input values. Mind: in case estimates are calculated that fall outside the specified value range, the pixel will be assigned the undefined value.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Error map:

Select this check box when you also want to obtain an error map. The error map will contain the standard error of the estimates, i.e. the square root of the error variance. The name of the error map will be the same as the name specified for the Kriging output map followed by the additional string _Error.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a second output map containing standard errors can be created.

See also:

Kriging : functionality


Kriging : command line

Kriging

Command line

The Kriging operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, 1 | 0)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, 1 | 0, No | Average | Firstval)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, 1 | 0, Average | Firstval , Tolerance)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, , No | Average | Firstval)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, , Average | Firstval , Tolerance)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere, 1 | 0)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere, 1 | 0, No | Average | Firstval)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere, 1 | 0, Average | Firstval , Tolerance)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere, , No | Average | Firstval)
OUTMAP | = | MapKrigingSimple(InputPointMap, Georef, SemiVarModel, plane | sphere, , Average | Firstval , Tolerance)

OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, LimDist)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, LimDist, 1 | 0)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, LimDist, 1 | 0, min, max)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, LimDist, 1 | 0, min, max, No | Average | Firstval )
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, LimDist, 1 | 0, min, max, Average | Firstval, Tolerance)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, plane | sphere, LimDist)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, plane | sphere, LimDist, 1 | 0)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, plane | sphere, LimDist, 1 | 0, min, max)
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, plane | sphere, LimDist, 1 | 0, min, max, No | Average | Firstval )
OUTMAP | = | MapKrigingOrdinary(InputPointMap, Georef, SemiVarModel, plane | sphere, LimDist, 1 | 0, min, max, Average | Firstval, Tolerance)

where:

OUTMAP

is the name of the output raster map containing the Kriging estimates.

MapKrigingSimple

is the command to start the Kriging operation, using the Simple Kriging method.

MapKrigingOrdinary

is the command to start the Kriging operation, using the Ordinary Kriging method.

InputPointMap

is the name of the input point map with a value domain. To use a value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

Georef

is the name of an existing georeference for the output raster map.

SemiVarModel

Model(nugget, sill, range) | Power(nugget, slope, pow)

This expression defines the semi-variogram model that should be used and the expected parameters.

Model

Spherical | Exponential | Gaussian | Wave | RatQuad | Circular

nugget

value for the nugget, according to your semi-variogram (real value).

sill

value for the sill, according to your semi-variogram (real value).

range

value for the range, according to your semi-variogram (real value > 0).

slope

when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh.

pow

when using the Power model: an exponent 0 < real value < 2. When you use value 1, the Power model will become linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere). If not specified, distances will be calculated in a plane.

LimDist

For Ordinary Kriging: a value for the limiting distance: points that are farther away from an output pixel than the limiting distance will not be used in the Kriging equations.

1 | 0

Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.

1

Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.

0

Do not create an error map.

min, max

For Ordinary Kriging: Optional parameters to specify the minimum and maximum number of points that should be taken into account during the calculation of each Kriging estimate/prediction, i.e. the minimum and maximum number of points within the limiting distance of an output pixel that should be taken into account in the calculation of the output value for that pixel. 1 <= min. nr. of points (integer) <= max. nr. of points (integer).

  • When the minimum is not specified, value 1 will be used. When, for an output pixel, less points than the specified minimum are found within the specified limiting distance, no Kriging is performed: the output pixel will be assigned the undefined value.
  • When the maximum is not specified, value 16 will be used. When, for an output pixel, more points than the specified maximum are found within the specified limiting distance, only the specified maximum number of points that are nearest to the output pixel will be used.

Tip: To speed up the algorithm when using large numbers of points within each limiting distance, it is advised to first rasterize the point values and then to use the Kriging from Raster operation.

No | Average | Firstval

Choose how to handle possible coinciding points or duplicates. When no method is specified, Average will be used.

No

No removal of duplicates. Mind: when there are coinciding points, the Kriging system may become unstable or unsolvable.

Average

Values of duplicates are replaced by the average (arithmetic mean); the coordinates of the first point are taken as new position.

Firstval

Values of duplicates (and their coordinates) are replaced by those of the first point.

Tolerance

Optional parameter to specify the distance within which 2 points are considered to coincide. When not specified, a tolerance of 0.1 m will be used.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

To perform Ordinary Kriging on the attribute values in column MyAttrib of an attribute table linked to point map MyPoints,

  • producing an output raster map OUTMAP which uses existing georef MyGeoref,
  • using a Spherical semi-variogram model with nugget 10 m, sill 70 m and range 800 m (found by means of SpatCorr),
  • using a limiting distance of 200 m,
  • producing an output error map OUTMAP_Error,
  • while each Kriging equation should use at least 5 and at most 35 input points (min, max),
  • while considering points that are closer to each other than 10 cm as coinciding (tolerance),
  • while for coinciding points only the value of the first point encountered should count,

use the following expression:

OUTMAP

=

MapKrigingOrdinary(MyPoints.MyAttrib, MyGeoref, Spherical(10,70,800), 200, 1, 5, 35, Firstval, 0.10)

When you wish to use spherical distances, the expression will read:

OUTMAP

=

MapKrigingOrdinary(MyPoints.MyAttrib, MyGeoref, Spherical(10,70,800), sphere, 200, 1, 5, 35, Firstval, 0.10)

See also:

Kriging : functionality

Point interpolation

Formulae of semi-variogram models


Kriging : algorithm

Kriging

Algorithm

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map.

The estimations or predictions are calculated as weighted averages of known input point values, similar to the Moving Average operation.

The estimate to be calculated, i.e. an output pixel value [image], is a linear combination of weight factors (wi) and known input point values (Zi):
= S(wi * Zi)

In case the value of an output pixel would only depend on 3 input points, this would read:
= w1 * Z1 + w2 * Z2 + w3 * Z3

Thus, to calculate one output pixel value [image], first, three weight factors w1, w2, w3 have to be found (one for each input point value Z1, Z2, Z3), then, these weight factors can be multiplied with the corresponding input point values, and summed.

In Moving average, the weight factors are simply determined by the distances of the input points towards an output pixel. In Kriging, however, the weight factors are calculated by finding the semi-variogram values for all distances between input points and by finding semi-variogram values for all distances between an output pixel and all input points; then a set of simultaneous equations has to be solved. When the spherical distance option is used, distances are calculated over the sphere using the projection of the coordinate system that is used by the georeference of the output raster map.

All semi-variogram values are calculated by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation). The weight factors are calculated in such a way that the estimation error in each output pixel is minimized.

The optional error map contains the standard errors of the estimates.

Process Simple Kriging:

  1. Find the valid input points:
    • input points which coordinates are undefined are ignored,
    • input points which value is undefined are ignored,
    • handle duplicates or coinciding points as specified by the user (no, average, first value).

  2. Determine the distances between all valid input points (n) and find the semi-variogram value for these distances:
    • for each combination of 2 input points, i.e. a point pair, the distance between the points is determined,
    • for each combination of 2 input points, the distance value is substituted in the user-selected semi-variogram model, using the user-specified nugget, sill, and range parameters; this gives a semi-variogram value.
    • the semi-variogram values are filled out in matrix C (as in Equation 1 below),
    • matrix C is inverted as a preparation for calculations in step 4.

  3. For the first output pixel, determine the distances of this pixel towards all input points, and find the semi-variogram value for these distances:
    • semi-variogram values are determined using the selected semi-variogram model and its parameters as above,
    • the semi-variogram values are filled out in vector D (as in Equation 1).

  4. Calculate the weight factors (vector w):
    • by multiplying the inverted matrix C (result of step 2) with vector D (result of step 3).

    The obtained weight factors apply to the current output pixel only.

  5. Calculate the estimated or predicted values for this output pixel:
    • as the sum of the products of the weight factors and the input point values (Equation 4).

  6. Optionally, calculate the error variance and standard error for this output pixel:
    • error variance: by multiplying vector w (result of step 4) with vector D (result of step 3),
    • standard error or standard deviation: as the square root of the error variance, according to Equation 5b.

  7. Consider the next output pixel and repeat steps 3-7, until all output pixels are done.

Ordinary Kriging:

  1. Find the valid input points:
    • input points which coordinates are undefined are ignored,
    • input points which value is undefined are ignored,
    • handle duplicates or coinciding points as specified by the user (no, average, first value).

  2. For the first output pixel, determine the input points (n) which will make a contribution to the output value depending on the specified limiting distance and minimum and maximum number of points:
    • input points that are farther away from this output pixel than the specified limiting distance are ignored,
    • if the number of points found within the limiting distance is smaller than the specified minimum nr of points, assign the undefined value to this output pixel,
    • use only the specified maximum number of points within the limiting distance, and, in case more points are found within the limiting distance than the specified maximum number of points, use only the points that are nearest to this output pixel.

  3. Determine the distances between all input points that will make a contribution to this output pixel (result of step 2), and find the semi-variogram value for these distances.
    • for each combination of 2 contributing input points, the distance between the points is determined,
    • for each combination of 2 contributing input points, the distance value is substituted in the user-selected selected semi-variogram function, using the user-specified nugget, sill, and range parameters; this gives a semi-variogram value.
    • the semi-variogram values are filled out in matrix C below (eq. 1).

  4. Determine the distances of this output pixel towards all input points, and find the semi-variogram value for these distances:
    • semi-variogram values are determined using the selected semi-variogram function or model and its parameters as above,
    • the semi-variogram values are filled out in vector D (eq. 1).

  5. Calculate the weight factors (vector w):
    • by first inverting matrix C (result of step 3),
    • by solving the set of simultaneous equations.

    The obtained weight factors apply to the current output pixel only.

  6. Calculate the estimated or predicted values for this output pixel:
    • as the sum of the products of the weight factors and the input point values (Equation 4).

  7. Optionally, calculate the error variance and standard error for this output pixel:
    • error variance: by multiplying vector w (result of step 4) with vector D (result of step 3), according to Equation 5a.
    • standard error or standard deviation: as the square root of the error variance, according to Equation 5b.

  8. Consider the next output pixel and repeat steps 2-8, until all output pixels are done.

Formulae to calculate weight factors:

The Kriging weight factors of n valid input points i (i = 1, ..., n) are found by solving the following matrix equation:

[ C ]

*

[ w ]

=

[ D ]

(1)

This matrix equation can be written as a set of n +1 simultaneous equations:

Si ( wi * g (hik) ) + l = g (hpi) | for k = 1, ..., n | (2)
Si wi = 1 |  | (3)

where:

hik | is the distance between input point i and input point k
hpi | is the distance between the output pixel p and input point i
g(hik) | is the value of the semi-variogram model for the distance hik, i.e. the semi-variogram value for the distance between input points i and input point k
g(hpi) | is the value of the semi-variogram model for the distance hpi , i.e. the semi-variogram value for the distance between the output pixel p and input point i
wi | is a weight factor for input point i
l | is a Lagrange multiplier, used to minimize possible estimation error

Matrix C thus contains the semi-variogram values for all combinations of valid input points that will make a contribution to the output pixel value.

Vector w thus contains the weight factors for all valid input points that will make a contribution to the output pixel value.

Vector D thus contains the semi-variogram for an output pixel and all combinations of valid input points.

Equation (3) guarantees unbiasedness of the estimates. The solutions wi minimize the Kriging error variance s2.

Formulae to calculate an estimate or predicted value for an output pixel:

= Si (wi * Zi)

(4)

where:

 | is the estimate or predicted value for one output pixel to be calculated
wi | is the weight factor for input point i
Zi | is the value of input point i

Formulae to calculate error variance and standard error:

The error variance is calculated as:

s2 = Si ( wi * g (hpi)) + l

(5a)

The standard error or standard deviation is the square root of the error variance, thus:

s = Ö ( Si ( wi * g (hpi)) + l )

(5b)

where:

s2 | is the error variance for the output pixel estimate
s | is he standard error or the standard deviation of the output pixel estimate
hpi | is the distance between the output pixel p and input point i
g (hpi) | is the value of the semi-variogram model for the distance hpi , i.e. the semi-variogram value for the distance between the output pixel p and input point i
wi | is a weight factor for input point i
l | is a Lagrange multiplier, used to minimize possible estimation error

Notes:

  1. The contents of matrix C depends on the semi-variogram model selected by the user, its parameters nugget, sill and range, and the geometric distribution of the points within the limiting circle in the input map.
  2. The contents of vector D is determined by the location of the estimated pixel value with respect to the surrounding input points (inside the limiting circle) and the semi-variogram.
  3. The estimates [image] are computed as linear combinations of the n point sample values with the weights wi as coefficients (the wi are found from equation (1)). Therefore the estimates are called 'linear predictors'.
  4. Equation (3) guarantees unbiasedness of the estimates. The solutions wi minimize the Kriging error variance s2.
  5. Equation (5) does not contain the sample attribute information. This means that the error variances solely depend on the spatial distribution of the samples and not on their measurement values (the attribute values).
  6. In the case of Simple Kriging, it is assumed that all input points contribute in some way to the estimate in each pixel. The Kriging matrix has thus a constant value for all pixels estimated and needs to be inverted only once; however the right hand-side D keeps changing.
  7. In Ordinary Kriging the number of points used (n <= N) and hence the size of the Kriging matrix (n+1) will change from pixel to pixel while calculating the output map(s). Hence it is theoretically possible that for each output pixel a new Kriging system of order n+1 has to be solved. The algorithm also takes care that for each new set of surrounding input points, this set is sorted according to distance from the estimated pixel in order to enable to select the closest points satisfying the max nr of points condition.

References:

  • Clark, I. 1979. Practical geostatistics. Applied Science Publishers, London. 129 pp.
  • Cressie, N.A.C. 1993. Statistics for spatial data. Wiley, New York. 900 pp.
  • Davis, J. C. 1973. Statistics and data analysis in geology. Wiley, New York. 646 pp.
  • Deutsch, C.V., and A.G. Journel. 1992. Geostatistical software library and user's guide. Oxford University Press, New York. 340 pp.
  • Isaaks, E. H., and R. M. Srivastava. 1989. An introduction to applied geostatistics. Oxford University Press, New York. 561 pp.
  • Journel, A. G. and Ch. J. Huijbregts. 1978. Mining geostatistics. Academic Press, London, 600 pp.
  • Krige, D.G. Two-dimensional weighted moving average trend surfaces for ore-valuation, in Proc. Symposium on Mathematical Statistics and Computer Applications in Ore Valuation: Journ. South African Inst. Mining and Metallurgy, Johannesburg, 1966, Mar. 7-8, pp. 13-38.
  • Matheron, G.F. Principles of geostatistics: Economic Geology, 1963, vol. 58, pp.1246-1266.
  • Meer, F. D. van der. Introduction to geostatistics. ITC lecture notes. 72 pp.
  • Olea, R.A. 1991. Geostatistical glossary and multilingual dictionary. Oxford University Press, New York.
  • Stein, A. 1998. Spatial statistics for soils and the environment. ITC lecture notes. 47 pp.

See also:

Kriging : functionality


Anisotropic Kriging

Functionality

Dialog box

Command line

Algorithm


Anisotropic Kriging : functionality

Anisotropic Kriging

Functionality

Anisotropic Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Anisotropic Kriging is a variant of the Ordinary Kriging operation: Anisotropic Kriging incorporates the influence of direction dependency.

Theory:

The regionalized variable theory assumes that the variation of the variable under study is the same in all directions. If this is true, the spatial variation is isotropic and you can use the Simple or Ordinary Kriging operation. In many natural situations, however, it can be expected that there is a preferred direction to the local, spatially dependent variation. In these situations the variable displays anisotropic behavior.

If anisotropy is present, and is reflected by the same sill but different ranges in the same model, then the anisotropy is called geometric anisotropy. In other words, geometric anisotropy has variations for distance h in one direction being the same as variations for distance k*h in another direction (Burrough 1986). In case of geometric anisotropy it is possible to 'remove' it by applying an affine transformation to the distances: this is Anisotropic Kriging. When for the same variable, semi-variogram values for two perpendicular directions require different models or different sills then zonal anisotropy is present. Removal of zonal anisotropy is more complex and not supported by ILWIS.

Preparation and input parameters:

  • First, investigate the presence and direction of anisotropy (anisotropy angle) with the Variogram Surface operation.
  • Then, perform the Spatial Correlation operation using the bidirectional method: you need to specify the anisotropy angle found from the output of Variogram Surface.
  • The output table of Spatial Correlation will contain two columns with experimental semi-variogram values: one column with experimental semi-variogram values for the specified direction and one with experimental semi-variogram values for the perpendicular direction.
  • In a graph window, you need to find a semi-variogram model for each column with experimental semi-variogram values (see Graph window : Add semi-variogram model). The type of the two models must be the same (e.g. both using the Spherical model), the sill should also be the same but one model will use a larger range than the other. By dividing the largest range by the smallest, you will find the anisotropy ratio.

Besides an input map, you need to specify the following parameters for Anisotropic Kriging:

  • the anisotropy angle. The anisotropy angle can be determined from the output map of the Variogram Surface operation.
  • a semi-variogram model . The semi-variogram model and its parameters that you have to specify in the Anisotropic Kriging operation is the one that refers to the model with the largest range; in case of the Power model, specify the model with the lowest slope.
  • an anisotropy ratio. The anisotropy ratio is found from the different ranges of the two semi-variogram models: it is the largest semi-variogram range divided by the shortest range.

When you specify an angle of 0 and a ratio of 1 means there is no anisotropy. Results will then be the same as in Ordinary Kriging.

Furthermore, you need to specify a limiting distance or search radius, optionally a minimum and maximum number of points within the limiting distance that should be taken into account in the calculation of an output pixel value, and a method to deal with (almost) coinciding points. These options are the same as in Ordinary Kriging.

For more information on preparations and input parameters, see Kriging: functionality, section on preparation, or How to use Kriging.

Input map requirements:

The input point map should be a value map. When you use a point map with an ID domain which has a linked attribute table, you can also select a column with a value domain from the map's attribute table. Furthermore, you need to specify the angle and ratio of anisotropy, the semi-variogram model with the largest range (except when using the Power model), the limiting distance, etc. For explanations, see above.

When using the dialog box, there is a limitation of a maximum of 100 valid input point values within each limiting distance (search radius). This limitation is not present when using the command line.

Domain and georeference of output raster maps:

The output raster map containing the Kriging estimates or predictions uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map; it is advised to choose a wider value range for the output map than the input value range.

The georeference for the output Kriging map has to be selected or created; you can usually select an existing georeference corners.

Optionally, an output error map can be created which will contain the standard errors of the estimates, i.e. the square root of the error variance. The error map will obtain the same name as specified for the output Kriging map, followed by the string _Error. The output error map will use the same domain and the same georeference as the output Kriging map with the predictions.

Confidence interval maps:

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

See also:

Anisotropic Kriging : dialog box

Anisotropic Kriging : command line

Anisotropic Kriging : algorithm

Point interpolation

Moving average : functionality

Variogram surface : functionality

Spatial correlation : functionality

(Ordinary) Kriging : functionality

How to use Kriging

How to calculate confidence interval maps


Anisotropic Kriging : dialog box

Anisotropic Kriging

Dialog box

Anisotropic Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Anisotropic Kriging is a variant of the Ordinary Kriging operation: Anisotropic Kriging incorporates the influence of direction dependency.

Before Anisotropic Kriging, you should investigate the direction of anisotropy for instance with Variogram Surface, the semi-variogram values in two directions for instance with Spatial Correlation, and determine the range of the semi-variogram values in two directions by preparing semi-variogram models in a graph window (Graph window : Add semi-variogram model).

Dialog box options:

Input point map:

Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, but you may also use a point map with a ID domain which has a linked attribute table, then select an attribute column with a value domain from the attribute table.

Limitation: To increase calculation speed when using the dialog box, you are not allowed to use more than 100 point values within the limiting distance (see 'Max nr of points' below). This limitation is not present on the command line.

Angle:

Type a value for the anisotropy angle in degrees clockwise from the north (-360 <= real value <= 360).

Ratio:

Type a value for the anisotropy ratio, i.e. the largest semi-variogram range divided by the smallest range (1 < real value <= 10).

Semi-variogram model:

Select the model which should be used to calculate the semi-variogram function g(h). The available models are: Spherical (default), Exponential, Gaussian, Wave, Rational Quadratic, Circular, and Power. The model/function as well as the variables nugget, sill and range can be found by modelling the semi-variogram which is the output of the Spatial correlation operation. For more information, see Spatial correlation : functionality, section on semi-variograms, or Graph window : Add Semi-variogram model.

The nugget, sill and range parameters that you need to specify for the semi-variogram model should refer to the semi-variogram model with the largest range; however when using the Power model, these parameters should refer to the model with the lowest slope.

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin to the semi-variogram value g at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a real value for the sill; the sill is the plateau that the semi-variogram values g reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a real value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a real value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line), then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Limiting distance:

Type a value for the limiting distance also called search radius or limiting circle. Points that are farther away from an output pixel than the limiting distance will not be used in the calculation of the value for that output pixel. The limiting distance is usually smaller than the range of your semi-variogram. (0 < limiting distance < diagonal of point map).

Min nr of points:

Type a value for the minimum number of points that should be used by the calculation within each limiting distance (search radius). This is necessary to make sure that the estimation is based at least this many points.

When for an output pixel, not enough points are found within the specified limiting distance, then the undefined value will be assigned to the output pixel. It is advised to use at least 4 points.

Max nr of points:

Type a value for the maximum number of points that should be used by the calculation within each limiting distance (search radius). Limitation: In the dialog box, you cannot specify to use more than 100 valid input points within each limiting distance. This limitation is not present on the command line.

When for an output pixel more points are found within the limiting distance than specified, then only the points nearest to the output pixel will be used in the calculation.

By specifying a rather small maximum, the algorithm may be faster but the estimation quality may be less.

Remove duplicates:

In case of coinciding points, it is advised to select this check box. Subsequently, select 'Average' or 'First value'. You can clear this check box when you are sure that you have no coinciding points. If the check box is cleared and any coinciding points, i.e. duplicates, are found, Anisotropic Kriging will result in undefined values for estimated pixels whose search circle contains a pair of coinciding points.

Average:

For points that are less than the specified tolerance distance apart, use the mean value of these points.

First value:

For points that are less than the specified tolerance distance apart, only use the value of the first point encountered.

Tolerance (m):

Type a value (meters) for the tolerance distance: when the distance between two points is smaller than the specified Tolerance, then these points are considered as coinciding points or duplicates (real value > 0).

Output raster map:

Type a name for the output raster map that will contain the Kriging estimates.

Georeference:

Select the name of an existing georeference or create a new georeference. When you create a new georeference, ILWIS will suggest default limiting coordinates that are the boundaries of the input point map.

Value range:

Accept the default value range, or specify your own range of possible values for the output map. Kriging estimates may be greater or smaller than your original input values and it is therefore advisable to make the value range for the output map wider than the input value range. In case the calculated estimates fall outside the specified value range, the output pixel will be undefined.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Error map:

Select this check box when you also want to obtain an error map. The error map will contain the standard error of the estimates, i.e. the square root of the Kriging error variance values. The name of the error map will be the same as the name specified for the Kriging output map followed by the additonal string _Error.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a second output map containing standard errors can be created.

See also:

Anisotropic Kriging : functionality


Anisotropic Kriging : command line

Anisotropic Kriging

Command line

The Anisotropic Kriging operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapKrigingAnisotropic(InputPointMap, Georef, SemiVarModel, LimDist, Angle, Ratio)
OUTMAP | = | MapKrigingAnisotropic(InputPointMap, Georef, SemiVarModel, LimDist, Angle, Ratio, 1|0)
OUTMAP | = | MapKrigingAnisotropic(InputPointMap, Georef, SemiVarModel, LimDist, Angle, Ratio, 1|0, min, max)
OUTMAP | = | MapKrigingAnisotropic(InputPointMap, Georef, SemiVarModel, LimDist, Angle, Ratio, 1|0, min, max, No | Average | Firstval)
OUTMAP | = | MapKrigingAnisotropic(InputPointMap, Georef, SemiVarModel, LimDist, Angle, Ratio, 1|0, min, max, Average | Firstval, Tolerance)

where:

OUTMAP

is the name of the output raster map containing the Kriging estimates.

MapKrigingAnisotropic

is the command to start the Anisotropic Kriging operation.

InputPointMap

is the name of the input point map with a value domain. To use a value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

Georef

is the name of an existing georeference for the output raster map.

SemiVarModel

Model(nugget, sill, range) | Power(nugget, slope, pow)

This expression defines the semi-variogram model and its parameters that should be used. You should specify the parameters for the model with the largest range or, when using the Power model, the model with the lowest slope.

Model

Spherical | Exponential | Gaussian | Wave | RatQuad | Circular

nugget

value for the nugget, according to your semi-variogram (real value).

sill

value for the sill, according to your semi-variogram (real value).

range

value for the range, according to your semi-variogram (real value > 0).

slope

when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh (real value >= 0).

pow

when using the Power model: an exponent 0 < real value < 2. When you use value 1, the Power model will become linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

LimDist

A value for the limiting distance: points that are further away from an output pixel than the limiting distance will not be used in the Kriging equations. Normally, this is a value smaller than the range of the semi-variogram model (0 <= real value < diagonal size of map).

Angle

Anisotropy angle in degrees clockwise from the north (-360 <= real value <= 360).

Ratio

Anisotropy ratio, i.e. the largest semi-variogram range divided by the smallest range (1 < real value <= 10).

1 | 0

Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.

1

Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.

0

Do not create an error map.

min, max

Optional parameters (integer values) to specify the minimum and maximum number of points that should be taken into account per Kriging estimate/prediction, i.e. the number of points within the limiting distance of an output pixel that should be taken into account in the calculation of the output value for that pixel.

  • When the minimum is not specified a minimum value 1 will be used. When, for an output pixel, less points than the specified minimum are found within the specified limiting distance, no Kriging is performed and the output pixel will become undefined. If the whole map contains less points than the specified minimum, an error message will appear and no output will be produced.
  • When the maximum is not specified, value 16 will be used. When, for an output pixel, more points than the specified maximum are found within the specified limiting distance, only the specified maximum number of points that are nearest to the output pixel will be used.

No | Average | Firstval

Choose how to handle possible coinciding points or duplicates. When no method is specified, Average will be used.

No

No removal of duplicates. Mind: when there are coinciding points, the Kriging system may become unsolvable and will give undefined values for the pixels for which coinciding points are found.

Average

Values of duplicates are replaced by the average (arithmetic mean); the coordinates of the first point are taken as new position.

Firstval

Values of duplicates (and their coordinates) are replaced by those of the first point.

Tolerance

Optional parameter to specify the distance within which 2 sample points are considered to coincide. When not specified, a tolerance of 0.1 m will be used.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

The following expression:

OutAniK

=

MapKrigingAnisotropic(MyPoints.MyAttr, MyGeoref, Spherical(10, 70, 800), 200, 35, 1.4, 1, 6, 20, Firstval, 0.2)

performs Anisotropic Kriging:

  • on the attribute values in column MyAttr in an attribute table that is linked to point map MyPoints;
  • georeference MyGeoref will be used for the output raster maps;
  • a Spherical semi-variogram model will be used with a nugget of 10, a sill of 70, and a range of 800 meter;
  • a limiting distance will be used of 200 m;
  • an anisotropy angle of 35 degrees, and an anisotropy ratio of 1.4 will be used;
  • an output error map will be defined;
  • each Kriging equation will use at least 6 points and at most 20 points (min, max);
  • points are considered as coinciding when the distance between them is less than 0.2 m (tolerance);
  • for coinciding points only the value and coordinates of the first point encountered will be used.

The results of the expression are:

  • output raster map OutAniK containing the Kriging estimates;
  • output error map OutAniK_Error.

Note:

You can also use the MapKrigingUniversal(...) expressions to perform Anisotropic Kriging:

OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, 0, Angle, Ratio [, 1|0 [, min, max [, No | Average | Firstval ]]] )
OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, 0, Angle, Ratio [, 1|0 [, min, max [, Average | Firstval [, Tolerance ]]]] )

where:

MapKrigingUniversal | is the command to start the Anisotropic Kriging operation.
0 | Obligatory parameter to indicate Anisotropic Kriging.
Angle | Anisotropy angle in degrees clockwise from the north (-360 <= real value <= 360).
Ratio | Anisotropy ratio, i.e. the largest semi-variogram range divided by the smallest range (1 <= real value <=10) .
1 | 0 | Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.
1 | Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.
0 | Do not create an error map.
Parameters between square brackets [] are optional. For an explanation on parameters which are not described here, see above.

See also:

Anisotropic Kriging : functionality


Anisotropic Kriging : algorithm

Anisotropic Kriging

Algorithm

Incorporating geometric anisotropy in the Kriging procedure is simply a matter of applying an affine transformation to the distances. An affine transformation keeps point distances in one direction unchanged and stretches distances in the direction perpendicular to it. In theory the procedure is as follows:

1. | The first step is a rotation of the x-axis to a position parallel to the presumed major or primary axis of anisotropy:
 | where: a = rotation angle
 | In the direction of this major axis it is supposed that a semi-variogram model with range R1 is applicable. At right angles to this direction a semi-variogram model with shorter range R2 is supposed.
2. | The second step is the transformation of the ellipse into a circle:
 | where: r = anisotropy angle
 | The anisotropy ratio r = R1/R2 defines the scale factor that is used to stretch the minor axis to a size similar to the major axis. In this case all points belonging to an ellipse defined by the anisotropy axis R1 and R2 will be transformed to a circle with radius R1.
3. | Finally, geometric anisotropy can be described with an isotropic model according to:
 | where: g(h) = semi-variogram value ||x|| = length of separation vector xT = ( x y )

Apart from the distance matrix, the transformed distances used for defining the search radius and the sorting of points nearest to the visited pixel, the Anisotropic Kriging algorithm is equal to the Ordinary Kriging operation. For more information, see Kriging : algorithm.

References:

  • Burrough, P.A. 1986. Principles of Geographical Information Systems for Land Resources Assessment. Oxford University Press. 194 pp.
  • Burrough, P.A. and R.A. McDonnell 1998. Principles of Geographical Information Systems. Oxford University Press. 330 pp.
  • Pebesma, E.J. 1996. Mapping Groundwater Quality in the Netherlands. KNAG/Faculteit Ruimtelijke Wetenschappen, Utrecht University. 128 pp.

See also:

Anisotropic Kriging : functionality

Kriging : algorithm


Universal Kriging

Functionality

Dialog box

Command line

Algorithm


Universal Kriging : functionality

Universal Kriging

Functionality

Universal Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Universal Kriging is a variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation.

Theory:

Geostatistical methods for interpolation like Universal Kriging start with the recognition that the spatial variation of any continuous attribute is often too irregular to be modelled by a simple, smooth mathematical function. Instead, the variation can be better described by a stochastic surface. The attribute is then known as a regionalized variable (Burrough 1986). The regionalized variable theory assumes second order stationarity in the data. Second order stationarity means that the mean has to exist, is constant and is independent of the location within the region of stationarity. Furthermore, the covariance or variogram has to exist, only depends on the distance between any two values, and does not depend on locations.

Very often, the mean of the regionalized variable is not constant across the entire study area and the variable is said to be nonstationary. A nonstationary regionalized variable can be regarded as having two components (Davis 1973):

  • a drift consisting of the average or expected value of the regionalized variable,
  • a residual being the difference between the actual measurements and the drift.

Instead of removing the slow variation beforehand by subtracting the local trend or drift from the data, the method of Universal Kriging can be used.

Preparation and input parameters:

  • First, perform the Spatial Correlation operation.
  • The output table of Spatial Correlation will contain a column with experimental semi-variogram values.
  • In a graph window, you need to find a semi-variogram model for the column with experimental semi-variogram values (see Graph window : Add semi-variogram model). Determine the type of model and its parameters sill, range and nugget or, in case of using the Power model, the parameters slope and power.

Besides an input map, you need to specify the following parameters for Universal Kriging:

  • a semi-variogram model based on the output of the omnidirectional Spatial correlation operation.
  • a value for the trend. You can choose to used either a first order local trend or a second order quadratic trend. The surface is calculated for each output pixel and will approach the values of the input points within the limiting distance.

Furthermore, you need to specify a limiting distance or search radius, optionally a minimum and maximum number of points within the limiting distance that should be taken into account in the calculation of an output pixel value, and a method to deal with (almost) coinciding points. These options are the same as in Ordinary Kriging.

For more information on preparations and input parameters, see Kriging : functionality, section on preparation, or How to use Kriging.

Input map requirements:

The input point map should be a value map. Furthermore, when a point map uses an ID domain and the map is linked to an attribute table, you can also use such a point map and select a column with a value domain from the map's attribute table. Furthermore, you need to define a complete semi-variogram model and a trend type (for explanations, see above).

When using the dialog box, there is a limitation of a maximum of 100 valid input point values within each limiting distance (search radius). This limitation is not present when using the command line.

Domain and georeference of output raster maps:

The output raster map containing the Kriging estimates or predictions uses the same value domain as the input point map or the attribute column. The value range and precision can be adjusted for the output map; it is advised to choose a wider value range for the output map than the input value range.

The georeference for the output Kriging map has to be selected or created; you can usually select an existing georeference corners.

Optionally, an output error map can be created which will contain the standard errors of the estimates, i.e. the square root of the error variance. The error map will obtain the same name as specified for the output Kriging map, followed by the string _Error. The output error map will use the same domain and the same georeference as the output Kriging map with the predictions.

Confidence interval maps:

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

See also:

Universal Kriging : dialog box

Universal Kriging : command line

Universal Kriging : algorithm

Point interpolation

Moving surface : functionality

Spatial correlation : functionality

(Ordinary) Kriging : functionality

How to use Kriging

How to calculate confidence interval maps


Universal Kriging : dialog box

Universal Kriging

Dialog box

Universal Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Universal Kriging is a variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation.

Before Universal Kriging, you should perform the Spatial Correlation operation, and determine a semi-variogram model in a graph window (Graph window : Add semi-variogram model).

Dialog box options:

Input point map:

Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. You can select a point map with a value domain, but you may also use a point map with a ID domain which has a linked attribute table, then select an attribute column with a value domain from the attribute table.

Limitation: To increase calculation speed when using the dialog box, you are not allowed to use more than 100 point values within the limiting distance (see 'Max nr of points' below). This limitation is not present on the command line.

Trend:

Value for the local trend surface. The trend is either 1 or 2.

1: linear trend surface (default)

2: quadratic trend surface

Semi-variogram model:

Select the model, which should be used to calculate the semi-variogram function g(h). The available models are: Spherical (default), Exponential, Gaussian, Wave, Rational Quadratic, Circular, and Power. The model/function as well as the variables nugget, sill and range can be found by modelling the semi-variogram which is the output of the Spatial correlation operation. For more information, see Spatial correlation: functionality, section on semi-variograms, or Graph window: Add Semi-variogram model.

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin to the semi-variogram value g at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a real value for the sill; the sill is the plateau that the semi-variogram values g reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a real value for the range; the range is the distance at which the semi-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a real value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line), then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Limiting distance:

Type a value for the limiting distance also called search radius or limiting circle. Points that are farther away from an output pixel than the limiting distance will not be used in the calculation of the value for that output pixel. The limiting distance is usually smaller than the range of your semi-variogram. (0 < limiting distance < diagonal of point map).

Min nr of points:

Type a value for the minimum number of points that should be used by the calculation within each limiting distance (search radius). This is necessary to make sure that the estimation is based at least this many points.

When for an output pixel, not enough points are found within the specified limiting distance, then the undefined value will be assigned to the output pixel. It is advised to use at least 4 points.

Max nr of points:

Type a value for the maximum number of points that should be used by the calculation within each limiting distance (search radius). Limitation: In the dialog box, you cannot specify to use more than 100 valid input points within each limiting distance. This limitation is not present on the command line.

When for an output pixel more points are found within the limiting distance than specified, then only the points nearest to the output pixel will be used in the calculation.

By specifying a rather small maximum, the algorithm may be faster but the estimation quality may be less.

Remove duplicates:

In case of coinciding points, it is advised to select this check box. Subsequently, select 'Average' or 'First value'. You can clear this check box when you are sure that you have no coinciding points. If the check box is cleared and any coinciding points, i.e. duplicates, are found, Universal Kriging will result in undefined values for estimated pixels whose search circle contains a pair of coinciding points.

Average:

For points that are less than the specified tolerance distance apart, use the mean value of these points.

First value:

For points that are less than the specified tolerance distance apart, only use the value of the first point encountered.

Tolerance (m):

Type a value (meters) for the tolerance distance: when the distance between two points is smaller than the specified Tolerance, then these points are considered as coinciding points or duplicates (real value > 0).

Output raster map:

Type a name for the output raster map that will contain the Kriging estimates.

Georeference:

Select the name of an existing georeference or create a new georeference. When you create a new georeference, ILWIS will suggest default limiting coordinates that are the boundaries of the input point map.

Value range:

Accept the default value range, or specify your own range of possible values in the output map. Kriging estimates may be greater or smaller than your original input values and it is therefore advisable to make the value range for the output map wider than the input value range. In case the calculated estimates fall outside the specified value range, the output pixel will be undefined.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Error map:

Select this check box when you also want to obtain an error map. The error map will contain the standard error of the estimates, i.e. the square root of the Kriging error variance values. The name of the error map will be the same as the name specified for the Kriging output map followed by the additonal string _Error.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a second output map containing standard errors can be created.

See also:

Universal Kriging : functionality


Universal Kriging : command line

Universal Kriging

Command line

The Universal Kriging operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, TrendType, 0, 1)
OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, TrendType, 0, 1, 1|0)
OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, TrendType, 0, 1, 1|0, min, max)
OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, TrendType, 0, 1, 1|0, min, max, No | Average | Firstval)
OUTMAP | = | MapKrigingUniversal(InputPointMap, Georef, SemiVarModel, LimDist, TrendType, 0, 1, 1|0, min, max, Average | Firstval, Tolerance)

where:

OUTMAP

is the name of the output raster map.

MapKrigingUniversal

is the command to start the Universal Kriging operation.

InputPointMap

is the name of the input point map with a value domain. To use a value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

Georef

is the name of an existing georeference for the output raster map.

SemiVarModel

Model(nugget, sill, range) | Power(nugget, slope, pow)

This expression defines the semi-variogram model and its parameters that should be used.

Model

Spherical | Exponential | Gaussian | Wave | RatQuad | Circular

nugget

value for the nugget, according to your semi-variogram (real value).

sill

value for the sill, according to your semi-variogram (real value)

range

value for the range, according to your semi-variogram (real value > 0).

slope

when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh (real value >= 0).

pow

when using the Power model: an exponent 0 < real value < 2. When you use value 1, the power model will become linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

LimDist

a value for the limiting distance: points that are further away from an output pixel than the limiting distance will not be used in the Kriging equations. Normally, this is a value smaller than the range of the semi-variogram model (0 <= real value < diagonal size of the map).

TrendType

0 | 1 | 2

Define the trend surface; either 0 (no trend) , 1 (linear trend) or 2 (quadratic trend).

0, 1

Parameters (angle and ratio) to indicate that there is no anisotropy. If you wish to include anisotropy (not advised), specify the angle and ratio parameters as explained in Anisotropic Kriging : command line.

1 | 0

Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.

1

Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.

0

Do not create an error map.

min, max

Optional parameters (integer values) to specify the minimum and maximum number of points that should be taken into account per Kriging estimate/prediction, i.e. the number of points within the limiting distance of an output pixel that should be taken into account in the calculation of the output value for that pixel.

  • When the minimum is not specified, the following minumum number of points will be used:
    1 when the trend is 0 (plane),
    3 when the trend is 1 (linear), and
    6 when the trend is 2 (quadratic).
    When, for an output pixel, less points than the specified minimum are found within the specified limiting distance, no Kriging is performed and the output pixel will become undefined. If the whole map contains less points than the specified minimum, an error message will appear and no output will be produced.
  • When the maximum is not specified, then a maximum of 16 points will be used within each limiting distance. When, for an output pixel, more points than the specified maximum are found within the specified limiting distance, only the specified maximum number of points that are nearest to the output pixel will be used.

No | Average | Firstval

Choose how to handle possible coinciding points or duplicates. When no method is specified, Average will be used.

No

No removal of duplicates. Mind: when there are coinciding points, the Kriging system may become unsolvable and will give undefined values for the pixels for which coinciding points are found.

Average

Values of duplicates are replaced by the average (arithmetic mean); the coordinates of the first point are taken as new position.

Firstval

Values of duplicates (and their coordinates) are replaced by those of the first point.

Tolerance

Optional parameter to specify the distance within which 2 sample points are considered to coincide. When not specified, a tolerance of 0.1 m will be used.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

The following expression:

OutUniK

=

MapKrigingUniversal(MyPoints.MyAttrib, MyGeoref, Spherical(10,70,800), 200, 2, 0, 1, 1, 6, 20, Firstval, 0.2)

performs Universal Kriging:

  • on the attribute values in column MyAttrib in an attribute table that is linked to point map MyPoints;
  • georeference MyGeoref will be used for the output raster maps;
  • a Spherical semi-variogram model will be used with a nugget of 10, a sill of 70, and a range of 800 meter;
  • a limiting distance will be used of 200 m;
  • a local quadratic trend (2) will be used;
  • each Kriging equation will use at least 6 points and at most 20 points (min, max);
  • points are considered as coinciding when the distance between them is less than 0.2 m (tolerance);
  • for coinciding points only the value and coordinates of the first point encountered will be used.

The results of the expression are:

  • output raster map OutUniK containing the Kriging estimates;
  • output error map OutUniK_Error.

Note:

The MapKrigingUniversal(...) expressions can also be used for Anisotropic Kriging. For more information, see Anisotropic Kriging : command line.

See also:

Universal Kriging : functionality


Universal Kriging : algorithm

Universal Kriging

Algorithm

The regionalized variable theory assumes that the spatial variation of any variable Z can be expressed as the sum of two major components. These components are:

  1. a structural component, associated with a constant mean value or a constant trend [m(x)]
  2. a stochastic, spatially correlated component, known as the variation of the regionalized variable [e'(x)].

If x is a position in 2 dimensions in space, then the value of variable Z at x is given by:

Z(x) = m(x) + e'(x)

(1)

While in Ordinary Kriging it is assumed that the mean is constant across the entire region of study (second order stationarity), in Universal Kriging the mean is a function of the site coordinates. Then, m(x) in equation (1) reads:

(2)

where:

ak | are the local trend or drift coefficients
pk(x) | are functions of the site coordinates (trend equations)
x | is a two dimensional vector

In ILWIS, the local trend or drift is either represented by a linear expression or by a quadratic expression, so the general equation (2) can be rewritten as:

m(x) = a0 + a1 xi + a2 yi + a3 xi2 + a4 xi yi + a5 yi2

(3)

where:

xi, yi | are the XY-coordinates of the i th control point
a1...a5 | are the unknown trend or drift coefficients.

If the degree = 1, then the local trend is linear and a3 =a4 = a5 = 0.
Equation (3) will then read:

m(x) = a0 + a1 xi + a2 yi

(3a)

If the degree = 2, then the local trend is quadratic.

Remark that the parameters of equation (3) are recomputed for each output pixel.

The expressions for the local trend can be incorporated into the system of simultaneous equations used to find the Kriging weights. For a system of 5 input points and a local linear trend, the set of equations read (in matrix form):

where:

hik | is the distance between input point i and input point k
hpi | is the distance between output pixel p and input point i
g(hik) | is the value of the semi-variogram model for distance hik, i.e. the semi-variogram value for the distance between input point i and input point k
g(hpi) | is the value of the semi-variogram model for the distance hpi , i.e. the semi-variogram value for the distance between output pixel p and input point i
xi, yi | are the XY-coordinates of input point i
wi | is a weight factor for input point i
l | is a Lagrange multiplier, used to minimize possible estimation error
a1, a2 | are the local trend coefficients of the first order trend
xp, yp | are the XY-coordinates of output pixel p

This matrix form has to be solved for each output pixel in the same way as described in Kriging : algorithm, section on Ordinary Kriging. Once the weights of the input point values are known it is possible to calculate an estimate or predicted value for the output map and to calculate the error variance and the standard error.

References:

  • Burrough, P.A. 1986. Principles of Geographical Information Systems for Land Resources Assessment. Oxford University Press. 194 pp.
  • Burrough, P.A. and R.A. McDonnell 1998. Principles of Geographical Information Systems. Oxford University Press. 330 pp.
  • Davis, J.C. 1973. Statistics and data analysis in geology. Wiley, New York. 646 pp.
  • Pebesma, E.J. 1996. Mapping Groundwater Quality in the Netherlands. KNAG/Faculteit Ruimtelijke Wetenschappen, Utrecht University. 128 pp.

See also:

Universal Kriging : functionality

Kriging : algorithm


CoKriging

Functionality

Dialog box

Command line

Algorithm


CoKriging : functionality

CoKriging

Functionality

CoKriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. CoKriging is a multivariate variant of the Ordinary Kriging operation: CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Situations where CoKriging might be considered are (Van der Meer 1993):

  • A variable is poorly sampled but correlates highly with a second variable that is much better sampled (also better in the sense of more precise). One can take advantage of this correlation to improve estimation of the undersampled variable.
  • A variable exhibits low spatial correlation, but correlates highly with the one that shows relatively high continuity. Again, the observed values of the second variable may help to improve estimates (predictions) of the first variable, particularly if the first one is undersampled.

Preparation and input parameters:

  • First, perform the Cross Variogram operation.
  • The output table of Cross Variogram will contain two columns with experimental semi-variogram values and one column with experimental cross-variogram values for the combination of both variables.
  • You need to find semi-variogram models for both columns with experimental semi-variogram values and a cross-variogram model for the column with experimental cross-variogram values (see Graph window : Add semi-variogram model). You may use different types of models and different values for the sill, range and nugget for all three models. To get good results in CoKriging, the models must fulfill the Cauchy-Schwarz condition. For more information, see the Cross Variogram : algorithm.

Besides an input map, you need to specify the following parameters for CoKriging:

  • a semi-variogram model for the predictand,
  • a semi-variogram model for the covariable and
  • a cross-variogram model for the combination of both variables.

Furthermore, you need to specify a limiting distance or search radius, optionally a minimum and maximum number of points within the limiting distance that should be taken into account in the calculation of an output pixel value, and a method to deal with (almost) coinciding points. These options are the same as in Ordinary Kriging.

For more information on preparations and input parameters, see Cross Variogram : functionality or How to use Kriging.

Spherical distance:

Optionally, you can choose to calculate with spherical distances, i.e. distances calculated over the sphere using the projection that is specified in the coordinate system used by the georeference of the output raster map. It is advised to use this spherical distance option for maps that comprise large areas (countries or regions) and for maps that use LatLon coordinates. In more general terms, spherical distance should be used when there are 'large' scale differences within a map as a consequence of projecting the globe-shaped earth surface onto a plane.

When the spherical distance option is not used, distances will be calculated in a plane as Euclidean distances.

Tip: When you used the spherical distance option in the Cross Variogram operation, it is advised to also use the spherical distance option in the CoKriging operation.

Input map requirements:

You can generally select the point map (ID domain) which you used in Cross Variogram. The point map has a linked attribute table which contains at least two value columns. You can also use two separate input point maps with a value domain, or attribute columns from separate tables, etc.

When using the dialog box, there is a limitation of a maximum of 100 valid input point values within each limiting distance (search radius). This limitation is not present when using the command line.

Domain and georeference of output raster maps:

The output raster map containing the Kriging estimates or predictions uses the same value domain as the input point map or the attribute columns. The value range and precision can be adjusted for the output map; it is advised to choose a wider value range for the output map than the input value range.

The georeference for the output Kriging map has to be selected or created; you can usually select an existing georeference corners.

Optionally, an output error map can be created which will contain the standard errors of the estimates, i.e. the square root of the error variance. The error map will obtain the same name as specified for the output Kriging map, followed by the string _Error. The output error map will use the same domain and the same georeference as the output Kriging map with the predictions.

Confidence interval maps:

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

See also:

CoKriging : dialog box

CoKriging : command line

CoKriging : algorithm

Point interpolation

Cross Variogram : functionality

(Ordinary) Kriging : functionality

How to use Kriging

How to calculate confidence interval maps


CoKriging : dialog box

CoKriging

Dialog box

CoKriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. CoKriging is a multivariate variant of the Ordinary Kriging operation: CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Before CoKriging, you should perform the Cross Variogram operation and determine a semi-variogram model for the predictand, for the covariable and a cross-variogram model for the combination of the variables in a graph window (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation.

Dialog box options:

Predictand:

Select an input point map that contains the predictand (the poorly sampled variable). Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box.

You can select a point map with a value domain, but you may also use a point map with a ID domain which has a linked attribute table, then select an attribute column with a value domain from the attribute table. You should generally select the point map which you used in Cross Variogram.

Covariable:

In the same way, select an input point map or an attribute that contains the covariable (the well sampled variable). This is also usually the point map which you used in Cross Variogram.

Semi-variogram model:

Select the model which should be used to calculate the semi-variogram function g(h) for the predictand. The available models are: Spherical, Exponential, Gaussian, Wave, Rational Quadratic, Circular, and Power. The model, as well as the variables nugget, sill and range can be found by modelling the semi-variogram which is the output of the Cross Variogram operation. For more information, see Cross Variogram : functionality, or Graph window: Add Semi-variogram Model (dialog box).

Co-variogram model:

Similarly, select the model which should be used to calculate the semi-variogram function g(h) for the covariable.

Cross-variogram model:

Select the model, which should be used to calculate the cross-variogram function g(h).

Nugget:

When you found a nugget effect, specify the value. A nugget effect is the vertical jump from value 0 at the origin to the semi-or cross-variogram value g at extremely small separation distances. You are specifying parameter 'C0' for the selected model.

Sill:

Type a real value for the sill; the sill is the plateau that the semi- or cross-variogram values g reach at the range. You are specifying parameter 'C0 + C' for the selected model.

Range:

Type a value for the range; the range is the distance at which the semi- or cross-variogram values do not increase anymore and reach a plateau. You are specifying parameter 'a' for the selected model (real value > 0).

Slope:

For the Power model only: type a real value for the 'slope', i.e. specify parameter 'k' for this model. When you use the Power model with a power exponent of 1, the model becomes linear (a straight sloping line), then, this 'slope' parameter equals the direction coefficient (Dg/Dh) of the line.

Power:

For the Power model only: type a real value for the power exponent, i.e. specify parameter ‘m’ for this model. The power function is meaningful if 0 < power exponent < 2. When value 1 is used, the Power model becomes linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

Limiting distance:

Type a value for the limiting distance also called search radius or limiting circle. Points that are farther away from an output pixel than the limiting distance will not be used in the calculation of the value for that output pixel. The limiting distance is usually smaller than the range of your semi-variogram of the predictand. (0 < limiting distance < diagonal of point map).

Min nr of points:

Type a value for the minimum number of points that should be used by the calculation within each limiting distance (search radius). This is necessary to make sure that the estimation is based at least this many points.

When for an output pixel, not enough points are found within the specified limiting distance, then the undefined value will be assigned to the output pixel. It is advised to use at least 4 points.

Max nr of points:

Type a value for the maximum number of points that should be used by the calculation within each limiting distance (search radius).

Limitation: To increase calculation speed when using the dialog box, you are not allowed to use more than 100 point values within the limiting distance. This limitation is not present on the command line.

When for an output pixel more points are found within the limiting distance than specified, then only the points nearest to the output pixel will be used in the calculation.

By specifying a rather small maximum, the algorithm may be faster but the estimation quality may be less.

Remove duplicates:

In case of coinciding points, it is advised to select this check box. Subsequently, select 'Average' or 'First value'. You can clear this check box when you are sure that you have no coinciding points. If the check box is cleared and any coinciding points, i.e. duplicates, are found, CoKriging will result in undefined values for estimated pixels whose search circle contains a pair of coinciding points.

Average:

For points that are less than the specified tolerance distance apart, use the mean value of these points.

First value:

For points that are less than the specified tolerance distance apart, only use the value of the first point encountered.

Tolerance (m):

Type a value (meters) for the tolerance distance: when the distance between two points is smaller than the specified Tolerance, then these points are considered as coinciding points or duplicates (real value > 0).

Use spherical distance:

Select this check box to calculate with spherical distances, i.e. distances are calculated over the sphere using the projection of the coordinate system of the georeference of the output raster map. It is advised to select this option in case your map covers a relatively large area, or when you are working in LatLon coordinates. For more information, see CoKriging : functionality.

Clear this check box to calculate with planar (Euclidean) distances.

Output raster map:

Type a name for the output raster map that will contain the Kriging estimates.

Georeference:

Select the name of an existing georeference or create a new georeference. When you create a new georeference, ILWIS will suggest default limiting coordinates that are the boundaries of the input point map (the predictand).

Value range:

Accept the default value range, or specify your own range of possible values in the output map. Kriging estimates may be greater or smaller than your original input values and it is therefore advisable to make the value range for the output map wider than the input value range. In case the calculated estimates fall outside the specified value range, the output pixel will be undefined.

Precision:

Accept the default precision of output values, or specify your own precision.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Error map:

Select this check box when you also want to obtain an error map. The error map will contain the standard error of the estimates, i.e. the square root of the Kriging error variance values. The name of the error map will be the same as the name specified for the CoKriging output map followed by the additional string _Error.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, an output error map containing standard errors can be created.

See also:

CoKriging : functionality


CoKriging : command line

CoKriging

Command line

The CoKriging operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist)
OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist, 1 | 0)
OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist, 1 | 0, min, max)
OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist, 1 | 0, min, max, No | Average | Firstval)
OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist, 1 | 0, min, max, Average | Firstval, Tolerance)
OUTMAP | = | MapCoKriging(InputPointMapPred, InputPointMapCovar, Georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist, 1 | 0, min, max, Average | Firstval, Tolerance, plane | sphere)

where:

OUTMAP

is the name of the output raster map.

MapCoKriging

is the command to start the CoKriging operation.

InputPointMapPred

is the name of the input point map with the predictand (value domain) that is poorly sampled.
To use a value attribute column from an attribute table which is linked to an ID point map, use InputPointMap.Columnname.

InputPointMapCovar

is the name of the input point map with the covariable (value domain) that is well sampled.

Georef

is the name of an existing georeference for the output raster map.

SemiVarModelPred

Model(nugget, sill, range) | Power(nugget, slope, power)

This expression defines the semi-variogram model and its parameters that should be used for the predictand.

SemiVarModelCovar

Model(nugget, sill, range) | Power(nugget, slope, power)

This expression defines the semi-variogram model and its parameters that should be used for the covariable.

CrossVarModel

Model(nugget, sill, range) | Power(nugget, slope, power)

This expression defines the cross-variogram model and its parameters that should be used.

Model

Spherical | Exponential | Gaussian | Wave | RatQuad | Circular

nugget

value for the nugget, according to each semi- or cross-variogram (real value).

sill

value for the sill, according to each semi- or cross-variogram (real value).

range

value for the range, according to each semi- or cross-variogram (real value > 0).

slope

when using the Power model: value for the 'slope'. When pow is specified as 1 (i.e. thus using a linear model), then slope is the direction coefficient, i.e. Dg/Dh (real value >= 0).

pow

when using the Power model: an exponent 0 < real value < 2. When you use value 1, the Power model will become linear and the slope will be constant. If the power exponent is 2 the assumed stochastic model (‘randomness’) is not always justifiable and the interpolation can become pathological.

LimDist

a value for the limiting distance: points that are further away from an output pixel than the limiting distance will not be used in the Kriging equations. Normally, this is a value smaller than the range of the predictand semi-variogram model (0 <= real value < diagonal size of map).

1 | 0

Specify whether or not an error map has to be created. The error map will contain the square root of the Kriging error variance values, i.e. standard deviations per pixel. When this parameter is not specified, no error map will be created.

1

Create an error map. The error map will obtain the same name as specified for the output Kriging map followed by the additional string _Error.

0

Do not create an error map.

min, max

Optional parameters (integer values) to specify the minimum and maximum number of points that should be taken into account per Kriging estimate/prediction, i.e. the number of points within the limiting distance of an output pixel that should be taken into account in the calculation of the output value for that pixel.

  • When the minimum is not specified a minimum value 1 will be used. When, for an output pixel, less points than the specified minimum are found within the specified limiting distance, no Kriging is performed and the output pixel will become undefined. If the whole map contains less points than the specified minimum, an error message will appear and no output will be produced.
  • When the maximum is not specified, value 16 will be used. When, for an output pixel, more points than the specified maximum are found within the specified limiting distance, only the specified maximum number of points that are nearest to the output pixel will be used.

No | Average | Firstval

Choose how handle possible coinciding points or duplicates should be handled. When no method is specified, Average will be used.

No

No removal of duplicates. Mind: when there are coinciding points, the Kriging system may become unsolvable and will give undefined values for the pixels for which coinciding points are found.

Average

Values of duplicates are replaced by the average (arithmetic mean); the coordinates of the first point are taken as new position.

Firstval

Values of duplicates (and their coordinates) are replaced by those of the first point.

Tolerance

Optional parameter to specify the distance within which 2 sample points are considered to coincide. When not specified, a tolerance of 0.1 m will be used.

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere). If not specified, distances will be calculated in a plane.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

The following expression:

OutCoKr

=

MapCoKriging (MyPoints.MyAttrA, MyPoints.MyAttrB, MyGeoref, Spherical(10,70,800), Gaussian(30,80,1000), Power(20,40,2), 200, 1, 6, 20, Firstval, 0.2)

performs CoKriging:

  • on point map MyPoints, using attribute columns MyAttrA (the predictand) and MyAttrB (the covariable);
  • using georeference MyGeoref for the output raster maps;
  • using for the predictand a Spherical semi-variogram model with a nugget of 10, a sill of 70 and a range of 800 meter;
  • using for the covariable a Gaussian semi-variogram model with a nugget of 30, a sill of 80 and a range of 1000 meter;
  • using Power cross variogram model with a nugget of 20, a slope of 40 and a power of 2;
  • using a limiting distance of 200 meter;
  • while each Kriging equation should use at least 6 and at most 20 points (min, max);
  • while considering points as coinciding when the distance between them is less than 0.2 m (tolerance);
  • while for coinciding points only the value and coordinates of the first point encountered will be used.

The results of the expression are:

  • output raster map OutCoKr using existing georeference MyGeoref;
  • output error map OutCoKr_Error.

See also:

CoKriging : functionality


CoKriging : algorithm

CoKriging

Algorithm

Using semi-variograms instead of covariances is only justified under the unbiasedness conditions for the weights: S w i = 1 and S h j = 0 (see below), and with the Ordinary Kriging method (no trend, second order stationarity) (Deutsch & Journel 1992).

The direct use of variogram values (given the semi-variogram models g A , g B and cross-variogram model g AB), leads in case of m observations of predictand Ai and n observations of covariable Bj to the following system of CoKriging equations:

(1)

If we call map A the collection of points with predictand values Ai, and map B the points with covariable values Bj and if A È B is the 'glued' combination of A and B it means that:

GAA | has m x m values of gA(h) from the lag vectors hij found in map A, h = || hij ||
GBA = G'AB | containing m x n values of gAB(h) from the vectors hij found in map A È B. More precisely: the vectors defined by the set A x B (product set consisting of ordered pairs of points taken from A and B).
GBB | has n x n values of gB(h) from the lag vectors hij found in map B, h = || hij ||
1m and 1'm | are a column and a row vector both of order m; all elements in the vector are equal to 1
1n and 1'n | are a column and a row vector both of order n; all elements in the vector are equal to 1
w | is a column with m weights w i assigned to predictand A, and S w i = 1
h | is a column with n weights h i assigned to covariable B, and S h j = 0
g pA | is a column with m semi-variogram values g A (h), where h = || h pi ||, the distance from the estimated output pixel p to all visited (sampled) points in map A (predictand map).
g pAB | is a column with n cross-variogram values g AB (h), where h = || h pi ||, the distance from the estimated output pixel p to all visited (sampled) points in map B (covariable map).
m1 | is the Lagrange parameter introduced to formalize the unbiasedness and used to find the error variance of the prediction.
m2 | is the Lagrange parameter for the covariable.

The solution of the above system gives optimal values for w, h and m1 and m2.

These solutions (weights) do not depend on the sampled values in map A or B, but solely on the variogram models used and on the geometric distribution of the measurements, the so-called sampling scheme. They are used to get the prediction (Formula 2) as a linear combination of predictand measurements Ai and covariable measurements and Bj:

(2)

The variance of the prediction error (s2 , Formula 3) is obtained from inner vector products and m1:

s2 = S wi gA(hi) + S hj g AB(hj) + m1

(3)

This expression depends solely on the variogram models g A , g B and g AB and on the geometric layout of the sampled points (the sampling scheme) in both map A and map B.

Note: When the spherical distance option is used, the length of all lag vectors (h) are calculated over the sphere using the projection of the coordinate system that is used by the georeference of the output raster map.

References:

  • Deutsch, C.V., and A.G. Journel. 1992. Geostatistical software library and user's guide. Oxford University Press, New York. 340 pp.
  • Isaaks, E. H., and R. M. Srivastava. 1989. An introduction to applied Geostatistics. Oxford University Press, New York. 561 pp.
  • Meer, F. D. van der. 1993. Introduction to geostatistics. ITC Lecture Notes. 72 pp.
  • Pebesma, E.J. 1996. Mapping Groundwater Quality in the Netherlands. KNAG/Faculteit Ruimtelijke Wetenschappen, Utrecht University. 128 pp.
  • Stein, A. and Corsten, L.C.A. 1991. Universal Kriging and CoKriging as a Regression Procedure. Biometrics June 1991. 13 pp.
  • Stein, A. 1998. Spatial statistics for soils and the environment. ITC lecture notes. 47 pp.

See also:

CoKriging : functionality

Kriging : algorithm


Operations

Vector operations

Unique ID

Polygons:

Attribute Map

Mask Polygons

Assign Labels

Transform Polygons

ID Grid Map

Segments:

Attribute Map

Mask Segments

Assign Labels

Sub Map

Glue Maps

Densify Coordinates

Tunneling

Transform Segments

Points:

Attribute Map

Mask Points

Sub Map

Glue Maps

Transform Points

Coordinates:

Transform Coordinates

Find Datum Transformation Parameters


Unique ID

Functionality

Dialog box

Command line

Algorithm


Unique ID : functionality

Unique ID

Functionality

The Unique ID operation can be used to assign unique identifiers to all elements in a segment, polygon or point map. The output map contains the same geographic information as the input map, but each point, segment or polygon will have a unique ID.

Furthermore, an attribute table is created for the output map. The table contains a column with the original classes, IDs or values of the input map; the areas of individual output polygons; the lengths of individual output segments.

Example:

In this example, the Unique ID operation is applied on segment map Water. The input map uses a class domain Water which contains three classes: River, Stream 1 and Stream 2. The output segment map and its attribute table have a Unique ID domain with IDs named Seg 1 to Seg 5.

Input segment map: (Class domain water) | Output segment map: (Unique ID domain) | Output table: (Unique ID domain)

When no prefix is specified, the output IDs will be:

  • when an input polygon map is used: Pol 1, Pol 2, Pol 3, etc.
  • when an input segment map is used: Seg 1, Seg 2, Seg 3, etc.
  • when an input point map is used: Pnt 1, Pnt 2, Pnt 3, etc.

When a prefix is used, e.g. My Segments, then the output IDs will be My Segments 1, My Segments 2, etc.

Requirements for the input map:

No special requirements for the input point, segment or polygon map.

Domain of output map and attribute table:

The output map and its attribute table will use an internally defined UniqueID domain. The IDs have names as described above. The domain is stored by the output map (internal domain).

Attribute table for output map:

An attribute table will be automatically created for the output map. The table will obtain the same name as the output map. The table will contain the new IDs, and:

  • the names or values of the original input polygons, and the areas of individual output polygons;
  • the names or values of the original input segments, and the lengths of individual output segments;
  • the names or values of the original input points.

Coordinate system of output map:

The output map uses the same coordinate system and coordinate boundaries as the input map.

Tip:

For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Unique ID : dialog box

Unique ID : command line

Unique ID : algorithm


Unique ID : dialog box

Unique ID

Dialog box

The Unique ID operation can be used to assign unique identifiers to all elements in a segment, polygon or point map. The output map contains the same geographic information as the input map, but each point, segment or polygon will have a unique ID.

Furthermore, an attribute table is created for the output map. The table contains a column with the original classes, IDs or values of the input map; the areas of individual output polygons; the lengths of individual output segments.

Dialog box options:

Input map: | Select an input point, segment or polygon map. Open the list box and select the desired input map, or drag a map directly from the Catalog into this box. No special input map requirements.
Domain Prefix: | Optionally, type some characters that should be used as a prefix for the items in the output map. Without prefix, the names of the output items will simply be Pol 1, Pol 2, Pol 3, or Seg 1, Seg 2, Seg 3, or Pnt 1, Pnt 2, Pnt 3, etc.
Output map: | Type a name for the output map that will contain the points, segments or polygons with unique IDs. This name will also be used for the output attribute table.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Furthermore, an attribute table will be automatically defined for the output map (same name as output map). This table will contain:

  • the names or values of the original input polygons and the areas of individual output polygons;
  • the names or values of the original input segments and the lengths of individual output segments;
  • the names or values of the original input points.

Both the output map and the attribute table will use a UniqueID domain (internal domain).

See also:

Unique ID : functionality


Unique ID : command line

Unique ID

Command line

The Unique ID operation can be directly executed by typing one of the following expressions on the command line of the Main window:

To apply the Unique ID operation on point maps:

OUTMAP | = | PointMapNumbering(InputMap)
OUTMAP | = | PointMapNumbering(InputMap, , prefix)

To apply the Unique ID operation on segment maps:

OUTMAP | = | SegmentMapNumbering(InputMap)
OUTMAP | = | SegmentMapNumbering(InputMap, , prefix)

To apply the Unique ID operation on polygon maps:

OUTMAP | = | PolygonMapNumbering(InputMap)
OUTMAP | = | PolygonMapNumbering(InputMap, , prefix)

where:

OUTMAP | is the name of your output point, segment or polygon map. This name will also be used for the output attribute table.
PointMapNumbering | is the command to start the Unique ID operation on point maps.
SegmentMapNumbering | is the command to start the Unique ID operation on segment maps.
PolygonMapNumbering | is the command to start the Unique ID operation on polygon maps.
InputMap | is the name of your input point, segment or polygon map.
prefix | is an optional parameter to specify a user-defined prefix for the output IDs; if this parameter is not specified, the output IDs will simply be Pol 1, Pol 2, Pol 3, or Seg 1, Seg 2, Seg 3, or Pnt 1, Pnt 2, Pnt 3, etc.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. The output IDs will be stored by the output map, i.e. in a UniqueID domain (internal domain).

See also:

Unique ID : functionality


Unique ID : algorithm

Unique ID

Algorithm

First, the contents of the input point, segment or polygon map into a temporary output point, segment or polygon map. In case of point and polygon maps, the geographic information will be exactly the same; in case of segment maps, the deleted segments will not be copied to the new map.

Then, a unique ID is assigned to each point, segment or polygon in the output map. This is done according to the storage sequence of the points, segments or polygons in the input map.

Furthermore, an attribute table is created. For each output ID, the original class name, ID, or value of the input map is listed; and if necessary, the areas of output polygons, or the lengths of output segments are calculated.

The output IDs are stored by the output map in a UniqueID domain (internal domain).

See also:

Unique ID : functionality


Attribute map of polygon map

Functionality

Dialog box

Command line

Algorithm


Attribute map of polygon map : functionality

Attribute map of polygon map

Functionality

By creating an attribute map of a polygon map, the class name or ID of each polygon in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A polygon map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the polygon map or to its domain through the Properties dialog box of the map or the domain.

Example of creating an attribute map:

In the pictures below, an attribute map is created for the acreage of cashcrops (ha) for units A, B, C, and D in the input map.

Input map: | Attribute table:
Output attribute map: |

Input map requirements:

  • the input map needs to be a map with a domain of the Class or ID type;
  • the table, from which you want to choose a column, should use the same domain as the map;
  • the attribute table can be linked to the map or to its domain;
  • the attribute table should have one or more columns with attribute values, classes or IDs.

An attribute map can be created from any column with a value, class or ID domain, but not from a column using domain String.

Domain and coordinate system of output map:

The output map uses the same domain as the specified attribute column.

The output map uses the same coordinate system and coordinate boundaries as the input map.

Tips:

  1. This operation creates a permanent attribute map. To temporarily display an attribute map, you can select the option 'Attribute' in the Display Options dialog box when displaying a polygon map.
  2. The colors in which an attribute map is displayed, depend on the domain of the specified attribute column:
    • if you used a domain Class attribute column and when this domain already has a user-defined representation, then this representation is automatically selected in the Display Options dialog box which appears when you display the attribute map. In the Display Options dialog box, you can also select another existing representation or create a new representation by clicking the create button.
    • if you used a domain Value attribute column, you can either select one of the standard value representations or create your own representation by clicking the create button in the Display Options dialog box which appears when you display the attribute map.
  3. You can also create attribute maps of raster maps, attribute maps of segment maps and attribute maps of point maps.

See also:

Attribute map of polygon map : dialog box

Attribute map of polygon map : command line

Attribute map of polygon map : algorithm


Attribute map of polygon map : dialog box

Attribute map of polygon map

Dialog box

By creating an attribute map of a polygon map, the class name or ID of each polygon in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A polygon map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the polygon map or to its domain through the Properties dialog box of the map or the domain.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. The input map should be a domain Class or ID map.
Table: | By default, the attribute table linked to the selected input map or to its domain is shown. In case you want to use another table, select a table with the same domain as the input map from the list box.
Attribute: | Select an attribute column from the attribute table.
Output polygon map: | Type a name for the output polygon map that will contain the attribute values.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Attribute map of polygon map : functionality


Attribute map of polygon map : command line

Attribute map of polygon map

Command line

The Attribute map of polygon map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PolygonMapAttribute(InputPolMapName, ColumnName)
OUTMAP | = | PolygonAttribute(InputPolMapName, TableName.ColumnName)

where:

OUTMAP | is the name of your output polygon map.
PolygonMapAttribute | is the command to start the creation of an attribute map of a polygon map.
InputPolMapName | is the name of your input polygon map. For the first expression, the attribute table needs to be linked to the input map or its domain.
TableName | is the name of an attribute table. The attribute table should use the same domain as the input map but it does not need to be linked to the polygon map or its domain.
ColumnName | is the name of an attribute column in the attribute table.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Attribute map of polygon map : functionality


Attribute map of polygon map : algorithm

Attribute map of polygon map

Algorithm

The program scans the polygon map polygon by polygon.

Each polygon is copied to the output map while:

  • the class name or ID of each polygon in the input map is replaced with the attribute value that belongs to this class or ID as found in the attribute table.

Undefined values are assigned to an output polygon:

  • if the polygon name in the input map is undefined, or
  • if the class name, ID, or value in the selected attribute column is undefined.

See also:

Attribute map of polygon map : functionality


Mask polygons

Functionality

Dialog box

Command line

Algorithm


Mask polygons : functionality

Mask polygons

Functionality

The Mask Polygons operation allows you to selectively copy polygons of an input polygon map into a new output polygon map. The user has to specify a mask to select and retrieve the class names, IDs or values of the polygons that are to be copied.

By specifying a mask, you can search for polygons with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those polygons in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas.

Mask syntax:

  • search strings in a mask are compared with the classes, IDs or values of the domain of a map; when a map uses a class or ID domain and the classes or IDs have codes, the mask works on the codes and on the names and on the combination of codes and names,
  • to find/retrieve one specific class name, identifier or value: type that class name, ID or identifier in the mask,
  • to find/retrieve multiple class names, identifiers or values: separate the different class names, identifiers or values in the mask by commas (it does not matter whether you use spaces before or after a comma)
  • you can use asterisks as wild cards to replace zero or more characters in class names, IDs or values, for example for*,wat* or 1*,2*,3* , or even *25,*50,*75,*00, or A*b*,D*g*
  • you can use question marks as wild cards to replace single characters in class names, identifiers or values, for example Ab?,D?,Gl? or ?p,??i, or A*b??,D*g??
  • in a dialog box, you should not use quotes around class names, identifiers or values,
  • on the command line, you must use double quotes around the complete mask.

Examples:

  • When a polygon map contains topographic features, and you want to copy the polygons in which part of the class name is 'park' or 'square'; use as mask: *park*,*square*
  • When a polygon map contains cadastral plots identified by IDs between 1000 and 9999, and you want to copy the polygons with an ID that starts with a 1, e.g. IDs 101, 102, 103, etc.; use as mask: 1*
  • When a polygon map contains information on population density per polygon, and you want to copy the polygons with a population density between 200 and 250; use as mask: 20*,21*,22*,23*,24*,250

For more information, see How to use masks.

Requirements for input polygon map:

No special input map requirements.

Domain and coordinate system of output map:

The output polygon map uses the same domain as the input polygon map.

The output polygon map uses the same coordinate system and coordinate boundaries as the input polygon map.

Tip:

This operation creates a new polygon map. You can also display specific polygons of a polygon map in a map window without creating a new polygon map: select the Mask check box in the Display Options dialog box of the polygon map which appears when you open the polygon map. Then, specify the mask, i.e. the class names, identifiers or values of the polygons that you want to display.

See also:

Mask polygons : dialog box

Mask polygons : command line

Mask polygons : algorithm


Mask polygons : dialog box

Mask polygons

Dialog box

The Mask Polygons operation allows you to selectively copy polygons of an input polygon map into a new output polygon map. The user has to specify a mask to select and retrieve the class names, IDs or values of the polygons that are to be copied. For more information on masks, see Mask Polygons : functionality and How to use masks.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. No special input map requirements.
Mask: | Type (multiple) search strings to find the polygons that you want to copy. For more information, see Mask Polygons : functionality and How to use masks.
Output polygon map: | Type a name for the output polygon map that will contain the copied polygons.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Mask polygons : functionality


Mask polygons : command line

Mask polygons

Command line

The Mask Polygons operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

PolygonMapMask(Input PolygonMap,"mask")

where:

OUTMAP | is the name of your output polygon map.
PolygonMapMask | is the command to start the Mask Polygon operation.
InputPolygonMap | is the name of the input polygon map.
"mask" | are the (multiple) search strings to find the classes, IDs or values in the input map that you want to copy into the output map; on the command line, the total mask needs to be surrounded by double quotes.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Mask polygons : functionality


Mask polygons : algorithm

Mask polygons

Algorithm

The Mask Polygons operation first copies all polygons of the input map into the output map.

Then, the polygons of which the name, code, or value do not match one of the search strings specified in the mask are deleted.

See also:

Mask polygons : functionality


Assign labels to polygons

Functionality

Dialog box

Command line

Algorithm


Assign labels to polygons : functionality

Assign labels to polygons

Functionality

The Assign Labels to Polygons operation can be used to recode polygons in a polygon map according to label points in a point map. For each label point, the surrounding polygon is determined; then the class name, ID, or value of the label point is assigned to that polygon.

Input map requirements:

For the input polygon map and the input point map there are no special requirements.

Domain and coordinate system of output map:

The output polygon map uses the same domain as the input point map.

The output polygon map uses the same coordinate system and coordinate boundaries as the input polygon map.

When the coordinate systems of the input maps are different (e.g. different projections) but compatible, the coordinates of the point map will be transformed to the coordinate system of the polygon map.

Tips:

  • To create polygon labels, you can use the Polygons to Points operation.
  • To obtain the names, IDs or values of polygons as text, it is advised to create an annotation text object and base it on your polygon map. You can edit font, color, and position of the texts in the Annotation Text editor. For more information, see ILWIS objects : annotation text.

See also:

Assign labels to polygons : dialog box

Assign labels to polygons : command line

Assign labels to polygons : algorithm


Assign labels to polygons : dialog box

Assign labels to polygons

Dialog box

The Assign Labels to Polygons operation can be used to recode polygons in a polygon map according to label points in a point map. For each label point, the closest polygon is determined; then the class name, ID or value of the label point is assigned to that polygon.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. No special input map requirements.
Label points: | Similarly, select an input point map.
Output polygon map: | Type a name for the output polygon map that will contain the recoded polygons.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Assign labels to polygons : functionality


Assign labels to polygons : command line

Assign labels to polygons

Command line

The Assign labels to polygons operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

PolygonMapLabels(InputPolygonMap,InputPointMap)

where:

OUTMAP | is the name of your output polygon map.
PolygonMapLabels | is the command to start the Assign labels to polygons operation.
InputPolygonMap | is the name of the input polygon map.
InputPointMap | is the name of the input point map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Assign labels to polygons : functionality


Assign labels to polygons : algoritm

Assign labels to polygons

Algorithm

The Assign labels to polygons operation copies the polygon map and and assigns the undefined value to all polygons. Next, for each label point, the surrounding polygon is determined. Then the class name, ID or value of the label point is assigned to that polygon. If there is no point in a polygon, the polygon will keep the undefined value.

If the input polygon map and the input point map have a different but compatible coordinate system, a coordinate transformation in performed on the point map before the determination of which polygon surrounds a point.

See also:

Assign labels to polygons : functionality


Transform polygon map

Functionality / Algorithm

Dialog box

Command line


Transform polygon map : functionality/algorithm

Transform polygon map

Functionality / Algorithm

The Transform polygon map operation transforms the coordinates of polygon boundaries in a polygon map from the map's current coordinate system to another target coordinate system. You can choose whether coordinates of polygon boundaries should be densified before the transformation takes place.

A transformation can only be performed between compatible coordinate systems. You can:

  • transform a polygon map with a coordinate system projection with a certain projection, ellipsoid and/or datum to another coordinate system projection with a different projection, ellipsoid and/or datum;
  • transform a polygon map with a coordinate system projection with a certain projection, ellipsoid and/or datum to a coordinate system latlon with a certain ellipsoid and/or datum (and vice versa);
  • transform a polygon map with a coordinate system latlon with a certain ellipsoid and/or datum to another coordinate system latlon with a different ellipsoid and/or datum;
  • transform a polygon map with a coordinate system formula to the 'related coordinate system' of this coordinate system formula (and vice versa);
  • transform a polygon map with a coordinate system tiepoints to the 'related coordinate system' of this coordinate system tiepoints (and vice versa).

Furthermore:

  • when in a coordinate system an ellipsoid is not specified, then a sphere is assumed, and
  • when in either of the 2 coordinate systems a datum is not specified, then the same datum is assumed.

For more information on coordinate system types, see ILWIS object : coordinate systems.

In general, the operation can be used:

  • to integrate data which are obtained from different sources and when these data are in different projections,
  • to present data or results in a more appropriate projection.

Preparations for using a coordinate system projection:

  • When you want to integrate data of different projections, first think of the most suitable projection in which you can do your analysis: when area calculations are involved, you should use an Equal Area projection.
    You can either:
    • transform your maps to one existing coordinate system; select this existing coordinate system as the target coordinate system during Transform operations.
    • first create a new coordinate system, specify projection information, and then transform all your maps to that new coordinate system.
  • When you want to present data in other projections, you can generally first create a number of new coordinate systems (using File, Create, or by clicking the create button in the dialog box of a Transform operation) and then transform your map to these new coordinate systems. During the Transform operations, specify a different output map name for each selected target coordinate system.
    For presentation purposes, you can also interactively change the coordinate system as used by maps displayed in a map window. For more information, see the tips below.

For more information on available projections, refer to the Select Projection dialog box.

Densify coordinates:

During a transformation, straight polygon boundaries which are simply defined by a start node and an end node will always remain straight as only the coordinates of the begin and end node will be transformed.

However, polygon boundaries generally consist of a start node and an end node and many intermediate points in between. Then, it is strongly advised to increase the number of intermediate points in all polygon boundaries by using the Densify Coordinates option during the Transform operation, and specify a distance interval at which intermediate points should be inserted. By using the Densify Segments option, the shape of polygons will be better preserved during the transformation.

For more information, see also Densify segment coordinates operation.

Input map requirements:

A transformation is only possible between:

  • a coordinate system projection with a known projection, ellipsoid, and/or datum, and
    • another coordinate system projection with another projection, ellipsoid, and/or datum, or
    • a coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system latlon with a known ellipsoid and/or datum, and
    • another coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system formula, and
    • the 'related coordinate system' of this coordinate system formula, or
  • a coordinate system tiepoints, and
    • the 'related coordinate system' of this coordinate system tiepoints.

In each of these combinations, one coordinate system is the current coordinate system of the polygon map, and the other is the selected target coordinate system.

Domain and coordinate system of output map:

The output polygon map uses the same domain as the input polygon map.

The output polygon map uses the selected target coordinate system; the coordinate boundaries of the output map will be the transformed coordinate boundaries of the input map.

Tips:

  1. To see the effect of using different projections, it is advisable to display the input map in a map window and the output maps in other map windows; then add a graticule to the map windows; open the Layers menu and select the Add Annotation, Graticule command.
  2. The Transform operations permanently change the projection of your map(s), i.e. for analysis and calculation purposes.

    3. To temporarily view map(s) which are displayed in a map window in another projection, i.e. for presentation purposes, you can:

    • create a coordinate system in which you already specify some projection information,
    • display your map(s) in a map window,
    • drag your new coordinate system to the map window, or choose the Coordinate System command from the Options menu in the map window and subsequently select another coordinate system.

    The contents of the map window will be displayed in the new projection. Projection information of the coordinate system as currently used by the map window can be refined by choosing the Coordinate System command from the Edit menu in the map window. Thus, you do not need to use a Transform operation.

Algorithm:

The XY-coordinates of the polygon boundaries of the input map are copied, and then transformed.

  • When both the input coordinate system and the target coordinate system have the same ellipsoid and datum information, then the transformations are calculated via geographic coordinates; i.e. from XY (input) to f, l (LatLon) to XY (target).
  • When in the input coordinate system and the target coordinate system, ellipsoid and datum information is different, then Molodensky formulas are used to calculate the ellipsoidal transformations and datum shifts, i.e. from XY (input) to f, l (input) to f, l (target) to XY (target).

Finally, new polygon areas and perimeters are calculated.

See also:

Transform polygon map : dialog box

Transform polygon map : command line

ILWIS objects : coordinate systems

Create coordinate system (dialog box)

Edit coordinate system projection (dialog box)

Edit coordinate system latlon (dialog box)

Edit coordinate system formula (dialog box)

Coordinate system tiepoints editor

Select projection (dialog box)

Select ellipsoid (dialog box)

Select datum (dialog box)


Transform polygon map : dialog box

Transform polygon map

Dialog box

The Transform polygon map operation transforms the coordinates of polygon boundaries in a polygon map from the map's current coordinate system to another target coordinate system. You can choose whether coordinates of polygon boundaries should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible. For more information, refer to Transform polygon map : functionality/algorithm.

Dialog box options:

Input polygon map:

Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box.

For your information, when you have selected a polygon map, a text line will appear showing the name and type of the coordinate system that is used by the input polygon map. This is the coordinate system from which you will transform coordinates from.

Densify coordinates:

Select this check box if you wish to densify the intermediate points in the polygon boundaries before the transformation will take place. This may ensure better shapes of polygons in the output map.

Distance (m):

Type a value for the distance interval at which intermediate points should be inserted.

Output polygon map:

Type a name for the output polygon map that will contain the transformed polygons.

Coordinate system:

Select an existing target coordinate system or create a new coordinate system by using the create button. This is the coordinate system to which you will transform the coordinates of your input map to.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Transform polygon map : functionality / algorithm

Densify segment coordinates : functionality / algorithm


Transform polygon map : command line

Transform polygon map

Command line

The Transform polygon map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PolygonMapTransform(InputPolygonMap, TargetCoordSys)
OUTMAP | = | PolygonMapTransform(InputPolygonMap, TargetCoordSys, interval)

where:

OUTMAP | is the name of your output polygon map.
PolygonMapTransform | is the command to start the Transform Polygon Map operation.
InputPolygonMap | is the name of the input polygon map. The coordinate system of the input polygon map is the coordinate system from which you will transform.
TargetCoordSys | is the name of your target coordinate system; this is the coordinate system to which you will transform.
interval | is an optional parameter to densify the coordinates of polygon boundaries before the transformation will take place; specify the distance interval at which additional intermediate points should be inserted in your polygon boundaries (real value > 0).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Transform polygon map : functionality / algorithm


ID Grid map

Functionality

Dialog box

Command line

Algorithm


ID Grid map : functionality

ID Grid map

Functionality

Wildlife distribution and density:

Systematic reconnaissance flights is a sample survey, where by evenly-spaced parallel transects are flown over a large area, and observers count all wildlife seen within defined counting strips on either site of the aircraft. The number of animals counted per square kilometer can be entered in a table or database. To obtain a spatial representation of these data (a map) you can use the ID Grid map operation which creates square polygons for every entry in the table.

The ID Grid map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for the rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.

Concept:

The figure below schematically presents the concept of the ID grid map operation. The black grid is a metric coordinate system and the red one is the output polygon map consisting of 12 ID grid cells (4x3 cells). The origin of the ID grid map is at point A (0,0). Point B (7,-1) in the opposite corner of the map is called the opposite corner coordinate. Point C (3,3) along the positive Y-axis of the ID grid map defines the degrees that the grid cells should be rotated. This point is called direction point. Grid size should always be specified in the units of the coordinate system. In this figure the grid cells are perfectly rectangular and the width and height of the cells are both Ö(12 + 12), i.e. Ö2.

A | = | origin
B | = | opposite corner
C | = | direction point

Example of creating an ID Grid map:

In this example an ID grid map OutMap is created using an input coordinate system and an existing attribute table. The attribute table with animal counts/census has an ID domain with IDs like, nr1, nr2, nr3 etc. The output polygon map with rectangular grid cells has the same domain as the existing attribute table.

Attribute table

OutMap

ID | Nr. Elephants | Nr. Buffalo | Nr. Cattle | Nr....
nr1 | 0 | 53 | 22 | ....
nr2 | 22 | 50 | 34 | ....
nr3 | 24 | 80 | 45 | ....
nr4 | 87 | 0 | 64 | ....
nr5 | 34 | 50 | 70 | ....
nr6 | 45 | 20 | 22 | ....
nr7 | 4 | 15 | 86 | ....
nr8 | 37 | 29 | 12 | ....
nr9 | 12 | 15 | 21 | ....

nr1 | nr4 | nr7
nr2 | nr5 | nr8
nr3 | nr6 | nr9

Tip: For more information on the labelling process, refer to ID Grid map : algorithm.

Input coordinate system requirements:

No special requirements for the input coordinate system.

Input attribute table requirements:

The attribute table needs to be a table with an Identifier domain. The ID to be assigned to each grid cell should be available in the ID domain of the table. See ID Grid map : algorithm for more information.

Coordinate system of output maps:

The output polygon map and the optional point map use the input coordinate system.

Domain of output maps:

When an attribute table is used, the polygon map and the optional point map with label points both use the ID domain of this attribute table. When no attribute table is used a new ID domain is created based on the input values given.

See also:

ID Grid map : dialog box

ID Grid map : command line

ID Grid map : algorithm


ID Grid map : dialog box

ID Grid map

Dialog box

The ID Grid map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for the rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.

Dialog box options:

Coordinate System:

Select an existing coordinate system or create a new coordinate system by using the create button. Open the list box and select the desired coordinate system, or drag a coordinate system directly from the Catalog into this box.

Origin Coordinate:

The origin coordinate is the lower left corner of the output grid map. Depending on the coordinate system, coordinates have to be typed as (X, Y) coordinates or as (Lat, Lon) coordinates.

In case you selected a metric coordinate system: specify the X and Y coordinates of the origin coordinate.

In case you selected a LatLon coordinate system: specify the Lat and Lon coordinates of the origin coordinate as degrees, minutes, seconds, N/S, E/W.

Grid Size (Width, Height):

Select this check box to define the grid size (width, height). The grid size should always be specified in the units of the coordinate system (meters or degrees). Grid cell width and grid cell height are usually the same but they could be different.

When you clear this check box you need to specify the number of vertical and horizontal grids and the opposite corner coordinate.

Nr. of vert, horz Grids:

Select this check box to define the number of vertical and horizontal grid cells. The number of grids will be used together with the grid size to calculate the size of the ID grid map.

When you clear this check box you need to specify the grid size and the opposite corner coordinate.

Opposite Coordinate:

The opposite corner coordinate is the corner opposite to the corner specified as 'origin coordinate'. The opposite corner coordinate text boxes are only visible when either the Grid Size check box or the Nr. of vert, horz Grids check box is cleared.

Depending on the input coordinate system, coordinates have to be typed as (X, Y) coordinates or as (Lat, Lon) coordinates.

In case you selected a metric coordinate system: specify the X and Y coordinates of the opposite coordinate.

In case you selected a LatLon coordinate system: specify the Lat and Lon coordinates of the opposite coordinate as degrees, minutes, seconds, N/S, E/W.

Direction Point:

Optional. Select this check box to define a direction point. The direction point is a point on the positive Y-axis from the lower left corner (origin) of the ID grid map and is used to rotate the grids.

Depending on the input coordinate system, coordinates have to be typed as (X, Y) coordinates or as (Lat, Lon) coordinates.

In case you selected a metric coordinate system: specify the X and Y coordinates of the direction point.

In case you selected a LatLon coordinate system: specify the Lat and Lon coordinates of the direction point as degrees, minutes, seconds, N/S, E/W.

Clear this check box when you want to create a north-oriented ID grid map.

Order:

Select the direction which should be used to label the grid cells. Available directions are: Horizontal, Horizontal Continued, Vertical and Vertical Continued. By default ordering is Horizontal. For more information about the different types of ordering, see ID Grid map : algorithm.

Start Corner:

Select a corner which should be used to start labeling the grid cells. Available options are: Lower Left, Lower Right, Upper Left and Upper Right. By default the Lower Left corner is the starting corner.

Start Nr:

Type an integer (>= 0) that will be used as an initial number to start labeling the grid cells. The default value is 1.

Steps:

Type an integer (>= 0) for the step size. The step size (default value 1) is a number that is used to determine the increase/decrease of individual grid cell numbers during the labeling process. For instance when the step size is 10 and the starting number is 1 then the IDs in a output polygon map will appear as 1, 11, 21, 31, 41 etc.

Prefix:

Optionally, type some characters that should be used as a prefix for the IDs in the output map.

Postfix:

Optionally, type some characters that should be used as a suffix for the IDs in the output map.

Table:

Optional. Select this check box when you have an existing attribute table with an ID domain that you wish to link to the output polygon map. The ID to be assigned to each grid cell should be available in the ID domain of the attribute table otherwise undefined values will be assigned to the grid cells during the labeling process. See ID Grid map : algorithm for more information.
Clear this check box when you do not wish to use an existing attribute table. In that case a new ID domain with the same name as the output polygon map will be created.

Output Label Points:

Optional. Select this check box when you wish to obtain an additional point map with label points at the center for each individual grid cell. The name of the point map will be the same as the name specified for the output polygon map.
Clear this check box when you do not wish to create an additional point map.

Output Polygon Map:

Type a name for the output polygon map that will contain the ID grid cells.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Notes:

  • In a metric coordinate system the grid cells will be squares, whereas in a latlon coordinate system the grids will not be exactly squares.
  • If the grid size and opposite corner coordinate are specified, sometimes a multiple of the cell size will not allow to reach the opposite point exactly. In that case only the cells that lie entirely in between the origin and the opposite corner coordinate are created.
  • ILWIS does not warn the user if the specified grid map is beyond the study area.

See also:

ID Grid map : functionality


ID Grid map : command line

ID Grid map

Command line

The ID Grid map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, Width, Height, NrVertical, NrHorizontal)
OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, Width, Height, , , OppositeX, OppositeY)
OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, , , NrVertical, NrHorizontal, OppositeX, OppositeY)
OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, Width, Height, NrVertical, NrHorizontal, , , [DirectionX], [DirectionY], [Table], [Label], [Order], [StartCorner], [StartNumber], [Steps], [Prefix], [Postfix])
OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, Width, Height, , , OppositeX, OppositeY, [DirectionX], [DirectionY], [Table], [Label], [ Order], [StartCorner], [StartNumber], [Steps], [Prefix], [Postfix])
OUTMAP | = | PolygonMapGrid (CoordSystem, OriginX, OriginY, , , NrVertical, NrHorizontal, OppositeX, OppositeY, [DirectionX], [DirectionY], [Table], [Label], [Order], [StartCorner], [StartNumber], [Steps], [Prefix], [Postfix])

where:

OUTMAP | is the name of the output polygon map containing the ID grid cells.
PolygonMapGrid | is the command to start the ID Grid map operation.
CoordSystem | is the name of the coordinate system (metric or latlon).
OriginX, OriginY | are the X and Y coordinates of the origin. The origin is the lower left corner of the output polygon map.
Width, Height | are the width and height of an ID grid cell. The grid size is always expressed in the units of the coordinate system.
NrVertical, NrHorizontal | are the number of vertical and horizontal grid cells in the ID grid map.
OppositeX, OppositeY | are the X and Y coordinates of the opposite corner in the ID grid map. The opposite corner coordinate is the corner opposite the corner specified as 'origin coordinate'.
DirectionX, DirectionY | are the X and Y coordinates of the direction point. The direction point is a point on the positive Y-axis from the lower left corner (origin) of the ID grid map and is used to rotate the grids.
Table | is an existing attribute table with an ID domain. The ID to be assigned to each grid cell should be available in the domain of the table otherwise undefined values will be assigned to the grid cells during the labeling process. See ID Grid map : algorithm for more information.
Label | LabelPoints | NoLabelPoints specify whether or not a point map with label points at the center of the each grid cell has to be created. If this parameter is omitted NoLabelPoints is assigned.
LabelPoints | create a point map with label points. The point map will obtain the same name as specified for the output polygon map and will use the same ID domain.
NoLabelPoints | do not generate a point map with label points.
Order | H | HC | V | VC define the direction which should be used for labeling the grid cells. Available option are: Horizontal (H), Horizontal Continued (HC), Vertical (V) and Vertical Continued (VC). See ID Grid map : algorithm for more information about the labeling orders. When you did not specify this option Horizontal labeling (H), will be used.
StartCorner | LL | LR | UL | UR. specify the corner where labeling should start. Available option are: Lower Left (LL), Lower Right (LR), Upper Left (UL) and Upper Right (UR). When you did not specify this option the Lower Left (LL) corner will be used to start labeling.
StartNumber | is an integer that will be used as an initial number to start labeling the grid cells. If the value for this parameter is omitted, 1 will be assigned.
Steps | is the step size for label point numbers. The step size is a positive or negative integer that is used to determine the increase/decrease of individual grid cell numbers during the labeling process. If the value for this parameter is omitted, 1 will be assigned.
Prefix | optional parameter to specify some characters that should be used as prefix for the IDs in the output polygon map.
Postfix | optional parameter to specify some characters that should be used as postfix/suffix for the IDs in the output polygon map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Notes:

  • Grid cell width and grid cell height are usually the same but they could be different.
  • The opposite corner coordinates will be ignored when the width and height of the grid cells as well as the number of vertical and horizontal grid cells are specified.

Example 1:

The following expression:

IDGridMap

=

PolygonMapGrid(Coord, 1, 1, 1, 1, 3, 3, , , , , AnimalCounts, NoLabelPoints, V, UL, 1, 1, nr)

performs ID Grid map:

  • with coordinate system Coord as input,
  • using (1, 1) as origin,
  • using a grid cell width and a grid cell height of 1,
  • creating a grid map with 3 horizontal and 3 vertical cells,
  • using AnimalCounts as attribute table,
  • not creating an additional point map with label points,
  • creating label points in which the labels are ordered in a vertical way,
  • the labeling starts in the upper left corner,
  • with 1 as starting number,
  • using a step size of 1 and
  • using nr as prefix.

The result of the expression is

  • a polygon map IDGridMap containing the ID grid cells.

AnimalCounts

IDGridMap

ID | Nr. Elephants | Nr. Buffalo | Nr. Cattle | Nr....
nr1 | 0 | 53 | 22 | ....
nr2 | 22 | 50 | 34 | ....
nr3 | 24 | 80 | 45 | ....
nr4 | 87 | 0 | 64 | ....
nr5 | 34 | 50 | 70 | ....
nr6 | 45 | 20 | 22 | ....
nr7 | 4 | 15 | 86 | ....
nr8 | 37 | 29 | 12 | ....
nr9 | 12 | 15 | 21 | ....

nr1 | nr4 | nr7
nr2 | nr5 | nr8
nr3 | nr6 | nr9

Example 2:

The following expression:

IDGridMap2

=

PolygonMapGrid(Cochabamba, 803200, 8072400, 100, 100, , , 804200, 8073400, 803201, 8072402, AnimalCounts, LabelPoints, H, LL, 1, 10, P, S)

performs ID Grid map:

  • with coordinate system Cochabamba as input,
  • using (803200, 8072400) as origin,
  • using a grid cell width and a grid cell height of 100,
  • using (804200, 8073400) as opposite corner,
  • using (803201, 8072402) as direction point,
  • using AnimalCounts as attribute table,
  • creating an additional point map with the label points,
  • in which the labels are ordered in a horizontal way,
  • the labeling starts in the lower left corner,
  • with 1 as starting number,
  • using a step size of 10,
  • using P as prefix and
  • using S as suffix.

The results of the expression are:

  • a polygon map IDGridMap2 containing the ID grid cells;
  • an additional point map IDGridMap2 with label points.

AnimalCounts

IDGridMap2

ID | Nr. Elephants | Nr. Buffalo | Nr. Cattle | Nr....
nr1 | 0 | 53 | 22 | ....
nr2 | 22 | 50 | 34 | ....
nr3 | 24 | 80 | 45 | ....
nr4 | 87 | 0 | 64 | ....
nr5 | 34 | 50 | 70 | ....
nr6 | 45 | 20 | 22 | ....
nr7 | 4 | 15 | 86 | ....
nr8 | 37 | 29 | 12 | ....
nr9 | 12 | 15 | 21 | ....

P61S | P71S | P81S
P31S | P41S | P51S
P1S | P11S | P21S

See also:

ID Grid map : functionality


ID Grid map : algorithm

ID Grid map

Algorithm

The ID Grid map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.

Labeling

In the ID Grid map operation four different labeling methods are available:

Horizontal:

From top to bottom or from bottom to top, line by line,

  • left to right when using the upper left or lower left corner as starting corner, or
  • right to left when using the upper right or lower right corner as starting corner.

Vertical:

From top to bottom or from bottom to top, column by column,

  • left to right when using the upper left or lower left corner as starting corner, or
  • right to left when using the upper right or lower right corner as starting corner.

Horizontal Continued:

From left to right for the first line, then from right to left for the second etc. or vice versa, line by line,

  • from top to bottom when using the upper left or upper right corner as starting corner, or
  • from bottom to top when using the lower left or lower right corner as starting corner.

Vertical Continued:

From top to bottom for the first column, bottom to top for the second column etc. or vice versa, column by column,

  • left to right when using the upper left or lower left corner as starting corner, or
  • right to left when using the upper right or lower right corner as starting corner.

Labeling examples:

OutMap1

OutMap2

OutMap3

OutMap4

7 | 8 | 9
4 | 5 | 6
1 | 2 | 3

7 | 4 | 1
8 | 5 | 2
9 | 6 | 3

11 | 61 | 71
21 | 51 | 81
31 | 41 | 91

nr7A | nr8A | nr9A
nr6A | nr5A | nr4A
nr1A | nr2A | nr3A

The left figure shows the default situation when using the dialog box. The Start corner is defined as the Lower Left corner and the labeling order is defined as Horizontal, line by line. The Start number and Step size are both 1.
The figure next to it (OutMap2) uses also a value 1 for the Starting number and the Step size. The labeling order is however defined as Vertical and the Start corner is the Upper Right corner.
In the third figure (OutMap3) the Start cell is defined as the Upper Left corner and the labeling order is Vertical Continued. Start number is 11 and Step size is 10.
The rightmost figure shows another example. In this figure labeling starts in the Lower Left corner, the ordering is Horizontal Continued and the Start number and Step size are both 1. Besides this, the characters 'nr' are used as prefix and 'A' is used as suffix.

Attribute table:

An existing attribute table with an ID domain can be directly linked to the output polygon map. However the ID to be assigned to each grid cell should be available in the ID domain of the attribute table. If the IDs in the domain do not exactly match with the IDs of the grid cells undefined values will be assigned to the cells during the labeling process. The figure below shows an example.

Attribute table

OutMap

ID | Nr. Elephants | Nr. Buffalo | Nr. Cattle | Nr...
nr1 | 0 | 53 | 22 | ....
nr2 | 22 | 50 | 34 | ....
nr3 | 24 | 80 | 45 | ....
nr5 | 34 | 50 | 70 | ....
nr6 | 45 | 20 | 22 | ....
nr9 | 12 | 15 | 21 | ....

nr1 | ? | ?
nr2 | nr5 | ?
nr3 | nr6 | nr9

See also:

ID Grid map : functionality


Attribute map of segment map

Functionality

Dialog box

Command line

Algorithm


Attribute map of segment map : functionality

Attribute map of segment map

Functionality

By creating an attribute map of a segment map, the class name or ID of each segment in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A segment map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the segment map or to its domain through the Properties dialog box of the map or the domain.

Example of creating an attribute map:

In the pictures below, an attribute map is created for the average discharge (m3/sec) in October for rivers C, L, and T.

Input map: | Attribute table:
Output attribute map: |

Input map requirements:

  • the input map needs to be a map with a domain of the Class or ID type;
  • the table, from which you want to choose a column, should use the same domain as the map;
  • the attribute table can be linked to the map or to its domain;
  • the attribute table should have one or more columns with attribute values, classes or IDs.

An attribute map can be created from any column with a value, class or ID domain, but not from a column using domain String.

Domain and coordinate system of output map:

The output map uses the same domain as the specified attribute column.

The output map uses the same coordinate system and coordinate boundaries as the input map.

Tips:

  1. This operation creates a permanent attribute map. To temporarily display an attribute map, you can select the option 'Attribute' in the Display Options dialog box when displaying a segment map.
  2. The colors and line widths in which an attribute map is displayed, depend on the domain of the specified attribute column:
    • if you used a domain Class attribute column and when this domain already has a user-defined representation, then this representation is automatically selected in the Display Options dialog box which appears when you display the attribute map. In the Display Options dialog box, you can also select another existing representation or create a new representation by clicking the create button.
    • if you used a domain Value attribute column, you can either select one of the standard value representations or create your own representation by clicking the create button in the Display Options dialog box which appears when you display the attribute map.
  3. You can also create attribute maps of raster maps, attribute maps of polygon maps and attribute maps of point maps.

See also:

Attribute map of segment map : dialog box

Attribute map of segment map : command line

Attribute map of segment map : algorithm


Attribute map of segment map : dialog box

Attribute map of segment map

Dialog box

By creating an attribute map of a segment map, each segment code in the original map is replaced by the value found in a certain column in the attribute table.

A segment map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the segment map or to its domain through the Properties dialog box of the map or the domain.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. The input map should be a domain Class or ID map.
Table: | By default, the attribute table linked to the selected input map or to its domain is shown. In case you want to use another table, select a table with the same domain as the input map from the list box.
Attribute: | Select an attribute column from the attribute table.
Output segment map: | Type a name for the output segment map that will contain the attribute values.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Attribute map of segment map : functionality


Attribute map of segment map : command line

Attribute map of segment map

Command line

The Attribute map of segment map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | SegmentMapAttribute(InputSegMapName, ColumnName)
OUTMAP | = | SegmentAttribute(InputSegMapName, TableName.ColumnName)

where:

OUTMAP | is the name of your output segment map.
SegmentMapAttribute | is the command to start the creation of an attribute map of a segment map.
InputPntMapName | is the name of your input segment map. For the first expression, the attribute table needs to be linked to the input map or its domain.
TableName | is the name of an attribute table. The attribute table should use the same domain as the input map but it does not need to be linked to the segment map or its domain.
ColumnName | is the name of an attribute column in the attribute table.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Attribute map of segment map : functionality


Attribute map of segment map : algorithm

Attribute map of segment map

Algorithm

The program scans the segment map segment by segment.

Each segment is copied to the output map while:

  • the original class name or ID of each segment in the input map is replaced with the attribute value that belongs to this class or ID as found in the attribute table.

Undefined values are assigned to an output segment:

  • if the segment name in the input map is undefined, or
  • if the class name, ID, or value in the selected attribute column is undefined.

See also:

Attribute map of segment map : functionality


Mask segments

Functionality

Dialog box

Command line

Algorithm


Mask segments : functionality

Mask segments

Functionality

The Mask Segments operation allows you to selectively copy segments of an input segment map into a new segment map. The user has to specify a mask to select and retrieve the class names, identifiers or values of segments that are to be copied.

By specifying a mask, you can search for segments with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those segments in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas.

Mask syntax:

  • search strings in a mask are compared with the classes, IDs or values of the domain of a map; when a map uses a class or ID domain and the classes or IDs have codes, the mask works on the codes and on the names and on the combination of codes and names,
  • to find/retrieve one specific class name, identifier or value: type that class name, ID or identifier in the mask,
  • to find/retrieve multiple class names, identifiers or values: separate the different class names, identifiers or values in the mask by commas (it does not matter whether you use spaces before or after a comma)
  • you can use asterisks as wild cards to replace zero or more characters in class names, IDs or values, for example road*,riv* or 1*,2*,3* , or even *25,*50,*75,*00, or A*b*,D*g*
  • you can use question marks as wild cards to replace single characters in class names, identifiers or values, for example Ab?,D?,Gl? or ?p,??i, or A*b??,D*g??
  • in a dialog box, you should not use quotes around class names, identifiers or values,
  • on the command line, you must use double quotes around the complete mask.

Examples:

  • When a segment map contains topographic features, and you want to copy the segments with class names 'river' and 'road'; use as mask: river,road
  • When a segment map contains pipe lines identified by IDs between 1000 and 9999, and you want to copy the segments with an ID that starts with a 1, e.g. IDs 1001, 1002, 1003, etc.; use as mask: 1*
  • When a segment map contains height values between 0 and 5000m, and you want to copy the segments with a height value between 1000 and 1500; use as mask: 10*,11*,12*,13*,14*,1500

For more information, see How to use masks.

Requirements for input segment map:

No special input map requirements.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input segment map.

The output segment map uses the same coordinate system and coordinate boundaries as the input segment map.

Tips:

  • This operation creates a new segment map. You can also display specific segments of a segment map in a map window without creating a new segment map: select the Mask check box on the Display Options dialog box of the segment map which appears when you open the segment map. Then, specify the mask, i.e. the class names, identifiers or values of the segments that you want to display.
  • To copy a certain area of a segment map into a new segment map, see Sub-map of segment map.
  • To combine two or more segment maps, see Glue segment maps.

See also:

Mask segments : dialog box

Mask segments : command line

Mask segments : algorithm


Mask segments : dialog box

Mask segments

Dialog box

The Mask Segments operation allows you to selectively copy segments of a segment map into a new segment map. The user has to specify a mask to select and retrieve the class names, identifiers or values of the segments that are to be copied. For more information, see Mask Segments : functionality and How to use masks.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
Mask: | Type (multiple) search strings to find the segments that you want to copy. For more information, see Mask Segments : functionality and How to use masks.
Output segment map: | Type a name for the output segment map that will contain the copied segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Mask segments : functionality


Mask segments : command line

Mask segments

Command line

The Mask Segments operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

SegmentMapMask(Input SegmentMap,"mask")

where:

OUTMAP | is the name of your output map.
SegmentMapMask | is the command to start the Mask Segments operation.
InputSegmentMap | is the name of the input segment map.
"mask" | are the (multiple) search strings to find the classes, IDs or values in the input map that you want to copy into the output map; on the command line, the total mask needs to be surrounded by double quotes.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Mask segments : functionality


Mask segments : algorithm

Mask segments

Algorithm

The Mask Segments operation simply copies those segments of the input map of which the name, code, or value matches one of the search strings specified in the mask into the output segment map.

See also:

Mask segments : functionality


Assign labels to segments

Functionality

Dialog box

Command line

Algorithm


Assign labels to segments : functionality

Assign labels to segments

Functionality

The Assign Labels to Segments operation can be used to recode segments in a segment map according to label points in a point map. For each label point, the closest segment is determined; then the class name, ID or value of the label point is assigned to that segment.

Input map requirements:

For the input segment map and the input point map there are no special requirements.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input point map.

The output segment map uses the same coordinate system and coordinate boundaries as the input segment map.

When the coordinate systems of the input maps are different (e.g. different projections) but compatible, the coordinates of the point map will be transformed to the coordinate system of the segment map.

Tips:

  • To create segment labels, you can use the Segments to Points operation.
  • To obtain the names, IDs or values of segments as text, it is advised to create an annotation text object and base it on your segment map. You can edit font, color, and position of the texts in the Annotation Text editor. For more information, see ILWIS objects : annotation text.

See also:

Assign labels to segments : dialog box

Assign labels to segments : command line

Assign labels to segments : algorithm


Assign labels to segments : dialog box

Assign labels to segments

Dialog box

The Assign Labels to Segments operation can be used to recode segments in a segment map according to label points in a point map. For each label point, the closest segment is determined; then the class name, ID or value of the label point is assigned to that segment.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
Label points: | Similarly, select an input point map.
Output segment map: | Type a name for the output segment map that will contain the recoded segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Assign labels to segments : functionality


Assign labels to segments : command line

Assign labels to segments

Command line

The Assign labels to segments operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP | = | SegmentMapLabels(InputSegmentMap,InputPointMap)
OUTMAP | = | SegmentMapLabels(InputSegmentMap,InputPointMap, setdomain)

where:

OUTMAP | is the name of your output segment map.
SegmentMapLabels | is the command to start the Assign labels to segments operation.
InputSegmentMap | is the name of the input segment map.
InputPointMap | is the name of the input point map.
setdomain | yes | no optional parameter to set the domain of the output map; is this parameter is not specified, the domain of the input segment map will be used for the output segment map.
yes | is an optional parameter to use the domain of the input point map as the domain for the output segment map.
no | is an optional parameter to use the domain of the input segment map as the domain for the output segment map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Assign labels to segments : functionality


Assign labels to segments : algorithm

Assign labels to segments

Algorithm

The Assign labels to segments operation copies the input segment map and assigns the undefined value to all segments. Next, for each label point, the closest segment is determined. Then the class name, ID or value of the label point is assigned to that segment.

If the input segment map and the input point map have a different but compatible coordinate system, a coordinate transformation is performed on the point map before the determination of which segment is closest to a point.

See also:

Assign labels to segments : functionality


Sub-map of segment map

Functionality

Dialog box

Command line

Algorithm


Sub-map of segment map : functionality

Sub-map of segment map

Functionality

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map.

The user has to specify minimum and maximum XY-coordinates for the new segment map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

The Sub-map of segment map operation allows you to change the coordinate boundaries of your segment map. The output segment map can be smaller than the input map, but it can also be larger.

  • If the output map is smaller than the input map, then input segments are clipped at the specified output coordinate boundaries and subsequently copied into the new output segment map.
  • If the output map is larger than the input map, all input segments are copied, and extra space is created around the segments of the original segment map.

Tip:

The Sub-map of segment map operation permanently reduces or enlarges the area covered by a segment map.

  • To temporarily reduce the area of a segment map, you can zoom in on the segment map in a map window. The result can be stored as a map view.
  • To temporarily enlarge the area of a segment map, i.e. to create white space around a segment map in a map window for annotation purposes, you can use the Extend Window command on the Options menu in the map window, or you can zoom in on the segment map and drag a rectangle partly outside the map window. This result can also be stored as a map view.

Requirements for input segment map:

No special input map requirements.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input segment map.

The output segment map uses the same coordinate system as the input segment map; the coordinate boundaries for this output segment map are user-defined (XY-coordinates or LatLon-coordinates).

Tips:

  • To selectively copy segments with a specific code from one segment map into a new segment map, see Mask segments.
  • To combine two or more segment maps into one output map, use the Glue segment maps operation; for each input map, a mask can be specified, furthermore the coordinate boundaries for the output map can be specified.
  • The coordinate boundaries of a segment map can also be adapted from within the segment editor, see Segment editor : Boundaries of map.

See also:

Sub-map of segment map : dialog box

Sub-map of segment map : command line

Sub-map of segment map : algorithm


Sub-map of segment map : dialog box

Sub-map of segment map

Dialog box

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map. The user has to specify minimum and maximum XY-coordinates for the new segment map.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
MinX, MinY: | Type the minimum X-coordinate and the minimum Y-coordinate for the output map, i.e. the XY-coordinate for the lower left corner of the output map.
MaxX, MaxY: | Type the maximum X-coordinate and the maximum Y-coordinate for the output map, i.e. the XY-coordinate for the upper right corner of the output map.
 | If the selected input segment map uses a coordinate system of type latlon, then specify the coordinates for the output map as Min Latitude, Min Longitude (lower left), Max Latitude and Max Longitude (upper right) in degrees, minutes, and seconds, N or S, and E or W.
Output segment map: | Type a name for the output segment map that will contain the copied segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Sub-map of segment map : functionality


Sub-map of segment map : command line

Sub-map of segment map

Command line

The sub-map of segment map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | SegmentMapSubMap(InputSegmentMap, minX, minY, maxX, maxY)
OUTMAP | = | SegmentMapSubMap(InputSegmentMap, minLon, minLat, maxLon, maxLat)

where:

OUTMAP | is the name of your output segment map.
SegmentMapSubMap | is the command to start the sub-map of segment map operation.
InputSegmentMap | is the name of the input segment map.
minX | minimum X-coordinate of output segment map, i.e. X-coordinate of lower left corner (real number).
minY | minimum Y-coordinate of output segment map, i.e. Y-coordinate of lower left corner (real number).
maxX | maximum X-coordinate of output segment map, i.e. X-coordinate of upper right corner (real number).
maxY | maximum Y-coordinate of output segment map, i.e. Y-coordinate of upper right corner (real number).
When the coordinate system of the input segment map is a coordinate system of type latlon:
minLon | minimum Longitude of output segment map, i.e. Longitude of lower left corner (real number, signed decimal degrees). Use a - sign when working in the Western hemisphere.
minLat | minimum Latitude of output segment map, i.e. Longitude of lower left corner (real number, signed decimal degrees). Use a - sign when working on the Southern hemisphere.
maxLon | maximum Longitude of output segment map, i.e. Longitude of upper right corner (real number, signed decimal degrees).
maxLat | maximum Latitude of output segment map, i.e. Latitude of upper right corner (real number, signed decimal degrees).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Sub-map of segment map : functionality


Sub-map of segment map : algorithm

Sub-map of segment map

Algorithm

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map.

The user has to specify minimum and maximum XY-coordinates for the output segment map. When the input map uses a coordinate system of type latlon, the user has to specify minimum and maximum Latitudes and Longitudes for the output segment map. The specified minimum and maximum coordinates define the so-called clipping rectangle.

Then:

  • Segments that entirely fall within the clipping rectangle are copied to the output map without modifications;
  • Segments that have one intersection with the clipping rectangle, obtain a node at the intersection, and then the parts within the clipping rectangle are copied into the new output map;
  • Segments that have more than one intersection with the clipping rectangle, obtain nodes at each intersection, and then the parts within the clipping area are copied as multiple segments into the output map.
  • Segments that completely fall outside the clipping rectangle are not copied.

See also:

Sub-map of segment map : functionality


Glue segment maps

Functionality

Dialog box

Command line

Algorithm


Glue segment maps : functionality

Glue segment maps

Functionality

The Glue segment maps operation glues or merges two or more segment maps into one output segment map. You can thus merge for instance segment maps that were digitized as separate segment maps from different map sheets.

By default, the operation copies all segments of the input maps into the output map. You can also specify a mask to select and retrieve the class names, IDs or values of the segments that are to be copied into the output map. For more information on how to use a mask, see also Mask segments : functionality.

By default, the operation finds the minimum and maximum X and Y coordinates used in the input maps and creates from this the coordinate boundaries for the output map. The output map thus comprises the total area of all input maps. You can also define the coordinate boundaries of the output map yourself, by specifying a so-called 'clip boundary'. Then, all segments of the input maps that fall within these coordinates are copied.

When the input segment maps have attribute tables, also the tables will be automatically merged; for more information see the Glue tables operation.

Input map requirements:

All input segment maps should be of the same domain type, i.e. two or more Class maps, two or more ID maps, or two or more Value maps. The contents of the input domains does not necessarily need to be the same. For more information, see the section Domain of output map below.

Furthermore, the input segment maps should have the same or a compatible coordinate system; input segment maps may not use coordinate system Unknown.

Domain of output map:

  • When combining segment maps with a Value domain, the output map always uses the system Value domain. The value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is determined by the smallest precision of the input maps.
  • When combining segment maps with the same Class domain, the output map also uses this Class domain.
    In case the class names in the input domains are different, both domains are merged into a new domain, and the output domain then contains all domain items, i.e. all classes, and the output map thus shows both input maps with their original class names. The new domain is either stored as a separate object, or is stored by the output map (internal domain).
  • When combining segment maps with ID domains, the same procedure is followed as for Class maps but the output domain is an ID domain.

Coordinate system of output map:

The output segment map uses the coordinate system of the first input map. The coordinate boundaries for the output map are determined from all input maps or are as specified by the user. When the coordinate systems of the input maps are different (e.g. different projections) but compatible, the coordinates will be transformed to the coordinate system of the first input map.

Tips:

  • This operation has similar functionality as the CopySeg program in ILWIS 1.4.
  • When merging segments of different map sheets into one output segment map, segments that are supposed to continue in two or more sheets are not automatically connected to each other. When you break the dependency links of the output map in the Properties dialog box of the output map, you can edit the output map in the Segment editor using the Move Points and Split/Merge mode.
  • For more information on internal domains and representations, see How to open internal domains/representations.

See also:

Glue segment maps : dialog box

Glue segment maps : command line

Glue segment maps : algorithm


Glue segment maps : dialog box

Glue segment maps

Dialog box

The Glue segment maps operation glues or merges two or more segment maps into one output map. By default, the output segment map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can further specify a mask to select and retrieve the class names, IDs or values of the segments that are to be copied into the output map. The user can also specify a clip boundary, to copy only those segments to the output map which fall within the specified coordinate boundaries of the output map.

In the dialog box, the number of input segment maps is limited to four. On the command line, this limitation is not present.

Dialog box options:

Number of input maps:

Select the number of segment maps that you want to glue or merge together (2, 3, or 4).

Input map names:

Select the input segment maps. You can always glue segment maps of the same domain type. For more information on mergeable domain types, see Glue segment maps : functionality.

Masks:

Type for each segment map (multiple) search strings to find the segments that you want to be copied into the output map. By default, all segments of all input maps are copied. For more information on masks, see Mask points : functionality or How to use masks.

Clip boundary:

Select this check box if you want to limit or extend the area comprised by the output map: specify the coordinate boundaries for the output map yourself. Clear this check box if the output map should comprise the whole area of all input maps.

MinX, MinY:

Type the minimum X-coordinate and the minimum Y-coordinate for the output map.

MaxX, MaxY:

Type the maximum X-coordinate and the maximum Y-coordinate for the output map.

New domain:

When merging Class or ID maps that do not use the same domain, select this check box if you want to store the output domain as a separate object (recommended). Subsequently, type a name for the new domain.

Clear this check box to obtain an output Class or ID domain which is stored by the output map (internal domain).

Output segment map:

Type a name for the output segment map that will contain the copied segments.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

If specified, also a new domain is created.

See also:

Glue segment maps : functionality


Glue segment maps : command line

Glue segment maps

Command line

The Glue segment maps operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | SegmentMapGlue(InputSegmentMap1, "mask1", InputSegmentMap2, "mask2")
OUTMAP | = | SegmentMapGlue(InputSegmentMap1, "mask1", InputSegmentMap2, "mask2", NewDomain)
OUTMAP | = | SegmentMapGlue(InputSegmentMap1, "mask1", InputSegmentMap2, "mask2", InputSegmentMap3, "mask3")

etc.

OUTMAP | = | SegmentMapGlue(minX, minY, maxX, maxY, InputSegmentMap1, "mask1", InputSegmentMap2, "mask2")
OUTMAP | = | SegmentMapGlue(minX, minY, maxX, maxY, InputSegmentMap1, "mask1", InputSegmentMap2, "mask2", NewDomain)
OUTMAP | = | SegmentMapGlue(minX, minY, maxX, maxY, InputSegmentMap1, "mask1", InputSegmentMap2, "mask2", InputSegmentMap3, "mask3")

etc.

where:

OUTMAP | is the name of your output segment map.
SegmentMapGlue | is the command to start the Glue segment map operation.
InputSegmentMap1 | is the name of the first input segment map.
InputSegmentMap2 | is the name of the second segment map.
InputSegmentMap3 | is the name of the third segment map (optional).
mask1 | are the (multiple) search strings to find the classes, IDs or values of the segments in the first input map that you want to copy into the output map; on the command line, the total mask for each input map needs to be surrounded by double quotes. To copy all segments, use as mask: "*".
mask2 | are the (multiple) search strings to find the classes, IDs or values of the segments in the second input map that you want to copy into the output map.
mask3 | are the (multiple) search strings to find the classes, IDs or values of the segments in the third input map that you want to copy into the output map.
minX | minimum X-coordinate of output segment map (real number).
minY | minimum Y-coordinate of output segment map (real number).
maxX | maximum X-coordinate of output segment map (real number).
maxY | maximum Y-coordinate of output segment map (real number).
NewDomain | is an optional parameter, when merging Class or ID maps that do not have the same domain, to specify a name for the new output domain in which all input domain items will be merged. When input Class or ID domains are not the same and this parameter is not specified, the new output domain in which all input domain items are merged will be stored by the output map (internal domain).

On the command line, you can specify as many input segment maps and their masks as you like; i.e. you can merge as many segment maps as you like. When using the dialog box of this operation, only two, three or four input maps can be merged at a time.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. When Class or ID maps are merged that do not have the same domain, and the NewDomain parameter is used, a new output domain is also created.

See also:

Glue segment maps : functionality


Glue segment maps : algorithm

Glue segment maps

Algorithm

The Glue segment maps operation glues or merges two or more segment maps into one output segment map. By default, the output map then comprises the area of all input maps. The domains of the input maps are merged when needed.

Rules:

To copy segment from the input maps into the output map, the following rules are applied:

  • the class names, IDs or values of the input segments must match the specified mask, and
  • the input segments must at least partially fall within the specified clip boundary (also called clipping rectangle):
    • segments that entirely fall within the clipping rectangle are copied to the output map without modifications;
    • segments that have one intersection with the clipping rectangle, obtain a node at the intersection, and then the parts within the clipping rectangle are copied into the new output map;
    • segments that have more than one intersection with the clipping rectangle, obtain nodes at each intersection, and then the parts within the clipping area are copied as multiple segments into the output map.

By default, all segments are copied into the output map.

By default, coordinate boundaries for the output map are determined from the coordinate boundaries of all input maps. When the coordinate systems of the input maps are different but compatible, the segment coordinates will be transformed to the coordinate system of the first input map.

Output domain:

  • When merging two maps with the same domain, the output map will also use that domain.
  • When merging Value maps, the value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is determined by the smallest precision of all input maps.
  • When merging Class maps or ID maps that do not have the same domain, a new output domain is created which contains all domain items, i.e. all classes. The new domain is either stored as a separate object, or is stored by the output map (internal domain).

See also:

Glue segment maps : functionality


Densify segment coordinates

Functionality / Algorithm

Dialog box

Command line


Densify segment coordinates : functionality / algorithm

Densify segment coordinates

Functionality / Algorithm

The Densify segment coordinates operation allows you to obtain more intermediate coordinates within segments. The segments of an input map are copied, and extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

Increasing the number of intermediate points within segments is useful when you want to transform segments with the Transform segments operation. As the Transform segments operation will only transform the coordinates of nodes and of intermediate coordinates within segments, the shapes of the segments will be better preserved during the transformation when there are more intermediate points within the input segments.

You can also choose to use the Densify coordinates option within the Transform segments and the Transform Polygons operations.

Requirements for input segment map:

No special input map requirements.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input segment map.

The output segment map uses the same coordinate system and the same coordinate boundaries as the input segment map.

Algorithm:

All nodes and existing intermediate coordinates within segments of the input map are copied into the output map. Extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

See also:

Densify segment coordinates : dialog box

Densify segment coordinates : command line

Transform segment map : functionality / algorithm

Transform polygon map : functionality / algorithm


Densify segment coordinates : dialog box

Densify segment coordinates

Dialog box

The Densify segment coordinates operation allows you to obtain more intermediate coordinates within segments. The segments of an input map are copied, and extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

You can use the Densify segment coordinates operation separately before a Transform segments operation, but you can also use the Densify coordinates option within the Transform segments or the Transform polygons operations.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
Distance: | Type a value for the distance interval (in meters) at which you want to obtain extra intermediate coordinates within segments.
Output segment map: | Type a name for the output segment map that will contain the copied segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Densify segment coordinates : functionality / algorithm


Densify segment coordinates : command line

Densify segment coordinates

Command line

The Densify segment coordinates operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

SegmentMapDensifyCoords(InputSegmentMap, distance)

where:

OUTMAP

is the name of your output segment map.

SegmentMapDensifyCoords

 | is the command to start the Densify segment coordinates operation.
InputSegmentMap | is the name of the input segment map.
distance | is the distance interval (in meters) at which new coordinates should be inserted in segments; real value > 0.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Densify segment coordinates : functionality / algorithm


Tunnel segments

Functionality / Algorithm

Dialog box

Command line


Tunnel segments : functionality/algorithm

Tunnel segments

Functionality / Algorithm

The Tunnel segments operation reduces the amount of intermediate points within segments in a segment map. The segments of the input map are copied into a new segment map. However, for every three consecutive intermediate points within a segment, the middle one is omitted if it falls within a user-defined tunnel-width. Redundant nodes can also be removed.

Tunnelling:

In a segment map, each segment is stored as a begin node, an end node and usually one or more intermediate coordinates. Tunnelling (see Figure 1) constructs a tunnel around 3 points within a segment at a time. Each time, it is determined whether the middle coordinate falls inside the tunnel or not:

  • if the middle coordinate falls outside the tunnel it will be copied into the output map, and the next tunnel will start from this point;
  • if the middle coordinate falls inside the tunnel, it will not be copied to the output map. This results in a straight line between the first and the third point. The next tunnel will then start from the third point.

The tunnel has a user-defined width in meters.

Fig. 1: Tunnelling: The first tunnel is constructed around node 1, and intermediate coordinates 2 and 3. Intermediate coordinate 2 falls outside the tunnel and thus remains. The second tunnel is constructed around intermediate coordinates 2, 3, and 4. Intermediate coordinate 3 falls inside the tunnel and is thus omitted. Now that point 3 is omitted, the next tunnel will be constructed around intermediate coordinates 4, 5, and 6 (point 6 is not in this picture).

Note:

When you use an extremely large tunnel width, all intermediate points between begin and end nodes may be deleted. The output map may then contain only straight lines between your begin and end nodes.

Removing superfluous nodes:

Nodes form the beginning and end points of segments. Two or more segments are connected to each other when they share a node.

In the special case that only 2 segments with the same code are connected to each other by a node, this node is not necessary, as one segment going through all the points of both segments would do. With the Tunnel segment operation, you can remove these superfluous nodes; segment codes will remain the same.

Input map requirements:

No special input map requirements.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input segment map.

The output segment map uses the same coordinate system and the same coordinate boundaries as the input segment map.

Tips:

  • To insert more intermediate coordinates within segments, use the Densify segment coordinates operation.
  • You can also remove redundant nodes in the Segment editor, but there, any node between 2 segments is deleted regardless of the codes of these segments. The Segment editor option will thus find and remove more redundant nodes, but codes of resulting segments may get changed.

See also:

Tunnel segments : dialog box

Tunnel segments : command line


Tunnel segments : dialog box

Tunnel segments

Dialog box

The Tunnel segments operation reduces the amount of intermediate points within segments in a segment map. The segments of the input map are copied into a new segment map. However, for every three consecutive intermediate points within a segment, the middle one is omitted if it falls within a user-defined tunnel-width. Redundant nodes can also be removed.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
Tunnel width: | Type a value for the tunnel width in meters (real value >= 0). If a tunnel width of 0 is specified, no tunnelling is performed. For more information, see also Tunnel segments : functionality.
Remove superfluous nodes: | Select this check box if you want to remove superfluous nodes from the segment map (recommended). Clear this check box if you want all existing nodes to remain.
Output segment map: | Type a name for the output segment map that will contain the copied segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Tunnel segments : functionality


Tunnel segments : command line

Tunnel segments

Command line

The Tunnel segments operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

SegmentMapTunneling(InputSegmentMap, tunnel width, remove nodes)

where:

OUTMAP | is the name of your output segment map.
SegmentMapTunneling | is the command to start the Tunnel segments operation.
InputSegmentMap | is the name of the input segment map.
tunnel width | is the width of the tunnel in meters; real value >= 0; when a tunnel width of 0 is specified, no tunnelling is performed.
remove nodes | remove superfluous nodes or not: yes | no

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Tunnel segments : functionality


Transform segment map

Functionality / Algorithm

Dialog box

Command line


Transform segment map : functionality/algorithm

Transform segment map

Functionality / Algorithm

The Transform segment map operation transforms the coordinates of segments in a segment map from the map's current coordinate system to another target coordinate system. You can choose whether segment coordinates should be densified before the transformation takes place.

A transformation can only be performed between compatible coordinate systems. You can:

  • transform a segment map with a coordinate system projection with a certain projection, ellipsoid and/or datum to another coordinate system projection with a different projection, ellipsoid and/or datum;
  • transform a segment map with a coordinate system projection with a certain projection, ellipsoid and/or datum to a coordinate system latlon with a certain ellipsoid and/or datum (and vice versa);
  • transform a segment map with a coordinate system latlon with a certain ellipsoid and/or datum to another coordinate system latlon with a different ellipsoid and/or datum;
  • transform a segment map with a coordinate system formula to the 'related coordinate system' of this coordinate system formula (and vice versa);
  • transform a segment map with a coordinate system tiepoints to the 'related coordinate system' of this coordinate system tiepoints (and vice versa).

Furthermore:

  • when in a coordinate system an ellipsoid is not specified, then a sphere is assumed, and
  • when in either of the 2 coordinate systems a datum is not specified, then the same datum is assumed.

For more information on coordinate system types, see ILWIS objects : coordinate systems.

In general, the operation can be used:

  • to integrate data which are obtained from different sources and when these data are in different projections,
  • to present data or results in a more appropriate projection.

Preparations for using a coordinate system projection:

  • When you want to integrate data of different projections, first think of the most suitable projection in which you can do your analysis. You can either:
    • transform your maps to one existing coordinate system; select this existing coordinate system as the target coordinate system during Transform operations.
    • first create a new coordinate system, specify projection information, and then transform all your maps to that new coordinate system.
  • When you want to present data in other projections, you can generally first create a number of new coordinate systems (using File, Create, or by clicking the create button in the dialog box of a Transform operation) and then transform your map to these new coordinate systems. During the Transform operations, specify a different output map name for each selected target coordinate system.
    For presentation purposes, you can also interactively change the coordinate system as used by maps displayed in a map window. For more information, see the tips below.

For more information on available projections, refer to the Select Projection dialog box.

Densify coordinates:

During a transformation, straight lines which are simply defined by a start node and an end node will always remain straight as only the coordinates of the begin and end node will be transformed.

Segments however generally consist of a start node and an end node and many intermediate points in between. Then, it is strongly advised to increase the number of intermediate points in all segments by using the Densify Coordinates option during the Transform operation, and specify a distance interval at which intermediate points should be inserted. By using the Densify Segments option, the shape of segments will be better preserved during the transformation.

For more information, see Densify segment coordinates operation.

Input map requirements:

A transformation is only possible between:

  • a coordinate system projection with a known projection, ellipsoid, and/or datum, and
    • another coordinate system projection with another projection, ellipsoid, and/or datum, or
    • a coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system latlon with a known ellipsoid and/or datum, and
    • another coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system formula, and
    • the 'related coordinate system' of this coordinate system formula, or
  • a coordinate system tiepoints, and
    • the 'related coordinate system' of this coordinate system tiepoints.

In each of these combinations, one coordinate system is the current coordinate system of the segment map, and the other is the selected target coordinate system.

Domain and coordinate system of output map:

The output segment map uses the same domain as the input segment map.

The output segment map uses the selected target coordinate system; the coordinate boundaries of the output map will be the transformed coordinate boundaries of the input map.

Tips:

  1. To see the effect of using different projections, it is advisable to display the input map in a map window and the output maps in other map windows; then add a graticule to the map windows; open the Layers menu and select the Add Annotation, Graticule command.
  2. The Transform operations permanently change the projection of your map(s), i.e. for analysis and calculation purposes.

    3. To temporarily view map(s) which are displayed in a map window in another projection, i.e. for presentation purposes, you can:

    • create a coordinate system in which you already specify some projection information,
    • display your map(s) in a map window,
    • drag your new coordinate system to the map window, or choose the Coordinate System command from the Options menu in the map window and subsequently select another coordinate system.

    The contents of the map window will be displayed in the new projection. Projection information of the coordinate system as currently used by the map window can be refined by choosing the Coordinate System command from the Edit menu in the map window. Thus, you do not need to use a Transform operation.

Algorithm:

The XY-coordinates of the segments of the input map are copied, and then transformed.

  • When both the input coordinate system and the target coordinate system have the same ellipsoid and datum information, then the transformations are calculated via geographic coordinates; i.e. from XY (input) to f, l (LatLon) to XY (target).
  • When in the input coordinate system and the target coordinate system, ellipsoid and datum information is different, then Molodensky formulas are used to calculate the ellipsoidal transformations and datum shifts, i.e. from XY (input) to f, l (input) to f, l (target) to XY (target).

Finally, new segment lengths are calculated.

See also:

Transform segment map : dialog box

Transform segment map : command line

ILWIS objects : coordinate systems

Create coordinate system (dialog box)

Edit coordinate system (dialog box)

Select projection (dialog box)

Select ellipsoid (dialog box)

Select datum (dialog box)


Transform segment map : dialog box

Transform segment map

Dialog box

The Transform segment map operation transforms the coordinates of segments in a segment map from the map's current coordinate system to another target coordinate system. You can choose whether segment coordinates should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible. For more information, refer to Transform segment map : functionality/algorithm.

Dialog box options:

Input segment map:

Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box.

For your information, when you have selected a segment map, a text line will appear showing the name and type of the coordinate system that is used by the input segment map. This is the coordinate system from which you will transform coordinates from.

Densify coordinates:

Select this check box if you wish to densify the intermediate points in the segments before the transformation will take place. This may ensure better shapes of segments in the output map.

Distance (m):

Type a value for the distance interval at which intermediate points should be inserted.

Output segment map:

Type a name for the output segment map that will contain the transformed segments.

Coordinate system:

Select an existing target coordinate system or create a new coordinate system by using the create button. This is the coordinate system to which you will transform the coordinates of your input map to.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Transform segment map : functionality / algorithm

Densify segment coordinates : functionality / algorithm


Transform segment map : command line

Transform segment map

Command line

The Transform segment map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | SegmentMapTransform(InputSegmentMap, TargetCoordSys)
OUTMAP | = | SegmentMapTransform(InputSegmentMap, TargetCoordSys, interval)

where:

OUTMAP | is the name of your output segment map.
SegmentMapTransform | is the command to start the Transform Segment Map operation.
InputSegmentMap | is the name of the input segment map. The coordinate system of the input segment map is the coordinate system from which you will transform.
TargetCoordSys | is the name of your target coordinate system; this is the coordinate system to which you will transform.
interval | is an optional parameter to densify segment coordinates before the transformation will take place; specify the distance interval at which additional intermediate points should be inserted in your segments (real value > 0).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Transform segment map : functionality / algorithm


Attribute map of point map

Functionality

Dialog box

Command line

Algorithm


Attribute map of point map : functionality

Attribute map of point map

Functionality

By creating an attribute map of a point map, the class name or ID of each point in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A point map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the point map or to its domain through the Properties dialog box of the map or the domain.

Example of creating an attribute map:

In the pictures below, an attribute map is created for the average monthly rainfall (mm) for stations A, B, and C.

Input map: | Attribute table:
Output attribute map: |

Input map requirements:

  • the input map needs to be a map with a domain of the Class or ID type;
  • the table, from which you want to choose a column, should use the same domain as the map;
  • the attribute table can be linked to the map or to its domain;
  • the attribute table should have one or more columns with attribute values, classes or IDs.

An attribute map can be created from any column with a value, class or ID domain, but not from a column using domain String.

Domain and coordinate system of output map:

The output map uses the same domain as the specified attribute column.

The output map uses the same coordinate system and coordinate boundaries as the input map.

Tips:

  1. This operation creates a permanent attribute map. To temporarily display an attribute map, you can select the option 'Attribute' in the Display Options dialog box when displaying a point map.
  2. The colors and symbols in which an attribute map is displayed, depend on the domain of the specified attribute column:
    • if you used a domain Class attribute column and when this domain already has a user-defined representation, then this representation is automatically selected in the Display Options dialog box which appears when you display the attribute map. In the Display Options dialog box, you can also select another existing representation or create a new representation by clicking the create button.
    • if you used a domain Value attribute column, you can either select one of the standard value representations or create your own representation by clicking the create button in the Display Options dialog box which appears when you display the attribute map.
  3. You can also create attribute maps of raster maps, attribute maps of polygon maps and attribute maps of segment maps.

See also:

Attribute map of point map : dialog box

Attribute map of point map : command line

Attribute map of point map : algorithm


Attribute map of point map : dialog box

Attribute map of point map

Dialog box

By creating an attribute map of a point map, the class name or ID of each point in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A point map using a domain Class or ID, can have extra attribute information on the classes or identifiers in the map. These attributes are stored as columns in an attribute table. You can check whether an attribute table is linked to the point map or to its domain through the Properties dialog box of the map or the domain.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. The input map should be a domain Class or ID map.
Table: | By default, the attribute table linked to the selected input map or to its domain is shown. In case you want to use another table, select a table with the same domain as the input map from the list box.
Attribute: | Select an attribute column from the attribute table.
Output point map: | Type a name for the output point map that will contain the attribute values.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Attribute map of point map : functionality


Attribute map of point map : command line

Attribute map of point map

Command line

The Attribute map of point map operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PointMapAttribute(InputPntMapName, ColumnName)
OUTMAP | = | PointMapAttribute(InputPntMapName, TableName.ColumnName)

where:

OUTMAP | is the name of your output point map.
PointMapAttribute | is the command to start the creation of an attribute map of a point map.
InputPntMapName | is the name of your input point map. For the first expression, the attribute table needs to be linked to the input map or its domain.
TableName | is the name of an attribute table. The attribute table should use the same domain as the input map but it does not need to be linked to the point map or its domain.
ColumnName | is the name of an attribute column in the attribute table.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Attribute map of point map : functionality


Attribute map of point map : algorithm

Attribute map of point map

Algorithm

The program scans the point map point by point.

Each point is copied to the output map while:

  • the original class name or ID of each point in the input map is replaced with the attribute value that belongs to this class or ID as found in the attribute table.

Undefined values are assigned to an output point:

  • if the point name in the input map is undefined, or
  • if the class name, ID, or value in the selected attribute column is undefined.

See also:

Attribute map of point map : functionality


Mask points

Functionality

Dialog box

Command line

Algorithm


Mask points : functionality

Mask points

Functionality

The Mask Points operation allows you to selectively copy points of an input point map into a new output point map. The user has to specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied.

By specifying a mask, you can search for points with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those points in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas.

Mask syntax:

  • search strings in a mask are compared with the classes, IDs or values of the domain of a map; when a map uses a class or ID domain and the classes or IDs have codes, the mask works on the codes and on the names and on the combination of codes and names,
  • to find/retrieve one specific class name, identifier or value: type that class name, ID or identifier in the mask,
  • to find/retrieve multiple class names, identifiers or values: separate the different class names, identifiers or values in the mask by commas (it does not matter whether you use spaces before or after a comma)
  • you can use asterisks as wild cards to replace zero or more characters in class names, IDs or values, for example road*,riv* or 1*,2*,3* , or even *25,*50,*75,*00, or A*b*,D*g*
  • you can use question marks as wild cards to replace single characters in class names, identifiers or values, for example Ab?,D?,Gl? or ?p,??i, or A*b??,D*g??
  • in a dialog box, you should not use quotes around class names, identifiers or values,
  • on the command line, you must use double quotes around the complete mask.

Examples:

  • When a point map contains topographic features, and you want to copy points with class names ‘city’ and ‘mountain peak’; use as mask: city, mountain peak
  • When a point map contains bore holes identified by IDs between 100 and 999, and you want to copy the points with an ID that starts with a 1, e.g. IDs 101, 102, 103, etc.; use as mask: 1*
  • When a point map contains information on precipitation in milimeters, and you want to copy the points with a precipitation between 400 and 600; use as mask: 4*,5*,6*

For more information, see How to use masks.

Requirements for input point map:

No special input map requirements.

Domain and coordinate system of output map:

The output point map uses the same domain as the input point map.

The output point map uses the same coordinate system and coordinate boundaries as the input point map.

Tip:

  • This operation creates a new point map. You can also display specific points of a point map in a map window without creating a new point map: select the Mask check box on the Display Options dialog box of the point map which appears when you open the point map. Then, specify the mask, i.e. the class names, identifiers or values of the points that you want to display.
  • To copy a certain area of a point map into a new point map, see Sub-map of point map.

See also:

Mask points : dialog box

Mask points : command line

Mask points : algorithm


Mask points : dialog box

Mask points

Dialog box

The Mask Points operation allows you to selectively copy points of an input point map into a new output point map. The user has to specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied. For more information, see Mask Points : functionality and How to use masks.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. No special input map requirements.
Mask: | Type (multiple) search strings to find the points that you want to copy. For more information, see Mask Points : functionality and How to use masks.
Output point map: | Type a name for the output point map that will contain the copied points.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Mask Points : functionality


Mask points : command line

Mask points

Command line

The Mask Points operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

PointMapMask(Input PointMap,"mask")

where:

OUTMAP | is the name of your output point map.
PointMapMask | is the command to start the Mask Points operation.
InputPointMap | is the name of the input point map.
"mask" | are the (multiple) search strings to find the classes, IDs or values in the input map that you want to copy into the output map; on the command line, the total mask needs to be surrounded by double quotes.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Mask Points : functionality


Mask points : algorithm

Mask points

Algorithm

The Mask Points operation simply copies those points of the input map of which the name, code, or value matches one of the search strings specified in the mask into the output point map.

See also:

Mask Points : functionality


Sub-map of point map

Functionality

Dialog box

Command line

Algorithm


Sub-map of point map : functionality

Sub-map of point map

Functionality

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map.

The user has to specify minimum and maximum XY-coordinates for the new point map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

This operation allows to change the coordinate boundaries of your point map. The output point map can be smaller than the input map, but it can also be larger.

  • If the output map is smaller than the input map, then only the points within the rectangle of the specified output coordinates are copied into the new output point map.
  • If the output map is larger than the input map, all input points are copied, and extra space is created around the points of the original point map.

Tip:

The Sub-map of point map operation permanently reduces or enlarges the area covered by a point map.

  • To temporarily reduce the area of a point map, you can zoom in on the point map in a map window. The result can be stored as a map view.
  • To temporarily enlarge the area of a point map, i.e. to create white space around a point map in a map window for annotation purposes, you can use the Extend Window command on the Options menu in the map window, or you can zoom in on the point map and drag a rectangle partly outside the map window. The result can also be stored as a map view.

Requirements for input point map:

No special input map requirements.

Domain and coordinate system of output map:

The output point map uses the same domain as the input point map.

The output point map uses the same coordinate system as the input point map; the coordinate boundaries for this output point map are user-defined (XY-coordinates or LatLon-coordinates).

Tips:

  • To selectively copy points with a specific code from one point map into a new point map, see Mask points.
  • To combine two or more point maps into one output map, use the Glue point maps operation; for each input map, a mask can be specified, furthermore the coordinate boundaries for the output map can be specified.
  • The coordinate boundaries of a point map can also be adapted from within the point editor, see Point editor : Boundaries of map.

See also:

Sub-map of point map : dialog box

Sub-map of point map : command line

Sub-map of point map : algorithm


Sub-map of point map : dialog box

Sub-map of point map

Dialog box

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map. The user has to specify minimum and maximum XY-coordinates for the new point map.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. No special input map requirements.
MinX, MinY: | Type the minimum X-coordinate and the minimum Y-coordinate for the output map, i.e. the XY-coordinate for the lower left corner of the output map.
MaxX, MaxY: | Type the maximum X-coordinate and the maximum Y-coordinate for the output map, i.e. the XY-coordinate for the upper right corner of the output map.
 | If the selected input point map uses a coordinate system of type latlon, then specify the coordinates for the output map as Min Latitude, Min Longitude (lower left), Max Latitude and Max Longitude (upper right) in degrees, minutes, and seconds, N or S, and E or W.
Output point map: | Type a name for the output point map that will contain the copied points.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Sub-map of point map : functionality


Sub-map of point map : command line

Sub-map of point map

Command line

The sub-map of point map operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP | = | PointMapSubMap(InputPointMap, minX, minY, maxX, maxY)
OUTMAP | = | PointMapSubMap(InputPointMap, minLon, minLat, maxLon, maxLat)

where:

OUTMAP | is the name of your output point map.
PointMapSubMap | is the command to start the sub-map of point map operation.
InputPointMap | is the name of the input point map.
minX | minimum X-coordinate of output point map, i.e. X-coordinate of lower left corner (real number).
minY | minimum Y-coordinate of output point map, i.e. Y-coordinate of lower left corner (real number).
maxX | maximum X-coordinate of output point map, i.e. X-coordinate of upper right corner (real number).
maxY | maximum Y-coordinate of output point map, i.e. Y-coordinate of upper right corner (real number).
When the coordinate system of the input point map is a coordinate system of type latlon:
minLon | minimum Longitude of output point map, i.e. Longitude of lower left corner (real number, signed decimal degrees). Use a - sign when working in the Western hemisphere.
minLat | minimum Latitude of output point map, i.e. Longitude of lower left corner (real number, signed decimal degrees). Use a - sign when working on the Southern hemisphere.
maxLon | maximum Longitude of output point map, i.e. Longitude of upper right corner (real number, signed decimal degrees).
maxLat | maximum Latitude of output point map, i.e. Latitude of upper right corner (real number, signed decimal degrees).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Sub-map of point map : functionality


Sub-map of point map : algorithm

Sub-map of point map

Algorithm

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map.

The user has to specify minimum and maximum XY-coordinates for the output point map. When the input map uses a coordinate system of type latlon, the user has to specify minimum and maximum Latitudes and Longitudes for the output point map.

Then:

  • all points of the input map that fall within the output coordinate rectangle are copied to the output point map;
  • points of the input map that fall outside the coordinate rectangle are not copied into the output point map.

See also:

Sub-map of point map : functionality


Glue point maps

Functionality

Dialog box

Command line

Algorithm


Glue point maps : functionality

Glue point maps

Functionality

The Glue point maps operation glues or merges two or more point maps into one output point map. You can thus merge for instance point maps that were digitized as separate point maps from different map sheets.

By default, the operation copies all points of the input maps into the output map. You can also specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied into the output map. For more information on how to use a mask, see also Mask points : functionality.

By default, the operation finds the minimum and maximum X and Y coordinates used in the two, three or four different input maps and creates from this the coordinate boundaries for the output map. The output map thus comprises the total area of all input maps.

You can also define the coordinate boundaries of the output map yourself, by specifying a so-called 'clip boundary'. Then, all points of the input maps that fall within these coordinates are copied.

When the input point maps have attribute tables, also the tables will be automatically merged; for more information see the Glue tables operation.

Input map requirements:

All input point maps should be of the same domain type; i.e. two or more Class maps, two or more ID maps, or two or more Value maps. The contents of the input domains does not necessarily need to be the same. For more information, see the section Domain of output map below.

Furthermore, the input point maps should have the same or a compatible coordinate system; input point maps may not use coordinate system Unknown.

Domain of output map:

  • When combining point maps with a Value domain, the output map always uses the system Value domain. The value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is determined by the smallest precision of the input maps.
  • When combining point maps with the same Class domain, the output map also uses this Class domain.
    In case the class names in the input domains are different, both domains are merged into a new domain, and the output domain then contains all domain items, i.e. all classes, and the output map thus shows both input maps with their original class names. The new domain is either stored as a separate object, or is stored by the output map (internal domain).
  • When combining point maps with ID domains, the same procedure is followed as for Class maps but the output domain is an ID domain.

For more information on internal domains and internal representations, see How to open internal domains/representations.

Coordinate system of output map:

The output point map uses the coordinate system of the first input map. The coordinate boundaries for the output map are determined from all input maps or are as specified by the user. When the coordinate systems of the input maps are different (e.g. different projections) but compatible, the point coordinates will be transformed to the coordinate system of the first input map.

See also:

Glue point maps : dialog box

Glue point maps : command line

Glue point maps : algorithm


Glue point maps : dialog box

Glue point maps

Dialog box

The Glue point maps operation glues or merges two or more point maps into one output map. By default, the output point map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can further specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied into the output map. The user can also specify a clip boundary, to copy only those points to the output map which fall within the specified coordinate boundaries of the output map.

In the dialog box, the number of input maps is limited to four. On the command line, this limitation is not present.

Dialog box options:

Number of input maps: | Select the number of point maps that you want to glue or merge together (2, 3, or 4).
Input map names: | Select the input point maps. You can always glue point maps of the same domain type. For more information on mergeable domain types, see Glue point maps : functionality.
Masks: | Type for each point map (multiple) search strings to find the points that you want to be copied into the output map. By default, all points of all input maps are copied. For more information on masks, see Mask points : functionality or How to use masks.
Clip boundary: | Select this check box if you want to limit or extend the area comprised by the output map: specify the coordinate boundaries for the output map yourself. Clear this check box if the output map should comprise the whole area of all input maps.
MinX, MinY: | Type the minimum X-coordinate and the minimum Y-coordinate for the output map.
MaxX, MaxY: | Type the maximum X-coordinate and the maximum Y-coordinate for the output map.
New domain: | When merging Class or ID maps that do not use the same domain, select this box if you want to store the output domain as a separate object (recommended). Subsequently, type a name for the new domain. Clear this check box to obtain an output Class or ID domain which is stored by the output map (internal domain).
Output point map: | Type a name for the output point map that will contain the copied points.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

If specified, a new domain is also created.

See also:

Glue point maps : functionality


Glue point maps : command line

Glue point maps

Command line

The Glue point maps operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PointMapGlue(InputPointMap1, "mask1", InputPointMap2, "mask2")
OUTMAP | = | PointMapGlue(InputPointMap1, "mask1", InputPointMap2, "mask2", NewDomain)
OUTMAP | = | PointMapGlue(InputPointMap1, "mask1", InputPointMap2, "mask2", InputPointMap3, "mask3")

etc.

OUTMAP | = | PointMapGlue(minX, minY, maxX, maxY, InputPointMap1, "mask1", InputPointMap2, "mask2")
OUTMAP | = | PointMapGlue(minX, minY, maxX, maxY, InputPointMap1, "mask1", InputPointMap2, "mask2", NewDomain)
OUTMAP | = | PointMapGlue(minX, minY, maxX, maxY, InputPointMap1, "mask1", InputPointMap2, "mask2", InputPointMap3, "mask3")

etc.

where:

OUTMAP | is the name of your output point map.
PointMapGlue | is the command to start the Glue point map operation.
InputPointMap1 | is the name of the first input point map.
InputPointMap2 | is the name of the second point map.
InputPointMap3 | is the name of the third point map (optional).
mask1 | are the (multiple) search strings to find the classes, IDs or values of the points in the first input map that you want to copy into the output map; on the command line, the total mask for each input map needs to be surrounded by double quotes. To copy all points, use as mask: "*".
mask2 | are the (multiple) search strings to find the classes, IDs or values of the points in the second input map that you want to copy into the output map.
mask3 | are the (multiple) search strings to find the classes, IDs or values of the points in the third input map that you want to copy into the output map.
minX | minimum X-coordinate of output point map (real number).
minY | minimum Y-coordinate of output point map (real number).
maxX | maximum X-coordinate of output point map (real number).
maxY | maximum Y-coordinate of output point map (real number).
NewDomain | is an optional parameter, when merging Class or ID maps that do not have the same domain, to specify a name for the new output domain in which all input domain items will be merged. When input Class or ID domains are not the same and this parameter is not specified, the new output domain in which all input domain items are merged will be stored by the output map (internal domain).

On the command line, you can specify as many input point maps and their masks as you like; i.e. you can merge as many point maps as you like. When using the dialog box of this operation, only two, three or four input maps can be merged at a time.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated. When Class or ID maps are merged that do not have the same domain, and the NewDomain parameter is used, a new output domain is also created.

See also:

Glue point maps : functionality


Glue point maps : algorithm

Glue point maps

Algorithm

The Glue point maps operation glues or merges two or more point maps into one output map. By default, the output map then comprises the area of all input maps. The domains of the input maps are merged when needed.

Rules:

To copy point from the input maps into the output map, the following rules are applied:

  • the class names, IDs or values of the input points must match the specified mask, and
  • the input points must fall within the specified clip boundary.

By default, all points are copied into the output map.

By default, coordinate boundaries for the output map are determined from the coordinate boundaries of all input maps. When the coordinate systems of the input maps are different but compatible, the point coordinates will be transformed to the coordinate system of the first input map.

Output domain:

  • When merging two maps with the same domain, the output map will also use that domain.
  • When merging Value maps, the value range for the output map is determined by the smallest minimum and the largest maximum of all input maps; the precision is determined by the smallest precision of all input maps.
  • When merging Class maps or ID maps that do not have the same domain, a new output domain is created which contains all domain items, i.e. all classes. The new domain is either stored as a separate object, or is stored by the output map (internal domain).

See also:

Glue point maps : functionality


Transform point map

Functionality / Algorithm

Dialog box

Command line


Transform point map : functionality/algorithm

Transform point map

Functionality / Algorithm

The Transform point map operation transforms the coordinates of points in a point map from the map's current coordinate system to another target coordinate system.

A transformation can only be performed between compatible coordinate systems. You can:

  • transform a point map with a coordinate system projection with a certain projection, ellipsoid and/or datum to another coordinate system projection with a different projection, ellipsoid and/or datum;
  • transform a point map with a coordinate system projection with a certain projection, ellipsoid and/or datum to a coordinate system latlon with a certain ellipsoid and/or datum (and vice versa);
  • transform a point map with a coordinate system latlon with a certain ellipsoid and/or datum to another coordinate system latlon with a different ellipsoid and/or datum;
  • transform a point map with a coordinate system formula to the 'related coordinate system' of this coordinate system formula (and vice versa);
  • transform a point map with a coordinate system tiepoints to the 'related coordinate system' of this coordinate system tiepoints (and vice versa).

Furthermore:

  • when in a coordinate system an ellipsoid is not specified, then a sphere is assumed, and
  • when in either of the 2 coordinate systems a datum is not specified, then the same datum is assumed.

For more information on coordinate system types, see ILWIS objects : coordinate systems.

In general, the operation can be used:

  • to integrate data which are obtained from different sources and when these data are in different projections,
  • to present data or results in a more appropriate projection.

Preparations for using a coordinate system projection:

  • When you want to integrate data of different projections, first think of the most suitable projection in which you can do your analysis.
    You can either:
    • transform your maps to one existing coordinate system; select this existing coordinate system as the target coordinate system during Transform operations.
    • first create a new coordinate system, specify projection information, and then transform all your maps to that new coordinate system.
  • When you want to present data in other projections, you can generally first create a number of new coordinate systems (using File, Create, or by clicking the create button in the dialog box of a Transform operation) and then transform your map to these new coordinate systems. During the Transform operations, specify a different output map name for each selected target coordinate system.
    For presentation purposes, you can also interactively change the coordinate system as used by maps displayed in a map window. For more information, see the tips below.

For more information on available projections, refer to the Select Projection dialog box.

Input map requirements:

A transformation is only possible between:

  • a coordinate system projection with a known projection, ellipsoid, and/or datum, and
    • another coordinate system projection with another projection, ellipsoid, and/or datum, or
    • a coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system latlon with a known ellipsoid and/or datum, and
    • another coordinate system latlon with a known ellipsoid and/or datum, or
  • a coordinate system formula, and
    • the 'related coordinate system' of this coordinate system formula, or
  • a coordinate system tiepoints, and
    • the 'related coordinate system' of this coordinate system tiepoints.

In each of these combinations, one coordinate system is the current coordinate system of the point map, and the other is the selected target coordinate system.

Domain and coordinate system of output map:

The output point map uses the same domain as the input point map.

The output point map uses the selected target coordinate system; the coordinate boundaries of the output map will be the transformed coordinate boundaries of the input map.

Tips:

  1. To see the effect of using different projections, it is advisable to display the input map in a map window and the output maps in other map windows; then add a graticule to the map windows; open the Layers menu and select the Add Annotation, Graticule command.
  2. The Transform operations permanently change the projection of your map(s), i.e. for analysis and calculation purposes.

    3. To temporarily view map(s) which are displayed in a map window in another projection, i.e. for presentation purposes, you can:

    • create a coordinate system in which you already specify some projection information,
    • display your map(s) in a map window,
    • drag your new coordinate system to the map window, or choose the Coordinate System command from the Options menu in the map window and subsequently select another coordinate system.

    The contents of the map window will be displayed in the new projection. Projection information of the coordinate system as currently used by the map window can be refined by choosing the Coordinate System command from the Edit menu in the map window. Thus, you do not need to use a Transform operation.

Algorithm:

The XY-coordinates of the points of the input map are copied, and then transformed.

  • When both the input coordinate system and the target coordinate system have the same ellipsoid and datum information, then the transformations are calculated via geographic coordinates; i.e. from XY (input) to f, l (LatLon) to XY (target).
  • When in the input coordinate system and the target coordinate system, ellipsoid and datum information is different, then Molodensky formulas are used to calculate the ellipsoidal transformations and datum shifts, i.e. from XY (input) to f, l (input) to f, l (target) to XY (target).

See also:

Transform point map : dialog box

Transform point map : command line

ILWIS objects : coordinate systems

Create coordinate system (dialog box)

Edit coordinate system (dialog box)

Select projection (dialog box)

Select ellipsoid (dialog box)

Select datum (dialog box)


Transform point map : dialog box

Transform point map

Dialog box

The Transform point map operation transforms the coordinates of points in a point map from the map's current coordinate system to another target coordinate system.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible. For more information, refer to Transform point map : functionality/algorithm.

Dialog box options:

Input point map:

Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box.

For your information, when you have selected a point map, a text line will appear showing the name and type of the coordinate system that is used by the input point map. This is the coordinate system from which you will transform coordinates from.

Output point map:

Type a name for the output point map that will contain the transformed points.

Coordinate system:

Select an existing target coordinate system or create a new coordinate system by using the create button. This is the coordinate system to which you will transform the coordinates of your input map to.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Transform point map : functionality / algorithm


Transform point map : command line

Transform point map

Command line

The Transform point map operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

PointMapTransform(InputPointMap, TargetCoordSys)

where:

OUTMAP | is the name of your output point map.
PointMapTransform | is the command to start the Transform Point Map operation.
InputPointMap | is the name of the input point map. The coordinate system of the input point map is the coordinate system from which you will transform.
TargetCoordSys | is the name of your target coordinate system; this is the coordinate system to which you will transform.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Transform point map : functionality / algorithm


Transform coordinates

The Transform coordinates dialog box allows you to:

  • select a certain input coordinate system,
  • type a XY-coordinate or a LatLon coordinate, using this input coordinate system,
  • select another target coordinate system,
  • then, the entered XY-coordinate or LatLon-coordinate will be shown in the selected target coordinate system.

In this way, you can interactively check whether a certain transformation is correct.

This dialog box appears:

  • when you choose Points, Transform Coordinates from the Operations, Vector Operations menu in the Main window, or
  • when you double-click the Transform Coordinates item in the Operation-list, or
  • when you click a coordinate system in the Catalog with the right mouse button and choose Vector Operations, Transform Coordinates from the context-sensitive menu.

The Transform Coordinates dialog box can only be used when a transformation between the input and target coordinate systems is possible. You can:

  • transform coordinates from a coordinate system projection with a certain projection, ellipsoid and/or datum to another coordinate system projection with a different projection, ellipsoid and/or datum;
  • transform coordinates from a coordinate system projection with a certain projection, ellipsoid and/or datum to a coordinate system latlon with a certain ellipsoid and/or datum (and vice versa);
  • transform coordinates from a coordinate system latlon with a certain ellipsoid and/or datum to another coordinate system latlon with a different ellipsoid and/or datum;
  • transform coordinates from a coordinate system formula to the 'related coordinate system' of this coordinate system formula (and vice versa);
  • transform coordinates from a coordinate system tiepoints to the 'related coordinate system' of this coordinate system tiepoints (and vice versa).

Furthermore:

  • when in a coordinate system an ellipsoid is not specified, then a sphere is assumed, and
  • when in either of the 2 coordinate systems a datum is not specified, then the same datum is assumed.

For more information on coordinate system types, see ILWIS objects : coordinate systems.

Dialog box options:

Input coordinate system: | Select an input coordinate system. Open the list box and select the desired coordinate system, or drag a coordinate system directly from the Catalog into this box. If a description exists for this coordinate system, this description will appear just below this Input coordinate system list box; otherwise the name and type of the coordinate system will be listed.
Decimal degrees: | In case you selected an input coordinate system of type latlon: Select this check box if you wish to specify input LatLon-coordinates in decimal degrees. Clear this check box if you wish to specify input LatLon-coordinates as Degrees, minutes, seconds, N/S, E/W.
Input coordinate: | In case you selected an input coordinate system of type projection, type formula, or type tiepoints: type the X and Y coordinates of a point of interest. In case you selected an input coordinate system of type latlon: type the Lat and Lon coordinates of a point of interest.
Output coordinate system: | Select a target coordinate system. Open the list box and select the desired coordinate system, or drag a coordinate system directly from the Catalog into this box. If a description exists for this coordinate system, this description will appear just below this Output coordinate system list box; otherwise the name and type of the coordinate system will be listed.
Output coordinate: | The calculated coordinates for the point of interest in the output projection will be displayed. Depending on the type of the selected output coordinate system, coordinates will be shown as XY-coordinates or as LatLon-coordinates.

Tip:

When you wish to compare coordinate transformation results of multiple coordinate systems, you can add several different coordinate systems to a pixel information window. Then:

  • Open a map with 'the input coordinate system' and move the mouse pointer or click at a position of interest;
  • when a transformation from the current coordinate system to the other coordinate system(s) is possible, the pixel information window will show the transformation results.

For more information, see Pixel information window : functionality.

See also:

Transform polygon map

Transform segment map

Transform point map


Find datum transformation parameters - Input page

Find datum transformation parameters

 Vector operations

Select input point maps and optional height columns

 Next >

Introduction:

With this Datum transformation parameters wizard, you can find geodetic datum transformation parameters between the coordinate systems of two point maps, where:

  • the coordinate system of the first point map is supposed to use a local (unknown) geodetic datum,
  • the coordinate system of the second point map is supposed to use a global geodetic datum, preferably WGS 84.

Optionally, you can specify height columns containing the height values of the points in the input point maps.

You can choose to use one of the following calculation methods:

  • Geo-centric datum shift
  • Molodensky
  • Bursa Wolf
  • Molodensky Badekas

Optionally, you can save the calculated transformation parameters in the coordinate system of the first point map.

  • The datum of the first coordinate system will then be changed.
  • The first coordinate system will then be compatible with the WGS 84 datum, and thus with any other known datum.
  • Automatic coordinate transformations during display etc. are then possible for any map that uses the first coordinate system.

Purpose of this page:

On this first page of the wizard, you should select two input point maps, each containing a set of common control points. For each point map, you can optionally select a column containing the height values for that set of control points.

Dialog box options:

Point map with local datum:

Select the first input point map. Open the list box and select the desired point map.

  • The point map must use an ID domain.
  • The point map's coordinate system must be:
    • of type projection (coords in meters), and the coordinate system must include an ellipsoid, and may optionally include a datum; or
    • of type latlon (coords in degrees, minutes, seconds), and the coordinate system must include an ellipsoid, and may optionally include a datum.

      • Tip: For more information, refer to Create a coordinate system, Edit a coordinate system of type projection, or Edit a coordinate system of type latlon.

  • The first coordinate system is supposed to use a local datum.
  • The aim of the wizard is to enable a transformation between the coordinate system with this local datum (1st point map) to the global WGS 84 datum (2nd point map), and thus enable transformations to any other datum.

Use heights (m):

Select this check box to include the height values of the points in the first point map.

  • From an attribute table of the first point map, select a column that contains height values for the points.
  • The height values are supposed to be specified in meters above the ellipsoid. For instance, for the Dutch RD datum, height values are relative to NAP, and corrected for geoid-ellipsoid separation.

Clear this check box when you do not wish to include height values for the first set of control points.

Point map with global datum:

Select the second input point map.

  • This second point map must use the same ID domain as the first point map.
    The control points are common points: 'Point 1' in the first map must refer to 'Point 1' in the second point map, etc.; the wizard will compare the locations of the points in the two point maps to each other.
  • The coordinate system of the second point map is supposed to use a globally defined datum.
  • When you wish to save calculated transformation parameters later on, the second point map must use a coordinate system that uses the WGS 84 datum.

Use heights (m):

Select this check box to include the height values of the points in the second point map.

  • From an attribute table of the second point map, select a column that contains height values for the points.
  • The height values are supposed to be specified in meters above the ellipsoid, as used by the coordinate system of the second point map.

Clear this check box when you do not wish to include height values for the second set of control points.

For your information, the page lists for each point map:

  • the number of points in the map,
  • the coordinate system of the map, and
  • the coordinate system's ellipsoid,
  • the coordinate system's datum.

When finished selecting the two sets of control points (the two point maps and their optional height columns), you can click the Next button and continue on the Method page.

See also:

Find datum transformation parameters - Method page

Find datum transformation parameters - Output page


Find datum transformation parameters - Method page

Find datum transformation parameters

Select transformation method

 < Back | Next >

This second page of the Datum transformation parameters wizard allows you to choose the method you wish to use to calculate the datum transformation parameters between the two sets of control points.

The concept of each calculation method is shortly explained.

Dialog box options:

Geo-centric datum shift:

Calculates the translation vector (dX, dY, dZ, i.e. differences in geocentric coordinates in meters) between:

  • the centroid of all point-coordinates in the first point map, using a local (unknown) datum,
  • and the centroid of all point-coordinates in the second point map, using a global datum (preferably WGS 84),

so that the point-coordinates of the first point map can be transformed to the second.

Molodensky:

Calculates the translation vector (dX, dY, dZ, i.e. differences in geocentric coordinates in meters) between:

  • the centroid of all point-coordinates in the first point map, using a local (unknown) datum,
  • and the centroid of all point-coordinates in the second point map, using a global datum (preferably WGS 84),
  • and inverts the Molodensky transformation equations and avoids the use of geocentric coordinates,

so that the point-coordinates of the first point map can be transformed to the second.

Bursa Wolf:

Calculates translations (dX, dY, dZ, i.e. differences in geocentric coordinates in meters), calculates rotations (Rot X, Rot Y, Rot Z in microradians and in arc seconds), and calculates the scale difference factor (dScale) between:

  • all point-coordinates in the first point map, using a local (unknown) datum,
  • and all point-coordinates in the second point map, using a global datum (preferably WGS 84),
  • using the center of the ellipsoid as the rotation center (pivot),

so that the point-coordinates of the first point map can be transformed to the second.

Compute scale and rotations first:

When you selected the Bursa Wolf or the Molodensky Badekas method:

  • Select this check box to have the scale factor and the rotations calculated first to obtain more accurate scale and rotation parameters (independent of the stochastic errors in the translations).
  • Clear this check box to have the translation vector calculated first.

Molodensky Badekas:

Calculates translations (dX, dY, dZ, i.e. differences in geocentric coordinates), calculates rotations (Rot X, Rot Y, Rot Z in microradians and in arc seconds), and calculates the scale factor (dScale) between:

  • all point-coordinates in the first point map, using a local (unknown) datum,
  • and all point-coordinates in the second point map, using a global datum (preferably WGS 84),
  • using a user-defined centroid (in X, Y, Z as geocentric coordinates) on the ellipsoid of the first point map as the rotation center (pivot),

so that the point-coordinates of the first point map can be transformed to the second.

Xo, Yo, Zo:

When you selected the Molodensky Badekas method, you must specify a rotation center.

  • As defaults, the centroids of the X, Y, Z geocentric coordinates on the ellipsoid of the first point map are given.
  • If you wish, you can overrule these defaults, and specify your own Xo, Yo, Zo geocentric coordinates (on the ellipsoid of the first point map) as the rotation center.

When you click the Next button, you will go to the Output page where you can inspect, and optionally save, the calculated datum transformation parameters.

Additional information

The general process of the calculations is presented below. Conversions take place between map coordinates, latlon coordinates on the (local) ellipsoid, and geocentric coordinates.

x1 , y1 , z1 | (map coords on certain ellipsoid with unknown datum)
↓ | (inverse projection) |  |
j1 , l1 , h1 | (latlon coords on certain ellipsoid, with unknown datum) | → | X1 , Y1 , Z1 | (geocentric coords with unknown datum)
↓ |  |  | ↓
Actual calculation for Molodensky |  |  | Actual calculation for Geo-centric shift, Bursa Wolf and Molodensky Badekas
↑ |  |  | ↑
j2 , l2 , h2 | (latlon coords with WGS84 datum) | → | X2 , Y2 , Z2 | (geocentric coords with WGS 84 datum)
↑ | (inverse projection) |  |
x2 , y2 , z2 | (map coords using WGS 84 datum)

Geocentric coordinates are XYZ coordinates (in meters) where the center of the earth is taken as 0,0,0. Figure 1 below shows the octant of the world where the XYZ-geocentric coordinates are positive.

  • The XY plane is the equator plane. The line between the Z-axis and the X-axis is the Greenwich 0° meridian; the line between the Z-axis and the Y-axis is the meridian of 90° East.
  • j is the geodetic latitude; l is the geographic longitude.

    • The geodetic latitude is larger than the geographic latitude due to the ellipsoidal flattening as the perpendicular onto the ellipsoid does not pass through the center of the ellipsoid.

  • The red point is a point in the terrain with a measured height; the green point is a point on the earth surface with ellipsoidal height zero.
  • In many texts on GIS and geodesy, this spherical ellipsoidal shape, obtained by turning an ellipse about its shortest axis b, is called a 'spheroid'.

Fig. 1: Relation between geocentric coordinates (X, Y, Z) and geographic coordinates (j latitude, l longitude).

The formula to perform the Bursa Wolf datum transformation reads:

The formula to perform the Molodensky Badekas datum transformation reads:

where:

tx , ty , tz | are the translations between both datums (in geocentric coordinates).
a, b, g | are the rotation angles between both datums; rotations about the X, Y and Z axes respectively. On the Output page, a, b, g are called Rot X, Rot Y, and Rot Z.
d | is the scale difference between both datums. On the Output page, d is called dScale.
X0 , Y0 , Z0 | is the rotation center of the local datum (in geocentric coordinates).
I, II | are the local and global datum respectively (geocentric coordinates).

See also:

Find datum transformation parameters - Input page

Find datum transformation parameters - Output page


Find datum transformation parameters - Output page

Find datum transformation parameter

Calculated datum transformation parameters

 < Back | Finish >

On this last page of the Datum transformation parameters wizard, you can view the calculated datum transformation parameters. Optionally, you can save the results as a new user-defined datum; the calculated datum parameters, which enable a transformation to the global (WGS 84) datum, are stored in the coordinate system of the first input map.

Dialog box options:

Listing of calculated datum transformation parameters:

Rotation point Xo, Yo, Zo:

For Molodensky Badekas calculation method.
The rotation center is specified in geocentric coordinates of the first point map.

Nr of points used:

For all calculation methods.

Translations dX, dY, dZ:

For all calculation methods.
Translations are calculated between the geocentric coordinates of the first and the second coordinate system, and are specified in meters.

Rotations Rot X, Rot Y, Rot Z:

For Bursa Wolf and Molodensky Badekas calculation methods.
Rotation angles are calculated between the geocentric coordinates of the first and the second coordinate system, and are specified in microradians and in arc seconds. Rot X, Rot Y and Rot Z correspond to a, b, g as mentioned on the Method page.

Scale difference dScale:

For Bursa Wolf and Molodensky Badekas calculation methods.
The scale difference is a unitless figure as 10-6, or ppm (e.g. 1 mm per km).

Save datum parameters:

  • Select this check box to save the calculated datum transformation parameters into the coordinate system of the first point map. This coordinate system will then have a user-defined datum, and will be compatible with the WGS 84 datum, and thus with any other known datum.
  • Clear this check box if you do not wish to store the calculated transformation parameters.

When you click the Finish button while you selected the Save as check box:

  • The datum of the coordinate system of the first point will be adapted; the calculated datum transformation parameters will be included in this coordinate system.
  • The coordinate system of the first point map will then use a user-defined datum that is compatible with the WGS 84 datum, and thus with any other known datum.

    • Compatible with WGS 84 means: coordinates can be transformed from and to WGS 84.

  • By opening the coordinate system of the first point map, and clicking the Datum button, the Select datum dialog box will appear, in which you can inspect the new datum.

When you click the Finish button while you cleared the Save as check box:

  • The coordinate system of the first point map will not be updated.

Tip: For a general explanation of the calculation methods of the datum transformation parameters, see the Find datum transformation parameters - Method page.

References:

  • Bursa, M., 1966. Fundamentals of the theory of geometric satellite geodesy. Travaux de l'Institut Géophysique de l'Académie Tchécoslovaque de Sciences.
  • D.M.A., 1991. World Geodetic System 1984; its definition and relationships with local geodetic systems. U.S. Defense Mapping Agency, Department of Defense, Technical Report 8350.2, 2nd ed.
  • Kadaster - Rijksdriehoeksmeting, 2000. Het stelsel van de Rijksdriehoeksmeting en het European Terrestrial Reference System 1989; gebruik en definitie. http://www.rdnap.nl/download/rdnaptrans.pdf
  • Kotoglu, H.S., Mekik, C., Akcin, H., 2002. A comparison of two well known models for 7-parameter transformation. The Australian Surveyor 47(1), pp. 24-30.
  • Wolf, H., 1963. Geometric connection and re-orientation of three dimensional triangulation nets. Bulletin Geodesy 68, pp. 165-169.

See also:

Select datum


Operations

Rasterize

Polygons to raster

Segments to raster

Segment density

Points to raster

Point density


Polygons to raster

Functionality

Dialog box

Command line

Algorithm


Polygons to raster : functionality

Polygons to raster

Functionality

The Polygons to raster operation rasterizes a polygon map. The output raster map always uses the same domain as the input polygon map. This means that the class names, IDs, or values used in the polygon map are also used in the raster map.

For the output raster map, an existing georeference has to be selected or a new one can be created. The georeference determines the number of lines and columns of the output map and the pixel size of the map, see also the examples in the Additional info below. It is strongly advised that vector maps of the same area are rasterized on the same georeference: any map calculation or spatial operation performed later on a combination of raster maps will only make sense if the pixels in these maps refer to the same area on the ground.

When a polygon map has an attribute table or when the domain of the polygon map has an attribute table, the Polygons to raster operation automatically links this attribute table to the output raster map.

Input map requirements:

No special input map requirements. However, at the moment it is not yet possible to rasterize a polygon map with a value domain into a raster map which is stored using 8 bytes per pixel. In that case it is advised to set the value range of the output raster map in such a way that the raster map can be stored with 1, 2, or 4 bytes per pixel.

Domain and georeference of output map:

The output raster map uses the same domain as the input polygon map.

The georeference for the output map has to be selected or created; you can usually select an existing georeference corners. The georeference for the raster map must use the same coordinate system as the polygon map. Georeference None cannot be selected for the output map.

Tip:

To obtain frequency information on polygons, you can calculate the histogram of a polygon map with the Histogram operation.

Additional information:

The georeference you use for the output raster map determines the pixel size of the raster map and thus whether shapes of polygons are well retained. Below you find three examples of rasterized polygon maps, each one with a different pixel size.

See also:

Polygons to raster : dialog box

Polygons to raster : command line

Polygons to raster : algorithm


Polygons to raster : dialog box

Polygons to raster

Dialog box

The Polygons to raster operation rasterizes a polygon map. The class names, IDs, or values in the polygon map are also used in the raster map, i.e. the domain of the polygon map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. You can also select an attribute from a map's attribute table.
Output raster map: | Type a name for the output raster map that will contain the rasterized polygons.
Georeference: | Select an existing georeference for the output raster map; open the list box by clicking it. Or create a new georeference by clicking the little create button [image] . You can usually select an existing georeference corners.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Polygons to raster : functionality


Polygons to raster : command line

Polygons to raster

Command line

The Polygons to raster operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapRasterizePolygon(InputPolygonMapName, Georeference)

where:

OUTMAP | is the name of your output raster map.
MapRasterizePolygon | is the command to start the Polygons to raster operation.
InputPolygonMapName | is the name of your input polygon map.
Georeference | is the name of an existing georeference that should be used for the output raster map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Tip:

In a script, you can prepare a georeference corners before rasterizing by using the crgrf command. See Appendices : ILWIS script language.

See also:

Polygons to raster : functionality


Polygons to raster : algorithm

Polygons to raster

Algorithm

The Polygons to raster operation rasterizes a polygon map. The output raster map always uses the same domain as the input segment map. The user has to specify the georeference for the output raster map.

Process:

For each polygon, the corresponding pixels in the raster map are found; these pixels are assigned the class name, ID or value of the polygon.

Other pixels obtain the undefined value.

  • The pixel size indicated in the georeference for the output map, has a large influence on the size (in bytes) of the output raster map. Mind that rasterizing on a pixel size of 10 m instead of 50 m increases the size of the raster map by a factor 25.
  • If you want to rasterize only a portion of your polygon map, you can select or create a georeference that does not cover the total area of your polygon map during rasterization.

For ILWIS 1.4 users:

  • During rasterization, an .INF table is not produced anymore. To know the area of polygons, length of segments, nr. of points etc., you can calculate the histogram of a polygon, segment or point map with the Histogram operation.

See also:

Polygons to raster : functionality


Segments to raster

Functionality

Dialog box

Command line

Algorithm


Segments to raster : functionality

Segments to raster

Functionality

The Segments to raster operation rasterizes a segment map. The output raster map always uses the same domain as the input segment map. This means that the class names, IDs, or values used in the segment map are also used in the raster map.

For the output raster map, an existing georeference has to be selected or a new one can be created. The georeference determines the number of lines and columns of the output map and the pixel size of the map, see also the examples in the Additional info below. It is strongly advised that vector maps of the same area are rasterized on the same georeference: any map calculation or spatial operation performed later on a combination of raster maps will only make sense if the pixels in these maps refer to the same area on the ground.

When a segment map has an attribute table or when the domain of the segment map has an attribute table, the Segments to raster operation automatically links this attribute table to the output raster map.

Tip:

When you want to create a Digital Elevation Model, you can directly do the operation Contour interpolation. Contour Interpolation first rasterizes your segment map, then calculates interpolated values for the pixels in between the contour lines.

Input map requirements:

No special input map requirements.

Domain and georeference of output map:

The output raster map uses the same domain as the input segment map.

The georeference for the output map has to be selected or created; you can usually select an existing georeference corners. The georeference for the raster map must use the same coordinate system as the segment map. Georeference None cannot be selected for the output map.

Tips:

  • to rasterize only segments with a specific code, you can first use the Mask segments operation.
  • when you want to print vector maps for annotation purposes on top of raster maps, print quality will improve if you use the vector maps as they are, thus without rasterizing them.
  • To obtain frequency information on segments, you can calculate the histogram of segment map with the Histogram operation.

Additional information:

The georeference you use for the output raster map determines the pixel size of the raster map and thus whether shapes of segments are well retained. Below you find three examples of rasterized segment maps, each one with a different pixel size.

See also:

Segments to raster : dialog box

Segments to raster : command line

Segments to raster : algorithm


Segments to raster : dialog box

Segments to raster

Dialog box

The Segments to raster operation rasterizes a segment map. The class names, IDs, or values in the segment map are also used in the raster map, i.e. the domain of the segment map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box.
Output raster map: | Type a name for the output raster map that will contain the rasterized segments.
Georeference: | Select an existing georeference for the output raster map; open the list box by clicking it. Or create a new georeference by clicking the little create button [image] . You can usually select an existing georeference corners.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

Tip:

When you want to create a Digital Elevation Model, you can directly do the operation Contour Interpolation. Contour Interpolation first rasterizes your segment map, then calculates interpolated values for the pixels in between the contour lines.

See also:

Segments to raster : functionality


Segments to raster : command line

Segments to raster

Command line

The Segments to raster operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapRasterizeSegment(InputSegmentMapName, Georeference)

where:

OUTMAP | is the name of your output raster map.
MapRasterizeSegment | is the command to start the Segments to raster operation.
InputSegmentMapName | is the name of your input segment map.
Georeference | is the name of an existing georeference that should be used for the output raster map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Tip:

In a script, you can prepare a georeference corners before rasterizing by using the crgrf command. See Appendices : ILWIS script language.

See also:

Segments to raster : functionality


Segments to raster : algorithm

Segments to raster

Algorithm

The Segments to raster operation rasterizes a segment map. The output raster map always uses the same domain as the input segment map. The user has to specify the georeference for the output raster map.

Process:

For each segment, the corresponding pixels in the raster map are found; these pixels are assigned the class name, ID or value of the segment.

Other pixels obtain the undefined value.

  • The specified pixel size in the georeference for the output map, has a large influence on the size (in bytes) of the output raster map. Mind that rasterizing on a pixel size of 10 m instead of 50 m increases the size of the raster map by a factor 25.
  • If you want to rasterize only a portion of your segment map, you can either select or create a georeference that does not cover the total area of your segment map during rasterization, or you can first create a SubMap of the segment map and then rasterize this segment submap.

For ILWIS 1.4 users:

  • During rasterization, an .INF table is not produced anymore. To know the area of polygons, length of segments, nr. of points etc., you can calculate the histogram of a polygon, segment or point map with the Histogram operation.

See also:

Segments to raster : functionality


Segment density

Functionality

Dialog box

Command line

Algorithm


Segment density : functionality

Segment density

Functionality

The Segment Density operation, also called Lineament Density, rasterizes a segment map. For each output pixel, the total length of all segment parts within the boundaries of the pixel is summed: this is the output value for the pixel.

During this operation, you have to specify a georeference for the output raster map. It is advised to use a georeference in which the pixels are rather large, i.e. at least large enough to contain parts of several segments. When you choose a large pixel size, the segments are aggregated over a larger area. Furthermore, by using a mask, you can specify the elements of the input map that are to be used in the calculation.

Example:

When you have a segment map with geological faults, you can calculate the lenght of faults per square km, per 100 square km, etc. Similarly, you can calculate the length of roads or rivers per area.

Mask:

By specifying a mask, you can search for segments with a certain class name, ID or value. Then only these segments will be used in the calculation of the output map. A mask is in fact a simple query to find (retrieve), display or use only those segments in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas.

For more information on masks, see Mask segments : functionality or How to use masks.

Requirements for the input map:

No special requirements for the input segment map.

Domain and georeference of output map:

The default domain for the output raster map is the system domain Value but you can also select another domain or create a new domain.

The georeference for the output map has to be selected or created. When this is the first time you aggregate pixels, you should create a new georeference corners in which the pixels are large enough to contain a number of segments. The georeference for the raster map may use a coordinate system that is different from coordinate system of the input point map but a conversion between both coordinate systems must be possible. Georeference None cannot be selected for the output map.

Tip:

The Aggregate raster map operation has similar functionality for raster maps and contains a number of different aggregation functions.

See also:

Segment density : dialog box

Segment density : command line

Segment density : algorithm


Segment density : dialog box

Segment density

Dialog box

The Segment Density operation rasterizes a segment map. For each output pixel, the total length of all segment parts within the boundaries of the pixel is summed: this is the output value for the pixel. By using a mask, you can specify the elements of the input map that are to be used in the calculation.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a map directly from the Catalog into this box. No special input map requirements.
Mask: | Type (multiple) search strings to find the segments in the input map that you want to use in the calculation. If all segments should be taken into account, accept the default mask *. For more information on masks, see Mask segments : functionality or How to use masks.
Output raster map: | Type a name for the output raster map that will contain the summed lengths of segments found in each output pixel.
Georeference: | Select an existing georeference or create [image] a new georeference corners.
Domain: | Accept the default domain Value, or select an existing value domain, or create a new value domain.
Value range: | Accept the default value range for the output map, or specify the value range yourself.
Precision: | Accept the default precision for the output map, or specify the precision yourself.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Segment density : functionality


Segment density : command line

Segment density

Command line

The Segment density operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapSegmentDensity(InputSegmentMap,"mask", Georeference)

where:

OUTMAP | is the name of your output raster map.
MapSegmentDensity | is the command to start the Segment Density operation.
InputSegmentMap | is the name of your input segment map.
"mask" | are the (multiple) search strings to find the classes, IDs or values in the input map that you want to use in the calculation of the output map; on the command line, the total mask needs to be surrounded by double quotes.
Georeference | is the name of an existing georeference that should be used for the output raster map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Tip:

In a script, you can prepare a georeference corners before rasterizing by using the crgrf command. See Appendices : ILWIS script language.

See also:

Segment density : functionality


Segment density : algorithm

Segment density

Algorithm

The Segment density operation rasterizes an input segment map on a pixel size which is specified in the georeference.

Process:

  • All pixels are initialized on value zero.
  • For each segment, all pixels are found that are crossed by the segment.
  • For all these pixels, the length of the segment parts within the pixel is added to the current value of the pixel.

See also:

Segment density : functionality


Points to raster

Functionality

Dialog box

Command line

Algorithm


Points to raster : functionality

Points to raster

Functionality

The Points to raster operation rasterizes a point map. The output raster map always uses the same domain as the input point map. This means that the class names, IDs, or values used in the point map are also used in the raster map.

For the output raster map, an existing georeference has to be selected or a new one can be created. The georeference determines the number of lines and columns of the output map and the pixel size of the raster map. It is strongly advised that vector maps of the same area are rasterized on the same georeference: any map calculation or spatial operation performed later on a combination of raster maps will only make sense if the pixels in these maps refer to the same area on the ground.

Normally, each point will be represented by 1 pixel in the output raster map.

As you may have stored information as points that are actually refering to areas, the operation has an option to indicate by how many pixels a point should be represented. When a point size of 1 is specified (default), it means that each point is represented by 1 pixel in the output raster map; when a point size of 2 is specified, it means that each point is represented by 2*2 pixels in the output raster map, etc.

When points are rasterized with a small point size, it can be difficult to see the rasterized points when the output map is displayed. You can always display the original point map on top of the raster map.

Tip:

To analyse the surroundings of points, you can rasterize points with a point size larger than one, and then perform a Cross operation.

When a point map has an attribute table or when the domain of the point map has an attribute table, the Points to raster operation automatically links this attribute table to the output raster map.

Input map requirements:

No special input map requirements.

Domain and georeference of output map:

The output raster map uses the same domain as the input point map.

The georeference for the output map has to be selected or created; you can usually select an existing georeference corners. The georeference for the raster map must use the same coordinate system as the point map. Georeference None cannot be selected for the output map.

Tips:

  • The Point density operation counts the number of points that are located in each pixel.
  • Interpolations on point values can be performed with the Moving average, Trend surface and Moving surface operations.
  • To rasterize only points with a specific code, you can first use the Mask points operation.
  • When you want to print vector maps for annotation purposes on top of raster maps, print quality will improve if you use the vector maps as they are, thus without rasterizing them.
  • To obtain frequency information on points, you can calculate the histogram of a point map with the Histogram operation.

See also:

Points to raster : dialog box

Points to raster : command line

Points to raster : algorithm


Points to raster : dialog box

Points to raster

Dialog box

The Points to raster operation rasterizes a point map. The class names, IDs, or values in the point map are also used in the raster map; i.e. the domain of the point map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a point map directly from the Catalog into this box. No special input map requirements; you can also select an attribute from a map's attribute table.
Point size: | Type a value (integer > 0) for the size of the points in pixels in the output map. Point size 1 means each point is represented by 1 pixel in the output map. Point size 2 means that each point is represented by 2*2 pixels in the output map.
Output raster map: | Type a name for the output raster map that will contain the rasterized points.
Georeference: | Select an existing georeference for the output raster map; open the list box by clicking it. Or create a new georeference by clicking the little create button [image] . You can usually select an existing georeference corners.
Value range: | In case the input and output map use a value domain, accept the default value range, or specify your own range of possible values in the output map.
Precision: | In case the input and output map use a value domain, accept the default precision of output values, or specify your own precision.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Points to raster : functionality


Points to raster : command line

Points to raster

Command line

The Points to raster operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapRasterizePoint(InputPointMapName, Georeference, Point size)

where:

OUTMAP | is the name of your output raster map.
MapRasterizePoint | is the command to start the Points to raster operation.
InputPointMapName | is the name of your input point map.
Georeference | is the name of an existing georeference that should be used for the output raster map.
Point size | is the size of the points in pixels in the output map (integer > 0). Point size 1 means each point is represented by 1 pixel in the output map. Point size 2 means that each point is represented by 2*2 pixels in the output map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Tip:

In a script, you can prepare a georeference corners before rasterizing by using the crgrf command. See Appendices : ILWIS script language.

See also:

Points to raster : functionality


Points to raster : algorithm

Points to raster

Algorithm

The Points to raster operation rasterizes a point map. The output raster map always uses the same domain as the input point map. The user has to specify the georeference for the output raster map.

Process:

If the chosen point size is 1, then for each point, the corresponding pixel in the raster map is found; this pixel is assigned the class name, ID or value of the point. Other pixels obtain the undefined value.

If the chosen point size is larger than 1, then a square is drawn around each point with the specified size in pixels. All pixels inside this box are assigned the class name, ID or value of the point. Other pixels obtain the undefined value.

  • The pixel size indicated in the georeference for the output map, has a large influence on the size (in bytes) of the output raster map. Mind that rasterizing on a pixel size of 10 m instead of 50 m increases the size of the raster map by a factor 25.
  • If you want to rasterize only a portion of your point map, you can either select or create a georeference that does not cover the total area of your point map during rasterization, or you can first create a SubMap of the point map and then rasterize this submap.

For ILWIS 1.4 users:

  • During rasterization, an .INF table is not produced anymore. To know the area of polygons, length of segments, nr. of points etc., you can calculate the histogram of a polygon, segment or point map with the Histogram operation.
  • To rasterize attribute values of a point map, first create an attribute map of the point map with the Attribute map of point map operation, then rasterize this attribute point map.
  • When rasterizing a value point map, it is not yet possible to sum the values of points that would fall in one pixel.

See also:

Points to raster : functionality


Point density

Functionality

Dialog box

Command line

Algorithm


Point density : functionality

Point density

Functionality

The Point Density operation rasterizes a point map. For each output pixel, the number of points with a class name, ID or value located in the output pixel is counted: this is the output value for the pixel. When using the command line, you can also sum the values of points (or of point attributes). This operation can be used to examine the regional distribution of points or point values.

During this operation, you have to specify a georeference for the output raster map. It is advised to use a georeference in which the pixels are rather large, i.e. at least large enough to contain several points. When you choose a large pixel size, the points are aggregated over a larger area.

Furthermore, you have to specify the point size for the output map. Point size 1 means that each point is counted in 1 pixel in the output map. Point size 2 means that each point is counted in 2*2 pixels in the output map, etc. When you use a point size larger than 1, the output raster map will have a smoother appearance.

Example:

Suppose you have a point map in which each point represents one incidence of a forest-fire or an illness, etc. You can use the Point density operation to aggregate these incidences on square kilometers, on hectares, etc. This gives you quantitative information on the incidences per area.

Input map requirements:

No special requirements for the input point map.

Points which are undefined, i.e. which have no class name, ID or value, will be ignored.

Domain and georeference of output map:

The default domain for the output raster map is the system domain Count but you can also select another domain or create a new domain.

The georeference for the output map has to be selected or created. When this is the first time you aggregate pixels, you should create a new georeference corners in which the pixels are large enough to contain a number of points. The georeference for the raster map may use a coordinate system that is different from coordinate system of the input point map but a conversion between both coordinate systems must be possible. Georeference None cannot be selected for the output map.

Tips:

  • The Aggregate map operation has similar functionality for raster maps and contains a number of different aggregation functions.
  • On the command line, you can also use sum the values of the points that are rasterized by using the MapRasterizePointSum expression. For more information, see Point density : command line.

See also:

Point density : dialog box

Point density : command line

Point density : algorithm

Points to raster

Aggregate map


Point density : dialog box

Point density

Dialog box

The Point Density operation rasterizes a point map. For each output pixel, the number of points with a class name, ID or value located in the output pixel is counted: this is the output value for the pixel. When using the command line, you can also sum the values of points (or of point attributes). This operation can be used to examine the regional distribution of points or point values.

Dialog box options:

Input point map: | Select an input point map. Open the list box and select the desired input map, or drag a map directly from the Catalog into this box. No special input map requirements.
Point size: | Type a value (integer > 0) for the size of the points in pixels in the output map. Point size 1 means each point is counted in 1 pixel in the output map. Point size 2 means that each point is counted in 2 x 2 pixels in the output map.
Output raster map: | Type a name for the output raster map that will contain the counted number of points found in each output pixel.
Georeference: | Select an existing georeference or create [image] a new georeference corners.
Domain: | Accept the default domain Count, or select an existing value domain, or create a new value domain.
Value range: | Accept the default value range for the output map, or specify the value range yourself.
Precision: | Accept the default precision for the output map, or specify the precision yourself.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Point density : functionality

Point to raster: functionality


Point density : command line

Point density

Command line

The Point density operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapRasterizePointCount(InputPointMap, Georeference, PointSize)
OUTMAP | = | MapRasterizePointSum(InputPointMap, Georeference, PointSize)

where:

OUTMAP | is the name of your output raster map.
MapRasterizePointCount | is the command to start the Point density operation and counting the number of points inside pixels.
MapRasterizePointSum | is the command to start the Point density operation and summing the values of the points or the attribute values of points inside pixels. This command can only be used on the command line.
InputPointMap | is the name of your input point map. When using MapRasterizePointCount, the map may use any domain. When using MapRasterizePointSum, the map has to use a value domain or you have to specify an attribute column of an attribute table linked to the point map as InputPointMap.ColumnName
Georeference | is the name of an existing georeference that should be used for the output raster map.
PointSize | is the point size (integer value > 0) of the output map. Point size 1 means each point is counted in 1 pixel in the output map. Point size 2 means that each point is counted in 2*2 pixels in the output map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Tip:

In a script, you can prepare a georeference corners before rasterizing by using the crgrf command. See Appendices : ILWIS script language.

See also:

Point density : functionality


Point density : algorithm

Point density

Algorithm

The Point density operation rasterizes a point map on a pixel size which is specified in the georeference.

The value assigned to an output pixel is either determined:

  • by the number of points encountered in a pixel; use the dialog box or the MapRasterizePointCount expression on command line, or
  • by the sum of the point values encountered in a pixel, or the sum of attribute values; use the MapRasterizePointSum expression on the command line.

Process Count:

  • All pixels are initialized on value zero.
  • For every point in the input point map, it is determined in which output pixel it is located.
  • The value of an output pixel is incremented by 1, for each point which has a defined value and which is found in that pixel.
  • If no points with a defined value are found in a pixel, and you used the default domain Count, the output pixel obtains value 0.

See also:

Point density : functionality

Points to raster: functionality


Operations

Vectorize

Raster to polygons

Raster to segments

Raster to points

Polygons to segments

Polygons to points

Segments to polygons

Segments to points


Raster to polygons

Functionality

Dialog box

Command line

Algorithm


Raster to polygons : functionality

Raster to polygons

Functionality

The Raster to Polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names or IDs in the input raster map will also be used for the polygons in the output polygon map. No polygons are created for pixels with the undefined value.

The polygons in the output map are derived from areas of pixels in the input raster map:

  • where pixels have the same class name or ID or
  • where pixels have exactly the same value (only possible via the command line).

You can choose to create polygons:

  • from 4-connected pixels: areas of pixels are found where pixels with the same class name, ID or value are horizontally or vertically connected; or
  • from 8-connected pixels: areas of pixels are found where pixels with the same class name, ID or value are horizontally, vertically or diagonally connected.

For more information on constructing areas of 4 or 8-connected pixels, see Area numbering : functionality.

Furthermore, you can specify whether or not to smooth the boundaries of the output polygons.

The Raster to Polygons operation attempts to create polygons for neighbouring pixels which have the same class name or ID or exactly the same value. In an input map which uses a class or ID domain, the areas with a certain class name or ID are clearly distinct, thus, it is rather simple to find the areas. In the dialog box of this operation, you can therefore only select class or ID maps. On the command line, you can also use value maps or images as input. However, in a value map or an image, there are usually no distinct areas with exactly the same value; the values of neighbouring pixels may be similar but are usually not exactly the same. As the operation attempts to find areas where neighbouring pixels have exactly the same value, the resulting output map will usually contain very many areas; these areas may consist of individual pixels or of small groups of a few pixels. To make polygons of a value raster map or an image, it is advised to first use the Slicing operation; then, you can use the output map of the Slicing operation in the Raster to Polygons operation.

Examples:

The effect of using 4 or 8-connected pixels and smoothing or no smoothing is illustrated in the figures below.

Input map: |
Output map 4-connected no smoothing: | Output map 8-connected no smoothing:
Output map 4-connected with smoothing: | Output map 8-connected with smoothing:

The result of this operation depends on the homogeneity of the raster map and the pixel size compared to the size of the mapping units. It is advised to only use this operation on rather homogeneous raster maps that consist of areas with a considerable number of pixels. When you want to extract for instance polygons from a raster map which is the result of the Classify operation, it may be better to first run the majority filter on that raster map to homogenize the classification results and then perform the Raster to polygons operation.

When the input raster map has an attribute table or when the domain of the input raster map has an attribute table, the Raster to polygons operation automatically links this attribute table to the output polygon map.

Input map requirements:

When you use the Raster to Polygons operation through the dialog box, you can use for the input raster map a map with a class, ID or Bool domain. On the command line, you can use any type of input map.

The input raster map must have a georeference which is not georeference None.

Domain and coordinate system of output map:

The output polygon map uses the same domain as the input raster map.

The output polygon map uses the same coordinate system as the georeference of the input raster map. The coordinate boundaries for the polygon map are the boundaries of this georeference.

See also:

Raster to polygons : dialog box

Raster to polygons : command line

Raster to polygons : algorithm


Raster to polygons : dialog box

Raster to polygons

Dialog box

The Raster to Polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names or IDs in the input raster map will also be used for the polygons in the output polygon map. No polygons are created for pixels with the undefined value.

Dialog box options:

Input raster map: | Select an input raster map (map with a class, ID, Bool or Group domain). Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The raster map must have a georeference which is not georeference None.
Connect: | Specify to obtain polygons from 4-connected pixels or from 8-connected pixels.
4-connected: | Find areas of pixels with the same value/name which are horizontally or vertically connected, then create polygons from these areas.
8-connected: | Find areas of pixels with the same value/name which are horizontally, vertically or diagonally connected, then create polygons from these areas.
Smooth lines: | Select this check box if you want the boundaries of the output polygons to be smoothed. Clear this check box if the polygon boundaries should follow the exact boundaries of the pixel areas.
Output polygon map: | Type a name for the output polygon map that will contain the polygons extracted from units in the raster map.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Raster to polygons : functionality


Raster to polygons : command line

Raster to polygons

Command line

The Raster to polygons operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP | = | PolygonMapFromRas(InputRasterMapName)
OUTMAP | = | PolygonMapFromRas(InputRasterMapName, 8|4)
OUTMAP | = | PolygonMapFromRas(InputRasterMapName, 8|4, smooth|nosmooth)

where:

OUTMAP | is the name of your output polygon map.
PolygonMapFromRas | is the command to start the Raster to Polygons operation.
InputRasterMapName | is the name of your input raster map.
8|4 | is an optional parameter to indicate whether to construct 8-connected 4-connected areas (either 8 or 4) from which polygons should be extracted; when this parameter is not specified, 8-connected areas will be used.
smooth|nosmooth | is an optional parameter to indicate whether the boundaries of the output polygons should be smoothed or not (type either smooth or nosmooth); when this parameter is not specified, boundaries will be smoothed.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Raster to polygons : functionality


Raster to polygons : algorithm

Raster to polygons

Algorithm

The Raster to Polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names, IDs, or values in the input raster map will also be used for the polygons in the output polygon map.

First Area Numbering is applied on the input raster map. In case of 4-connectivity, the program compares the values of the 4 horizontal and vertical neighbouring pixels with the value of the center pixel, and in case of 8-connectivity, the program compares the values of all 8 neighbouring pixels (including the diagonal neighbours) with the value of the center pixel.

Then, polygons are initialized; a topological structure is built and stored; and the areas of the polygons are calculated.

No polygons are created for pixels with the undefined value.

See also:

Raster to polygons : functionality


Raster to segments

Functionality

Dialog box

Command line

Algorithm


Raster to segments : functionality

Raster to segments

Functionality

The Raster to segments operation extracts segments from the boundaries of mapping units in a raster map.

The segments in the output map are derived from the boundaries of areas of pixels that have the same class name or ID in the input raster map. You can choose to create segments:

  • from 4-connected pixels: areas of pixels are found where pixels with the same class name or ID are horizontally or vertically connected; or
  • from 8-connected pixels: areas of pixels are found where pixels with the same class name or ID are horizontally, vertically or diagonally connected.

For more information on constructing areas of 4 or 8-connected pixels, see Area numbering : functionality.

There are two possibilities to assign names to the extracted segments:

  • single name: all extracted segments are named 'Boundaries';
  • unique names: each segments obtains a unique name 'Boundary 1', 'Boundary 2' etc.; the original names or values of the units on either side of an extracted segment as well as the length of extracted segments are stored in an additional attribute table for the output map.

Furthermore, you can specify whether or not to smooth the output segments.

Examples:

The effect of using 4 or 8-connected pixels and smoothing or no smoothing is illustrated in the figures below.

Input map: |
Output map 4-connected no smooting: | Output map 8-connected no smoothing:
Output map 4-connected with smoothing: | Output map 8-connected with smoothing:

Using 4- and 8-connectivity, the appearance of the output map looks the same, however in the case of 4-connectivity the output map has more segments. This is because only horizontal and vertical neighbours were evaluated to construct segments from the boundaries of the mapping units. In the case of 8-connected, horizontal, vertical and diagonal neighbours were used to construct segments. Note that in the output map the two highlighted segments (dark gray and dashed) 'touch' another segment (black) in the central part of the map without a node.

The result of this operation depends on the homogeneity of the raster map and the pixel size compared to the size of the mapping units. It is advised to only use this operation on rather homogeneous raster maps that consist of areas with a considerable number of pixels. When you want to extract for instance segments from a raster map which is the result of the Classify operation, it may be better to first run the majority filter on that raster map to homogenize the classification results and then perform the Raster to segments operation.

Input map requirements:

When you use the Raster to Segments operation through the dialog box, you can use for the input raster map a map with a class, ID or Bool domain. On the command line, you can use any type of input map.

The input raster map must have a georeference which is not georeference None.

Domain and coordinate system of output map:

The operation creates a new domain which is stored by the output map (internal domain).

  • When the Single Name option is used and when the input map has a class domain, the output map also has a class domain.
    All segments will obtain the name 'Boundaries'.
  • When the Single Name option is used and when the input map has an ID domain, the output map also has an ID domain.
    All segments will obtain the name 'Boundaries'.
  • When the Unique Names option is used, the output map and the attribute table will use a UniqueID domain.
    Every segment will obtain a unique name like 'Boundary 1', 'Boundary 2', etc.

The output segment map uses the same coordinate system as the georeference of the input raster map. The coordinate boundaries for the segment map are the boundaries of this georeference.

Attribute table for output map:

When the Unique Names option is used, an attribute table will be automatically created for the output map. The table will obtain the same name as the output map. The table will contain the new IDs, the names of the mapping units to the right and to the left of each extracted segment and the length of each extracted segment.

Tips:

  • To obtain frequency information on segments, you can calculate the histogram of the resulting segment map with the Histogram operation.
  • If you only want to extract segments from a small part of your raster map, you can first create a Submap of the raster map and then extract segments from the raster submap.
  • For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Raster to segments : dialog box

Raster to segments : command line

Raster to segments : algorithm


Raster to segments : dialog box

Raster to segments

Dialog box

The Raster to segments operation extracts segments from the boundaries of mapping units in a raster map. You can choose to extract segments from 4-connected or 8-connected areas, and to smooth output segments or not.

Furthermore, you can choose to assign a single name 'Boundaries' to all output segments or to assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments. In the latter case, an attribute table will be created for the output map which contains the original mapping unit names or values on either side of an extracted segment as well the lengths of the extracted segments.

Dialog box options:

Input raster map: | Select an input raster map (map with a class, ID or a Bool domain). Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The raster map must have a georeference which is not georeference None. On the command line, you can also use an input value map.
Boundaries: | Specify to extract boundaries for contiguous units in the raster map.
Connect: | Specify to obtain segments from 4-connected pixels or from 8-connected pixels.
4-connected: | Find areas of pixels with the same name which are horizontally or vertically connected, then create segments from the boundaries of these areas.
8-connected: | Find areas of pixels with the same name which are horizontally, vertically or diagonally connected, then create segments from the boundaries of these areas.
Smooth lines: | Select this check box if you want the output segments to be smoothed. Clear this check box if the segments should follow the exact boundaries of the pixel areas.
Single name: | Select this check box if you want that all segments obtain the same code 'Boundaries'. Clear this check box to assign unique names ('Boundary 1', 'Boundary 2', etc.) to the extracted segments; the original mapping unit names on either side of a boundary will be stored in the attribute table of the output map.
Output segment map: | Type a name for the output segment map that will contain the segments which were extracted from the boundaries of mapping units in the raster map.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

When you wish to obtain Unique names for extracted segments, an attribute table will be automatically created for the output map (same name as output map). The table will contain the names of the mapping units to the right and to the left of an extracted segment and the length of each extracted segment. Both the map and the attribute table will then use a UniqueID domain.

The unique names or the single name for the output segments are always stored by the output map (internal domain).

See also:

Raster to segments : functionality


Raster to segments : command line

Raster to segments

Command line

The Raster to segments operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

SegmentMapFromRasAreaBnd(InputRasterMapName, 8|4, smooth|nosmooth, single|unique)

where:

OUTMAP

is the name of your output segment map.

SegmentMapFromRasAreaBnd

is the command to start the Raster to segments operation.

InputRasterMapName

is the name of your input raster map (any domain).

8|4

is the parameter to indicate whether to construct 8-connected 4-connected areas (either 8 or 4) from which segments should be extracted.

smooth|nosmooth

is the parameter to indicate whether the output segments should be smoothed or not.

single|unique

is the parameter to indicate whether the output segments should obtain one name Boundaries, or unique names like Boundary 1, Boundary 2, etc.

When the unique parameter is used, an attribute table will be created for the output map; the table will store the names of the mapping units to the right and to the left of the extracted segments and the length of the extracted segments.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Furthermore, the codes for the output segments will be stored by the output segment map:

  • When the Single parameter is used, the name for the output segments is stored by the output map (internal domain).
  • When the Unique parameter is used, the output map will use a UniqueID domain (internal domain).

See also:

Raster to segments : functionality


Raster to segments : algorithm

Raster to segments

Algorithm

First, the Raster to segments operation finds areas of pixels in the input map that have the same class name, ID or value. Areas can be constructed from pixels that are either horizontally or vertically connected (4-connected) or horizontally, vertically or diagonally connected (8-connected). For more information on constructing areas of 4 or 8-connected pixels, see Area numbering : functionality.

Then, from the boundaries of these areas, segments are extracted.

  • If the Single Name option is used, all segments in the output map obtain the code Boundaries.
  • If the UniqueIDs option is used, each segment obtains a unique ID like Boundary 1', Boundary 2, etc.

    • In this case, an attribute table will be created for the output map in which the names of the original mapping units on either side of an extracted segment are stored, as well as the length of extracted segments.

Finally, if specified, the segments in the output map will be smoothed.

See also:

Raster to segments : functionality


Raster to points

Functionality

Dialog box

Command line

Algorithm


Raster to points : functionality

Raster to points

Functionality

The Raster to points operation extracts a point from each pixel in the raster map. Each point gets the value, class name or ID of the corresponding pixel.

No points are created for pixels with the undefined value.

Tip:

To temporarily view pixel values as text in a map window, you can select the Text check box in the Display Options dialog box of a raster map.

Input map requirements:

The input raster map must have a georeference and this georeference cannot be georeference None.

Domain and coordinate system of output map:

The output point map uses the same domain as the input raster map.

The output point map uses the same coordinate system as the input raster map; coordinate boundaries for the output point map are constructed from the georeference of the input raster map.

See also:

Raster to points : dialog box

Raster to points : command line

Raster to points : algorithm


Raster to points : dialog box

Raster to points

Dialog box

The Raster to points operation extracts a point from each pixel in the raster map. Each point gets the value, class name or ID of the corresponding pixel.

No points are created for pixels with the undefined value.

Dialog box options:

Input raster map: | Select an input raster map. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box. The raster map must have a georeference which is not georeference None.
Output point map: | Type a name for the output point map that will contain the values of pixels as points.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Raster to points : functionality


Raster to points : command line

Raster to points

Command line

The Raster to points operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

PointMapFromRas(InputMapName)

where:

OUTMAP | is the name of your output point map.
PointMapFromRas | is the command to start the Raster to points operation.
InputMapName | is the name of the input raster map; this map cannot have georeference None.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Raster to points : functionality


Raster to points : algorithm

Raster to points

Algorithm

The Raster to points operation extracts a point from each pixel in the raster map. Each point gets the value, class name or ID of the corresponding pixel. The points are located at the centers of the pixels.

No points are created for pixels with the undefined value.

See also:

Raster to points : functionality


Polygons to segments

Functionality / Algorithm

Dialog box

Command line


Polygons to segments : functionality/algorithm

Polygons to segments

Functionality / Algorithm

The Polygons to segments operation extracts polygon boundaries and creates a segment map out of them. By default, the operation extracts segments from all polygon boundaries of the input map. You can also specify a mask to extract segments of specific polygons. The operation might be useful when you want to edit/update boundaries of polygons.

There are two possibilities to assign names to the extracted segments:

  • single name: all extracted segments are named 'Boundary';
  • unique names: each segments obtains a unique name 'Boundary 1', 'Boundary 2' etc.; the original names or values of the neighbouring polygons on either side of an extracted segment as well as the length of extracted segments are stored in an additional attribute table for the output map.

Input map requirements:

No special input map requirements.

Domain and coordinate system of output map:

The operation creates a new domain which is stored by the output map (internal domain).

  • When the Single Name option is used and when the input map has a class domain, the output map also has a class domain.
    All segments will obtain the name 'Boundary'.
  • When the Single Name option is used and when the input map has an ID domain, the output map also has an ID domain.
    All segments will obtain the name 'Boundary'.
  • When the Unique Names option is used, the output map and the attribute table will use a UniqueID domain.
    Every segment will obtain a unique name like 'Boundary 1', 'Boundary 2', etc.

The output segment map uses the same coordinate system as the input polygon map.

Attribute table for output map:

When the Unique Names option is used, an attribute table will be automatically created for the output map. The table will obtain the same name as the output map; it will contain the names of the polygons to the right and to the left of each extracted segment and the length of each extracted segment.

Tips:

  • You can also extract segments in the polygon editor.
  • For more information on internal domains and representations, refer to How to open internal domains/representations.

See also:

Polygons to segments : dialog box

Polygons to segments : command line


Polygons to segments : dialog box

Polygons to segments

Dialog box

The Polygons to segments operation extracts polygon boundaries and creates a segment map out of them. A mask can be specified to extract segments of specific polygons.

Dialog box options:

Input polygon map: | Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. No special input map requirements.
Mask: | Type (multiple) search strings to extract segments of specific polygons. For more information, see Mask Polygons : functionality and How to use masks.
Single name: | Select this check box if you want to assign the single name 'Boundary' to all extracted segments. Clear this check box to assign unique names ('Boundary 1', 'Boundary 2', etc.) to the extracted segments; the original polygon names on either side of a boundary will be stored in the attribute table of the output map.
Output segment map: | Type a name for the output segment map that will contain the extracted segments.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

When you wish to obtain Unique names for extracted segments, an attribute table will be automatically created for the output map (same name as output map). The table will contain the names of the polygons to the right and to the left of an extracted segment and the length of each extracted segment. Both the map and the attribute table will then use a UniqueID domain.

The unique names or the single name for the output segments are always stored by the output map (internal domain).

See also:

Polygons to segments : functionality


Polygons to segments : command line

Polygons to segments

Command line

The Polygons to segments operation can be directly executed by typing one of the following expressions on the command line of the Main Window:

OUTMAP | = | SegmentMapPolBoundaries(InputPolygonMap, "*", single)
OUTMAP | = | SegmentMapPolBoundaries(InputPolygonMap, "mask", single)
OUTMAP | = | SegmentMapPolBoundaries(InputPolygonMap, "*", unique)
OUTMAP | = | SegmentMapPolBoundaries(InputPolygonMap, "mask", unique)

where:

OUTMAP | is the name of your output segment map.
SegmentMapPolBoundaries | is the command to start the Polygons to segments operation.
InputPolygonMap | is the name of your input polygon map.
"mask" | are the (multiple) search strings to extract segments of specific polygons; on the command line, the total mask needs to be surrounded by double quotes.
single | is the parameter to assign the name 'Boundary' to all output segments.
unique | is the parameter assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments; the attribute table which is created for the output map will then store the names of the polygons to the right and to the left of the extracted segments and the length of the extracted segments.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

When the Single parameter is used, the name for the output segments is stored by the output map (internal domain).

When the Unique parameter is used, a UniqueID domain will be used for the names for the output segments (internal domain).

See also:

Polygons to segments : functionality


Polygons to points

Functionality

Dialog box

Command line

Algorithm


Polygons to points : functionality

Polygon to points

Functionality

The Polygons to points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.

Tips:

  1. By creating polygon label points which also contains label points for undefined polygons, you can easily find the polygons which do not yet have a correct class name, ID or value. To check whether there are any undefined polygons, you can open the output point map as a table.
  2. When you want to edit label points of undefined polygons:
    • Display the polygon map and in the Display Options dialog box of the polygon map, choose Boundaries Only;
    • Display the point map which contains the polygon labels in the same map window (points for undefined polygons do not appear yet);
    • In the map window, open the Edit menu, choose Properties and select the point map. In the appearing Point Map Properties dialog box, click the Break Dependency Link button;
    • In the map window, open the Edit menu, choose Edit Layer and select the point map;
    • The point editor will be started: all points and their class names, IDs or values will be shown including the label points for undefined polygons;
    • Now, you can edit the points with the undefined value to a correct class name, ID or value (depending on the domain of the map). All changes are directly stored.
    • When finished, you can repolygonize the segment map using the updated label point file; the class names, IDs or values found in the label point file will be used to assign class names, IDs or values to polygons.
  3. To obtain the names, IDs or values of polygons as text within polygons, it is advised to create an annotation text object and base it on your polygon map. You can edit font, color, and position of the texts in the Annotation Text editor. For more information, see ILWIS objects : annotation text.

Input map requirements:

No special input map requirements.

Domain and coordinate system of output map:

The output point map uses the same domain as the input polygon map.

The output point map uses the same coordinate system and coordinate boundaries as the input polygon map.

See also:

Polygons to points : dialog box

Polygons to points : command line

Polygons to points : algorithm


Polygons to points : dialog box

Polygon to points

Dialog box

The Polygons to points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.

Dialog box options:

Input polygon map:

Select an input polygon map. Open the list box and select the desired input map, or drag a polygon map directly from the Catalog into this box. No special input map requirements.

Label points:

For each polygon, a point is created in the output map. The points are located inside the corresponding polygons.

Include undefineds:

Select this check box when the label point file should also contain points for polygons without a class name, ID or value, i.e. for undefined polygons.

Clear this check box when you only want to obtain label points for polygons that have a class name, ID or value.

Output point map:

Type a name for the output point map that will contain the polygon label points.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Polygons to points : functionality


Polygons to points : command line

Polygon to points

Command line

The Polygons to points operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP | = | PointMapPolLabels(InputPolygonMap)
OUTMAP | = | PointMapPolLabels(InputPolygonMap, AlsoUndefs)

where:

OUTMAP | is the name of your output point map.
PointMapPolLabels | is the command to start the Polygons to points operation.
InputPolygonMap | is the name of the input polygon map.
AlsoUndefs | is an optional parameter to obtain label points for undefined polygons as well.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Polygons to points : functionality


Polygons to points : algorithm

Polygons to points

Algorithm

The Polygons to points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.

Label points:

For each polygon:

  • The Y-coordinate of a label point is determined as the mean value of the minimum and maximum Y-coordinate used by the polygon. In other words, the Y-coordinate of the label point will be positioned on the horizontal middle line of the polygon.
  • In case the polygon is convex, the X-coordinate of a label point is determined as the mean of the minimum and maximum X-coordinate used by the polygon.
  • In case the polygon is concave, it is possible that the horizontal middle line is cut into several pieces by the polygon boundary. Then, the X-coordinate of the label point is positioned at the middle of the longest piece of the horizontal middle line inside the polygon.

This means that:

  • for circular polygons, the label point lies more or less at the center of the polygon;
  • for vertical half-moon shaped polygons, the label point lies in the middle of the broader part of the polygon.
  • for horizontal half-moon shaped polygons, the label point lies in one of the tips of the half-moon.
  • for hour-glass shaped polygons, the label point may lie at the narrowest part of the polygon.
  • for polygons containing one or more islands, the label point may lie at a narrow part close to an island.

When you are not satisfied with the position of a label point, display the polygon boundaries and the label points in the same map window, break the dependency link of the point map, and use the Point editor to move a label point to another position.

See also:

Polygons to points : functionality


Segments to polygons

Functionality

Dialog box

Command line

Algorithm


Segments to polygons : functionality

Segments to polygons

Functionality

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported vector files from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends, self overlap and/or intersections are not allowed. A mask can be specified to polygonize specific segments.

A polygon is a list of a linked segments representing the (complete) boundary of an area. Provinces, soil units, cadastral lots and other mapping units can be stored as polygons. Polygon maps are generally used as a stepping stone to raster maps.

A segment map may contain different classes or IDs representing different 'layers'. From each segment class name/ID and from sets of class names/IDs, you can create different polygon maps. By selecting a mask the user specifies the segment class names/IDs that are to be used to create a polygon map.

Topological polygonization vs. non-topological polygonization:

When using the Segments to Polygons operation, you can choose whether use topological polygonization or non-topological polygonization.

You should select topological polygonization when:

  • you digitized the segments in ILWIS,
  • you wish to polygonize imported segments and when you are sure that each segment can be used both to define the boundary of a polygon to its left and a polygon to its right (topological structure).

Before the segments will be polygonized, they are first checked on dead ends, self overlap and intersections, see below.

You should select non-topological polygonization when:

  • you imported non-topological polygons (e.g. DXF) into ILWIS earlier on, and now wish to polygonize the segment map which is the result of the import. In this type of segment maps, each segment has only 1 node (serving both as begin node and as end node), and each segment encloses exactly 1 polygon. Neighbouring polygons thus do not share the same segment as their boundary (non-topological structure).

Only segments with a single node will be polygonized.

Tip:

You can check the structure of the segment map for instance by:

  1. Open the segment map you wish to check in the Segment editor;
  2. Select a segment:
    • if the segment is just a part of the boundary of a complete future polygon, you may have the topological structure;
    • if the segment seems a nice boundary of a complete future polygon, you may have the non-topological structure as meant above;

    Check for some other segments as well.

  3. Go to Move Points mode and zoom in a bit.
    Take a node and move it a bit away, then redraw the map:
    • if the segment just seems relocated and no other line appears on the previous position, you may have the topological structure;
    • if the moved segment is relocated but when also another line appears on the position from where you just moved the segment (segment seems to be 'double'), you may have the non-topological structure as meant above.
  4. When the checks and criteria in steps 2 and 3 are true for the same thing (either topological or non-topological), you can draw the conclusion.
  5. When you have the non-topological structure of 1 node per segment, the segment check Closed Segments in the segment editor should not give any errors.
  6. Don't forget to Undo All Changes in the segment editor; then close the editor.

Segment check during topological polygonization:

Prior to the actual topological polygon creation, segments are checked for possible topological errors. Segment checking is carried out in three steps:

  • Self overlap check: to check whether a segment crosses itself (finding flase polygons);
  • Dead ends check: to check whether begin and end nodes of segments are properly snapped to other nodes;
  • Intersections check: to check whether different segments which cross each other have a node at the intersection.

Optionally, you can use the Auto Correction option to automatically remove any errors that may be encountered during the Check Segment phase:

  • false polygons will be automatically deleted;
  • segments which exactly overlay another segment will be deleted;
  • dead end segments will be deleted;
  • crossing segments will be split and snapped to each other.

Erroneous segments will only be deleted from a temporary copy of the input segment map, not from the input segment map itself.

If Auto Correction is not selected, the program will stop with an error message when a topological error is encountered.

Note:

As the user has no control over the Auto Correction procedure, it is advised to polygonize segments within the Segment editor where you can correct errors yourself.

Naming the polygons:

Polygons can be named using different methods:

  • Label Points: you need to specify a point map which contains the label points for the polygons. Each polygon will obtain the class name, ID or value of the point that is found to be located in a polygon.
  • Unique Identifiers: the polygons will be automatically and sequentially named as Pol 1, Pol 2, etc. These polygon names will be stored by the output map (internal UniqueID domain).
  • Segment Codes (only available for non-topological polygonization): each polygon will obtain the name of the segment which encloses that polygon.
  • Domain (mainly used when segments are polygonized from within the segment editor): the user has to specify a domain which will be linked to the output polygon map. The output polygons will not have names yet. After polygonization, you need to assign names to the polygons manually, i.e. edit the polygon map. For more information, see Segment editor : polygonize.

Input map requirements:

No special requirements for the input segment map.

If the Label Points option is selected, the point map with the labels and the segment map should use the same or a compatible coordinate system. When the coordinate systems of the input maps are different (e.g. different projections) but compatible, the point coordinates will be transformed to the coordinate system of the segment map.

Domain and coordinate system of output map:

Domain of output polygon map:

  • When the Label Points option is used, the output polygon map will use the same domain as the specified point map containing the labels.
  • When the Unique Identifiers option is used, the Unique IDs will be stored by the output map, i.e. the output map will use an internal Unique ID domain. For more information on internal domains, see How to open and edit internal domains.
  • When the Segments option is used, the output polygon map will use the same domain as the input segment map.
  • When, in the segment editor, the Domain option is used, the output polygon map will use the specified domain.

The output polygon map will use the same coordinate system as the input segment map.

See also:

Segments to polygons : dialog box

Segments to polygons : command line

Segments to polygons : algorithm

Segment editor : check segments

Segment editor : polygonize


Segments to polygons : dialog box

Segments to polygons

Dialog box

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported polygons or segments from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends, self overlap and/or intersections are not allowed. A mask can be specified to polygonize specific segments.

Tips:

    • Segment editor : Check Segments: open the segment map in the segment editor and use Check Segments to check the segments yourself before polygonization and have the possibility to interactively correct any erroneous segments yourself.
    • Segment editor : Polygonize: open the segment map in the Segment editor and use Polygonize to polygonize segments while having the possibility to interactively correct erroneous segments yourself.

Dialog box options:

Input segment map:

Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box.

Mask:

Select this check box when you only want to polygonize specific segments. Type (multiple) search strings to find the segments that you want to polygonize. For more information, see Mask Segments : functionality and How to use masks. Clear this check box to use all segments.

Topology:

Select this check box when you digitized the segments in ILWIS, or, in case you wish to polygonize imported segments, when you are sure that each segment can be used both to define the boundary of a polygon to its left and a polygon to its right (topological structure).

Clear this check box when you imported non-topological polygons (e.g. DXF) into ILWIS earlier on, and now wish to polygonize the segment map which is the result of the import. In this type of segment maps, each segment has only 1 node (serving both as begin node and as end node), and each segment encloses exactly 1 polygon. Neighbouring polygons thus do not share the same segment as their boundary (non-topological structure).

Segment codes:

Only available in case you have cleared the Topology check box, i.e. when you wish to create polygons from segments which each enclose a single polygon (non-topological): select this option when you wish to assign to each polygon, the name of the segment which encloses the polygon.

Label points:

Select this option when you have a point map which contains the label points for the polygon map. This means that, in a point map, you have points with certain class names, IDs or values; every polygon will be assigned the name, ID, or value of the point that is found in a polygon. You need to select the point map with the label points from the list.

Unique Identifiers:

Select this option to obtain uniquely named polygons. All polygons will be named automatically and sequentially, i.e. as Pol 1, Pol 2, etc.

When, after polygonization, you open the output map as a domain, you can only edit the Prefix 'Pol' of the IDs.

If, after polygonization, you wish to assign other names to the polygons, you should:

  • open the Properties of the polygon map, and create an attribute table for the polygon map,
  • open the attribute table, and add an (empty) attribute column to the table into which the new polygon names can be entered later on,
  • open the map in a map window, and use the Double-click Action, Edit Attributes option to enter the desired polygon names in the attribute column,
    (if you broke the Dependency Links of the polygon map, you can also edit the map in the polygon editor and enter the desired polygon names in the attribute column),
  • use the Attribute map of polygon map operation to obtain a polygon map with the new class names, IDs, etc.

Of course, also other attributes can be entered in or joined into this attribute table.

Auto correction:

Only available if the Topology check box has been selected: select this check box if you want the program to automatically correct erroneous segments: false polygons will be deleted, segments with dead ends will be deleted, and nodes will be inserted when required. This means that segments which are not properly snapped/connected to each other or to themselves by nodes, might not appear as polygon boundaries in the output map.

Note: Erroneous segments will only be deleted from a temporary copy of the input segment map, not from the original input segment map itself.

Clear this check box to stop polygonization when an error is encountered in the input segment map, you can then first check the segments in the Segment editor.

Output polygon map:

Type a name for the output polygon map.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

When the Unique Identifiers option is used, the unique IDs will be stored by the output map (internal domain).

See also:

Segments to polygons : functionality


Segments to polygons : command line

Segments to polygons

Command line

The Segment to polygons operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | PolygonMapFromSegment(InputSegmentMap)
OUTMAP | = | PolygonMapFromSegment(InputSegmentMap, "mask")
OUTMAP | = | PolygonMapFromSegment(InputSegmentMap, "mask", MethodTopo)
OUTMAP | = | PolygonMapFromSegment(InputSegmentMap, "mask", MethodTopo, Auto)
OUTMAP | = | PolygonMapFromSegment(InputSegmentMap, , MethodTopo)
OUTMAP | = | PolygonMapFromSegment(InputSegmentMap, , MethodTopo, Auto)

OUTMAP | = | PolygonMapFromSegmentNonTopo(InputSegmentMap)
OUTMAP | = | PolygonMapFromSegmentNonTopo(InputSegmentMap, "mask")
OUTMAP | = | PolygonMapFromSegmentNonTopo(InputSegmentMap, "mask", MethodNonTopo)
OUTMAP | = | PolygonMapFromSegmentNonTopo(InputSegmentMap, , MethodNonTopo)

where:

OUTMAP | is the name of your output polygon map.
PolygonMapFromSegment
 | topological polygonization: the command to start the Segments to Polygons operation if the segment structure is topological, i.e. when segments can be used both to define the boundary between a polyon to its left and a polygon to its right.
PolygonMapFromSegmentNonTopo
 | non-topological polygonization: the command to start the Segments to Polygons operation if the segment structure is non-topological, i.e. when each segment has only 1 node (serving both as begin node and as end node), and when each segment encloses exactly 1 polygon. Neighbouring polygons thus do not share the same segment as their boundary. i.e. when each polygon is enclosed by 1 closed segment only.
InputSegmentMapName
 | is the name of your input segment map.
"mask" | is an optional parameter to specify the (multiple) search strings to find the classes, IDs or values in the input segment map so that only these segments will be used for polygonization; in a mask, asterisks and question marks can be used as wild cards; the total mask needs to be surrounded by double quotes. If an empty mask is specified, as "", or if no mask is specified, all segments will be polygonized.
MethodTopo | LabelPntMap | unique | domain is an optional parameter to specify how the polygons should be named during topological polygonization; parameters are explained below. If MethodTopo is not specified, the Unique method will be used.
LabelPntMap | is the name of the point map which contains the labels; polygons will be named according to these labels.
unique | parameter to specify that polygons should obtain unique IDs as Pol 1, Pol 2 etc. (internal domain).
domain | this option is mainly used when the Domain option is selected during polygonization in the Segment editor (see Segment editor : Polygonize). Domain is the name of an existing domain which should be linked to the output polygon map. In the output polygon map, the polygons will not have names yet; after polygonization, you need to assign names to the polygons manually, i.e. edit the polygon map.
MethodNonTopo | segments | LabelPntMap | unique | domain is an optional parameter to specify how the polygons should be named during non-topological polygonization, parameters are explained below. If MethodNonTopo is not specified, the Unique method will be used.
segments | is the parameter to specify that each polygon should be named according to the code of the segment which encloses the polygon.
LabelPntMap | see above.
unique | see above.
domain | see above.
Auto | only for topological polygonization: optional parameter to automatically correct erroneous segments in the input map: deletes false polygons, deletes segments with dead ends, insert nodes when needed. If this parameter is not specified, polygonization will stop when an error is encountered in the input segment map.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Furthermore, when the Unique method is used, the names for the output polygons will be stored by the output polygon map, i.e. the output map will use a UniqueID domain (internal domain).

Examples topological polygonization:

POLMAP1 = PolygonMapFromSegment(MySegMap, , MyLabels)

All segments in segment map MySegMap will be polygonized and polygons will be named according to the label points in point map MyLabels. The output polygon map will be called POLMAP1.

POLMAP2 = PolygonMapFromSegment(MySegMap, "Land*", MyLabels)

From segment map MySegMap, segments which have a code that starts with Land will be polygonized and polygons will be named according to the label points in point map MyLabels. The output polygon map will be called POLMAP2.

Example non-topological polygonization:

POLMAP3 = PolygonMapFromSegmentNonTopo(MySegMap, , segments)

All segments in segment map MySegMap will be polygonized and each polygon will be named according the name of the segment which encloses the polygon. The output polygon map will be called POLMAP3.

See also:

Segments to polygons : functionality


Segments to polygons : algorithm

Segments to polygons

Algorithm

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported vector files from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends are not allowed. A mask can be specified to polygonize specific segments.

Process:

  1. All segments as specified in the mask are copied to the output map.

  2. Segment check and polygonization:

    1. When using topological polygonization:

      • Segments are checked for topological errors.

      • If Auto Correction is selected (not available from within the segment editor):
        • false polygons are automatically deleted;
        • segments which exactly overlay another segment are deleted;
        • dead end segments are deleted;
        • crossing segments are splitted and snapped to each other.

        Erroneous segments are only deleted in the temporary copy of the segment map, not from the input segment map itself.

      • Polygon topology is created. Every polygon boundary gets a forward and backward link, and a left and right polygon. For every polygon, the area and perimeter is calculated.

    2. When using non-topological polygonization:

      • Only segments which have only 1 node are polygonized. The node serves both as the begin node and as the end node of the segment. Each area that is enclosed by a segment which has only 1 node will be a polygon. For every polygon, the area and perimeter is calculated.

  3. Assigning names to polygons:

    4. When using:

    • a Label point map: for each point in the label point map (in the sequence of the point map), the polygon is determined in which the point is located. The name of the point is then assigned to the polygon found. Thus, if a label point is missing for a certain polygon, that polygon will keep the undefined value.
    • Unique Identifiers: each polygon obtains a unique identifier by the system.
    • Segment Codes (for non-topological polygonization only): each polygon obtains the name of the segment which encloses the polygon, i.e. the name of the segment which defines the boundary of the polygon.
    • a Domain: (mainly used when the operation is called from within the segment editor): the specified domain will be linked to the polygon map. All output polygons will have the undefined value, i.e polygons should be assigned names manually in the polygon editor.

See also:

Segments to polygons : functionality

Segment editor : check segments

Segment editor : polygonize


Segments to points

Functionality

Dialog box

Command line

Algorithm


Segments to points : functionality

Segments to points

Functionality

The Segments to points operation creates a point map from a segment map. The output point map can contain either:

  • a point for each node in the segment map, or
  • points at a regular distance along the segments in the segment map; nodes are included regardless of the specified distance, or
  • points for all stored coordinates in the segment map.

Tip:

To obtain the names, IDs or values of segments as text, it is advised to create an annotation text object and base it on your segment map. You can edit font, color, and position of the texts in the Annotation Text editor. For more information, see ILWIS objects : annotation text.

Input map requirements:

No special input map requirements.

Domain and coordinate system of output map:

The output point map uses the same domain as the input segment map.

The output point map uses the same coordinate system and coordinate boundaries as the input segment map.

See also:

Segments to points : dialog box

Segments to points : command line

Segments to points : algorithm


Segments to points : dialog box

Segments to points

Dialog box

The Segments to points operation creates a point map from a segment map. The output point map can contain either:

  • a point for each node in the segment map, or
  • points at a regular distance along the segments in the segment map, or
  • points for all stored coordinates in the segment map.

Dialog box options:

Input segment map: | Select an input segment map. Open the list box and select the desired input map, or drag a segment map directly from the Catalog into this box. No special input map requirements.
Only nodes: | Select this option button if you want to obtain all the segment nodes as points.
Distance: | Select this option button if you want to obtain coordinates at a regular distance along segments, and type a value for the distance interval (in meters); real value > 0.
All points: | Select this option button if you want to obtain the segment nodes and intermediate coordinates as points.
Output point map: | Type a name for the output point map that will contain the segment label points.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Segments to points : functionality


Segments to points : command line

Segments to points

Command line

The Segments to points operation can be directly executed by typing one of the following expression on the command line of the Main window:

OUTMAP | = | PointMapSegDist(InputSegmentMap, distance)
OUTMAP | = | PointMapSegNodes(InputSegmentMap)
OUTMAP | = | PointMapSegCoords(InputSegmentMap)

where:

OUTMAP | is the name of your output point map.
PointMapSegDist | is the command to start extracting points from segments at a regular distance interval.
PointMapSegNodes | is the command to start extracting all nodes from a segment map into a point map.
PointMapSegCoords | is the command to start extracting all nodes and intermediate coordinates from a segment map into a point map.
InputSegmentMap | is the name of the input segment map.
distance | is the distance interval (in meters) at which points should be extracted from segments; real value > 0.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Segments to points : functionality


Segments to points : algorithm

Segments to points

Algorithm

The Segments to points operation simply copies either:

  • all nodes of a segment map into a point map,
  • finds coordinates along segments at a user-defined distance interval and writes these to a point map, or
  • all nodes and intermediate coordinates of a segment map into a point map.

Segments to points by distance:

Segment nodes are always copied to the point map.

For each segment,

  • the program starts at the begin node,
  • then the segment is followed along its intermediate coordinates using straight lines, and
  • after each user-defined distance interval along this path, a point is created in the point map.

See also:

Segments to points : functionality


Operations

Table operations

Transpose Table

Change Domain of Table

Table to Point Map

Glue Tables


Transpose table

Functionality

Dialog box

Command line

Algorithm


Transpose table : functionality

Transpose table

Functionality

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.

Example:

In this example, a Rainfall table which contains rainfall figures of January, February and March for all rainfall stations in the Cochabamba area is transposed.

Input table:

Output table:

Input table requirements:

The input table should have a class or ID domain or domain None.

The input table should not have more than 1000 records.

The columns in the input table are generally value columns.

Domain of output table and of output columns:

The Transpose table operation creates a class domain out of all column names of the input table. The output table thus uses a class domain.

In the output table, all columns will use the same domain; you can select the domain for the output columns during the operation.

See also:

Transpose table : dialog box

Transpose table : command line

Transpose table : algorithm


Transpose table : dialog box

Transpose table

Dialog box

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.

Dialog box options:

Input table: | Select an input table. Open the list box and select the desired input table, or drag a table directly from the Catalog into this box.
Domain for columns: | Select the domain that will be used for all output columns in the output table.
Value range: | Accept the default value range, or specify your own range of possible values in the output columns.
Precision: | Accept the default precision for the output values, or specify your own precision.
Output table: | Type the name of the output table.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Transpose table : functionality


Transpose table : command line

Transpose table

Command line

The Transpose table operation can be directly executed by typing one of the following expressions on the command line of the Main Window:

OUTTABLE | = | TableTranspose(InputTableName, ColumnDomain)
OUTTABLE | = | TableTranspose(InputTableName, ColumnDomain, ValueRange)

where:

OUTTABLE | is the name of your output table.
TableTranspose | is the command to start the Transpose table operation.
InputTableName | is the name of your input table.
ColumnDomain | is the name of an existing domain that will be used for all output columns.
ValueRange | is the value range that will be used for all output columns.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Transpose table : functionality


Transpose table : algorithm

Transpose table

Algorithm

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.

The Transpose table operation creates a class domain out of all column names of the input table.

In the output table, all columns will use the same domain; this is defined by the user.

The input table should not have more than 1000 records.

In case the input table uses domain None, the names of the output columns will be Col 1, Col 2, etc.

See also:

Transpose table : functionality


Change domain of table

Functionality / Algorithm

Dialog box

Command line


Change domain of table : functionality/algorithm

Change domain of table

Functionality / Algorithm

The Change domain of table operation copies the contents of an input table to a new table; the new table will have another domain than the input table.

For the domain of the output table, you can choose:

  • domain None;
  • an existing class or ID domain on disk;
  • a class or ID domain of a column in the input table when that column contains unique classes or IDs;
  • a class or ID domain of a column in the input table where the column does not contain unique classes or IDs and other column values need to be aggregated (average, minimum, maximum, sum, last value encountered).

Explanation:

  1. When you choose to obtain an output table with domain None:
    • All records of the input table will be written into the output table.
    • The order of records in the input and in the output table is the same.
  2. When you choose to obtain an output table with an existing class or ID domain on disk:
    • The domain items of the input table will be compared with the domain items in the selected domain; when an item (i.e. a class name or an ID) exists in both domains, then the record is written into the output table.
    • The order of records in the output table will be the order of the selected domain.
    • You may use this option when you have a table which contains records for all classes or IDs in a domain and when you want to obtain a table with only a few records on a few classes or IDs of the input table; create a new domain with only a few classes or IDs (a subset), then use the Change domain of table operation and select the domain with the subset.
    • You may also use this option after importing tables and when you know that the imported tables should use the same domain.
  3. When you choose to obtain an output table which will use the domain of a column in the table and when each field of that column contains another class name or ID, i.e. when the fields in the selected column are unique:
    • For each unique class name or ID, the values found in other columns in the input table will be written into the output table.
    • The order of records in the output table will be the order of the domain of the selected column.
    • When the class names or IDs in the selected column are not unique and when you do not choose the Aggregate option, an error message will follow.
  4. When you choose to obtain an output table which will use the domain of a column in the input table and when the fields of that column do not contain unique class names or IDs, choose the Aggregate option.
    • For each group of class names or IDs found in the selected column, the values found in all value columns will be aggregated by taking either the average, minimum value, maximum value, or the sum; the answers are then written into the output table. You can also choose to simply use the last value encountered per group of class names or IDs.
    • When an aggregation on an input column is not possible, i.e. when an input column does not have a value domain, the last class name, ID, color, etc. encountered per group will be written into the output table.
    • When you use the Average aggregation function, the precision of output value columns will differ from the precision of the input value columns.
    • When you use the Sum aggregation function, the value range of output value columns will differ from the value ranges of the input value columns.
    • The order of records in the output table will be the order of the domain of the selected column.
    • An extra column Count will appear in the output table; it contains the number of times that a certain class name or ID was found in the selected column.

Requirements for the input table:

No special requirements.

Domain of output table:

The domain of the output table will be the domain which you selected: domain None, an existing class or ID domain on disk, or a class or ID domain of a column in the input table.

The output table will contain an extra column Count when an aggregation function is used.

Tip:

The Change domain of table operation can only use one type of aggregation function which will be applied on all value columns in the input table. When you want to use different aggregation functions for various columns or when you want to use weight functions for an aggregation, it is advised to use the Join Column command on the Columns menu of the 'output' table.

See also:

Change domain of table : dialog box

Change domain of table : command line

ILWIS objects : domains


Change domain of table : dialog box

Change domain of table

Dialog box

The Change domain of table operation copies the contents of an input table to a new table; the new table will have another domain than the input table.

For the domain of the output table, you can choose:

  • domain None;
  • an existing class or ID domain on disk;
  • a class or ID domain of a column in the input table when that column contains unique classes or IDs;
  • a class or ID domain of a column in the input table where the column does not contain unique classes or IDs and other column values need to be aggregated (average, minimum, maximum, sum, last value encountered).

Dialog box options:

Input table: | Select an input table. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box.
Change domain to: | Choose whether you want to change the domain of the table to a class or ID domain of a column in the table, or to an existing class or ID domain on disk.
Column: | Select a class or ID column from the table; the domain of this column will be the domain of the output table.
Domain: | Select an existing class or ID domain from disk.
Aggregate: | Select this check box when you selected a class or ID column from the table and when the class names or IDs in that column occur more than once, i.e. are not unique. Subsequently, select an aggregation function: average, minimum, maximum, sum, last. The values of value columns in the input table will appear aggregated in the output table according to the selected aggregation function. Clear this check box when the classes or IDs in the selected column are unique.
Output table: | Type a name for the output table.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent table will only be defined; if necessary the table will be calculated later, for instance when the table is opened to be displayed.

See also:

Change domain of table : functionality / algorithm


Change domain of table : command line

Change domain of table

Command line

The Change domain of table operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTTABLE | = | TableChangeDomain(InputTableName, None)
OUTTABLE | = | TableChangeDomain(InputTableName, DomainName)
OUTTABLE | = | TableChangeDomain(InputTableName, ColumnName)
OUTTABLE | = | TableChangeDomain(InputTableName, ColumnName, avg | min | max | sum | last | no)

where:

OUTTABLE | is the name of your output table.
TableChangeDomain | is the command to start the Change domain of Table operation.
InputTableName | is the name of your input table.
None | is a parameter to obtain an output table with domain None.
DomainName | is a parameter to specify an existing class or ID domain on disk; the output table will use this class or ID domain.
ColumnName | is a parameter to specify a class or ID column in the input table; the output table will use this class or ID domain. When you do not perform an aggregation, the specified column must contain unique classes or IDs.
avg | min | max | sum | last | no | when the specified column does not contain unique classes or IDs, you can use these parameters to aggregate values of value columns in the table: average, minimum value, maximum value, sum, last value or no aggregation respectively. For non-value columns in the input table, the last class name, ID, or color, etc. encountered will be used.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

See also:

Change domain of table : functionality / algorithm


Table to point map

Functionality / Algorithm

Dialog box

Command line


Table to point map : functionality/algorithm

Table to point map

Functionality / Algorithm

The table to point map operation creates a point map out of a table.

This operation is designed to obtain a point map from external data which has been imported into ILWIS as a table.

Coordinates of points in output point map:

The coordinates for the points in the output point map should be available in the input table.

The input table should therefore contain either:

  • a single column with the XY-coordinates for the points as (X,Y);
    any point map created or edited in ILWIS version 3 has such a column: it is called Coordinate and the column uses a coordinate system as its domain;
  • a column with X-coordinates and another column with Y-coordinates for the points;
    these columns should use a value domain.

Class names, IDs or values of points in output point map:

In case your input table uses an ID domain, you can choose whether the points in the output point map:

  • should obtain the same IDs as found in the domain of the input table, or
  • should obtain the class names, IDs, or values as found in an attribute column of the table.

In case your input table is a table with domain None, you can choose whether the points in the output point map:

  • should obtain new IDs, based on a user-specified prefix followed by the record numbers of the table, or
  • should obtain the class names, IDs, or values as found in an attribute column of the table.

In case your input table uses any other domain, e.g. a class domain, the points in the output point map:

  • will obtain the class names, IDs, or values as found in an attribute column of the table.

Input table requirements:

The input table should have either:

  • a column which contains the XY-coordinates for the points as (X,Y); this type of column uses a coordinate system as its domain, or
  • a value column which contains the X-coordinates for the points and another value column which contains the Y-coordinates for the points.

Domain and coordinate system of output point map:

During the operation, you will need to specify the domain that should be used by the output point map. The point may use:

  • the same ID domain as an input ID table,
  • a new ID domain in which the IDs are based on the record numbers in the table and a user-specified prefix (when the input table has domain None).
  • any class, ID, or value domain of a selected column from the input table (when the input table uses a class or ID domain or when the input table uses domain None),

The coordinate system used by the output point map:

  • is either the coordinate system which is the domain of a single selected XY-coordinate column,
  • or, when using two separate columns to specify X-coordinates and Y-coordinates respectively, a coordinate system specified by the user.

Attribute table for output map:

The input table will be linked as an attribute table to the output point map:

  • when the input table uses an ID domain, and when you choose to obtain a point map in which the points will have the same IDs as found in the domain of the input table;
  • when the input table uses domain None, and when you choose to use the record numbers of the table as identifiers (new ID domain); the IDs will consist of a user-specified prefix followed by the record numbers as found in the input table.

    • In this case, the domain of the input table will be automatically changed from domain None to the new ID domain.

Limitation:

Currently, the operation can only handle tables with extension .TBT.

Tip (for advanced users):

To convert the tiepoints in a georef tiepoints to a point map, you can do for instance the following:

  1. Open the georef tiepoints as a table.
    • In the table window, make the command line visible and type the following expression:

      • Coord = coord(X,Y)

    • In the Column Properties dialog box, select a coordinate system in which these coordinates fit, e.g. the coordinate system of the georef tiepoints.
  2. Create a point map using the same coordinate system and create an ID domain with the same number as items as the number of tiepoints in your georef tiepoints.
    • When the point editor opens, close it.
    • Open the point map as a table and add the same number of records to the table as the numbers of tiepoints in your georef tiepoints.
  3. To copy the coordinates of the points:
    • In the tiepoints table, select all fields of column Coord, press the right mouse button and choose Copy.
    • In the point map table, select all fields of column Coordinate, press the right mouse button and choose Paste.
  4. To obtain the IDs of the control points:
    • In the point map table, make the command line visible and type the following expression:

      • Name = %k

  5. Close both table windows and open the point map as usual.

See also:

Table to point map : dialog box

Table to point map : command line


Table to point map : dialog box

Table to point map

Dialog box

The Table to Point Map operation creates a point map out of a table.

For the coordinates of the points, you can use from the table:

  • a coordinate column which contains the XY-coordinates for the points as (X,Y); the domain of this column should be a coordinate system;
  • a value column which contains the X-coordinates for the points and another value column which contains the Y-coordinates for the points.

Depending on the domain of the input table, you can furthermore choose between the following possibilities:

  • Input table with an ID domain:
    the points in the output point map should use the same IDs as found in the domain of the table;
    the input table will be linked as attribute table to the output point map.
  • Input table with domain None:
    the points in the output point map should use the IDs of a new ID domain in which the IDs are based on the record numbers of the table and a user-defined prefix;
    also the input table will obtain this new ID domain and the table will be linked as attribute table to the output point map.
  • Any input table:
    the points in the output point map should use the class names, IDs, or values as found in a column of the table;
    the output point map will have no attribute table.

Dialog box options:

Input table:

Select an input table. Open the list box and select the desired input map, or drag a raster map directly from the Catalog into this box.

Use single column with XY-coordinates:

Select this check box when your input table contains a certain column which contains the XY-coordinates of your points as (X,Y); the domain of such a column is a coordinate system. Any point map created or edited in ILWIS version 3 has such a column; it is called Coordinate.

If you select this check box, you will be asked for a single column containing the XY-coordinates.

If you clear this check box, you will be asked for a column containing the X-coordinates, for a column with the Y-coordinates and for a coordinate system.

Check box 'Use single column with XY-coordinates' is selected:

XY column:

Select a column from the table which contains the XY-coordinates of the points as (X,Y). The domain of the column should be a coordinate system.

Check box 'Use single column with XY-coordinates' is cleared:

X column:

Select a column from the table which contains the X-coordinates of the points. The column should have a value domain.

Y column:

Select a column from the table which contains the Y-coordinates of the points. The column should have a value domain.

Coordinate system:

Select an existing coordinate system for the output point map or create a new coordinate system (create button) in which the coordinates of the selected X-coordinate column and Y-coordinate column fit.

Domain of output map:

In case your input table uses an ID domain, choose whether the points in the output point map:

  • should obtain the same IDs as found in the domain of the input table, or
  • should obtain the class names, IDs, or values as found in an attribute column of the table.

In case your input table uses a class domain, the points in the output point map:

  • will obtain the class names, IDs, or values as found in an attribute column of the table.

In case your input table is a table with domain None, choose whether the points in the output point map:

  • should obtain new IDs, based on the record numbers of the table, or
  • should obtain the class names, IDs, or values as found in an attribute column of the table.

Input table uses an ID domain:

Use table domain:

Select this option when the points in the output point map should obtain the same IDs as found in the domain of the input table. Your input table will be linked as an attribute table to the output point map.

Use attribute column:

Select this option when the points in the output point map should obtain the class names, IDs, or values as found in an attribute column of the table. Subsequently, select the attribute column.

Column:

From the input table, select an attribute column which contains the class names, IDs, or values that should be assigned to the output points.

Input table uses domain None:

Use record numbers as IDs:

Select this option when the points in the output point map should obtain new IDs that are based on the record numbers of the table. The following will happen:

  • a new ID domain will be created (with the same name as output point map),
  • the IDs in the new domain will start with the Domain Prefix as specified below, followed by the record numbers as found in the input table,
  • the output point map will use the new ID domain,
  • the domain of the input table will be changed from domain None to the new ID domain,
  • the table will be linked as attribute table to the output point map.

Domain prefix:

Accept the default prefix or type your own prefix.

Use column of table:

Select this option when the points in the output point map should obtain the class names, IDs, or values as found in a column in the input table. Subsequently, select the column.

Column:

From the input table, select a column which contains the class names, IDs, or values that should be assigned to the output points.

Input table uses any other domain:

Column:

From the input table, select an attribute column which contains the class names, IDs, or values that should be assigned to the output points.

Output point map:

Type a name for the output point map.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary, the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Table to point map : functionality / algorithm


Table to point map : command line

Table to point map

Command line

The Table to Point Map operation can be directly executed by typing one of the following 9 expressions on the command line of the Main window:

To obtain an ID point map with linked attribute table,
from a table with an ID domain:

OUTMAP | = | PointMapFromTable(InputTableName, XYcolumn)
OUTMAP | = | PointMapFromTable(InputTableName, Xcolumn, Ycolumn, CoordinateSystem)
OUTMAP | = | PointMapFromTable(InputTableName, CoordinateSystem)

where:

OUTMAP | is the name of the output point map.
PointMapFromTable | is the command to start the Table to Point Map operation.
InputTableName | is the name of your input table (table with an ID domain). The output point map will use this ID domain and the table will be linked as attribute table to the output point map.
XYcolumn | is the parameter to specify the name of a column which contains the XY-coordinates as (X,Y) for the points in the output map; this column uses a coordinate system as its domain.
Xcolumn | is the parameter to specify the name of the column which contains X-coordinates for the points in the output map; the column should use a value domain. The parameter does not have to be specified when the input table has a column named X which contains the X-coordinates for the points.
Ycolumn | is the parameter to specify the name of the column which contains Y-coordinates for the points; the column should use a value domain. The parameter does not have to be specified when the input table has a column named Y which contains the Y-coordinates for the points.
CoordinateSystem | when not using an XYcolumn, the parameter to specify an existing coordinate system for the output point map.

To obtain an ID point map with linked attribute table,
from a table with domain None:

OUTMAP | = | PointMapFromTable(InputTableName, XYcolumn [, Prefix])
OUTMAP | = | PointMapFromTable(InputTableName, Xcolumn, Ycolumn, CoordinateSystem [, Prefix])
OUTMAP | = | PointMapFromTable(InputTableName, CoordinateSystem [, Prefix])

where:

InputTableName

is the name of your input table (table with domain None).

A new ID domain will be created in which the IDs consist of a prefix followed by the record numbers as found in the input table. The new ID domain will automatically obtain the same name as specified for the output point map.

The output point map will use this new ID domain. Furthermore, the domain of the input table will change from domain None to the new ID domain, and the table will be linked as attribute table to the output point map.

Prefix

is an optional parameter to specify a user-defined prefix for the IDs in the new output ID domain. The square brackets are only used to indicate that it is an optional parameter; the brackets should not be used in an expression on the command line.

If not specified, the prefix will be set to Pnt.

For other parameters, see above.

To obtain a point map with the domain of a column in the table:

OUTMAP | = | PointMapFromTable(InputTableName, XYcolumn, AttributeColumn)
OUTMAP | = | PointMapFromTable(InputTableName, Xcolumn, Ycolumn, CoordinateSystem, AttributeColumn)
OUTMAP | = | PointMapFromTable(InputTableName, CoordinateSystem, AttributeColumn)

where:

InputTableName | is the name of your input table; the table can have any domain.
AttributeColumn | is the name of an attribute column; the output point map will obtain the domain of this column. The output point map will not have an attribute table.
For other parameters, see above.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Table to point map : functionality / algorithm


Glue tables

Functionality / Algorithm

Dialog box

Command line


Glue tables : functionality/algorithm

Glue tables

Functionality / Algorithm

The Glue tables operation allows you to glue or merge two or more tables together. As input tables, you may use:

  • tables with domain None,
  • tables with class domains,
  • tables with ID domains,
  • tables with class domains and ID domains.

The Glue tables operation should be regarded as a tool to combine different tables. You can for instance combine or integrate attribute tables of different years. Tables with domain None can also be glued vertically one below the other.

The operation will automatically determine:

  • the domain of the output table,
  • the domains of the columns in the output table.

Then, fields in the input tables will be copied to the output table.

In the dialog box, you can select 2, 3, or 4 input tables. On the command line, you can specify as many input tables as you like.

Process:

First, the domain for the output table will be determined; the domain for the output table depends on the domains that are used by the input tables:

  • when the domain of all input tables is domain None, the output table will also use domain None,
    • when the option Vertical is used, the number of records in the output table will be the sum of all records in all input tables,
    • when the option Vertical is not used, the output table will have the same the number of records as the largest input table.
  • when all input tables have the same Class or the same ID domain, the output table will also use this class or ID domain;
  • when the input tables use different class domains or different ID domains, then a new output class or ID domain will be created which contains all class names or all IDs of all input table domains; the new output domain will obtain the same name as the output table;
  • when some of the input tables use class domains and other input tables use ID domains, then a new output ID domain will be created which contains, as IDs, all class names and all IDs of all input table domains; the new output domain will obtain the same name as the output table.

Then, the columns to be copied to the output table will be examined.

For input tables with a class or ID domain and for input tables with domain None (no vertical gluing):

  • when in 2 or more input tables, columns are found that have the same name and the same domain, then only the column of the first input table is copied to the output table,
  • when in 2 or more input tables, columns are found that have the same name but which are using different domains, then all these columns are copied to the output table; in the output table, the column of the first table will keep its original name, while the second column will obtain a 2 behind its name, etc. (e.g. MyColumn and MyColumn2) so that you can identify from which table each column was copied,
  • other input columns which only exist in one table will always be copied to the output table.

For input tables with domain None and when you selected the option vertical gluing:

  • when in 2 or more input tables, columns are found that have the same name and the same domain, then all values of all these columns are copied into a single output column (i.e. below each other = vertical);
  • other columns are glued as above.

When a new Class or ID domain is created for the output table, this domain will obtain the same name as the output table. On the command line, you can also specify a name for the output domain yourself.

Examples:

1. Combining tables with domain None and using option Vertical:

First input table | Second input table | Output table
 | Direction | Length |  | Direction | Length |  | Direction | Length
1 | 0 | 2223 | 1 | 5 | 6993 | 1 | 0 | 2223
2 | 1 | 4737 | 2 | 6 | 1123 | 2 | 1 | 4737
3 | 2 | 2048 | 3 | 7 | 4273 | 3 | 2 | 2048
4 | 3 | 6000 | 4 | 8 | 1827 | 4 | 3 | 6000
5 | 4 | 0 | 5 | 9 | 1265 | 5 | 4 | 0
 |  |  |  |  |  | 6 | 5 | 6993
 |  |  |  |  |  | 7 | 6 | 1123
 |  |  |  |  |  | 8 | 7 | 4273
 |  |  |  |  |  | 9 | 8 | 1827
 |  |  |  |  |  | 10 | 9 | 1265

  • In this example, both input tables use domain None. The output table will also use domain None.
  • Because option Vertical is used, the output table contains the total number of records of all input tables.
  • In this example, the columns Direction and Length occur in both input tables; in both the input tables, these columns have the same name and use the same domain. The output table will therefore contain one column Direction and one column Length.
  • The values of the columns are then copied to the output table.

2. Combining tables with domain Class:

First input table | Second input table | Output table
 | Landvalue80 |  | Landvalue90 |  | Landvalue80 | Landvalue90
Agriculture | 75 | Agriculture | 100 | Agriculture | 75 | 100
Agriculture (irrig) | 125 | Agriculture (irrig) | 150 | Agriculture (irrig) | 125 | 150
Bare rock | 10 | Airport | 600 | Airport | ? | 600
Bare soils | 10 | Bare rock | 50 | Bare rock | 10 | 50
Forest | 25 | Bare soils | 50 | Bare soils | 10 | 50
Grassland | 25 | Forest | 75 | Forest | 25 | 75
Lake | ? | Grassland | 75 | Grassland | 25 | 75
Riverbed | ? | Lake | ? | Lake | ? | ?
Shrubs | 35 | Riverbed | ? | Riverbed | ? | ?
Urban center | 750 | Shrubs | 50 | Shrubs | 35 | 50
Urban periphery | 500 | Urban center | 1000 | Urban center | 750 | 1000
 |  | Urban periphery | 750 | Urban periphery | 500 | 750

  • In this example, the input tables use different domains. Therefore, for the output table, a new domain is created which contains all items of the input domains.
  • In this example, columns 'Landvalue80' and 'Landvalue90' have distinct names and occur only in one input table, therefore both columns will be copied to the output table.
  • The values of columns Landvalue80 and Landvalue90 are then copied to the output table.

  • If each of the input tables would have contained a column 'Landvalue' (using the same domain in both input tables), then the output table would have contained only one column 'Landvalue' containing the values of column 'Landvalue' of the first input table.
  • If each of the input tables would have contained a column 'Landvalue' (using the different domains in both input tables), then the output table would have contained two columns, called 'Landvalue' and 'Landvalue2'.

Domain of output table:

  • When all input tables use domain None, the output table will also use domain None.
  • When all input tables use the same class domain or the same ID domain, then the output table will also use this class domain or this ID domain.
  • When the input tables use different class domains or different ID domains, then a new class domain or a new ID domain will be created for the output table; the output domain will contain all class names or all IDs of the input domains.
  • When the input tables use class domains and ID domains, then a new ID domain will be created for the output table; the output domain will contain all class names and IDs of the input domains as IDs.

When a new domain is created for the output table, the domain will obtain the same name as the output table. On the command line, you can also specify a name for the output domain yourself.

See also:

Glue tables : dialog box

Glue tables : command line


Glue tables : dialog box

Glue tables

Dialog box

The Glue tables operation allows you to glue or merge two or more tables together. As input tables, you may use:

  • tables with domain None,
  • tables with class domains,
  • tables with ID domains,
  • tables with class domains and ID domains.

Dialog box options:

Number of input tables:

Select the number of tables that you want to glue or merge together (2, 3, or 4). In the dialog box, the number of input tables is limited to four. On the command line, this limitation is not present.

First input table:

Select the first input table. Open the list box and select the desired input table, or drag a table directly from the Catalog into this box.

Second input table:

Select the second input table.

Third input table:

Optionally, select a third input table.

Fourth input table:

Optionally, select a fourth input table.

Output table:

Type a name for the output table that will contain all input tables.

Description:

Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

Vertical:

In case you are merging tables that use domain None: select this check box to create an output table which will contain as many records as the total number of records of all input tables. If a column exists in more that one input table with the same name and the same domain, then the values of these columns will be glued into one output column (values one below the other = vertically).

In case you are merging tables that use domain None: clear this check box when the output table should contain the same number of records as the first input table.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary the table will be calculated later, for instance when the table is opened to be displayed.

When the input tables use different class or ID domains, a new domain will be created for the output table. This output domain will contain all class names and/or IDs of the input domains and the domain will obtain the same name as the output table.

See also:

Glue tables : functionality


Glue tables : command line

Glue tables

Command line

The Glue tables operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTTABLE | = | TableGlue(FirstInputTableName, SecondInputTableName [, MoreInputTables])
OUTTABLE | = | TableGlue(FirstInputTableName, SecondInputTableName [, MoreInputTables] , Vertical)
OUTTABLE | = | TableGlue(NewDomain, FirstInputTableName, SecondInputTableName [, MoreInputTables])

where:

OUTTABLE

is the name of your output table.

TableGlue

is the command to start the Glue tables operation.

FirstInputTableName

is the name of the first input table.

SecondInputTableName

is the name of the second input table.

MoreInputTables

optionally, you can specify more input table names, delimited by commas.

Vertical

in case the input tables use domain None, an optional parameter to specify that the input tables should be merged vertically.

NewDomain

in case of merging two or more Class or ID tables that do not have the same domain: an optional parameter to specify a name for the new output domain in which all input domain items will be merged.

When the Class or ID domains of input tables are not the same and this parameter is not specified, a new output domain will be automatically created with the same name as the output table.

On the command line, you can specify as many input tables as you like, i.e. you can merge as many tables as you like. When using the dialog box of this operation, only two, three or four input tables can be merged at a time.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated. When tables are merged which use different class or ID domains, a new domain will be created for the output table.

See also:

Glue tables : functionality


Operations

DEM Hydro-Processing

DEM visualization

Flow Determination:

Fill sinks

Flow direction

Flow accumulation

Flow Modification:

DEM optimization

Topological optimization

Variable threshold computation

Network and Catchment Extraction:

Drainage network extraction

Drainage network ordering

Catchment extraction

Catchment merge

Compound Parameter Extraction:

Overland flow length

Compound Index calculation

Statistical Parameter Extraction:

Horton statistics

Aggregate statistics

Cumulative hypsometric curve

Class coverage statistics


DEM visualization (DEM-Hydro Processing script)

DEM-Hydro Processing scripts

DEM visualization

The DEM Visualization script creates a color composite for you a DEM. First, three shadow maps are created by the script, using three different shadow filters. The combination of them in a color composite gives a very good impression of the relief in your area.

Dialog box options:

DEM: | Select a raster map with height values, i.e. your DEM.
Output map: | Type a name for the output color composite raster map that is a combination of three different shadow maps.

Short explanation of the calculations by the script:

  • First three shadow maps are created using the shadow filters ShadowW (West), Shadow (North-West) and ShadowN (North).
  • The three shadow maps are stretched using linear stretching, ignoring 5%.
  • The color composite that is created from these stretched shadow maps is a 24-bit color composite with linear stretching.
  • Finally, temporary raster maps are removed, and the output color composite of the shadow maps is shown (first picture below).

Tips:

To display the relief of your study area, you can perform the following steps:

  • Display your DEM and create a new representation for it: use for smaller height values the color green, and use for larger height values the color brown.
    For more information, see Display Options : Raster map domain Value.
  • Add the output color composite shadow map, use a transparency of 70%. For more information, see Display Options : Raster map domain Color.
    The result of these two layers is shown in the second picture below.
  • Finally, add your drainage network (segments from drainage network ordering), using Display by Attribute StrahlerClass.
    Then edit the representation for the segments: make all segments blue, assign small Strahler values a thin line width, and assign larger Strahler values a larger line width.
    The result is shown in the third picture below.

The drainage network now really stands out very nicely in the relief of your study area.

Results:

Output color composite from the shadow maps: | Transparent color composite with DEM:
Drainage network on transparent color composite and DEM:

Definition of the shadow filters used:

The three shadow filters that are used are defined as follows:

ShadowW (West)

-2 | -1 | 2
-3 | 1 | 4
-2 | -1 | 2
 Shadow (North-West)

-3 | -2 | -1
-2 | 1 | 2
-1 | 2 | 4
 ShadowN (North)

-2 | -3 | -2
-1 | 1 | -1
2 | 4 | 2

See also:

Filter : functionality

Stretch : functionality

Color composite : functionality

Script editor : functionality

ILWIS objects : scripts

How to use parameters in scripts

ILWIS on the web (52 North)


Fill sinks

Functionality

Dialog box

Command line

Algorithm


Fill sinks : functionality

Fill sinks

Functionality

Before using the Flow Direction operation, you may wish to clean up your Digital Elevation Model (DEM), so that local depressions (sinks) are removed from your DEM.

The Fill sinks operation will 'remove' the following from a Digital Elevation Model (DEM):

  • depressions that consist of a single pixel, i.e. any pixel with a smaller height value than all of its 8 neighbouring pixels,
  • depressions that consist of multiple pixels, i.e. any group of adjacent pixels where the pixels that have smaller height values than all pixels that surround such a depression.

Process:

When a depression of a single pixel is encountered:

  • then the height value of this pixel will be increased to the smallest value of its 8 neighbour pixels.

When a depression of multiple pixels is encountered:

  • then the height values of this depression will be increased to the smallest value of a pixel that is both adjacent to the outlet for the depression, and that would discharge into the initial depression.

The height values of the following pixels will never be changed in the output map:

  • pixels at the border of the map,
  • pixels that have the undefined value,
  • pixels that are adjacent to pixels with the undefined value.

For detailed information on the internal working of the Fill sinks operation, see Fill sinks : algorithm.

An example of using the Fill sinks operation, followed by the Flow direction and the Flow accumulation operations is given in Figures 1a - 1d below.

Output:

The resulting output map of the Fill sinks operation is a so-called sink-free or depression-free DEM. This means that for every pixel in the DEM, a flow direction will be found towards the edges of the map.

In this way, it is ensured that, when using the Flow direction operation on the output DEM of the Fill sinks operation, and a subsequent Flow accumulation operation on the output map of the Flow direction operation:

  • outlets will always be found towards the edges of the map,
  • lakes and flat areas will not act as 'consuming' reservoirs of water but will still discharge towards an outlet.

Tip: After using the Fill sinks operation, but before using the Flow direction and Flow accumulation operations, you can use the DEM optimization operation on the output DEM of the Fill sinks operation, to further improve your DEM.

Input map requirements:

The input map should be a value map; the input map is expected to be a Digital Elevation Model (DEM).

Domain and georeference of output map:

The output map will use the same domain and the same georeference as the input map.

Example of using Fill sinks, Flow direction and Flow accumulation:

Figures 1a - 1d below show the complete process of using Fill sinks, Flow direction and Flow accumulation. The last picture, Fig. 1e, shows the result of using Flow direction and Flow accumulation directly on the input map, without using the Fill sinks operation.

Figure 1a: Input map for Fill sinks. | Figure 1b: Output map of Fill sinks.

Figure 1c: Result of Flow direction. | Figure 1d: Result of Flow accumulation.

Figure 1e: Result of Flow accumulation when Fill sinks is not used.

See also:

Fill sinks : dialog box

Fill sinks : command line

Fill sinks : algorithm

DEM optimization : functionality


Fill sinks : dialog box

Fill sinks

Dialog box

The Fill sinks operation 'removes' local depressions (of single pixels and of multiple pixels) from a Digital Elevation Model (DEM).

  • The height value of a single-pixel depression is raised to smallest value of the 8 neighbours of a single-pixel depression.
  • The height values of a local depression consisting of multiple pixels are raised to the smallest value of a pixel that is both adjacent to the outlet for the depression, and that would discharge into the initial depression.

By using the Fill sinks operation,

  • and a subsequent Flow direction operation on the output map of the Fill sinks operation,
  • and a Flow accumulation operation on the output map of Flow direction operation,

it is ensured:

  • that a flow direction will be found for every pixel in the map, and
  • that water in any pixel will be discharged into outlets towards the edges of the map.

Dialog box options:

Input DEM: | Select an input raster map. Open the list box and select the desired input map, or directly drag a raster map from a Catalog into this box. The input map is supposed to be a Digital Elevation Model (DEM).
Output raster map: | Type a name for the output raster map that will contain height values without local depressions.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Tip: After using the Fill sinks operation, and before using the Flow direction and Flow accumulation operations, you can use the DEM optimization operation on the output DEM of the Fill sinks operation, to further improve your DEM.

See also:

Fill sinks : functionality

DEM optimization : functionality


Fill sinks : command line

Fill sinks

Command line

The Fill sinks operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapFillSinks(InputMapName)

where:

OUTMAP | is the name of the output raster map.
MapFillSinks | is the command to start the Fill Sinks operation.
InputMapName | is the name of the input raster map (value domain); the input raster map is expected to be a Digital Elevation Model (DEM).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Fill sinks : functionality


Fill sinks : algorithm

Fill sinks

Algorithm

The Fill sinks operation removes local depressions from a DEM by replacing these local depressions by flat areas in the output DEM.

Process:

  1. Removal of depressions that consist of a single pixel (local pits, i.e. any pixel with a smaller height value than its 8 neighbouring pixels):

    2. When a single pixel is encountered that has a smaller height value than all of its 8 neighbours (Fig. 1a);

    • then the height value of this pixel will be increased to the smallest value of its 8 neighbour pixels (Fig. 1b).

    Figure 1a: Find a sink that consists of a single pixel (pixel in red). | Figure 1b: Assign to this pixel, the smallest value found among its 8 neighbour pixels (pixel in green).

  2. Removal of depressions that consist of multiple pixels (i.e. any group of adjacent pixels where the pixels have smaller height values than all pixels that surround such a depression):

    3. General process:

    When a group of adjacent pixels is encountered where the pixels have smaller height values than all neighbours of this group;

    • all pixels are determined that contribute to this depression; this is an iterative process, involving another 'ring' of neighbours when required,
    • the outlet for this depression is determined,
    • finally the height values of this depression will be increased to the smallest height value of a pixel
      • that is adjacent to the outlet for this depression/sink, and
      • that would contribute to the initial sink.

    Detailed process:

    1. Scan the DEM, from top to bottom and from left to right, to find the first pixel that is part of a sink area (Fig. 2a).

      2. In other words, find a pixel with lower or equal height value than all its 8 neighbours.

    2. Determine all pixels that contribute to this particular sink (Fig. 2b).

      3. In other words, find the catchment area of this sink; iterative process evaluating height values of outward neighbours.

    3. Locate the outlet pixel for this sink and determine the value of the pixel just 'before' the outlet (Fig. 2c).
      • For all pixels within the outer 'ring' of sink-catchment pixels (as found in the previous step), evaluate the values of their neighbouring pixels that are outside the ring of sink-catchment pixels.
      • Determine the neighbour (outside the ring) with the smallest value; this is the outlet pixel.

      Then:

      • From the outlet pixel, evaluate the values of neigbouring pixels that are within the ring of sink-catchment pixels.
      • Determine the neighbour (inside the ring) with the smallest value; this is the pixel before the outlet.
      • Keep the height value of this pixel in mind.
    4. For all pixels that contribute to this sink and that have a value smaller than the value that was kept in mind in step 2c, assign these pixels the height value found in step 2c (Fig. 2d).

      5. In other words, sinks are 'filled up' so that flat areas are formed which will definitely have an outlet.

    5. Mark all pixels of the catchment that was currently handled, so that these pixels will not be scanned again.
    6. Continue scanning the DEM to find another initial sink.

  3. Additional rules:

    4. The height values of the following pixels will never be changed in the output map:

    • pixels at the border of the map,
    • pixels that have the undefined value,
    • pixels that are adjacent to pixels with the undefined value.

Figures explaining the detailed process of filling depressions of multiple pixels:

Figure 2a: Find first sink (pixel in black). | Figure 2b: Find all pixels that contribute to this sink (colored pixels).

Figure 2c: Determine the outlet for this sink (pixel in black), and determine the pixel just before the outlet (pixel in blue). Keep the value of the pixel just before the outlet in mind (value 3). | Figure 2d: To all pixels that contribute to this sink and which have a smaller value than the value kept in mind in 2c, assign the height value kept in mind in 2c (pixels in black).

See also:

Fill sinks : functionality


Flow direction

Functionality

Dialog box

Command line

Algorithm


Flow direction : functionality

Flow direction

Functionality

In a (sink-free) Digital Elevation Model (DEM), the Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow naturally.

Flow direction is calculated for every central pixel of input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbours. The output map contains flow directions as N (to the North), NE (to the North East), etc.

You can choose whether you wish to calculate the flow direction for the central pixels:

  • by steepest slope: find the steepest downhill slope of a central pixel to one of its 8 neighbour pixels, or
  • by lowest height: simply find the neighbour pixel that has the smallest value of all 8 neighbours, while this value should also be smaller than the value of the central pixel.

When the position of the steepest-slope-neighbour pixel or the lowest-height-neighbour pixel is determined, the flow direction for the central pixel is known.

Example Steepest Slope method:

For each block of 3x3 input pixels, height differences are calculated between the central pixel and the 8 neighbours.

To compensate for distances:

  • the height difference values of the 4 corner neighbours are divided by 1.4;
  • the height difference values of the 2 horizontal neighbours and the 2 vertical neighbours are divided by 1.

Then, the neighbour with the largest downhill slope steepness value is found.

The position of this neighbour determines the flow direction of the current central pixel.

Input DEM | Calculating according to steepest slope | Output flow direction map

For more information and additional rules that are applied, see Flow direction : algorithm.

Example Lowest Height method:

For each block of 3x3 input pixels, height differences are calculated between the central pixel and the 8 neighbours.

Then, from the neighbours with values smaller than the current central pixel, the neighbour with the smallest value is found.

The position of this neighbour determines the flow direction of the current central pixel.

Input DEM | Calculating according to lowest height | Output flow direction map

For more information and additional rules that are applied, see Flow direction : algorithm.

Input map requirements:

The input map should be a value map; the input map is expected to be a sink-free Digital Elevation Model (DEM).

Domain and georeference of output map:

The output map will use system domain FlowDirection.

The output map will use the same georeference as the input map.

Tip:

The output map of the Flow direction operation can be used as input map for the Flow accumulation operation.

See also:

Flow direction : dialog box

Flow direction : command line

Flow direction : algorithm

Flow accumulation : functionality


Flow direction : dialog box

Flow direction

Dialog box

The Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow. Flow direction is calculated for every central pixel in input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbouring pixels. The output map contains flow directions as N (to the North), NE (to the North East), etc.

Dialog box options:

Input DEM:

Select an input raster map. Open the list box and select the desired input map, or directly drag a raster map from a Catalog into this box.

The input map is supposed to be a sink-free Digital Elevation Model (DEM).

Steepest slope:

Select this option when flow direction should be calculated according to the steepest downhill slope between a central pixel and its 8 neighbour pixels.

Lowest height:

Select this option when flow direction should be simply be calculated as:

  • check whether any of the 8 neighbour pixels has a value smaller than the central pixel;
  • if so, then use the position of the pixel with the smallest pixel value to determine the flow direction for the central pixel.

Output raster map:

Type a name for the output raster map that will contain the flow directions.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

The output map will always use system domain FlowDirection.

See also:

Flow direction: functionality


Flow direction : command line

Flow direction

Command line

The Flow direction operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapFlowDirection(InputMapName)
OUTMAP | = | MapFlowDirection(InputMapName, slope | height)

where:

OUTMAP | is the name of the output raster map.
MapFlowDirection | is the command to start the Flow direction operation.
InputMapName | is the name of the input raster map (value domain); the input raster map is expected to be a sink-free Digital Elevation Model (DEM).
slope | height | is an optional parameter to indicate how flow direction should be calculated. If no parameter is specified, parameter slope will be used.
slope | calculate flow direction as the run off to a neighbour pixel according to steepest downhill slope.
height | calculate flow direction as the run off to the neighbour pixel which has the lowest height (smallest value).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

The output map will always use system domain FlowDirection.

See also:

Flow direction : functionality


Flow direction : algorithm

Flow direction

Algorithm

In a (sink-free) Digital Elevation Model (DEM), the Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow naturally.

Flow direction is calculated for every central pixel of input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbours. The output map contains flow directions as N (to the North), NE (to the North East), etc.

Steepest slope method:

  • For each block of 3x3 input pixels, the operation calculates the height difference between the central pixel (CP) and each of the 8 neighbour pixels.
  • If, for a neighbour, the height difference is positive (i.e. central pixel has larger value than the specific neighbour), then:
    • for corner neighbours, height differences are divided by (distance) 1.4
    • for horizontal neighbours, height differences are divided by (distance) 1
    This determines the steepness between the central pixel and its neigbours.
  • Then, the (position of the) neighbour with the largest 'steepness' value is the output flow direction for the current central pixel.

Input values: | Height differences: |  | Distances: |  | Steepest slope: | Output flow direction:
 |  | / |  | = |  |

Lowest height method:

  • For each block of 3x3 input pixels, the operation calculates the height difference between the central pixel (CP) and each of the 8 neighbour pixels;
  • From all neighbours with a positive height difference, (i.e. central pixel has larger value than a specific neighbour),
    (the position of) the neighbour with largest positive height difference is the output flow direction for the current central pixel.

Input values: | Height differences: | Largest height difference: | Output flow direction:

Additional rules that are applied:

  • Pixels along the edges of the input map (margins and corners) will always return the undefined value in the output map.
  • If all neighbouring pixels of a central pixel have a larger value than the central pixel itself (i.e. a sink or pit), the undefined value will be returned in the output map. In principle, this situation should not occur; it is advised to use a sink-free input DEM.
  • When a central pixel has the undefined value, undefined will be returned in the output map.
  • Neighbour pixels that have the undefined value are ignored during the calculation.
  • If from eight neighbour pixels considered, three adjacent neighbour pixels in a single row or column are found to have the same steepest slope or the same smallest height value, then the position of the neighbour pixel that is in the middle of those three neighbours is used.
  • If from eight neighbour pixels considered, two neighbour pixels are found to have the same steepest slope or smallest height value, then the position of one of these two neighbour pixels is used arbitrarily.

See also:

Flow direction : functionality


Flow accumulation

Functionality

Dialog box

Command line

Algorithm


Flow accumulation : functionality

Flow accumulation

Functionality

The Flow accumulation operation performs a cumulative count of the number of pixels that naturally drain into outlets. The operation can be used to find the drainage pattern of a terrain.

  • As input the operation uses the output map of the Flow direction operation.
  • The output map contains cumulative hydrologic flow values that represent the number of input pixels which contribute any water to any outlets (or sinks if these have not been removed); the outlets of the largest streams, rivers etc. will have the largest values.

Example:

The Flow direction operation determines the natural drainage direction for every pixel in a Digital Elevation Model (DEM). Based on the output Flow direction map, the Flow accumulation operation counts the total number of pixels that will drain into outlets.

Calculating flow directions from a DEM (steepest slope) | Output flow direction map | Calculating flow accumulation | Output flow accumulation map

For more information, see Flow accumulation : algorithm.

Input map requirements:

The input map should be a raster map that is produced by the Flow direction operation, i.e. a raster map using system domain FlowDirection.

Domain and georeference of output map:

The output raster map will always use system domain Value. The operation sets the value range of the output map from 0 to 999999999, and sets the step size to 1.

The output raster map uses the same georeference as the input raster map.

Tips:

  • When displaying an output Flow accumulation map, you can use Logarithmic Stretching in the Display Options dialog box of the raster map.
  • The output Flow accumulation map is by default displayed using system representation Pseudo. If you wish, you can also create your own representation.
  • To show, from an output Flow accumulation map e.g. named outmap, only the pixels that receive water from for instance 25 or more input pixels, you can use MapCalc on the command line. Type for instance:
    • out25a = outmap >= 25 | (out25a with default domain Bool)
out25b = iff(outmap >= 25, outmap, ?) | (out25b with default domain Value)

See also:

Flow accumulation : dialog box

Flow accumulation : command line

Flow accumulation : algorithm

Flow direction : functionality


Flow accumulation : dialog box

Flow accumulation

Dialog box

The Flow accumulation operation performs a cumulative count of the number of pixels that naturally drain into outlets. The operation can be used to find the drainage pattern of a terrain.

  • As input the operation uses the output map of the Flow direction operation.
  • The output map contains cumulative hydrologic flow values that represent the number of input pixels which contribute any water to the outlets (or sinks if these have not been removed).

Dialog box options:

Flow direction map:

Select an input raster map. Open the list box and select the desired input map, or directly drag a raster map from a Catalog into this box.

The input map should be an output map of the Flow direction operation, i.e. a map with system domain FlowDirection.

Output raster map:

Type a name for the output raster map that will contain the cumulative hydrologic flow values.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Flow accumulation : functionality


Flow accumulation : command line

Flow accumulation

Command line

The Flow accumulation operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapFlowAccumulation(InputMapName)

where:

OUTMAP | is the name of the output raster map.
MapFlowAccumulation | is the command to start the Flow accumulation operation.
InputMapName | is the name of the input raster map; the input raster map is expected to be an output map of the Flow direction operation (i.e. a raster map with system domain FlowDirection).

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

The output map will always use system domain Value. The operation sets the value range of the output map from 0 to 999999999, and sets the step size to 1.

See also:

Flow accumulation : functionality


Flow accumulation : algorithm

Flow accumulation

Algorithm

The accumulated flow value for each pixel is calculated using a recursive function.

When a pixel has neighboring pixels pointing to itself, the values of these neighbours are accumulated, including the value of the pixel itself.

  • The calculation is initialized by calling the recursive function for the outlet pixel.
  • The function then recursively calls itself for all pixels that flow to the outlet pixel.
  • The recursion stops when a pixel is reached that has no more neighbour pixels that flow into it.

See also:

Flow accumulation : functionality


DEM optimization

Functionality

Dialog box

Command line

Algorithm


DEM optimization : functionality

DEM optimization

Functionality

The DEM optimization operation can be used to enhance a Digital Elevation Model (DEM), on which you wish to use the Flow direction operation later on. The DEM optimization operation will 'burn' existing drainage features into your Digital Elevation Model (DEM); a subsequent Flow direction operation will thus better follow the existing drainage pattern.

The DEM optimization operation offers the following possibilities:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.

The result of using the DEM optimization operation is a 'corrected' DEM in which existing drainage features are more pronounced.

Tip: Before using the DEM optimization operation, you can use the Fill sinks operation to remove local depressions from your DEM.

Explanation of terms:

Figure 1 and Figure 2 below show cross sections through the terrain.

  • The dotted line shows the original height value(s) in the input DEM, the blue line shows the position of a drainage.
  • The Buffer distance is shown in pink, the influence of Smooth drop in greenish and the influence of Sharp drop in red.
 | DEM pixel size: 10 m Buffer distance: 35 m Smooth drop: 30 m Sharp drop: 10 m
Fig. 1: Effect of Buffer distance, Smooth drop and Sharp drop on a DEM, using a single drainage segment as example.
 | DEM pixel size: 10 m Smooth drop: 0 m Buffer distance: n.a. Sharp drop: 40 m
Fig. 2: Effect of Smooth drop 0 and Sharp drop on a DEM, using a single drainage segment as example. If using Smooth drop 0, then Buffer distance will not be taken into account.

Buffer distance: | Buffer distance determines the width at either side of a segment where height values should be adapted.
Smooth drop: | Smooth drop determines the height with which segments and their surroundings (as specified by the Buffer distance) should be gradually dropped (positive value) or raised (negative value) in the terrain.
Sharp drop: | Sharp drop determines the height with which segments themselves should be dropped (positive value) or raised (negative value) in the terrain.

  • For Smooth drop and Sharp drop goes: values > 0 represent a drop; values < 0 represent a raise.
  • When Smooth drop <> 0 and Sharp drop <> 0, Sharp drop is an additional drop or raise on top of the Smooth drop (Figure 1).
  • Smooth drop 0 means no gradual drop; Buffer distance will then automatically be disregarded; Sharp drop will ensure a drop or raise at the position of the segments themselves (Figure 2).
  • When polygons are used, only Sharp drop applies.
  • Undefined height values in the input DEM will remain undefined in the output DEM.

For more information on the calculation of output values, see DEM optimization : algorithm.

Specifying buffer distance, smooth drop and sharp drop values via an attribute table:

If you wish to a apply the same buffer distance, smooth drop value and sharp drop value to all segments/polygons in the drainage map, there is no need to use an attribute table. You can directly specify the values in the dialog box or on the command line.

To apply specific buffer distance(s), smooth drop value(s) and sharp drop value(s) for specific classes or IDs of segments, you can use an attribute table (see Figure 3 below).

Fig. 3: Example of a segment drainage map and its attribute table in which different values are used for Buffer distance, Smooth drop and Sharp drop for individual segment classes.
  • An attribute table that is linked to a segment map or to the domain of a segment map is automatically recognized by the dialog box and the command line.
  • Column names Buffer_dist, Smooth_drop, Sharp_drop are automatically recognized by the dialog box and the command line. Of course, you can also use your own column names.

Input map requirements:

An input Digital Elevation Model (DEM) is required (value raster map).

Furthermore, an input 'drainage' map (vector map) is required:

  • You can use a segment map (domain type Class or ID) and optionally an attribute table for the segments.
    • Segments may represent genuine drainages, for instance when the position of segments should be dropped in the output DEM.
    • Segments may also represent watershed-divides, for instance when the position of segments should be raised in the output DEM.
    • An attribute table should be used when you wish to apply specific buffer distances, smooth drop and/or sharp drop values for individual segment classes or IDs.
  • For the 'drainage' map, you can also use a polygon map (any domain) to drop or raise areas in the output DEM.

Domain and georeference of output map:

The output map will use system domain Value; the value range for the output map is automatically calculated.

The output map will use the same georeference as the input map.

Tip: The output map of the DEM optimization operation can be used as input map for the Flow direction operation.

Reference:

The DEM optimization operation complies with the AGREE method, developed by Ferdi Hellweger at the University of Texas, Austin, 1997. For more information, refer to: http://www.ce.utexas.edu/prof/maidment/gishydro/ferdi/research/agree/agree.html

See also:

Fill sinks : functionality

DEM optimization : dialog box

DEM optimization : command line

DEM optimization : algorithm

Flow direction : functionality


DEM optimization : dialog box

DEM optimization

Dialog box

The DEM optimization operation enables you to 'burn' existing drainage features into a Digital Elevation Model (DEM), so that a subsequent Flow direction operation on the output DEM will better follow the existing drainage pattern.

The DEM optimization operation offers the following possibilities:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.

Dialog box options:

Input DEM:

Select an input raster map. Open the list box and select the desired input map, or directly drag a raster map from a Catalog into this box.

The input map is supposed to be a Digital Elevation Model (DEM).

Input drainage map:

Select an input segment map which contains:

  • drainage segments which should be dropped in the output DEM, or
  • watershed-divide segments that should be raised in the output DEM.

You can also select an input polygon map when polygons should be dropped or raised in the output DEM.

Table:

If a segment map was selected: optionally, select the attribute table belonging to this segment map in case you wish to use different buffer distances, smooth drop values, and/or sharp drop values for individual segment classes or IDs.

Buffer distance (m):

If an attribute table was selected for a segment drainage map, select a value column in the table that contains buffer values for the segment classes/IDs. Else, type a buffer distance value that will be applied to all segments.

The Buffer distance(s) indicate the 'area' at either side of the segments that will be affected by the gradual drop or raise. Buffer distance(s) should be larger than zero.

Smooth drop (m):

If an attribute table was selected for a segment drainage map, select a value column in the table that contains smooth drop values for the segment classes/IDs. Else, type a smooth drop value that will be applied to all segments.

  • Smooth drop value(s) indicate the height with which segments should be dropped or raised in the output DEM. The drop or raise value(s) will be reached gradually on either side of the segments, using the buffer distance(s).
  • Smooth drop value(s) > 0 represent a drop; smooth drop value(s) < 0 represent a raise; smooth drop value(s) of 0 represent no drop and no raise.

Sharp drop (m):

If an attribute table was selected for a segment drainage map, select a value column in the table that contains additional sharp drop values for the segment classes/IDs. Else, type a sharp drop value that will be applied to all segments or to all polygons.

  • Sharp drop value(s) indicate the height with which segments should additionally be dropped or be raised in the output DEM on top of the Smooth drop value(s).
  • Sharp drop value(s) > 0 represent an additional drop; sharp drop value(s) < 0 represent an additional raise; sharp drop value(s) of 0 represent no additional drop and no additional raise.

Output raster map:

Type a name for the output raster map (output DEM) that will contain the 'corrected' height values.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

DEM optimization : functionality


DEM optimization : command line

DEM optimization

Command line

The DEM optimization operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapDemOptimization(InputMapName, InputSegmentMap)
OUTMAP | = | MapDemOptimization(InputMapName, InputSegmentMap, InputTable)
OUTMAP | = | MapDemOptimization(InputMapName, InputSegmentMap, InputTable, ColumnNameBufferDistance, ColumnNameSmoothDrop, ColumnNameSharpDrop)
OUTMAP | = | MapDemOptimization(InputMapName, InputSegmentMap, , ColumnNameBufferDistance, ColumnNameSmoothDrop, ColumnNameSharpDrop)
OUTMAP | = | MapDemOptimization(InputMapName, InputSegmentMap, BufferDistanceValue, SmoothDropValue [, SharpDropValue])
OUTMAP | = | MapDemOptimization(InputMapName, InputPolygonMap, PolygonDropValue)

where:

OUTMAP

is the name of the output raster map.

MapDemOptimization

is the command to start the DEM optimization operation.

InputMapName

is the name of the input raster map (value domain); the input raster map is expected to be a Digital Elevation Model (DEM).

InputSegmentMap

is the name of an input segment map (class or ID domain); the input segment map is expected to be a drainage map or a watershed-divide map.

InputTable

is the name of an attribute table belonging to the input segment map with the drainage or watershed classes or IDs. In the attribute table, you can indicate the amount that (each) drainage class should be dropped into the DEM, or the amount that (each) watershed-divide class should be raised on the DEM.

  • If the name of the attribute table is specified without specifying any further column names, then the attribute table is expected to contain the following value columns: Buffer_dist, Smooth_drop, Sharp_drop.
  • If the attribute table is linked to the segment map (or to the domain of the segment map) and if further column names are specified, then the attribute table name can be omitted.

ColumnNameBufferDistance

is the name of a value column containing the buffer distance values.
In the attribute table, buffer distance values can be specified for individual classes/IDs of segments.

ColumnNameSmoothDrop

is the name of a value column containing the smooth drop values.
In the attribute table, smooth drop values can be specified for individual classes/IDs of segments.

ColumnNameSharpDrop

is the name of a value column containing the sharp drop values.
In the attribute table, sharp drop values can be specified for individual classes/IDs of segments.

BufferDistanceValue

is a value (m) to indicate the 'area' at either side of the segments that will be affected by the drop or raise; real value > 0.

SmoothDropValue

is a value (m) to indicate the total drop/raise of all segments in the DEM.

  • SmoothDropValue > 0 means that all (drainage) segments will be dropped with this value in the output DEM.
  • SmoothDropValue = 0 means no drop and no raise.
  • SmoothDropValue < 0 means that all (watershed-divide) segments will be raised with this value on the output DEM.

SharpDropValue

is an optional value (m) to indicate an extra drop/raise of all segments in the output DEM on top of the specified SmootDropValue.

  • SharpDropValue > 0 means an extra drop of all segments.
  • SharpDropValue = 0 means no drop and no raise.
  • SharpDropValue < 0 means an extra raise of all segments.

When not specified, a SharpDropValue of 0 will be used.

InputPolygonMap

is the name of an input polygon map (any domain).

PolygonDropValue

is a value (m) to indicate the drop/raise of all polygons in the output DEM.

  • PolygonDropValue > 0 means that all polygons will be dropped with this value in the output DEM.
  • PolygonDropValue = 0 means no drop and no raise.
  • PolygonDropValue < 0 means that all polygons will be raised with this value on the output DEM.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

The output map will use system domain Value; the value range for the output map is automatically calculated.

See also:

DEM optimization : functionality


DEM optimization : algorithm

DEM optimization

Algorithm

With the DEM optimization operation, the following can be achieved:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.

The output Digital Elevation Model (DEM) is calculated based on:

  • an input DEM,
  • an input segment or polygon map which contains drainage or catchment features,
  • specified parameters Buffer distance, Smooth drop and Sharp drop.

The parameters Buffer distance, Smooth drop and Sharp drop can be specified:

  • as simple values for all segments, or
  • in an attribute table of the segment or polygon map for each class/ID of the segments or polygons.

For more information, refer to DEM optimization : functionality.

Process:

  1. The height values of the input DEM are read into memory (OriginalHeight).
  2. The vector map with the drainage or catchment features is temporarily rasterized.
  3. For each pixel in the DEM, distances are calculated towards the closest drainage/catchment feature.
    Thus, for each pixel the distance towards the nearest drainage/catchment feature is known (CalcDist).
    • In case an attribute table is used, also a temporary Thiessen map is calculated, so that for each pixel in the DEM it is known which BufferDistance, SmoothDrop and SharpDrop values should be used.
  4. For each pixel:
    • if CalcDist < BufferDistance, then

      • NewTempHeight = OriginalHeight - SmoothDrop * (BufferDistance - CalcDist) / BufferDistance

    • else (pixel outside BufferDistance)

      • NewTempHeight = OriginalHeight

    • if CalcDist = 0, then

      • NewTempHeight = NewTempHeight - SharpDrop

    • NewHeight = NewTempHeight

Reference:

The DEM optimization operation complies with the AGREE method, developed by Ferdi Hellweger at the University of Texas, Austin, 1997. For more information, refer to: http://www.ce.utexas.edu/prof/maidment/gishydro/ferdi/research/agree/agree.html

See also:

DEM optimization : functionality


Topological optimization

Functionality

Dialog box

Command line

Algorithm


Topological optimization : functionality

Topological optimization

Functionality

When a DEM and/or a flow direction map have undefined values, e.g. when there are lakes in the study area, the Topological Optimization operation can improve the results of a previous Flow direction operation and a Drainage network extraction operation to ensure a proper flow through this lake.

As input, this operation requires:

  • an existing output map of the Drainage network extraction operation,
  • an existing output map of the Flow direction operation,
  • a segment map with one or more segments that connect the inlet(s) of a lake with the outlet(s) of lake (down-flow).

As output, the operation delivers:

  • a new continuous drainage network raster map, and
  • a new flow direction raster map.

The output of this operation can serve as a new basis for the other hydrologic operations, e.g. to obtain new Strahler or Shreve order numbers, new catchments etc. For more information, see also Catchment merge : functionality (third example).

Using Topological optimization:

The idea is to create one or more segment maps that will connect drainages through lake areas, so that the drainages that flow into a lake, are connected to the drainages that flow out of the lake. The operation works best, when it is used several times; each time with new connecting drainages, and using the output of a first pass as input in a second pass.

  1. To start, you need:

    • a previous flow direction map containing areas without a flow direction;
    • a previous drainage network extraction map or a drainage network ordering (segment) map, in which not all drainages seem connected.

    To prepare for the first pass:

    • create a segment map containing one or more main drainage segments.

    In other passes, you will create more segments that will connect to this first one.

    Tips:

    • A segment map can be created in a map window, using the input flow direction map and the initial drainage network ordering segment map as background.
    • Choose File, Create Segment map in the map window and the Segment editor will be opened. For more information, refer to Segment editor : functionality, section Working with the mouse.
    • It is important to digitize segments from start to end in a down-flow direction.

    The input for the first pass is shown in pictures 1, 2, and 4 below.

    The output of the first pass is an updated flow direction map, and an updated drainage network extraction map. This is shown in pictures 5 and 6 below.

  2. Then you move on to the second pass:

    • create another segment map where you connect loose drainages to the main drainage line you digitized in the first pass;
    • keep in mind to connect drainages in a down-flow direction to the main drainage line;

    The segments of the second segment map are shown in picture 8 below.

    As input for the second pass, you use:

    • the output maps of the first pass (pictures 5 and 6);
    • the second segment map (picture 8).

    The output of the second pass is again an updated flow direction map, and an updated drainage network extraction map. This is shown in pictures 9 and 10 below.

  3. For a third pass, prepare another segment map (picture 12).

    For the third pass, use the output maps of the second pass (pictures 9 and 10) and the new segment map (picture 12).

    The output of the third pass is again an updated flow direction map, and an updated drainage network extraction map. This is shown in pictures 13 and 14 below.

As you can see in picture 13 below, the output updated flow direction map still contains some undefined values, but (most of) the drainages upstream of the lake are now connected to the drainages downstream of the lake.

Tips:

  • When you perform a Drainage network ordering operation on the output of a Topological optimization operation, you obtain segment maps. The new segments will be integrated in your drainage network (pictures 7, 11, and 15).
  • The updated flow direction map, that is the output of the Topological optimization operation, can be used as input for a Catchment merge operation with the option Included Undefined Pixels. By using this option, a lake area with undefined flow direction values, can be included into a catchment (single polygon). For more information, refer to Catchment merge : functionality.

Example:

1. Input flow direction map | 2. Input drainage network extraction map | 3. Initial drainage network ordering map (reference)
4. Main drainage segment added through lake (single segment in green)
5. First pass: output flow direction map after 1st time Topological optimization | 6. First pass: output drainage network map after 1st time Topological optimization | 7. After subsequent Drainage network ordering (displayed by attribute Strahler)
8. Other drainage segments added through lake (segments in green)
9. Second pass: output flow direction map after 2nd time Topological optimization | 10. Second pass: output drainage network map after 2nd time Topological optimization | 11. After subsequent Drainage network ordering (displayed by attribute Strahler)
12. Other connecting drainage segments added (segments in green)
13. Third pass: output flow direction map after 3rd time Topological optimization | 14. Third pass: output drainage network map after 3rd time Topological optimization | 15. After subsequent Drainage network ordering (displayed by attribute Strahler)

Input map requirements:

  • the output map of a previous Drainage network extraction operation,
  • the output map of a previous Flow direction operation,
  • a segment map with one or more segments that connect drainages upstream of a lake with drainages downstream of a lake; segments should be (screen-)digitized in a down-flow direction.

Domain and georeference of output maps:

The operation produces:

  • an updated drainage network raster map (as if the Drainage network extraction operation was used); this output map uses system domain Bool, and
  • an updated flow direction raster map (as if the Flow direction operation was used); this output map uses system domain FlowDirection.

The output maps will use the same georeference as the input maps.

Tip: As mentioned before, the updated flow direction map can be used as input for a Catchment merge operation with the option Included Undefined Pixels. By using this option, a lake area with undefined flow direction values, can be included into a catchment (single polygon). For more information, refer to Catchment merge : functionality, third example.

See also:

Topological optimization : dialog box

Topological optimization : command line

Topological optimization : algorithm

Catchment merge : functionality


Topological optimization : dialog box

Topological optimization

Dialog box

When there are lakes in your study area, i.e. when your DEM and/or your flow direction map have undefined values, the Topological Optimization operation can improve the results of a previous Flow direction operation and a Drainage network extraction operation to ensure a proper flow through this lake.

Before you can perform this operation, you must have prepared a segment map in which the segments connect the inlet(s) of a lake with the outlet(s) of lake (down flow).

As output, the operation delivers:

  • a new continuous drainage network raster map, and
  • a new flow direction raster map.

It is advised to perform this operation in two or more steps, for more information, refer to Topological optimization : functionality.

The final output of this operation can serve as a new basis for the other hydrologic operations, e.g. to obtain new Strahler or Shreve order numbers, new catchments etc.

Dialog box options:

Drainage network map: | Select an input raster map that contains a basic but incomplete drainage network. The input map should be an output map of a previous Drainage network extraction operation, i.e. a map with system domain Bool. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box.
Flow direction map: | Select a raster map that is the output of a previous Flow direction operation.
Stream segment map: | Select a segment map that contains one or more segments which connect the inlet(s) of lake(s) with the outlet(s) of lake(s). You should have prepared this segment map manually and beforehand.
Output raster map: | Type a name for the output raster map that will contain an updated drainage network.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.
Modified flow direction map:
 | Type a name for the output raster map that will contain updated flow directions.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Topological optimization : functionality


Topological optimization : command line

Topological optimization

Command line

The Topological Optimization operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapTopologicalOptimization(drainnetwork_rasmap, flowdir_rasmap, stream_segmap, output_modified_flowdir_rasmap)

where:

OUTMAP | is the name of the output raster map that will contain an updated drainage network.
MapTopologicalOptimization
 | is the command to start the Topological Optimization operation.
drainnetwork_rasmap | is a raster map that is the outcome of a previous Drainage Network Extraction operation, i.e. a raster map with a Bool domain.
flowdir_rasmap | is a raster that is the outcome of a previous Flow Direction operation, i.e. a raster map with system domain FlowDirection.
stream_segmap | is a segment map containing straight lines between inlets and outlets, e.g. in lakes.
output_modified_flowdir_rasmap | is the name of an updated output flow direction raster map that will contain improved flow directions.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Topological optimization : functionality

Topological optimization : dialog box

Topological optimization : algorithm


Topological optimization : algorithm

Topological optimization

Algorithm

See also:

Topological optimization : functionality

Topological optimization : dialog box

Topological optimization : command line


Variable threshold computation

Functionality

Dialog box

Command line

Algorithm


Variable threshold computation : functionality

Variable threshold computation

Functionality

The Variable threshold computation operation helps you to prepare a threshold map that can be used in the Drainage network extraction operation.

You can base the threshold map on a height map (DEM), or on attribute values from an attribute table of a raster map with a class or ID domain (e.g. infiltration attribute values in a table linked to a geological unit map).

As a user, you have to:

  • specify the size of a kernel or moving window, so that for the calculation of each output pixel, only 3 x 3 or 5 x 5, etc. input pixels will be considered;
  • specify the number of desired output classes;
  • specify a boundary value and a desired output value for each output class that you wish to obtain.

When height values are used as input, you can optionally obtain an internal relief map as additional output.

Brief explanation of the algorithm:

Suppose that you use a 3 x 3 kernel.

  1. First, the 3 x 3 kernel moves over the input values and determines the maximum difference between each 9 input values. When you use height values as input, this is the calculation of the internal relief.
  2. Subsequently, these maximum difference values are classified into several user-defined classes. Each class is assigned the threshold value that was specified for this class.
  3. Finally, for generalization purposes, the 3 x 3 kernel moves over the map from the previous step: the predominant value of each 9 temporary threshold values is found and this threshold value is assigned to the output pixel.

When using a 5 x 5 kernel, 25 input pixels are considered at a time, etc.

Below, you will find some examples and a more detailed explanation of these 3 steps.

Input map requirements:

The operation requires an input Digital Elevation Model (DEM) (value raster map).

You can also use a class or ID map and choose a (value) attribute column from the attribute table that is linked to this map. In this way, you can base the output threshold map for instance on infiltration (attribute) values of geological units (map), etc.

Domain and georeference of output maps:

The output threshold map and the optional internal relief output map will use system domain Value; the value range and precision for the output maps are automatically calculated.

An output internal relief map will obtain the same name as the output threshold map, followed by __1.

The output maps will use the same georeference as the input map.

Tip: The output threshold map of this operation can be used as input threshold map in a Drainage network extraction operation.

Examples

1. Simple example:

In this example, a relatively flat part of a DEM is used.

Consider the following 9 pixels in a DEM:

2060 | 2055 | 2052
2056 | 2051 | 2051
2050 | 2047 | 2046

Internal relief:

The internal relief value, for the center pixel, is: maximum - minimum = 2060 - 2046 = 14.
This value is the output value that is assigned to the 'center' pixel in the internal relief map below (in bold).
For your reference, the internal relief values calculated for the other pixels are also shown.

16 | 10 | 10
17 | 14 | 13
12 | 13 | 13

Classification:

The upper boundary values were set to 25 and 75.

  • For internal relief values £ 25, an output threshold value of 750 should be assigned.
  • For internal relief values > 25 but £ 75, an output threshold value of 250 should be assigned.

In this case, the internal relief value is 14, thus the output threshold value will be 750 (in bold below).
For your reference, the classified threshold values for the other pixels are also shown.

750 | 750 | 750
750 | 750 | 750
750 | 750 | 750

Predominant threshold value:

From the pixel values above, it is easily seen that the predominant value is 750.
This is the final output value that will be assigned to the pixel in the output threshold map (in bold below).

depends | 750 | depends
750 | 750 | 750
depends | 750 | depends

For the final output values of the neighbours, the following can be said:

  • for the pixels directly above, below, to the right and to the left of the center pixel, 6 out of 9 pixels in the classification map have value 750; these 4 pixels will thus also be assigned value 750 in the output map;
  • for the corner pixels goes that at least 4 out of 9 pixels have value 750; for these pixels, their final output value depends on the values of other neighbours.

2. More complicated example:

In this example, a part of a DEM is used in which the internal relief values are just below and just above the first boundary value of 25.

Consider the input DEM below.

A 3x3 filter was used to determine internal relief values. The internal relief map is shown below.

The same classification was used as in the simple example:

  • For internal relief values £ 25, an output threshold value of 750 should be assigned.
  • For internal relief values > 25 but £ 75, an output threshold value of 250 should be assigned.

However, because the predominant value (of the 3x3 window) is assigned, the output is as follows:

Explanation of the operation's process

1. Calculation of internal relief values:

A kernel (filter) with a user-defined size, e.g. 3 x 3, 5 x 5, etc., will move over the input map. Each time, only the 9, 25, etc. pixel values 'within' the kernel are considered. When an output value is obtained, the kernel moves 1 pixel to the right, until all pixels in a row are done. This is repeated for all rows.

The filter size has to be specified in the operation's dialog box or on the command line:

  • any odd size can be used,
  • filters are always symmetrical, e.g. 3 x 3, 5 x 5, etc.
  • if an even value is specified for the filter size, this value is automatically increased by 1, so that an odd size is obtained,
  • if a filter size < 3 is used, the program will automatically use a 3 x 3 kernel.

From the 9, 25, etc. input values considered, the minimum value and the maximum value are found. The difference between the maximum value and the minimum value is the internal relief:

Internal relief = MAX - MIN

This value is assigned to the corresponding pixel, at the center of the kernel, in the optional internal relief output map.

For more information, see also Filter (operation) : functionality or Neighbourhood operations (section Using neighbourhood functions on multiple neighbours), and/or Neighbourhood functions NBMAX and NBMIN.

The output internal relief map, using a 3x3 filter size, could be created 'manually' by using:

MaximumValuesMap | = | NBMAX(InputDEM#)
MinimumValuesMap | = | NBMIN(InputDEM#)
InternalReliefMap | = | MaximumValuesMap - MinimumValuesMap

2. Reclassification of internal relief values into output threshold values:

The user has to specify upper boundary values for the internal relief values and has to specify output values for these internal relief classes.

For instance, an internal relief value map contains values between 0 and 450.

Suppose, you wish to divide these internal relief values into 3 classes:

  • all internal relief values between 0 and 30 should obtain output value: 1000
  • all internal relief values between 31 and 80 should obtain output value: 250
  • all internal relief values between 81 and 500 should obtain output value: 50

You should then use the following upper boundary values and output threshold values:

Upper bound value | Output threshold value
30 | 1000
80 | 250
500 | 50

The maximum number of output classes that can be specified is 5.

Note:

The upper boundary value of the last class should be large enough to fit 'all' internal relief values. If an internal relief value is found that is greater than the last upper boundary value, then such a pixel will not be classified and will thus obtain output value undefined.

To prevent this, it is advised to specify for the last upper boundary value:

Maximum value in your entire DEM - Minimum value in your entire DEM

In this way, you ensure that no additional undefined values will appear in your output map.

3. Assigning the predominant output value 'within the filter' to the output pixel:

Finally, the filter with your user-defined size, e.g. 3 x 3, 5 x 5, etc., will move over the output map with the threshold values from step 2. Each time, only the pixel values 'within' the filter are considered.

From these values, while any pixels with value undefined are ignored, the predominant value is determined. This predominant value is then assigned to the corresponding pixel, at the center of the filter, in the final output map.

Then, the filter moves on to the next pixel.

By assigning the predominant threshold value:

  • the output map with threshold values will appear smoother, especially along the edges of the output classes, and
  • the output map will have less speckles, i.e. the amount of small groups of pixels with a different value than most of their neighbours is reduced.

For more information, see Majority filter, or Neighbourhood operations (section Using neighbourhood functions on multiple neighbours), and Neighbourhood function NBPRD.

See also:

Variable threshold computation : dialog box

Variable threshold computation : command line

Variable threshold computation : algorithm


Variable threshold computation : dialog box

Variable threshold computation

Dialog box

The Variable threshold computation operation helps you to prepare a threshold map that can be used in the Drainage network extraction operation.

You can base the threshold map on a height map (DEM), or on attribute values from an attribute table of a raster map with a class or ID domain (e.g. infiltration attribute values in a table linked to a geological unit map).

As a user, you have to:

  • specify the size of a kernel or moving window, so that for the calculation of each output pixel, only 3 x 3 or 5 x 5, etc. input pixels will be considered;
  • specify the number of desired output classes;
  • specify a boundary value and a desired output value for each output class that you wish to obtain.

When height values are used as input, you can optionally obtain an internal relief map as additional output.

For more information on the calculations that will take place, refer to Variable threshold computation : functionality.

Dialog box options:

Input DEM:

Select an input raster map. Open the list box and select the desired input map, or directly drag a raster map from a Catalog into this box.

The input map is supposed to be a Digital Elevation Model (DEM).

You can also use a class or ID map and choose a (value) attribute column from the attribute table that is linked to this map. In this way, you can base the output threshold map for instance on infiltration (attribute) values of geological units (map), etc.

Filter size:

Type an odd value to define the filter size. When you use value 3, a 3 x 3 window will move over the map(s).

If an even value is entered, the program will increase the value with 1. If a value < 3 is entered, the program will automatically use value 3.

Nr. of classes:

Select a value for the number of output 'classes' you wish to obtain. The output 'classes' are assigned the threshold values.

You can choose a value between 1 and 5.

Upper Bound:

In the first text box: specify an upper boundary value, i.e. any internal relief value smaller than or equal to this value will be assigned the threshold value.

Mind: the last upper boundary value that you specify, in the lower left box, should be large enough to handle all internal relief values, otherwise some pixels may be assigned the undefined value. Specify for the last upper boundary value instance the maximum DEM value minus the minimum DEM value, or make a liberal estimate.

Threshold:

In the text box to the right of the Upper Bound text box: specify for this upper boundary value, the output threshold value that should be assigned.

Output raster map:

Type a name for the output raster map that will contain the specified threshold values.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map or table in a Catalog, and in the title bar of a map or table window when the output map or table is displayed. If no description is supplied, the output map and the table will use their own definition as description.

Create internal relief map:

Select this check box when you also want to obtain an output map containing internal relief values. The output internal relief map will obtain the same name as the output threshold map, followed by __1.

Clear this check box, if you only wish to obtain an output threshold map.

When you click the Show button, the dependent output (threshold) map will be defined, calculated and shown. When you click the Define button, the dependent output threshold map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

Optionally, a second output map containing the internal relief values can be created.

See also:

Variable threshold computation : functionality


Variable threshold computation : command line

Variable threshold computation

Command line

The Variable threshold computation operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapVariableThresholdComputation(InputMapName, FilterSize, NrOfClasses, "UpperBounds_and_ThresholdVals", InternalReliefMap)

where:

OUTMAP

is the name of the output raster map.

MapVariableThresholdComputation

is the command to start the Variable threshold computation operation.

InputMapName

is the name of the input raster map (value domain); the input raster map is expected to be a Digital Elevation Model (DEM).

To use a value attribute column from an attribute table which is linked to a raster map with a Class or an ID domain, use InputMapName.ColumnName

FilterSize

is a value for the size of the window that will move over the map(s); filter size 3, means that each time 3 x 3 input pixels are considered.

NrOfClasses

is a parameter to specify the number of classes that you wish to obtain in the output threshold map (1 £ integer value £ 5)

"UpperBounds_and_ThresholdVals"

is a string in which, for each class at a time, the upper boundary value for internal relief values is specified, followed by the desired output threshold value. Boundary values and threshold values are separated by commas, this is repeated for each output 'class'; the total string needs to be surrounded by double quotes.

When using for instance 2 classes, the string could read: "25, 750, 75, 250, 500, 100"

In this example, values 25, 75 and 500 are the upper boundary values for the internal relief; values 750, 250, and 100 are the respective threshold values that will be assigned to these classes.

InternalReliefMap

true | false | 1 | 0

Specify true or 1 when you wish to obtain an output raster map with internal relief values. The internal relief map will obtain the same name as the output threshold map, followed by __1.

Specify false or 0 when no internal relief map is required.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Example:

To perform the Variable threshold operation on height map MyFilledDEM,

  • producing output raster map OUTMAP,
  • using a 5 x 5 window that will move over the map(s);
  • using 3 output classes, where:
    • internal relief values £ 30 will be assigned threshold value 1000,
    • internal relief values £ 80 will be assigned threshold value 250,
    • internal relief values £ 500 will be assigned threshold value 50,
    • internal relief values > 500 will be assigned the undefined value,
  • producing an internal relief map,

you can use the following expression:

OUTMAP

=

MapVariableThresholdComputation(MyFilledDEM,5,3,"30,1000,80,250,500,50", 1)

See also:

Variable threshold computation : functionality

Variable threshold computation : dialog box

Variable threshold computation : algorithm


Variable threshold computation : algorithm

Variable threshold computation

Algorithm

See also:

Variable threshold computation : functionality

Variable threshold computation : dialog box

Variable threshold computation : command line


Drainage network extraction

Functionality

Dialog box

Command line

Algorithm


Drainage network extraction : functionality

Drainage network extraction

Functionality

The Drainage Network Extraction operation extracts a basic drainage network (boolean raster map). The output raster map will show the basic drainage as pixels with value True, while other pixels have value False.

As input is required: the output raster map of the Flow Accumulation operation. This map contains a cumulative drainage count for each pixel.

Subsequently, you can choose to use either:

  • a threshold value, i.e. a value for the minimum number of pixels that are supposed to drain into a pixel to let this pixel remain as a drainage in the output map; the larger you choose this value, the fewer drainages will remain in the output map;
  • a threshold raster map that contains variable threshold values. A threshold map can for instance be based on geological units, on height values, or on an internal relief map, etc.
    • when using a threshold map, also the output map of a previous Flow direction operation is required. The program then uses the flow direction map to automatically fill possible gaps between extracted drainage lines.

Depending on the flow accumulation value for a pixel and the threshold value for this pixel, it is decided whether true or false should be assigned to the output pixel. If the flow accumulation value of a pixel exceeds the threshold value, the output pixel value will be true; else, false is assigned.

For instance, when a stream threshold value of 1000 is used:

  • if a pixel in the flow accumulation map has a value > 1000, this pixel will be assigned value True in the output drainage network map;
  • else value False will be assigned to the output pixel.

Tips:

  • A threshold map can be prepared with the Variable threshold computation operation. A threshold map may be based on internal relief values or on specific infiltration values for specific geological units, etc.
  • When using a threshold map, the operation will furthermore fill possible gaps between extracted drainage lines.

Example:

Input flow accumulation map: | Output drainage network map (threshold 1000): | Output drainage network map (variable threshold):
Larger values in red, and smaller values in blue. | True values in green, and False values in gray. | True values in green, and False values in gray.

Input map requirements:

  • The required input map is a raster map produced by the Flow accumulation operation, i.e. a raster map using system domain Value.
  • Optionally, you can use a raster map containing threshold values; this map should thus be a value map.
  • When using such a threshold map, you also need to specify a Flow direction map. This map is used to automatically fill possible gaps between extracted drainage lines. A flow direction map always uses system domain FlowDirection.

Domain and georeference of output map:

The ouput map will use system domain Bool; the output map will use the same georeference as the input map(s).

Tip:

The output map of the Drainage network extraction operation can be used as input for the Drainage network ordering operation.

See also:

Drainage network extraction : dialog box

Drainage network extraction : command line

Drainage network extraction : algorithm


Drainage network extraction : dialog box

Drainage network extraction

Dialog box

The Drainage network extraction operation extracts a basic drainage network (boolean raster map).

Dialog box options:

Flow accumulation map:

Select an input raster map that is the output of a previous Flow accumulation operation. Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box.

Stream threshold:

Type a value for the minimum number of pixels that should drain into a pixel examined to add this pixel to the output drainage network.

Example: when using a stream threshold value of 10:

  • pixels in the flow accumulation map that have a value > 10 will be assigned value True in the output drainage network map.
  • pixels in the flow accumulation map that have a value £ 10 will be assigned value False.

Use stream threshold map:

Select this check box when you wish to use a map containing various stream threshold values; subsequently, select an input raster map (with a value domain) that contains the threshold values.

Tip: A threshold map can be prepared with the Variable threshold computation operation. A threshold map can for example be based on internal relief values or on certain infiltration values for specific geological units, etc.

Clear this check box when you wish to use a single stream threshold value.

Flow direction map:

When using a stream threshold map, select a raster map that is the output of a previous Flow direction operation.

The Flow direction map is used to automatically fill possible gaps between found drainage lines. As a result, you will always obtain a continuous drainage network.

Output raster map:

Type a name for the output raster map that will contain the extracted drainage network.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Drainage network extraction : functionality


Drainage network extraction : command line

Drainage network extraction

Command line

The Drainage Network Extraction operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTMAP | = | MapDrainageNetworkExtraction(flowacc_rasmap, threshold)
OUTMAP | = | MapDrainageNetworkExtraction(flowacc_rasmap, threshold_rasmap, flowdir_rasmap)

where:

OUTMAP | is the name of the output raster map.
MapDrainageNetworkExtraction
 | is the command to start the Drainage Network Extraction operation.
flowacc_rasmap | is a raster map that is the outcome of the Flow Accumulation operation, i.e. a raster map with a value domain.
threshold | a value (integer > 0) to define the minimum number of pixels (i.e. the contributing area) that should drain into the pixel examined to form a network channel. If the condition is met, true is assigned in the output map; else false is assigned.
threshold_rasmap | is a raster map where the pixel values define the minimum number of pixels (i.e. the contributing area) that should drain into the pixel examined to form a network channel.
flowdir_rasmap | is a raster that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

The output map will always use system domain Bool.

See also:

Drainage network extraction : functionality

Drainage network extraction : dialog box

Drainage network extraction : algorithm


Drainage network extraction : algorithm

Drainage network extraction

Algorithm

See also:

Drainage network extraction : functionality

Drainage network extraction : dialog box

Drainage network extraction : command line


Drainage network ordering

Functionality

Dialog box

Command line

Algorithm


Drainage network ordering : functionality

Drainage network ordering

Functionality

The Drainage network ordering operation:

  • examines all drainage lines in the drainage network map, i.e. an output map from the Drainage network extraction operation,
  • finds the nodes where two or more streams meet, and
  • assigns a unique ID to each stream in between these nodes, as well as to the streams that only have a single node.

Tip: When you used a high quality DEM, many superfluous streams may have come up with the Drainage network extraction operation. To limit the number of output streams and reduce calculation time for the Drainage network ordering operation, you can specify the minimum drainage length (in meters); then, only external streams with a length greater than this value will remain in the output drainage network.

The output of this operation is a raster map, a segment map and an attribute table that all use a newly created ID domain.

The attribute table contains information on each stream, such as:

  • Strahler ordering number, Shreve ordering number,
  • stream length, calculated along the drainage, and calculated as a straight line between XY-coordinates,
  • slope values in degrees and in percentages, calculated along the drainage and calculated as a straight line between XY-coordinates, and elevation,
  • sinuosity of the drainage path as a measure of meandering,
  • total upstream drainage length, i.e. the total length of the streams that drain into the current one, etc.

The output maps and the attribute table of the Drainage network ordering operation are used as input in many other DEM-hydro processing operations, among others:

  • the Catchment extraction operation,
  • the Catchment merge operation, and
  • the Overland flow length operation.

Example:

Input drainage network map: | Output drainage network ordering map: | Output map including the IDs as points:
True values in green, and False values in gray. | Every stream segment obtains its own ID; IDs are shown in multiple colors
Output map displayed by attribute Strahler: | Output map displayed by attribute Shreve:
The Strahler (value) column was used, with representation Pseudo. | The Shreve (value) column was used, with representation Pseudo.

Principles of Strahler and Shreve network ordering:

In the attribute table, a Strahler column and a Shreve column will be found. These columns contain values that reflect the position of a stream between its adjacent upstream and downstream streams. The ordering systems have a different manner of calculation.

  • First, the streams are found that form the upper-most starting points of the drainages in the network. These streams obtain ordering number 1 (both in the Strahler and in the Shreve ordering system), until a node is found that connects the stream with a following stream (down-flow).
    • For next streams down-flow, Strahler ordering numbers are calculated as follows:
      • When two (or more) streams of equal order join each other, the stream order value is increased by 1.
        For example, when two streams with order number 2 join each other, the next stream will receive order number 3.
      • When a higher-order stream joins a lower-order stream, the order number for the next stream does not increase; instead, the largest order number of the streams that contribute to it is assigned.
        For example, when a stream with order number 1 joins a stream with order number 2, the next stream will also be assigned order number 2.
    • For next streams down-flow, Shreve ordering numbers are calculated as:
      • the sum of the Shreve ordering numbers of the streams that directly contribute to this stream.
        For example, when a stream with order number 1 joins a stream with order number 2, the next stream will be assigned order number 3.

    Below, you will find two pictures explaining the Strahler and Shreve ordering systems.

    Principle of Strahler network ordering: | Principle of Shreve network ordering:

    You can also read about both methods in the explanation of the columns of the attribute table below.

    Input map requirements:

    • A raster map containing height values (DEM);
    • a raster map that is the outcome of a previous Flow direction operation;
    • a raster map that is the outcome of a previous Drainage network extraction operation.

    Furthermore, you can specify a value called Minimum drainage length (in meters); segments with a length smaller than this value will not remain in the output maps. By choosing a larger value, fewer streams will remain in the drainage network; this will speed up the operation.

    Domain of output maps and attribute table:

    • A output raster map and an output segment map will be created; these maps will use a newly created ID domain.
    • The new ID domain will obtain the same name as the output raster map.
    • An output attribute table will be created, using the same ID domain.
    • The output raster map and the output segment map are both linked to the output attribute table.

    Additionally, a new class domain and a class representation are created for the StrahlerClass column in the attribute table (see below).
    The class domain and the class representation obtain the same name as the output ID domain followed by __1.

    The output attribute table will contain the following columns:

    domain | The IDs of the table's domain, every record (ID) represents a certain stream.
    UpstreamLinkID | The IDs of the streams that directly contribute to the current stream, e.g. when streams 5 and 7 flow together into stream 12, then the UpstreamLinkID column will read for the record with ID 12: {5,7}
    UpstreamCoord | The XY-coordinate of the beginning of a stream segment (down-flow); these coordinates are shown as points in the third picture above. This column is a coordinate column.
    UpstreamElevation | The elevation, as extracted from the DEM, at the position of the upstream coordinate. This column is a value column.
    DownstreamLinkID | The ID of the stream segment into which the current stream will flow (down-flow). This column is a value column.
    DownstreamCoord | The XY-coordinate of the end of a stream segment (down-flow).
    DownstreamElevation | A column containing the elevation, as extracted from the DEM, at the position of the downstream coordinate.
    ElevationDifference | Height difference between upstream coordinate and downstream coordinate, i.e. UpstreamElevation - DownstreamElevation.
    Strahler Strahler ordering number; the Strahler ordering number for a stream is calculated as follows:
    • when streams of equal order join each other: the Strahler ordering number of one of the streams that directly contributes to this stream + 1 is assigned;
    • when streams of unequal order join each other: the largest Strahler ordering number of the streams that directly contribute to this stream is assigned;
    In other words:
    • the Strahler order values of the UpstreamLinkIDs are found,
    • when these order values are equal, the value is increased by 1;
    • when these order values are unequal, the maximum value is assigned.
    The Strahler column is a value column.
    Shreve | Shreve ordering number; the Shreve ordering number for a stream is calculated as the sum of the Shreve ordering numbers of the streams that directly contribute to this stream, i.e. the sum of the Shreve order values of the UpstreamLinkIDs. The Shreve column is a value column.
    Length | The length of a stream measured along the drainage.
    StraightLength | The length of a stream calculated as the difference between the upstream coordinate and the downstream coordinate, i.e. | UpstreamCoord - DownstreamCoord |
    SlopeAlongDrainage% | The average slope in percentages between the upstream coordinate and the downstream coordinate, when the length is measured along the drainage, i.e. (ElevationDifference/Length)*100%
    SlopeAlongDrainageDegree | The average slope angle in degrees between the upstream coordinate and the downstream coordinate, when the length is measured along the drainage, i.e. tan-1(ElevationDifference/Length)
    SlopeDrainageStraight% | The average slope in percentages between the upstream coordinate and the downstream coordinate, when the length is the straight length between the upstream coordinate and the downstream coordinate, i.e. (ElevationDifference/StraightLength)*100%
    SlopeDrainageStraightDegree | The average slope angle in degrees between the upstream coordinate and the downstream coordinate, when the length is the straight length between the upstream coordinate and the downstream coordinate, i.e. tan-1(ElevationDifference/StraightLength)
    Sinuosity | A measure for meandering of the stream, i.e. Length / StraightLength
    TotalUpstreamAlongDrainageLength | The total length of all (upstream) streams that contribute to the current stream
    StrahlerClass | An additional class column to be able to display the Strahler ordering numbers as classes.

    Tip:

    To obtain label points for the segments, you can perform the Table to point map operation:

    • As input table, choose the output table of the Drainage network ordering operation,
    • as single XY column, either choose the UpstreamCoord or the DownstreamCoord column as available in the table,
    • for the domain of the output point map:
      • you can simply use the table domain for the output map,
      • or, if you wish to be able edit the colors of the points:
        • first create another attribute (class) column in the table by using a tabcalc statement like: MyClassCol = %k,
        • make sure you create a new Class domain in the Column Properties dialog box;
        • then in the Table to point operation, choose your attribute column to become the output point map's domain.

    See also:

    Drainage network ordering : dialog box

    Drainage network ordering : command line

    Drainage network ordering : algorithm


Drainage network ordering : dialog box

Drainage network ordering

Dialog box

The Drainage network ordering operation finds individual streams within a drainage network and assigns a unique ID to each stream. The operation delivers an output raster map, an output segment map and an output attribute table.

In the attribute table, you will find information on each stream, such as:

  • Strahler ordering number, Shreve ordering number,
  • stream length, calculated along the drainage, and calculated as a straight line between XY-coordinates,
  • slope values in degrees and in percentages, calculated along the drainage and calculated as a straight line between XY-coordinates, and elevation,
  • sinuosity of the drainage path as a measure of meandering,
  • total upstream drainage length, i.e. the total length of the streams that drain into the current one, etc.

Dialog box options:

Input DEM: | Select an input raster map that contains height values, i.e. a Digital Elevation Model (DEM). Open the list box and select the desired input map or map list, or directly drag a raster map or map list from a Catalog into this box.
Flow direction map: | Select a raster map that is the output of a previous Flow direction operation.
Drainage network map: | Select a raster map that is the output of a previous Drainage network extraction operation.
Minimum drainage length:
 | Type a value for the minimum length (m) that a stream should have to remain in the drainage network. By choosing a larger value, fewer streams will remain in the drainage network; this will speed up the operation.
Output raster map: | Type a name for the output raster map and the output segment map that will contain the uniquely numbered streams. The name will also be used for the output attribute table.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

The output maps and the attribute table will all use a newly created ID domain (same name as the output maps and output attribute table).

See also:

Drainage network ordering : functionality


Drainage network ordering : command line

Drainage network ordering

Command line

The Drainage Network Ordering operation can be directly executed by typing the following expression on the command line of the Main window:

OUTNAME

=

MapDrainageNetwOrkordering(DEM_rasmap, flowdir_rasmap, drainnetwork_rasmap, minLength)

where:

OUTNAME

is an output name that will be used for the output raster map, the output segment map and the output attribute table. The output maps will contain stream ordered drainages; each stream is identified by its own ID; the output attribute table will contain information on each stream.

MapDrainageNetworkOrdering

is the command to start the Drainage Network Ordering operation.

DEM_rasmap

is a raster map that contains height values, i.e. a raster map with a value domain.

flowdir_rasmap

is a raster that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

drainnetwork_rasmap

is a raster that is the outcome of the Drainage Network Extraction operation, i.e. a raster map with a Bool domain.

flowacc_rasmap

is a raster map that is the outcome of the Flow accumulation operation, i.e. a raster map with a value domain.

minLength

is a value for the minimum length (in m) that drainage segments should have to remain in the drainage network output maps (real value ≥ 0).

If the condition is met, this drainage line is kept in the output maps and in the attribute table; else it is deleted.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

Furthermore, an ID domain will be created with the same name as the output maps and the output attribute table; the output maps and the output attribute table will use this domain.

See also:

Drainage network ordering : functionality

Drainage network ordering : dialog box

Drainage network ordering : algorithm


Drainage network ordering : algorithm

Drainage network ordering

Algorithm

See also:

Drainage network ordering : functionality

Drainage network ordering : dialog box

Drainage network ordering : command line


Catchment extraction

Functionality

Dialog box

Command line

Algorithm


Catchment extraction : functionality

Catchment extraction

Functionality

The Catchment extraction operation constructs catchments; a catchment will be calculated for each stream found in the output map of the Drainage network ordering operation. The operation uses a Flow direction map to determine the flow path of each stream.

As input is required:

  • the output raster map of the Drainage network ordering operation,
  • the output raster map of the Flow direction operation.

As output a raster map, a polygon map and an attribute table are produced which all use the ID domain of the input Drainage network ordering map.

The attribute table contains information on each catchment, such as:

  • area and perimeter of the catchment,
  • total upstream area, i.e. the area of all catchments that drain into this catchment, etc.

Tip: The obtained catchments can be merged afterwards with the Catchment merge operation.

Example:

Input drainage network ordering map: | Output catchment map (boundaries only), including input drainages:
Stream segments with unique IDs; input streams shown in multiple colors. | For each stream, a catchment is constructed; input streams in blue, output catchment polygon boundaries in green.
Input drainage network ordering map including segment drainage IDs: | Output catchment map (boundaries only) including polygon catchment IDs:
Input stream segments in multiple colors; additional stream label points also in multiple colors. | Output catchment polygon boundaries in green, additional catchment label points in black.

Input map requirements:

  • The output raster map of a previous Drainage network ordering operation,
  • The output raster map of a previous Flow direction operation.

Domain of output maps and attribute table:

  • An output raster map and an output polygon map will be created; these maps will use the ID domain of the input Drainage network ordering map.
  • An output attribute table will be created, using the same ID domain.
  • The output raster map and the output polygon map are both linked to the output attribute table.

Columns in the Catchment extraction output attribute table:

domain | The IDs of the table's domain, every record (ID) represents a certain catchment that corresponds to a certain stream.
DrainageID | The ID of the stream that corresponds to this catchment; the ID of the table and this column always show the same number. This column is a value column.
UpstreamLinkCatchment | The IDs of the catchments that directly contribute to the current catchment, e.g. when catchments 5 and 7 flow together into catchment 18, then the UpstreamLinkCatchment column will read for the record with ID 18: {5,7}
DownstreamLinkCatchment | The ID of the catchment into which the current catchment will flow (down-flow). This column is a value column.
Perimeter | The perimeter of the current catchment.
CatchmentArea | The area of the current catchment.
TotalUpstreamArea | The total area of the catchments that directly contribute to the current catchment, i.e. the sum of the areas of the catchments listed in column UpstreamLinkCatchment.
LongestFlowLength | The length of the longest flow path found in this catchment, according to the Flow direction input map.
CenterCatchment | The XY-coordinate at the center of each catchment; these coordinates are shown as points in the fourth picture above. This column is a coordinate column.
CenterDrainage | The XY-coordinate in the middle of each stream segment; these coordinates are shown as points in the third picture above. This column is a coordinate column.

Tip 1:

To obtain label points at the center of the drainages, use the Table to point map operation:

  • As input table, choose the output table of the Catchment extraction operation,
  • as single XY column, choose the CenterDrainage column as available in the table,
  • for the domain of the output point map, you can simply use the table domain.

Tip 2:

To obtain label points at the center of the polygons, use the Table to point map operation:

  • As input table, choose the output table of the Catchment extraction operation,
  • as single XY column, choose the CenterCatchment column as available in the table,
  • for the domain of the output point map, you can simply use the table domain.

Tip 3:

From a label point map, you can create an annotation text layer in a map window.
An annotation text layer may come in handy when you wish to move the position of some labels, or when you wish to produce printed output through a map view.
For more information, refer to ILWIS objects : annotation text or Annotation text editor : functionality.

See also:

Catchment extraction : dialog box

Catchment extraction : command line

Catchment extraction : algorithm


Catchment extraction : dialog box

Catchment extraction

Dialog box

The Catchment extraction operation constructs catchments; a catchment will be calculated for each stream found in the output map of the Drainage network ordering operation.

The operation delivers an output raster map, an output polygon map and an output attribute table.

In the attribute table, you will find information on each catchment, such as:

  • area and perimeter of the catchment,
  • total upstream area, i.e. the area of all catchments that drain into this catchment, etc.

Dialog box options:

Drainage network ordering map:
 | Select an input raster map that is the output of a previous Drainage network ordering operation.
Flow direction map: | Select a raster map that is the output of a previous Flow direction operation.
Output raster map: | Type a name for the output raster map and the output polygon map that will contain the uniquely numbered catchments. The name will also be used for the output attribute table.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

The output maps and the attribute table will all use the ID domain of the input drainage network ordering map.

See also:

Catchment extraction : functionality


Catchment extraction : command line

Catchment extraction

Command line

The Catchment Extraction operation can be directly executed by typing the following expression on the command line of the Main window:

OUTNAME

=

MapCatchmentExtraction(drainorder_rasmap, flowdir_rasmap)

where:

OUTNAME | is an output name that will be used for the output raster map, the output polygon map and the output attribute table. The output maps will contain all sub-catchments (one for each stream); the attribute table will contain information on each sub-catchment.
MapCatchmentExtraction
 | is the command to start the Catchment Extraction operation.
drainorder_rasmap | is a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.
flowdir_rasmap | is a raster that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

The output maps and the output attribute table use the ID domain of the input drainorder_rasmap.

See also:

Catchment extraction : functionality

Catchment extraction : dialog box

Catchment extraction : algorithm


Catchment extraction : algorithm

Catchment extraction

Algorithm

See also:

Catchment extraction : functionality

Catchment extraction : dialog box

Catchment extraction : command line


Catchment merge

Functionality

Dialog box

Command line

Algorithm


Catchment merge : functionality

Catchment merge

Functionality

The Catchment merge operation is able to merge adjacent catchments, as found by the Catchment extraction operation. In fact, new catchments will be created on the basis of the Drainage network ordering map and its attribute table.

As input is required:

  • the output map and table of a previous Drainage network ordering operation,
  • the output map of a previous Flow direction operation,
  • the output map of a previous Flow accumulation operation.

You can merge catchments in two manners:

  • by specifying a point map that contains locations of stream outlets within a catchment; all adjacent catchments that drain into such outlets will be merged,
  • by simply specifying a Strahler or Shreve ordering value: all adjacent catchments that have this Strahler or Shreve order value (or a lower value) and which drain into a common catchment will be merged.

As output a new catchment raster map, polygon map and attribute table are produced. These all use a new ID domain.

The attribute table contains information on the new catchments, similar to the output attribute table of the Catchment Extraction operation, but you will also find information on:

  • total drainage length, total upstream area,
  • drainage density,
  • longest flow path length and longest drainage length.

Optionally, you can also obtain:

  • a segment map with the longest flow path per catchment and a linked attribute table,
  • a segment ordering map and attribute table, that only contain the segment streams within the new catchments; other streams will not appear anymore; output is similar to the segment map and attribute table of the Drainage Network Ordering operation.

The last option is only available when you use an input point map with outlets.

Finally, this operation also has an option to include undefined pixels (from the Flow direction map) into a catchment. Then, a point map that only contains a single point is required.

Tips:

  • A point map can be created in a map window, using for instance the input flow direction map and the input drainage network ordering segment map as background.
  • Choose File, Create Point Map in the map window and the Point editor will be opened. For more information, refer to Point editor : functionality, section Working with the mouse.

1. Example using a point map with multiple points:

In this example, a user first performed the Drainage network extraction, the Drainage network ordering and the Catchment extraction operations as usual. The catchments obtained from Catchment extraction are shown in the third picture in green.

Then, a point map is created containing the locations of the outlets of the desired catchments. These points are also shown in the third picture (6 points in gray).

When the Catchment merge operation is now performed using the point map with the outlets, only 6 catchments will be created (see the fourth and fifth picture). An output attribute table will give additional information.

Drainage network ordering map: displayed by attribute Strahler | Drainage network ordering map: displayed by attribute Shreve
Input catchments (in green) from catchment extraction and input point map with 6 outlet points (in gray): |
Output merged catchments (bounds only, in red) other layers for reference | Output merged catchments (polygons and new IDs)
Output merged catchments (bounds only, in red) and additional output extracted segments (light blue); outlet points for reference | Output merged catchments (bounds only, in red) and additional output longest flow paths (light blue); outlet points for reference

2. Example using Strahler or Shreve ordering values:

In this example, a user first performed the Drainage network extraction, the Drainage network ordering and the Catchment extraction operations as usual. The catchments obtained from Catchment extraction are shown in the second picture in green.

For your information, a point map with labels representing Shreve ordering values for the drainages was created from the attribute table of the Drainage network ordering operation. This was done just for reference purposes and is not a required step to be able to perform Catchment merge; the Shreve labels are also shown in the second picture.

Then, the Catchment merge operation was performed. All contiguous catchments which drainages had Shreve order values up to 15 were merged. The new catchments are shown in the third picture in red. The fourth picture also shows the IDs of the new catchments.

Similarly, catchments can be merged for connected drainages according to the Strahler method; such a merge up to Strahler order 3 is shown in the fifth and sixth picture.

Drainage network ordering map: displayed by attribute Shreve | Input catchments (in green) from catchment extraction with Shreve label points:
When merging catchments up to Shreve order 15: Output catchment merge map (bounds only, in red), other layers for reference | Output merged Shreve catchments (polygons bounds and new IDs)
When merging catchments up to Strahler order 3: Output catchment merge map (bounds only, in red), other layers for reference | Output merged Strahler catchments (polygons bounds and new IDs)

3. Example using the "Include Undefined Pixels" option:

In the last example, a user had a DEM in which lakes were excluded. After a Flow direction operation, you see that there are no flow direction values for the lake area(s) (first picture). When subsequently Drainage network extraction and Drainage network ordering are performed, no drainages are found in the lake area(s) (second picture).

To remove these white spots, some segment maps were created, and the Topological optimization operation was performed several times. For more information, refer to Topological optimization : functionality.

The output Flow direction map from the Topological optimization operation, then shows flow direction values also in the lake area(s) (third picture). The Flow accumulation operation should not be performed again now.

Then, the Drainage network extraction and the Drainage network ordering operations were performed again (fourth picture). You now see a continuous drainage network.

Subsequently, a point map was created, containing a single point. This point represents the outlet of a single catchment in the lake area. The point is shown in the fifth picture.

When now the Catchment merge operation is performed, using the latest Drainage network ordering map and the latest Flow direction map, and when choosing the Use Outlet Locations and the Include Undefined Pixels options, a single new catchment will be created for the lake area. The new catchment is shown in the fifth picture.

Initial flow direction map | Initial drainage network ordering map
Updated flow direction map from Topological optimization | Improved drainage network order map from a subsequent Drainage network ordering operation
Output of Catchment merge when using the Include Undefined Pixels option: output polygon (in red); other layers for reference

Other general options for the Catchment merge operation:

  • Longest flow path segment map:
Optionally, you can obtain an additional segment map (and attribute table) containing the longest possible flow path within each new catchment, based on the flow direction and flow accumulation input maps. The attribute table will contain information like Length and StraightLength and Sinuosity for each longest flow path. You can specify a name for this segment map yourself. The attribute table will obtain the same name.

  • Extract stream segments and attributes:
Optionally, you can obtain an additional segment map (and attribute table) that only contains those segment streams that fall within the new catchments; other streams will not appear anymore. The attribute table for this segment map will contain information like the drainage network ordering attribute table.
Compared to the previous drainage network ordering attribute table:
  • stream IDs are kept the same,
  • records of streams that no longer fall within a new catchment are simply deleted.
This segment map will obtain the same name as the output catchment merge map. The attribute table (and the domain of this segment map and attribute table) will generally obtain the same name, followed by __1.
This option can only be used when you selected the option Use Outlet Locations.

Determination of whether an outlet point in a point map is close enough to a stream:

When using one or more outlet points: any outlet point should be within a 5x5 pixel window near an existing drainage line, otherwise the outlet point will be ignored. You can check whether a point is close enough to a stream in a map window; you can adjust the position of points in the Point editor. For more information, refer to Point editor : Move Points Mode.

Input map requirements:

  • the output map and attribute table of a previous Drainage network ordering operation,
  • the output map of a previous Flow direction operation,
  • the output map of a previous Flow accumulation operation.

Domain of output maps and attribute tables:

Standard output of the Catchment merge operation:

  • an output raster map and an output polygon map will be created containing one or more catchments; the maps will use a newly created ID domain;
  • the new ID domain will obtain the same name as the output maps;
  • an output attribute table will be created, it also uses this ID domain;
  • the output raster map and the output polygon map are both linked to the output attribute table;
  • for more information on the contents of the output attribute table, see below.

When the option Longest Flow Path Segment Map is used:

  • an additional segment map is created containing the longest possible flow path within each new catchment, based on the flow direction and flow accumulation input maps;
  • an additional attribute table is created containing information like Length, StraightLength, and Sinuosity for these longest flow paths;
  • the name of this segment map is specified by the user; the attribute table will obtain the same name;
  • the additional segment map and the table use the same domain as the maps and table that are standard output of Catchment merge.

When the option Extract Stream Segments and Attributes is used:

  • an additional segment map is created containing only those segment streams that are located within the new catchments; other segments will not appear anymore;
  • these segments will keep their 'original' (input) IDs from Drainage network ordering;
  • an additional attribute table is created containing the same information as the Drainage network ordering output attribute table;
  • as the segments keep their 'original' (input) IDs, there are no records in the table for segments that do not fall within the new catchments;
  • the segment map will use the same name as the standard output of Catchment merge;
  • the attribute table will use a similar name as the segment map, generally followed by __1;
  • the segment map and the attribute table will use a new ID domain;
  • this new ID domain has a similar name as the segment map, generally followed by __1.

Columns in the Catchment merge output attribute table:

domain | The IDs of the table's domain, every record (ID) represents a new catchment.
DrainageID | A column listing the IDs of all streams located within a new catchment.
UpstreamLinkCatchment | The ID(s) of the new catchments that directly contribute to this new catchment, e.g. when catchments 1, 2, 3, and 4 flow together into catchment 5, then the UpstreamLinkCatchment column will read for the record with ID 5: {1, 2, 3, 4}
DownstreamLinkCatchment | The ID of the new catchment into which a current new catchment will flow (down-flow), e.g. when catchment 5 flows into catchment 6, then the DownstreamLinkCatchment column will read for the record with ID 5: 6. This column is a value column.
Perimeter | The perimeter of each new catchment.
CatchmentArea | The area (m2) of each new catchment.
TotalUpstreamArea | The total area (m2) of the catchments that directly contribute to a current catchment, i.e. the sum of the areas of the catchments listed in column UpstreamLinkCatchment.
TotalDrainageLength | The sum of the lengths of all drainages in a catchment.
DrainageDensity(m/km2) | The drainage density within a catchment as TotalDrainageLength / CatchmentArea
LongestFlowPathLength | The length of the longest flow path found in a catchment, from the catchment's outlet to the most distant source on the catchment boundary, according to the Flow direction and Flow accumulation input maps.
LongestDrainageLength | The length of the longest actual stream within this catchment.
CenterDrainage | The XY-coordinate in the middle of a longest flow path. This column is a coordinate column.
CenterCatchment | The XY-coordinate at the center of a catchment. This column is a coordinate column.

See also:

Catchment merge : dialog box

Catchment merge : command line

Catchment merge : algorithm


Catchment merge : dialog box

Catchment merge

Dialog box

The Catchment merge operation is able to merge adjacent catchments, as found by a previous Catchment extraction operation. In fact, new catchments will be created on the basis of the Drainage network ordering output map and its attribute table.

You can merge catchments in two manners:

  • by specifying a point map that contains locations of stream outlets within a catchment; all adjacent catchments that drain into such outlets will be merged,
  • by simply specifying a Strahler or Shreve ordering value: all adjacent catchments that have this Strahler or Shreve order value (or a lower value) will be merged.

The operation delivers an output raster map, an output polygon map and an output attribute table.

Optionally, you can also obtain:

  • a segment map (and attribute table) that contains the longest flow paths per new catchment,
  • a segment ordering map and attribute table, that only contain the segment streams within the new catchments; other streams will not appear anymore; output is similar to the segment map and attribute table of the Drainage Network Ordering operation.

Dialog box options:

Drainage network ordering map:

Select an input raster map that is the output of a previous Drainage network ordering operation.

Flow direction map:

Select a raster map that is the output of a previous Flow direction operation.

Flow accumulation map:

Select a raster map that is the output of a previous Flow accumulation operation.

Use outlet locations:

Select this option and select a point map containing one or more points (catchment outlets) to merge all catchments of the drainages that drain into such a point into a bigger catchment. By using multiple points, you can thus merge a number of sub-catchments into several bigger ones.

Include undefined pixels:

This option should be used when your study area contains lakes; your DEM and your initial flow direction maps contain undefined values in these lake areas, and your initial drainage network map will contain no drainage lines in the lake areas. By using this option, you can include lake(s) into a catchment.

  • First, use the Topological optimization operation several times, to obtain proper flow directions in the lake areas.
  • Then redo the Drainage network ordering and the Drainage network ordering operations to obtain a continuous drainage network in the lake area.
  • Finally, use the Catchment merge operation: use the option Use Outlet Points (mind: the input point map should only contain a single point), and use this option Use Undefined Pixels.

The lake area will now be included into the catchment that drains into the outlet point in the point map.

For more information, see the Catchment merge : functionality topic.

Use stream orders:

Select this option if you simply wish to use stream order values to merge catchments. Subsequently, specify an order value and select the order system according to which catchments should be merged. The Strahler and Shreve order values are found in the attribute table of the network ordering input map.

Strahler order system:

Select this option if you wish to merge catchments according to the specified order number of the Strahler ordering system.

Shreve order system:

Select this option if you wish to merge catchments according to the specified order number of the Shreve ordering system.

Output raster map:

Type a name for the output raster map and the output polygon map that will contain the uniquely numbered catchments. The name will also be used for the output attribute table.

Description:

Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

Longest flow path segment map:

Optionally, select this check box to obtain an additional segment map (and linked attribute table) that contains the longest flow path segment in each merged catchment. Subsequently, specify a name for the additional longest flow path segment map and its attribute table.

Clear this check box if you do not wish to obtain longest flow path segments.

Extract stream segments and attributes:

Optionally, select this check box to obtain only those segments (and linked attribute table), that fall within the new catchments; any other streams will not appear anymore.

The output segment map will automatically obtain the same name as the output raster map and the output polygon map of this Catchment merge operation. The attribute table will obtain a similar name, followed by __1.

The content of the output is similar to the output of the Drainage network extraction operation.

This option can only be used when you selected the option Use Outlet Locations.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

The output maps and the attribute table will all use the ID domain of the input drainage network ordering map.

See also:

Catchment merge : functionality


Catchment merge : command line

Catchment merge

Command line

The Catchment Merge operation can be directly executed by typing one of the following expressions on the command line of the Main window:

OUTNAME | = | MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, outlet_pntmap, include_undefs, extract_segments)
OUTNAME | = | MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, outlet_pntmap, include_undefs, extract_segments, outsegmap_longestFlow)
OUTNAME | = | MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, order_system, stream_order)
OUTNAME | = | MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, order_system, stream_order, outsegmap_longestFlow)

where:

OUTNAME | is an output name that will be used for the output raster map, the output polygon map and the output attribute table. The output maps will contain all sub-catchments (one for each stream); the attribute table will contain information on each sub-catchment.
MapCatchmentMerge | is the command to start the Catchment Merge operation.
drainorder_rasmap | is a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.
flowdir_rasmap | is a raster that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.
flowacc_rasmap | is a raster map that is the outcome of the Flow accumulation operation, i.e. a raster map with a value domain.
outlet_pntmap | is a point map that contains the outlet locations; all sub-catchments draining to these outlets will be merged into new catchments.
include_undefs | true | false | 1 | 0 specify true or 1 when you wish to include pixels that have value undefined in the DEM into a catchment; this option can only be used when the outlet point map contains only a single point. specify false or 0 to do nothing special.
extract_segments | true | false | 1 | 0 optionally, specify whether or not a segment map and related attribute table should be created, similar to the output segment map and attribute table of the Drainage Network Ordering operation. Only segments that fall within the new catchments will remain; any other streams will not appear anymore.
order_system | strahler | shreve specify whether you wish to use the Strahler or the Shreve ordering system.
stream_order | specify a stream order value (integer value > 0); adjacent sub-catchments that have a value smaller than or equal to the specified value and that drain into the same higher order sub-catchment will be merged.
outsegmap_longestFlow | optionally, specify a name for an output segment map and related attribute table, that will contain the longest possible flow path in each new catchment.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Catchment merge : functionality

Catchment merge : dialog box

Catchment merge : algorithm


Catchment merge : algorithm

Catchment merge

Algorithm

See also:

Catchment merge : functionality

Catchment merge : dialog box

Catchment merge : command line


Overland flow length

Functionality

Dialog box

Command line

Algorithm


Overland flow length : functionality

Overland flow length

Functionality

The Overland Flow Length operation calculates for each pixel the overland distance towards the 'nearest' drainage according to the flow paths available in the Flow Direction map.

As input is required:

  • the output raster map of the Drainage network ordering operation and its linked attribute table,
  • the output raster map of the Flow direction operation.

The operation produces a raster map that contains the overland down-flow distances towards the drainage into which a pixel will drain according to the flow direction map.

Example:

Input flow direction map | Input drainage network ordering map (in blue); catchments from catchment extraction (in green) for reference
Output overland flow length map; input streams (in white) and catchments (in black) for reference
Smaller distance values in blue; larger distance values in red

Input map requirements:

  • the output raster map of a previous Drainage network ordering operation and its linked attribute table,
  • the output raster map of a previous Flow direction operation.

Domain and georeference of output map:

The output raster map will always use system domain Value; the precision is automatically set to 0.001.

The output map uses the same georeference as the input maps.

See also:

Overland flow length : dialog box

Overland flow length : command line

Overland flow length : algorithm


Overland flow length : dialog box

Overland flow length

Dialog box

The Overland flow length operation calculates for each pixel the overland distance towards the 'nearest' drainage according to the flow paths available in a Flow direction map.

The operation simply delivers an output raster map.

Dialog box options:

Drainage network ordering map:
 | Select an input raster map that is the output of a previous Drainage network ordering operation.
Flow direction map: | Select a raster map that is the output of a previous Flow direction operation.
Output raster map: | Type a name for the output raster map that will contain for each pixel the overland distances towards the drainage this pixel drains into.
Description: | Optionally, type a description for the output map. The description will appear in the status bar of the Main window when moving the mouse pointer over the map in a Catalog, and in the title bar of a map window when the output map is displayed. If no description is supplied, the output map will use its own definition as description.

When you click the Show button, the dependent output map will be defined, calculated and shown. When you click the Define button, the dependent output map will only be defined; if necessary the map will be calculated later, for instance when the map is opened to be displayed.

See also:

Overland flow length : functionality


Overland flow length : command line

Overland flow length

Command line

The Overland Flow Length operation can be directly executed by typing the following expression on the command line of the Main window:

OUTMAP

=

MapOverlandFlowLength(drainorder_rasmap, flowdir_rasmap)

where:

OUTMAP | is the name of the output raster map that will contain the overland distance towards the nearest drainage.
MapOverlandFlowLength
 | is the command to start the Overland Flow Length operation.
drainorder_rasmap | is a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.
flowdir_rasmap | is a raster that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

When the definition symbol = is used, a dependent output map is created; when the assignment symbol := is used, the dependency link is immediately broken after the output map has been calculated.

See also:

Overland flow length : functionality

Overland flow length : dialog box

Overland flow length : algorithm


Overland flow length : algorithm

Overland flow length

Algorithm

See also:

Overland flow length : functionality

Overland flow length : dialog box

Overland flow length : command line


Compound Index calculation (DEM-Hydro Processing script)

DEM-Hydro Processing scripts

Compound Index calculation

Next to Overland Flow Length, a number of scripts (routines) are given here to calculate a number of maps that are relevant with respect to watershed management, soil erosion and conservation type of studies.

  • The wetness index sets catchment area in relation to the slope gradient.
    This is basically the famous:
    w = ln(As/tan(ß)) (Beven and Kirkby, 1993)
    An idea of the spatial distribution and zones of saturation or variable sources for runoff generation is obtained.
  • The stream power index is the product of catchment area and slope and could be used to identify suitable locations for soil conservation measures to reduce the effect of concentrated surface runoff.
  • Finally, the sediment transport index accounts for the effect of topography on erosion. The two-dimensional catchment area is used instead of the one-dimensional slope length factor as in the Universal Soil Loss Equation.

The equations for the indices applied are those given by Burrough and McDonnell (1998).

Dialog box options:

Input DEM: | Select an input raster map which contains height values, i.e. your DEM.
Flow Accumulation Map: | Select a raster map that is the output of a previous Flow accumulation operation.
Output Wetness Index Map:
 | Type a name for the output raster map that will contain for every pixel the wetness index.
Output Stream Power Index Map:
 | Type a name for the output raster map that will contain for every pixel the stream power index.
Output Sediment Transport Index Map:
 | Type a name for the output raster map that will contain for every pixel the sediment transport index.

Short explanation of the calculations by the script:

  • The DFDX and DFDY filters are used on the Digital Elevation Model to calculate the first derivative in X and Y direction.
  • Slope maps are calculated, in percentages and degrees.
  • Possible zero-values are removed from the slope map in degrees.
  • The Wetness Index is calculated as:
    OUTMAP_wetness_index = LN((flowacc_rasmap * PIXSIZE(%1) * PIXSIZE(%1)) / (TAN(DEGRAD(temp_slopemap_deg))))
  • The Stream Power Index is calculated as:
    OUTMAP_stream_power_index = (flowacc_rasmap * PIXSIZE(%1) * PIXSIZE(%1)) / (TAN(DEGRAD(temp_slopemap_deg)))
  • The Sediment Transport Index is calculated as:
    OUTMAP_sediment_transport_index = POW(((flowacc_rasmap * PIXSIZE(%1) * PIXSIZE(%1)) / (22.13)), 0.6) * POW(SIN(DEGRAD(temp_slopemap_deg)) / 0.0896, 1.3)
  • Finally, temporary raster maps are removed.

Tip:

For more information on the MapCalc functions used in this script, please refer to the following topics: DEGRAD, LN, PIXSIZE, POW, SIN, TAN, or to Map and Table Calculation.

See also:

Overland flow length : functionality

Map and Table calculation

Script editor : functionality

ILWIS objects : scripts

How to use parameters in scripts

ILWIS on the web (52 North)


Horton statistics

Functionality

Dialog box

Command line

Algorithm


Horton statistics : functionality

Horton statistics

Functionality

The Horton Statistics operation calculates for all streams with a certain (Strahler) stream order number i, located in merged catchment C with ID x:

  • Cx_N: the number of streams,
  • Cx_L: the average stream length (km),
  • Cx_A: the average area of catchments (km2),

  • Cx_N_LSq: expected values for Cx_N by means of a least squares fit through Cx_N,
  • Cx_L_LSq: expected values for Cx_L by means of a least squares fit through Cx_L,
  • Cx_A_LSq: expected values for Cx_A by means of a least squares fit through Cx_A.

The output is stored in a table which can be used to construct so-called Horton plots in a graph window.

Horton plots enable you to inspect the regularity of your extracted stream network based on the (Strahler) stream order numbers, and may serve as a quality control indicator for the entire stream network extraction process. It is expected that:

  • the number of streams show a relative decrease for subsequent Strahler order numbers,
  • the length of streams and the catchment areas show a relative increase for subsequent Strahler order numbers,

For more information on the actual creation of Horton plots, see the section Construction of Horton plots in a graph window below.

Input map requirements:

  • the output raster map and its linked attribute table of a previous Catchment extraction operation,
  • the output raster map and its linked attribute table of a previous Catchment merge operation,
  • the output raster map and its linked attribute table of a previous Drainage network ordering operation.

Domain of output table:

A new ID domain will be created for the output table. The domain obtains the same name as the output table itself. The domain contains the Strahler order numbers as IDs.

Example of output table:

When you used a merged catchment map containing a single catchment, and when the maximum Strahler Order value in your Drainage network ordering output table equals 4, the output table of the Horton Statistics operation may look like follows:

Columns starting with C represent the merged catchment(s); records represent the Strahler stream order numbers.

Note: the Cx_N_LSq, , Cx_L_LSq, Cx_A_LSq columns are currently incorrectly named: Cx_RB, Cx_RL, Cx_RA.

Columns in the output table:

If your merged catchments map contains more than a single catchment, the last three columns exist for every catchment; x represents a catchment number.

domain | The IDs of the table's domain, every record (ID) represents a certain Strahler order number.
Order | The Strahler order numbers as values. This column usually contains the same values as the IDs of the table.
C x_N | The number of streams with a certain Strahler stream order number.
C x_L | The average length (km) of the streams with this Strahler order number.
C x_A | The average area (km2) of the catchments belonging to the streams with this Strahler order number.
C x_N_LSq | The expected number of streams with a certain Strahler stream order number.
C x_L_LSq | The expected average length (km) of the streams with this Strahler order number.
C x_A_LSq | The expected average area (km2) of the catchments belonging to the streams with this Strahler order number.

Tip: To calculate RB, RL, or RA values for subsequent order numbers, or for the regression lines, please refer to Horton Statistics : algorithm.

Implementation of Least Squares Fit within a Horton output table:

  • When the total number of stream orders, i.e. the number of records in the Horton table, is £ 2, a least squares fit will not be calculated.
  • When the total number of stream orders equals 4, the highest order is ignored during the least squares fit (i.e. values in the last record will not be taken into account).
  • When the total number of stream orders is ³ 5, the lowest and highest orders are ignored during the least squares fit (i.e. values in the first and the last record in the table will not be taken into account.)

Construction of Horton plots in a graph window

The general idea is to construct a graph:

  • with on the X-axis the Strahler stream order numbers,
  • on a left logarithmic Y-axis:
    • the number of streams per order number (C1_N), as points,
    • the expected values for the number of streams per order number by Least Squares Fit (C1_N_LSq), as a line,
  • on a right logarithmic Y-axis:
    • the average stream length per order number (C1_L), as points,
    • the expected values for the average stream length per order number by Least Squares Fit (C1_L_LSq), as a line,
    • the average catchment area per order number (C1_A), as points,
    • the expected values for the average catchment area per order number by Least Squares Fit (C1_A_LSq), as a line.

An example of Horton plots is shown below.

Suppose you only had a single catchment in your merged catchments map.

Open the output table to create the graphs. In the table window, choose File, Create, Graph ...

  1. Add the points for the number of streams C1_N:
    • In the Create Graph dialog box:
      • accept the name of the current table,
      • for the X-axis, accept the Order column,
      • for the Y-axis, choose the C1_N column.

  2. Adapt the Y-axis:
    • From the Graph Management pane, double-click Y-axis left:
      • in the Y-axis (left) dialog box: choose a Logarithmic axis type.
      • adapt the minimum and maximum values for the axis if required.

  3. Add the expected values C1_N_LSq:
    • From the Edit menu in the Graph window, choose Add Graph from Columns, or click the Add Graph button [image] in the toolbar of the graph window.
    • In the Add Graph from Columns dialog box:
      • accept the name of the current table,
      • for the X-axis, accept the Order column,
      • for the Y-axis, choose the C1_N_LSq column.
    • Initially, this will be displayed as points in yellow...

  4. Adapt the drawing of the expected values to a line graph and adapt the color to the same color as the points with empirical values:
    • From the Graph Management pane, double-click the graph layer Order x C1_N_LSq:
    • In the Graph Options - Graph from Columns dialog box:
      • choose Line,
      • choose the same color as you used for the empirical point values C1_N from step 1.

  5. Repeat steps 1 to 4 above for the empirical stream length values Order x C1_L, and expected stream length values Order x C1_L_LSq.
    Make sure that these values are bound to a right-hand, logarithmic Y-axis.

  6. Repeat steps 1 to 4 above for the empirical catchment area values Order x C1_A, and expected catchment area values Order x C1_A_LSq.
    Make sure that these values are bound to a right-hand, logarithmic Y-axis.

The Horton plots will then look like follows:

Reference:

Ven te Chow, D.R. Maidment, L.W. Mays (1988) Applied hydrology. In: McGraw-Hill Series in Water Resources and Environmental Engineering. McGraw-Hill, New York. pp. 166-170. ISBN 0-07-010810-2.

See also:

Horton statistics : dialog box

Horton statistics : command line

Horton statistics : algorithm


Horton statistics : dialog box

Horton statistics

Dialog box

The Horton Statistics operation calculates for each (Strahler) stream order number and for each merged catchment:

  • the number of streams,
  • the average stream length, and
  • the average area of catchments, and
  • expected values for these by means of a least squares fit.

The output is stored in a table which can be used to construct so-called Horton plots. Horton plots enable you to inspect the regularity of your extracted stream network and may serve as a quality control indicator for the entire stream network extraction process.

As input is required:

  • the output of a previous Catchment extraction operation,
  • the output of a previous Catchment merge operation,
  • the output of a previous Drainage network ordering operation.

Dialog box options:

Catchment map: | Select an input raster map that is the result of a previous Catchment extraction operation. Open the list box and select the desired input map, or drag a raster map directly from a Catalog into this box.
Merged catchment map:
 | Select an input raster map that is the result of a previous Catchment merge operation. The map may contain a single merged catchment but may also contain multiple merged output catchments. For more information, see also Catchment merge : functionality.
Drainage network ordering map:
 | Select an input raster map that is the result of a previous Drainage network ordering operation. For more information, see also Drainage network ordering : functionality.
Output table: | Type the name of the output table.
Description: | Optionally, type a description for the output table. The description will appear in the status bar of the Main window when moving the mouse pointer over the table in a Catalog, and in the title bar of a table window when the output table is displayed. If no description is supplied, the output table will use its own definition as description.

When you click the Show button, the dependent output table will be defined, calculated and shown. When you click the Define button, the dependent output table will only be defined; if necessary, the table will be calculated later, for instance when the table is opened to be displayed.

Furthermore, a new ID domain will created for the output table. The domain will obtain the same name as the output table and it will contain the Strahler order numbers as IDs.

See also:

Horton statistics : functionality


Horton statistics : command line

Horton statistics

Command line

The Horton statistics operation can be directly executed by typing the following expression on the command line of the Main window:

OUTTABLE

=

TableHortonPlots(catch_extr_rasmap, catch_merge_rasmap, drainorder_rasmap)

where:

OUTTABLE | is the name of your output table.
TableHortonPlots | is the command to start the Horton Statistics operation.
catch_extr_rasmap | is a raster map that is the outcome of a previous Catchment Extraction operation, i.e. a raster map and its linked attribute table both using an Identifier domain.
catch_merge_rasmap | is a raster map that is the outcome of a previous Catchment Merge operation, i.e. a raster map and its linked attribute table both using an Identifier domain.
drainorder_rasmap | is a raster map that is the outcome of a previous Drainage Network Ordering operation, i.e. a raster map and its linked attribute table both using an Identifier domain.

When the definition symbol = is used, a dependent output table is created; when the assignment symbol := is used, the dependency link is immediately broken after the output table has been calculated.

Furthermore, an ID domain will be created with the same name as the output table; the output table will use this domain.

See also:

Horton statistics : functionality


Horton statistics : algorithm

Horton statistics

Algorithm

For each merged catchment all streams are found, and sorted by their Strahler stream order value.

The number of streams, the length of these streams and the catchment areas are found for all streams of a certain Strahler stream order number within each catchment. Connected streams with the same order number are joined and are counted as a single stream. Values are summed for each Strahler stream order number within each catchment.

Then a least squares fit is performed on all output columns containing summed values:

  • When the total number of stream orders, i.e. the number of records in the Horton table, is £ 2, a least squares fit will not be calculated.
  • When the total number of stream orders equals 4, the highest order is ignored during the least squares fit (i.e. values in the last record will not be taken into account).
  • When the total number of stream orders is ³ 5, the lowest and highest orders are ignored during the least squares fit (i.e. values in the first and the last record in the table will not be taken into account.)

If you wish to perform the least squares fit by hand, as described below, you should first assign some undefined values in the columns containing summed values, using the rules above.

Expected values are calculated:

  • by taking the logarithm of the empirical values,
  • by performing a least squares fit through the logarithmic values,
  • by 'undoing' the logarithm of the first step: the expected values equal 10 raised to the power of the outcome least squares fit values of the previous step.

In TabCalc syntax, this is obtained as follows (example to calculate expected values for C1_N):

C1_N_log = log(C1_N)

C1_N_poly = ColumnLeastSquaresFit(Order, C1_N_log, polynomial, 2)

C1_N_expected = 10 ^ C1_N_poly

This is repeated for C1_L and C1_A, and if required for other catchments C2, C3, etc. as well.

For more information, please refer to Table window: Least Squares Fit.

Additional information

RB, RL, RA for subsequent stream orders i:

RB, RL, or RA value for subsequent stream orders i can be calculated as follows:

  • The bifurcation ratio RB for a catchment is defined as: Ni / (Ni + 1)
  • To calculate RB for catchment C1, type on the command line of the table window:
    C1_RB = C1_N / C1_N[%r+1]

  • The length ratio RL for a catchment is defined as: (Li + 1) / Li
  • To calculate RL for catchment C1, type on the command line of the table window:
    C1_RL = C1_L[%r+1] / C1_L

  • RA for a catchment is defined as: (Ai + 1) / Ai
  • To calculate RA for catchment C1, type on the command line of the table window:
    C1_RA = C1_A[%r+1] / C1_A

This can be done for all other catchments C2, C3, etc. as well.

For more information on %R, see Table Calculation : predefined variable %R

RB, RL, RA as the slope of the regression lines:

The RB, RL, or RA as the slope of the regression lines can be calculated as follows:

  • To calculate RB for catchment C1, open the Column Properties of the C1_N_poly column, and click the Additional Info button.
  • You will see the formula that is the result of the least squares fit, e.g. Y = b + a * X

  • Copy value a, or write this value down.

  • To calculate the bifurcation ration RB, type on the command line of the table window:
    RB = 10 ^ ABS(a)

  • To calculate the Length Ratio RL, use regression coefficient a of column C1_L_poly.
  • To calculate RA, use regression coefficient a of column C1_A_poly.

Reference:

Ven te Chow, D.R. Maidment, L.W. Mays (1988) Applied hydrology. In: McGraw-Hill Series in Water Resources and Environmental Engineering. McGraw-Hill, New York. pp. 166-170. ISBN 0-07-010810-2.

See also:

Table window: Least Squares Fit

Horton statistics : functionality

Horton statistics : dialog box

Horton statistics : command line


Aggregate statistics (DEM-Hydro Processing script)

DEM-Hydro Processing scripts

Aggregate statistics

This script allows you to cross a merged catchments map with a DEM (or any other map): you will obtain for each catchment the following values: average, minimum, maximum, std, predominant, median, sum, count.

The results are added as new columns to your existing merged catchments table.

Dialog box options:

Merged Catchment Table: | Select the output table of a previous Catchment Merge operation. The output columns that will contain the result of the script will be added to this table.
Merged Catchment Map: | Select a raster map that is the output of a previous Catchment Merge operation. The map may contain a single catchment or multiple catchments.
Parameter Map for Aggregate Statistics:
 | Select a raster map with a value domain, for instance your DEM. The merged catchments map will be crossed with the raster map selected here.

Tip:

For more information, refer to Table calculation : Joining columns from other tables.

Note:

If you choose a class map for the cross (instead of a value map), the join operation cannot aggregate the classes very well. Then, the predominant class 'value' will be returned.

Output columns:

Suppose you cross the merged catchments map with a DEM:

average | The average height value in each catchment.
minimum | The minimum height value in each catchment.
maximum | The maximum height value in each catchment.
std | The standard deviation of height values in each catchment.
predominant | The predominant height value in each catchment.
median | The predominant height value in each catchment.
sum | The sum of all height values in each catchment.
count | The number of pixels in each catchment.

Short explanation of the calculations by the script:

  • First, the Merged Catchments map is crossed with the other raster map (value domain); the results are stored in a temporary cross table.
  • Subsequently, the Merged Catchments table is opened, and several Join operations are performed:
    • the values of the DEM are retrieved from the temporary cross table,
    • these values are aggregated by the IDs of the merged catchments (to obtain a single value per catchment),
    • during some Joins, the NPix column is used from the cross table as a weight factor,
    • the result of each Join operation is stored in a new column in the Merged Catchments table.
  • To prepare for the calculation of the summed values per catchment, first a calculation has to be performed in the temporary cross table:

    • temporary column temp_sum = values_2nd_map * NPix_column_in_temp_cross_table

  • The Joins are performed by the following expressions:

    • output column average = ColumnJoinAvg(temp_cross_table, values_2nd_map, merged_catchment_IDs, NPix)

    output column minimum = ColumnJoinMin(temp_cross_table, values_2nd_map, merged_catchment_IDs)

    output column maximum = ColumnJoinMax(temp_cross_table, values_2nd_map, merged_catchment_IDs)

    output column std = ColumnJoinStd(temp_cross_table, values_2nd_map, merged_catchment_IDs, NPix)

    output column predominant = ColumnJoinPrd(temp_cross_table, values_2nd_map, merged_catchment_IDs, NPix)

    output column median = ColumnJoinMed(temp_cross_table, values_2nd_map, merged_catchment_IDs, NPix)

    output column sum = ColumnJoinSum(temp_cross_table, temp_sum, merged_catchment_IDs)

    output column count = ColumnJoinSum(temp_cross_table, NPix, merged_catchment_IDs)

  • Finally, the temporary cross table and other temporary maps are removed, and the output merged catchments table with the new columns is displayed.

See also:

Table calculation : Joining columns from other tables

Cross : functionality

Script editor : functionality

ILWIS objects : scripts

How to use parameters in scripts

ILWIS on the web (52 North)


Cumulative hypsometric curve (DEM-Hydro Processing script)

DEM-Hydro Processing scripts

Cumulative hypsometric curve

The Cumulative hypsometric curve script crosses a merged catchments map with your DEM. The script will ask for the ID of a single catchment that you wish to use in the Cross. In the resulting cross table, cumulative values are calculated for the Area of subsequent height values in pixels and percentages. The output is stored in columns: cum_area and cum_percent.

With the output cross table and its newly calculated columns, you can create graphs:

  • use column cum_area or column cum_percent on the X-axis,
  • use the column with the height values on the Y-axis.

This will give you a so-called cumulative hypsometric curve.

Dialog box options:

Merged catchment map: | Select a raster map that is the result of a previous Catchment Merge operation.
Selected catchment ID: | Type the ID of a catchment with which you wish to perform the cross.
DEM: | Select a raster map with height values, i.e. your DEM.
Output table: | Type a name for the output cross table that will contain the cumulative values.

Short explanation of the calculations by the script:

  1. A temporary (bool) map is created which only contains the selected catchment.
  2. This map is crossed with your DEM.
  3. In the cross table, first a temporary cumulative area column is calculated in number of pixels:

    output column cum_area = ColumnCumulative(NPix)

    The script calculates with NPix, so that even if you use a map with geographic LatLon coordinates, answers will be obtained.

  4. Next, a temporary column is calculated to obtain areas in percentages:

    5. temp_col = (NPix/(SUM(NPix)))*100

  5. Subsequently, in the cross table, column cum_percent is calculated as:

    6. output column cum_percent = ColumnCumulative(temp_col)

  6. Possible cumulative values in percentages that are greater than 100 are rounded to 100.
  7. Finally, the temporary map and the temporary column are removed, and the output cross table is displayed.

Example:

Below you find two graphs that are created from the output cross table of this script:

  • cumulative areas in nr. of pixels against height values, and
  • cumulative areas in percentages against height values.

See also:

Table window : Cumulative column

Map and Table calculation : CUM function

Cross : functionality

Script editor : functionality

ILWIS objects : scripts

How to use parameters in scripts

ILWIS on the web (52 North)


Class coverage statistics (DEM-Hydro Processing script)

DEM-Hydro Processing scripts

Class coverage statistics

The Class coverage statistics script crosses a selected catchment from a merged catchments map with a raster map that has a class domain, for instance land use classes or land cover classes.

Then, for each class, the area in percentages is calculated, i.e. the area that is occupied by each class in the selected catchment. The output is stored in column area_percent.

When the script is finished, the output cross table is displayed.

Dialog box options:

Merged catchment map: | Select a raster map that is the result of a previous Catchment Merge operation.
Selected catchment ID: | Type the ID of a catchment with which you wish to perform the cross.
Cross map: | Select a raster map with a class domain, for instance a land use map or land cover map. The merged catchments map will be crossed with the raster map selected here.
Output table: | Type a name for the output cross table that will contain the statistics on your landuse or landcover classes.

Short explanation of the calculations by the script:

  1. A temporary (bool) map is created which only contains the selected catchment.
  2. This map is crossed with your class map.
  3. In the resulting cross table, a temporary column is calculated to obtain the sum of the total area:

    4. temp_col_sum = ColumnAggregateSum(NPix)

    The script calculates with NPix, so that even if you use a map with geographic LatLon coordinates, answers will be obtained.

  4. Then, for each class, the percentage of the area that is occupied by this class in the selected catchment is calculated:

    5. output column area_percent = (NPix / temp_col_sum) * 100

  5. Finally, the temporary raster map and the temporary column are removed, and the output cross table is shown.

Tip:

For more information on the TabCalc functions used in this script, please refer to the following topics: ColumnAggregateSum / AGGSUM, or to Map and Table Calculation.

See also:

Class Coverage Statistics

Cross : functionality

Script editor : functionality

ILWIS objects : scripts

How to use parameters in scripts

ILWIS on the web (52 North)


Menu commands

Main window

Map window

Table window / Graph window

Pixel info window

Editors


Menu commands Pixel info window (sec2)

Pixel info window UP

File

Edit

Options


Menu commands Editors (sec2)

Menu commands in Editors UP

Pixel editor

Polygon editor

Segment editor

Point editor

Layout editor

Annotation Text editor

Domain Class/ID editor

Representation Class editor

Representation Value/Gradual editor

Georeference Tiepoints editor

Georeference 3D editor

Coordinate System Tiepoint editor

Sample Set editor

Function editor

Script editor


Annotation_Text_editor_sec2

Annotation Text editor UP

File

Edit

Layers (see map window)

Options (see map window)


Repr_Class_editor_sec2

Representation Class editor UP

File

Edit

Options


Repr_Value_Gradual_editor_sec2

Representation Value/Gradual editor UP

File

Edit

Options


Georeference_Tiepoints_editor_sec2

Georef Tiepoints editor UP

File

Edit

Layers (see map window)

Options (see map window)


georef3D_editor_sec2

Georeference 3D editor UP

File

Edit

Layers (see map window)

Options (see map window)


sample set editor sec2

Sample set editor UP

File

Edit

Layers (see map window)

Options (see map window)


How to ...

Basics : display maps and tables & zoom

Basics : start operations

Basics : how to create objects

Basics : how to open objects

Basics : how to open pixel information

Basics : how to edit objects

add ... | layers to a map window, annotation to a map window, coordinates to an image, columns to a table
aggregate column values |
break dependency links | of dependent data
calculate ... | aspect map, confidence interval maps, confusion matrix, Digital Elevation Model, histogram, NDVI, Optimum Index Factor, slope map, with maps and tables, with class names, with undefined values
calculate (advanced) ... | cross-section through terrain, calculations with neighbourhood operations and iterations
change ... | display options (colors) maps, definition of dependent data objects, domain of maps, properties of objects, ILWIS working directory
classify a map or column |
copy objects |
create ... | points, segment and polygon maps, map lists, annotation, color composites, Digital Elevation Models, 3D views, distance maps, orthophoto, slope maps, aspect maps, sample sets, filters, functions, scripts, etc.
cross maps |
customize ... | Catalog, Operation-tree/Operation-list and Operations menu, pixel information window, point editor, pixel editor, polygon editor, segment editor
digitize |
display ... | Digital Elevation Models/3D-views, map lists as color composite, map lists as slide show, maps and tables
drag and drop |
edit ... | maps, domains, representations, georefs, sample sets, two-dimensional tables, filters, scripts, etc., definition of dependent objects, properties of objects
export data | ILWIS objects to another format
filter maps |
import ... | data from other packages, ILWIS 1.4 raster data
interpolate |
join ... | areas from a histogram, columns from other tables
make dependent data up-to-date |
monoplot |
open ... | objects, pixel information window
open (advanced) ... | internal domains and representations, objects as tables
print | a layout with maps and annotation
release disk space |
run scripts |
screen digitize |
set up ... | a digitizer, a printer
start operations |
slice an image |
use ... | Catalog, command lines, MapCalc, TabCalc, pixel info, layers in a map window, long object names, masks, columns, georef tiepoint editor, Kriging, parameters in scripts
view and edit properties |
zoom in on maps |


How to display maps and tables + zoom

How to display maps and tables & zoom

In a Catalog, maps and tables are preceded by the following icons:

for raster maps,

for polygon maps,

for segment maps,

for point maps,

for tables.

To display maps and tables in new windows:

  • from the File menu in the Main window, a map window or a table window, choose the Open command and select a map or table, or
  • in a Catalog, double-click a map or table, or
  • in the standard toolbar of the Main window, use the Show Map or Show Table button and select a map or table, or
  • in a Catalog, select one or more maps and tables, click the selection with the right mouse button, and choose Open from the context-sensitive menu, or
  • in the Operation-tree, expand the Visualization item, and double-click the Show item, or
  • in the Operation-list, double-click the Show item, or
  • drag a map or table from a Catalog to the Show item in the Operation-tree or the Operation-list.

You can also click the Show Map button [image] in the toolbar of the Main window.

Before a map is displayed, some display options have to be specified, then a map is displayed in a new map window.

A table is directly displayed in a new table window.

To add maps to an existing map window:

  • from the Layers menu in a map window, choose the Add Layer command; in the Add Layer dialog box, you can select a raster map, segment map, polygon map, point map, map list (to be displayed as a color composite), or an annotation text layer,
  • click the Add Layer button [image] in the toolbar of a map window, or
  • in the white space of the Layer Management pane in a map window, click the right mouse button, and choose Add Layer from the context-sensitive menu, or
  • drag one or more point, segment, or polygon maps, a raster map or a map list from a Catalog or from Windows Explorer into a map window.

Before the extra layer is displayed, some display options have to be specified. Then, the selected point, segment or polygon map is displayed on top of the other layers that are currently shown in the map window.

Similarly, when the map window already displays a raster map (or a map list), and you add another raster map (or map list) with the same georeference to the map window, then the selected raster map (or map list) will also be added to the map window.

Tip: In the Display Options dialog box of a layer, you can specify whether a layer has to be displayed with a certain transparency. If you use the Transparency option, any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent layer. In this manner, you can display thematic information on top of images, a shadow map etc. and view both types of information simultaneously. Click the following link for an Example of transparent layers.

To show a map by one of its attributes:

Instead of showing the units in a raster, polygon, segment or point map, you can also display the attribute values of these units in a map window. The raster, polygon, segment or point map should use a class or ID domain and an attribute table should be linked to the map or to its domain.

  • double-click a map in a Catalog or use another method as described above, and
  • in the Display Options dialog box of the map, click the Attribute check box and select an attribute column from the attribute table,
  • select or create a suitable representation.

To retrieve specific elements of polygon, segment or point maps:

Instead of showing all units in a polygon, segment or point map, you can selectively display only those polygons, segments or points that have certain class names or class codes, IDs or values. Using a mask is a powerful search method to retrieve only the polygons, segments or points of interest.

  • double-click a map in a Catalog or use another method as described above, and
  • in the Display Options dialog box of the map, click the Mask check box and specify a mask, i.e. type one or more class names, class codes, IDs, or values (depending on the domain of the map) that you want to retrieve.

For more information, see How to use masks.

When you want to retrieve specific classes, identifiers or values of a raster maps, you can type a MapCalc formula on the command using the INMASK function.

To zoom in on maps displayed in a map window or in a map editor:

  • click the Zoom In button [image] in the toolbar of a map window or a map editor, or
  • press the right mouse button while in a map window or a map editor; choose Zoom In from the context-sensitive menu, or
  • from the Options menu in a map window or a map editor, choose the Zoom In command.

The mouse pointer changes into a magnifying-glass with a large plus inside, then:

  • click somewhere in the map to zoom in on this spot with a factor 2, or
  • drag the cursor from one corner of interest to another (any zoom factor).

    • Whether the shape of the map window then changes or not depends on whether the command Adjust Window Size on the Options menu of the map window is marked or not.

Tip: You can also use the overview window in a map window to zoom in.

To zoom in, you can also press CTRL + I on the keyboard: ILWIS will automatically zoom in at the center of the map window with a factor 2. You can then use the PgUp and PgDn keys on the keyboard to scroll vertically, and the Home and End keys to scroll horizontally. For more information, see Map window : Zoom in.

To zoom out or to display the entire map again in the map window, select the Zoom Out or Entire map commands on the Options menu or use the Zoom Out [image] or the Entire map [image] button in the toolbar.

The status bar gives a brief explanation on the effect of a button in a toolbar, when the mouse pointer is located above one.

Tip: To speed up the display of large raster map, for instance maps that have more than a few thousand lines and columns, you can create pyramid layers. For more information, refer to ILWIS objects : Raster maps - Pyramid layers.

See also:

Map window

How to use layers in a map window

Table window

How to open objects


How to start operations

ILWIS operations are listed in the Main window in the Operations menu, in the Operation-tree, and in the Operation-list.

  • The Operation-tree provides a tree structure for all ILWIS operations, similar to the Operations menu in the Main window;
  • The Operation-list contains an alphabetic list of all ILWIS operations.

To start an operation:

  • open the Operations menu in the Main window, and choose an operation,
  • double-click an operation in the Operation-tree or the Operation-list,
  • click the right mouse button on an operation in the Operation-tree or Operation-list, and select Run from the context-sensitive menu,
  • click an input object with the right mouse button in the Catalog, and select an operation from the context-sensitive menu,
  • drag a data object from the Catalog to an operation in the Operation-tree or Operation-list, or
  • type a command on the command line of the Main window (see also Appendices : ILWIS commands).

A dialog box is opened in which you can enter the input and output object names and other parameters necessary for the operation.

When you click the Show or Define button in the operation's dialog box, an ILWIS expression is generated on the command line of the Main window.

Output objects that are obtained through an operation's dialog box are always dependent.

Advanced users can type complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions. For more information, see Appendices : ILWIS expressions and Appendices : ILWIS script language (syntax).

See also:

Basic concepts : dependent data objects

ILWIS operations


How to create objects

There are several ways to create an object:

  1. From the File menu in the Main window, choose the Create command, and choose the type of object you want to create;
  2. In the Operation-tree, open the Create item, and double-click a New command;
  3. In the Operation-list, double-click a New command;
  4. In dialog boxes, you can click the little create button [image] if available next to a drop-down list box;
  5. Type Create object abbreviation on the command line of the Main window. For more information, see Appendices : ILWIS commands.


How to open objects

There are several ways to open objects:

  1. From the File menu in the Main window, choose Open, select the object you want to view;
  2. In a Catalog, double-click the object you want to view;
  3. In a Catalog, select one or more objects, click the selection with the right mouse button, and choose Open from the context-sensitive menu;
  4. In the Operation-tree, expand the Visualization item and double-click the Show item;
  5. In the Operation-list, double-click the Show item;
  6. Drag an object from a Catalog to the Show item in the Operation-tree or the Operation-list;
  7. Type Show or Show objectname.ext on the command line of the Main window.

Objects can also be opened by clicking the Show Map button [image] in the toolbar of the Main window.

For maps: each map is displayed in a new map window.

For tables, histograms, two-dimensional tables, and annotation text objects: the object is displayed in a table window.

For other objects: either a specific editor is opened, or a dialog box appears.

Tips:

  • To add maps as an extra layer to a map window, see How to use layers in a map window.
  • To open an annotation text object in map window, you should drag it to a map window, or use the Add Layer command on the Layers menu in a map window.

See also:

Open (dialog box)


How to open the pixel information window

How to open

the pixel information window

There are several ways to open the pixel information window:

  1. In the toolbar in the Main window, click the Pixel Information button [image];
  2. From the File menu in the Main window, choose Open Pixel Information;
  3. From the File menu in a map window, choose Open Pixel Information;
  4. Type Pixelinfo on the command line of the Main window.

See also:

Pixel information window

How to use pixel information


How to edit objects

There are several ways to edit objects:

  1. From the Edit menu in the Main window, choose Edit Object and select the object you want to edit;
  2. Double-click the Edit item in the Operation-tree or the Operation-list and select an object to be edited;
  3. Drag an object from the Catalog to the Edit command in the Operation-tree or the Operation-list;
  4. Use the right mouse button on an object in the Catalog, and choose Edit from the context-sensitive menu;
  5. Open the object (e.g. by double-clicking it in the Catalog), when it is possible to edit the object, you will probably find a useful command on the Edit menu in the window in which the object is opened;
  6. Type Edit or Edit objectname.ext on the command line of the Main window.

Maps can also be edited from within a map window: choose Edit Layer on the Edit menu of the map window.

Tables can directly be edited from within a table window.

Service objects can also be edited when a map is displayed in a map window.

Tips:

  • Dependent data objects and read-only objects cannot be edited: check the properties of the object.
  • Histograms and matrices cannot be edited.
  • Special editors are available for raster, polygon, segment and point maps, user-defined domains, user-defined representations, etc.

See also:

Edit Object dialog box


How to add

How to add ... UP

columns to a table

coordinates to an image

extra layers to a map window


How to add a column to a table

To add an editable column to a table:

  • From the Columns menu, choose Add Column, or
  • from the Columns menu, choose Column Management; the Column Management dialog box appears; in this dialog box, click the Add Column button, or
  • in the table window, scroll to the last column and double-click in the gray area to the right of the last column header.

The Add Column dialog box appears.

The created column will be an editable source column.

Note: Even if you use this column later on as the output column of a calculation, the column remains a source column.

To add a column which contains the answers of a calculation:

  • Type a TabCalc formula on the command line of the table window, or
  • from Columns menu, choose use the Join, Aggregate, Cumulative, Least Squares, Semivariogram or Column Slicing command, and fill out the appearing dialog box of this column operation.

The Column Properties dialog box will appear; you can generally accept the defaults.

For more information on table calculation formulae, refer to Table Calculation.

The created column will be:

  • a dependent column when the column is created by a TabCalc formula on the command line in which you used an definition symbol (=),
  • a dependent column when the column contains the result of a join, aggregation, cumulative sum, least squares fit, semi-variogram or column slicing operation (when performed through a dialog box),
  • an editable source column when the column is created by a TabCalc formula in which you used an assignment symbol (:=).

See also:

Table window : functionality

Table calculation

ILWIS objects : columns


How to add coordinates to an image, color composite, scanned photo

How to add

coordinates to a color composite, an image, a scanned map, a scanned photograph, etc.

To add coordinates to a satellite image, to a scanned map, or to a scanned photograph when you do not have a Digital Terrain Model (DTM), create a georeference tiepoints. A georeference stores the relation between locations in the image (row,col) and real world coordinates (X,Y). These locations are called tiepoints or ground control points. A georeference uses a coordinate system.

  • In case you have a scanned photograph without fiducial marks and you have a DTM of the area, create a georef direct linear.
  • In case you have a scanned aerial photograph with fiducial marks and a DTM, create a georef orthophoto.

For more information on types of georeferences, see ILWIS objects : georeferences.

The remainder of this topic deals with georeferences tiepoints.

The topic contains the following paragraphs:

  1. Introduction.
  2. Creating a georef tiepoints:
    1. while working with an interactive color composite, a single band of a satellite image, a scanned map or a scanned photograph.
    2. while working with a permanent color composite.
  3. Adding tiepoints.
  4. Adding the created georef tiepoints to all bands of a satellite image.
  5. Optional resampling to a georef corners.

1. Introduction:

By creating and adding tiepoints to a color composite, one band of a satellite image, a scanned map or a scanned photograph, the tiepoint coordinates are added to the image, photo or map which was specified as background map.

When you were successful in creating a georef tiepoints for a color composite, a band of a satellite image, a scanned map or a scanned photograph, you can:

  • see the coordinates according to the created georeference tiepoints on the status bar of the map window;
  • display any type of vector data on top of the map;
  • create new vector data using the georeferenced image as background;
  • update vector data using the georeferenced image as background;
  • use the map in pixel info;
  • rasterize any vector data on this georeference (for map calculations);
  • you can also resample the image which has a georeference tiepoints to a georeference corners, or vice versa, in order to perform raster operations in which raster maps with different georeferences need to be combined;
  • screen digitize on satellite images or on scanned photographs which have a georef tiepoints.

2a. Creating a georef tiepoints while working with an interactive color composite, a single band of a satellite image, a scanned map or a scanned photograph:

  • Display in a map window:
    • an interactive color composite: create a map list of all bands of an image and double-click the map list in a Catalog or use the Show Map List as Color Composite option. Tip: Using a map list is the advised method for satellite images with multiple bands.
    • one of the bands of your satellite image, or
    • a scanned map, or
    • a scanned photograph.
  • Choose the Create Georeference command from the File menu in the map window. In the subsequent Create Georeference dialog box, type a name for the georeference, choose for a Georef Tiepoints and select a coordinate system. When you click the OK button, the Georeference Tiepoints editor is automatically started in the map window.

You can now add tiepoints to the georeference tiepoints: continue with step 3.

2b. Creating a georef tiepoints while working with a permanent color composite:

When your graphics board cannot be configured to use more than 256 colors (see Display Settings in Windows' Control Panel), you need to create a permanent color composite with the Color composite operation. A permanent color composite is available in a Catalog and is stored on disk.

  • Create a permanent color composite (from the Operations menu in the Main window, choose Image Processing and Color Composite);
  • Open the Properties sheet of the color composite;
  • In the Raster Map Properties sheet, go to the Dependency tab and click the Break Dependency Link button (if available);
  • Show the map in a map window, choose Create Georeference command from the File menu in the map window, In the subsequent Create Georeference dialog box, type a name for the georeference, choose for a Georef Tiepoints and select a coordinate system. When you click the OK button, the Georeference Tiepoints editor is automatically started in the map window.

You can now add tiepoints to the georeference tiepoints: continue with step 3.

Other methods:

When you create a georeference tiepoints through the File menu of the Main window, or through the Properties sheet of a raster map, you have to open the Georeference Tiepoint editor yourself, for example by double-clicking the newly created georeference tiepoints in the Catalog.

For more information, see How to create a georeference.

3. Adding tiepoints:

You have to add tiepoints or ground control points to the image or scanned photograph which is displayed in the map window of the Georeference Tiepoints editor. Each tiepoint establishes a relation between the row and column value in the map and an XY-coordinate.

In the Georeference Tiepoints editor, you can add tiepoints to a map in several manners:

  • first, click at a recognizable point in the map without coordinates,
  • the Add TiePoint dialog box appears. In this dialog box, the row and column values at the position of the click are filled out. When you already have some tiepoints, the dialog box will also come up with a suggestion for the XY coordinates.

Then:

  • click at the same position in a map which already has correct XY coordinates and which is displayed in another map window (master/slave), or
  • digitize the same point in an analog paper map on a digitizer, or
  • read the correct XY coordinates for this point from an analog paper map or a table, and type these XY coordinates in the dialog box.

For a more detailed description on inserting tiepoints (for instance Master/Slave), refer to How to use the Georeference Tiepoints editor. When you already have tiepoints (X-coordinates, Y-coordinates, row numbers, column numbers) for an image in a file, it is advised to paste these tiepoints into the tiepoint table of a georeference tiepoints. For more information, see How to paste coordinates into a georeference tiepoints.

Furthermore, for a georef tiepoints, you have to select a transformation method: conformal, affine, second order, full second order, third order or projective. The number of tiepoints that are required depends on this selected transformation method.

  • For satellite imagery, an affine transformation will usually do.
  • For scanned photographs, a projective transformation is recommended.

Tip:

To judge the quality of your tiepoints while entering them in the Tiepoint editor:

  • display any existing vector data on top of the background map in the Tiepoint editor (choose Add Layer from the Layers menu),
  • add tiepoints to the image or photograph in the map window, and
  • press the Redraw button [image].

You can now easily see whether existing roads, rivers, etc. coincide with the background map.

4. Editing properties of satellite bands:

You have to make sure, that all maps which exactly fit on each other also use the same georeference. You can change the georeference of a map in the properties sheet of the map.

In case you created a georef tiepoints (as described under 2a) for:

  • an interactive color composite, then the created georef tiepoints will be automatically linked to all maps in the map list. You do not need to edit properties of the individual maps in the map list.
  • a scanned map or a scanned photograph, then the created georef tiepoints be automatically linked to the scanned map or photo. You do not need to edit properties.

However, you have to manually add the created georef tiepoints to all (other) bands of the image when you located the tiepoints:

  • on only one of the bands of an image (as described under 2a), or
  • on a permanent but a non-dependent color composite (as described under 2b).

Then, after you finished adding tiepoints to the single background map in the Tiepoint editor:

  • create a map list of all bands, open the Property sheet of the map list, and select the Georeference Tiepoints you just created: the newly created Georef Tiepoints will automatically be added to all raster maps in the maplist.

You can also open the Property sheets of all other bands, and select the newly created Georef Tiepoints for each band separately.

See also How to view and edit properties of an object.

5. Optional resampling to a georef corners:

When maps use a georef tiepoints, you can decide to resample these maps to the georeference of another existing north-oriented map to be able to combine the maps with each other in MapCalc, etc. For more information, see Resampling : functionality.

See also:

How to create a georeference

How to edit a georeference

Georeference Tiepoints editor

How to use the Georeference Tiepoints editor

How to paste coordinates into a georeference tiepoints

How to screen digitize


How to add extra layers to a map window

How to add

extra layers to a map window

To a map window, you may add several layers: a raster map, one or more point, segment or polygon maps, a map list, annotation text objects, grid lines and/or graticules.

To add a map to an existing map window:

To add a raster map, or one or more polygon, segment or point map(s), a map list, or annotation text object(s) to a map window:

  • from the Layers menu, choose the Add Layer command, or
  • in the toolbar of a map window, click the Add Layer [image] button, or
  • in the white space of the Layer Management pane in a map window, click the right mouse button and choose Add Layer from the context-sensitive menu, or
  • press the Ins key on the keyboard when a map window is active, or
  • drag one or more point, segment, or polygon map(s), a raster map, a map list and/or annotation text objects from a Catalog or from Windows Explorer into a map window.

When using one of the first four methods, the Add Layer dialog box will appear. In this dialog box, you can select the raster, polygon, segment or point map (or the map list or the annotation text object) which you wish to add to the map window. Then, a Display Options dialog box will appear in which you can specify how the map should be displayed.

You can add multiple point, segment and polygon maps to the map window. These will be displayed on top of the other layers that are already displayed in the map window.

Similarly, when the map window already displays a raster map (or a map list), and you add another raster map (or map list) with the same georeference to the map window, then the selected raster map (or map list) will also be added to the map window.

Tip: In the Display Options dialog box of a layer, you can specify whether a layer has to be displayed with a certain transparency. If you use the Transparency option, any layer that has been added to the map window before, e.g. an image or a shadow map, will remain partly visible through the transparent layer. In this manner, you can display thematic information on top of images, a shadow map etc. and view both types of information simultaneously. Click the following link for an Example of transparent layers.

To add an annotation text object to a map window:

To create a new annotation text object and display it in the map window:

  • open the File menu in the map window, and choose Create, Annotation Text.

If you already have an annotation text object, you can use one of the methods described above to add maps to a map window.

To add grid lines or a graticule to a map window:

  • from the Layers menu, choose the Add Grid Lines, or the Add Graticule command, or
  • in the white space of the Layer Management pane in a map window, click the right mouse button and choose Add Grid Lines or Add Graticule from the context-sensitive menu.

A map window displaying a raster map or a map list, and/or one or more point, segment and/or polygon maps, optional annotation text layers, and optional grid lines and graticules can be saved as a map view.

Map views can be added to a layout, which is used to make a final composition before printing.

To a layout, you can then add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

See also:

How to display maps and tables & zoom

Map window : functionality

How to use layers in a map window

How to change display options of layers in a map window


How to aggregate column values

Several functions are available to aggregate values of a value column. Aggregation means that you get one aggregate value, for instance the average or the sum, of a whole column, or one value per group of class names. In this way, you can for instance calculate the total area of each class. Sometimes one item is considered to be more important than another item. Then, weight values may be used during the calculation to express this difference in importance.

Aggregations:

  • aggregating values of all records of column a,
  • aggregating values in column a for a group of records of the same class (key/group column g) , or
  • aggregating values in column a, while using weight factors in a weight column w.
  • aggregating values in column a for a group of records of the same class (key/group column g) while using weight factors in a weight column w.

To perform an aggregation through the menu of a table window:

  • open a table containing the column to be aggregated,
  • open the Columns menu, choose Aggregation.

The Aggregate Column dialog box appears.

In the Aggregate Column dialog box:

  • select the value column which contains the data to be aggregated,
  • select the aggregation function that you want to use,
  • if you to group the data (e.g. according to soil classes), mark the Group By check box and select a 'group by' column,
  • if you want to use weights in a weight column (e.g. large areas are more important than smaller ones), mark the Weight check box and select a weight column,
  • if you want to write the aggregation results into a separate table, mark the Output Table check box and type a table name,
  • type an Output Column Name of the aggregation.

For examples of aggregations, click the aggregations functions described below.

To perform aggregations using the command line of a table window:

  • open a table containing the column to be aggregated,
  • on the command line of the table window, type a TabCalc expression, using one of the following aggregation functions: AGGAVG, AGGCNT, AGGMIN, AGGMED, AGGMAX, AGGPRD, AGGSTD, AGGSUM.

Aggregation 'functions' can have 1, 2, or sometimes 3 arguments:

  • aggregation functions with one argument (col) return one answer for all entries of column col.
  • aggregation functions with two parameters (col, g) return one answer per group g.
  • aggregation function with two parameters (col, , w) return one answer for all entries of column col, and use weights in column w during the calculation. In fact parameter g is left blank.
  • aggregation functions with three parameters (col, g, w) return one answer per group g, and use weights in column w during the calculation.

Notes:

  • When no weight column is specified, then all data get the same weight value which is per default 1.
  • When you want to use a weight column but when an aggregation by group is not necessary, then only omit the group column name but leave the two commas in the syntax. For example: AGGAVG(col, ,w).

    • If you would use only one comma, ILWIS will interpret the second column specified as the group column and not as the weight column.

  • Within the brackets of an aggregation function, no expressions can be used.
  • For ILWIS 1.41 users: argument g can be considered as the key column.

See also:

Aggregate functions


How to break dependency links

Dependent maps, tables and columns are the result of a calculation with MapCalc or TabCalc (in which you used the definition sign =) or the result of another operation. The complete expression by which dependent output objects are created is stored by the output maps, tables and columns as their definition. Dependent data objects thus know how they were created and on which input data they depend.

In principle, dependent data objects cannot be edited as the results of calculations or operations need to be protected. If you do want to edit a dependent map, a dependent table or a dependent column, you need to break the dependency links first. Breaking dependency links means that the map, table or column no longer knows how it is created nor from which maps, tables or columns it was created.

To break dependency links of dependent maps and dependent tables:

  • select one or more dependent maps and/or tables in a Catalog,
  • press the right mouse button,
  • choose Properties from the context-sensitive menu,

or

  • select one or more dependent data objects in a Catalog,
  • open the Edit menu in the Main window,
  • choose Properties.

The Property sheet(s) of the selected dependent map(s) and/or table(s) will appear:

  • go to the Dependency tab, and
  • click the button Break Dependency Link.

When a dependent map is displayed in a map window, or when a dependent table is displayed in a table window, you can also open the File menu in the map or table window and select the Properties command. The Property sheet of that map or table then appears. To break the dependency link, go to the Dependency tab, and click the button Break Dependency Link.

To break dependency links of dependent columns:

  • open a table in a table window,
  • double-click a column header (displaying the column name) of a dependent column,

or

  • from the Columns menu, choose Column Management, a dialog box appears in which all columns are listed, then
  • double-click a column in the list, or select a column in the list and click the Properties button.

The Column Properties dialog box will appear; click the button Break Dependency Link.

To break dependency links on the command line or in scripts:

You can also break dependency links by typing the following on the command line in the Main window or in a script:

breakdep object.ext

For object.ext fill out the object name and its extension.

It is allowed to use the DOS wildcards * and ?.

For more information, see Appendices : script language (syntax).

Examples of using wildcards:

  • to break the dependencies of all raster maps starting with A, you can thus type:

breakdep a*.mpr

  • to break the dependencies of all objects in this directory, you can thus type:

breakdep *.*

See also:

Basic concepts : dependent data objects

Basic concepts : properties of objects

How to view and edit the properties of an object


How to calculate

How to calculate ... UP

aspect map

confidence interval maps

confusion matrix

Digital Elevation Model

histogram

NDVI

Optimum Index Factor (OIF)

shortest path

slope map

with maps

with tables

with class names or IDs in maps and tables

with undefineds in maps and tables


How to calculate aspect maps

How to calculate an aspect map

An aspect map shows to which side a slope is directed. An aspect value of 0 means that the slope is facing the North.

To calculate a classified aspect map:

1.

Create a segment map with a value domain. Digitize the contour lines and give the contour lines the height value they represent.

2.

To create an interpolated height map from segment contour lines: open the Operations menu in the Main window, choose Interpolation, then choose Contour Interpolation. The output map is a Digital Elevation Model (DEM).

3.

To calculate height differences in X-direction: start the Filter operation, select the Digital Elevation Model as the input map and select linear filter dfdx. Call the output map for example DX.

4.

To calculate height differences in Y-direction: start the Filter operation again, select the Digital Elevation Model as input map and select linear filter dfdy. Call the output map for example DY.

5.

To calculate an aspect map in radians from these maps DX and DY, type on the command line of the Main window:

ASPECTR = ATAN2(DX,DY) + PI

To convert the radians into degrees, type:

ASPECTD = RADDEG((ASPECTR))

If you wish, you can combine both statements above into one:

ASPECTD = RADDEG(ATAN2(DX,DY) + PI)

Functions ATAN2 and RADDEG are internal MapCalc/TabCalc functions. ASPECTR and ASPECTD are the output map names of the aspect maps in radians and degrees respectively.

6.

To classify the aspect map, first create a domain group (e.g. called ASPGR) in which you can use for instance the following boundary values and classes:

22.5 | North
67.5 | North-East
112.5 | East
157.5 | South-East
202.5 | South
247.5 | South-West
292.5 | West
337.5 | North-West
361 | North2
7. | Then, use the Slicing operation. From the Operations menu in the Main window, choose Image Processing, Slicing: use as input map ASPECTD, as the group domain APSPGR and call the output map for instance ASPECTCL. On the command line, you can use: ASPECTCL = MapSlicing(ASPECTD,ASPGR)
8. | Adapt the representation class ASPGR which accompanies group domain ASPGR according to your wishes; use the Representation Class editor.

Tips:

  • When you start creating the segment map for the contour lines, it is advised to create a user-defined value domain Height. Afterwards you can then create a user-defined representation Height for this domain. You can change the colors of this representation in the Representation Value/Gradual editor.
  • Instead of using the Slicing operation, you can also interactively classify the values in your aspect map by creating a new representation value for the output aspect map. This will only work nicely when you use a user-defined value domain; then you can create a representation value (working in values). When you use system domain Value, you can only create a representation gradual (working in percentages) which is absolutely unsuitable for aspect maps.

    • For more information on classifying maps both interactively and permanently, see How to classify a map.

See also:

How to classify a map

How to calculate a slope map


How to calculate confusion matrix

How to calculate

a confusion matrix

To assess the accuracy of an image classification, it is common practice to create a confusion matrix. In a confusion matrix, your classification results are compared to additional ground truth information. The strength of a confusion matrix is that it identifies the nature of classification errors, as well as their quantities.

To obtain a confusion matrix:

  1. Have the output raster map of your image classification available; check the Properties of the classified image to know which domain and georeference are used by the classified image.
  2. Create a raster map which contains additional ground truth information, such a map is also known as the test set. There are several ways to create a test set, these are shortly described here; at the end of this topic you will find more details of creating a test set.
    • Create a new raster map with the same domain and georeference as the classified image, and add some test pixels to this map yourself with the pixel editor while using an existing map as a background (for instance a land use map),
    • Use an existing, recent and reliable raster map with the same domain and georeference as the classified image directly as a test set.
    • Use half of your ground truth data for the sample set before classification, and use the other half of your ground truth data for creating a test set.

    Make sure that the ground truth/test set raster map does not contain the same pixels as the sample set raster map from the training phase. Your accuracy assessment will show too optimistic figures when the pixels in the sample set (on which the classification is based) are also used in the test set (with which the classification results are checked).

  3. Perform a Cross operation with your ground truth map and the classified image to obtain a cross table.

    4. To start the Cross operation:

    • from the Operations menu in the Main window, select Raster Operations and then the Cross command, or
    • double-click the Cross item in the Operation-list, or
    • use the right mouse button on your test set raster map in the Catalog and from the context-sensitive menu select Raster Operations and Cross.

    In the Cross dialog box:

    • for First Map, select the test set map,
    • accept the default selection of the Ignore Undefs check box for the first map,
    • for Second Map, select the classified image,
    • clear the Ignore Undefs check box for the second map,
    • type a name for the output cross table, and
    • select the Show check box to directly display the output cross table in a table window.
  4. In the table window displaying the cross table, open the View menu and choose Confusion matrix.

    5. In the Confusion matrix dialog box:

    • for First Column, select the test set column in the table,
    • for Second Column, select the classified image column in the table,
    • for Frequency, select the NPix column in the table.

When you click OK, the confusion matrix is displayed in a matrix window.

For more information on the interpretation of a confusion matrix, refer to Table window : Confusion matrix.

Additional information to create a test set:

  1. Creating a test set yourself with the pixel editor using a background map:
    • Check the domain and georeference of the classified image in the Properties dialog box of the image. Check the georeference of the background map which can be for instance an existing land use map. If the background map does not have the same georeference as your classified image, you can use the Resample operation to resample the existing map to the georeference of the classified image.
    • Display the background raster map in a map window.
    • From the File menu in the map window, choose the Create Raster Map command to create an empty ground truth map. In the Create Raster Map dialog box: type a new name for the ground truth map; accept the georeference of the classified image; and select the same domain as used by the classified image,
    • The pixel editor is opened automatically; the background map is displayed. When you zoom in, you can start selecting and giving names to pixels in your ground truth map.
  2. Using an existing raster map or polygon map of the area:
    When you have a recent and reliable polygon or raster map of the area, you can directly use this map as the ground truth map.
    • If the map does not have the same domain as the classified image, you can first add a column (with the domain of the classified image) to the attribute table of the map, assign a class to each class in the map and create an attribute map.
    • If the map does not have the same georeference as the classified image, you can first either rasterize the polygon map on the georeference of the image, or resample the raster map to the georeference of the image.
    • Then, cross the raster map with the classified image.
  3. When you have collected ground truth data in the field, a calculation-wise correct method is to use half of these data for the sample set, and the other half for the test set.

See also:

Table window : Confusion matrix


How to calculate confidence interval maps

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements.

When the errors in the error map have a normal distribution, you can find critical values of confidence levels in a probability distribution table of a standard normal curve.

In general, [image], where [image] is the Kriging estimation and [image] is the estimated error (standard deviation). The multiplication factors c (critical value) for the estimated errors ( [image]) in the error map for different one-sided confidence levels are:

Confidence level: | 90% | 95% | 97.5% | 99% | 99.5%
Critical value c: | 1.282 | 1.645 | 1.960 | 2.326 | 2.576

Example 1:

When for example you want to test whether for a metal concentration level of e.g. 100 mg/m3 (reference level), Kriged output values are outside the 98% confidence interval (after Pebesma 1996):

  • Create a class domain (called e.g. Confi98) with the classes Lower, Upper and Uncertain.
  • Type on the command line of the Main window:

            •

    Level100

    =

    IFF(Estim> 100 + 2*Error, "Upper", IFF(Estim< 100 - 2*Error, "Lower", "Uncertain"))

    where Estim is the output Kriging map and Error is the output error map.

    In the Raster Map Definition dialog box, select your class domain Confi98.

Map Level100 contains 3 classes:

  • pixels with class Upper have a metal concentration greater than 100 mg/m3 with 98% certainty (polluted or mining possibilities),
  • pixels with class Lower have a metal concentration less than 100 mg/m3 with 98% certainty,
  • while for pixels with class Uncertain, none of these conclusions may be drawn.

You can edit the representation as you wish.

In the same way, you can choose another reference level, or another critical value for another confidence interval.

Example 2:

Instead of creating for instance four different maps for four number of reference levels (e.g. for metal concentrations of 25, 50, 100 and 200 mg/m3), you can also make a combined confidence interval map which shows the actual values, i.e. the upper and lower boundaries, of a certain confidence interval.

Groups of pixels in the output confidence interval map will be shown as 2 'triangles' as if a group of pixels is divided along one of the diagonals of the groups. One half of the pixels in a group show the value of the lower boundary of the confidence interval and the other half show the value of the upper boundary of that confidence interval. In this example, each group of pixels consists of 4 lines and 3 columns. This is achieved by using the MOD (i.e. the modulus) function on the line numbers (%L) and column numbers (%C) of the map (see below).

Suppose you interested in the 98% confidence interval. You will thus use a multiplication factor (c) of 2 as above.

  • Create a user-defined value domain which ranges from 0 to 500. In fact, you should use a user-defined value domain which you also used for the output Kriging maps.
  • Type on the command line of the Main window:

    • Upper = Estim + 2 * Error

    Lower = Estim - 2 * Error

    where Estim is the output Kriging map and Error is the output error map.

    In the Raster Map Definition dialog box, select for both maps your value domain.

  • Type on the command line of the Main window:

    • Conf98 = iff((%L mod 4) - (%C mod 3) <= 0, Upper, Lower)

  • By editing the representation of your value domain, you can assign the desired colors to the values and represent them as intervals, for instance < 25, 25 - 50, 50 - 100, 100 - 200 and > 200, etc.

Confidence interval map Conf98 then shows 'triangles' of values for the upper and lower boundaries of the confidence interval.

To obtain a confidence interval map with larger 'triangles', you can use larger values for the modulus functions in the last MapCalc statement.

Reference:

  • Pebesma, E. J. 1996. Mapping Groundwater Quality in the Netherlands. KNAG/Faculteit Ruimtelijke Wetenschappen, Utrecht University. 128 pp.

See also:

Kriging : functionality

Anisotropic Kriging : functionality

Universal Kriging : functionality

CoKriging : functionality


How to calculate Digital Elevation Models

How to calculate

a Digital Elevation Model

In ILWIS, you can obtain a Digital Elevation Model (DEM) by interpolation of segments, by an interpolation of points, or by an interpolation of a raster map which contains rasterized value segments and points.

From Segments

Digitize the contour lines of a segment map with a value domain. Make sure that contour lines that consist of more than one segment have the same value. Code consistency of segments can be checked in the Segment editor.

Then perform a Contour interpolation. Contour interpolation is an operation which first rasterizes the contour lines in a segment map with a value domain, and then calculates values by means of a linear interpolation for pixels that are not covered by segments. For the Contour interpolation operation, you can also use a segment map with a class or ID domain as input, then the segment map must have an attribute table with a value column representing height values.

To create a Digital Elevation Model from Segments:

  • from the Operations menu in the Main window, choose Interpolation, Contour Interpolation, or
  • in the Operation-tree, open the Interpolation item, and double-click the InterpolSeg operation, or
  • in the Operation-list, double-click the InterpolSeg operation, or
  • in the Catalog, click a segment map with the right mouse button, and select Contour Interpolation from the context-sensitive menu.

The Contour Interpolation dialog box appears.

Tip:

When later on you want to create a georeference orthophoto or a georeference direct linear, which will use the created DEM, it is strongly advised to mark the Interpolation check box in the Raster Map Properties dialog box of the DEM.

From Points

Perform a point interpolation on your point map. A point interpolation performs an interpolation on randomly distributed point values and returns regularly distributed point values. This is also known as gridding. In ILWIS, the output values are raster values.

The input map for a point interpolation is a point map where:

  • points are values (point map with a value domain), or
  • points are identifiers (point map with an ID domain) and for which elevation values are stored in a column in a linked attribute table.

To create a Digital Elevation Model from Points:

  • from the Operations menu in the Main window, choose Interpolation, Point Interpolation, Moving Average or Moving Surface, or
  • in the Operation-tree, open the Interpolation, Point Interpolation item, and double-click the MovAverage or MovSurface operation, or
  • in the Operation-list, double-click the MovAverage or MovSurface operation, or
  • in the Catalog, click a point map with the right mouse button, and select Interpolation, Moving Average or Moving Surface.

The Moving Average dialog box or the Moving Surface dialog box appears.

Tips:

  • Point interpolation is a time consuming operation, to speed up the process the user is advised to use a relatively large pixel size during the interpolation and perform the Densify operation after the interpolation. Densify is a raster operation which lets you reduce the pixel size of your map. The number of rows and columns is increased, and new values are assigned to the pixels by means of a bilinear or bicubic interpolation.
  • When later on you want to create a georeference orthophoto or a georeference direct linear, which will use the created DEM, it is strongly advised to mark the Interpolation check box in the Raster Map Properties dialog box of the DEM.

From Segments with additional Point data

  1. Digitize the contour lines of a segment map with a value domain. Rasterize the segment map with the Segments to Raster operation:
    • from the Operations menu in the Main window, choose Rasterize, Segment to Raster,
    • in the Operation-tree, open the Rasterize item, and double-click the SegRas operation, or
    • in the Operation-list, double-click the SegRas operation, or
    • in the Catalog, click a segment map with the right mouse button, and select Rasterize, Segment to Raster from the context-sensitive menu.

  2. Rasterizing the point data:
    1. If you have a point map with a value domain, rasterize the point map with the Points to Raster operation:
      • from the Operations menu in the Main window, choose Rasterize, Point to Raster,
      • in the Operation-tree, open the Rasterize item, and double-click the PntRas operation, or
      • in the Operation-list, double-click the PntRas operation, or
      • in the Catalog, click a point map with the right mouse button, and select Rasterize, Point to Raster from the context-sensitive menu.

    2. If you have a point map that contains points with identifiers (point map with an ID domain) for which elevation values are stored in a column in a linked attribute table,
      • rasterize the point map with the Points to Raster operation (see 2a) and in the Rasterize Point Map dialog box, select the correct column in which your elevation data is stored.

      Use the same georeference for both the rasterized segment and rasterized point map.

  3. Then, combine the two raster maps by typing the following MapCalc expression on the command line of the Main window:

            4.

    pntseg

    =

    iff(isundef(pntras), segras, pntras)

    where:

    pntseg | is the output raster map name of the combined point and segment map
pntras | is the name of the rasterized point map
segras | is the name of the rasterized segment map

  4. Finally, interpolate the pntseg raster map which contains the rasterized segments and the rasterized points. Type on the command line of the Main window:

            5.

    DEM

    =

    mapinterpolcontour(pntseg)

Visualize a DEM

To visualize a DEM, you can simply the DEM in a map window or apply the Shadow filter on the DEM and display the filtered map in a map window; you can overlay the contour lines in one color. Further, you can use Display 3D to create a three-dimensional view of your study area. For more information and an example, see How to display Digital Elevation Models.

See also:

Contour interpolation

Point interpolation

How to display Digital Elevation Models


How to calculate histograms

How to calculate a histogram

A histogram can be calculated for any raster, polygon, segment or point map.

To calculate a histogram:

There are several ways to calculate a histogram:

  • from the Operations menu, select Statistics and Histogram,
  • open the Statistics item in the Operation-tree and double-click the Histogram operation,
  • double-click the Histogram operation in the Operation-tree or the Operation-list,
  • in the Catalog, click a map with the right mouse button, and choose Statistics, Histogram from the context-sensitive menu,
  • drag a map from the Catalog to the Histogram operation in the Operation-tree or the Operation-list.

See also:

Histogram operation

ILWIS objects: histograms


How to calculate NDVI

To calculate NDVI (Normalized Difference Vegetation Index) values, you can use the MapCalc function NDVI(a,b).

This function requires 2 satellite bands (one with visible or red values and the other near-infra red values). The function performs the calculation:

(b - a) / (a + b)

When using the NDVI(a,b) function, replace a with the band with visible or red reflectance, and b with the band with near-infrared reflectance.

Example:

If TmBand3 is the band with red values, and TmBand4 is your band with near-infra red values, type on the command line of the Main window:

VegInd = NDVI(TmBand3,TmBand4)

Output map VegInd contains NDVI values.

NDVI values range from -1 to 1:

  • Vegetated areas will generally yield high values because of their relatively high near-infrared reflectance and low visible reflectance.
  • In contrast, water, clouds, and snow have larger visible reflectance than near-infrared reflectance. Thus, these features yield negative index values.
  • Rock and bare soil areas have similar reflectances in the two bands and result in vegetation indices near zero.


How to calculate Optimum Index Factor (OIF)

How to calculate

Optimum Index Factor (OIF)

To obtain multivariate statistical information on a data set, you can calculate the Optimum Index Factor (OIF) for any combination of three bands within your map list. The Optimum Index Factor (OIF) is a statistic value that can be used to select the optimum combination of three bands in a satellite image with which you want to create a color composite. The optimum combination of bands out of all possible 3-band combinations is the one with the highest amount of 'information' (= highest sum of standard deviations), with the least amount of duplication (lowest correlation among band pairs).

To calculate and show the Optimum Index Factor:

  1. Create a map list which contains the multi-spectral bands of your satellite image. For more information, refer to How to create a map list.
  2. Calculate a variance-covariance matrix or a correlation matrix for the maps in the map list:
    • in the Main window, open the Operations menu, choose Statistics, Map List and the Variance-Covariance or Correlation command, and select a map list, or
    • double-click the VarCovMat or the CorrMat operation in the Operation-list, and select a map list, or
    • press the right mouse button on the map list in the Catalog, choose Statistics and Variance-Covariance or Correlation from the context-sensitive menu.

    For more information, refer to Variance-covariance matrix or to Correlation matrix.

  3. Open the Properties of the map list:
    • from the Edit menu in the Main window, choose Properties, and select the map list, or
    • press the right mouse button on the map list in the Catalog, and choose Properties from the context-sensitive menu.

    The Map List Properties dialog box appears.

  4. Click the Additional Info button in the Map List Properties dialog box.

A dialog box appears which displays the ranked OIF values and corresponding band combinations. For more information on the interpretation the OIF values, refer to Optimum Index Factor : functionality / algorithm.

Note:

The Additional Info button will not appear in the Map List Properties dialog box when a Variance-covariance matrix or a Correlation matrix has not been calculated yet for the map list.

See also:

Variance-covariance matrix

Correlation matrix

Optimum Index Factor : functionality/algorithm

Color composite


How to calculate shortest path

To calculate the shortest path between two pixels:

  • prepare two source maps for two distance calculations;
    • the first source map only contains a start pixel, all other pixels are undefined.
    • the second source map only contains an end pixel, all other pixels are undefined.
  • prepare a weight map in which less accessible pixels have higher weight values.
  • perform two distance calculations, one on the first source map, and one on the second source map.
  • sum the two output maps of the distance calculations.

The minimum value in the summed distance maps indicates the shortest path.

1. Preparing two source maps:

By using a background map on which you can easily identify start and end points, you will create two new point maps. In the first point map, you indicate a start point; in the second point map you indicate an end point. Both point maps are then rasterized. They will serve as input source maps for distance calculations.

If you wish, you can also directly prepare two raster maps on the background map with start and end pixels; however, point maps are handier for display purposes later on.

  • Display a map on which you can easily find a start point and an end point.
  • In the map window, open the File menu and choose Create, Point Map.
  • In the Create Point Map dialog box,
    • type a new name for the point map, e.g. Start,
    • accept the default coordinate boundaries for the point map,
    • click the little create domain button [image] to create a new class domain for the point map.
  • In the Create Domain dialog box:
    • type a new name for domain,
    • select to create a class domain.
  • The domain Class/ID editor will be opened.
    • add class start to the domain, and
    • add class end to the domain.

Close the domain editor and click OK in the Create Point Map dialog box.

The Point editor will be activated.

In the Point editor:

  • zoom in on the area where the start point is located,
  • click the Insert Mode button [image] in the toolbar of the Point editor, and
  • add the starting point. Assign to this point the name Start.

Close the Point editor. Point map Start contains the starting point.

In the same way, prepare another point map, e.g. called End, which will contain the end point. You can use the same domain for the End point map as for the Start point map. In the Point editor, add one point to the End point map and assign to this point the name End.

When finished, rasterize both point maps so that you obtain raster maps Start and End. These maps will serve as source maps during the distance calculations. Make sure that both raster maps are calculated; you can for instance display them, or you can open the properties of the maps and click the Calculate button in the Raster Map Properties dialog box.

2. Preparing the weight map:

Shortest path calculations are most useful when speed or costs are involved. You can then prepare a weight map where the pixel values represent the relative difficulty or the relative extra cost to surpass the pixels. In a weight map, you should use value 1 for normally accessible pixels, various higher weight values for less accessible pixels, and a negative or the undefined value for unsurpassable barriers.

To create a weight map, you can for instance create an attribute column in an attribute table and base weight factors for instance on known land use and then create an attribute map of the weight column, or you can use some MapCalc statements including road maps, rivers, DEM information, etc.

For more information, see Distance calculation : functionality and Distance calculation : travel time map.

3. Performing the first distance calculation:

  • From Operations menu in the Main window, choose the Distance operation.
  • In the Distance calculation dialog box:
    • for the Source Map, select map Start which you created above,
    • select the Weight Map check box and select your weight map,
    • type a name for the output map of the distance calculation, e.g. Dist1.
  • Display map Dist1, so that it is calculated.

4. Performing the second distance calculation:

  • From Operations menu in the Main window, choose the Distance operation.
  • In the Distance calculation dialog box:
    • for the Source Map, select map End which you created above,
    • select the Weight Map check box and select your weight map,
    • type a name for the output map of the distance calculation, e.g. Dist2.
  • Display map Dist2, so that it is calculated.

5. Checking results:

Display maps Dist1 and Dist2, and drag to both map windows the Start and End point maps. In the Display Options dialog boxes of the point maps, clear the Info check box.

In map Dist1, created using the start point, the position of the end point has the value that represents the shortest route to reach this end point.

In map Dist2, created using the end point, the position of the start point has the value that represents the shortest route to reach this start point.

To check the values in the maps, you can use Pixel Info.

6. Summing the output maps of the distance calculations:

By summing the maps Dist1 and Dist2, you will find the shortest path or the area in which any shortest path can be located.

Type on the command line of the Main window:

Path = Dist1 + Dist2

When you did not use a weight map, the shortest path can be found very easily.

  • Type the following MapCalc formula on the command line of the Main window:

    • Path2a = MAPMIN(Path) = Path

  • The resulting Bool map contains True values for pixels containing the shortest path value (this may appear as an area in which any shortest path can be located) and False values for other pixels.

When you did use a weight map, the values in map Path are not real distance values; they are the product of the unit of your weight value (e.g. s/m or $/m) and calculated distances (m). However, when during the preparation of the weight map you used a multiplication factor to obtain whole weight values, you now have to divide map Path by this factor.

  • Display map Path in a map window with representation Pseudo, and experiment with the display stretch values: you can accept the default minimum stretch value but for the maximum stretch value type a value which is for instance 10% higher than the minimum. This will show all possible fastest or cheapest paths within 10% of the absolute minimum. You will thus be able to identify fast or cheap alternative routes.
  • To subtract the 'double' weights from each end pixel (as distances are calculated to each pixel from 2 sides), you can type on the command line:

    • Path2b = Path - (weight * PIXSIZE(Path))

    This may slightly improve your results. You can display map Path2b in the same way as above: accept the minimum stretch value and for the maximum stretch value, type a value which is for instance 10% higher than the minimum.

  • In case you want to obtain a bool map or a polygon map with a single shortest path, and when you have decided until which value your definition of shortest is valid (e.g. from 1255 to 1288), you can type the following MapCalc formula on the command line of the Main window to obtain a map containing the area of the shortest path(s):

    • Path2c = INRANGE(Path, 1255, 1288)

    The resulting Bool map contains True values for pixels containing the shortest path value (this may appear as an area in which any shortest path can be located) and False values for other pixels.

7. Polishing the result:

  • If necessary, you can enhance a shortest path area by using a Dilate filter. For more information, see Filter operation: functionality.
  • To make a polygon out of the shortest path area, use the Raster to Polygons operation. When you want to perform this operation on a value map, you have to use the command line instead of the dialog box.

See also:

Distance calculation : functionality


How to calculate slope maps

How to calculate a slope map

To calculate slope maps in percentages and in degrees:

1.

Create a segment map with a value domain (it is advised to create a value domain Height). Digitize the contour lines and give the contour lines the height value they represent.

2.

To create an interpolated height map from segment contour lines: open the Operations menu in the Main window, choose Interpolation, then choose Contour Interpolation. The output map is a Digital Elevation Model.

3.

To calculate height differences in X-direction: start the Filter operation, select the Digital Elevation Model as the input map and select linear filter dfdx. Call the output map for example DX.

4.

To calculate height differences in Y-direction: start the Filter operation again, select the Digital Elevation Model as input map and select linear filter dfdy. Call the output map for example DY.

5.

To calculate a slope map in percentages from these maps DX and DY, type on the command line of the Main window:

SLOPEPCT = 100 * HYP(DX,DY)/ PIXSIZE(DEM)

HYP is an internal Mapcalc/Tabcalc function.

Function PIXSIZE returns the pixel size of a raster map; for DEM, fill out the name of your DEM created in step 2.

SLOPEPCT is the output map name of the slope map in percentages.

6.

To convert the percentage values into degrees, type:

SLOPEDEG = RADDEG(ATAN(SLOPEPCT/100))

Function ATAN and RADDEG are internal MapCalc/TabCalc functions. SLOPEDEG is the output map name of the slope map in degrees.

Mind: the following slope values are the same: 30°= 58%, 45°= 100%, 60°= 173%, 80°= 567%. As you see, slope values in the SLOPEPCT map can be greater than 100%.

Tips:

  • When you start creating the segment map for the contour lines, it is advised to create a user-defined value domain Height. Afterwards you can then create a user-defined representation Height for this domain. You can change the colors of this representation in the Representation Value/Gradual editor.
  • You can also create a script to perform steps 2 through 6 described above. For more information, see Map & Table calculation : creating and running scripts.
  • To classify the values of the slope maps, there are two possibilities:
    1. Create a new representation value for the output slope map and adapt the colors in the Representation Value/Gradual editor. For more information, see How to classify a map.
    2. Create two domain Groups, for example: classes 0-10%, 10-25%, 25-50%, 50-100%, >100% for the slope map in percentages and classes 0-6°, 6-12.5°, 12.5-22.5°, 22.5-45°, >45° for the slope map in degrees. Then, use these domain groups in the Slicing operation.

See also:

How to classify a map

How to calculate an aspect map


How to calculate with class names or IDs in maps and tables

How to calculate

with class names or IDs in maps and tables

When using class names or IDs in a MapCalc or TabCalc expression, these class names or IDs should be put "between double quotes".

For example, if you want to assign a 1 in a new map Result to all areas of map Landuse where there is Coffee, and a 0 to all other landuse classes, you can use the following formula:

Result = Landuse = "Coffee"

Landuse: | Result:

Read in the Landuse map for B= Bare, for C= Coffee, and for S= Shrub.

The same formula can be used in Table calculation when you want to assign a 1 to all fields in column Landuse where the landuse class is Coffee.

Parcel | Landuse | Result
01256 | Coffee | 1
01257 | Banana | 0
01258 | Rice | 0
01259 | Maize | 0
01260 | Coffee | 1
01261 | Maize | 0

Note: Result=IFF(Landuse="Coffee",1,0) produces the same result but is longer and slower.

See also:

Map and Table calculation


How to calculate with undefineds in maps and tables

How to calculate

with undefineds in maps and tables

You might wish to:

  • test for undefined values, class names or IDs in maps or columns and assign those another value, class name or ID, or
  • assign undefined values, class names or IDs to certain existing values, classes or IDs.

Testing for undefineds:

To test for undefined values, use the ISUNDEF function. The ISUNDEF function tests whether a is undefined. Argument a can be the outcome of an expression or simply a map or column name. Below, the ISUNDEF function is combined with a conditional IFF.

Result1 = IFF (ISUNDEF(Landuse), "Mountains", Landuse)

Result2 = IFF (ISUNDEF(Population), 1000, Population)

First formula (on a domain Class map or column):

If a pixel in map Landuse is undefined, then class name "Mountains" is assigned to this pixel in map Result1; else the original class name is assigned. Same for fields in column Landuse.

Second formula (on a domain Value map or column):

If a pixel of map Population is undefined, then value 1000 is assigned to this pixel in map Result2; else the original population value is assigned. Same for fields in column Landuse.

Tip: You can also use the IFUNDEF function.

Assigning undefined values:

To assign undefined values, use a question mark when the output domain is a domain Value, and use a question mark in between double quotes when the output domain is a domain Class or ID.

Result3 = IFF(Landuse = "Mountains", "?", Landuse)

Result4 = IFF(Population = 1000, ?, Population)

Third formula (output domain Class or ID):

If a pixel in map Landuse has class name "Mountains", then undefined is assigned to this pixel in map Result3; else the original class name is assigned. Same for fields in column Landuse.

Fourth formula (output domain Value):

If a pixel in map Population has value 1000, then undefined is assigned to this pixel in map Result4; else the original Population value is assigned. Same for fields in column Landuse.

See also:

IFF

ISUNDEF

IFUNDEF

IFNOTUNDEF


How to calculate (advanced) ...

How to calculate (advanced) ... UP

a cross-section through the terrain

classified aspect map (using neighbourhood functions)

distances (using iterations)

flooded area and water volume after constructing a dam


How to calculate a cross-section through the terrain (advanced)

How to calculate a cross-section through the terrain

(Advanced)

This topic describes how you can make a cross-section through (a part of) your study area. In general, the procedure is as follows:

  1. Choose the location of the cross-section and make raster map which only shows the pixels of the cross-section.
    You can also screen-digitize one segment along which you want to obtain a cross-section.
  2. Convert the raster map to a points map, or convert the segment map to a point map.
  3. Open the point map as a table and perform a calculation on the point data so that for the coordinates of all points, the height information is retrieved from a DEM.
  4. Finally, make a graph to show the cross-section.

Choosing the location of the cross-section:

Open some satellite images and raster maps. You can use for instance the TMbands or the Geology or Landuse maps from the Cochabamba area. Furthermore, it is assumed that you already created a DEM from the area.

Column 165 in the Geology map seems to cover many different terrain units and is chosen as the line along which the cross-section should be made. To make a raster map showing the cross-section, use the formula:

crosssec = IFF(%C=165, Geology,?)

In this expression, you specify with %c the column number along which you want to obtain the geology class names.

Raster map crosssec only shows the geological classes along column 165; all other pixels of this map are undefined.

Convert the raster map to a point map:

Drag raster map crosssec from the Catalog to the Raster to Point operation in the Operation-list.

The Raster to Points dialog box appears:

  • Fill out the name of the output point map; you can use map name crosssec again as the extension of a point map (.MPP) is different from the extension of a raster map (.MPR).
  • Click the Show button.

The output point map will be calculated and displayed.

In the Display Options dialog box of the point map, accept the default representation and click on OK. The point map will appear on the screen.

(When you screen-digitized a segment along which you want to obtain the cross-section, use the Segments to Points operation. The operation extracts points at regular distances along the segment; you have to specify the distance between the subsequent point coordinates (e.g. 20m).)

Open the point map as a table and performing calculations in the point table:

To open the point map as a table, click point map crosssec in the Catalog with the right mouse button, and choose Open as table from the context-sensitive menu.

The table shows all points. Columns X and Y are the XY-coordinates of the points and column Name shows the geology class of each point.

 | Coordinate | Name
21 | ( 798770.00, 8090110.00) | Shales
22 | ( 798770.00, 8090090.00) | Shales
23 | ( 798770.00, 8090070.00) | Shales
24 | ( 798770.00, 8090050.00) | Shales
25 | ( 798770.00, 8090030.00) | Shales
26 | ( 798770.00, 8090010.00) | Shales

Now, make the command line visible by choosing the Command Line command from the View menu in the table window.

If you would like for instance to retrieve land use information for all points, i.e. to find out about the land use type at each point coordinate, you can type the following formula on the command line of the table window:

Landuse = MAPVALUE(Landuse,Coordinate)

For each XY-coordinate found in the Coordinate column in the point table, the land use class as found in raster map Landuse at that coordinate will be retrieved; this is stored in column Landuse. Accept the defaults in the Column Properties dialog box and click OK.

The new column is calculated and appears in the table.

 | Coordinate | Name | Landuse
629 | ( 798770.00, 8077950.00) | Lake deposits | Agriculture
630 | ( 798770.00, 8077930.00) | Lake deposits | Agriculture
631 | ( 798770.00, 8077910.00) | Lake deposits | Agriculture
632 | ( 798770.00, 8077890.00) | Lake deposits | Agriculture
633 | ( 798770.00, 8077870.00) | Lake deposits | Urban periphery
634 | ( 798770.00, 8077850.00) | Lake deposits | Urban periphery

In the same way, height information can be retrieved for each point coordinate. You can use the same MAPVALUE function, but this time you will information from raster map DEM:

Altitude = MAPVALUE(Dem,Coordinate)

For each XY-coordinate as found in column Coordinate, an elevation value is retrieved from the Digital Elevation Model (Dem). The output is written in column Altitude.

 | Coordinate | Name | Landuse | Altitude
21 | ( 798770.00, 8090110.00) | Shales | Grassland | 4260.0
22 | ( 798770.00, 8090090.00) | Shales | Grassland | 4257.8
23 | ( 798770.00, 8090070.00) | Shales | Grassland | 4256.7
24 | ( 798770.00, 8090050.00) | Shales | Grassland | 4254.4
25 | ( 798770.00, 8090030.00) | Shales | Grassland | 4253.0
26 | ( 798770.00, 8090010.00) | Shales | Grassland | 4252.7

Furthermore, you can see that the difference between each subsequent Y-coordinate is 20m; this is the pixel size of the original raster map from which you extracted the points.

To make a distance axis in kilometers for the graph, you can use the following expression:

Distance = %R * 20 / 1000

In this expression, %R are the record numbers; these are multiplied by 20m and divided by 1000. The answers are stored in column Distance.

 | Coordinate | Name | Landuse | Altitude | Distance
21 | ( 798770.00, 8090110.00) | Shales | Grassland | 4260.0 | 0.420
22 | ( 798770.00, 8090090.00) | Shales | Grassland | 4257.8 | 0.440
23 | ( 798770.00, 8090070.00) | Shales | Grassland | 4256.7 | 0.460
24 | ( 798770.00, 8090050.00) | Shales | Grassland | 4254.4 | 0.480
25 | ( 798770.00, 8090030.00) | Shales | Grassland | 4253.0 | 0.500
26 | ( 798770.00, 8090010.00) | Shales | Grassland | 4252.7 | 0.520

(When you screen-digitized a segment from which you extracted points, then multiply the record numbers with the distance value that you specified in the Segments to Points operation, and divide by 1000 if you want to obtain values in kilometers.)

Displaying the cross-section as a graph:

Now you can display the cross-section by making a graph which shows the relief values along the distance values. From the File menu in the table window, choose Create Graph.

The Create Graph dialog box appears:

  • For the X-axis, select: Distance.
  • For the Y-axis, select: Altitude.

Accept other defaults, click OK, and the graph is displayed on the screen.

In this case, you can also choose column Y for the X-axis of the graph, because the points were extracted along a column of a north-oriented raster map; in the point table you can see that X-coordinate values are constant and only Y-coordinate values change.

The graph shows the relief along the cross-section. The first point lies high in the mountains on an altitude of around 4300 m while the end of the cross-section is in a relatively flat area around 2500 m altitude.

See also:

Point functions

Coordinate functions


How to calculate classified aspect maps (advanced)

How to calculate a classified aspect map

(Advanced)

An aspect map shows to which side a slope is directed. A classified aspect map does not show the angle in radians or degrees but only a limited number of classes. To calculate an aspect map, refer to How to calculate an aspect map.

When you already calculated an aspect map, you can classify that map by creating a new representation value for the map, or by creating and applying a Group domain on it with the Slicing operation. For more information, refer to How to classify a map.

This topic deals with the direct calculation of a classified aspect map by using a neighbourhood function. Although the commands to use are rather simple, this topic is considered to be for advanced users because of the concepts of neighbourhood operations.

  1. Create a segment map with a value domain (it is advised to create a value domain Height). Digitize the contour lines and give the contour lines the height value they represent.
  2. To create an interpolated height map from segment contour lines: open the Operations menu in the Main window, choose Interpolation, then choose Contour Interpolation. The output map is a Digital Elevation Model (DEM). Keep in mind the pixel size that you are using.
  3. The DEM is used as the input map in a neighbourhood operation. In the neighbourhood function NBMINP, a pixel is assigned the position number of the lowest value of all neighbours in a moving window of 3 by 3 cells. The pixels in the moving window are coded as follows:

    4. 1 | 2 | 3
4 | 5 | 6
7 | 8 | 9

    The direction of the slope in the classified aspect map is found according the position of the neighbour with the lowest value:

    Pixel value | Direction
1 | NW
2 | N
3 | NE
4 | W
5 | Flat
6 | E
7 | SW
8 | S
9 | SE

  4. To calculate the classified aspect map, type in the command line of the Main window:

    5. ASPECT = NBMINP(DEM#)

    The output map contains values 1, 2, 3, ... 9.

As an example, part of a DEM and the corresponding pixels in the classified aspect map are displayed below.

DEM | ASPECT

See also:

Map calculation : neighbourhood operations & iterations

How to calculate an aspect map

How to calculate a slope map


How to calculate distances using iterations (advanced)

How to calculate distances using iterations

(Advanced)

A distance map shows the minimum distance towards user-specified source pixels, for instance to schools, to roads, etc. To obtain a distance map, refer to the operation Distance calculation.

This topic deals with the direct calculation of distance values by using iteration functions with propagation. As this requires quite some insight in the working of neighbourhood operations and iterations, it is considered a topic for advanced users.

You may calculate the distance from pixels in a map to one or more specified pixels. To do so you need to create a start map in which you find these specified pixels. It is recommended to assign the start pixels value 0, because the output map contains pixel values which are the sum of the distance between the two pixels and the value of the pixel in the start map.

The distance calculation in a neighbourhood operation uses a predefined filter NBDIS (alias %D). This is a 3 by 3 filter as shown below:

1.4 | 1 | 1.4
1 | 0 | 1
1.4 | 1 | 1.4

Preparation

To create the start map, you have to use the pixel editor.

Display the map showing the area in which you want to perform the distance calculation in a map window. In the map window, choose File, Create, Create Raster Map.

The Create Raster Map dialog box appears.

In the Create Raster Map dialog box:

  • Fill in the new map name (e.g. START);
  • Accept the default georeference which is the same as the georeference of the map displayed in the map window;
  • Select system domain Value; either accept the default value range and precision or make sure that the input value range is sufficient, i.e. wide enough, to contain the future output distance values; make sure that the precision is set to 0.1.
  • Then click OK.

The Pixel editor is opened. Zoom in on the area where the distance calculation should start. Use the left mouse button to select the pixels from which the distance calculation should start, while you hold down the Ctrl key of the keyboard. When the correct pixels are selected, assign these pixels value 0.

Leave the pixel editor: the map START has one or several defined pixels with value 0, the rest is undefined. Display the map START to force calculation.

START

Iteration with propagation

Now the actual distance calculation can be performed by performing an Iteration with propagation, until there are no changes appear anymore in any of the pixel values.

First, the NBDIS filter will be applied on the START map and results will be stored in a temporary map.

  1. To start the calculation, double-click the Iteration item in the Operation-list.

    2. The Iteration dialog box appears:

    • For Start Map, select START.
    • Type for the Expression:

      • NBMIN(START# + NBDIS)

      This means: Calculate for every neighbouring pixel the temporary distance to the nearest specified pixel in the start map; and store the results in output map TEMP.

    • Accept the default Until No changes as the Stop criterium;
    • Keep the option Propagation selected because then the new pixel value is immediately used in the calculation of the next pixel;
    • Type TEMP as the name of output raster map;
    • Select the Show check box;
    • Select the Defaults button, then accept the Value domain;
    • Then click OK.

    You may also type directly in the command line of the Main window:

    TEMP = MAPITERPROP(START, NBMIN(START# + NBDIS))

  2. The calculation starts, then the Display Options dialog box of the output map TEMP appears. Accept the default display options, the pixel values represent the nearest distance to the earlier specified pixel(s). The pixel size is not taken into account yet.

  3. Finally, to obtain distance values in meters, the temporary results have to be multiplied with the pixel size of the map. You can look up the pixel size of the map in the properties of the map; you can also type the following expression on the command line of the Main window:

    4. MAPDIS = (TEMP * PIXSIZE(START))

    TEMP | MAPDIS

    Map MAPDIS is the result of the distance calculation. The starting pixels have value 0. After the iterations with propagation, each pixel in map MAPDIS represents the shortest distance to the starting pixels.

You may combine steps 1, 2, and 3 by typing the following expression on the command line of the Main window:

DISTC = MAPITERPROP(NBMIN(START# + NBDIS * PIXSIZE(START))

This iteration expression however can be a time consuming one, especially when you use large maps.

See also:

Map calculation : neighbourhood operations & iterations


How to calculate flooded area and water volume (advanced)

How to calculate flooded area and water volume

after construction of a dam (example)

When a dam is constructed in a valley, an area upstream will be flooded up to a certain water level. To determine the exact area to be flooded you can use neighbourhood operations in ILWIS. Then, you can also calculate the volume of the water body.

Preparations

  1. The first step is determination of the dam site, dam altitude, freeboard and the designed water level h.
    In this example, the upper side of the dam will be at an altitude of 3360 m; the freeboard of the dam is 20 m; the actual water level will be at 3340 m altitude.

  2. A Digital Elevation Model (DEM) of the area should be available. For more information, see How to calculate a DEM.

  3. Then, make a raster map showing the exact location of the dam. To do so, start with displaying the DEM and use the pixel editor to create a new raster map. Choose in the menu of the map window File, Create, Create Raster Map.

    4. The Create Raster Map dialog box appears:

    • Fill in the new map name (e.g. DAM);
    • Choose the Georeference which is used in the DEM (accept the default);
    • Select the system Value domain; then click OK.

    The Pixel editor is opened. Zoom in on the area where you want to build the dam. Then select pixels which will form the dam in map DAM. The pixels indicating the dam should be properly 4-connected (see figures below). When pixels are only 8-connected, pixels at the opposite side of the dam are also used in the calculation later on.

    wrong: | correct:

    Use the left mouse button to select the pixels while you hold down the Ctrl key of the keyboard. When the correct pixels are selected, give the dam the value of the altitude of the top of the dam (in this example 3360).

  4. To combine the DEM and the raster map DAM, type on the command line of the Main window:

    5. DEMNEW = IFUNDEF(DAM,DEM, DAM)

    This means that if a pixel in map DAM is undefined, the value of the DEM is assigned, else the value given in map DAM. Thus the altitude of the dam (in this example 3360m) is included in the Digital Elevation Model.

    Display the output map DEMNEW to force calculation.

  5. To determine the area that will be flooded you need to create a map indicating one pixel in this area. Using neighbourhood operations this pixel acts as the starting point for the calculation. Use the pixel editor to create the new raster map.
    First, display map DEMNEW and choose File, Create, Create Raster Map from the menu in the map window.

    6. Then fill out the Create Raster Map dialog box:

    • In this example, type START for name of the new raster map;
    • Select the same georeference as was used in DEMNEW;
    • Select the system Bool domain.

    Select a pixel in the area which will be flooded, double-click this pixel and mark it 'True'.

    Leave the pixel editor: the map START has only one defined pixel, the rest is undefined.
    Display the map START to force calculation.

    Calculating the flooded area

  6. Now the actual calculation of the area can be performed. Iteration with propagation is used until there are no changes anymore in any of the pixel values. In this example, the upper side of the dam was at an altitude of 3360 m; the freeboard of the dam is 20 m; the actual water level is at 3340 m altitude.

    7. To start the calculation, double-click the Iteration item in the Operation-list.

    The Iteration dialog box appears:

    • For Start Map, select START.
    • Type for the Expression:

    IFF (DEMNEW > 3340, START, NBMAX(START#))

    This means: if the altitude in the new Digital Elevation Model is higher than 3340 m (the desired water level), then return the pixel values of raster map START (which are undefined). Else, assign the maximum value of the neighbouring pixels found in raster map START.
    In the first iteration there is only one starting pixel which is 'True'. Then in every next iteration, the neighbours of the True pixel(s) will be assigned True as will, as long as these pixels have an altitude less than 3340 m.

    • Accept the default Until No changes as the Stop criterium;
    • Keep the option Propagation selected because then the new pixel value is immediately used in the calculation of the next line;
    • Type FLOODED as the name of output raster map;
    • Select the Show check box;
    • Select the system Bool domain;
    • Then click OK.

  7. The calculation starts, then the Display Options dialog box of the output map FLOODED appears. Accept the default display options, the area which will be flooded appears on the screen (True values, other pixels are undefined).

  8. To find out the size of the flooded area you calculate a histogram by double clicking the Histogram item in the Operation-list; select map FLOODED. You can read the size of the area which is flooded (True) from the histogram table.

    9. Calculating the water volume

  9. The next step is the calculation of the volume of the water body.

    10. Therefore, you can Cross the newly calculated map FLOODED with map DEMNEW. The crossing of two value maps may be a relatively time consuming process.

    To reduce calculation time and the size of the output cross table, you can create another DEM which only shows the original height values of the area that will be flooded, while all other pixels have the undefined value. To do so, type the following expression on the command line of the Main window:

    DEMSMALL = IFF(FLOODED, DEMNEW, ?)

    This means that for the flooded area the values of the DEM will be used, while all other pixels are assigned the undefined value; these undefined values are not taken into account in the cross operation.

  10. To start the Cross operation, double-click Cross in the Operation-list.
    The Cross dialog box appears.
    • Select for the first map FLOODED;
    • Select for the second map DEMSMALL;
    • Type FLOODDAM as the name for the output cross table;
    • Select the Show check box.
    • Do not select the Output Map check box.
    • Click OK.

    The cross table is calculated and is displayed on the screen. It shows the combinations of input values of the map FLOODED and the map DEMSMALL, the number of pixels that occur for each combination and the area for each combination.

  11. In the cross table, you can calculate the water depths by subtracting the altitude given in column DEMSMALL from the planned water level (3340 m).
    Type the command line of the table window:

    12. DEPTH = 3340 - DEMSMALL

    Then calculate the volumes of the depths as follows:

    VOL = DEPTH * Area

    Finally, sum all volumes of all different water depths together. This can be done using the aggregation function AGGSUM.

    SUM = AGGSUM (VOL)

    Column SUM shows the total volume of water in cubic meters for the entire area which will be flooded after creating the dam.

See also:

Map calculation : neighbourhood operations & iterations


How to change

How to change ... UP

definition of dependent data objects

display options of layers in a map window (e.g. colors)

domain of a map

Operation-tree, Operation-list and Operations menu

properties of an object

working directory for ILWIS


How to change the definition of a dependent data object

How to change

the definition of a dependent data object

Dependent raster maps that are the result of a calculation with MapCalc and dependent columns that are the result of a calculation with TabCalc, have an editable definition. The formula or expression with which a dependent raster map (MapCalculate) or a dependent column (ColumnCalculate) is created, is stored in the object definition file of the object, can be viewed in the properties dialog box of the object and can also be changed there.

You can thus simply redo a calculation with a slightly different formula in the same map or the same column without the need of creating another new map or column.

You can only edit the definition of MapCalculate maps and ColumnCalculate columns; expressions of other dependent objects created by other operations (such as MapFilter, MapDistance, MapCross) cannot be edited. For maps created by an operation, the properties dialog box allows you to select another output domain, and in case of a value domain adjust the value range and precision with which values are to be stored for the output map.

To edit the definition a dependent raster map:

  • select one or more dependent raster maps in a Catalog,
  • press the right mouse button,
  • choose Properties from the context-sensitive menu,

or

  • select one or more dependent data objects in a Catalog,
  • open the Edit menu in the Main window,
  • choose Properties.

One or more Raster Map Properties sheet(s) will appear:

  • on the Raster Map tab,
  • click the button Edit Definition.

Subsequently, the Raster Map Definition dialog box appears in which you can change the expression by which the raster map is created, select a domain and in case of a value domain, specify the value range and precision with which the values in the output map should be stored. When you click the OK button, the raster map is redefined.

To edit the definition of a dependent column:

The table which contains the dependent columns should be displayed in a table window. Then,

  • double-click the column header (displaying the column name) of a dependent column,

or

  • from the Columns menu, choose Column Management, a dialog box appears in which all columns are listed, then
  • double-click a column in the list, or select a column in the list and click the Properties button.

A Column Properties dialog box will appear in which you can change the expression by which the column is created, select a domain and in case of a value domain, specify the value range and precision with which the values in the output column should be stored. When you click the OK button, the column is redefined and immediately recalculated.

See also:

Basic concepts : dependent data objects

Basic concepts : properties of objects

How to view and edit the properties of an object


How to change display options of layers in a map window

How to change display options

of layers in a map window

Before a raster, polygon, segment or point map (or grid lines, a graticule, a map list, or an annotation text layer) is displayed in a map window, you have to answer some questions on how this layer should be displayed in the map window: you have to specify the display options. Also, once one or more layers are displayed in a map window, you might want to change the display options of a certain layer.

To change general display options of a layer:

When a raster, polygon, segment, point map (maps with any domain), a map list, grid lines, a graticule, or an annotation text layer is displayed in a map window:

  • open the Layers menu in a map window, choose Display Options, and select a layer from the cascading menu, or
  • click the right mouse button in a map window, choose Display Options from the context-sensitive menu, and select a layer from the cascading menu, or
  • in the Layer Management pane of a map window, double-click a layer.

A Display Options dialog box follows in which you can change the colors of the layer, line width, etc.

To open the representation of a map displayed in a map window:

When a raster, polygon, segment, point map is displayed in a map window and when the domain (class or value) of the map uses a representation:

  • open the Edit menu in a map window, choose Representation, and select the layer of which you wish to change the colors, or
  • in the Layer Management pane of a map window, double-click the word 'Legend'.

Depending on the domain used by the selected map, the representation Class editor, or the representation Value/Gradual editor will be opened. For more information, see also Map window : Edit representation.

Tips:

  • When a map uses a system domain and a system representation, the representation cannot be edited. You can create a new, custom representation for the map through the map's Display Options dialog box.
  • For maps with a Bool domain, you can set the default colors for True and False through the Preferences command on the File menu of the Main window.

To change specific colors of an item in a map with a class domain:

When a raster, polygon, segment or point map is displayed in a map window, and when the map has a class domain:

  • in the Layer Management pane of a map window, double-click a class.

Additional information:

In the Layer Management pane, all layers are preceded by their icon:

raster maps,
polygon maps,
segment maps,
point maps,
map lists,
grid lines,
graticules,
annotation text layers.

Furthermore, in the Layer Management pane, layers are preceded by:

a marked check box when the layer is displayed,

an empty check box when a layer is hidden, and

when the Info check box has been selected in a map's Display Options dialog box.

See also:

How to use layers in a map window

Display options

Map window : Layer Management


How to change the domain of a map

This topic contains five sections to change the domain of a map:

  1. From system domain Value to a user-defined value domain
  2. From the Image domain to system domain Byte or to system domain Value
  3. From a Class domain to an ID domain or vice versa
  4. From a Picture domain to a Class domain
  5. From a Class or ID domain to another Class, ID, or to a value domain
  6. From a Class, ID or Value domain to the Color domain
  7. From the Color domain to the Image domain

1. From system domain Value to a user-defined value domain:

When a map uses system domain Value and when for instance in the map's Display Options dialog box you create a new representation for this domain, you can choose in the Create Representation dialog box whether a representation value or a representation gradual should be created.

A representation value shows boundary values in values. Advised for final maps, when you want to assign specific ranges of colors to specific ranges of values.
To create your own representation value for system domain Value:

  • in the map's Display Options dialog box, click the Create Representation button, and
  • in the subsequent Create Representation dialog box, CLEAR the Use Percentages check box.

A representation gradual shows boundary values in percentages. This may be fine for intermediate calculation results. All value maps can be displayed with a representation gradual; all system representations are representations gradual.
To create your own representation gradual for system domain Value:

  • in the map's Display Options dialog box, click the Create Representation button, and
  • in the subsequent Create Representation dialog box, select the Use Percentages check box.

However, when the values you are using refer to the same kind of values, with a specific meaning, are always in a certain range, and when these values should be represented by 'standard' colors, it is advised to create a user-defined value domain.

Subsequently, you can create your own representation value for your value domain, and edit your own default colors in this representation value. Then you can use your value domain with your default colors for all maps for which it is applicable.

To convert a map (e.g. Map1) with system domain Value to another map (e.g. Map2) with a user-defined value domain:

  • Type a simple MapCalc formula on the command line of the Main window, like:

    • Map2 = Map1

  • In the Raster Map Definition dialog box, check the minimum and maximum values as stated under Value Range and Precision which would be used for the output map if you would accept the default system domain Value again;
  • However, instead of accepting system domain Value in the Raster Map Definition dialog box, click the create domain button in the Raster Map Definition dialog box to create a new value domain;
  • In the appearing Create Domain dialog box, type a new name for your new value domain and select the [image] Value option button.

    Also, type the minimum and maximum values for the value range of this domain this new value domain and type a value for the precision. You can use the value range and precision as found in the Raster Map Definition dialog box; you may widen the value range and/or increase or decrease the precision. In any case, specify a value range and precision that fit the values in your map.

    Then, click the OK button in the Create Domain dialog box.

  • The Raster Map Definition dialog box will be activated again.
    The newly created domain appears in the Domain list box and the value range and precision as set for the user-defined value domain are listed. If you like, you can adapt the value range and precision for this specific output map.
    Then, click the OK button in the Raster Map Definition dialog box.

To create a user-defined representation value for your map (Map2) with the user-defined value domain:

  • Display Map2 and in the map's Display Options dialog box, click the create representation button. The Create Representation dialog box will appear: type a name and optionally a description for your new representation value.
    Click the OK button in the Create Representation dialog box.
  • The Representation Value editor will be opened and you can see that values of your domain are used for the limits, i.e. the boundary values.
    Insert limits, choose or create colors for each limit, specify whether to stretch colors in between limits or use the color of the upper or lower limit, and in case of stretching colors, specify the number of stretch steps.
  • When finished, click the OK button in the Display Options dialog box. You do not have to close the Representation Value editor window.
  • You can continue to edit your representation value, in the Representation Value editor and redrawing [image] the map in the map window.
  • When you already closed the Representation Value editor, you can open it again by selecting the Representation command from the Edit menu in the map window. Edit the representation value and redraw the map.
  • When you want to create another representation value for the map, choose Display Options from the Layers menu. In the appearing Display Options dialog box of the map, click the create representation button.

2. From domain Image to system domain Byte or to system domain Value:

To convert a map with system domain Image (values 0-255, no undefs):

  • to a map with system domain Byte (values 1-255, where value 0 means undefined) or
  • to a map with system domain Value (values 0-255 with the possibility of undefined values).

Use a very simple MapCalc statement; type on the command line something like:

mapval = mapimg

where mapimg is the name of your image and mapval is the name of the output map.

In the Raster Map Definition dialog box that follows directly after you typed the statement:

  • select system domain Byte, and accept the default minimum 1, default maximum 255, and default precision 1, or
  • select system domain Value, and specify minimum 0, maximum 255, precision 1.

3. From a Class domain to an ID domain or vice versa:

In some cases you may want to change from classes to IDs or vice versa.

  • In the Catalog, click a map with the right mouse button, and choose Properties. In the map's properties dialog box, check which domain the map is using.
  • In the Catalog, click the domain with the right mouse button, and choose Properties.
  • In the Domain Properties dialog box, click the button Convert to Classes or the button Convert to Identifiers.

Mind:

When converting classes to IDs, you should keep in mind that an ID domain does not use a representation.

4. From a Picture domain to a class domain:

After import, you may find that a raster map has a Picture domain. The colors of the map seem OK but when you want to perform calculations with this map, it is strongly advised to first convert the domain of the map from a Picture domain to a Class domain.

  • In the Catalog, click the raster map with the right mouse button, and choose Properties.
  • In the Raster Map Properties dialog box, check which Picture domain the map is using.
  • In the Catalog, click the Picture domain with the right mouse button, and choose Properties.
  • In the Domain Properties dialog box, click the button Convert to Classes.

The domain will contain as many classes as you had colors before. The classes will obtain default class names, like Class1, Class2, etc. In the domain Class/ID editor, you can change these default class names. The colors of the Picture domain will now be available in the representation of the Class domain.

5. From a Class or ID domain to another Class, or ID domain or to a value domain:

In short, you have to add a column with the correct domain to an attribute table of the original map and then you have to create an attribute map of the original map.

When your original map does not have an attribute table yet:

  • In the Catalog, click a map with the right mouse button, and choose Properties.
  • In the map's Properties dialog box, select the Attribute Table check box, and click the create button.
  • A table will be created with the same domain as the map and the table will be displayed in a table window.
  • Proceed with the section below.

When your original map already has an attribute table:

  • Add a column to the table and select for this column the correct domain.
  • Fill the column with values, classes or IDs as you like:
    • the domain of the table (gray) shows the current class names or IDs in your map;
    • the class names, IDs or values in your column represent the correct class names, IDs, or values that you want to assign to the map.
  • In the Catalog, click the map with the right mouse button and choose Raster Operations, Attribute Map (when you are working on a raster map) or Vector Operations, Attribute Map (when you are working on a polygon, segment or point map).
  • In the appearing dialog box Attribute map of Raster/Polygon/Segment/Point map,
    • the name of the map is already filled out,
    • the attribute table currently linked to this map is already filled out,
    • select the attribute column in which you filled out the correct class names, IDs, or values
    • fill out the rest of the dialog box, and click OK.

    The output map will by default use the same domain as the column you selected from the table.

For more information, see the Attribute map of raster map, Attribute map of polygon map, Attribute map of segment map, Attribute map of point map.

6. From a Class, ID, or Value domain to the Color domain:

To convert a raster map with a Class, ID or Value domain to system domain Color, type on the command line of the Main window:

OUTMAP = MAPCOLOR(InputMap)

To convert possible undefined values to color white, type subsequently on the command line of the Main window:

OUTMAP2 = IfUndef(InputMap, COLOR(255,255,255), OUTMAP)

If you like, you can of course combine these formulae into one formula:

OUTMAPCOL = IfUndef(InputMap, COLOR(255,255,255), MapColor(InputMap))

For more information on the MAPCOLOR or the COLOR functions, refer to Color functions.

7. From the Color domain to the Image domain:

When you have two scanned colored images with overlap and when you wish to show these as an anaglyph, you first have to transform the Color maps to maps which use the Image domain. You can use the Color Separation operation with the Intensity option to obtain maps with the Image domain.

  • Start the Color Separation operation,
  • choose one of the colored images as input;
  • choose the option Intensity;
  • specify an output map name.

The output raster map will be default use system domain Image.

Repeat these steps for the other scanned colored image.

Tip: Instead of using the Color Separation operation, you can also use the CLRINTENS function in a Map calculation formula, as in:

OUTMAP = CLRINTENS(InputMap)

where the input map must use the Color domain.

See also:

ILWIS objects : domains

ILWIS objects : representations


How to change the working or start up directory

How to change

the working or startup directory

When you start ILWIS, you find that the Catalog is located in a certain directory. When this is not the directory where your data is, you can change this startup directory as follows.

In ILWIS:

  • Close all Catalogs in the ILWIS Main window;
  • Open the File menu of the ILWIS Main window and choose Preferences;
  • In the Preferences, go to the Directories item, and for Default Startup Dir, type the path where ILWIS should start next time;
  • Click OK in the Preferences;
  • Close and reopen ILWIS.

Mind:

If you close ILWIS while any Catalogs are still open, these Catalogs will be reopened when you close and reopen ILWIS; thus overruling any specified startup directory.


How to classify a map or column

You can:

  1. Slice or classify a value map interactively;
  2. Slice or classify a value raster map permanently;
  3. Classify a value column permanently;
  4. Perform a multi-spectral image classification on satellite imagery.

1. To slice or classify a value map interactively:

  • Double-click a value map (raster, polygon or segment map) in the Catalog;
  • In the Display Options dialog box, click the create button [image] next to the Representation list box;
  • in the appearing Create Representation dialog box, type a name for the new representation but do not change the domain listed in this dialog box;
    • when the map is using the system domain Value, you will create a representation gradual, in which boundary values are represented by percentages;
    • when the map is using any other value domain, you will create a representation value in which boundary values are the actual values in your map;
  • Click OK in the Create Representation dialog box. The Representation Value/Gradual editor is opened;
  • Click OK in the Display Options dialog box of the map. The map is displayed in a map window;
  • Keep the map window open and switch to the editor.

Tip:

For maps which use system domain Value, only a representation gradual can be created which works on percentages. When you want to create a representation value (working on values) for such maps, you need to change the domain of the map from system domain Value to a user-defined value domain. For more information, see How to change the domain of a map.

  • In the Representation Value/Gradual editor, you can add limits, assign colors to the limits, and choose to stretch in between limits or use the colors of upper or lower boundaries (slices);
    • to insert a limit: choose Insert Limit from the Edit menu or press Ins on the keyboard; in the appearing Insert Limit dialog box, type a value for the upper boundary of a slice, e.g. 100 and assign a color to this limit;
    • double-click a number of times in between two limits, and decide whether the color(s) of the values in between these two limits in the map should be stretched or should use the color of the upper limit or the lower limit;
    • double-click an existing limit to change its boundary value or its color;
    • the color bar at the bottom of the editor gives an impression of how your total representation looks like;
  • When finished adding limits, keep the Representation editor open, and switch to the map window;
  • In the map window, click the Redraw button [image] in the toolbar. The map will be displayed in the colors you just defined;
  • Keep the map window open and switch to the representation editor.
  • Continue to edit boundary values and/or colors in the Representation Value/Gradual editor, and redrawing the map window until satisfied.

For more information, see also ILWIS objects : representations, Representation Value/Gradual editor or How to slice an image.

2. To classify a raster map with a value domain permanently:

  • You can first try the interactive method;
  • Create a domain Group (Main window, File, Create) in which you fill in the upper boundaries and the output class/group names. For more information, see How to create a Group domain.
    Optionally, you can edit the representation for this domain, by choosing the Representation command from the Edit menu in the domain editor.
  • Then, in the Main window, open the Operations menu, choose Image Processing, Slicing or use the CLFY function on the command line of the Main window or in a MapCalc dialog box. For more information, see the Slicing operation or Map calculation : classifying a map (CLFY).
  • Display the output raster map in a map window.
  • You can edit the representation of the map by choosing the Representation command from the Edit menu in the map window. Redraw [image] the map in the map window.

To edit the representation of the classified map:

  • In the map window, open the Edit menu and choose Representation;
  • The Representation Class editor is opened: edit the colors of the classes as you wish;
  • Keep the editor open and switch to the map window;
  • In the map window, click the Redraw [image] button.

You can continue switching to the Representation editor and back to the map window to redraw the map until satisfied.

To change the boundary values on second thought:

  • You may keep the map window open;
  • In the map window, open the Edit menu and choose Domain;
  • The Domain Class/ID/Group editor is opened: edit the boundary values of the groups, insert more groups, etc.;
  • In the map window, open the Edit menu and choose Properties;
  • In the appearing Properties dialog box, click the Make Up-to-Date button;
  • a message appears asking for confirmation to recalculate the map, click OK;
  • when the calculation has finished, click the Redraw [image] button in the map window.

3. To classify a column with a value domain:

You can choose to work via a dialog box or via the command line of the table window.

When you wish to work through a dialog box:

  • choose Column Slicing from the Columns menu in the table window;
  • the Column Slicing dialog box will appear;
  • you can create a domain Group which contains upper boundary values and output class names via the dialog box.

When you wish to type a formula on the command line:

  • create a domain Group in which you fill in the upper boundaries and the output class/group names;
  • use the CLFY function on the command line in a table window:

    • OutputColumn = CLFY(InputColumn, GroupDomain)

For more information, see Map & Table calculation : CLFY function.

4. To perform a multi-spectral image classification on satellite imagery:

  • create a sample set of the bands with Sample, and the Sample Set editor;
  • open the Operations menu, choose Image Processing, Classify.

For more information, see Sample, Sample Set editor, and Classify.


How to copy objects

To copy one or more objects to another directory, you can use one of the methods described below.

Mind: It is strongly discouraged to copy, delete or rename files using Windows Explorer or DOS.

Using the Copy Object To dialog box:

To copy a single object to another name or to another directory:

  • select an object in the Catalog, and
  • choose the Copy To command from the Edit menu.

The Copy Object To dialog box will appear. You may need to answer some additional Copy questions in case you are copying a dependent map to another directory or when the object to be copied already exists in the destination directory.

When you use the Copy Object To dialog box, you can only copy one object at a time.

Using drag and drop between two Catalogs:

By opening two Catalogs, you can drag and drop multiple objects between the Catalogs to copy the object(s).

  1. To open another Catalog:
    • click a [image] directory in the Navigator with the right mouse button, and choose New Catalog from the context-sensitive menu, or
    • click the New Catalog [image] button in the toolbar of the Main window, and select a destination directory; this will be shown in the new Catalog, or
    • click a [image] directory in the current Catalog with the right mouse button, and choose Open from the context-sensitive menu.

  2. To copy objects between Catalogs:
    • select one or more objects in the original Catalog,
    • drag the selected object(s) to the destination Catalog,
    • answer additional Copy questions in case you are copying dependent maps or when the objects to be copied already exist in the destination directory.

When you use drag and drop, you can copy multiple objects simultaneously.

Tip: You can also drag the selected objects to a destination directory listed in the Navigator.

Using copy and paste:

To copy objects you can also use the Copy and Paste commands on a context-sensitive menu or on the Edit menu of the Main window.

  1. To Copy:
    • select one or more objects in your original Catalog,
    • either click the selection with the right mouse button, and choose Copy from the context-sensitive menu, or
    • choose Copy from the Edit menu in the Main window, or
    • press the Ctrl+C keys on the keyboard.

  2. Optionally, open a destination directory in a new Catalog or in the current Catalog:
    • click a destination directory in the Navigator with the right mouse button, and choose New Catalog from the context-sensitive menu;
      the contents of the selected directory will be shown in a new Catalog, or
    • click a destination directory in the Navigator;
      the contents of the selected directory will be shown in the current Catalog.
  3. To Paste:
    • click a destination directory in the Navigator with the right mouse button, and choose Paste from the context-sensitive menu, or
    • click in the white space of the destination Catalog with the right mouse button, and choose Paste from the context-sensitive menu, or
    • make the destination Catalog active, and choose Paste from the Edit menu in the Main window, or
    • make the destination Catalog active, and press the Ctrl+V keys on the keyboard.

When you use Copy and Paste, you can copy multiple objects simultaneously.

Using the command line:

Use the command line in the Main window. For more information, see Appendices : ILWIS script language (syntax).

See also:

New Catalog

Basic concepts : drag and drop

How to drag and drop

How to delete objects


How to create

How to create ... UP

3D views

aspect maps

attribute maps

attribute tables

color composites

columns in a table

coordinate systems

Digital Elevation Models

domains

domain Group

georeferences

linear filters

map lists

objects

orthophoto

point maps

polygon maps

raster maps

representations

sample sets for image classification

scripts

segment maps

slope maps

tables

two-dimensional tables

user-defined functions


How to create 3D views

How to create a 3D view

To obtain a 3D view of your study area, you first of all need a Digital Elevation Model (DEM). For more information on creating DEMs, see How to calculate a DEM. Then you can to construct a 3D view by creating a georeference 3D with the georeference 3D editor. The process is shortly described below.

To start the Display 3D operation:

  • select Visualization, Display 3D from the Operations menu in the Main window, or
  • double-click the Display 3D item in the Operation-list.

The Display 3D dialog box appears.

In the Display 3D dialog box:

  • select an existing georef3D from the drop-down list, or
  • click the create button to create a new georeference 3D (a dialog box follows in which you have to specify the name of the DEM, then you return to this dialog box).

The Display Options - 3D Grid box appears.

(When you already have a georeference 3D, you can open it by double-clicking it in the Catalog, or in the Catalog, click the georeference 3D with the right mouse button, and choose Open from the context-sensitive menu. The Display Options - 3D Grid box appears.)

In the Display Options - 3D Grid dialog box, you can specify how the 3D view should be displayed:

  • using 3D grid lines in X and Y directions,
  • using a raster map (satellite image, thematic map, scanned photograph) draped over your height values,
  • using both a raster map draped over your height values, and 3D grid lines.

The DEM is displayed in three dimensions in a map window.

To modify the 3D view (i.e. the georeference 3D):

  • choose Georeference from the Edit menu in the map window.

The Georeference 3D editor is opened.

The Georeference 3D editor mainly consists of one large Georeference 3D dialog box in which you can specify parameters (altitude, rotation, distance, vertical exaggeration, etc.) to define the perspective of the observer in relation to the 3D model. Some examples of the effects of changing parameters in the dialog box are presented in Georeference 3D editor : functionality.

When finished editing the 3D view, you can exit the editor and return to the map window. If you like, you can add any other vector map or annotation to this map window. You can save the 3D view in the map window as a map view.

To permanently apply a georeference 3D to a raster map, use the Apply 3D operation.

See also:

Georeference 3D editor

How to display Digital Elevation Models


How to create attribute maps

In ILWIS for Windows, you can create attribute maps of raster maps, polygon maps, segment maps and point maps. The original maps have a Class or ID domain. An attribute table is usually linked to the map or to the domain of the map. The table uses the same domain as the map and stores additional information for each class or ID in the map in attribute columns. For more information on creating an attribute table, see How to create an attribute table.

By creating an attribute map, every original class name or ID in the map is replaced by an attribute value, class or ID as found in an attribute column in the attribute table; the geometry of the original map remains.

Example:

In this example, an attribute map is created for the acreage of cash crops (ha).

Input map: | Input attribute table:
Output attribute map: |

There are two general methods to obtain an attribute map:

  • Open the map which has an attribute table: in the Display Options dialog box of the map, select the Attribute check box and select an attribute column from the attribute table. This results in a 'temporary' attribute map displayed in a map window. For more information, refer to How to display a map by one of its attributes.
  • Perform one of the Attribute Map operations on a map that has an attribute table. This results in a 'permanent' attribute map stored on disk. Methods to access the Attribute Map operations are described below. When you edit the attribute table and change attribute values, you can make the output attribute map up-to-date by clicking the Make Up-to-Date button in the Properties dialog box of the output attribute map.

Attribute Map of a Polygon Map operation

By creating an attribute map, each polygon class name or ID in the original map is replaced by the value, class name or ID found in a certain column in the attribute table.

To create an attribute map of a polygon map:

  • from the Operations menu in the Main window, choose Vector Operations and select Polygons, Attribute Map, or
  • in the Operation-tree, open the Vector Operations, Polygons item, and double-click the Attribute Map of Polygon Map item, or
  • in the Operation-list, double-click the Attribute Map of Polygon Map item, or
  • in the Catalog, click a polygon map with the right mouse button, and select Vector Operations, Attribute Map from the context-sensitive menu.

The Attribute Map of Polygon Map dialog box appears.

Attribute Map of a Segment Map operation

By creating an attribute map, each segment class name or ID in the original map is replaced by the value, class name or ID found in a certain column in the attribute table.

To create a attribute map of a segment map:

  • from the Operations menu in the Main window, choose Vector Operations and select Segments, Attribute Map, or
  • in the Operation-tree, open the Vector Operations, Segments item, and double-click the Attribute Map of Segment Map item, or
  • in the Operation-list, double-click the Attribute Map of Segment Map item, or
  • in the Catalog, click a segment map with the right mouse button, and select Vector Operations, Attribute Map from the context-sensitive menu.

The Attribute Map of Segment Map dialog box appears.

Attribute Map of a Point Map operation

By creating an attribute map, each point class name or ID in the original map is replaced by the value, class name or ID found in a certain column in the attribute table.

To create a attribute map of a point map:

  • from the Operations menu in the Main window, choose Vector Operations and select Points, Attribute Map, or
  • in the Operation-tree, open the Vector Operations, Points item, and double-click the Attribute Map of Point Map item, or
  • in the Operation-list, double-click the Attribute Map of Point Map item, or
  • in the Catalog, click a point map with the right mouse button, and select Vector Operations, Attribute Map from the context-sensitive menu.

The Attribute Map of Point Map dialog box appears.

Attribute Map of a Raster Map operation

By creating an attribute map, each class name or ID of the pixels in the original map is replaced by the value, class name or ID found in a certain column in the attribute table.

To create an attribute map of a raster map:

  • from the Operations menu in the Main window, choose Raster Operations and select Attribute map, or
  • in the Operation-tree, open the Raster Operations item, and double-click the Attribute Map of Raster Map item, or
  • in the Operation-list, double-click the Attribute Map of Raster Map item, or
  • in the Catalog, click a raster map with the right mouse button, and select Raster Operations, Attribute Map from the context-sensitive menu.

The Attribute Map of Raster Map: dialog box appears.

Tip:

The colors in which an attribute map is displayed, depend on the domain of the specified attribute column:

  • If you used a domain Value attribute column, you can either select one of the standard value representations or create your own representation by clicking the create button in the Display Options dialog box which appears when you display the attribute map.
  • If you used a domain Class attribute column and this domain already has a user-defined representation, then this representation is automatically selected in the Display Options dialog box which appears when you display the attribute map. In the Display Options dialog box, you can also select another existing representation or create a new representation by clicking the create button.

For more information, refer to the Display Options dialog boxes.

See also:

Attribute map of raster map

Attribute map of polygon map

Attribute map of segment map

Attribute map of point map


How to create tables

How to create a table

How to create an attribute table

To create a table:

  • open the File menu in the Main window, choose Create Table,
  • in the Operation-tree, open the Create item, and double-click the New Table item, or
  • in the Operation-list, and double-click the New Table item.

The Create Table dialog box appears.

To create an attribute table:

There are several possibilities to create an attribute table:

  1. You can open the properties of a point, segment, polygon or raster map, and select the Attribute check box. Select an existing table (only tables with the same domain as the map are shown) or create a new table by clicking the create button. Properties of maps can only be edited when the map is not read-only.
  2. Another way to create an attribute table is to open the properties of a class domain or an identifier domain and select the Attribute check box. Select an existing table (only tables with this domain are shown) or create a new table by clicking the create button. Properties of domains can only be edited when the domain is not read-only.
  3. When you use the Create Table command from a File menu, then select for the domain of the table the same domain as is used by the map to which the attribute table should refer; this must be a class domain or an identifier domain.

See also:

Basic concepts : attribute tables

ILWIS objects : tables

Create Table (dialog box)

How to view and edit the properties of an object


How to create color composites

How to create a color composite

A color composite is created by combining three raster images (bands/maps). One map is displayed in shades of red, one in shades of green and one in shades of blue. Putting the three bands together in one color composite can give a better visual impression of the reality on the ground, than displaying one band at a time.

There are three types of color composites: natural color composites, pseudo natural color composites and false color composites. Natural color composites are made of the green, blue and red part of the spectrum. This results in an image with realistic colors. A pseudo color composite is created with other parts of the spectrum, but the result has natural looking colors. In false color composites the colors in the image are not the same as in reality: for instance, healthy vegetation is red and urban areas are blue.

In ILWIS, there are two ways in which you can display or create a color composite:

  • by showing a map list as a color composite; the resulting color composite is displayed in a map window (interactive color composite), and
  • by using the Color composite operation; the resulting color composite is stored as a raster map on disk (permanent color composite).

Interactive color composites:

An interactive color composite can be created when your graphics board is configured to use more than 256 colors, for instance High Color 16-bit, or True Color 24-bit (see Display Settings in Windows' Control Panel).

To obtain an interactive color composite:

  • from the Operations menu in the Main Window, choose Visualization, Show Map List as Color Composite,
  • in the Operation-tree, open the Visualization item, open the Show Map List item, and double-click the Color Composite item, or
  • in the Operation-list, double-click the [image] ColorComp item.

When you use one of these methods, first the Show Map List as Color Composite dialog box will appear: you have to select a map list. After you selected a map list, the Display Options Map List as Color Composite dialog box will appear, see below.

To obtain an interactive color composite, you can also:

  • open a map list by double-clicking it in a Catalog, then click the Show as Color Composite button [image] in the map list editor;
  • use the right mouse button on a map list in a Catalog and select Visualization, as Color Composite from the context-sensitive menu.

The Display Options - Map List as Color Composite dialog box will appear:

  • select three raster maps (domain Image or a value domain) from the map list, which should be displayed in Red, Green and Blue;
    if you wish you can also display bands in Yellow, Magenta, Cyan (YMC) or as Hue, Saturation, Intensity (HSI);
  • for each map, specify the stretch range.

The interactive color composite will be displayed in a map window.

You can easily change intervals, select other bands, etc. by changing the display options of the map list:

  • double-click the map list in the Layer Management pane of the map window,
  • open the Layers menu in the map window, choose Display Options and select the map list, or
  • use the right mouse button in the map window and select the map list from the context-sensitive menu.

To save an interactive color composite, save the contents of the map window as a map view. Open the File menu in the map window and choose the Save View command.

Permanent color composites:

The output of the Color composite operation is stored as a raster map on disk.

To create a permanent color composite:

  • from the Operations menu in the Main Window, choose Image Processing, Color Composite, or
  • in the Operation-tree, open the Image Processing item, and double-click the [image] ColorComp operation, or
  • in the Operation-list, double-click the [image] ColorComp operation, or
  • drag an image from a Catalog to the [image] ColorComp operation in the Operation-tree or Operation-list.

The Color Composite dialog box appears:

  • select three raster maps (only domain Image allowed) which should be displayed in Red, Green and Blue.
  • specify the type of color composite which you want to create:
    • standard color composite: choose between linear stretching (values or percentage intervals) and histogram equalization,
    • dynamic color composite: specify the number of output colors,
    • 24-bit color composite (when your graphics board is configured to use more than 256 colors): choose between linear stretching (values or percentage intervals), histogram equalization or use instead of images, Hue, Saturation and Intensity bands as input.

See also:

Show map list as color composite

Color composite (operation)


How to create coordinate systems

How to create ...

a coordinate system

A coordinate system is a service object for point, segment and polygon maps, and for georeferences of raster maps.

A coordinate system contains information on the kind of coordinates you are using in your maps; you may for instance use user-defined coordinates, coordinates defined by a national standard or coordinates of a certain UTM zone. A coordinate system defines the possible XY- or LatLon-coordinates that can be used in your maps. It is advised to use one coordinate system for all your maps.

To create a coordinate system:

  • select the Create Coordinate System command on the File menu of the Main window, or
  • in the Operation-tree, open the Create item, and double-click the New CrdSys item,
  • in the Operation-list, double-click the New CrdSys command, or
  • click the create coordinate system button [image] in the dialog box when creating a point, segment or polygon map, or a georeference.

The Create Coordinate System dialog box appears.

See also:

ILWIS objects : coordinate system


How to create domains

How to create a domain

A domain is a set of class names, IDs, or values that can be used in a certain data object. All ILWIS data objects have a domain. One domain can be used for several data objects.

To create a domain:

  • from the File menu in the Main window, choose the Create Domain command,
  • in the Operation-tree, open the Create item, and double-click the New Domain item,
  • in the Operation-list, double-click the New Domain item, or
  • in a dialog box which asks for a domain as input or output, click the little create button [image] next to the Domain list box.

In the Create Domain dialog box which follows, you have to specify the type of domain you want to create:

  • select Class when the elements in the map are points, lines or areas with class names. Elements with the same name can occur in several places in the map;

  • select ID when the elements in the map are points, lines or areas which are uniquely identified;

  • select Value when the elements in the map are points, lines or areas representing measurable values;

  • select Bool when the elements in the map can only have 2 possible values, e.g. "Suitable" or "Not Suitable", or the undefined value;

  • select check box Group to indicate upper value boundaries and group names for a subsequent Slicing operation of when you want to use the CLFY function in MapCalc to permanently slice or classify values in an existing value map.

When creating a Class or ID domain, the Domain Class/ID editor will be opened. In the Domain Class/ID editor, you can add the class names or the IDs that you want to use to the domain but you can also add class names or IDs to the domain later on, for instance during digitizing.

Note:

  • Within Names of classes or IDs, any characters may be used, except percentages %.
  • Within Codes of classes or IDs, any characters may be used, except colons : and percentages %.

When creating a Value domain, you can directly define in the Create Domain dialog box what values should be stored by the domain: specify a minimum and maximum value and a precision.

When creating a Bool domain, the Edit Bool domain dialog will be opened, where you can specify user-defined strings for True and False values.

Tip:

When working with maps of different years but of the same theme, or containing the same class names, IDs, or values, you are advised to create one domain for these maps and use this domain for all maps. It is not necessary that every class name, every ID or every value in your domain actually occurs in each map which uses that domain.

Representations:

Representations are linked to a domain. This means that when you use the same domain in several maps, these maps can easily be displayed in the same colors. ID domains do not have a representation.

When you create a new class domain, a new representation class is automatically created with the same name as the class domain. This representation will be used as the default representation for the domain and the representation will initially be filled with default colors.

One way to view and/or edit the representation of a class domain is:

  • Open the class domain by double-clicking it in the Catalog,
  • From the Edit menu in the Domain Class editor, select Representation;
  • The Representation Class editor is opened.

For more information, see Representation Class editor and How to edit a representation.

When you create a new value domain, a representation value is not automatically created. Instead, system representation Pseudo will be linked to this domain as the default representation.

Two methods to create and/or edit your own representation for a value domain are:

  • Double-click a value map in the Catalog;
  • In the Display Options dialog box of the map, click the create button [image] next to the Representation list box;
  • After you specified a name for the new representation in the Create Representation dialog box, the Representation Value/Gradual editor is opened;

or

  • Click the value domain with the right mouse button in the Catalog;
  • Select Properties from the context-sensitive menu;
  • In the Properties dialog box of the domain, click the create button next to the Representation list box;
  • After you specified a name for the new representation in the Create Representation dialog box, the Representation Value/Gradual editor is opened;

For more information, see Representation Value/Gradual editor and How to create a representation.

See also:

How to edit a domain

ILWIS objects : domains

How to create a domain Group


How to create domain Group

How to create a domain Group

A group domain is used:

  • to permanently classify or slice a map with a value domain, or
  • to classify values in a column.

A domain Group lists the upper value boundaries of the groups and the output group names. For ILWIS 1.4 users: a group domain acts as a classify table.

Tip:

To interactively slice an image or to interactively classify a map, you can create a new representation value or gradual. For more information, see How to slice an image and How to classify a map.

To create a group domain:

  • from the File menu in the Main window, choose the Create Domain command, or
  • in the Operation-list, double-click the New Domain item.

In the Create Domain dialog box which follows:

  • select the Class option, and
  • select the Group check box.

The Domain Group editor is opened:

  • Add groups to the domain by selecting Add Item from the Edit menu, or by pressing the Ins key on the keyboard;
  • In the appearing Add Domain Item dialog box, specify the upper boundary value for this group, the output group name, and optionally a code for the output group name.

Note:

  • In output group names, any characters may be used, except percentages %.
  • In codes for output groups, any characters may be used, except colons : and percentages %.

Example:

To slice or classify a map with slope values that range from 0 to 200% into 5 relief classes as Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO), the following domain Group can be created:

Upper Boundary | Group Name
2 | Flat
8 | Undulating
16 | Rolling
30 | Hilly
200 | Mountainous

To apply the group domain:

To classify values in a map, use the Slicing operation or use the CLFY function in MapCalc. The operation and the function produce the same results.

To classify values in a column, use the CLFY function in TabCalc.

For more information, see How to classify a map or column.

To edit the representation of (a map with) a group domain:

When you create a group domain, also a representation is created with the same name as the domain. You can edit the colors of the output groups, i.e. classes, by choosing Representation from the Edit menu in the domain editor, or by opening the representation from the Catalog.

When you have displayed your output raster map in a map window, you can also choose the Representation command from the Edit menu in the map window:

  • The Representation Class editor is opened;
  • Modify the colors of the output classes;
  • Keep the editor window open and switch to the map window;
  • In the map window, press the Redraw button [image];
  • Switch to the Representation Class editor and continue to modify colors;
  • Switch to the map window to redraw the map, until satisfied.

See also:

Map calculation : classifying a map

How to classify a map or column

Slicing


How to create georeferences

How to create a georeference

A georeference stores the relation between rows and columns of a raster map (row,col) and real world coordinates (X,Y) or (X,Y,Z). A georeference is needed for raster maps. A georeference uses a coordinate system.

It is advised that raster maps of the same area use the same georeference, because raster operations in which raster maps are combined will only make sense if the pixels in the maps refer to the same area on the ground.

There are basically five types of georeferences:

  • georeference corners: a North-oriented georeference to be used during rasterization of vector data or as the North-oriented georeference to which you want to resample maps;
  • georeference tiepoints: a non-North-oriented georeference to add coordinates to a satellite image or to a scanned photograph, a scanned map, etc. without using a DTM;
  • georeference direct linear: to add coordinates to a scanned photograph while using a DTM;
  • georeference orthophoto: to add coordinates to a scanned photograph while using a DTM and camera parameters;
  • georeference 3D: to create a three dimensional view of maps.

General ways to create a georeference:

To create any kind of georeference, you can:

  • open the File menu of the Main window and choose Create Georeference, or
  • open the Create item in the Operation-tree, and double-click the New Georef item,
  • double-click the New Georef item in the Operation-list.

The Create Georeference dialog box will appear. You can create a georef corners, a georef tiepoints, a georef direct linear, a georef orthophoto or a georef 3D.

When an image, a scanned map or a scanned photograph is displayed in a map window, you can open the File menu in the map window, choose Create Georeference. The Create Georeference (in map window) dialog box will appear. You can create a georef tiepoints, a georef direct linear or a georef orthophoto.

Finally, also through the Edit Properties dialog box of a raster map, you create a new georeference by clicking the create georeference button. The Create Georeference (through Properties) dialog box will appear. You can create a georef corners, a georef tiepoints, a georef direct linear or a georef orthophoto.

For more information, see How to view and edit the properties of an object.

To create a georeference corners during a Rasterize operation:

When rasterizing vector maps, you can directly create a georeference corners for the output raster map by clicking the create georeference button [image] in the dialog box of the Rasterize operation. The Create Georeference (during Rasterize) dialog box appears in which you can specify the pixel size and the boundaries of the map.

When rasterizing maps of the same area, it is usually sufficient to only once create a georeference corners; for the other maps to be rasterized, select this same georeference.

To add tiepoints to an image, a scanned photograph or a scanned map:

To add tiepoints to a satellite image, a scanned photograph or a scanned map, first display the image, photo or map in a map window. Then, open the File menu in the map window, and choose the Create Georeference. The Create Georeference (in map window) dialog box appears.

Choose whether you want to create a georef tiepoints, a georef direct linear or a georef orthophoto.

In case of creating a georef tiepoints or a georef direct linear, the Tiepoint editor will be opened.

In case of creating a georef orthophoto, first the Locate Fiducial Marks dialog box will be opened in which you can specify the principle distance of the camera and in which you can reference the fiducial marks of the scanned aerial photograph. After that, the Tiepoint editor will be opened.

In the Tiepoint editor, you can insert tiepoints, also called ground control points, which establish relationships between the map pixels (row,col) and XY- or XYZ-coordinates.

Tip:

When you want to use a created georef tiepoints for all bands of a satellite image: after you have finished adding tiepoints to a background map in the Tiepoint editor, you have to add the created georef tiepoints to all other bands. This can be done by opening the Properties dialog boxes of the other bands, click the Edit Properties button, then select the correct georef tiepoints.

For more information and tips, refer to the Create Georeference dialog boxes mentioned above or to How to add coordinates to a satellite image, How to screen digitize, How to monoplot, How to create an orthophoto.

To create a georeference 3D:

To obtain a three-dimensional view of your study area:

  • select Visualization, Display 3D on the Operations menu in the Main window, or
  • open the Visualization item in the Operation-tree, and double-click the Display 3D item,
  • double-click the Display 3D item in the Operation-list.

In the appearing Display 3D dialog box, click the create georeference button [image].

The Create Georeference 3D dialog box appears.

Then, after the Display Options 3D Grid dialog box in which you can specify whether you want to see your 3D view with grid lines with or without a raster map drape, a map window is opened with an initial georeference 3D.

To modify the 3D parameters, select Georeference from the Edit menu in the map window and the Georeference 3D editor is started. Change the 3D parameters as you wish and exit the editor. The last set of parameters is stored in the georeference 3D.

The 3D view is displayed in a map window. If you like, you can add any other vector map or annotation to this map window. You can save the 3D view in the map window as a map view. To permanently apply a georeference 3D to a raster map, use the Apply 3D operation.

For more information, see How to create 3D views.

See also:

ILWIS objects : georeferences

Georeference Tiepoints editor

Georeference 3D editor


How to create linear filters

Filtering is a process in which each pixel value in a raster map is replaced with a new value. The new value is obtained by applying a certain function to each input pixel and the neighborhood.

Linear filters use a linear combination of all pixels in a rectangle around the input pixel. They can have a user-defined size; further, you may wish to insert your own values in the matrix and determine your own gain value.

To create a user-defined linear filters:

  • from the File menu in the Main window, choose Create Filter,
  • in the Operation-tree, open the Create item, and double-click the NewFilter item,
  • in the Operation-list, double-click the NewFilter item, or
  • click the create button [image] in the dialog box of the Filter operation.

The Create Filter dialog box appears in which you can define the size of the filter. Subsequently, you can enter the values of the cells in the filter in the Filter editor.

Tip:

The Average filter, Majority filters, Median filters, the Pattern filter, Rank Order filters, and the Standard Deviation filter may have a user-defined size, rank or threshold. These filters can be modified Filter : dialog box; they can also be defined on the command line.

See also:

ILWIS objects : filters

Filter editor

Filter : functionality

Filter : dialog box

Filters : linear filters


How to create map lists

How to create a map list

A map list is a set of raster maps, for example the bands of a satellite image. All raster maps in a map list must have the same domain and georeference.

To create a map list:

  • from the File menu in the Main window, choose the Create Map List command, or
  • in the Operation-tree, open the Create item, and double-click the New MapList item, or
  • in the Operation-list, double-click the New MapList item, or
  • in a dialog box which requires a map list as input, click the little create button [image] next to a Map List list box.

In the Create Map List dialog box which follows, all raster maps in the current directory are listed. Select the maps that should be included in the map list.

To select two or more maps in sequence:

  • click the first raster map you want to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last raster map you want to select,
  • then release the left mouse button;

or

  • click the first raster map you want to select,
  • press and hold down the Shift key while you click the last raster map in the group.

To select two or more maps out of sequence:

  • press and hold down the Ctrl key while you click each raster map.

To cancel a selected map:

  • press and hold down the Ctrl key while you click a selected raster map.

Be sure that the selected maps have the same domain and georeference.

See also:

ILWIS objects : map lists


How to create orthophoto

How to create an orthophoto

An orthophoto is a rectified (North-oriented raster map with square pixels) scanned photogrammetric aerial photograph with corrections for tilt and relief displacement. An orthophoto is obtained by resampling a photograph which has a georef orthophoto to a georef corners.

Requirements:

  • a scanned photogrammetric aerial photograph on which you can distinguish 2, 3, or 4 fiducial marks;
  • known principal distance of the photogrammetric camera;
  • Digital Terrain Model (DTM) of the area.

1. Creating a georef orthophoto:

You need to create a georeference orthophoto for the scanned photograph.

The process is described in topic How to monoplot, steps 1 - 4.

Tip:

For a correct behaviour of a georef orthophoto, it is essential that you have marked the 'Interpolation' check box in the Properties dialog box of your DTM raster map. For more information, refer to the Raster Map Properties dialog box.

When finished creating and editing a georef orthophoto, leave the Tiepoint editor and close the map window as well.

2. Resampling the scanned photo:

Once you have a georeference orthophoto for your scanned aerial photograph, the only step you have to take is to resample the photograph to a North-oriented georef corners.

Usually, you will already have a georeference corners, e.g. the one on which you rasterized your Digital Terrain Model (DTM). In case you do not have a georeference corners yet, create one, for instance by clicking the create button in the Resample dialog box.

To start the Resample operation:

  • choose Image Processing, Resample from the Operations menu in the Main window, or
  • in the Operation-tree, open the Image Processing item, and double-click the Resample operation,
  • in the Operation-list, double-click the Resample operation, or
  • in the Catalog, click the scanned photograph with the right mouse button, then choose Image Processing, Resample from the context-sensitive menu.

The Resample dialog box will appear.

In the Resample dialog box:

  • select for the input raster map your scanned aerial photograph (which uses a georef orthophoto),
  • select for the target georeference a georeference corners,
  • choose for nearest neighbour, bilinear interpolation or bicubic interpolation,
  • type a name for the output raster map,
  • optionally, type a description for the output map.

For each pixel in the output map, a value will be retrieved from the nearest pixel in the input map, or a value will be calculated from 4, or 16 near pixel values in the input map.

Finally, display the output map in a map window.

Tip:

When you add grid lines to the resampled photo in the map window, the grid lines will be straight and perpendicular to each other.

See also:

ILWIS objects : georeferences

Georeference Tiepoints editor

Resample


How to create maps

How to create a map

To create a raster map:

  • rasterize an existing point, segment, or polygon map, or
  • choose the Create command on the File menu in the Main window, or
  • in the Operation-tree, open the Create item and double-click the New Raster Map item,
  • in the Operation-list, double-click the New Raster Map item.

When you do not rasterize an existing point, segment or polygon map but create a new raster map from scratch, you have to assign class names, IDs or values to the pixels with the pixel editor.

To create a point map or a segment map:

  • choose the Create command on the File menu in the Main window, or
  • in the Operation-tree, open the Create item, and double-click New Point Map, or the New Segment Map item, or
  • in the Operation-list, double-click New Point Map, or the New Segment Map item, or
  • when you already have or created a domain or a coordinate system for a map, you can also click this domain or coordinate system with the right mouse button in the Catalog, then select a Create command from the context-sensitive menu. In the appearing Create dialog box, the selected domain or coordinate system is automatically filled out, or
  • when you already have a map of the same dimensions, and you displayed this map in a map window, you can also open the File menu in the map window and select a Create command. In the appearing Create dialog box, the coordinate system and map boundaries are filled out automatically for the new map.

In the Create dialog box which follows, you have to specify for instance the coordinate system to use, the map boundaries of this map, the domain to use, etc. If you do not yet have a coordinate system or a domain you have to create them (you can use the little create buttons [image] in the dialog box).

Tip 1:

When you have multiple neighbouring map sheets, you should create one coordinate system that covers all the map sheets. This coordinate system should then be used for all maps.

For the map boundaries, you should stick to the coordinates of each map sheet that you digitize.

Tip 2:

When you want to digitize several maps of the same theme but of different years, you should create one domain and use this domain for all maps. Not every item present in a domain needs to be present in each map that uses that domain.

To use the point or segment editor:

After one of the Create dialog boxes, a map editor is automatically started. Fill the map with points or segments with or without digitizer. For more information, see How to setup a digitizer, Point editor : functionality, or Segment editor : functionality.

To create a polygon map:

First create a segment map and digitize the polygon boundaries. It is advised to simultaneously create a point map and digitize for each polygon a point (a label) with the class name, ID, or value for each polygon. Then, check the segments (i.e. the polygon boundaries) and polygonize the segments (preferably using the label points).

For more information, see How to create a polygon map.

To rasterize vector maps:

When finished creating point, segment and polygon maps, you can rasterize them:

  • choose the Rasterize command from the Operations menu in the Main window, or
  • in the Operation-tree, open the Rasterize item, and double-click the PntToRas, SegToRas or PolToRas operation,
  • in the Operation-list, double-click the PntToRas, SegToRas or PolToRas operation.

In the rasterize dialog box which follows, you have to specify the georeference of the output map. If you do not have a georeference yet, you have to create one. You may need to think about an appropriate pixel size for the output raster map(s).

Tip 3:

It is advised to use one georeference for all raster maps of the same area.

See also:

Create point map (dialog box)

Create a segment map (dialog box)


How to create polygon maps

In the text below, the word 'code' will be used for the class names, IDs, or values of segments.

According to the ILWIS concept, segments with different class names, IDs or values can be stored in a segment map.

From each segment code or set of codes, different polygon maps can be created by using a mask. It is advised that you have a separate label point map for each set of segment codes from which you want to create a polygon map.

For a general introduction on creating maps, refer to How to create maps.

For more information on using a digitizer, refer to How to set up a digitizer and start digitizing and Segment editor : functionality.

Steps to obtain a polygon map:

  1. Start the segment editor: when you create a new segment map, the segment editor is automatically started. To edit an existing segment map in a map window, open the Edit menu, choose Edit Layer and select the segment layer from the cascading menu.

  2. Start the point editor: when you create a new point map, the point editor is automatically started. To edit an existing map, display the point map in a map window, open the Edit menu, choose Edit Layer and select the point layer from the cascading menu.

  3. In the segment editor: digitize the segments. When you want to create multiple polygon maps from one segment map, you have to code your segments in such a way that you can select sets of codes by using a mask later on.

  4. In the point editor: digitize a label point within each polygon boundary. The label is the class name, ID or value of each future polygon.

    5. Tip:

    It is recommended to add your segment map as a data layer to the point editor, and regularly redraw the point map [image]. Changes in the segment map will then be reflected in the point editor. In this way, you can easily verify whether each future polygon has a label point.

  5. In the segment editor, from the File menu, select Check Segments, Self Overlap, and subsequently Check Segments, Dead Ends, and Check Segments, Intersections.

    Correct possible errors.

  6. In the segment editor, from the File menu, select Polygonize.

    7. The Polygonize Segment Map dialog box appears.

    • select the mask for the segments which should be used for polygonization;
    • select the label point map;
    • select a name for the output polygon map.

    Segments will be checked and if no errors occur in your segment map, the topology will be build and polygons are named according to the label point map.

    Note:

    If you digitize different segment codes in one digitizing session (for example: soil units, districts, roads etc.) make sure you select the right mask for polygonization. You can repeat the procedure of creating polygons; each time specify another mask, another label point map and a different output polygon map name.

    Tip:

    To check after polygonization whether all polygons have a class name, ID or value, you can use the Find Undefineds option from the Edit menu of the polygon editor.

    You may also use the Polygons to Points operation, see Polygons to Points : functionality.

See also:

Segment editor : functionality

Point editor : functionality

Polygon editor : functionality


How to create representations

How to create a representation

A representation stores the manner in which the classes of a map with a class domain, a group domain or a picture domain, or the values of a map with a value domain or the Image domain should be represented on the screen and on a printer.

A representation is a service object for a domain.

To create a representation:

A representation class can be created for raster, polygon, segment and point maps with a class, group or picture domain and for attribute columns with such a domain.

A representation value or a representation gradual can be created for raster, polygon, and segment maps with a value domain and for attribute columns with a value domain.

You can create a representation in the following manners:

  • in a Display Options dialog box of a map with a class, group or value domain, click the little create button [image] next to the Representation list box,
  • in the Properties sheet of a map with a class, group or value domain, go to the Map tab, right-click the domain, and select Create Representation from the context-sensitive menu,
  • in the Domain Properties sheet of a class, group or value domain, go to the Domain tab, and click the little create button [image] next to the Representation list box,
  • from the File menu of the Main window, choose Create Representation,
  • in the Catalog, right-click a class, group or value domain and choose Create Representation from the context-sensitive menu,
  • in the Operation-tree, open the Create item, and double-click the New Representation item, or
  • in the Operation-list, double-click the New Representation item.

The Create Representation dialog box will appear.

Depending on the domain (of the map or the attribute column), a representation class, value or gradual will be created.

For more information on symbols for point maps, on colors for maps with a Bit, Bool, ID or the Color domain, or on obtaining a Display Options dialog box, a Map Properties sheet, or a Domain Properties sheet, see the Additional Information below.

Representation types:

  • A representation class will be created for class and group domains.
    In the Representation Class editor you can assign colors to the classes.
  • A representation value will be created for:
    • a user-defined value domain,
    • the system domain Value while you clear the Use Percentages checkbox in the Create Representation dialog box, or
    • one of the other system value domains for instance system domain Image.
    In the Representation Value/Gradual editor you can assign colors to specific values by inserting and editing limits, etc.
  • A representation gradual will be created for the system domain Value while you select the Use Percentages checkbox in the Create Representation dialog box.
    In the Representation Value/Gradual editor you can assign colors to percentage values by inserting and editing limits, etc.
    • A representation gradual can be used to display any value map.

For more information on representation types, see ILWIS objects : representations.

Representation Class editor:

In the Representation Class editor, you can for each class in the domain:

  • select or create a color (Edit Item - Raster dialog box);
  • select or create a color and select a hatching type or a pattern (Edit Item - Polygon dialog box);
  • select or create a color, select a line type (e.g. single, double, triple, dot, dash dot, blocked), specify line width, have an optional support line, etc., or a symbol font and a symbol which will be used to draw lines (Edit Item - Segment dialog box);
  • select or create a color, select a simple symbol or a symbol from any installed symbol font, specify symbol size, etc. (Edit Item - Point dialog box).

Furthermore, when you select multiple classes in the representation Class editor, you can assign a single color or a smooth range of colors to all selected classes (Edit Multiple Items dialog box).

Representation Value/Gradual editor:

In the Representation Value/Gradual editor, you can:

  • insert and/or edit limits, i.e. boundary values for a representation value, or boundary percentages for a representation gradual (Insert Limit and Edit Limit dialog boxes),
  • choose or create a color for each limit (Insert Limit and Edit Limit dialog boxes),
  • indicate whether to stretch colors between the limits or to use the color of the upper or the lower boundary,
  • when you stretch in between limits, you can specify the number of stretch steps (Stretch Steps dialog box).

You can also insert multiple limits/boundary values and colors at a time by using the Insert Multiple Limits dialog box.

Mind:

  • To create a representation value, working in values, for a map which uses system domain Value, you need to clear the Use Percentages check box in the Create Representation dialog box.
  • It is advised to create a user-defined value domain when values in a map or column have a specific meaning, are in a specific range and should be represented by specific colors or ranges of colors. To convert a map which uses system domain Value to a map with a user-defined value domain, see How to change the domain of a map.

Additional information

Symbols for point maps:

  • For point maps with a class domain, you can use Single Symbols or create a representation class as described above. In the Edit Item (point) dialog box in the Representation Class editor, you then define symbol type, point size and colors for the points.
  • For point maps with a value domain, you can click the Symbols button in the Display Options - Point Map dialog box. In the Symbol dialog box, you can then define symbol type, point sizes, colors, etc.
  • For point maps with an ID domain and which have a linked attribute table, you can use the options Single Symbol, Symbols by Attributes, Symbols as Arrows, Symbols as Graphs as available in the Display Options - Point Map dialog box.

To store the display settings of point maps with a value or an ID domain, you can save the map window as a map view.

Colors for maps with a Bool, Bit, ID, or the Color domain:

Maps with a Bool, the Bit, an ID, or the Color domain do not have a stored representation on disk.

  • For maps with a Bool domain or the Bit domain, you can interactively select colors in the Display Options dialog box of the map each time you display the map. You can save the display settings by saving the map window as a map view.
  • Maps with an ID domain can be shown in 7, 15, or 31 colors to inspect the map itself. In most cases however, you will display an ID map by one of its attributes as stored in the map's attribute table; to do so, select the Attribute check box in the Display Options dialog box of the ID map and select an attribute column.
  • Raster maps with the Color domain store colors in each pixel, so no representation is needed.

To obtain a Display Options dialog box:

  • in the Catalog, double-click a map which uses a class, group, value, or picture domain, or
  • from the File menu in the Main window, choose Open, and select a map which uses a class, group, value, or picture domain.

A Display Options dialog box will appear.

To obtain a Properties sheet of a map:

  • from the Edit menu in the Main window, choose Properties and select a map, or
  • in the Catalog, click a raster, polygon, segment or point map with a class, group, value, or picture domain with the right mouse button, and select Properties from the context-sensitive menu.

The Raster Map Properties, the Polygon Map Properties, the Segment Map Properties, or the Point Map Properties sheet will appear.

To obtain a Domain Properties sheet:

  • from the Edit menu in the Main window, choose Properties and select a class, group, value, or picture domain, or
  • in the Catalog, click a class, group, value, or picture domain with the right mouse button, and select Properties from the context-sensitive menu.

The Domain Properties sheet will appear.

See also:

Create a representation (dialog box)

How to edit representations

ILWIS objects : representations

Representation Class editor : functionality

Representation Value/Gradual editor : functionality

How to view and edit the properties of an object


How to create sample sets

How to create

a sample set for image classification

To perform an image classification, a sample set has to be created. Then, you can sample training pixels: assign class names to groups of pixels with similar spectral values and that are supposed to represent a known feature on the ground.

A sample set consists of:

  • a reference to a map list, that is the set of images you want to classify in a later stage; the images in the map list are used to extract sample statistics during sampling and display these in feature spaces,
  • a reference to a class domain, that is the collection of class names that you want to assign to your training pixels,
  • a reference to a sample set raster map which is automatically created and obtains the same name as the sample set; this map contains the locations of the training pixels and the class names assigned to them.
  • when your graphics board is configured to use 256 colors, a reference to a background map, that is the map on which you can locate your training pixels; this background map can for instance be a color composite.

Tip:

When your graphics board is configured to use more than 256 colors, you will use an interactive color composite; then, a background map on disk is not used. For more information, refer to How to create a color composite.

To create a sample set:

  • from the File menu in the Main window, choose Create Sample Set, or
  • in the Operation-tree, open the Create item, and double-click the New SmplSet item,
  • in the Operation-list, double-click the item New SmplSet, or
  • from the Operations menu in the Main window, choose Image Processing, Sample, or
  • in the Operation-tree, open the Image Processing item, and double-click the Sample Map item, or
  • in the Operation-list, double-click the Sample Map item.

By the first two actions, the Create Sample Set dialog box will appear. In the this dialog box, you can specify the sample set's name, and the domain, map list, and background map that you want to use during sampling.

By the last two actions, the Sampling dialog box appears in which you can select an existing sample set, for instance to add more training pixels, but you can also create a new sample set by clicking the little create button. If the create button is used, the Create Sample Set dialog box will follow.

When everything is OK, the sample set editor is started which allows you to select training pixels, show feature spaces, etc.

See also:

ILWIS objects : sample sets

How to create a map list

How to create a color composite

Sample set editor


How to create scripts

How to create a script

A script is a sequenced list of ILWIS commands and expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline. Scripts are more or less equivalent to batch files in ILWIS version 1.4.

To create a script:

  • in the Main window, open the File menu and choose Create Script,
  • in the Operation-tree, expand the Create item, and double-click New Script, or
  • in the Operation-list, double-click the New Script item.

The Script editor appears in which you can type your script expressions.

For more information on valid script expressions, refer to Appendices : ILWIS commands, Appendices : ILWIS expressions or Appendices : ILWIS script language (syntax).

An example of a script to create slope maps in percentages and in degrees is presented in Map & Table calculation : creating and running scripts and in How to use parameters in scripts.

You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

See also:

Script editor : functionality

ILWIS objects : scripts

Appendices : ILWIS commands

Appendices : ILWIS expressions

Appendices : ILWIS script language (syntax)


How to create two-dimensional tables

How to create a two-dimensional table

A two-dimensional table is used to combine or reclassify two raster maps with a class or ID domain. It defines a value for each possible combination of input classes or IDs. A two-dimensional table view consists of rows which represent one domain and of columns which represent another domain. In the two-dimensional table, you have to assign a value, class name or ID to the fields which represent the combination of these domains.

To create a two-dimensional table:

  • from the File menu in the Main Window, choose Create Two-Dimensional Table,
  • in the Operation-tree, open the Create item, and double-click the New 2DimTbl item, or
  • in the Operation-list, double-click the New 2DimTbl item.

The Create Two-Dimensional Table dialog box appears.

When you create a new two-dimensional table, it is directly displayed in a table window where you can also edit it. To open and to edit an existing two-dimensional table, see also: How to edit a two-dimensional table.

To apply a two-dimensional table:

The table can be applied by typing a special expression on the command line of the Main window:

OUTMAP = 2dimtablename[map1,map2]

When you apply the two-dimensional table, you need two input raster maps which have the domains as used by the two-dimensional table, the output raster map then contains the values, classes or IDs that you entered in the fields of the two-dimensional table.

See also:

ILWIS objects : two-dimensional tables

How to edit a two-dimensional table

Map calculation: classifying two maps according to a two-dimensional tables


How to customize

How to customize ... UP

Catalog

Operation-tree, Operation-list, and Operations menu

Pixel Info window

Point editor

Polygon editor

Segment editor


How to customize a Catalog

List View and Details View:

When using List View, all objects in a Catalog are shown as a simple list of objects and icons.

When using Details View, all objects in a Catalog are shown in a table-like fashion with detailed information on each object, for instance whether objects are dependent or not, used domain/georeference/coordinate system, their description, expression, etc.

To switch between List View and Details View:

  • choose the List or the Details command from the View menu in the Main window;
  • click the choose the List button [image] or the Details button [image] in the standard toolbar of the Main window;
  • click the right mouse button in the white space of a Catalog, and choose the List or the Details command from the context-sensitive menu.

Show or hide certain object types:

  • choose the Show command from the View menu in the Main window;
  • use the object selection toolbar in the Main window; or
  • choose the Customize Catalog command on the View menu, or click the [image] button in the standard toolbar of the Main window.

Sorting objects:

  • choose the Sort By command on the View menu in the Main window;
  • when in Details view: click a column header; columns can be sorted in Ascending order (delta up) and in Descending order (delta down);
  • click in the white space in a Catalog, and select Sort from the context-sensitive menu.

Using queries to search for certain objects:

  • choose the Catalog Queries command on the View menu of the Main window;
  • choose the Customize Catalog command on the View menu, or click the [image] button and select the Query tab.

Tips:

  • To include system objects or non-ILWIS objects in a Catalog, e.g. DBF files and/or TIF files, see Customize Catalog, Selection tab.
  • To see only objects that start with certain characters, or which use a certain domain, georeference, etc.: use a predefined query or contstruct a query yourself.

Mind:

  • Settings on visible object types, sorting/ordering method and queries on objects are either applied to all new Catalogs that will be opened, or to the currently active Catalog only. This depends on whether you click the Use current settings for new Catalogs button or the Use default settings for new Catalogs button on the Customize Catalog, Details View page.
  • Only those objects will be shown which match the selected object types and a used query.

Other functionality:

  • To open another new Catalog, choose the New Catalog command from the Window menu in the Main window, or click the New Catalog button [image] in the standard toolbar of the Main window.
  • To refresh the contents of a Catalog, choose the Refresh command from the Window menu, or press the F5 key on the keyboard.
  • To arrange Catalogs, choose the Arrange Catalogs command from the Window menu.
  • To close all Catalogs, choose the Close All Catalogs command from the Window menu.

See also:

How to use a Catalog

Main window : Catalog

Catalog - List View

Catalog - Details View

Catalog - Show ...

Catalog - Sort By ...

Catalog - Predefined Queries ...

Customize Catalog, Selection tab

Customize Catalog, Details View tab

Customize Catalog, Query tab


How to customize the Operation-tree, the Operation-list and the Operations menu

How to customize ...

the Operation-tree, the Operation-list and the Operations menu

The Operation-tree and the Operation-list contain a list of all ILWIS operations and some other commands (New, Show, Edit).

To hide or show the Operation-tree and the Operation-list:

  • On the View menu in the Main window, look for the Operation-list/Navigator command:
    • if a check mark [image] appears in front of this menu command, the Operation-tree, Operation-list and the Navigator are displayed.

      • To hide the Operation-tree, Operation-list and Navigator, click the Operation-list/Navigator command on the View menu;

    • if no check mark appears in front of the 'Operation-list/Navigator' command, the Operation-tree, Operation-list and Navigator are hidden.

      • To show the Operation-tree, Operation-list and Navigator, click the Operation-list/Navigator command on the View menu.

To add scripts to the Operation-tree/Operation-list and to the Operations menu of the Main window

ILWIS scripts can be added to the Operation-tree, the Operation-list and to the Operations menu of the Main window, so that the scripts will always be available.

Using a fixed Scripts folder within the ILWIS program folder:

If you have access to the folder where the ILWIS program is located, i.e. the folder where the ILWIS executable is located, you can add a subfolder/subdirectory called Scripts in which you can place one or more scripts. When you restart ILWIS, the scripts found in the Scripts folder will appear in the Operation-list, in the Script section of the Operation-tree, and as a Script section on the Operations menu.

Specifying one or more user-defined Script folders:

Scripts can also be located in other folders than in a fixed Scripts folder.

  • In the Preferences (section Directories), specify one or more Script folders/directories where commonly used scripts are located. When multiple folders are specified, separate the folders by semicolons ;
  • Make sure that the required scripts (.isl and .isf files) are actually available in the specified Script folders/directories.
  • Close and reopen ILWIS.

The scripts that are available in the specified Script folders/directories will appear:

  • in the Operation-list,
  • in the Script section of the Operation-tree, and
  • as a Script section on the Operations menu.

To add external applications to the Operation-tree/Operation-list and to the Operations menu of the Main window

Similarly, external programs or executables (.exe, .com, .bat), shortcuts (.lnk) either to Windows applications or to files of registered applications, and external files of a registered file type (for instance .doc, .txt, .pdf, .xls, .ppt, .pps, .gif, .bmp, etc. ) can be made available in the Operation-tree, the Operation-list and on the Operations menu of the Main window.

Using a fixed Tools folder within the ILWIS program folder:

If you have access to the folder where the ILWIS program is located, i.e. the folder where the ILWIS executable is located, you can add a subfolder/subdirectory called Tools in which you can place one or more external tools. When you restart ILWIS, the tools found in the Tools folder will appear in the Operation-list, in the Tools section of the Operation-tree, and as a Tools section on the Operations menu.

Specifying one or more user-defined Tools folders:

External tools, shortcuts or files may also be located in other folders than in a fixed Tools folder.

  • In the Preferences (section Directories), specify one or more Tools folders/directories where commonly used tools are located. When multiple folders are specified, separate the folders by semicolons ;
  • Make sure that the required programs, shortcuts, and/or other files or documents etc. are actually available in the specified Tools folders/directories.
  • Close and reopen ILWIS.

The external programs, the shortcuts, and/or any other registered files that are available in the specified Tools folders/directories, will appear:

  • in the Operation-list,
  • in the Tools section of the Operation-tree, and
  • as a Tools section on the Operations menu.

Mind:

  • A shortcut to a Windows application should point to the correct location of that Windows application.
  • A shortcut to a document or file of a registered Windows application should point to the correct location of that file or document.
  • To inspect which are the registered file types on your system, use Windows' Control Panel, Folder Options, File Types.

Advanced (action.def)

To further customize the Operations menu, the Operation-list and the Operation-tree, advanced users may wish to modify the ILWIS action.def file, or to create their own action.def file that either replaces the ILWIS action.def file or that is used in addition to the ILWIS action.def.

In short, the action.def file lists the operations that are available on the Operations menu, in the Operation-tree and the Operation-list, and the manner in which these operations are arranged.

The action.def file can be edited for instance with Notepad; the meaning of the entries in the file are shortly described at the top of the file; entries are space-delimited.

Modifying the ILWIS action.def file:

If you have access to the folder where the ILWIS program is located, i.e. the folder where the ILWIS executable is located, you may edit, at your own risk, the ILWIS action.def file. For safety reasons, it is advised to make a copy of the original action.def file first!

Creating your own action.def file (replacing the ILWIS action.def file):

  • Create an action.def file yourself; the file should use the same structure as the ILWIS action.def file.
  • Open the Preferences, and under Directories, select a Startup directory. As the Startup directory, it is probably handy to select the directory where your default data is located.
  • Make sure that your action.def is located in the specified Startup directory.
  • Make sure that all ILWIS Catalogs are closed, then close and restart ILWIS.

Tips:

  • For more information, see also How to change the working or startup directory.
  • Alternatively, you can also locate your action.def in the 'Start in' property of the ILWIS shortcut on your desktop.

Creating your own action.def file (used in combination with the ILWIS action.def file):

  • Create an action.def file yourself; the file should use the same structure as the ILWIS action.def file.
  • Make sure that your action.def file is located in a subfolder of the ILWIS program folder, i.e. a subfolder of the folder where the ILWIS executable is located.
  • Close and restart ILWIS.

The entries in your own action.def will be listed below the regular ILWIS operations in the Operation-list, the Operation tree and the Operations menu.

Adding external applications to the action.def file and optionally use parameters for an external application:

To add an external application to an action.def, use the following syntax for the command entry in the action.def:

  • Start the command with ! to start an external application, when ILWIS should wait until the external application has been closed.
  • Start the command with !! to start an external application, when you wish to use ILWIS when the external application is open.
  • Use single quotes around the external program, shortcut or file, if you are using long file names or paths; include any paths and extensions within the single quotes.
  • Use '.\AnyProgram.exe' if you wish to use a program located in the same folder as your action.def file.
  • Enclose the entire command in double quotes.

For more information on using commands and search paths for external applications, etc., see Appendices : ILWIS commands, section Other commands and expressions.

Examples:

  • To start Notepad, located in C:\Windows:
    "My menu" "" "My menu command" "My operation in the Operation–list" Exe16Ico "" "!!'C:\Windows\notepad.exe'" - "Status line: start Notepad"
  • To open text file D:\My File.txt with the program that by default opens such files (Notepad):
    "My menu" "" "My menu command" "My operation in the Operation–list" Exe16Ico "" "!!'D:\My file.txt'" - "Status line: open my text file"
  • To open text file D:\My File.txt with Notepad:
    "My menu" "" "My menu command" "My operation in the Operation–list" Exe16Ico "" "!!'C:\windows\notepad.exe' 'D:\My file.txt'" - "Status line: open my file with my program"
  • To start Notepad via a shortcut to Notepad, the shortcut is located in D:\My Folder:
    "My menu" "" "My menu command" "My operation in the Operation–list" Exe16Ico "" "!!'D:\My Folder\shortcut to notepad.exe.lnk'" - "Status line: start Notepad via a shortcut located in D:\My Folder"

  • Names for menus and submenus are free.
  • To use a submenu, see the description at the top of the action.def file itself.
  • The name of an operation as it should appear on a menu (menu command) and the name of the operation as it should appear in the Operation-list and Operation-tree are free.
  • For the icon, use one of the internal ILWIS icons listed in the ILWIS action.def.
  • Specify a minus - for the Help topic number.
  • Text to appear on the status line when the menu command is active, is free.

See also:

Main window : Operation-tree and Operation-list

Main window : Preferences

Appendices : ILWIS commands, section Other commands and expressions


Customize the pixel information window

Pixel information window

Customize

 Options menu

Customize the working of the pixel information window:

  • receive coordinates at the position of the mouse pointer in a map window and/or at the position of the digitizer cursor; subsequently, the class names, identifiers and/or values of the maps (and tables) that were added to the pixel info window at that coordinate.
  • continuously receive coordinates and retrieve information or only receive coordinates and retrieve information at a click of the mouse pointer or the digitizer cursor, and
  • of all maps (and columns of attribute tables) that were added to the pixel info window, select the ones of which you want to see the class names, identifiers, or values in the pixel info window.

This dialog box appears:

  • when you choose Customize from the Options menu in the pixel info window, or
  • when you clicked the upper left gray field in the pixel info window.

Dialog box options:

Mouse: | Select this check box when the pixel info window should receive coordinates from the mouse pointer in a map window. Subsequently, map/column information is retrieved at that coordinate. Clear this check box if the mouse pointer should not be active.
Continuous: | Select this check box if the mouse pointer should continuously receive coordinates and retrieve information when it is positioned in a map window. Clear this check box when the mouse pointer should only receive coordinates and retrieve information at a click in the map window.
Digitizer: | Select this check box when the pixel info window should receive coordinates from the digitizer cursor. Subsequently, map/column information is retrieved at that coordinate. Clear this check box if the digitizer cursor should not be active.
Continuous: | Select this check box if the digitizer cursor should continuously receive coordinates and retrieve information when it is positioned on a referenced map on the digitizer. Clear this check box when the digitizer cursor should only receive coordinates and retrieve information when you press a button on the digitizer cursor.
Show values of: | In the list box, select the maps and attribute columns of which class names, identifiers, or values that should be shown in the pixel info window. In the list box, selected maps and columns appear highlighted. You can deselect the maps and columns that you do not want to see in the pixel info window.

See also:

Pixel information window : introduction

Pixel information window : functionality


How to delete objects

Selecting objects in a Catalog and deleting them:

To delete one or more objects:

  • select one or more objects in a Catalog, and
  • choose the Delete command from the context-sensitive menu or from Edit menu, or press the Del key on the keyboard.

Using the command line:

Use the command line in the Main window. For more information, see Appendices : ILWIS script language (syntax).

See also:

How to copy objects


How to set up a digitizer and start digitizing

How to set up a digitizer

and how to start digitizing

This topic contains the following sections:

Setting up a digitizer

Map Reference

Start digitizing a new map

Continue to digitize an existing map

Setting up a digitizer

  1. First, connect all cables of the digitizer to the proper components.
  2. Then,
    • either download and install the WinTab driver, or
    • configure the digitizer tablet yourself.

      • You must make sure that the digitizer works in Run mode, uses No Increment, No Prompt, a Date Rate of about 20 points per second, a certain Resolution, will send information in ASCII format, etc. While configuring the tablet, write the settings down you used for Resolution (lines per inch or per mm), Baud Rate, Data Bits, and Parity. For more information, refer to your digitizer manual.

  3. Connect the digitizer to a serial port on your computer and note the port number.
  4. Start ILWIS:
    • In the Main window, open the File menu, and choose Setup Digitizer. The Setup Digitizer wizard is started.
    • First, the Setup Digitizer - Select Port page appears on which you can choose to use the WinTab driver, or the serial port to which your digitizer is connected.
      • When you installed the WinTab driver, click the Finish button: the Setup Digitizer wizard will be closed and your digitizer will be ready for use.

        • The Setup Digitizer command on the File menu of the Main window will now be preceded by a check mark [image].

      • When you did not install the WinTab driver, click the Next button: three more pages of the Setup Digitizer wizard need to be filled out.
        • The Setup Digitizer - Port Settings page appears which lists the communication settings of the selected port (baud rate, data bits, parity, stop bits).

          • If necessary, change these port settings so that the port settings are exactly the same as used during the configuration of the digitizer tablet. Then, click the Next button.

        • The Set Up Digitizer - Automatic Detection page appears.

          • When you have communication between your digitizer and the port, you should now see coordinates as readable numbers that change when you move the digitizer mouse on the digitizer tablet.

          If so, follow the instructions on this page for automatic setup and press digitizer cursor buttons 0, 1, 2, 3.

          If not, check the setup of the digitizer tablet itself, go back to the Digitizer Set Up - Select Port page and make the settings equal to the digitizer settings until you have communication.

        • When Automatic Setup has succeeded, the Set Up Digitizer - Size, Resolution and Final Check page appears.

          • In the upper left part of this page: check if all buttons work, and check whether the X-values increase by moving the digitizer cursor to the right, and Y-values increase by moving the cursor up.

          Then, fill out the resolution used by the tablet (lines per mm or per inch), and the size of the tablet (mm or inches). Subsequently, check the feedback in the upper right part of the page.

          When everything is correct, you can click the Finish button.

          The Setup Digitizer command on the File menu of the Main window will now be preceded by a check mark [image].

Map Reference

To establish a relation between digitizer coordinates and map coordinates, you have to do a Map Reference.

  1. Fix an analog map onto your digitizer. Write down the map coordinates that you want to use as reference or control points (usually the four corners of the map).
  2. From the Main window in ILWIS, open the File menu, and choose Map Reference.
  3. First, the Map Reference - Coordinate System dialog box appears.

    4. Select a coordinate system or create one using the little create button [image], and choose for metric coordinates or geographic coordinates.

  4. Then, the Map Reference - Digitizer Control Points dialog box appears.

    5. Do the following:

    • Click a reference point in the map with the digitizer cursor;
    • In the left-hand part of the dialog box, the digitizer 'coordinates' as received from the digitizer appear;
    • In the right-hand part of the dialog box, type the corresponding map coordinates for this point as read from the paper map in step 1;

      • (map coordinates should fall inside the selected coordinate system of step 3),

    • Continue with the other reference or control points;
    • Check the feedback values for diff X and diff Y; for a good map reference, these figures should be in the range of -0.3<= diff X diff Y <= 0.3.

      • Also check the feedback values for Sigma and Scale (of the map).

    • click the OK button when finished.

      • The Map Reference command on the File menu of the Main window will now be preceded by a check mark [image].

Map reference settings are stored even when you switch your computer off. When you continue digitizing later on, and when the map is still at the same position on the digitizing tablet, you do not need to reference your map again.

Start digitizing a new map

With the digitizer, you can add points to a point map and add segments to a segment map. You can also delete points or segments, rename points or segments, and move points or move intermediate points within a segment.

  1. On the File menu in the Main window, check whether the Setup Digitizer and the Map Reference commands are both preceded by a check mark [image].
  2. Create a new point or segment map by choosing for instance the Create command from the File menu (see also How to create a map).

    3. In the Create Point Map or the Create Segment Map dialog box:

    • Select the coordinate system you wish to use; this is normally the coordinate system which was selected or created during Map Reference.
    • Decide on the domain of the map, i.e. the set of class names, IDs or values that you want to assign to your points or segments. You can also edit or create a representation for a domain of type Class or Value.

    Tip: To obtain a polygon map, you first have to digitize segments, then check the segments and polygonize them, see also How to create polygon maps.

  3. When you click OK in the Create Point Map or the Create Segment Map dialog box, the point editor or the segment editor will be started.
    • Choose Digitizer, Active from the File menu of the point editor or from the File menu of the segment editor.

    The Digitizer, Active command on the File menu of the editor will then be preceded by a check mark [image].

You can now start digitizing your map.

For more information on the functionality of the editors, see Point editor : functionality and/or Segment editor : functionality, or press F1 in the editor.

Continue to digitize an existing map or
edit an existing map with the digitizer

With the digitizer, you can add points to a point map and add segments to a segment map. You can also delete points or segments, rename points, segments or polygons, and move points or move intermediate points within a segment.

  1. On the File menu in the Main window, check whether the Setup Digitizer and the Map Reference commands are both preceded by a check mark [image].
  2. If your map is still at the same position on your digitizer tablet, you can directly continue digitizing. If you fix a map onto the digitizer now, first do Map Reference again.
  3. To open the appropriate map editor:
    • in the Catalog, click with the right mouse button on the point, segment or polygon map which should be edited, and choose Edit from the context-sensitive menu, or
    • open the map in a map window, open the Edit menu, and choose the Edit Layer command.

    The point editor, the segment editor or the polygon editor will be opened.

  4. In the point editor, the segment editor or the polygon editor:
    • make sure that the Digitizer, Active command on the File menu of the point editor, on the File menu of the segment editor, or on the File menu of the polygon editor is preceded by a check mark [image].

You can now continue to digitize your map or edit your map with the digitizer. For more information, refer to Point editor : functionality, Segment editor : functionality, and/or Polygon editor : functionality, or press F1 in the editor.

See also:

Setup Digitizer wizard

Map Reference - Coordinate System

Map Reference - Digitizer Control Points

Point editor : functionality

Segment editor : functionality

How to create a polygon map

Polygon editor : functionality


How to display

How to display ... UP

Digital Elevation Models

map list as a color composite

map list as a slide show

maps and tables, and zoom


How to display Digital Elevation Models

How to display

Digital Elevation Models

A (digital) representation of relief over space is known as a digital elevation model (DEM). By relating any map with the corresponding terrain surface in a 3D model, you can discover and understand relations between spatial data sets. For example, by draping a land use map over the height values of a 3D model, you can see where your areas of interest are located: on slopes, on flat areas, in the lower areas, in the mountains, etc.

Although Display 3D was originally developed to model relief, it can of course also be used to model the continuous variation of any other value map as a surface (e.g. concentration values, land values).

To obtain a Digital Elevation model, you can digitize contour lines and assign height values to the segments in the segment editor. Then use the Contour Interpolation operation. The output is a DEM, also called a height map. For more information, see How to calculate a Digital Elevation Model.

1. Using the Shadow filter:

An easy method to get a general impression of your relief is to apply the Shadow filter on your DEM with the Filter operation. When you display the result in a map window, you can already see the relief coming out of the map.

To start the Filter operation:

  • from the Operations menu in the Main window, select Image Processing, Filter, or
  • in the Operation-tree, open the Image Processing item and double-click the Filter operation, or
  • in the Operation-list, double-click the Filter operation, or
  • in the Catalog, click your DEM with the right mouse button, and select Image Processing, Filter from the context-sensitive menu.

The Filtering dialog box appears.

In the Filtering dialog box:

  • select the Shadow filter from the Filter Name list box,
  • type a name for the output map,
  • for the best result, modify the value range and the precision for the output map, so that a 1 or 2 byte map will be created,
  • press OK.

When you display the output map in a map window, choose Representation Gray; additionally you can add the segment map with the contour lines and display these in one color (e.g. light brown).

When the output map uses 4 or 8 bytes per pixel, you may first calculate a histogram of the filtered map with the Histogram operation to enhance the display.

2. Creating a three dimensional view:

Another method is to create a 3D view out of your DEM with the Display 3D operation; you create a georeference3D in the georeference 3D editor.

To start the Display 3D operation:

  • select Visualization, Display 3D from the Operations menu in the Main window, or
  • in the Operation-tree, open the Visualization item, and double-click the Display 3D operation.
  • in the Operation-list, double-click the Display 3D item.

The Display 3D dialog box appears.

In the Display 3D dialog box:

  • select an existing georef3D from the drop-down list, or
  • click the create button to create a new georeference 3D (a dialog box follows in which you have to specify the name of the DEM, then you return to this dialog box).

The Display Options - 3D Grid box appears.

(When you already have a georeference 3D, you can open it by double-clicking it in the Catalog, or in the Catalog, click the georeference 3D with the right mouse button, and choose Open from the context-sensitive menu. The Display Options - 3D Grid box appears.)

In the Display Options - 3D Grid dialog box, you can specify how the 3D view should be displayed:

  • using 3D grid lines in X and Y directions,
  • using a raster map (satellite image, shadow map, thematic map, scanned photograph) draped over your height values,
  • using both a raster map draped over your height values, and 3D grid lines.

The DEM is displayed in three dimensions in a map window.

To modify the 3D view (i.e. the georeference 3D):

  • choose Georeference from the Edit menu in the map window.

The Georeference 3D editor is opened.

The Georeference 3D editor mainly consists of one large Georeference 3D dialog box in which you can specify parameters (altitude, rotation, distance, vertical exaggeration, etc.) to define the perspective of the observer in relation to the 3D model. Some examples of the effects of changing parameters in the dialog box are presented in Georeference 3D editor : functionality.

When finished editing the 3D view, you can exit the editor and return to the map window. If you like, you can add any other vector map or annotation to this map window. You can save the 3D view in the map window as a map view.

3. Combination of a 3D drape and a Shadow map:

A simple and nice 3D view of a Digital Elevation Model can be obtained by using the output map of the DEM filtered with the Shadow filter as a raster drape over the height values and by overlaying the contour segments on the 3D view.

Start the Display 3D operation and create a suitable georeference 3D with the Georeference 3D editor (see above).

In the Display Options - 3D Grid dialog box:

  • clear the Grid check box,
  • select the Raster Drape check box,
  • select the filtered Shadow map in the Raster Drape list box,
  • press OK.

The 3D view appears in a map window.

Drag the segment map with the contour lines from the Catalog to the map window. The Display Options - Segment Map dialog box appears.

In the Display Options - Segment Map dialog box:

  • select single color, choose for example the color brown,
  • press OK.

The Shadow map is displayed in three dimensions in the map window and the segment map with the contours is overlaid on the 3D view.

Then, to save your 3D view (incl. contour lines),

  • from the File menu in the map window , choose Save View.

4. Resampling a map to a georef 3D:

Lastly, to permanently display a raster map in as a 3D view, use the Apply 3D operation. This operation resamples a raster map according to a georeference 3D. When you create a map list of raster maps that are the outcome of an Apply 3D operation (for instance depicting the same area in three dimensions but from different angles), and display this map list as a slide show, you can obtain a kind of rotating DEM with raster drape.

See also:

Filter operation

Georeference 3D editor


How to display a map list as a slide show

With Slide Show, you can display multiple raster maps that are combined in a map list as a slide show in a map window. The maps of the map list are displayed one after the other in the map window at a user-specified rate. A slide show is designed to present multi-temporal changes in maps.

Raster maps that you can include in a map list for a slide show may be:

  • satellite images of the same area of for instance different months,
  • derived products from satellite images, such as NDVI maps, of for instance different months,
  • classified satellite images of for instance different months or years,
  • thematic raster maps (e.g. land use maps) of for instance different years.

A slide show is in fact the same as repeatingly replacing raster maps in a map window, e.g. by dragging raster maps from the Catalog one by one into a map window.

To create a map list:

The first step of making a slide show is to create a map list of all the raster maps that you want to show. For more information, refer to How to create a map list.

To start a Slide Show:

There are several ways in which a slide show can be started:

  • From the Operations menu in the Main window, choose Visualization, Show Map List as Slide Show, and select a map list in the Show Map List as Slide Show dialog box, or
  • In the Operation-tree, open the Visualization, Show Map List as item, double-click the Slide Show item, then select a map list, or
  • In the Operation-list, double-click the Slide Show item, and select a map list, or
  • In the Catalog, click a map list with the right mouse button, and select Visualization, as Slide Show from the context-sensitive menu, or
  • Drag a map list from the Catalog to the Slide Show item in the Operation-tree or Operation-list, or
  • Double-click a map list in the Catalog; the map list should contain raster maps which do not use the Image domain nor another value domain (if they do, an interactive color composite will be shown), or
  • From the File menu in the Main window, choose Open and select a map list in which the raster maps do not use the Image domain nor another value domain (if they do, an interactive color composite will be shown), or
  • Drag a map list to an existing map window. A small dialog box will appear asking you whether the maps in the map list should be displayed as a Color Composite or as a Slide Show; choose Slide Show.

A Display Options dialog box appears for the first raster map of the map list.

  • specify the display options, these settings will be used for all the maps in the list.

The Display Options - Map list as slide show dialog box appears.

  • specify the number of maps you want to see per minute as the Refresh Rate.

The Slide Show will start after you press the OK button.

Tips:

  1. A map list can only be created of raster maps that have the same georeference and the same domain.
  2. If the refresh rate is set to zero, it means that the maps will not be refreshed automatically. To show the next slide, click the Redraw button [image] in the toolbar of the map window or press Ctrl+R on the keyboard.
  3. When you create a map list of raster maps that are the outcome of the Apply 3D operation (for instance depicting the same area in three dimensions but from different angles), and display this map list as a slide show, you can obtain a kind of rotating DEM with raster drape. For more information, refer to Display 3D and Apply 3D.

See also:

How to create a map list

Show map list as slide show dialog box

ILWIS objects: map lists


How to drag and drop

The idea of drag and drop is that you can pick up one or more ILWIS objects from a Catalog or from Windows Explorer, move the ojects(s) to another position and release the object(s) at the new position, in order to perform a certain task without using any menu.

  1. Select for instance multiple maps in a Catalog or in Window Explorer:
    • hold the Ctrl key down and select the maps by clicking them with the left mouse button,
    • when the selection is OK, you can release the Ctrl key.
  2. Click the selection, hold the left mouse button down, and move the mouse for instance to:
    • another Catalog,
    • a map window,
    • a pixel information window,
    • an operation in the Operation-tree or the Operation-list,
    • a drop-down list box in a dialog box (drag).
  3. Then, release the left mouse button (drop).

For more information on multiple selection, see also Basic concepts : drag and drop.

To copy objects between Catalogs:

  • in a Catalog, select the objects you wish to copy,
  • move the selection to another Catalog, and release the left mouse button,
  • answer additional Copy questions in case you are copying dependent maps or when the objects to be copied already exist in the other directory.

Tip: You can also drop a selection of objects to be copied on a directory listed in the Navigator pane. For more information, see How to copy objects.

To display multiple maps in one map window:

  • display a map in a map window,
  • in a Catalog, select one or more other point, segment, or polygon maps, or select a raster map or a map list,
  • move the selection to the existing map window, and release the left mouse button,
  • specify additional display options for the other map(s).

When the map window already displays a raster map (or a map list), and you add another raster map (or map list) with the same georeference to the map window, then the selected raster map (or map list) will also be added to the map window.

Tips:

  • To display a map with a certain degree of transparency on top of other maps that are already displayed in a map window, see How to add extra layers to a map window.
  • When you select multiple maps in a Catalog, and select Open from the context-sensitive menu, all maps will be opened in separate map windows.

To add an annotation text object to a map window:

  • display one or more maps in a map window,
  • drag an existing annotation text object from a Catalog into the map window.

Tip: To create an annotation text object, you can open the File menu in a map window, and choose Create, Annotation Object.

To change the order of layers in a map window:

  • display one or more maps, with optional grid lines, graticules, and/or annotation text objects in a map window,
  • in the Layer Management pane of the map window, drag the layers to another position.

To add maps (and attribute tables) to a pixel information window:

  • display one or more maps in a map window,
  • open the File menu in the map window and choose Open Pixel Information,
  • the maps which are displayed in the map window will be automatically added to the pixel information window,
  • if you wish to see the values or attributes of other maps as well: select one or more other maps in a Catalog and drag the map(s) to the pixel info window,
  • move with the mouse pointer over the map(s) in the map window.

The values of all maps are displayed in the pixel information window. When a map has an attribute table, also the attribute values are displayed.

Tip: You can also select one or more maps in a Catalog, and choose Open Pixel Information from the context-sensitive menu.

To start an ILWIS operation with a certain map or table:

  • drag a data object from a Catalog to an operation in the Operation-tree or the Operation-list,
  • the dialog box of the operation appears: the input map or table is already selected.

To use a certain map or table name as input in a dialog box:

  • when a dialog box appears,
  • drag an object from a Catalog into a drop-down list box in the dialog box.

To change the orders of columns when showing a Catalog in Details View:

When a Catalog is displayed in Details View:

  • drag a column header to another position.

To change the orders of columns in a table window:

  • drag a column header to another position.

To change the width of a column in a table window:

  • position the mouse pointer in between two column names,
  • the mouse pointer changes into a double-sided arrow,
  • drag to the left or right to decrease or increase the width of the left column.

See also:

How to use a Catalog

How to use the Operation-tree and the Operation-list

How to use pixel information

How to use columns


How to edit

How to edit ... UP

definition of dependent objects

domains

filters

georeferences

map lists

objects

point maps

polygon maps

properties of an object

raster maps

representations

sample sets for image classification

scripts

segment maps

tables

two-dimensional tables

user-defined linear filters


How to edit domains

How to edit a domain

A domain is a set of class names, IDs, or values that can be used in a certain data object. All ILWIS data objects have a domain. One domain can be used for several data objects.

For a domain Class or ID, you might want to add new items to the domain, or you might want to change the names of the classes or IDs. Editing a domain Value is usually not necessary.

Tip:

When working with maps of different years but of the same theme, or containing the same class names, IDs, or values, you are advised to create one domain for these maps and use this domain for all maps. It is not necessary that every class name or every ID of a domain is present in each map.

To edit a domain:

  • double-click a domain in the Catalog, or
  • click the right mouse button on a domain in the Catalog, and choose Edit from the context-sensitive menu, or
  • open the Edit menu in the Main window, choose Edit Object and select a domain, or
  • in the Operation-tree or the Operation-list, double-click the Edit item, and select a domain, or
  • drag a domain from the Catalog to the Edit item in the Operation-tree or the Operation-list.

When a map is of the domain type Class or ID, and the map is displayed in a map window, you can also choose the Domain command on the Edit menu in a map window.

For a Class or ID domain:
 | the Domain Class/ID editor will be opened; you can add class names or IDs to the domain, add class codes, delete classes, change class names and/or codes etc.
For an editable user-defined Value domain:
 | the Edit Value Domain dialog box will be opened; the value range and precision of the domain can be changed; you can also specify a unit for the values.
For an editable user-defined Bool domain:
 | the Edit Bool Domain dialog box will be opened; the strings that will appear in the user-interface for True and False values can be adapted.

See also:

How to create a domain

ILWIS objects : domains


How to edit user-defined linear filters

How to edit ...

user-defined linear filters

You can define your own linear filters or view the contents of a linear system filter.

To edit a user-defined linear filter:

  • double-click a user-defined linear filter in the Catalog, or
  • use the right mouse button on a filter in the Catalog, and select Open from the context-sensitive menu, or
  • select a filter in a Catalog, and choose Edit Object from the Edit menu in the Main window.

The Filter editor will be opened.

Tip:

  • Linear system filters available in your ILWIS\SYSTEM directory can only be viewed in the Filter editor but not be edited.

See also:

Filter editor

ILWIS objects : filters


How to edit georeferences

How to edit a georeference

A georeference stores the relation between rows and columns of a raster map (row,col) and real world coordinates (X,Y) or (X,Y,Z). A georeference is needed for raster maps. A georeference uses a coordinate system.

There are basically five types of georeferences:

  • georeference corners: a North-oriented georeference to be used during rasterization of vector data or as the North-oriented georeference to which you want to resample maps;
  • georeference tiepoints: a non-North-oriented georeference to add coordinates to a satellite image or to a scanned photograph, a scanned map, etc. without using a DTM;
  • georeference direct linear: to add coordinates to a scanned photograph while using a DTM;
  • georeference orthophoto: to add coordinates to a scanned photograph while using a DTM and camera parameters;
  • georeference 3D: to create a three dimensional view of maps.

Other types of georeferences (non-editable) are obtained when performing an operation on raster maps:

  • georeference factor: created by the Aggregate map and the Densify operation;
  • georeference mirrorrotate: created by the MirrorRotate operation;
  • georeference submap: created by the Sub-map of raster map and the Glue raster maps operation.

Further, you can have georeference None for raster maps without a georeference (not advised).

Tips:

  1. You can see the type of a georeference by viewing the properties of a georeference.
  2. To be able to calculate with raster maps, it is advised that raster maps of the same area use the same georeference corners or the same georeference tiepoints.
  3. To have a raster map use another georeference than its current one, perform the Resample operation.

To edit a georeference:

  • double-click a georeference in the Catalog, or
  • click a georeference in the Catalog with the right mouse button, and choose Open from the context-sensitive menu,
  • open the Edit menu in the Main window, choose Edit Object and select any georeference, or
  • in the Operation-tree or the Operation-list, double-click the Edit item, and select any georeference, or
  • drag any georeference from the Catalog to the Edit item in the Operation-tree or the Operation-list, or
  • when a raster map is displayed in a map window, you can also choose the Georeference command on the Edit menu in the map window.

Depending on the type of the georeference you selected (or on the type of the georeference of the raster map in the map window), a dialog box will appear or an appropriate editor will be opened:

  • for a georef corners: the Edit Georeference Corners dialog box will appear;
  • for a georef tiepoints, a georef direct linear, or a georef orthophoto: the Tiepoint editor will be opened. When editing a georef orthophoto, the Locate Fiducial Marks dialog box will appear first;
  • for a georef 3D: the Display Options - 3D Grid dialog box appears, in which you can specifying how the 3D view should be displayed in the map window. When the 3D view is displayed in a map window, you can select the Georeference command from the Edit menu of the map window to edit the georeference 3D. The Georeference 3D editor is started with the Georeference 3D editor : Edit dialog box.

See also:

Edit Georeference Corners dialog box

Tiepoint editor

Georeference 3D editor

ILWIS objects : georeference


How to edit map lists

How to edit a map list

A map list is a set of raster maps, for example the bands of a satellite image. All raster maps in the map list must have the same domain and georeference.

To open a map list:

  • double-click a map list in a Catalog, or
  • select a map list in a Catalog, and choose Edit Object from the Edit menu in the Main window, or
  • in a Catalog, click the map list with the right mouse button and choose Open from the context-sensitive menu.

The map list will be opened as a kind of Catalog, with some extra possibilities. This is also called a map list viewer.

To add maps to a map list:

  • Click the Add Raster Map button [image];

    • A small dialog box follows in which you can select a raster map which must have the same domain and the same georeference as the other maps in the map list;

  • Drag one or more selected raster maps from a Catalog or from Windows Explorer into the opened map list.

To remove maps from a map list:

  • Select one or more raster maps in the map list, and
  • click the Remove Raster Map(s) button [image], or press the Del key on the keyboard.

To change the order of maps in a map list:

  • Select one or more raster maps in the list, and
  • drag and drop the selection to another position in the list.

See also:

ILWIS objects : map lists


How to edit point, segment, polygon and raster maps

How to edit ...

point, segment, polygon and raster maps

In a map window, map editors can be used to edit features of raster, polygon, segment or point maps.

  • In a raster map, the class names, IDs, or values of selected pixels can be edited;
  • In a polygon map, the class names, IDs, or values of selected polygons can be edited, labels can be created from polygons, labels can be applied to polygons and segment can be extracted from polygons;
  • In a segment map, new segments can be inserted and existing ones can be deleted, the codes of segments can be edited, and the shape of a segment can be changed;
  • In a point map, new points can be inserted and existing ones can be deleted, the class names, IDs, or values of selected points can be edited, and points can be moved to a new position.

You can use a digitizer but you can also use the mouse pointer.

To start a map editor:

  • in a Catalog, select a map, and choose Edit Object from the Edit menu of the Main window, or
  • in the Operation-tree or the Operation-list, double-click the Edit item, and select a map, or
  • in a Catalog, click with the right mouse button on a map and choose Edit from the context-sensitive menu, or
  • display a map in a map window, open the Edit menu in the map window, choose Edit Layer, select the map layer you want to edit, or
  • display a map in a map window, open the Edit menu in the map window, choose Edit Other Map, and select the editor you want to use and the map you want to edit.

When an editor is started, the mouse pointer appears as a hand.

In the editors, press F1 to obtain Help on that editor, or choose the Help on this window command on the Help menu.

To use a digitizer, refer to How to setup a digitizer and start digitizing, Point editor : Digitizer, Segment editor : Digitizer, Polygon editor : Digitizer.

Mind:

Dependent maps and maps marked as read-only cannot be edited; also maps using a Picture domain or a Color domain cannot be edited. When you want to edit a dependent map, you first have to break the dependency links of the map in the map's properties sheet.

See also:

Point editor : functionality

Segment editor : functionality

Polygon editor : functionality

Pixel editor : functionality

How to setup a digitizer and start digitizing

How to create a polygon map


How to view and edit the properties of an object

How to view and edit

the properties of an object

The properties of a map, table or column or any other ILWIS object shows you important information on the object. In fact, an object's Properties sheet is listing the information that is stored in an object's object definition file and that is relevant to the user.

Viewing the properties of an object may be very useful. You can see for instance the date and time and the description of the object, which other objects the current object is using (e.g. for raster maps the domain and georeference) and whether an attribute table is linked to a map or a domain. The properties sheet also shows whether the object is dependent or not, and whether a dependent object is up-to-date or not. Furthermore, you can easily update objects when they are not up-to-date any more, you can change the definition of calculated maps and calculated columns, break dependencies, etc. For more information, see Basic concepts : properties of objects.

Viewing properties of objects

To view the properties of an object (except columns):

  • click an object in the Catalog with the right mouse button, and choose Properties from the context-sensitive menu, or
  • select one or more objects in a Catalog, and choose Properties from the Edit menu in the Main window.

Other methods are:

  • for maps displayed in a map window, open the File menu of the map window, and choose Properties,
  • in the Layer Management pane of a map window, double-click the word 'Properties' of a layer,
  • in the Layer Management pane of a map window, expand the [image] item of a layer, then click an object with the right mouse button and select Properties from the context-sensitive menu,
  • for a table displayed in a table window, open the Edit menu in the table window and choose Properties,
  • for domains Class or ID displayed in the Domain Class/ID editor, open the File menu in the domain Class/ID editor and choose Properties,
  • for representations displayed in the Representation Class editor or Representation Value editor, open the File menu in the Representation Class editor or the File menu in the Representation Value editor window and choose Properties.

The Properties sheet of the selected object appears.

To view the properties of a column in a table:

  • open a table in a table window, and double-click a column button (which displays a column name), or
  • from the Columns menu in a table window, choose Column Management, the Column Management dialog box appears, select a column in the list box and click the Properties button.

The Column Properties dialog box of the selected column appears.

Handling properties of objects

  • The Description of an object can always be changed.
  • An Attribute table can always be linked to a raster, polygon, segment or point maps with a class or ID domain or to a class or ID domain itself.
  • The Used By button can always be pressed to see by which other objects the current object is used.
  • An object can always be made read-only or not.
  • For columns that are the result of a calculation (ColumnCalculate), the calculation formula or expression used to create the column can be changed.

For dependent maps, tables and columns, the most important features of a properties sheet or dialog box are invoked by pressing one of the following buttons that may appear in the Properties: Make Up-to-Date, Edit Definition, Break Dependency Link, Release Disk Space, Calculate.

Make Up-to-Date: | For dependent data objects of which the input data has changed: click this button to redefine the dependent output object. See also How to make dependent data objects up-to-date.
Edit Definition: | For dependent raster maps that are the result of a map calculation (MapCalculate), click this button to modify the map calculation formula by which this map was created. The definition of a dependent column that is the result of a table calculation (ColumnCalculate), can be directly edited in the Properties dialog box of the column. See also How to change the definition of a dependent data object.
Break Dependency Link: | For dependent data objects: click this button to break the dependency links between the current dependent object and the objects it depends on. After breaking dependency links of a dependent map, table or column, the map, table, or column becomes editable. See also How to break dependency links.
Release Disk Space: | For dependent data objects with a calculated data file: click this button to delete calculated data files. Only the object definition file that contains the expression by which the object is defined remains. See also How to release disk space.
Calculate: | For dependent data objects without a calculated data file: click this button to execute the expression by which this object was created and store the calculated data file on disk.

For more information, refer to Basic concepts : properties of objects or to the Property sheets.

Editing properties of non-dependent objects

For non-dependent objects, relations to other objects may be changed. You can for instance link another default representation to a domain, another georeference to a raster map, or link another coordinate system to a vector map, or change the domain of an object. Editing Properties is something for the more experienced user. Especially changing the domain of an object is only necessary in very specific cases and should never be done without a backup of your original map.

To edit the properties of a non-dependent object:

  • open the Properties sheet of an object as described above.

You can change the links to objects that the current object uses, such as domain, georeference, etc.

See also:

Basic concepts : dependent data objects

Basic concepts : properties of objects

Appendices: relations between ILWIS objects


How to edit representations

How to edit a representation

A representation defines the manner in which the classes of a map with a class domain, a group domain or a picture domain, or the values of a map with a value domain or the image domain should be represented on the screen and on a printer. When a map is shown by an attribute column, the domain of the attribute column determines the (default) representation. A representation is a service object of a domain.

Representations can be edited:

  • by opening a representation class in the Representation Class editor, or
    by opening a representation value or gradual in the Representation Value/Gradual editor,
  • interactively in a map window when the map window displays a map with a class domain,
  • by opening a representation class as a table (advanced).

Mind:

  • System representations such as the representations gradual Pseudo or Gray are read-only and cannot be edited.
  • Some special display possibilities exist for point maps and point attributes that use a Value domain or an ID domain.
  • Maps that use a Bool, Bit, ID or the Color domain do not have a representation.

For more information, see Additional Info below.

Opening a representation editor

Depending on the type of the representation you open, either the Representation Class editor or the Representation Value/Gradual editor will be opened.

To open a representation editor from the Main window:

  • in the Catalog, double-click a representation,
  • in the Catalog, click a representation with the right mouse button, and choose Open from the context-sensitive menu,
  • in the Catalog, select a representation, then open the Edit menu in the Main window and choose the Edit Object command,
  • in the Operation-tree or the Operation-list, double-click the Edit item and select any representation,
  • drag any representation from the Catalog to the Edit item in the Operation-tree or the Operation-list.

To open a representation editor from a map window:

  • in the Layer Management pane of a map window, double-click the word "Legend",
  • choose the Representation command from the Edit menu of a map window.

To open a representation editor from the domain Class/ID editor:

  • click the Representation button in the toolbar, or
  • choose the Open Representation command from the File menu.

Tips:

  1. For descriptions on how to use the Representation editors, see Representation Class editor : functionality and Representation Value/Gradual editor : functionality.
  2. When you opened a representation editor from a map window, and you want to see how the changes you made in the representation editor actually look in your map:
    • keep the representation editor open,
    • click the Redraw [image] button in the map window,
    • continue to change the representation in the representation editor and to redraw the map window until satisfied.

Interactively editing classes in a map window

When a map with a class or group domain is displayed in a map window, you can also directly edit specific classes of the representation that is currently used.

Double-clicking classes in the Legend of the Layer Management pane:

  1. Display the map in a map window;
  2. Expand the Legend in the Layer Management pane of the map window if necessary;
  3. Double-click a class in the Legend;
  4. An Edit Repr Item dialog box will appear in which you can directly change colors, polygon patterns, segment line types, line widths, point symbols, etc.

The map window will directly show the map in the changed representation.

Double-clicking mapping units in the map window:

  1. Display the map in a map window and make sure that the Info check box in the map's Display Options dialog box is marked;
  2. Open the Layers menu in the map window, choose the Double-Click Action command and select the Edit Representation option;
  3. Then, double-click the pixels, polygons, segments or points in the map: each time an Edit Repr Item dialog box will appear in which you can directly change colors, polygon patterns, segment line types, line widths, point symbols, etc.
  4. The map window will directly show the map in the changed representation.
  5. Continue double-clicking units in the map and editing the representation of that class until satisfied.

See also Map window : advanced functionality.

Opening a representation class as a table (advanced)

Advanced users may wish to edit a representation class in table form:

  • click a representation class with the right mouse button in the Catalog, and
  • choose Open As Table from the context-sensitive menu.
For more information, see the Open/Show As Table dialog box.

Additional information

Dealing with system domains, system representations and read-only representations:

The Representation command on the Edit menu of a map window is grayed out when for instance:

  • you displayed a value map that uses a system domain and you accepted the default system representation in the map's Display Options dialog box,
  • when you selected a system representation in a map's Display Options dialog box,
  • when you selected a read-only representation in a map's Display Options dialog box.

System representations (e.g. Pseudo or Gray) are always read-only and read-only objects cannot be edited.

You have two options to solve this 'problem':

  1. Create a new representation:

    2. Reopen the map's Display Options dialog box, and click the create button [image] next to the Representation list box.

    The Create Representation dialog box will appear:

    • in case a value map uses system domain Value and you want to create a representation value (which works in values), you should CLEAR the Use Percentages check box in the Create Representation dialog box.

    For more information on creating representations, see the Create Representation dialog box.

    You can edit the new representation as usual.

  2. Change the domain of a map from a system value domain to a user-defined value domain:

    3. When values in a map (domain type Value) have a specific meaning, are in a specific range and should be represented by specific colors or ranges of colors, it is advised to create a user-defined value domain.
    To convert a map with system domain Value to a map with a user-defined value domain, see How to change the domain of a map.

Tips:

  • To view the domain of a map and to view the representation of a domain, expand the Properties item in the Layer Management pane of a map window.
  • You can also inspect the properties of individual objects from the Catalog.
  • For more information, see How to view and edit the properties of an object.

Symbols for point maps:

  • For point maps with a class domain, you can use Single Symbols or create a representation class as described above. In the Edit Item (point) dialog box in the Representation Class editor, you then define symbol type, point size and colors for the points.
  • For point maps with a value domain, you can click the Symbols button in the Display Options - Point Map dialog box. In the Symbol dialog box, you can then define symbol type, point sizes, colors, etc.
  • For point maps with an ID domain and which have a linked attribute table, you can use the options Single Symbol, Symbols by Attributes, Symbols as Arrows, Symbols as Graphs as available in the Display Options - Point Map dialog box.

To store the display settings of point maps with a value or an ID domain, you can save the map window as a map view.

Colors for maps with a Bool, Bit, ID, or the Color domain:

Maps with a Bool, the Bit, an ID, or the Color domain do not have a stored representation on disk.

  • For maps with a Bool domain or the Bit domain, you can interactively select colors in the Display Options dialog box of the map each time you display the map. You can save the display settings of a map by saving the map window as a map view.
  • Maps with an ID domain can be shown in 7, 15, or 31 colors to inspect the map itself. In most cases however, you will display an ID map by one of its attributes as stored in the map's attribute table; to do so, select the Attribute check box in the Display Options dialog box of the ID map and select an attribute column.
  • Raster maps or attributes with the Color domain store colors in each pixel or in each field of the column, so no representation is needed.

See also:

Representation Class editor : functionality

Representation Value/Gradual editor : functionality

ILWIS objects : representations

How to create a representation


How to edit sample sets

How to open an existing sample set

How to edit a sample set

To perform an image classification, a sample set has to be created. Then, you can sample training pixels: assign class names to groups of pixels with similar spectral values and that are supposed to represent a known feature on the ground.

To open a sample set:

  • double-click an existing sample set in the Catalog, or
  • from the Operations menu in the Main window, select Image Processing, Sample, and select an existing sample set, or
  • in the Operation-tree or the Operation-list, double-click Sample Map, and select an existing sample set, or
  • click the sample set with the right mouse button in the Catalog: choose Open from the context-sensitive menu, or
  • drag an existing sample set from the Catalog, to the Sample Map item in the Operation-tree or the Operation-list, or
  • from the File menu in the Main window, select Open, specify sample set for object type, and select a sample set, or
  • from the Edit menu in the Main window, select Edit Object, specify sample set for object type, and select a sample set.

The sample set editor is started. There, you can select more training pixels, inspect statistics of classes of training pixels, inspect feature spaces, merge classes of training pixels, etc.

See also:

Sample set editor

How to create a sample set


How to edit scripts

How to edit a script

A script is a sequenced list of ILWIS commands and expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline. Scripts are more or less equivalent to batch files in ILWIS version 1.4.

To edit a script:

  • in the Catalog, double-click a script, or
  • select a script in the Catalog, open the Edit menu in the Main window and choose Edit Object, or
  • in the Catalog, click a script with the right mouse button, and select Open from the context-sensitive menu.

The Script editor appears in which you can edit your script expressions.

Tips:

  • For more information on valid script expressions, see Appendices : ILWIS script language (syntax).
  • An example of a script is presented in Map & Table calculation : creating and running scripts.

See also:

Script editor : functionality

ILWIS objects : scripts


How to edit tables

How to edit a table

A table is displayed in a table window.

A table consists of columns, records and fields. Schematically, this looks like:

Fields of editable source columns can be edited.

You can edit:

  • single fields (both in the table viewer and in record view),
  • selected fields in a single column (only in the table viewer),
  • selected fields in multiple columns (only in the table viewer).

This topic deals with editing single fields and describes the behaviour for various column domains.

The editing of multiple fields is performed via a dialog box. For more information, refer to:

  • Edit fields in a single column, or
  • Edit fields in multiple columns.

Note: You cannot edit:

  • fields of dependent columns, which contain the results of a calculation or a column operation,
  • fields in a dependent table, where the table is the result of an operation, or
  • fields of read-only columns.

For more information, see ILWIS objects : columns.

Editing single fields

In short:

  • When a column uses a value or identifier domain, you can select a field by clicking it with the mouse pointer and directly start typing.
  • When a column uses a class domain, you can select a field, open the drop-down list box and then select a class name from the list.

If a column is not wide enough to the contents of the fields, stars * appear. You can enlarge the width of the column by dragging the right side of the column button to the right.

Using the keyboard to move through fields of a table:

If you want to edit many fields in a table, it is advised not to use the Enter key on the keyboard, instead:

  • to move downward or upward in the table to edit other fields, press the Down Arrow or Up Arrow keys on the keyboard,
  • to move to the right in a table to edit other fields, press the Tab key on the keyboard,
  • to move to the left in a table to edit other fields, press the Shift +Tab keys on the keyboard.

Whenever you move to another field, the previously edited field is directly stored on disk. You can stop editing by pressing Enter or Esc.

Behaviour for various domain types

To edit columns using a value domain:

When the column uses a value domain:

  • select a field in the column and type a new value.

If the value you typed does not fit in the value range of the column, the undefined value is assigned represented by a question mark. Values are rounded so that fit the precision of the column. To have column values displayed with more decimals or less decimals, change the Decimals option in the Column Properties dialog box.

To edit columns using an ID domain:

When the column uses an ID domain:

  • select a field in the column and type a new value or a new Identifier.

If the ID you typed is not yet present in the domain of the column, a question is asked whether this ID should be added to the domain.

To edit columns using a class domain:

When the column uses a class domain:

By mouse:

  • select a field in the column,
  • open the drop-down list box showing all class names of the domain and
  • select a class name from the list.

By keyboard:

  • select a field in the column,
  • press the Left Arrow and Right Arrow key on the keyboard, to move up and down in the drop-down list box with the classes,
  • press the Down Arrow or Up Arrow keys on the keyboard, to move downward or upward to another record in the column.

You can add a new class to the domain, by selecting the <new> item in the list.

To edit columns using the Bool or the Yes/No domain:

A column which uses system domain Bool can contain the values True, False and ? (undefined).

A column which uses system domain Yes/No can contain the values Yes, No and ? (undefined).

In a field of a column that uses the Bool or Yes/No domain:

  • type T or Y or 1 to obtain a True value,
  • type F or N or 0 to obtain a False value,
  • type ? to obtain an undefined value,
  • you can select a field and press the space bar to change True in False and vice versa.

To edit columns using the Color domain:

Fields in a column that uses the Color domain can store colors as (Red, Green, Blue) values. The minimum value for Red, Green, and Blue is 0; the maximum value for Red, Green and Blue is 255.

( 0, 0, 0) | represents black
(255,255,255) | represents white
(255, 0, 0) | represents red, etc.

If width of the column is not wide enough to display Red, Green and Blue values, the Red, Green and Blue values are shown in hexadecimal notation. If you like, you can edit colors in this hexadecimal notation (where 000000 is black, FFFFFF is white, FF0000 is red, etc.). However, if you wish to see RGB values between 0 and 255: enlarge the width of the column.

Tip:

There are many more keys on the keyboard that you can use in a table window. For more information, see Appendices : keyboard shortcuts.

Dependent columns or dependent tables

In principle, fields of dependent columns and fields of table-owned columns in dependent tables are not editable in order to protect the results of a calculation or an operation.

If you need to edit fields of a dependent column, you first have to break the dependency links of the dependent column in the Column Properties dialog box of the dependent column.

If you need to edit fields of a table-owned column in a dependent table, you first have to break the dependency links of the dependent table in the Table Properties sheet of the dependent table.

See also:

Table window : functionality

Edit fields in a single column

Edit fields in multiple columns

ILWIS objects : columns

Column Properties

Table Properties


How to edit two-dimensional tables

How to edit ...

two-dimensional tables

When you create a new two-dimensional table, it is directly displayed in a table window where you can also directly edit it.

To display and to edit an existing 2-dimensional table:

  • from the Edit menu in the Main window, choose Edit Object and select a two-dimensional table, or
  • double-click a two-dimensional table in the Catalog, or
  • use the right mouse button on a two-dimensional table in the Catalog, and select Open from the context-sensitive menu.

A table window is opened which displays the two-dimensional table; you can edit the two-dimensional table in the table window. For more information on editing fields in a table, refer to How to edit a table.

See also:

How to create a two-dimensional table


How to export data

To export maps, tables, histograms or coordinate systems, you can use ILWIS Export.

  • With ILWIS Export, you can exports maps, tables, histograms and coordinate systems to the formats described below.

When you wish to export multiple files, it is advised to use the ILWIS command line or an ILWIS script. Export expressions are described in Appendices : ILWIS script language (syntax), section Export expressions.

Exporting data using ILWIS Export

You can use ILWIS Export to export ILWIS map lists, maps, tables and histograms to the following packages and formats:

Raster: | Arc/Info ASCII (.ASC), Erdas .GIS .LAN (.GIS, .LAN), IDA images (.IMG), Idrisi maps (.DOC/.IMG), ILWIS 1.4, ILWIS ASCII (.ASC), TIFF images, including GeoTIFF extensions (.TIF), and Windows bitmaps (.BMP).
Vector: | Arc/Info E00 (.E00), Arc/Info ASCII vector (.LIN), Arc/Info ASCII vector (.PTS), Arc/View Shape files (.SHP, SHX, DBF), Atlas segments (.BNA), AutoCad (.DXF), ILWIS ASCII segments (.SMT), ILWIS version 1.4, ILWIS version 2, InfoCam (.SEQ).
Table: | dBase III/IV table (.DBF), dBase SDF table (.SDF), Delimited ASCII Text (.TXT), ILWIS 1.4, ILWIS 2.
Histogram: | dBase III/IV table (.DBF), dBase SDF table (.SDF), Delimited ASCII Text (.TXT).
Coordinate system: | ESRI ArcGIS (.PRJ).

To start exporting single maps, tables, histograms and coordinate systems using ILWIS export:

  • open the File menu in the Main window and choose Export,
  • expand the Import/Export item in the Operation-tree, and double-click the Export item, or
  • double-click the Export item in the Operation-list.

The Export dialog box will be opened; select the file you wish to export and the Export Format.

To export (multiple) maps, tables and all other objects that are internally stored as a table, to one of the formats listed above you can also type expressions on the command line or create a script containing one or more export expressions. For more information, see Appendices : ILWIS script language (syntax), section ILWIS Export.

See also:

Export (dialog box)

Appendices : ILWIS script language (syntax), section Export expressions

Appendices : ILWIS script language (syntax), section ILWIS Export


How to import

How to import ... UP

data from other packages

ILWIS 1.4 raster data


How to import data from other packages

How to import ...

data from other packages

To import maps, you can use ILWIS Map Import and Import General Raster.

  • ILWIS Map import imports only files in the formats as described below. For ASTER (1A/1B) images you can choose to convert the data files to ILWIS data files or to import with UseAs. All other external file formats will always be converted to the ILWIS data format.

  • ILWIS Import General Raster is designed to import satellite imagery/raster maps with a known header. You can choose to convert the data files to the ILWIS data format or to import with UseAs.

You can choose the method which suits your needs best.

To import tables, you can use the ILWIS Import Table wizard. The Import Table wizard can be used:

  1. To import a file in a foreign format (ASCII or DBF) into ILWIS. The formats that are allowed are described below. ILWIS import routines will be used. The table will be converted to the ILWIS table format [image].

  2. To access or import a single table from a file-based database format (DBF, XLS, MDB).

    3. A Windows access method is used, which makes use of an OLE DB Provider which, in turn, probably uses installed ODBC drivers. You can choose to use the table in its original format and obtain a Use As table [image] u, or to convert the table to the ILWIS table format [image].

To access a file-based database, you can also:

  • make a foreign file extension visible in the Catalog, and double-click the external file.

Also here, an OLE DB Provider and probably an installed ODBC driver will be used. You will obtain a database collection [image] with Use As tables [image] u.

For more information on databases, see ILWIS objects : tables - databases.

When you wish to import multiple files, it is advised to use the ILWIS command line or an ILWIS script. Import expressions are described in Appendices : ILWIS script language (syntax), section Import expressions.

Importing maps through ILWIS Import

You can use ILWIS Map Import to import maps from the following packages and in the following formats:

Raster: | Arc/Info non-compressed ASCII (.ASC or .NAS), Arc/Info .E00 interchange format (.E00), ASTER (1A/1B), Compuserve GIF images (.GIF), Erdas .GIS and .LAN files (.GIS, .LAN), IDA images (.IMG), Idrisi maps (.DOC), ILWIS ASCII raster (.ASC), PaintBrush pictures (.PCX), Tagged Image File Format (.TIF) including GeoTIFF images (.TIF), and Windows bitmaps (.BMP).
Vector: | Arc/Info .E00 interchange format (.E00), Arc/Info .LIN .PTS (ASCII vector), Arc/View Shape (.SHP, .SHX, .DBF), Atlas segments (.BNA), AutoCad .DXF, GARtrip Text (.TXT), ILWIS ASCII segments (.SMT), InfoCam Sequential (.SEQ).

To start importing single maps:

  • Open the File menu from the Main window and choose Import Map,
  • Expand the Import/Export item in the Operation-tree and double-click the Import Map item, or
  • Double-click the Import item in the Operation-list.

The Import Map dialog box will be opened:

  • select the Import Format,
  • select the file you wish to import,
  • specify a name for the ILWIS output object(s) without extension.

The Import Map dialog box, furthermore asks the following:

  • For ASTER level 1A and level 1B images, decide whether you wish to convert the data:
    • to Radiances (W/m2/sr/µm) or to sensor calibrated DN values;
    • to the ILWIS data format(s) or to use the data files as they are (UseAs).

    For more information about importing ASTER images, see Import ASTER.

  • For the GARtrip (GPS data) import format, optionally specify an altitude correction value.

Tip:

To import (multiple) maps, you can also type expressions on the command line or create a script containing one or more import expressions. For more information, see Appendices : ILWIS script language (syntax), section ILWIS Map Import.

Importing general raster data through ILWIS Import

To start importing general raster files:

  • Open the File menu of the Main window and choose Import General Raster,
  • Expand the Import/Export item in the Operation-tree and double-click the Import General Raster item, or
  • Double-click the Import General Raster item in the Operation-list.

First, the Import dialog box will be opened; for Import Format, [image] Use General Raster Import is already selected. After selecting an input file and clicking OK, the Import General Raster Data dialog box will appear. You should decide on whether you wish to convert the data to the ILWIS data format(s) or to use the data files as they are (UseAs).

To import (multiple) general raster files, you can also type expressions on the command line or create a script containing one or more import expressions. For more information, see Appendices : ILWIS script language (syntax), section ILWIS General Raster Import.

Importing tables through Import Table wizard

To start the Import Table wizard:

  • Open the File menu of the Main window and choose Import Table,
  • Expand the Import/Export item in the Operation-tree and double-click the Import Table item, or
  • Double-click the Import Table item in the Operation-list.

The Import Table wizard will be started.

a. Import Table wizard to import a foreign table with ILWIS import:

Foreign table formats:

dBase III/IV files (DBF), ILWIS 1.4 tables (ASCII), Comma delimited files (ASCII), Space delimited (ASCII), and Standard format files (SDF, ASCII) also known as Fixed format.

The imported table is always converted to the ILWIS table format [image].

To import (multiple) foreign table files, you can also type expressions on the command line or create a script containing one or more import expressions. For more information, see Appendices : ILWIS script language (syntax), section ILWIS Table Import.

b. Import Table wizard to import a foreign file-based database (OLE DB/ODBC):

The Import Table wizard can also be used to import a single table (or view) from a file-based database format, such as dBase .DBF, Excel .XLS or Access .MDB.

The file-based database formats that are actually supported depend on the installed OLE DB Provider(s) and probably on installed ODBC drivers. For a standard Windows database such as Access, the required ODBC driver is already present.

You can choose to use the table in its original format and obtain a Use As table [image] u, or to convert the table to the ILWIS table format [image].

Accessing a database (OLE DB/ODBC)

For a file-based database format:

  • use Customize Catalog, to show the external file extension in a Catalog,
  • double-click the foreign file in the Catalog.

You will obtain a database collection [image] in your Catalog. When you double-click the database collection, the tables [image] in the database collection will appear. When you double-click a table, it will be opened in Use As manner [image] u.

For more information, refer to ILWIS objects : tables - databases.

See also:

Import Map

Import ASTER

Import General Raster

Import Table wizard

ILWIS objects : tables - databases

Basic concepts

Basic concepts : before creating maps and tables

Basic concepts : working with domains

Appendices : ILWIS script language (syntax), section Import expressions


How to import ILWIS 1.4 raster data

How to import ...

ILWIS 1.4 raster data

Raster data from ILWIS 1.4 can only be imported into ILWIS 3 through the command line of the Main window. The syntax is described in topic Appendices : ILWIS script language (syntax), section ILWIS 1.4 Raster Import.

This topic gives you some preparative hints and background information so that import from ILWIS 1.4 into ILWIS 3 will be a smooth process. In the remainder, ILWIS 1.4 is used meaning ILWIS 1.3, 1.4 or 1.41.

  1. First of all, make a backup of your existing data.
  2. Organize the data to be imported in one or more directories.

Before starting to import, it is strongly advised to carefully read the following paragraphs.

Importing satellite images:

The .MPD and .MPI files of the satellite bands should be available. Any .HSB or .COL files can be deleted. When importing, specify domain type Image for satellite imagery.

Importing color composites:

The .MPD, .MPI, and .COL files of the color composite should be available. You may need to save the color composite's color look up table (.COL) in ILWIS 1.4; give it the same name as the color composite. When importing, specify domain type Picture for the output color composites.

Importing raster maps that were created from vector data:

Specify the domain type for the output map as:

  • domain type Class when the elements in the original polygon, segment or point map are named by class names (e.g. mapping units in thematic maps). The classes may occur in various parts in the original polygon, segment or point map. The .MPD, .MPI, .COL and .INF files should be available for domain Class raster maps.
  • domain type ID, when the elements in the original polygon, segment or point map are uniquely named (e.g. cadastral plots). The .MPD, .MPI, and .INF files should be available for domain ID raster maps.
  • domain type Value when the elements in the original polygon, segment or point map refer to measurable values (e.g. contour lines). The .MPD and .MPI files should be available for domain Value raster maps.

Importing raster maps obtained through calculations:

For maps containing measurable values, for example created by MCalc calculations or by interpolations, the .MPD and .MPI files should be available. Any .HSB, .HSI files can be deleted. When importing, specify domain type Value. If you have a byte map with a user-defined color lut, see the next paragraph.

Importing classified raster data:

Byte maps containing classes are expected to have an .INF table with the class names and a color lut .COL. Such maps may for instance be obtained by a classify operation in MCalc using a classify table, or are output maps of an image classification. However, maps created through a classify table do not yet have an .INF table; it is advised to create one before Import 1.4. You could do this in ILWIS 1.4 TabCalc: create a table with as many records as classes in your map, add one column Name$, and type the meanings of your classes for each record, save as .INF. Of course, the same can be obtained with an editor.

As mentioned before, Import 1.4 works smoothly when the .MPD, .MPI, .COL and .INF files are available. It is also advised that the files have the same file name, e.g. DISTCLAS.MPD, DISTCLAS.MPI, DISTCLAS.COL, and DISTCLAS.INF. When importing, specify domain type Class.

Mind: if you do not make the effort to create an .INF table beforehand, then specify domain type Class or ID during import, and edit this domain later yourself.

Importing other raster data:

To import bitmaps, the .MPD and .MPI files should be available. There is no need for a .COL file. Bitmaps are automatically imported with domain type Bit.

Scanned raster data can be imported when the .MPD, .MPI are available. If the scanned data consists of gray values, specify domain type Image during import. If the scanned data is in color, the .COL should also be available. Then, specify domain type Picture during import.

To start importing maps and tables from ILWIS version 1.4:

Type on the command line of the Main window, the syntax as described in topic Appendices : ILWIS script language (syntax), section ILWIS 1.4 Raster Import.

When Import has finished you can start to display your maps, etc., see Getting started with ILWIS.

See also:

Basic concepts

Basic concepts : before creating maps and tables

Basic concepts : working with domains

Appendices : ILWIS script language (syntax), section ILWIS 1.4 Raster Import


How to interpolate

Interpolations can be performed on domain Value segment maps, point maps and raster maps. The following interpolation operations are available:

Contour interpolation:

Contour interpolation first rasterizes a domain Value segment map, and then calculates values for pixels that are not covered by segments by means of a linear interpolation. Contour interpolation can be used to create digital elevation models (DEM), also called a digital terrain models (DTM), or any other raster map representation of a continuously changing variable.

Point interpolation:

A point interpolation performs an interpolation on randomly distributed point values (domain Value point map) and returns regularly distributed point values. This is also known as gridding. In ILWIS, the output values are raster values. Several interpolation methods are available: Nearest point, Moving average, Trend surface, Moving surface. For the Moving average and Moving surface operations, several weight functions are available. After a point interpolation, Densify should be used to obtain finer grid values.

Furthermore, a number or Kriging methods are available: Simple and Ordinary Kriging, Anisotropic Kriging, Universal Kriging and CoKriging. Before Kriging, you need to calculate experimental semi-variogram values with Spatial correlation, or with Cross Variogram (for CoKriging only). Then, in a graph window, you need to determine a semi-variogram model which fits your experimental semi-variogram values. The weight factors in a Kriging operation are determined by using the user-specified semi-variogram model and the distribution of input points.

Densify:

Densify performs a reduction of the pixel size of a raster map. The number of rows and columns of the map are increased, and new values are assigned to the pixels by means of a bilinear or bicubic interpolation.

Tip:

For value raster maps, you can mark the 'Interpolation' check box in a Raster Map Properties dialog box; when pressing the left mouse button in a map window which displays such a value raster map (Info), you will then obtain interpolated value information on sub-pixel level.


How to join

How to join ... UP

Areas from a histogram to an attribute table

Columns from another table to the current table


How to join areas from a histogram into an attribute table

How to join

Areas from a histogram into an attribute table

Suppose you have a polygon map and a raster map Landuse with domain Landuse. The maps have an attribute table Landuse; the attribute table also uses domain Landuse.

A histogram can be created both for the polygon map Landuse as well as for the raster map Landuse; both histograms will contain a column Area which are the areas of all classes in polygon map Landuse and raster map Landuse. The histograms use domain Landuse which is also the domain of the map.

To join Area values from a polygon histogram into an attribute table:

When you wish to use the Join Column wizard:

  • open the attribute table,
  • from the Columns menu in the table window, choose the Join command,
  • the Join Column wizard is started:
    • on the Specify Table and Column page: select for Table, polygon histogram [image] Landuse; and select for Column, Area which contains area values for the polygons.
    • on the Join method page: select the option Use Domain of current table (key1) and use Domain of selected table (key2).
    • on the Output column page: type a name for the output column, or accept the default.

When you wish to type an expression on the command line:

  • type one of the following expressions on the command line of the table window:

    • LandArea = Landuse.hsa.Area

    or

    LandArea = ColumnJoin(Landuse.hsa, Area)

    where:

    LandArea | is the new column in the attribute table
Landuse.hsa | is the polygon histogram of polygon map Landuse, it stores a column Area.
Area | is the column in Landuse.hsa that you wish join into the attribute table.

To join Area values from a raster histogram into an attribute table:

You can use practically the same procedure as described above. The only differences are:

  • In the Join Column wizard: on the Select Table and Column page, select for Table raster histogram [image] Landuse.
  • On the command line, type one of the following expressions:

    • LandArea = Landuse.his.Area

    or

    LandArea = ColumnJoin(Landuse.his, Area)

    where:

    Landuse.his

    is the raster histogram of raster map Landuse, it stores a column Area.

Example:

Polygon histogram of polygon map Landuse:

Attribute table Landuse with joined column LandArea:

See also:

Join Column wizard

Table calculation : joining columns from other tables

Histogram : functionality

How to join columns of another table into the current table


How to join columns of another table into a current table

How to join

Columns of another table into a current table

The easiest way to join columns from another table into a current table is to use the Join Column wizard.

To start the Join Column wizard:

  • Open the table into which you wish to join a column from another table.
  • From the Columns menu in the table window, choose the Join command.
  • The Join Column wizard appears.

The wizard needs to know the table name from which you wish to get a column, the name of the column that you wish to join from that table into the current table, and the relation or link between the two tables. This link is made via a common domain that is used either by the tables themselves or by a column in the tables. This link or key, through which a join can be performed, should be a (common) Class or ID domain.

Short explanation of the Join Column wizard:

  1. Select table and column:
    • Select the table from which you wish to join a column into the current table.
    • From the selected table, select the column that you wish to join into the current table.

  2. Join method:
    • Select one of the join methods, see the explanation below.

    If you wish to create a link through the common Class or ID domain of both tables, i.e. both tables use the same domain, you will directly continue on the Output column name page.

  3. Link between tables:
    • Select a key column from the current table (key 1), and/or a key column from the second, selected table (key2).

  4. Aggregation method:
    • If the values to be joined need to be aggregated, select an aggregation function and, optionally, a weight column from the second table.

      • The Aggregation method page will not appear when an aggregation is not necessary.

  5. Output column name:
    • Type, for the current table, a name for the output column that will contain the joined values.

For more information, refer to the Join Column wizard Help.

Join methods to create links between tables

1. Two tables which use the same domain:

The tables have a one to one relation.

You don't have to specify a key.

The link between the tables can be directly created through the domain of both tables.

2. A column in the current table uses the same domain as the second table:

The relation between the column of the current table and the second, selected table is a many to one relation.

You will need to specify a key column from the current table, i.e. key 1.

The link between the tables can then be created through the domain of the specified key column in the current table (key 1) and the domain of the second, selected table (key 2).

3. The current table uses the same domain as a column in the second table:

The relation between the records in the current table and the values in the second, selected table is possibly a one to many relation.

You will need to a key column from the second, selected table, i.e. key 2.

The link between the tables can then be created through the domain of the current table (key 1) and the domain of the specified key column in the second, selected table (key 2).

  • Furthermore, when the classes or IDs in the key 2 column of the second table are not unique (i.e. one to many relation), then the values to be joined need to be aggregated by the groups of key 2.

    • You will then thus need to specify from the second, selected table a key 2 column (the 'group by' column), an aggregation method, and optionally a weight column.

  • When the classes or IDs in the key column of the second table are unique (i.e. one to one relation), you should only specify key 2.

4. A column in the current table uses the same domain as a column in the second table:

The relation between the records in the current table and the second, selected table is possibly a many to many relation.

You will need to specify both a key column from the current table, i.e. key 1, as well as a key column from the second, selected table, i.e. key 2.

The link between the tables can then be created through the domain of the specified key column in the current table (key 1) and the domain of the specified key column in the second, selected table (key 2).

  • Furthermore, when the classes or IDs in the key 2 column of the second table are not unique (i.e. many to many relation), then the values to be joined need to be aggregated by the groups of key 2.

    • You will then thus need to specify from the second, selected table, a key 2 column from the second table (the 'group by' column), an aggregation method, and optionally a weight column; and from the current table a key 1 column.

  • When the classes or IDs in the key column of the second table are unique (i.e. many to one relation), you should only specify key 2.

Tips:

  • Links between tables are always through Class or ID domains.
  • For more information on column aggregations, refer to Aggregate functions.
  • You can find examples, exact settings of the wizard, and also Join command line syntax in topic Table calculation : joining columns from other tables.

See also:

Join Column wizard

Table calculation : joining columns from other tables


How to make dependent data objects up-to-date

Dependent maps, tables and columns are the result of a calculation with MapCalc or TabCalc (in which you used the definition sign =) or the result of another operation. The complete expression by which dependent output objects are created is stored by the output maps, tables and columns as their definition. Dependent data objects thus know how they were created and on which input data they depend.

Whenever you edit one of the input maps, tables or columns on which a dependent object depends, it is obvious that also the dependent output objects need to be updated, i.e. recalculated. In the Properties sheet of dependent maps, tables and columns, it is specified whether the current object is still up-to-date or not. If not, you can press the Make Up-to-Date button in the Properties sheet and the dependent data object is redefined. In fact, all dependent maps, tables and columns in between the current one and your updated starting material are scanned and recalculated. There is thus no need to completely redo all operations to obtain the dependent output again.

To make dependent maps and dependent tables up-to-date:

  • select one or more dependent raster, polygon, segment and/or point maps, and/or dependent tables in a Catalog,
  • press the right mouse button,
  • choose Properties from the context-sensitive menu,

or

  • select one or more dependent maps and/or tables in a Catalog,
  • open the Edit menu in the Main window,
  • choose Properties.

The Property sheet(s) of the selected dependent map(s) and/or table(s) will appear:

  • go to the Dependency tab, and
  • click the button Make Up-to-Date.

When a dependent map is displayed in a map window, or when a dependent table is displayed in a table window, you can also open the File menu in the map or table window and select the Properties command. The Properties sheet of that map or table then appears. To make the map or table up-to-date, go to the Dependency tab, and click the button Make Up-to-Date.

To make dependent columns up-to-date:

To make all dependent columns in a table up-to-date:

  • open a table in a table window,
  • click the Update All Columns button [image] in the toolbar, or
  • choose Update All Columns from the Columns menu.

To make a specific column in a table up-to-date:

  • open a table in a table window,
  • double-click the column button (which displays the column name) of a dependent column,

    • or

  • from the Columns menu, choose Column Management, a dialog box appears in which all columns are listed, then double-click a column in the list, or select a column in the list and click the Properties button.

The Column Properties dialog box will appear; click the button Make Up-to-Date.

To make dependent data objects up-to-date on the command line or in scripts:

You can also make dependent maps and tables up-to-date by typing the following on the command line in the Main window or in a script:

update object.ext

For object.ext fill out the object name and its extension. It is also allowed to use the DOS wildcards * and ?.

To make a dependent column up-to-date, you can type:

updatecol table.ext.column

For table.ext.column fill out the table name, its extension in case it is not .TBT, and the column name. It is not allowed to use the DOS wildcards.

For more information, see Appendices : script language (syntax).

See also:

Basic concepts : dependent data objects

Basic concepts : properties of objects

How to view and edit the properties of an object


How to monoplot

Monoplotting is the process of creating and/or editing a segment or point map while a scanned photogrammetric aerial photograph is displayed as a background in a map window. On the photograph, you should be able to distinguish 2, 3, or 4 fiducial marks and you should know the camera's principal distance. Furthermore, a Digital Terrain Model (DTM) of the area should be available.

By creating a georeference orthophoto (differential rectification) for the photograph, you will obtain a georeference with corrections for tilt and relief displacement and you can, by using the mouse, directly digitize elements of interest on the scanned aerial photograph.

When your scanned photograph was taken with a normal camera, i.e. no fiducial marks, but you do have a DTM, you should create a georef direct linear (direct linear transformation; also corrections for tilt and relief displacement, but more tiepoints required).

When your scanned photograph was taken with a normal camera, i.e. no fiducial marks, and you have no DTM, you should create a georef tiepoints (select transformation projective, no corrections for relief displacement).

1. Display the scanned aerial photograph:

Display the scanned photogrammetric photograph which you want to use as background in a map window. When the map already has a correct georeference orthophoto, i.e. check the properties of the map, continue with step 5.

2. Creating a georeference:

When the map is using georef None, i.e. when the status bar of the map window only shows Row Col values, open the File menu in the map window, and choose the Create Georeference command.

The Create Georeference (in map window) dialog box appears:

  • choose to create a georef orthophoto;
  • specify the coordinate system and the DTM you want to use.

Tip:

For a correct behaviour of a georef orthophoto and subsequent monoplotting, it is essential that you have marked the 'Interpolation' check box in the Properties sheet of your DTM raster map. For more information, refer to the Raster Map Properties sheet.

The Locate Fiducial Marks dialog box will appear.

When your scanned photograph was taken with a normal camera, i.e. no fiducial marks, but you do have a DTM, you should create a georef direct linear.

When your scanned photograph was taken with a normal camera, i.e. no fiducial marks, and you have no DTM, you should create a georef tiepoints.

To digitize on photographs which have no fiducial marks or on satellite imagery, see topic How to screen digitize.

The remainder of the current topic deals with georefs orthophoto.

3. Registering fiducial marks:

When in the photograph, fiducial marks are available both in the corners of the photo and in the middle along the edges of the photo, then choose which type of fiducial marks you want to use. You may not mix corner fiducials with mid-edge fiducials.

In the Locate Fiducial Marks dialog box,

  • specify the principal distance of the camera,
  • then, zoom in on a fiducial mark in the scanned photo, position the mouse pointer carefully in the middle of a fiducial mark, and press the left mouse button (under heading RowCol (pixels), the row and column number of this fiducial mark will appear),
  • type under heading Photo (mm), the location in photo-coordinates in mm of the fiducial mark as precisely as you can (decimals allowed).
  • register other fiducial marks in the same way.

For more information and examples, see the Locate Fiducial Marks dialog box.

When finished, the Tiepoint editor will be opened.

4. Using the Tiepoint editor:

In the Tiepoint editor, you have to insert tiepoints, also called ground control points, which establish relationships between the scanned photo pixels (row,col) and real world XYZ-coordinates.

To add tiepoints:

  • first, click at a recognizable point in the photograph displayed in the map window,
  • the Add Tiepoint dialog box appears. In this dialog box, the row and column values at the position of the click are filled out.
    When you already have some tiepoints, the dialog box will also come up with a suggestion for the XY-coordinates. This suggestion is the result of the calculation with the existing tiepoints and using the current transformation method. This suggestion is a measure of the quality of the current tiepoints. The suggestion is merely a suggestion, it is advised to enter your own XY-coordinates to prevent false accuracy.

    • Then:

  • click at the same position in a map which already has correct XY-coordinates and which is displayed in another map window (Master/Slave), or
  • digitize the same point in an analog paper map on a digitizer, or
  • read the correct XY-coordinates for this point from a table or an analog paper map, and type these XY-coordinates in the dialog box.
  • you can optionally specify a Z-value for the inserted tiepoint; otherwise the height value as found in the DTM is used.

The inserted tiepoint appears in the map window and in the tiepoint table.

A georef orthophoto, which performs a differential rectification, has a mathematical minimum of 3 tiepoints.

Tips:

  • You should always insert more tiepoints than is mathematically required.
  • Tiepoints should be well spread over the map (XY).

For more information on the Tiepoint editor, see Georeference Tiepoint editor : functionality.

When finished editing the georeference, leave the Tiepoint editor by choosing Exit from the File menu or by clicking the Exit Editor button in the toolbar. The photograph map will now use the coordinates as stored in the georeference you just created. The photograph is still displayed in a map window; the status bar now shows Row Col values and XY-coordinates.

5. Creating and/or editing a segment or point map on the background map:

Have the raster map which now uses correct XY-coordinates and which you want to use as background displayed in a map window.

To create a new segment or point map, open the File menu in the map window, and choose Create Segment Map or Create Point Map. The Create Segment Map or the Create Point Map dialog box appears. Type a map name, specify a domain and optionally type a description. Accept the coordinate system and map boundaries which are already filled out.

To edit an existing segment or point map, first add the map to the map window by selecting the Add Layer command from the Layers menu in the map window. When the segment or point map is displayed, choose the Edit Layer command from the Edit menu of the map window: select the segment or point map which you want to edit.

The Segment editor or the Point editor is opened. You can now add, edit and delete segments or points by using the mouse as usual.

When your background map uses a georef orthophoto, you may see that an edited segment or point does not exactly appear at the position of the pencil pointer: this is a measure of the quality of your georeference in the area. Errors will usually be larger along the edges of a photograph.

  • When the deviation is small, your georeference is good enough;
  • When the deviation is large, you can check the number, even distribution and quality of the tiepoints in your georeference, the quality of your DTM, etc.

Tips:

When you add grid lines to the photo in the map window, the grid lines will not be straight nor perpendicular to each other; the grid lines indicate the corrections for tilt and relief displacement.

6. Resampling the scanned photograph, yes or no:

The crux of this topic is that you do not need to use the resample operation in order to monoplot on scanned photogrammetric aerial photographs which use a georef orthophoto. An advantage of using the original image or photograph instead of a resampled one is that the original image is not disturbed by the resampling; in general, features of interest will be easier to recognize using the original data.

Performing a resample operation is required to obtain a North-oriented and rectified orthophoto. In this case, resample the photograph with a georef orthophoto to a georef corners. For more information, see How to create an orthophoto.

Furthermore, performing a resample operation is required before using MapCalc when you want to combine raster maps with for instance a georeference corners with a scanned photograph using a georef orthophoto. In this case, before using MapCalc, resample for instance your photograph with the georef orthophoto to a georef corners.

See also:

ILWIS objects : georeferences

Tiepoint editor

Segment editor

Point editor


How to open

How to open UP

Objects

Pixel information window


How to open (advanced)

How to open (advanced) UP

Internal domains and internal representations

Objects as tables


How to open internal domains/representations (advanced)

How to open

internal domains/represenations (Advanced)

Some operations create an internal domain for the output map of the operation. For some operations this happens automatically; for other operations you can specify whether to store the output domain as a separate object, or have the output domain stored by the output map (internal domain).

When an internal Class domain or an internal Picture domain is created, then also an internal representation is created. Internal representations are stored by the output map and not as a separate object.

The software provides the possibility of using internal domains and internal representations to reduce the number of domains and representations shown in the Catalog.

Operations which always create an internal domain for the output map:

Area Numbering:

Both the output map and its attribute table will use an internal UniqueID domain; domain items are named 'Area 1', 'Area 2', etc.

Cluster:

Both the output map and its optional attribute table will use an internal Class domain and internal representation. Domain items are named 'Cluster 1', 'Cluster 2', etc.

Color Composite:

When using the Dynamic/Heckbert option: internal Picture domain and internal representation.

Glue Raster Maps:

When merging two Pictures: internal Picture domain and internal representation.

Polygons to Segments:

When the Single Name option is used and when the input map has a class domain: internal class domain which contains only one item called 'Boundary'.

When the Single Name option is used and when the input map has an ID domain: internal ID domain which contains only one item called 'Boundary'.

When the Unique Names option is used, the output map and the attribute table will use an internally defined UniqueID domain containing several items like 'Boundary 1', 'Boundary 2', etc.

Raster to Segments:

When the Single Name option is used and when the input map has a class domain: internal class domain which contains only one item called 'Boundaries'.

When the Single Name option is used and when the input map has an ID domain: internal ID domain which contains only one item called 'Boundary'.

When the Unique Names option is used, the output map and the attribute table will use an internally defined UniqueID domain containing several items like 'Boundary 1', 'Boundary 2', etc.

Unique ID:

Both the output map and its attribute table will use an internal UniqueID domain. Domain items are either user-defined by a specified prefix, or when no prefix is specified: 'Pol 1', 'Pol 2', etc. when performed on a polygon map; 'Seg 1', 'Seg 2', etc. when performed on a segment map; 'Pnt 1', 'Pnt 2', etc. when performed on a point map .

Operations which optionally create an internal domain for the output map:

Glue Raster Maps, Glue Segment Maps, Glue Point Maps:

When merging maps with different Class domains: new Class domain or internal Class domain with internal representation. Output domain contains all class names of all input maps.

When merging maps with different ID domains: new ID domain or internal ID domain. Output domain contains all IDs of all input maps.

Segments to Polygons:

When not using the Label Points option in the operation's dialog box: internal ID domain.

When using the option Auto Identifiers option in the segment editor: internal ID domain. Domain items are named 'Pol 1', 'Pol 2', etc.

To view or edit an internal domain/representation:

  • Display the output map of the operation in a map window, open the Edit menu in the map window and choose Domain or Representation.
  • Click the output map of the operation with the right mouse button in the Catalog, then choose Open as Domain or Open as Representation from the context-sensitive menu.

You can display and edit internal domains and representations in the same way as normal domains and representations.

Internal domains/representations do not have their own Properties dialog box and cannot be opened as a table.

See also:

ILWIS objects : domains


How to open objects as a table (advanced)

How to open objects as a table

(Advanced)

Some objects are internally stored as a table and can therefore be opened as a table. Histograms and two-dimensional tables are automatically opened as a table, but you can also open a point map, a class/ID domain, a class/picture representation, a georeference tiepoints, or a coordinate system tiepoint as a table.

The main idea behind opening these objects as a table is to allow the user to perform calculations with TabCalc on or with the columns of the objects. A special set of functions was designed to be able to calculate with XY-coordinate columns, color columns, etc.

Examples:

  • by opening a point map as a table, you can perform calculations on the coordinate columns which define the location of the points using special Coordinate functions,
  • by opening a domain as a table, you can perform calculations on the class names or IDs of this domain with String functions,
  • by opening a representation as a table, you can perform calculations on the colors of this representation with special Color functions,
  • by opening a georeference tiepoints as a table, you can perform calculations on the coordinate columns and the rows and columns which define the location of the tiepoints, etc.
  • by opening a coordinate system tiepoints as a table, you can perform calculations on the two sets of coordinate columns which define the location of the tiepoints, etc.

Opening point maps and class/picture representations as a table will look familiar to ILWIS 1.4 users as in ILWIS 1.4 point maps and color look-up-tables were stored as ASCII tables.

To open objects as a table:

  • from the File menu in the Main window, choose the Open as Table command,
  • the Open As Table dialog box appears, and select an object,

or

  • click a point map, a class/ID domain, a class/picture representation, a georeference tiepoints in the Catalog with the right mouse button and
  • select Open As Table from the context-sensitive menu,

or

  • on the command line of the Main window, type ShowAsTbl object.ext.

Note:

The option Open As Table is designed for experienced users. Opening an object as a table means that you can touch the object as it is stored on disk; you can see and edit the binary data files of an object which are otherwise not readable in ASCII now. Editing leads to changes with the risk of making an object unusable. Keep in mind that names and codes of domain items should be unique; furthermore it is not advised to edit the values in columns Ind and Ord of a domain as this can lead to serious problems like missing domain items, wrong colors, wrongly linked attributes, etc. Be wise and keep a backup of your data.

See also:

Coordinate functions

Point functions

How to calculate a cross-section through the terrain


How to paste coordinates into a georef tiepoints

How to paste coordinates

into a georeference tiepoints

Copying input data to clipboard:

Open the file which contains the coordinates and the row/column numbers for the tiepoints of your image(s).

ILWIS will expect to receive the following and preferably in this order:

X-coordinates

Y-coordinates

Row numbers

Column numbers

Make sure the 'columns' in your file are in this order and copy the block of XY-coordinates and corresponding Row/Column numbers to clipboard.

Below, an example is shown, of how the clipboard contents may look like after copying.

801490.000 | 8089155.000 | 23 | 90
802004.000 | 8075147.000 | 471 | 206
800242.000 | 8074191.000 | 510 | 156
802445.000 | 8077922.000 | 379 | 201
802841.000 | 8076212.000 | 433 | 224
797727.000 | 8076145.000 | 461 | 61
805768.000 | 8086385.000 | 90 | 247

Pasting into an ILWIS georeference tiepoints:

Create a georeference tiepoints, select or create a coordinate system into which the coordinates will fit, and choose a background map on which you wish to view the tiepoints. For more information, see Create a georeference.

The georeference tiepoint editor will be opened automatically.

The background map is shown, and at the bottom (default) of the window, you will see the empty tiepoint table:

Tip: If necessary, you can first re-order the columns in the tiepoint table so that the columns in the tiepoint table will comply with the order of the copied data. To change the position of a column in the table, drag a column header to a new position. The mouse pointer will change into a column icon [image] while dragging.

If you have an empty tiepoint table as above, click once in the gray area at the left side of the tiepoint table (where the cursor is located in the picture above).

Now you can paste the clipboard contents into the tiepoint table:

  • choose Paste from the Edit menu,
  • press the Ctrl+V keys on the keyboard, or
  • click with the right mouse button at the same position in the tiepoint table pane (gray area to the left), and choose Paste from the context-sensitive menu.

Note:

If you already have some tiepoints, you can also add tiepoints by pasting.

  • First, click once in a field in the tiepoint table which already contains a value,
  • then press the Esc key on the keyboard, and
  • then use one of the paste methods described above.

The clipboard contents will be pasted into the tiepoint table.

If everything went OK, your tiepoint table may look as follows:

As you can see, the Active column (which indicates the tiepoints that are active) does not yet contain values, but the values for DRow and DCol (deviations for the current transformation) are immediately calculated.

You can activate tiepoints by typing a T for the each tiepoints in the Active column.

Tip: To get rid of the highlight in the tiepoint table (dark blue in the picture above), click once in a field in the tiepoint table which already contains a value, then press the Esc key on the keyboard.

See also:

Table window : Paste

Georeference tiepoint editor : functionality


How to print a layout with maps and annotation

How to print a layout

with maps and annotation

Create a layout, do a Page Setup, and add map views and additional annotation according to your wishes, or open an existing layout.

In the layout editor:

  • open the File menu, and choose Print, or
  • click the Print button [image] in the standard toolbar of the layout editor.

The Print dialog box will appear.

For information on installing a printer, refer to your Windows documentation.

Tip:

To select a printer, and to specify the paper size, and the orientation of the paper, see Page Setup.

See also:

Layout editor : functionality


How to release disk space

When creating dependent data objects through a calculation or another operation, in principle only a small ASCII object definition file is stored on disk. The object definition file stores among others the expression by which the dependent object was created, this is the definition of the dependent object. Based on the definition, a dependent data object can always recalculate itself.

Data files of dependent objects are automatically calculated when you display a dependent map or a dependent table, i.e. when needed. Data files may need a lot of disk space and as the definition of the object is stored in an object's object definition file, data files may thus be deleted to obtain more free disk space. For dependent raster maps for example, the data file (.MP#) can be deleted as long as the object definition file (.MPR) remains.

You can release disk space for dependent raster, polygon, segment and point maps and for dependent tables. You cannot release disk space for dependent columns.

To release disk space:

  • select one or more dependent raster, polygon, segment and/or point maps and/or dependent tables in a Catalog,
  • press the right mouse button,
  • choose Properties from the context-sensitive menu,

or

  • select one or more dependent maps and/or tables in a Catalog,
  • open the Edit menu in the Main window,
  • choose Properties.

The Property sheet(s) of the selected dependent map(s) and/or table(s) will appear:

  • go to the Dependency tab, and
  • click the button Release Disk Space.

When a dependent map is displayed in a map window, or when a dependent table is displayed in a table window, you can also open the File menu in the map or table window and select the Properties command. The Property sheet of that map or table then appears. To release disk space, go to the Dependency tab, and click the button Release Disk Space.

To release disk space on the command line or in scripts:

You can also release disk space by typing the following on the command line of the Main window or in a script:

reldisksp object.ext

For object.ext fill out the object name and its extension.

For more information, see Appendices : script language (syntax).

See also:

Basic concepts : dependent data objects

Basic concepts : properties of objects

How to view and edit the properties of an object


How to run scripts

In a script you can type map names, table names and column names directly in the expressions, but you can also use parameters that replace (parts of) object names, operations, etc. The procedure to run a script with parameters is different from the one without parameters.

To run a script without parameters:

  • In the Catalog, select a script with the right mouse button and choose Run from the context-sensitive menu, or
  • in the Operation-tree, expand the Script item and double-click your script, or
  • in the Script editor, press the Run Script Run Script button, or
  • in the Script editor, open the File menu and select the Run Script command, or
  • type on the command line of the Main window: run scriptname

The script will be executed immediately.

To run a script with parameters:

  • In the Catalog, select a script with the right mouse button and choose Run from the context-sensitive menu, or
  • in the Operation-tree, expand the Script item and double-click your script, or
  • in the script editor, press the Run Script Run Script button, or
  • in the script editor, open the File menu and select the Run Script command, or
  • type on the command line of the Main window: run scriptname

The Run Script dialog box will appear.

In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab of the script editor.

  • If you did not specify default objects on the Default Values tab you will need to select objects for input parameters and/or type object names for output parameters.
  • If you did fill out objects on the Default Values tab, the Run Script dialog box will already be filled out with these defaults.

When the OK button is clicked and when all parameters are correctly specified, the script will be executed.

You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

To skip the Run Script dialog box:

Type on the command line of the Main window:

    run scriptname parameter parameter

where:

scriptname | is the name of your script
parameter | is the name of an ILWIS input object, or an output object, as objectname.ext

When all parameters are correctly filled out on the command line, the Run Script dialog box will not appear, and the script will be executed immediately:

  • the first string found after the script name will replace %1 in the script,
  • the second string will replace %2, etc.

Notes:

  • It is not advised to use this method, because you have to remember exactly what objects need to be specified for which parameters on the command line.
  • To run a script with parameters from the command line, and when you wish to use long object names as parameters for the script, then you must use single quotes around the object names, excluding the .ext extensions. For more information, see How to use parameters in scripts or How to use long object names.

See also:

How to use parameters in scripts

ILWIS objects : scripts

Script editor : functionality

Appendices : ILWIS script language (syntax)


How to screen digitize

Screen digitizing is the process of creating and/or editing a segment or point map while an existing raster map is displayed as a background in a map window. The raster map can be for instance a band of a satellite image, a color composite, a scanned map, or a scanned photograph. By using the mouse, you can directly digitize elements of interest on the background map.

1. Display the background map:

Display the map which you want to use as background in a map window. When the map already has a correct georeference, i.e. when the status bar of the map window shows Row Col values and XY-coordinates, continue with step 4.

2. Creating a georeference:

When the map is using georef None, i.e. when the status bar of the map window only shows Row Col values, open the File menu in the map window, and choose the Create Georeference command.

The Create Georeference (in map window) dialog box appears:

  • For a satellite image, for a scanned map, or for a scanned photograph when a Digital Terrain Model (DTM) of the area is not available, create a georef tiepoints.

    • Specify the coordinate system you want to use.

  • For scanned photograph which was taken with a normal camera (i.e. no fiducial marks on the photo) and when a DTM of the area is available, create a georef direct linear.

    • Specify the coordinate system and the DTM you want to use.

Tip:

For a correct behaviour of a georef direct linear and subsequent screen digitizing, it is essential that you have marked the 'Interpolation' check box in the Properties dialog box of your DTM raster map. For more information, refer to the Raster Map Properties dialog box.

The Tiepoint editor will be opened.

For a scanned photograph which was taken with a photogrammetric camera (i.e. fiducial marks on the photograph and known principal distance of the camera) and a DTM of the area is available, create a georef orthophoto. Digitizing on such an aerial photograph is called monoplotting; continue with topic How to monoplot.

The remainder of the current topic deals with georefs tiepoints and georefs direct linear.

3. Using the Tiepoint editor:

In the Tiepoint editor, you have to insert tiepoints, also called ground control points, which establish relationships between the map pixels (row,col) and real world XY- or XYZ-coordinates.

To add tiepoints:

  • first, click at a recognizable point in the map without coordinates which is displayed in the map window,
  • the Add Tiepoint dialog box appears. In this dialog box, the row and column values at the position of the click are filled out.
    When you already have some tiepoints, the dialog box will also come up with a suggestion for the XY-coordinates. This suggestion is the result of the calculation with the existing tiepoints and using the current transformation method. This suggestion is a measure of the quality of the current tiepoints. The suggestion is merely a suggestion, it is advised to enter your own XY-coordinates to prevent false accuracy.

    • Then:

  • click at the same position in a map which already has correct XY-coordinates and which is displayed in another map window (Master/Slave), or
  • digitize the same point in an analog paper map which is stuck on a digitizer, or
  • read the correct XY-coordinates for this point from a table or an analog paper map, and type these XY-coordinates in the dialog box.

When editing a georef direct linear or a georef orthophoto, you can optionally specify a Z-value for the inserted tiepoint; otherwise the height value as found in the DTM is used.

The inserted tiepoint appears in the map window and in the tiepoint table.

For a georef tiepoints, you need to select a transformation method:

  • For satellite images, an affine transformation will usually do (mathematical minimum of 3 tiepoints).
  • For a scanned photograph (without DTM), a projective transformation is recommended (mathematical minimum of 4 tiepoints).

A georef direct linear, which performs a direct linear transformation (DLT) has a mathematical minimum of 6 tiepoints.

Tips:

  • You should always insert more tiepoints than is mathematically required.
  • Tiepoints should be well spread over the map (XY).
  • For a georef direct linear, the tiepoints should also be well spread in Z-direction and they should not be co-planar, i.e. in Z-direction, the tiepoints should not be on a (tilted) plane. You may have a problem with coplanar tiepoints when for instance during screen digitizing you notice a shift between the location of the segments or points which you were digitizing and the location where these digitized segments and points are appearing in the photo on the screen. For more information, see ILWIS objects : georeference direct linear.

For more information on the Tiepoint editor, see Georeference Tiepoint editor : functionality.

When finished editing the georeference, leave the Tiepoint editor by choosing Exit from the File menu or by clicking the Exit Editor button in the toolbar. The raster map will now use the coordinates as stored in the georeference you just created. The raster map is still displayed in a map window; the status bar now shows Row Col values and XY-coordinates.

4. Creating and/or editing a segment or point map on the background map:

Have the raster map which now uses correct XY-coordinates and which you want to use as background displayed in a map window.

To create a new segment or point map, open the File menu in the map window, and choose Create Segment Map or Create Point Map. The Create Segment Map or the Create Point Map dialog box appears. Type a map name, specify a domain and optionally type a description. Accept the coordinate system and map boundaries which are already filled out.

To edit an existing segment or point map, choose the Edit Other Map command from the Edit menu of the map window, then select the desired editor and select a map.

The Segment editor or the Point editor is opened. You can now add, edit and delete segments or points by using the mouse as usual.

When your background map uses a georef direct linear, you may see that an edited segment or point does not exactly appear at the position of the pencil pointer: this is a measure of the quality of your georeference in the area. Errors will usually be larger along the edges of a photograph.

  • When the deviation is small, your georeference is good enough;
  • When the deviation is large, you can check the number, even distribution and quality of the tiepoints in your georeference, the quality of your DTM, etc.

5. Resampling the background image, yes or no:

The crux of this topic is that you do not need to use the resample operation in order to screen digitize on images which use a georef tiepoints or on scanned photographs which use a georef direct linear. An advantage of using the original image or photograph instead of a resampled one is that the original image is not disturbed by the resampling; in general, features of interest will be easier to recognize using the original data.

Performing a resample operation is only required before using MapCalc when you want to combine raster maps with for instance a georeference corners with raster maps using a georef tiepoints or a georef direct linear. In this case, before using MapCalc, resample for instance your image with the georef tiepoints to a georef corners.

See also:

ILWIS objects : georeferences

Tiepoint editor

Segment editor

Point editor


How to set up

How to set up ... UP

a digitizer


How to slice an image

You can slice an image interactively or permanently; follow the instructions below.

1. To slice an image interactively:

  • Double-click an image in the Catalog;
  • In the appearing Display Options - Raster Map dialog box, click the create button [image] next to the Representation list box;
  • In the appearing Create Representation dialog box, type a name for your new representation but do not change the domain listed in this dialog box;
  • Click OK in the Create Representation dialog box. The Representation Value/Gradual editor is opened;
  • Then click OK in the Display Options - Raster Map dialog box. The image is displayed in a map window;
  • Click somewhere in the Representation Value/Gradual editor to make this window the active window.

  • In the Representation Value/Gradual editor:
    • Choose Insert Limit from the Edit menu or press Ins on the keyboard;
    • in the appearing Insert Limit dialog box, type a value for the upper boundary of a slice, e.g. 75, and assign a color to this limit;
    • Double-click a number of times in between two limits, and decide whether the values in between the two limits in the image should use the color of the upper limit or the lower limit; you can also stretch the colors in between two limits;
    • Double-click an existing limit to change its boundary value or its color;
    • The color bar at the bottom of the editor gives an impression of how your total representation looks like;
    • Keep the editor open and switch to the map window.

  • In the map window:
    • Click the Redraw button [image] in the toolbar to see the result of editing the representation;
    • Keep the map window open and switch to the editor.

  • In the Representation editor:
    • Continue to insert limits, edit colors of limits, etc.;
    • Keep the editor open and switch to the map window.

  • In the map window:
    • Click the Redraw button in the toolbar to see the result of editing the representation.

Continue to switch between the Representation editor (to edit the representation) and the map window (to redraw the map) until satisfied.

Notes:

  • All changes you make in the editor are immediately stored in the new representation.
  • Each time you open a map with the Image domain, you can select the new representation.
  • You can use this method of creating a new representation, editing colors and redrawing the map for all maps that use a value domain.

2. To slice an image permanently:

  • First, try the interactive method to get an idea where you want to put your boundaries;
  • Create a domain Group (Main window, File, Create) in which you fill in the upper boundaries and the output class/group names, and, optionally, edit the representation of this domain. For more information, refer to How to create a domain Group;
  • In the Main window, open the Operations menu, choose Image Processing, Slicing, or
    in the Operation-tree, open the Image Processing item and double-click the Slicing operation, or
    in the Operation-list, double-click the Slicing operation.
    For more information, refer to the Slicing operation.
    You can also use the CLFY function on the command line of the Main window or in a MapCalc dialog box. For more information, see Map calculation : classifying a map (CLFY function);
  • Display the output raster map in a map window.

To edit the representation of the output map:

  • In the map window, open the Edit menu and choose Representation;
  • The Representation Class editor is opened: edit the colors of the classes as you wish;
  • Keep the editor open and switch to the map window;
  • In the map window, click the Redraw [image] button .

You can continue switching to the Representation editor and back to the map window to redraw the map until satisfied.

To change the boundary values on second thought:

  • You may keep the map window open;
  • In the map window, open the Edit menu and choose Domain;
  • The Domain Class/ID/Group editor is opened: edit the boundary values of the groups, insert more groups, etc.;
  • In the map window, open the Edit menu and choose Properties;
  • In the appearing Properties dialog box, click the Make Up-to-Date button;
  • a message appears asking for confirmation to recalculate the map, click OK;
  • when the calculation has finished, click the Redraw [image] button in the map window.

For more information, refer to How to create a domain Group or Map calculation : classifying a map (CLFY function).


How to use

How to use ... UP

Catalog

Columns

Command line in the Main window

Command line in a Table window

Georeference Tiepoints editor

Kriging

Layers in a map window

Long object names

Map Calculation

Masks

Operation-tree and Operation-list

Parameters in scripts

Pixel information

Status bar

Table Calculation


How to use a Catalog

One or more Catalogs can be shown in the right-central part of the Main window.

A Catalog provides an overview of:

  • the ILWIS objects in a directory,

  • the raster maps that are available in a map list,
  • the objects that are available in an object-collection.

To get more information on an object:

  • move the mouse pointer over an object in a Catalog:
    the status bar displays the description of that object, and whether the object is Dependent (D), Calculated (C) and/or Up-to-Date (U);
  • switch to Details View by choosing the Details command from the View menu or click the Details button [image] in the standard toolbar of the Main window.

To show or hide certain object types and/or certain objects in a Catalog:

  • choose the Show command on the View menu in the Main window;
  • use the object selection toolbar in the Main window; or
  • choose the Customize Catalog command on the View menu, or click the [image] button in the standard toolbar of the Main window; use the Object selection tab.
  • choose the Catalog Queries command on the View menu;
  • choose the Customize Catalog command on the View menu, or click the [image] button and select the Query tab.

Double-click

When you double-click an object in a Catalog, the object is generally opened (if necessary calculated) and shown in a new window, editor or dialog box:

  • double-click a map in a Catalog in order to display the map in a new map window;
  • double-click a table, a two-dimensional table, a histogram or an annotation text object, in order to display the table, the histogram or the annotation text object in a new table window, etc.;
  • double-click a layout, domain, representation, georeference, coordinate system, sample-set, function, script to open the object in the appropriate editor.

For map lists, filters and stereopairs, there are multiple reactions to a double-click possible; you can select the default Open behaviour upon a double-click in the Preferences, section Main window.

  1. For Map lists that are double-clicked, you can choose in the Preferences:
    • to open a map list as a special kind of Catalog (default),

    • to open a map list by default as color composite, or
    • to open a map list by default as slide show.

  2. For user-defined linear filters that are double-clicked, you can choose in the Preferences:
    • to open a filter in the Filter editor (default),
    • to start the Filter operation; the Filter dialog box will appear, the filter name is already filled out.

  3. For Stereo pairs that are double-clicked, you can choose in the Preferences:
    • to open a stereo pair in a Stereoscope window (default),
    • to open a stereo pair as an anaglyph; the Display Options - Stereo pair as Anaglyph dialog box will appear. Mind: Analglyphs can only be created from a stereo pair that contains black & white images.

Tip:

When you double-click a script in a Catalog, the script editor is opened. If you wish, you can run the script from within the script editor.

To run a script, you can also click a script with the right mouse button in a Catalog, and choose Run from the context-sensitive menu.

You can also move a script to the ILWIS\Scripts directory and then double-click the script in the Operation-tree:

  • if the script needs parameters: a Run Script dialog box will appear.
  • if the script does not have any parameters: the script will simply be run.

Drag and drop

Drag from a Catalog into a map window:

  • Drag one or more selected polygon map(s), segment map(s) and/or point map(s) from a Catalog and drop them into a map window:

    • the map(s) will be added as extra data layer(s) to that map window.

  • Drag a raster map from a Catalog into a map window:
    • When the map window does not yet contain a raster map, the map is added as an extra data layer to that map window.
    • When the map window already contains a raster map, the selected raster map will be added to the map window when it uses the same georeference as the raster map that is already displayed.

    For more information, see also How to add extra layers to a map window.

  • Drag a map list from a Catalog into a map window:
    a small dialog box will appear asking you whether the maps in the map list should be displayed as a Color Composite or as a Slide Show.
    • when you choose Color Composite and the maps in the map list use the Image domain or another value domain and your graphics board is configured to use more than 256 colors, then an interactive color composite will be shown in the map window;
    • when you choose Slide Show, the maps in the map list will be shown one after the other in the map window, as a slide show;
  • Drag a georeference or a coordinate system which has for instance a different projection, from a Catalog into a map window without a raster map:
    if a transformation between both coordinate systems is possible, the map window will show the maps using the dragged coordinate system.
  • Drag an annotation text object from a Catalog into a map window:
    the annotation text displayed in the map window.

Drag from a Catalog into the Operation-tree or the Operation-list:

  • Drag a data object from a Catalog and drop it on an operation in the Operation-tree or the Operation-list:
    the operation's dialog box is opened and the name of the input object is already filled out.

Drag from a Catalog into a dialog box:

  • Drag an object from a Catalog into a drop-down list box in a dialog box:
    the object is filled out in the field of the dialog box.

Drag from a Catalog into a Pixel info window:

  • Drag one or more point, segment, polygon and/or raster maps from a Catalog into a pixel information window:
    all maps are added to the pixel information window, and
    when an attribute table is linked to a map, this columns of the attribute table are also displayed in the pixel info window.
  • Drag a map list from a Catalog into the pixel information window:
    all raster maps in the map list will be added to the pixel information window.
  • Drag a coordinate system which has for instance a different projection, from a Catalog and drop it into the pixel info window:
    the new coordinate system is added to the pixel information window, and
    if a conversion between both coordinate systems is possible, the pixel info window will also show coordinates in the dragged coordinate system.

Dragging objects within a Catalog:

  • Drag a georeference to a polygon, segment or point map or vice versa:
    the appropriate Rasterize dialog box is opened in which both the Georeference and the Input Map are already filled out.
  • Drag a georeference to a raster map or vice versa:
    the Resample dialog box is opened in which both the Georeference and the Input Raster Map are already filled out.
  • Drag a filter to a raster map or vice versa:
    the Filter dialog box is opened in which both the Filter and the Input Raster Map are already filled out.
  • Drag a coordinate system to a polygon, segment or point map or vice versa:
    the appropriate Transform dialog box is opened in which both the Coordinate System and the Input Map are already filled out.

Dragging objects between Catalogs:

  • Drag one or more selected objects into another Catalog:
    the selected object(s) are copied into the second Catalog.
    For more information, see How to copy objects.

Right mouse button

By clicking the right mouse button on an object in a Catalog, a context-sensitive menu appears which contains all actions that can be performed on the selected object.

When you select multiple objects in a Catalog, and then click the selection with right mouse button, only the Open, Open Pixel Information, Copy, Paste and Delete commands are available on the context-sensitive menu.

  • Open, to open the object(s);
  • any operation, to start the selected operation with the selected object as input;
  • Open As Table, to show a table, a class, ID or Picture domain, a representation class or georeference tiepoints as a table (for advanced users);
  • Open Pixel Information, to add multiple selected maps to a new pixel information window;
  • Properties, to open the Property sheet of an object;
  • Edit, to open an object in the appropriate editor or to open a dialog box in which you can edit it (dependent data objects cannot be edited);
  • Copy, to copy the selected object(s) to clipboard;
  • Paste, to paste the object(s) in the clipboard into the current directory, map list or object collection;
  • Delete, to delete the selected object(s);
  • Help to obtain short Help on a selected object type.

When dependent maps use an internal domain or an internal representation (these kind of domains and representations are stored by the map itself and not as separate objects), the context-sensitive menu also contains the commands:

  • Open As Domain, to open the internal domain;
  • Open As Representation, to open the internal representation.

See also:

How to customize a Catalog

Main window : Catalog

How to drag and drop


How to use columns

A table is dispalyed in a table window.

A table consists of columns, records and fields. Schematically, this looks like:

Record names or record numbers appear on (gray) record buttons that are arranged along the left side of the table.

Column names appear on (gray) column buttons, also called column headers, arranged along the top of the table viewer.

To add a column to a table:

To add a column to a table, see How to add a column to a table.

To delete one or more columns from a table:

To delete one or more columns from a table, see Table window : Delete.

To rename a column:

Columns cannot be renamed.

To change the width of columns:

  • position the mouse pointer at the end of a column,
  • the mouse pointer will change into a double-sided arrow,
  • drag the mouse pointer to the right to make the column wider, or drag the mouse pointer to left to make the column narrower.

You can also use the Column Properties dialog box.

To change the order of columns:

  • click the column header of the column you wish to move, and hold the left mouse button down,
  • the mouse pointer will change into a column icon [image], and
  • drag the column to another position.

You can also use the Column Management dialog box where you can drag columns to another position in the list.

To sort a table on the values in a column:

  • choose Sort from the Columns menu, or
  • select a column by clicking a column header, then click the selection with the right mouse button and choose Sort Ascending or Sort Descending from the context-sensitive menu.

The Sort Records dialog box will be opened. You can sort on the domain of the table or sort on a column of the table, either in ascending or descending order.

To view and/or change the properties of a column:

  • double-click a column header,
  • select a column, and click the Properties button [image] in the toolbar, or
  • select a column, click the selection with the right mouse button and choose Properties from the context-sensitive menu.

The Column Properties dialog box will be opened.

You can also use the Column Management dialog box to open a Column Properties dialog box.

To recalculate all columns:

Dependent columns are not up-to-date anymore after you edited fields in columns on which the dependent columns depend.

To update all dependent columns in a table:

  • click the Update All Columns button [image] in the toolbar, or
  • choose Update All Columns from the Columns menu.

To copy columns to the clipboard:

To copy table data to the clipboard, see Table window : Copy.

To paste something from the clipboard into a column:

To paste data from the clipboard into a table, see Table window : Paste.

See also:

Table window : functionality

Table window : toolbar

Table window : menu commands


How to use the command line of a table window

Table window

Command line

The command line of a table window is by default located at the top of a table window, just below the menu bar and the toolbar. The command line can be hidden or shown by opening the View menu, and choosing Command line. If you like, you can move the command line and dock it for instance at the bottom of the table window; you can also make the command line floating.

  1. The command line in a table window is mainly is used to perform calculations with (attribute) tables. You can type your table calculation formulae on the command line yourself. Syntax and available TabCalc functions are extensively described, including examples, in the Table calculation section.

  2. By starting a tabcalc formula with a question mark, you can use the command line as a pocket line calculator.

  3. Also expressions to perform an aggregation, a join, a least squares fit, can be carried out via the command line of a table window. However, it may be easier to use the Columns menu.

    4. For more information on expression for column operations, see Appendices : ILWIS expressions, section Column operations.

  4. Finally, you can also use some special ILWIS commands for the table window for instance to obtain a dialog box, or to open the Additional Info pane. This merely skips working with the menu.

Tips:

  • The command line in each table window has a history: use the Arrow Up key to retrieve previously used expressions and commands. The Arrow Down key can be used to scroll forwards again. You can also open the list of previously used commands and expressions by clicking the arrow at the right hand side of the command line.
  • The maximum length of an expression on the command line is 32000 characters. You can use the (Ctrl+) Left and Right Arrow keys on the keyboard to move back and forth in your formula.
  • In ILWIS 3, object names comply with Windows long file names. On the command line however, object names must be enclosed in single quotes when they start with a digit, contain a space or any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .
    For more information, see How to use long object names.

See also:

Table calculation

Table calculation : general syntax

Table calculation : overview of operators and functions


How to use the Georeference Tiepoints editor

How to use

the Georeference Tiepoints editor

This topic gives information on different methods to 'manually' insert tiepoints in the Tiepoint editor for a georef tiepoints, a georef direct linear or a georef orthophoto. For more information on georeference types, see ILWIS objects : georeferences.

When you already have tiepoints (X-coordinates, Y-coordinates, row numbers, column numbers) in a file, it is advised to use copy and paste, to paste these tiepoints into the tiepoint table of a georeference tiepoints. For a detailed description of the steps involved, see How to paste coordinates into a georeference tiepoints.

To insert tiepoints by using an existing map with coordinates (Master/Slave):

  • Display any map with correct XY-coordinates in a map window (Master).
  • Display the image that you want to give tiepoints (Slave) in another map window; open the Edit menu and choose Georeference; the Georeference Tiepoints editor will be started.
  • Make sure that you can identify future tiepoints both in the slave image (row, col) and in the other master map with the correct georeference and/or coordinate system (XY-coordinates).

Then:

  • click in the slave image;
  • the Add Tiepoint dialog box appears, the Row and Column values are filled out;

and

  • click on the corresponding position in the master raster map in the other map window;
  • in the Add Tiepoint dialog box, the correct X and Y coordinates are filled out;
  • click OK.

Repeat for other tiepoints.

To insert tiepoints by using a map on a digitizer:

Stick an analog paper map on the digitizer, setup the digitizer and reference the map. For more information, see How to setup a digitizer and reference a map.

Start the Georeference Tiepoints editor with the image that you want to give coordinates. Make sure that you can identify future tiepoints both in the image and in the map on the digitizer.

Then:

  • click in the image;
  • the Add Tiepoint dialog box appears, the Row and Column values are filled out;

and

  • click with the digitizer cursor on the corresponding position in the map on the digitizer;
  • in the Add Tiepoint dialog box, the correct X and Y coordinates are filled out;
  • click OK.

Repeat for other tiepoints.

To insert tiepoints by reading coordinates from paper:

Start the tiepoint editor with the map that you want to give coordinates.

Then:

  • click with the mouse pointer in the tiepoint editor window on a recognizable point;
  • the Add Tiepoint dialog box appears, the Row and Column values are filled out;
  • when you already have some tiepoints, the dialog box will also come up with a suggestion for the XY-coordinates. Do not accept these defaults, but always read the corresponding XY-coordinates for this point from the paper map.

Repeat for other tiepoints.

To insert tiepoints entirely by keyboard:

When you have a complete relation between row and column numbers and X and Y coordinates on paper, you can also:

  • click on a gray record button in the tiepoint table, or
  • in the map window, press the right mouse button, select the Add Tiepoint command from the context-sensitive menu;
  • the Add TiePoint dialog box appears;

then:

  • type Row and Column values and X and Y coordinates for a tiepoint in the dialog box.

Repeat for other tiepoints.

See also:

Georeference Tiepoints editor

ILWIS objects : georeferences

How to create a georeference

How to edit a georeference

How to add coordinates to an image

How to paste coordinates into a georeference tiepoints

How to screen digitize

How to monoplot

How to create an orthophoto


How to use Kriging

Kriging is an alternative to many other point interpolation techniques. Unlike straightforward methods, such as Nearest Point, Trend Surface, Moving Average or Moving Surface; Kriging is based on a statistical method. Kriging is the only interpolation method available in ILWIS that gives you an an interpolated map and output error map with the standard errors of the estimates. As Kriging is an advanced technique that heavily relies on statistical theory, the novice user of GIS may need to ask advice from an expert.

Before you are going to use the Kriging method you should have thought about things like:

  • Do I really need the Kriging interpolation method?
    When estimates with their errors are required, you should use Kriging instead of another interpolation technique. Examples of situations where Kriging could be very helpful are the mining industry, environmental research where decisions could have major economical and juridical consequences (e.g. is the area under study polluted or not) and so on.
  • Is Kriging the most appropriate interpolation method for my sample data?
    Before using an interpolation technique, first the assumptions of the method(s) should be considered carefully. As a user, you should choose the most appropriate method for your job. For example, when you want to do some modelling it is better to choose a straightforward interpolation method. When you are interested in the estimation errors however you should use Kriging. Several articles are available on the comparison of different interpolation techniques and Kriging, which may help the GIS user to decide on the method to use. Examples of such kind of studies can be found in Burrough 1986 and Burrough and McDonnell 1998.

Once you have decided that Kriging is the method you want to use, you should continue with the following steps.

Step 1: Examining the input data

1.1 Visual and statistical data inspection

In the Catalog, select the point map with the sample points. Press the right mouse button and select Properties from the context-sensitive menu. The Point Map - Properties dialog box is opened.

  • Check the map's domain and the amount of points and press Cancel.

Double-click the point map in the Catalog. The Display Options - Point Map dialog box is presented. Accept the defaults by clicking the OK button. The point map is opened. Check the distribution of the sample points visually. Another way to investigate whether your points are randomly distributed, or appear clustered, regular, or paired, etc., is by doing a Pattern Analysis.

If you decide that there are enough sample points available and that the distribution of points is good enough to do a Kriging interpolation, measure the shortest and longest distance between two sample points in the point map.

You can measure the length of both the shortest and the longest point-pair vector with the Measure Distance button [image] (the pair of compasses) from the toolbar of the map window. You need this distance information later on for defining the number of lags and the lag spacing in the Variogram Surface operation (step 1.2), the Spatial Correlation or the Cross Variogram operation (step 2.1).

Tip:

If you have sufficient sample points to do a proper Kriging interpolation, split up your data set in two parts. Use one part for interpolation and the other part for verification of the interpolated map.

Next, calculate the variance of the sample data set.

  • When the value data that you want to interpolate is stored in a column of the map's attribute table: open the attribute table. When values are stored in the point map itself, open the point map as a table via the context-sensitive menu. From the Columns menu in the table window, choose the Statistics command. In the Column Statistics dialog box:
    • select the Variance function, and
    • select the input variable for which you want to calculate the variance.
    • Press the OK button. You can use this calculated variance as an indication for the sill when modelling the variogram (step 3.1).

1.2 Anisotropy

When the variation of the variable under study is not the same in all directions, then anisotropy is present. In case of suspected anisotropy, calculate a Variogram Surface with the Variogram Surface operation.

  • Select the point map in the Catalog. Press the right mouse button and choose Statistics, Variogram Surface from the context-sensitive menu.
  • The Variogram Surface dialog box is opened. In case the point map is linked to an attribute table, choose the attribute column with the sample data. Enter the lag spacing, the number of lags and a name for the output map.
  • Select the Show check box and press OK. The variogram surface map is calculated.

The output map can best be viewed in a map window using representation Pseudo while a histogram has been calculated. To view the coordinates and the position of the origin in the output raster map, you can add grid lines, where the grid distance equals the specified lag spacing. It is important to recognize the origin of the plot/output map.

  • Semi-variogram values close to the origin of the output map are expected to be small (blue in representation Pseudo), as values of points at very short distances to each other are expected to be similar. When there is no anisotropy, semi-variogram values will gradually increase from the origin into all directions. You will thus find circle-like shapes from the origin outwards where the color gradually changes from blue at the origin to green and red further away from the origin.
  • Your input data is supposed to be anisotropic when you find an ellipse-like shape of low semi-variogram values (blue in representation Pseudo) in a certain direction going through the origin. In this direction, the semi-variogram values do not increase much. However, in the perpendicular direction, you find a clear increase of semi-variogram values: from blue at the origin to green and red further away from the origin. If anisotropy is present you should use Anisotropic Kriging.

You can measure the direction of anisotropy with the Measure Distance button [image] from the toolbar of the map window, e.g. by following a 'line' of blue pixels going through the origin of the plot. You need this angle later on in step 2.1 (Spatial Correlation; bidirectional method) and step 4.3 (Anisotropic Kriging).

Tips:

  • The semi-variogram values in the output map can be compared to the overall variance of your input data (calculated in step 1.1)
  • When no points are encountered in a certain directional distance class, the semi-variogram value of that cell/pixel in the output surface will be undefined.
  • When you find many undefined semi-variogram surface values in between few rather large semi-variogram values, you should consider to increase the lag spacing. Mind that results will be more reliable when say more than 30 point pairs are found in individual directional distance classes.
  • When you find very many undefined semi-variogram values mainly at the outer parts of the surface, you should consider to reduce the lag spacing.
  • When using an input point map with very many points, calculations of a large surface may take quite long. It is advised, to start using the operation with rather few lags and/or a rather small lag spacing.

1.3 Trend

One can perform a Kriging operation (i.e. Universal Kriging) while taking into account a local drift or trend that is supposed to exist within the limiting distance defined around each pixel to be interpolated. Very often you know the trend already:

  • when you carried out another interpolation technique like Moving surface or a Trend surface, before you decided that you wanted to use the Kriging interpolation method, or
  • when you know the natural behavior of the variable (e.g. soil textures near a river levee are very often more extreme than in a backswamp area).

Tip:

If a global trend is present in the sample set, subtract the trend for the input data with a TabCalc statement. Perform Ordinary Kriging on the de-trended data set and use MapCalc to add both output maps again. This method is an alternative for Universal Kriging. However, a major disadvantage of this alternative is that the error map is incorrect.

1.4 Multiple variables

If you decide that the variable under study is sparsely sampled, find out if there is another variable that is better sampled and has many corresponding sample points (identical XY-coordinates).

Open the attribute table that is linked to the point map. Find out if there are two columns with value domains and corresponding XY- coordinates. If there is a second variable, calculate the variance of both variables individually and the correlation between the two columns.

When the two variables are highly correlated, you can use the better-sampled variable and the relationship between the two variables to help to interpolate the sparsely sampled one with CoKriging.

If the correlation between the two variables is low it is advised to use another interpolation technique or not to interpolate at all.

Tips:

  • The correlation between the two variables should make sense. In other words, it should be based on physical relationships/laws (e.g. temperature and relative humidity, temperature and height)
  • If the variable is poorly sampled and there is no other variable that can help to interpolate the sparsely sampled one, it is not wise to interpolate because the results do not make much sense. Taking the average of the sample values is as good as interpolating.
  • If the variable is sparsely sampled, you may consider to go back into the field and take more measurements.

Step 2: Calculation of the experimental variograms

2.1 Spatial Correlation and Cross Variogram

Kriging assumes a certain degree of spatial correlation between the input point values. To investigate whether your point values are spatially correlated and until which distance from any point this correlation occurs, you can use the Spatial Correlation operation. When you want to use CoKriging, you can investigate spatial correlation with Cross Variogram.

  • Select the point map with the sample points in the Catalog. Press the right mouse button and select Statistics, Spatial Correlation (or Cross Variogram when you want to do CoKriging) from the context-sensitive menu. The Spatial Correlation dialog box or the Cross Variogram dialog box is opened.

  • In the Spatial Correlation dialog box, you can choose to use either the omnidirectional or the bidirectional method:
    • The omnidirectional method simply determines all distances between all point pairs, regardless of any direction, i.e. in all directions. Thus, all point pairs that have a certain distance towards each other will be counted in a certain distance class. Then, Moran's I, Geary's c, and the semi-variance are calculated for all point pairs within each distance class.
    • The bidirectional method first counts, just like the omnidirectional method, all pairs of points that have a certain distance to each other, and then calculates the Moran's I and Geary's c for these point pairs within each distance class. Furthermore, all point pairs are counted with a certain distance to each other and with a certain direction towards each other. For these point pairs, semi-variance will be calculated. Then, also, for the direction perpendicular to the specified direction, point pairs are counted and semi-variances are calculated.

    You must use the bidirectional method when anisotropy is present in your data set and you have to do an Anisotropic Kriging interpolation. Use the same anisotropy angle as measured in step 1.2.

  • Enter the lag spacing and a name for the output table. Select the Show check box and press OK.
  • The Spatial Correlation table is calculated.

  • In a Cross Variogram dialog box:
    • Enter the correct attribute columns, the lag spacing and a name for the output table. Select the Show check box and press OK.
    • The Cross Variogram table is calculated.

Then, display the output table of the Spatial Correlation operation or the output table of the Cross variogram operation in a table window. Inspect in the output table the following columns:

  • when you used Spatial Correlation omnidirectional method,

    • columns Distance, AvgLag, NrPairs;

  • when you used Spatial Correlation bidirectional method,

    • columns Distance, AvgLag1/AvgLag2, NrPairs1/NrPairs2.

  • when you used Cross Variogram,

    • columns: Distance, AvgLag, NrPairsA/NrPairsB/NrPairsAB and verify the Cauchy-Schwarz condition: g2AB £ gA * gB , for all values of the distance h.

Tips:

  • For columns Distance/AvgLags: usually not more than half of the total sample distance should be taken into account; the larger the distance between the point pairs, the less point pairs, and the less reliable the outcome;
  • For column NrPairs: for reliable semi- or cross-variogram values, distance classes should at least contain 30 point pairs. When the amount of point pairs in each distance class becomes too much you should choose a smaller lag spacing to get more information.

2.2 Displaying experimental variograms

The next step is to create point graphs, i.e. experimental semi- and cross-variogram(s), from the columns of the Spatial Correlation or Cross Variogram output table.

  • From the File menu in the table window, choose the Create Graph command.
  • In the Create Graph dialog box:
    • choose for the X-axis, the Distance column or the column with the average distance between point pairs within lags (AvgLag);
    • choose for the Y-axis, the column with the experimental semi- or cross-variogram values.

When you used the omnidirectional Spatial Correlation method, you can draw one graph:

  • Distance or AvgLag , against SemiVar.

The discrete experimental semi- or cross-variogram values will by default be displayed as points in a new graph window.

When you used the bidirectional Spatial Correlation method, you can draw two graphs:

  • Distance or AvgLag1 against SemiVar1 (semi-variogram values in the specified direction), and
  • Distance or AvgLag2, against SemiVar2 (semi-variogram values in the perpendicular direction).

When you used the Cross Variogram operation, you can draw three graphs:

  • Distance or AvgLag, against SemiVarA (semi-variogram values of the sparsely sampled variable),
  • Distance or AvgLag, against SemiVarB (semi-variogram values of the other variable), and
  • Distance or AvgLag, against CrossVarAB (cross-variogram values).

To add a second, third etc. graph layer to the graph window, choose Add Graph from Columns from the Edit menu in the graph window, or click the Add Graph button [image] in the toolbar of the graph window.

In the graph window, you may wish to adapt the boundaries of the X-axis from 0 to more or less half of the total distance between the samples. You may also wish to adapt the Y-axis from 0 to more or less the expected variance of your input sample values (s2, calculated in step 1.1).

Step 3: Modelling variograms

3.1 Adding models

Then, you need to model the discrete values of your experimental semi- or cross-variogram by a continuous function, which will give an expected value for any desired distance h.

  • From the Edit menu in the graph window, choose the Add Semi-variogram Model command.
  • In the Add Graph Semi-variogram Model dialog box, you can choose a type of semi- or cross-variogram model, and you can fill out values for the sill, range and nugget (or when using the Power model values for the sill, slope and power). A line will then be drawn according to the model you selected and the values you selected for sill, range and nugget.

Remark:

When you used the bidirectional Spatial Correlation method keep in mind that the model in the specified direction should be the same as the one in the perpendicular direction. ILWIS supports only geometric anisotropy: only the ranges of the models can be different.

3.2 Editing models

You are advised to visually experiment with models and with the values for sill, range, and nugget to find the best line through your discrete experimental semi- or cross variogram values.

  • To edit an existing model, double-click the semi-variogram model you wish to edit in the Graph Management pane.
  • The Graph Options - Semivariogram Model dialog box will appear in which you can adapt the model and the values for the nugget, sill and range until you are satisfied with the result.

If you like, you can also add other layers, i.e. other semi-variaogram models, for instance by choosing Add Graph, Semi-variogram Model from the Edit menu in the graph window, or by clicking the arrow next to the Add Graph button [image] and selecting Semi-variogram Model.

3.3 Checking models

You can use the Column SemiVariogram operation to find which model fits your experimental semi- or cross-variogram values best. This operation calculates semi- or cross-variogram values according to a user-specified model and stores calculated semi- or cross-variogram values in an output column.

  • Open the output table of the Spatial Correlation or Cross Variogram operation and choose the SemiVariogram command from the Columns menu in the table window.
  • In the Column SemiVariogram dialog box, select the same distance column and use the same model and values for the nugget, sill and range as you specified when creating the semi-variogram model (step 3.1). Name the output column for instance SemiCol.
  • You can test which semi- or cross-variogram model fits best, by calculating the Goodness of Fit (R2).

where:

 | are the experimental semi- or cross-variogram values calculated by the Spatial Correlation or by the Cross Variogram operation;
g | are the semi- or cross-variogram values calculated by the Column SemiVariogram operation;
N | is the total number of distance classes/intervals.

The numerator of the fraction gives the sum of the squared differences between the experimental semi- or cross-variogram values and the semi- or cross-variogram values calculated by a user-specified semi- or cross-variogram model.

The denominator of the fraction gives the sum of the squared differences between the experimental values and the average experimental semi- or cross-variogram value of all distance classes/intervals.

The Goodness of Fit indicator can be calculated using some TabCalc statements:

  • The terms in the numerator are computed by first making a new column in the Spatial Correlation or Cross Variogram table with the command:

    • g_gam_sqr = SQ(SemiVar - SemiCol)

    where:

    SemiVar | is the name of the column with the experimental semi- or cross-variogram values
SemiCol | is the name of the column with the semi- or cross-variogram values calculated with the Column SemiVariogram operation

  • The terms in the denominator first require the calculation of S [image] (hi)/N (i.e. the average experimental semi- or cross-variogram values) in a new column:

    • mean_g = AVG(SemiVar)

  • This average must be used in a new column with squared terms:

    • g_avg_sqr = SQ(SemiVar - mean_g)

  • The 'Goodness of Fit' indicator R2 is now obtained by:

    • R2 = 1 - SUM(g_gam_sqr) / SUM(g_avg_sqr)

The maximum value of R2 is 1, meaning an exact match of semi-or cross-variogram values calculated using a certain semi- or cross-variogram model and parameters, and experimental semi- or cross-variogram values. Once, you have decided which model fits your data best, you can continue with the Kriging operation.

Step 4: Kriging interpolation

Perform one of the 5 Kriging operations available in ILWIS:

4.1 Simple Kriging

Simple Kriging assumes that the randomized spatial function is stationary and that the mean is constant over the area of interest. This assumption is often unrealistic; the more robust Ordinary Kriging is thus frequently used instead. In Simple Kriging, all input points are used to calculate each output pixel value. For more information, see Kriging : functionality.

4.2 Ordinary Kriging

In Ordinary Kriging the randomized spatial function is non-stationary and the mean varies over the area of interest. Ordinary Kriging amounts to re-estimating the mean at each new location. In Ordinary Kriging, you can influence the number of points that should be taken into account in the calculation of an output pixel value by specifying a limiting distance and a minimum and maximum number of points. Only the points that fall within the limiting distance to an output pixel will be used in the calculation for that output pixel value. For more information, see Kriging : functionality.

4.3 Anisotropic Kriging

Anisotropic Kriging is a variant of Ordinary Kriging. Anisotropic Kriging incorporates the influence of direction dependency , i.e. Anisotropy in the Kriging operation. For more information, see Anisotropic Kriging : functionality.

4.4 Universal Kriging

Universal Kriging is another variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The assumption of a 'constant' mean in Ordinary Kriging is replaced by a prior trend model that is incorporated in the predictions. For more information, see Universal Kriging : functionality.

4.5 CoKriging

CoKriging is a multivariate extension of the Ordinary Kriging method. One parameter, which is too sparsely sampled to carry out an accurate interpolation, is highly correlated with another parameter of which enough samples are available to do Kriging. Based on the well sampled data set Kriging is carried out. For more information, see CoKriging : functionality.

Step 5: Output

5.1 Confidence interval maps

From the combination of a Kriged output map containing the estimates and its output error map, you can create confidence interval maps by using some MapCalc statements. For more information, see How to calculate confidence interval maps.

References:

  • Burrough, P.A. 1986. Principles of Geographical Information Systems for Land Resources Assessment. Oxford University Press. 194 pp.
  • Burrough, P.A. and R.A. McDonnell 1998. Principles of Geographical Information Systems. Oxford University Press. 330 pp.


How to use layers in a map window

How to use

layers in a map window

A map window may display one or more raster maps, polygon maps, segment maps and/or point maps. Maps that are displayed in a map window are called data layers. The legend of each map is automatically displayed in the Layer Management pane of a map window.

A map window can also display three images of a map list as an interactive color composite, or all maps of a map list as a slide show.

You can also create an Annotation Text object, which usually contains the labels of a point, segment or polygon map. You can add multiple Annotation Text objects to a map window.

Furthermore, you can add grid lines and graticules as a layer to a map window.

A map window displaying one or more maps, annotation text layers, optional grid lines and graticules can be saved as a map view. Map views can be added to a layout, which is used to make a final composition before printing. To the layout, you can then add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

To add extra layers to a map window:

  • From the Layers menu, choose Add Layer, Add Grid Lines, or Add Graticule, or
  • in the white space of the Layer Management pane of a map window, click the right mouse button, and choose Add Layer, Add Grid Lines, or Add Graticule from the context-sensitive menu,
  • click the Add Layer button [image] in the toolbar of the map window,
  • press the Ins key on the keyboard when a map window is active,
  • drag one or more point, segment, or polygon maps, a raster map, a map list, or annotation text objects from a Catalog or from Windows Explorer to an existing map window.

To show a map with a certain degree of transparency, or for more information on adding layers to a map window, see How to add extra layers to a map window.

To remove layers from a map window:

In the Layer Management pane in a map window:

  • select a layer to be removed, and click the Remove Layer button [image] in the toolbar of the map window, or
  • click the layer to be removed with the right mouse button, and choose Remove Layer from the context-sensitive menu.

To hide or show a layer in a map window:

In the Layer Management pane in a map window:

  • click the [image] check box to hide a layer, or
  • click the [image] check box to show a layer.

To change the order of layers:

In the Layer Management pane in a map window:

  • select a layer, and drag it to another position in the list.

The layer which appears at the top of the list in Layer Management will be drawn last in the map window (=on top).

To change display options of a layer:

  • From the Layers menu, choose Display Options, and select a layer from the cascading menu, or
  • in the Layer Management pane, double-click a layer, or
  • click with the right mouse button in a map window, select Display Options from the context-sensitive menu, and select a layer from the cascading menu.

A Display Options dialog box appears in which you can select another or create a new representation, etc. for the map.

To activate Layer Info for data layers:

When a map in the Layer Management pane is preceded by [image], you may obtain information on that layer, by pressing the left mouse button in a map window. This is called 'layer info' or simply 'Info'.

To obtain Info on the contents of a raster map, polygon map, segment map, point map or the bands in a map list, the Info check box in a layer's Display Options dialog box has to be selected (default already selected for all maps except for segment maps).

To switch Info on, or to switch it off:

  • open a map's Display Options dialog box (see above), and
  • select the Info check box to switch Info on, or
  • clear the Info check box to switch Info off.

In the Layer Management pane, a small [image] will appear in front of the map when 'Info' is on. By pressing the left mouse button in the map window, you will obtain 'Info' on the top layer of which the Info check box has been selected.

The Info check box also needs to be selected if you wish to use the Double-click action in a map window.

To save multiple layers in a map window as a map view:

A map view stores the layers displayed in a window, their display settings, the scale of the map window, and the position of the layers in the map window. When you open a map view later, all layers are directly displayed without any display options being asked.

Furthermore, you need one or more map views if you wish to create a layout to print your map(s). To a layout, you can add one or more map views, and additional annotation.

To save the layers in a map window as a map view:

  • open the File menu in a map window, and choose Save View or Save View As, or
  • click the Save button [image] in the toolbar of the map window.

When you choose Save View As, or when you are saving the map window for the first time, the Save View As dialog box will appear.

See also:

Basic concepts : layers in a map window

Basic concepts : map views and layouts

Map window : functionality

Map window : functionality (advanced)

How to change display options of layers in a map window


How to use long object names

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

Long object names in dialog boxes:

In dialog boxes, long object names can be used freely. When creating objects or when specifying an output object name in a dialog box, you may thus specify object names that start with or contain:

  • characters from A to Z,
  • digits from 0 to 9,
  • underscores,
  • spaces, or
  • any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

The following oject names are thus all valid: My_output_map, My output map, map'99, 99 map, #1map, and My.Map.

In dialog boxes, the use of single quotes around object names (as explained below) is permitted but not required.

Long object names on the command line and in scripts:

On the command line and in scripts, you must use single quotes around object names which:

  • start with a digit between 0 and 9,
  • start with a space, or contain one or more spaces,
  • start with or contain any of the following special characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

Object extensions should be left outside the quotes.

When an object name already contains a single quote ', this single quote must be duplicated.

On the command line and in scripts, single quotes around object names can only be omitted when object names start with a character between A to Z and do not contain spaces nor special characters.

Command line/script examples:

To demonstrate the use of single quotes around object names on the command line and/or in scripts, some examples of expressions are given below.

MyOutputMap = map1 + map2 | input maps and output map without spaces or special characters
My_Output_Map = map1 + map2 | input maps and output map without spaces or special characters
'My Output Map' = map1 + map2 | output map contains spaces
'Map1+2' = 'map.1' + 'map 2' | output map and first input map contain a special character; second input map contains a space
'Map1&2' = 'map.1' + 'map 2' | output map and first input map contain a special character; second input map contains a space
'99Edges' = MapFilter('map''99',edgesenh)
output map starts with a digit;
input map contains a special character (a single quote which has to be duplicated)
'99Edges'.mpr = MapFilter('map''99'.mpr,edgesenh)
same as previous
attrib_map_main_crop_99 = 'My.Map'.'99Landuse'.'Main Crop'
input map contains a special character;
table name starts with a digit;
column name contains a space

UNC paths:

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

See also:

Map calculation : general syntax of MapCalc formulae

Table calculation : general syntax of TabCalc formulae

Appendices : construction of expressions


How to use masks

By specifying a mask, you can search for points, segments or polygons with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those points, segments or polygons in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas.

When you specify a mask in the Display Options dialog box of a point, segment or polygon map, then only those points, segments or polygons in the map of which the class name, identifier or value matches one of the strings specified in the mask are displayed in a map window.

Further, in many Vector Operations a mask can be used to selectively copy or use points, segments or polygons with certain class names, identifiers or values from an input map into an output map. Only those points, segments or polygons of the input map of which the class name, identifier or value matches one of the strings listed in the mask are copied to the output map.

Mask syntax:

  • search strings in a mask are compared with the classes, IDs or values of the domain of a map; when a map uses a class or ID domain and the classes or IDs have codes, the mask works on the codes and on the names and on the combination of codes and names,
  • to find/retrieve one specific class name, identifier or value: type that class name, ID or identifier in the mask,
  • to find/retrieve multiple class names, identifiers or values: separate the different class names, identifiers or values in the mask by commas (it does not matter whether you use spaces before or after a comma),
  • you can use asterisks as wild cards to replace zero or more characters in class names, IDs or values, for example road*,riv* or 1*,2*,3* , or even *25,*50,*75,*00, or A*b*,D*g*
  • you can use question marks as wild cards to replace single characters in class names, identifiers or values, for example Ab?,D?,Gl? or ?p,??i, or A*b??,D*g??
  • in a dialog box, you should not use quotes around class names, identifiers or values,
  • on the command line, you must use double quotes around the complete mask.

Example of using a mask on a map with a class domain:

Consider the domain Landuse with its class codes as presented below.

Code | Class Name
Fb | Secondary forest, shrubland, bushland
Fp | Primary forest
G | Grazing
H | Homestead gardens
P | Fish ponds
Pi | Paddy rice irrigated
Pr | Paddy rice rainfed
Tu | Tree crops and upland field crops
U | Upland field crops
Ut | Upland fields crops and tree crops
W | Waterbody
Mask: | Retrieves:
Fp | Fp
Grazing | G
upland* | U, Ut
*tree* | Tu, Ut
? | G, H, P, U, W
*forest* | Fb, Fp
F? | Fb, Fp
F* | Fb, Fp, P
*rice* | Pi, Pr
P? | Pi, Pr
P, P? | P, Pi, Pr
P* | P, Pi, Pr, Fb
*u* | Tu, U, Ut, Fb

Example using a mask on a map with a value domain:

Suppose you have a segment map with contour lines between 3000 and 4500m and the segment map has a precision of 1.

Mask: | Retrieves:
3000 | contour lines with value 3000
3*,4000 | all contour lines between 3000 and 4000m
30*,31* | all contour lines between 3000 and 3199m
*00 | all contour lines ending on 00, thus 3000, 3100, 3200, etc.

If the segment map uses a precision of 0.01 and you want to retrieve segments with value 3000, you need to specify in the mask "3000.00". Similarly, to retrieve all 100m contour lines, use a mask of "*00.00".

Another example to display contour lines:

Suppose you have a segment map with contour lines between 3000 and 4500m, at every 10m (precision of the map is 1). Goal: display the contour lines 3000, 3100, 3200, etc. in one color, and all contour lines with values like 3050, 3150, 3250, etc. in another color and all remaining contour lines in another color.

  1. Display the segment map; do not use a mask.
    Specify one color and a line width of 1.
  2. Add the same segment map to this map window; use as mask: *00
    Choose a color for these segments and a line width.
  3. Add the segment map again to this map window; use as mask: *50
    Choose another color and another line width for these segments.

See also:

Display Options dialog boxes

Vector Operations


How to use the Operation-tree and Operation-list

How to use ...

the Operation-tree and Operation-list

The Operation-tree and the Operation-list provide an overview of all ILWIS operations. The Operation-tree and the Operation-list are located on the first two tabs in the Operations/Navigator pane, by default along the left hand side of the Main window.

The Operation-tree and the Operation-list are very sensitive to clicking, double-clicking and drag and drop actions. The Operation-tree and Operation-list are mostly used to start operations bypassing the Operations menu, or to create, show or edit objects. Using the Operation-tree and Operation-list capabilities is far more efficient than using menus.

To get more information on an operation:

  • move the mouse pointer over an operation, the status bar gives a brief description of that operation, or
  • click with the right mouse button on an operation, and select Help from the context-sensitive menu.

To start an operation:

  • double-click the desired operation in the Operation-tree or Operation-list, or
  • click with the right mouse button on an operation, and select Run from the context-sensitive menu.

To start an operation with a certain input map or table:

  • drag a map or table from the Catalog to an operation in the Operation-tree or the Operation-list.

To extend the Operation-tree, the Operation-list and the Operations menu:

ILWIS scripts and external applications can be added to the Operation-tree, the Operation-list and the Operations menu by setting one or more Script or Tools folders/directories in the Preferences. For more information, refer to How to customize the Operation-tree, the Operation-list and the Operations menu.

Tips:

  • To start an operation, you can also type a command on the command line of the Main window (see also Appendices : ILWIS commands).
  • In all cases mentioned above, a dialog box is opened in which you can enter the input and output object names and other parameters necessary for the operation.

    • When you click the Show or Define button in the operation's dialog box, an ILWIS expression is generated on the command line of the Main window.

    Output objects that are obtained through an operation's dialog box are always dependent.

  • Advanced users can type complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions. For more information, see Appendices : ILWIS expressions and Appendices : ILWIS script language (syntax).

See also:

Main window

Main window : Operation-tree and Operation-list

How to customize the Operation-tree, the Operation-list and the Operations menu

ILWIS operations


How to use parameters in scripts

Parameters in a script can replace (parts of) object names, operations, etc. Parameters in scripts work as DOS replaceable parameters in DOS batch files, and must be written on the Script tab of the Script editor as %1, %2, %3, up to %9.

To run a script with parameters using a Run Script dialog box

Example: calculating slope maps in degrees and in percentages

Suppose you have a segment map 'Contour' and an existing georeference 'MyGeoref' with a certain pixel size, and you create a script called 'slopes' to calculate slope maps in degrees and in percentages.

To obtain a slope map in degrees and a slope map in percentages, create the following script:

  1. Type on the Script tab of the script editor:

    2. %3 = MapInterpolContour(%1, %2)

    DX = MapFilter(%3, dfdx)

    DY = MapFilter(%3, dfdy)

    %4 = 100 * HYP(DX, DY) / PIXSIZE(%3)

    %5 = RADDEG(ATAN(%4 / 100))

    calc %3.mpr

    calc %4.mpr

    calc %5.mpr

    This script is more elaborately explained in MapCalc & TabCalc : creating and running scripts.

  2. On the Parameters tab of the script editor, select the number of parameters (in this case 5), type a name for every parameter and select for each parameter the object type. For example:

    3. Parameter | Name | Type
%1 | Input contour segment map | Segment Map
%2 | Georef for all output maps | Georeference
%3 | Output DEM | Filename
%4 | Output slope map (in percentages) | Filename
%5 | Output slope map (in degrees) | Filename

    • By specifying that a parameter is a certain ILWIS object, you will obtain a drop-down list box in the Run Script dialog box; you can then select an input object of the specified type.
    • By specifying that a parameter represents a file name, you will obtain a text box in the Run Script dialog box; you can then fill out the names of output objects.

  3. On the Default Values tab, you may specify default objects and default filenames, for all variables/parameters that you wish to use in the Run Script dialog box.

    4. For instance:

    • The default output name for the Output DEM may be: DEM
    • The default output name for the Output slope map (in percentages) may be: SlopePct
    • The default output name for the Output slope map (in degrees) may be: SlopeDeg

  4. To run this script:
    • open the File menu in the script editor and select the Run Script command, or
    • press the Run Script Run Script button in the toolbar of the script editor, or
    • type on the command line of the Main window: Run scriptname

    The Run Script dialog box will appear:

    Run Script dialog box

    In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab of the script editor.

    • If you did not specify default objects on the Default Values tab, you need to select objects for input parameters and/or type object names for output parameters.

      • In this case, you can select your own segment map with contour lines for the 'Input contour segment map', and you can select your own georeference for 'Georef for all output maps'.

    • If you did fill out objects on the Default Values tab, the Run Script dialog box will already be filled out with these defaults.

      • In this case, the output map names DEM, SlopePct and SlopeDeg were already filled out on the Default Values tab.

    Click OK to execute the script.

Tips:

  • There are also other ways to run a script: for more information see How to run scripts.
  • You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

To run a script with parameters without using a Run Script dialog box

Example 1: calculating slope maps in degrees and in percentages

  1. If a Slopes script is defined as follows on the Script tab of the script editor:

    2. %3 = MapInterpolContour(%1, %2)

    DX = MapFilter(%3, dfdx)

    DY = MapFilter(%3, dfdy)

    %4 = 100 * HYP(DX, DY) / PIXSIZE(%3)

    %5 = RADDEG(ATAN(%4 / 100))

    calc %3.mpr

    calc %4.mpr

    calc %5.mpr

  2. You can run the script and skip the Run Script dialog box, by directly filling out all parameters the command line of the Main window:

    3. run Slopes Contour.mps MyGeoref.grf DEM SlopePct SlopeDeg

    The first string found after the script name Slope will replace %1 in the script, the second one %2, etc. In this example it means that:

    Contour.mps | replaces %1
MyGeoref.grf | replaces %2
DEM | replaces %3
SlopePct | replaces %4
SlopeDeg | replaces %5

Mind:

When you use long filenames as parameters, you must enclose the object name within single quotes; the .ext extension of ILWIS objects should be left outside the quotes. A valid example of using long names is for instance:
run Slopes 'My Contours'.mps 'My Georef'.grf 'my DEM' 'Slope Map in Percentages' 'Slope Map in Degrees'

For more information, refer to How to use long object names.

Of course, you could also specify the object names directly in the script itself, thus creating a script without parameters.

Example 2: calculating yield maps of different years

Suppose you have three landuse maps (LU70, LU80, and LU90) of different years (1970, 1980, 1990). Each map has an attribute table linked to it (LUTBL70, LUTBL80, LUTBL90), and each table contains a column YieldMainCrop.

To obtain attribute maps (yield maps) of all landuse maps, you can create the following script:

  1. Type on the Script tab of the script editor:

    Yield%1=MapAttribute(LU%1, YieldMainCrop)

    Yield%2=MapAttribute(LU%2, YieldMainCrop)

    Yield%3=MapAttribute(LU%3, YieldMainCrop)

  2. If you do not specify parameters or default objects/filenames on the Parameters tab and the Default Values tab of the script editor, you can run the script 'Yields' from the command line of the Main window, by typing:

    3. run Yields 70 80 90

    In script Yields, '70' replaces %1, '80' replaces %2 and '90' replaces %3. You thus obtain three attribute maps (Yield70, Yield80, Yield90) from the three input maps (LU70, LU80, LU90).

Tips:

  • There are also other ways to run a script: for more information see How to run scripts.
  • You can create your own Help for a script so that you can explain the meaning of parameters to other users of the script. For more information, see the Run Script dialog box.

See also:

ILWIS objects : scripts

Appendices : ILWIS script language (syntax)

Appendices : ILWIS commands

Appendices : ILWIS expressions

How to run scripts

How to use long object names


How to use pixel information

The pixel information window allows you to interactively inspect class names, IDs or values in multiple raster, polygon, segment and point maps with the same or a compatible coordinate system. When one map is displayed in a map window, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the mouse pointer in the map window. In the same way, when you have an analog paper map on the digitizer and you performed MapReference, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the digitizer cursor.

General method to use Pixel Information:

  1. Open the pixel info window by choosing the Open Pixel Information command on the File menu of the Main window or a map window. You can also click the Pixel Information button in the standard toolbar of the Main window.
  2. Add maps to the pixel information window by choosing the Add Map command on the File menu of the pixel info window. You can also drag maps from the Catalog into the pixel info window. Raster maps as well as polygon, segment and point maps can be added to the pixel information window. If an attribute table is linked to a map or to the domain of a map, the attribute information is shown as well. You can check whether an attribute table is linked to a map or a domain in the Properties dialog box of the map or the domain.
  3. Locate the mouse pointer on a map or locate the digitizer cursor on a reference paper map on the digitizer.

To hide or show maps or attribute columns in the pixel info window:

  • from the Options menu, choose Customize, or
  • click on the upper left grey area in the pixel info window.

The Customize Pixel Info dialog box appears which displays a list of maps, tables and columns. By clicking in this list, maps and columns can be (de-)selected; selected items appear highlighted and will be shown in the pixel info window.

Detailed pixel info by using the keyboard:

To move the mouse pointer in the map window and see the result in the Pixel info window, you can use the Arrow keys on the keyboard to move 1 screen pixel, or use the Ctrl+Arrow keys on the keyboard to move 10 screen pixels.

See also:

Pixel information window


How to use the status bar

The status bar is located at the bottom of the Main window, a map window, a table window, the pixel information window, the SMCE window and in editors. The status bar gives a brief explanation on selected menu commands and on the functionality of buttons in a toolbar. Further, the status bar may give additional information when the mouse pointer is located in a Catalog, the Operation-tree, the Operation-list, a map window, a table window, a pixel information window, a SMCE window or an editor.

Information on menu commands:

Highlight a menu command by opening a menu and drag the mouse pointer along the commands on the menu; the status bar displays information that helps explain the task of the highlighted menu command. You can also use the UP ARROW and DOWN ARROW keys on the keyboard to move through the commands on a menu.

Information on buttons in the toolbar:

Move the mouse pointer over a button in a toolbar; the status bar gives a short explanation of the function of the button.

Information on objects and operations:

When you move with the mouse pointer over an object in a Catalog, or over an operation in the Operation-tree or the Operation-list, the status bar shows the description of the object or operation.

For objects in a Catalog, the status line will also display whether objects are dependent (D), calculated (C) and or up-to-date (U). Furthermore, the query used in the current Catalog is shown.

Information on coordinates and row and column numbers in a map window:

When you move with the mouse pointer in a map window, X and Y coordinates are displayed on the status bar. When a raster map is displayed in a map window, the row and column numbers appear as well.

Hide or Show the status bar:

You can hide the status bar by opening a View or Options menu and selecting the command Status Bar. The check mark [image] to the left of the command Status Bar disappears, and the status bar will no longer appear in your window. When you choose this command again, the check mark and the status bar will reappear.


Map window

 Options menu

Zoom in

Zooms in on a spot or an area within a map window. The Zoom In command is also available in the Pixel editor, Polygon editor, Segment editor, Point editor, Georeference Tiepoint editor, Sample set editor and the Layout editor.

To zoom in on maps, first:

  • click the Zoom In button [image] in the toolbar, or
  • press the right mouse button in a map window and choose Zoom In from the context-sensitive menu, or
  • from the Options menu, choose the Zoom In command.

The mouse pointer changes into a magnifying glass with a large plus inside, then:

  • click somewhere in the map, to zoom in on a certain position with a factor 2, or
  • drag a rectangle with the mouse pointer from one point of interest to another, to zoom in on the area of interest (any zoom factor).

Tips:

  1. To zoom in, you can also press Ctrl+I on the keyboard: ILWIS will automatically zoom in at the center of the window with a factor 2.
  2. When zoomed in, you can use the Pan button [image] to roam through the map(s); you can also use the scroll bars or some keyboard keys (see below).
  3. The overview window in a map window, may help to orientate yourself when zoomed in; you can also use the overview window to easily zoom in on a certain area.
  4. Whether the shape of the map window changes or not when zooming in, depends on whether the command Adjust Window Size on the Options menu of the map window is marked or not.
  5. To display a map without any automatic zooming, select the No Zoom command on the Options menu.

Scrolling by keyboard:

When you zoom in on a map, scroll bars will appear at the right and bottom side of the map window. You can use the scroll bars in the normal way with the mouse, but you can also use the following key combinations:

  • PageUp, PageDown, Home, or End

    • to scroll up, down, to the left or to the right, or

  • Ctrl+PageUp, Ctrl+PageDown, Ctrl+Home and Ctrl+End

    • to scroll vertically to the top line, bottom line, and to scroll horizontally to the first column and last column.

To move the mouse pointer exactly one screen pixel up, down, to the left, or to the right, you can use the Arrow keys on the keyboard.

See also:

Map window : functionality


Appendices

ILWIS objects

Relations between objects

ILWIS operations

ILWIS commands and expressions

ILWIS commands

ILWIS expressions

Construction of expressions

ILWIS script language (syntax)

ILWIS as DDE server

File extensions

General structure of object definition files

Keyboard shortcuts

Mouse functions


Appendices : ILWIS objects

Appendices

ILWIS objects

Data objects

Raster maps, polygon maps, segment maps, point maps, tables and columns are called data objects.

Raster maps

A raster map consists of pixels (picture elements) of a certain size, e.g. 20m x 20m. Pixels are either codified by IDs, class names, values, or colors; this is determined by the domain of the map. A raster map should have coordinates, that is a georeference. In ILWIS, most spatial operations are performed on raster maps.

To obtain a raster map:

  • rasterize an existing point, segment or polygon map, or
  • create a new raster map and edit it with the pixel editor,
  • use a satellite image which is already a raster map, or
  • scan a map or photograph and import it into ILWIS.

Polygon maps

A polygon map is a vector map containing closed areas and the boundaries making up the areas. Polygon maps can for example contain uniquely codified areas such as cadastral plots, or mapping units such as land use classes, geological units or soil units. The areas are either codified by IDs, class names or values; this is determined by the domain of the map. Further, a polygon map uses a certain coordinate system.

Polygon maps are generally used as a stepping stone to raster maps.

To obtain a polygon map, you first have to create a new segment map and edit it with the segment editor (with or without digitizer); then polygonize these segments within the segment editor or with the Segments to Polygons operation.

Segment maps

A segment map is a vector map containing lines (for example roads, rivers or contour lines). Segments are either codified by IDs, class names or values (height map); this is determined by the domain of the map. Further, a segment map uses a certain coordinate system.

To obtain a segment map, you should create one and edit it with the segment editor (with or without digitizer).

Point maps

A point map contains points, for example water wells or sample points. Points are either identified by IDs, class names or values; this is determined by the domain of the map. Further, a point map uses a certain coordinate system.

To obtain a point map you should create one and edit it with the point editor (with or without digitizer).

(Attribute) Table

A table consists of records and columns. A table is an attribute table when the table stores additional information on elements in a map; i.e. extra tabular data which relates to mapping units, points, segments, or polygons in maps.

Raster, polygon, segment and point maps of the domain type Class or ID can have attribute tables. The domain of the attribute table should be the same as the domain of the map to which it relates. An attribute table can be linked to a map or to a domain through the Properties of a map or a domain.

An attribute table can be edited when the table is displayed in a table window. When the table is linked to a map or to a domain, and the map is displayed in a map window, you can also double-click the units in the map.

Columns

A table consists of columns. You can perform calculations with columns using TabCalc.

Each column has a domain. A column with a value domain contains values, a column with a class domain contains class names, a column with domain ID contains IDs, etc. Columns can also have domain String; you can use this to type for instance descriptions.

If in an attribute table you have columns with a class domains, or with user-defined value domains, you may consider to prepare a representation for these columns as well. When you open the map to which the attribute table is linked, you can directly display the map by one of its attributes.

Container objects

Map lists, object collections, map views, layouts, annotation text objects and graphs are called container objects.

Map lists

A map list is a set of raster maps, for example the bands of a satellite image. All raster maps in the map list must have the same georeference and the same domain.

A map list is used for:

  • sampling and classification
  • creating a color composite
  • a principal components analysis, or
  • present multi-temporal changes in maps as a slide show.

A map list can be created from the File menu in the Main window or while starting an operation which requires a map list as input. You can include as many maps in a map list as you like.

Object collections

An object collection is a set of ILWIS objects.

An object collection only stores the names and locations of the object definition files of the maps, tables, etc. that are included in the object collection. The object definition files of these maps, tables, etc. contain further references to the names and locations of the data files on disk.

Object collections:

  • can be created to organize your data as 'projects';
  • are the result of importing Aster images through ILWIS Map Import.

Furthermore, a special case of object collections are database collections. Database collections are the result of accessing an external database, and only contain the Use As tables [image] u of the external database. For more information, see ILWIS objects : tables - databases.

Map views

A map view is a saved map window.

In one map window, you can display:

  • one or more raster maps, polygon maps, segment maps and/or point maps;
  • one or more Annotation Text objects which usually contains the labels of a point, segment or polygon map;
  • grid lines and graticules.

When you save a map window as a map view, all layers in the map window and their display settings as well as the georeference of the map window are stored. When you open a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window anymore, nor specify their display options.

Map views MUST be created when you wish to print maps. After saving the map window(s) as map view(s), create a layout to which you can add one or more map views and additional annotation such as legends, north arrows, scale bars and scale texts, texts (such as a title), map borders including ticks and coordinates for grid lines or a graticule, a page border, boxes, bitmaps and pictures.

Mind: A map view in a layout may only contain one raster map.

In the layout editor, you can then make a final composition of the map views and the annotation.

Layouts

A layout is required to print maps with optional annotation. A layout is a virtual sheet of paper on which you can make a composition of one or more map views, specify the scale on which these map views should be printed, and on which you can insert annotation.

In the layout editor, you can add to a layout:

  • one or more map views, each of which may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules;
  • texts such a titles;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

For each map view, you can add to the layout:

  • a legend for a layer in a map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

Tip:

To obtain a layout, first save a map window containing one or more maps, optionally Annotation Text, grid lines and/or graticules as a map view. Then, create a layout and add one or more map views to it.

Annotation Text

An Annotation Text object, also called an annotation text layer, is designed to display and store multiple texts (such as labels of points, segments or polygons) at multiple positions.

  • In a map window, open the File menu and choose Create Annotation Text. The Create Annotation Text dialog box will appear, in which you can choose to use a map on which the texts/labels should be based.
  • Then, in the Annotation Text editor, you can easily reposition selected texts, and you can specify fonts, font sizes, appearance (bold, italics, underline), colors, rotations, etc. Texts in an Annotation Text object can only consist of one line.

Tip:

When one or more maps, annotation text layers, optional grid lines and graticules that are displayed in a map window are saved as a map view, and when the map view is added to a layout, you can add further texts (such as a title) to the layout.

Graphs

A graph can be created from columns in a table.

You can either create a so-called graph from columns (displayed as points, bars, line, step or needle), or a rose diagram. The graph will be shown in a graph window.

After you displayed a graph from columns, you can add graphs from formula, a least squares fit, or a semi-variogram model. In the graph window, the different graph layers will appear in the Graph Management pane.

A saved graph contains all necessary display options to redisplay the graph after the graph window has been closed.

For more information, refer to Graph window : functionality, Graph window : examples of graphs, or Graph window : Graph Management pane.

Service objects

Domains, representations, georeferences, and coordinate systems are called service objects.

Domains

A domain is a set of possible values of a variable. In ILWIS, a domain is the set of possible IDs, class names, or values that can be used for instance in a map. All maps, tables and columns (data objects) have a domain; a domain is a service object for maps, tables and columns. One domain can be used for several data objects.

The four main types of domains are:

  • ID

for data objects which contain unique identifiers (e.g. plot 1024, plot 1025)

  • Class

for data objects that contain classes (e.g. soil units: clay, sandy loam)
  • Value

for data objects that contain measurable, calculated or interpolated values (e.g. height, concentration)
  • Image

for satellite images containing values between 0 and 255.

Maps which use a class, value or the image domain can have a user-defined representation.

Representations

A representation generally defines the manner in which the classes of a map with a class domain, or the values of a map with a value domain or the image domain should be represented on the screen and on a printer. A representation is a service object for a domain, i.e. a domain uses a certain representation. For maps which have a specific meaning (e.g. land use classes or height values) and which need fixed colors, it is advisable to create a user-defined domain and a user-defined representation. Maps which use the same domain are by default displayed in the same colors.

Representation types:

  • Representation class: for maps that have a class domain and for raster maps with a group domain or a picture domain. For each class in the domain, a representation class contains: colors for mapping units in raster maps; colors, hatching or patterns for polygons; colors, line types, line widths, etc. or equally spaced symbols for segments; colors, symbol type, symbol sizes, etc. for points.
  • Representation value or representation gradual: for maps that have a value domain or the image domain. Such representations contain colors assigned to ranges of values in raster, polygon, or segment maps.

Georeferences

A georeference is a service object which stores the relation between rows and columns of a raster map (row,col) and coordinates (X,Y). A georeference is needed for raster maps. A georeference uses a coordinate system. It is advised that raster maps of the same area use the same georeference.

  • For rasterized vector maps, which are usually North-oriented, you can use a georef corners.
  • For other raster maps, for example satellite images, which are not North-oriented and in which the pixels do not represent exactly square areas on the ground, you can use a georeference tiepoints.
  • To add coordinates to a scanned photograph while using a Digital Terrain Model (DTM), create a georef direct linear.
  • To add coordinates to a scanned aerial photograph with fiducial marks for which you have DTM, create a georef orthophoto.
  • To create three dimensional views of maps while using a Digital Elevation Model, create a georef 3D.

To combine raster maps with different georeferences, for instance in MapCalc or Cross, first use the Resample operation, so that all maps will use one georeference.

Coordinate systems

A coordinate system defines the possible XY- or LatLon-coordinates that can be used in your maps and thus stores information on the kind of coordinates you are using in your maps. You may for instance use user-defined coordinates, coordinates defined by a national standard or coordinates of a certain UTM zone. Point, segment and polygon maps always have a coordinate system. Raster maps have a georeference which uses a coordinate system. A coordinate system is a service object for point, segment and polygon maps, and for georeferences of raster maps.

There are five main types of coordinate systems:

  • coordsys boundary only: to define XY-coordinates for maps by only specifying the boundaries of your study area.
  • coordsys projection: to define XY-coordinates for maps by specifying the boundaries of your study area and optionally projection information, ellipsoid information and/or datum information.
  • coordsys latlon: to define LatLon-coordinates for maps by specifying the boundaries of your study area in Latitudes and Longitudes and optionally ellipsoid information and/or datum information.
  • coordsys formula: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you know the relation between the two coordinate systems.
  • coordsys tiepoints: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you do not know the relation between the two coordinate systems.

Tip:

It is advised to use one coordinate system for all your maps. In case you have data of different sources in different projections, it is advised to transform all data to one common coordinate system.

Special objects

Histograms, sample sets, stereo pairs, criteria trees, two-dimensional tables, matrices, filters, functions, scripts are called special objects.

Histograms

A histogram is a special object which lists frequency information on values, classes or IDs in a raster, polygon, segment or point map. A histogram is automatically calculated when displaying a value map with stretching; you can also use the Histogram operation.

In a histogram window, a histogram is presented as a table and as a graph.

Summary information of a value histogram, such as mean, standard deviation, and intervals, can be viewed both in the histogram window as well as in the Properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a domain Value, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.

A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.

A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.

Sample sets

Prior to an image classification, sample pixels or training pixels have to be selected in a sample set. To create a sample set, first a map list and a domain have to be specified. Then, with sampling, assign class names to groups of pixels that are supposed to represent a known feature on the ground and that have similar spectral values in the maps in the map list.

A sample set contains:

  • a reference to a map list, that is the set of images you want to classify in a later stage. The spectral values of the images in the map list, at the position of the training pixels provide the basis on which decisions are made in the classification. During sampling, these values can be inspected in the sample statistics of a certain class of training pixels, and can be visualized in feature spaces;
  • a reference to a class domain, that is the collection of class names that you want to assign to your training pixels and that are the classes that you want to obtain from the classification. The representation of this domain determines in which colors the training pixels are displayed during sampling;
  • a reference to a raster map which is automatically created and obtains the same name as the sample set. This so-called sample map contains the locations of the training pixels and the class names assigned to them.

When your graphics board is configured to use 256 colors, you can locate your training pixels on a background map, for instance a color composite. In case your graphics board is configured to use more than 256 colors, you will use an interactive color composite; then, a background map is not used.

Stereo pairs

A stereo pair is calculated from a pair of input raster maps, for instance two aerial photographs with overlap, the fiducial marks of the photographs, the principal point of each photograph, the transferred principal points, and optionally one or two scaling points.

A stereo pair is automatically calculated when it is opened for display. The stereo pair then contains:

  • two resampled output raster maps,
  • where each raster map uses a new georeference which retains possible original coordinates.

A stereo pair can be displayed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.

To create a stereo pair, use the Epipolar Stereo Pair operation.

Criteria trees

A criteria tree contains the definition of a complicated calculation in which multiple input maps and/or attribute columns are combined, according to certain user-defined rules or criteria, to obtain a final output raster map using Spatial Multi-Criteria Evaluation (SMCE).

Under the main goal of a criteria tree, you can add:

  • criteria: these rules are either factors or constraints.
  • groups: as many criteria may be involved, you can create groups under the main goal of a tree to keep an overview of all rules. A group defines an intermediate or a partial goal. Under a group, you can add one or more factors.

A criteria tree as a whole contains all rules you defined; it thus contains the way in which all input data should be standardized, grouped or weighed, to be able to calculate the final output map. The calculated final output map will show the performance of an area for the main goal that was set.

To build a criteria tree, you need to:

  • specify the name of the main goal as text, and specify the name of the output raster map that will contain the calculated final result,

  • add criteria under the main goal, i.e.:
    • add factors (benefits and/or costs) and add constraints,
    • specify the name of each factor or constraint as text,
    • select for each factor or constraint the input raster map or the attribute column that needs to be used.

  • optionally, add groups (partial goals) under the main goal, or under another partial goal, i.e.:
    • specify the name of a group as text,
    • optionally, specify the name of the output raster map that will contain the calculated result for this group,
      • add factors (benefits and/or costs) under the group,
      • specify the name of each factor as text,
      • select for each factor the input raster map or the attribute column that needs to be used.

Optionally, you can calculate performance by multiple scenarios or alternatives, in order to select the best scenario or alternative, and to identify poorly performing scenarios or alternatives. You will use:

  • the same criteria tree, i.e. the same rules for standardization, grouping and weighing of criteria,
  • for each alternative: other input maps.

Two-dimensional tables

A two-dimensional table is used to combine two raster maps with class or ID domain. It defines a new value for each possible combination of input classes or IDs.

A two-dimensional table view consists of rows which represent the domain of one map and of columns which represent the domain of another map. You have to assign a new value, class name or ID to the fields which represent the combination of the domains. Then you have to apply the two-dimensional table on the command line of the Main window. The output raster contains the values, classes or IDs as entered in the two-dimensional table.

Matrices

A matrix is a 2-dimensional array of values. Matrices are calculated by the Principal Components operation and by the Factor Analysis operation. The Principal Components operation calculates a.o. a variance-covariance matrix and the Factor Analysis operation calculates a.o. a correlation matrix. The matrices can be shown.

In the properties dialog box of a matrix, some additional information of the matrix can be viewed namely the total variances in the output bands.

Filters

Filters are used in the Filter operation.

ILWIS offers you:

  • a choice of six filter types: Linear filters, Rank order filters, Majority filters, Binary filters, a Pattern filter and a Standard deviation filter. Each filter type calculates results by a different method;
  • a choice of about 30 standard filters;
  • the possibility to create, edit and store your own Linear filters, for instance through the New Filter option in the Operation-tree or the Operation-list;
  • the possibility to modify the Average filter, Majority filters, Median filters, the Pattern filter, Rank Order filters, and the Standard Deviation filter according to your wishes in the Filter : dialog box.

Functions

Functions can be used in all calculators in ILWIS: MapCalc, TabCalc, scripts and the pocket line calculator. Some 50 internal functions are available (see also Map and Table Calculation), but also user-defined functions can be created.

A user-defined function may contain any combination of operators and functions, and may use parameters representing maps and columns. Parameters in a user-defined function can have any name.

Scripts

A script is a sequence of ILWIS expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline. Scripts are equivalent to batch files in ILWIS version 1.4.

For more information about scripts, see ILWIS objects : scripts. For more information on script syntax, see Map and Table calculation, Appendices : ILWIS expressions and Appendices : ILWIS script language (syntax).

See also:

Appendices : Relations between ILWIS objects


Appendices : relations between ILWIS objects

Appendices

Relations between ILWIS objects

ILWIS data objects (maps, tables and columns) contain references to other objects (e.g. service objects) and to other binary files (e.g. binary data file). All these references are listed in an object's object definition file.

This topic deals with the relations that each object has with other objects by means of the references mentioned above. In the software, these internal relations of one object with other objects are visible as the properties of an object. Any object's properties can be viewed and edited.

ILWIS data objects may also depend on other data objects: when a map is calculated from other maps or when a map is the outcome of an operation on another map. Such relations are called dependency links. For more information, see Basic concepts: Dependent data objects.

In the text below, the word 'use' is used for the references that each object has to other objects. Instead of 'use', you may also read 'have' or 'have a reference to'.

Data objects:

Raster maps use a domain and a georeference.

Polygon maps use a domain and a coordinate system.

Segment maps use a domain and a coordinate system.

Point maps use a domain and a coordinate system.

Maps of a domain type Class, ID, or Group may have an attribute table.

Tables use a domain.

Columns use a domain.

Container objects:

Map lists contain references to a number of raster maps which use the same georeference and the same domain.

Object collections contain references to a number of objects that are included in the object collection.

Map views contain references to one or more raster maps, polygon maps, segment maps, and/or point maps and optional annotation text objects. Information on grid lines and graticules is stored in-line.

Layouts contain references to one or more map views. Information on annotation is stored in-line.

Annotation Text objects have no direct relations with other objects. Annotation text objects are designed to display and store multiple texts at multiple positions.

Graphs contain a reference to the table(s) which store the columns that are used in a graph.

Service objects:

Domains of the Class, Group, Value and Picture type use a representation.

A class, group and picture domain have a representation Class; a value domain has a representation value or a representation gradual. Other domains use 1, 7, 15, or 31 system colors.

Representations use a domain.

Georeferences use a coordinate system. A georeference tiepoints also uses a background raster map on which you can position your tiepoints.

Coordinate systems may contain information on a projection.

Special objects:

Histograms are tables. Histograms calculated from images or from existing raster, polygon, segment or point with a Class or ID domain, use the same domain as the map. Histograms calculated from maps with a Value domain, obtain domain None.

A sample set uses a map list, a sample set raster map which stores the positions of the training pixels, a domain that contains the class names of training pixels. When your graphics board is configured to use 256 colors, the sample set also uses a background raster map on which you can position your training pixels.

A stereo pair contains references to two input raster maps, locations of fiducial marks, principal points, transferred principal points, and optionally scaling points. When calculated, it also contains references to two resampled output raster maps.

A criteria tree has no direct relations to other objects.

A two-dimensional table uses two domains which contain the classes or IDs that should be reclassified and one domain which contains the classes, IDs or values after reclassification.

A matrix has no direct relations to other objects. A matrix is a dependent object, created by the operations Principal Components and Factor Analysis.

Filters have no direct relations with other objects. Filters can be applied on raster maps.

Functions have no direct relations with other objects. Functions can be used on the command lines, in MapCalc and TabCalc to calculate with maps and/or tables, in scripts, and in the pocket line calculator.

Scripts have no direct relations with other objects. Scripts may perform any calculation or operation on any data object, as defined in the script.

Tips:

  • When you create a domain for data with a meaning, do not forget create one or more representations for this domain as well. When creating a class domain, a representation is automatically created, but you have to edit the colors yourself. The domain and representation together determine in what colors the map or attribute column can be displayed.
  • Service objects can be shared by more than one data object.
  • Some special service objects exist: None.dom, None.grf, and Unknown.csy.

See also:

How to view and edit properties of an object


Appendices : ILWIS operations

Appendices

ILWIS operations

VISUALIZATION

Show Map

Show a map in a new map window.

Show Table

Show a table in a table window.

Show Map List as Color Composite

Display three images, or other raster maps with a value domain, present in a map list as a color composite. You will show an Interactive color composite.

By using an interactive color composite, you can easily change intervals, select other bands, etc. The resulting color composite is displayed in a map window which can be saved as a map view. Interactive color composites are very suitable to be used as a background during sampling or during screen digitizing.
Your graphics board needs to be configured to use more than 256 colors, for instance High Color 16-bit, or True Color 24-bit (see Display Settings in Windows' Control Panel).

A permanent color composite can always be created with the Color Composite operation on the Operations, Image Processing menu.

Show Map List as Slide Show

Show multiple raster maps which are combined in a map list, one after the other in a map window at a user-specified rate. You will show a Slide Show. This visualization technique is designed to present multi-temporal changes in maps. All maps in the map list must use the same domain and the same georeference.

You can use a slide show:

  • to present the temporal changes of maps with the same theme but of different years,
  • to display a number of classified satellite images of different months or years,
  • to display derived products from satellite images such as NDVI maps of different months,
  • to display a number of 3D views one after the other.

Display 3D

With Display 3D, you can create and edit a georeference 3D in order to obtain a three dimensional view of one or more maps. A Digital Elevation Model (DEM) is required to create a georeference 3D. The DEM can then be displayed as 3D grid lines with or without a drape of a raster map.The georeference 3D can be edited with the Georeference 3D editor.

When finished editing the 3D view, you can add point, segment and/or polygon maps and/or annotation to improve the 3D view.

Apply 3D

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display the output raster map in three dimensions, i.e. as a 3D view.

You can create a georeference 3D with Display 3D or Apply 3D; a Digital Elevation Model is required and you have to specify 3D view parameters using the Georeference 3D editor.

Show stereo pair as anaglyph

Anaglyph will show a calculated stereo pair in a map window; the anaglyph is either displayed in Red-Green or in Red-Blue. You will be able to view the height differences in the stereo pair by using red-green or red-blue glasses.

To create a stereo pair, use the Epipolar Stereo Pair operation.

A stereo pair can also be shown in a Stereoscope window where you can view the stereo pair with a stereoscope.

Show stereo pair with stereoscope

Stereoscope will show a calculated stereo pair in a Stereo Pair - Stereoscope window; you will be able to view the height differences in the stereo pair by using a stereoscope.

To create a stereo pair, use the Epipolar Stereo Pair operation.

A stereo pair can also be shown as an Anaglyph in a map window.

RASTER OPERATIONS

Map Calculation

Map Calculation can be used to perform calculations with raster maps. Map calculation is used for the execution of most spatial analysis functions and modelling operations. It integrates spatial and tabular data. The program enables the user to perform overlay, retrieval operations, and queries. Type map calculation formulae on the command line of the Main Window.

The following operations can be executed:

  • manipulation of one or more raster maps by performing arithmetical, relational, logical, conditional, exponential, logarithmic and other operations,
  • creation of attribute maps from map-related tables with attribute data,
  • classification of domain Value maps according to a domain Group,
  • application of user-defined functions.

Attribute map of raster map

By creating an attribute map of a raster map, the class name or ID of each pixel in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A raster map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the raster map or to its domain through the Properties dialog box of the map or the domain.

Cross

The Cross operation performs an overlay of two raster maps. Pixels on the same positions in both maps are compared; the occurring combinations of class names, identifiers or values of pixels in the first input map and those of pixels in the second input map are stored. These combinations give an output cross map and a cross table. The cross table also includes the number of pixels that occur for each combination.

Aggregate map

The Aggregate map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum. The Aggregate Map operation either creates a new georeference in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).

Distance calculation

Distance calculation assigns to each pixel the smallest distance in meters towards user-specified source pixels, for example to schools, to roads etc. The output is called a distance map.

The input map for a distance calculation is called a source map: all pixels with a class name, ID, or value are regarded as source pixels, and distance values will be calculated for all pixels that are undefined. In the Distance calculation dialog box, a source map can be any raster map with a class domain or an ID domain. On the command line, you can also use raster maps with a value domain.

Inaccessible or less accessible areas can be indicated in a weight map. The weight factors in such a map represent the relative difficulty, a 'resistance', to surpass pixels. By using weight factors that are inversely proportional to the possible speed that can be obtained in different mapping units, a so-called travel time map can be calculated.

Through a distance calculation, also a Thiessen map can be calculated. A weight map can be used, but is not obligatory.

Iteration

Iterations are a special type of map calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next. These calculations are performed line by line, pixel by pixel and take place in all directions. When a calculation in one direction is finished (for instance from top to bottom), a rotation takes place for the calculation in the next direction. The calculation stops when there are no more differences between an output map compared to the previous output map, or when a certain number of iterations is reached as defined before. Iterations are often used in combination with neighbourhood operations.

Area numbering

Area numbering is a raster operation which assigns unique identifiers to pixels with the same class names or values that are horizontally, vertically or diagonally connected.

The output of Area numbering is a map in which these connected areas are codified as Area 1, Area 2, etc. Furthermore, an attribute table is created for the output map. The table contains the new IDs; the class names, IDs, or values of the original mapping units; and the size (npix and area) of the unique output units.

Area numbering can be used to make a decision based on the size of individual groups of pixels with the same class name or value (uniquely identified areas) instead of on all pixels with the same class name or value.

Sub-map of raster map

The Sub-map of raster map operation copies a rectangular part of a raster map into a new raster map. The user has to specify row and column numbers or XY-coordinates of the input map to indicate the part of the input map that should be copied into the new raster map.

Glue raster maps

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed. A resampling is performed when needed.

With the Glue raster maps operation, you can thus merge two or more adjacent or partly overlapping raster maps (i.e. make a mosaic), or glue smaller raster maps onto a larger one.

Mirror Rotate

The Mirror/Rotate operation allows you to reflect a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).

Spatial Multi-Criteria Evaluation (SMCE)

Spatial Multi-Criteria Evaluation (SMCE) is an application that assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way.

As input for the application, you need to build a criteria tree:

  1. specify a main goal and supply a name for the final output map,
  2. optionally, add groups to the main goal; a group is supposed to contain multiple factors,
  3. add criteria to the main goal, and specify whether a criterion is a factor or a constraint.

For each factor and for each constraint, you need to specify a name as text (like a description), and an input map or input attribute column.

A criteria tree lists and defines:

  • all inserted groups, factors and constraints,
  • the way in which all groups, factors and constraints should be grouped, standardized and weighed,
  • in order to calculate the final output map.

The output of the operation is a so-called 'composite index' raster map. This map combines all input data according to the rules for weighing and standardization of the factors and/or constraints. The output map shows the suitability for the goal that was set, and can be an aid in planning and decision-making.

IMAGE PROCESSING

Filter

Filtering is a raster operation in which each pixel value in a raster map is replaced with a new value.

The new value is obtained by applying a certain function to each input pixel and its direct neighbours. These neighbours are usually the 8 adjacent pixels (in a 3 x 3 filter) or the 24 surrounding pixels (in a 5 x 5 filter). When you create your own filters, any odd sized matrix is allowed (5 x 1, 11 x 23, 25 x 25).

Filtering is for instance used to sharpen a satellite image, to detect line features, etc.

Stretch

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization.

Slicing

The Slicing operation classifies ranges of values of an input raster map into classes of an output map. A domain Group should be created beforehand; it lists the upper value boundaries of the groups and the output class names.

To perform an interactive slicing, you can create a representation value for the input map and change value boundaries and colors of the representation value.

Color separation

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.

Color composite

A color composite is a combination of three raster bands. One band is displayed in shades of red, one in shades of green and one in shades of blue. Putting three bands together in one color composite map can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.

The Color Composite operation on the Operations, Image Processing menu creates a permanent color composite raster map.

To interactively create a color composite, choose Show MapList as Color Composite from the Operations, Visualization menu. Interactively created color composites can be stored by saving the map window as a map view.

Cluster

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.

Sample

Sample is an interactive process of selecting training pixels in a sample set prior to an image classification.

In the sample set editor, select pixels that are characteristic for a certain type of a certain natural resource on the ground and that have similar spectral values in the maps in the map list, and assign a class name to them. The spectral values of these sampled pixels or training pixels provide the basis on which decisions are made during classification. These values can be inspected in the sample statistics of a certain class of training pixels and can be visualized in feature spaces. The result of Sampling is a filled sample set.

Classify

The Classify operation performs a multi-spectral image classification according to training pixels in a sample set (supervised classification).

The following classification methods can be used:

  • Box,
  • Minimum Distance to Mean,
  • Minimum Mahalanobis Distance,
  • Maximum Likelihood,
  • Maximum Likelihood including Prior Probabilities.

Resample

The Resample operation resamples a raster map from the map's current georeference to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear interpolation, and bicubic interpolation.

In raster operations (e.g. MapCalc, Cross), all input raster maps must have the same georeference. Thus, prior to such operations, use Resample:

  • to combine raster maps from various sources, when maps use different coordinate systems (projections) or different georeferences (pixel size): resample the maps to one common georeference;
  • to combine satellite imagery of different dates or resolutions: create a georef tiepoints for each set of images, then resample the images preferably to a georef corners;
  • to combine satellite images with rasterized vector maps: rasterize the vector data on the georef tiepoints of the satellite images, or, in case you prefer North-oriented raster maps, rasterize the vector maps with a georef corners, and resample the images with the georef tiepoints to this georef corners;
  • to combine scanned photographs with rasterized vector data, or to rectify scanned aerial photographs: create a georef tiepoints, a georef direct linear or a georef orthophoto for the photo, then resample the photo to a georef corners.

Epipolar stereo pair

With the Epipolar Stereo Pair operation, you will create a stereo pair from two scanned aerial photographs with overlap.

In short, the process is as follows:

  • Specify the left input map and the right input map; one of the maps may already have a georeference.
  • Specify the output name of the stereo pair that will be created.

Then, in the Epipolar Stereo Pair - Creation window:

  • Mark on each photograph two, three, or four fiducial marks.
  • Mark the calculated principal point of the left photograph, on the right photograph (transferred principal point).
  • Mark the principal point of the right photograph, on the left photograph (transferred principal point).
  • In case of large scale differences between the two input maps, specify one or two scaling points in both photographs.

When you close the Epipolar Stereo Pair - Creation window, both input photographs will be resampled to output maps, i.e. the stereo pair is calculated. Rotation differences and possible scale differences between the photographs will be removed.

A calculated stereo pair can be viewed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.

Stereo pair from DTM

The Stereo pair from DTM operation creates a stereo pair from an input photograph or image and a Digital Terrain Model (DTM).

In the output stereo pair, the input photograph or image is displayed over the terrain.

The result can be viewed in stereo, either:

  • in a Stereo Pair - Stereoscope window: use a stereoscope that is mounted onto your monitor,
  • as an Anaglyph in a map window: use red-green or red-blue glasses.

STATISTICS

Histogram

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map.

Results are presented in a histogram window as a table and as a graph. For Value raster maps, summary information, such as mean, standard deviation, and percentage intervals, is available in the histogram window as well as in the properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a Value domain, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.
A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.
A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.

Raster:

Autocorrelation - Semivariance

The Autocorrelation - Semivariance operation calculates the autocorrelation and semivariance of a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal and vertical directions. The semivariance, a measure for the spatial variability of a raster map, is calculated for the same shifts.

Variogram Surface

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Map list:

Principal Components

The Principal Components Analysis operation is mathematical method to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Principal Component Analysis each variable is transformed into a linear combination of orthogonal common components (output raster maps) with decreasing variation. The linear transformation assumes the components will explain all of the variance in each variable. Hence each component (output raster map) carries different information which is uncorrelated with other components.

Factor Analysis

The Factor analysis is used to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Factor analysis each variable is transformed into a linear combination of orthogonal common factors (output raster maps) with decreasing variation. The linear transformation assumes the factors will explain all of the correlation in each variable. Hence each factor (output raster map) carries different information which is uncorrelated with other factors.

Variance-covariance matrix

The Variance-Covariance matrix operation calculates variances and covariances of raster maps in a map list. The variance is a means to express the variation of pixel values within a single raster map, i.e. a measure of the variation to the mean of the DN (Digital Number) values in a raster map. The covariance is a measure to express the variation of pixel values in two raster maps. It denotes the joint variation to the common mean of pixel values of the maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Correlation matrix

The Correlation matrix operation calculates correlation coefficients of input raster maps of a map list. Correlation coefficients characterize the distribution of pixel values in two raster maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.

Polygons:

Neighbour polygons

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.

Segments:

Segment direction histogram

The Segment direction histogram operation calculates directions and lengths within segments, i.e. between all stored coordinates of the segments. The output is a table with directions from 0 to 179° and the length and number of the segment parts in that direction. The results can be shown in a rose diagram.

Points:

Spatial correlation

Spatial correlation calculates some point statistics: spatial autocorrelation (as Moran's I), spatial variance (as Geary's c) and semi-variogram values g(h). Semi-variogram values are either calculculated in all directions (omnidirectional) or in a certain direction and the perpendicular direction (bidirectional). This may help you to get an impression of the nature of your point data, for instance prior to a point interpolation. Furthermore, from the output table of the Spatial Correlation operation, you can create semi-variogram models in a graph window so that necessary input parameters for a Kriging, Anisotropic Kriging or Universal Kriging operation can be determined.

As input for this operation, you can use a point map with a value domain, or a point map with a class or ID domain with an attribute table that contains one or more value columns (the attribute table must be linked to the map). The output of this operation is a table from which you can create graphs such as a semi-variogram.

Variogram Surface

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

Cross Variogram

The Cross Variogram operation calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns. The Cross Variogram operation is a multivariate form of the Spatial correlation operation.

From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables in a graph window (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Pattern Analysis

The Pattern analysis operation is a tool to obtain information on the spatial distribution of points in a point map. The output table contains six columns with the probabilities of finding 1 point (Prob1Pnt) within a certain distance from any point in your input map, then 2 points (Prob2Pnt), 3 points (Prob3Pnt), etc. Another column (ProbAllPnt) contains the sum of Prob1Pnt, Prob2Pnt, ..., Prob(n-1), in which n is the number of points in the input map.

By inspecting the graphs of distances against probabilities, you may recognize distribution patterns of your points like random, clustered, regular, paired etc.

INTERPOLATION

Raster:

Densify raster map

The Densify raster map operation reduces the pixel size of your map. The number of rows and columns is increased and the new pixels in between the existing ones are assigned a value by means of a bilinear or bicubic interpolation.

You should use densify after a point interpolation. Further, densify can be used to improve the quality of printed raster maps.

Raster:

Kriging from raster

Kriging from Raster is similar to the Ordinary Kriging interpolation c.q. prediction method but requires a raster map as input, instead of a point map. The operation can be seen as a raster interpolation and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging from Raster are determined by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation), the distribution of input pixels, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

If you have an input point map, you can use the point interpolation operations Simple and Ordinary Kriging, Anisotropic Kriging, Universal Kriging and CoKriging.

Segments:

Contour interpolation

Contour interpolation is an operation which first rasterizes segments of a domain Value segment map, and then calculates values for pixels that are not covered by segments by means of a linear interpolation.

When using Contour interpolation on a segment map containing height (contour) information, the resulting raster map is a Digital Elevation Model.

Points:

Point interpolation

In a point interpolation, the input map is a point map, and the output map is a raster map. The pixel values in the raster output map are interpolated from the point values.

There are four point interpolations, Nearest point, Moving average, Trend surface, and Moving surface. For more information, see below.

Nearest point (Point interpolation)

The Nearest point operation requires a point map as input and returns a raster map as output. Each pixel in the output map is assigned the class name, identifier, or value of the nearest point, according to Euclidean distance. This method is also called Nearest Neighbour or Thiessen. The points in the input point map for the Nearest point operation do not need to be values necessarily; point maps (or attribute columns) with a class, ID or bool domain are also accepted.

For example, schools, hospitals, water wells, etc. can be represented by points. The output map of a nearest point operation on such a point map gives the 'service area' of the schools, hospitals or water wells, based on the shortest distance (as the crow flies) between points and pixels.

When you have many points or when you wish to use weights to indicate accessibilities, it is advised to rasterize the points, and then use Distance calculation to make a Thiessen map.

Moving average (Point interpolation)

The Moving average operation is a point interpolation which requires a point map as input and returns a raster map as output. To the output pixels, weighted averaged point values are assigned.

The weight factors for the points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons, strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.

Trend surface (Point interpolation)

The Trend surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a least squares fit so that the surface approaches all point values in the map. The calculated surface values are assigned to the output pixels.

Moving surface (Point interpolation)

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a least squares fit; for each output pixel, the surface will approach the weighted point values of the points which fall within the specified limiting distance.

Weight factors for the input points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons, strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.

Kriging

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. Two methods are available: Simple Kriging and Ordinary Kriging. The optional error map contains the standard errors of the estimates.

Besides Simple and Ordinary Kriging, you can also use the operations Anisotropic Kriging, Universal Kriging, CoKriging, or Kriging from Raster.

Anisotropic Kriging

Anisotropic Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Anisotropic Kriging is a variant of the Ordinary Kriging operation: Anisotropic Kriging incorporates the influence of direction dependency.

Before Anisotropic Kriging, you should investigate the direction of anisotropy for instance with Variogram Surface, the semi-variogram values in two directions for instance with Spatial Correlation, and determine the range of the semi-variogram values in two directions by preparing semi-variogram models in a graph window (Graph window : Add semi-variogram model).

Universal Kriging

Universal Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Universal Kriging is a variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation.

Before Universal Kriging, you should perform the Spatial Correlation operation, and determine a semi-variogram model in a graph window (Graph window : Add semi-variogram model).

CoKriging

CoKriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. CoKriging is a multi-variate variant of the Ordinary Kriging operation: CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Before CoKriging, you should perform the Cross Variogram operation and determine a semi-variogram model for the predictand, for the covariable and a cross-variogram model for the combination of the variables in a graph window (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation.

VECTOR OPERATIONS

Unique ID

The Unique ID operation can be used to assign unique identifiers to all elements in a segment, polygon or point map. The output map contains the same geographic information as the input map, but each point, segment or polygon will have a unique ID.

Furthermore, an attribute table is created for the output map. The table contains a column with the original classes, IDs or values of the input map; the areas of individual output polygons; the lengths of individual output segments.

Polygons:

Attribute map of polygon map

By creating an attribute map of a polygon map, the class name or ID of each polygon in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A polygon map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the polygon map or to its domain through the Properties dialog box of the map or the domain.

Mask polygons

The Mask polygons operation allows you to selectively copy polygons of an input polygon map into a new output polygon map. The user has to specify a mask to select and retrieve the class names, IDs or values of the polygons that are to be copied.

Assign labels to polygons

The Assign labels to polygons operation can be used to recode polygons in a polygon map according to label points in a point map. For each label point, the surrounding polygon is determined; then the class name, ID, or value of the label point is assigned to that polygon.

Transform polygon map

The Transform polygon map operation transforms the coordinates of polygon boundaries in a polygon map from the map's current coordinate system to another target coordinate system. You can choose whether coordinates of polygon boundaries should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

ID Grid map

The ID Grid map map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for the rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.

Segments:

Attribute map of segment map

By creating an attribute map of a segment map, the class name or ID of each segment in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A segment map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the segment map or to its domain through the Properties dialog box of the map or the domain.

Mask segments

The Mask segments operation allows you to selectively copy segments of an input segment map into a new output segment map. The user has to specify a mask to select and retrieve the class names, identifiers or values of the segments that are to be copied.

Assign labels to segments

The Assign labels to segments operation can be used to recode segments in a segment map according to label points in a point map. For each label point, the closest segment is determined; then the class name, ID or value of the label point is assigned to that segment.

Sub-map of segment map

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map.

The user has to specify minimum and maximum XY-coordinates for the new segment map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

Glue segment maps

The Glue segment maps operation glues or merges two or more segment maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the segments that are to be copied into the output map. The user can also specify a clip boundary, to copy only those segments to the output map which fall within the specified coordinate boundaries of the output map.

Densify segment coordinates

The Densify segment coordinates operation allows you to obtain more intermediate coordinates within segments. The segments of an input map are copied, and extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

The Densify segment coordinates operation can be used separately before a Transform segments operation, but you can also use the Densify coordinates option within the Transform segments or the Transform polygons operations.

Tunnel segments

The Tunnel segments operation reduces the amount of intermediate points within segments in a segment map. The segments of the input map are copied into a new segment map. However, for every three consecutive intermediate points within a segment, the middle one is omitted if it falls within a user-defined tunnel-width. Redundant nodes can also be removed.

Transform segment map

The Transform segment map operation transforms the coordinates of segments in a segment map from the map's current coordinate system to another target coordinate system. You can choose whether segment coordinates should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

Points:

Attribute map of point map

By creating an attribute map of a point map, the class name or ID of each point in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A point map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the point map or to its domain through the Properties dialog box of the map or the domain.

Mask points

The Mask points operation allows you to selectively copy points of an input point map into a new output point map. The user has to specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied.

Sub-map of point map

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map.

The user has to specify minimum and maximum XY-coordinates for the new point map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.

Glue point maps

The Glue point maps operation glues or merges two or more point maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied into the output map. The user can also specify a clip boundary, to copy only those points to the output map which fall within the specified coordinate boundaries of the output map.

Transform point map

The Transform point map operation transforms the coordinates of points in a point map from the map's current coordinate system to another target coordinate system.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.

Coordinates:

Transform coordinates

The Transform coordinates allows you to:

  • select a certain input coordinate system,
  • type a XY-coordinate or a LatLon coordinate, using this input coordinate system,
  • select another target coordinate system,
  • then, the entered XY-coordinate or LatLon-coordinate will be shown in the selected target coordinate system.

In this way, you can interactively check whether a certain transformation is correct.

The Transform Coordinates dialog box can only be used when a transformation between the input coordinate system and the target coordinate system is possible.

Find datum transformation parameters

The Find datum transformation parameters operation enables you to find datum transformation parameters between the coordinate systems of two point maps, where:

  • the coordinate system of the first point map is supposed to use a local (unknown) datum,
  • the coordinate system of the second point map is supposed to use a global datum, preferably WGS 84.

You can choose to use one of the following calculation methods:

  • Geo-centric datum shift
  • Molodensky
  • Bursa Wolf
  • Molodensky Badekas

Optionally, you can save the calculated transformation parameters (into the coordinate system of the first point map).

  • The datum of the first coordinate system will then be changed.
  • The first coordinate system will then be compatible with the WGS 84 datum, and thus with any other known datum.
  • Automatic coordinate transformations during display etc. are then possible for any map that uses the first coordinate system.

RASTERIZE

Polygons to raster

The Polygons to raster operation rasterizes a polygon map. The class names, IDs, or values in the polygon map are also used in the raster map, i.e. the domain of the polygon map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Segments to raster

The Segments to raster operation rasterizes a segment map. The class names, IDs, or values in the segment map are also used in the raster map, i.e. the domain of the segment map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Segment density

The Segment density operation rasterizes a segment map. For each output pixel, the total length of segment parts within the boundaries the output pixel is summed: this is the output value for the pixel. By using a mask you can specify the elements of the input map that are to be used in the calculation.

Points to raster

The Points to raster operation rasterizes a point map. The class names, IDs, or values in the point map are also used in the raster map; i.e. the domain of the point map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.

Point density

The Point density operation rasterizes a point map. For each output pixel, the number of points with a class name, ID or value located in the output pixel is counted: this is the output value for the pixel. When using the command line, you can also sum the values of points (or of point attributes). This operation can be used to examine the regional distribution of points or point values.

VECTORIZE

Raster to Polygons

The Raster to polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names or IDs in the input raster map will also be used for the polygons in the output polygon map. No polygons are created for pixels with the undefined value.

Raster to Segments

The Raster to segments operation extracts segments from the boundaries of mapping units in a raster map. You can choose to extract segments from 4-connected or 8-connected areas, and to smooth output segments or not.

Furthermore, you can choose to assign a single name 'Boundaries' to all output segments or to assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments. In the latter case, an attribute table will be created for the output map which contains the original mapping unit names or values on either side of an extracted segment as well the lengths of the extracted segments.

Raster to Points

The Raster to Points operation extracts a point from each pixel in the raster map. Each point gets the value, class name or ID of the corresponding pixel.

Polygons to Segments

The Polygons to Segments operation extracts polygon boundaries and creates a segment map out of them. By default, the operation extracts segments from all polygon boundaries of the input map. A mask can be specified to extract segments of specific polygons.

You can choose whether to assign a single name 'Boundary' to all output segments, or to assign unique names (like 'Boundary 1', 'Boundary 2', etc.) to the output segments. In the latter case, an attribute table will be created for the output map which contains the original polygon names or values on either side of an extracted segment as well the lengths of the extracted segments.

The operation is useful when you want to edit/update boundaries of polygons.

Polygons to Points

The Polygon to Points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.

Segments to Polygons

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported vector files from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends, self overlap and/or intersections are not allowed. A mask can be specified to polygonize specific segments.

Mind: to interactively check or polygonize segments, use the Check Segments or the Polygonize option in the Segment editor.

Segments to Points

The Segments to Points operation creates a point map from a segment map. The output point map can contain either:

  • a point for each node in the segment map, or
  • points at a regular distance along the segments in the segment map, or
  • points for all stored coordinates in the segment map.

TABLE OPERATIONS

Transpose table

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.

Change domain of table

The Change domain of table operation copies the contents of an input table to a new table; the new table will have another domain than the input table.

For the domain of the output table, you can choose:

  • domain None;
  • an existing class or ID domain on disk;
  • a class or ID domain of a column in the input table when that column contains unique classes or IDs;
  • a class or ID domain of a column in the input table where the column does not contain unique classes or IDs and other column values need to be aggregated (average, minimum, maximum, sum, last value encountered).

Table to point map

The Table to point map operation creates a point map out of a table.

For the coordinates of the points, you can use from the table:

  • a coordinate column which contains the XY-coordinates for the points as (X,Y); the domain of this column should be a coordinate system;
  • a value column which contains the X-coordinates for the points and another value column which contains the Y-coordinates for the points.

Depending on the domain of the input table, you can furthermore choose between the following possibilities:

  • Input table with an ID domain:
    the points in the output point map should use the same IDs as found in the domain of the table;
    the input table will be linked as attribute table to the output point map.
  • Input table with domain None:
    the points in the output point map should use the IDs of a new ID domain in which the IDs are based on the record numbers of the table and a user-defined prefix;
    also the input table will obtain this new ID domain and the table will be linked as attribute table to the output point map.
  • Any input table:
    the points in the output point map should use the class names, IDs, or values as found in a column of the table;
    the output point map will have no attribute table.

Glue tables

The Glue tables operation allows you to glue or merge two or more tables together. As input tables, you may use:

  • tables with domain None,
  • tables with class domains,
  • tables with ID domains,
  • tables with class domains and ID domains.

The Glue tables operation should be regarded as a tool to combine different tables. You can for instance combine or integrate attribute tables of different years. Tables with domain None can also be glued vertically one below the other.

HYDROLOGIC FLOW

DEM visualization

The DEM visualization script creates a color composite for you from a DEM. First, three shadow maps are created by the script, using three different shadow filters. The combination of them in a color composite gives a very good impression of the relief in your area.

As input is required:

  • a DEM,

At the end of the script, the color composite of the shadow maps is displayed.

For more information, refer to DEM visualization.

Flow determination:

Fill sinks

The Fill sinks operation 'removes' local depressions (of single pixels and of multiple pixels) from a Digital Elevation Model (DEM).

  • The height value of a single-pixel depression is raised to smallest value of the 8 neighbours of a single-pixel depression.
  • The height values of a local depression consisting of multiple pixels are raised to the smallest value of a pixel that is both adjacent to the outlet for the depression, and that would discharge into the initial depression.

By using the Fill sinks operation,

  • and a subsequent Flow direction operation on the output map of the Fill sinks operation,
  • and a Flow accumulation operation on the output map of Flow direction operation,

it is ensured:

  • that a flow direction will be found for every pixel in the map, and
  • that water in any pixel will be discharged into outlets towards the edges of the map.

Flow direction

The Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow.

Flow direction is calculated for every central pixel in input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbouring pixels. The output map contains flow directions as N (to the North), NE (to the North East), etc.

You can choose to calculate flow direction according to steepest slope or according to lowest neighbour.

Flow accumulation

The Flow accumulation operation determines the number of pixels that naturally drain into outlets. The operation can be used to find the drainage pattern of a terrain.

  • As input the operation uses the output map of the Flow direction operation.
  • The output map contains cumulative hydrologic flow values that represent the number of input pixels which contribute any water to the outlets (or sinks if these have not been removed).

Flow modification:

DEM optimization

The DEM optimization operation enables you to 'burn' existing drainage features into a Digital Elevation Model (DEM), so that a subsequent Flow direction operation on the output DEM will better follow the existing drainage pattern.

The DEM optimization operation offers the following possibilities:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.

Topological optimization

When a DEM and/or a flow direction map have undefined values, e.g. when there are lakes in the study area, the Topological Optimization operation can improve the results of a previous Flow Direction operation and a Drainage Network Extraction operation to ensure a proper flow through this lake.

As input, this operation requires:

  • an existing output map of the Drainage Network Extraction operation,
  • an existing output map of the Flow Direction operation,
  • a segment map with one or more segments that connect the inlet(s) of a lake with the outlet(s) of lake (down flow).

As output, the operation delivers:

  • a new continuous drainage network raster map, and
  • a new flow direction raster map.

The output of this operation can serve as a new basis for the other hydrologic operations, e.g. to obtain new Strahler or Shreve order numbers, new catchments etc.

Variable threshold computation

The Variable threshold computation operation helps you to prepare a threshold map that can be used in a Drainage network extraction operation.

You can base the threshold map on a height map (DEM), or on attribute values from an attribute table of a raster map with a class or ID domain (e.g. infiltration attribute values in a table linked to a geological unit map).

As a user, you have to:

  • specify the size of a kernel or moving window, so that for the calculation of each output pixel, only 3 x 3 or 5 x 5, etc. input pixels will be considered;
  • specify the number of desired output classes;
  • specify a boundary value and a desired output value for each output class that you wish to obtain.

When height values are used as input, you can optionally obtain an internal relief map as additional output.

For more information on the calculations that will take place, refer to Variable threshold computation : functionality.

Network and Catchment Extraction:

Drainage network extraction

The Drainage network extraction operation extracts a basic drainage network (boolean raster map).

As input is required: the output raster map of the Flow Accumulation operation.

You can choose to use as additional input:

  • a threshold value, to set a minimum for the number of pixels that should drain into a pixel that is examined;
  • a threshold raster map, where pixels can have a threshold value based on e.g. their geological unit or height values;
    • when using a threshold map, also the output map of a previous Flow Direction operation is required.

When using a threshold map, the operation will furthermore fill possible gaps between drainage lines.

The output raster map will show the basic drainage as pixels with value True, while other pixels have value False.

Drainage network ordering

The Drainage network ordering operation:

  • examines all drainage lines in the drainage network map, i.e. output map from the Drainage Network Extraction operation,
  • finds the nodes where two or more streams meet, and
  • assigns a unique ID to each stream in between these nodes, as well as to the streams that only have a single node.

To limit the number of output streams and reduce calculation time, you can specify the minimum length that streams should have to remain in the network.

The output of this operation is a raster map, a segment map and an attribute table that all use a newly created ID domain.

The attribute table contains information on each stream, such as:

  • Strahler ordering number, Shreve ordering number,
  • stream length, calculated along the drainage, and calculated as a straight line between XY-coordinates,
  • slope values in degrees and in percentages, calculated along the drainage and calculated as a straight line between XY-coordinates, and elevation,
  • sinuosity of the drainage path as a measure of meandering,
  • total upstream drainage length, i.e. the total length of the streams that drain into the current one, etc.

Catchment extraction

The Catchment extraction operation constructs catchments; a catchment will be calculated for each stream found in the output map of the Drainage Network Ordering operation.

As input is required:

  • the output raster map of the Drainage Network Ordering operation,
  • the output raster map of the Flow Direction operation.

As output a raster map, a polygon map and an attribute table are produced which all use the ID domain of the input Drainage Network Ordering map.

The attribute table contains information on each catchment, such as:

  • area and perimeter of the catchment,
  • total upstream area, i.e. the area of all catchments that drain into this catchment, etc.

Catchment merge

The Catchment merge operation is able to merge adjacent catchments, as found by the Catchment Extraction operation. In fact, new catchments will be created on the basis of the Drainage Network Ordering map and its attribute table.

As input is required:

  • the output map and attribute table of the Drainage Network Ordering operation,
  • the output map of the Flow Direction operation,
  • the output map of the Flow Accumulation operation.

You can merge catchments in two manners:

  • by specifying a point map that contains locations of stream outlets within a catchment; all adjacent catchments that drain into such outlets will be merged,
  • by simply specifying a Strahler or Shreve ordering value: all adjacent catchments that have this Strahler or Shreve order value (or a lower value) and which drain into a common catchment will be merged.

As output a new catchment raster map, polygon map and attribute table are produced. These all use a new ID domain.

The attribute table contains information on the new catchments, similar to the output attribute table of the Catchment Extraction operation, but you will also find information on:

  • total drainage length, total upstream area,
  • drainage density,
  • longest flow path length and longest drainage length.

Compound Parameter Extraction:

Overland flow length

The Overland Flow Length operation calculates for each pixel the overland distance towards the 'nearest' drainage according to the flow paths available in the Flow Direction map.

As input is required:

  • the output raster map of the Drainage Network Ordering operation and its linked attribute table,
  • the output raster map of the Flow Direction operation.

Compound Index calculation

The Compound Index Calculation script calculates:

  • Wetness Index,
  • Stream Power Index, and
  • Sediment Transport Index.

As input is required:

  • a DEM,
  • the output of a previous Flow Accumulation operation.

For more information, refer to Compound Index Calculation.

Statistical Parameter Extraction:

Horton statistics

The Horton statistics operation calculates for each (Strahler) stream order number and for each merged catchment:

  • the number of streams,
  • the average stream length (km), and
  • the average area of catchments (km2), and
  • expected values for these by means of a least squares fit.

The output is stored in a table which can be used to construct so-called Horton plots in a graph window.

Horton plots enable you to inspect the regularity of your extracted stream network based on the (Strahler) stream order numbers, and may serve as a quality control indicator for the entire stream network extraction process. It is expected that:

  • the number of streams show a relative decrease for subsequent Strahler order numbers,
  • the length of streams and the catchment areas show a relative increase for subsequent Strahler order numbers.

As input is required:

  • the output of a previous Catchment extraction operation,
  • the output of a previous Catchment merge operation,
  • the output of a previous Drainage network ordering operation.

Aggregate statistics

The Aggregate statistics script allows you to cross a merged catchments map with a DEM (or any other map): you will obtain for each catchment the following values: average, minimum, maximum, std, predominant, median, sum, count.

The results are added as new columns to your existing merged catchments table.

As input is required:

  • the output table of a previous Catchment Merge operation,
  • the output map of a previous Catchment Merge operation,
  • another raster map containing values, e.g. your DEM.

For more information, refer to Aggregate statistics.

Cumulative hypsometric curve

The Cumulative hypsometric curve script crosses a merged catchments map with your DEM. The script will ask for the ID of a single catchment that you wish to use in the Cross. In the resulting cross table, cumulative values are calculated for the Area of subsequent height values in square kilometers and in percentages. The output is stored in columns: cum_area and cum_percent.

With the output cross table and its newly calculated columns, you can create graphs:

  • use column cum_area or column cum_percent on the X-axis,
  • use the column with the height values on the Y-axis.

This will give you a so-called cumulative hypsometric curve.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a DEM,

For more information, refer to Cumulative hypsometric curve.

Class coverage statistics

The Class coverage statistics script crosses a selected catchment from a merged catchments map with a raster map that has a class domain, for instance land use classes or land cover classes.

Then, for each class, the area in percentages is calculated, i.e. the area that is occupied by each class in the selected catchment. The output is stored in column area_percent.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a raster map with a class domain, for instance a land use map or a land cover map,

When the script is finished, the output cross table is displayed.

For more information, refer to Class coverage statistics.

IMPORT

Import files from another package into ILWIS 3.

You can choose to use:

  • ILWIS Map Import
  • Import General Raster
  • Import Table wizard


Appendices : commands and expressions (introduction)

Appendices

Commands and expressions (introduction)

The ILWIS command line in the Main window is not used only for map calculations. In fact, you might say that the command line steers ILWIS by telling ILWIS what to do. For example, when you fill out the dialog box of an operation, this is translated into command line syntax which is then executed. All actions which are, internally, carried out via the command line are recorded and can be found in the ILWIS.LOG file.

In the next topics, it is described how the command line can be used for various tasks: opening dialog boxes, opening objects, performing complete operations by using the command line syntax for an operation, to run a script, etc.

By typing an ILWIS command, usually a dialog box will appear which requires further user-interaction before the command can be carried out.

By typing an ILWIS expression, you can perform a calculation or another operation. To calculate with raster maps, type a MapCalc formula. To perform an operation, type a complete expression that includes all parameters required by that operation; the operation's dialog box will be skipped.

To perform automated tasks, you can use a script. All MapCalc expressions are allowed as well as all expressions for operations. For TabCalc a special syntax exists. Furthermore, there is extra syntax for tasks which are not pure calculations or operations. This is described in the topic ILWIS script language (syntax).

Finally, when you are interested in building a dedicated application in Visual Basic, Java, etc. which will run on top of ILWIS, you may wish to investigate the DDE topic in which describes how you can use ILWIS as a DDE server.

In the next topics, overviews are presented of:

  • ILWIS commands
  • ILWIS expressions
  • ILWIS script language (syntax)
  • ILWIS as DDE server


Appendices : ILWIS commands

Appendices

ILWIS commands

By typing an ILWIS command on the command line of the Main window, usually a dialog box is opened. Generally, some user-interaction is required before the command can be carried out, i.e. you may have to supply additional information in the dialog box, and click the OK button in the dialog box.

You can for instance obtain dialog boxes to display objects, edit objects, open the properties of objects, or create objects. You can also obtain the dialog box of an operation.

This topic contains the following sections:

  1. Open, edit, or create an object or open properties of an object.
    • Commands on the command line of a table window.
  2. Open the dialog box of an operation.
  3. Data management: delete, etc.
  4. Other commands and expressions, use of ? ! !! ; etc.

Tips:

  • Commands typed on the command line are not case sensitive.
  • When using long object names, see also topic How to use long object names.
  • For syntax to perform operations via the command line in the Main window, see Appendices : ILWIS expressions;
  • For additional script syntax to perform table calculations via the command line in the Main window and to automatically perform tasks which are not pure calculations or operations (without any any user-interaction), see Appendices : ILWIS Script Language (syntax).

Note:

The commands described below:

  • have effect when typed interactively on the command line;
  • have no effect when used in scripts;
  • have effect when using ILWIS as a DDE server (advanced);
  • the commands of the table window commands section however cannot be used with DDE.

1. Open, edit, create, or open properties

Several commands can be typed on the command line of the Main window to open, edit, or open the properties of an object. To open an object, it is generally faster though to double-click an object in the Catalog. To edit an object, open the properties of an object, open an object as a table or to create objects you can use context-sensitive menu in the Catalog. For more information, see How to use the Catalog.

To open or edit an object or to open the properties of an object:

Open, Show, Map, Pol, Seg, Pnt, Tbl, Mpl, View
 | The commands above open an Open dialog box in which you can select the object you wish to display.
Edit | Opens the Edit Object dialog box in which you can select the object you wish to edit.
Prop | Opens the View Properties of dialog box in which you can select the object which properties you wish to view.

To directly open or edit an object or to open the object properties:

When an Open, Show, Edit or Prop command is followed by an object name including the object's extension, then the object will be directly show, directly opened in an editor, or the object's Properties sheet will be directly opened. The dialog boxes described above in which an object needs to be selected are thus skipped. To close a shown object, an editor or a Properties sheet however, user-interaction is still required.

Open objname.ext

Opens object objname.ext immediately where objname is the name of the object and .ext is the object's extension.

Opens a Display Options dialog box in case of maps, opens a table window displaying the table, the two-dimensional table or the histogram, or shows the object otherwise immediately; for details, see next paragraphs. Tip: To skip a Display Options dialog box, see ILWIS script language (syntax), where you can use the parameter -noask.

Show objname.ext

Same as Open objname.ext.

Edit objname.ext

Starts the appropriate editor or opens a dialog box in which you can edit the object.

Prop objname.ext

Show the Property sheet of the object. For more information, see Basic concepts : properties of objects.

Other possibilities to open specific objects (generally no extensions required):

Map Rasmapname | Opens the Display Options dialog box for the raster map.
Pol Polmapname | Opens the Display Options - Polygon Map dialog box.
Seg Segmapname | Opens the Display Options - Segment Map dialog box.
Pnt Pointmapname | Opens the Display Options- Point Map dialog box.
Tbl Tablename | Displays the table in a table window.
Mpl MapListname | The Display Options - Map List as Color Composite dialog box is opened. If the raster maps in the map list are not value maps, an error message will appear.
View MapViewname | Displays the map view in a map window.
Layout | Opens a new empty layout in the Layout editor.
Layout MapViewname.mpv
 | Create a new (untitled) layout and add map view MapViewname to it. The extension .MPV is required. First a small dialog box will appear asking for the scale on which the map view should be displayed. Then, the Layout editor will be opened.
Layout Layoutname.ilo | Opens the existing layout Layoutname.ilo in the Layout editor. The extension .ILO is required.
Dom Domname | Opens the Domain Class/ID editor in case a of domain class, ID, Group or Picture, or opens the Edit Domain Value dialog box in case of an editable value domain.
Rpr Reprname | Opens the Representation Class editor in case of a repesentation Class or Picture, or opens the representation Value/Gradual editor in case of an editable representation Value or Gradual.

To show objects as tables (advanced):

ShowAsTbl | Opens the Show As Table dialog box which allows you to select any object that can be opened as a table. For more information, see also How to open objects as a table.
OpenAsTbl | Alias for ShowAsTbl.
ShowAsTbl pntmap.mpp | Opens the point map pntmap immediately as a table.
ShowAsTbl domain.dom | Opens the domain domain immediately as a table.
ShowAsTbl repres.rpr | Opens the representation repres immediately as a table.
ShowAsTbl georef.grf | Opens the georeference tiepoints georef immediately as a table.

To show internal domains and representations (advanced):

ShowAsDom objname.ext | Opens the internal domain of object objname.ext.
OpenAsDom | Alias for ShowAsDom.
ShowAsRpr objname.ext | Opens the internal representation of object objname.ext.
OpenAsRpr | Alias for ShowAsRpr.

To create an ILWIS object:

Use the Create command followed by an object abbreviation:

Create map | Opens the Create Raster Map dialog box.
Create seg | Opens the Create Segment Map dialog box.
Create pnt | Opens the Create Point Map dialog box.
Create tbl | Opens the Create Table dialog box.
Create mpl | Opens the Create Map List dialog box.
Create ioc | Opens the Create Object Collection dialog box.
Create ilo | Create lay | Create layout
 | Opens a new empty layout in the layout editor.
Create dom | Opens the Create Domain dialog box.
Create rpr | Opens the Create Representation dialog box.
Create grf | Opens the Create Georeference dialog box.
Create csy | Opens the Create Coordinate System dialog box.
Create sms | Opens the Create Sample Set dialog box.
Create tb2 | Opens the Create Two-Dimensional Table dialog box.
Create fil | Opens the Create Filter dialog box.
Create fun | Create function
 | Opens the Create Function dialog box.
Create isl | Create script
 | Opens the Script editor.
Create dir | Creates a new directory: first a small dialog box appears in which you can specify the name of the new directory; then, the new directory will be shown in a new Catalog.

To open the pixel info window:

Pixelinfo

Opens a new empty pixel info window. Tip: To directly add maps, map lists and/or coordinate systems to the pixel info window, see Appendices : ILWIS Script Language.

To run a script:

Run scriptname var1 var2

Runs script scriptname with variables var1 and var2. Variables are optional. By using the Run command, you can continue working with ILWIS while the script is running. For more information, see How to run scripts.

To obtain help:

Help

Opens the ILWIS.CHM Help file on the page of the current window. Same as using the F1 key in a window: Help on this window.

Commands on the command line of a table window:

Sorton | Opens the Sort dialog box.
Sorton col | Sorts the table in ascending order on column col.
Sorton col [-sortorder=ascending|descending]
 | Sorts the table on column col; whether the table is sorted in ascending or descending order depends on the value specified for the parameter -sortorder= which should be followed either by ascending or descending.
Colman | Opens the Column Management dialog box.
UpdateAllColumns | Recalculates all dependent columns which are not up-to-date anymore; all columns are thus made up-to-date again.
Statistics | Opens the Column Statistics dialog box.
Join | Opens the first page of the Join Column wizard.
Aggregate | Opens the Aggregate Column dialog box.
Cumulative | Opens the Cumulative Column dialog box.
LeastSquares | Opens the Least Squares Fit dialog box.
SemiVariogram | Opens the Semi-variogram column dialog box.
Slicing | Opens the Column Slicing dialog box.
AddRecord | Adds a single record to a table which has domain None.
AddRecord nr | Adds a certain number nr of records to a table which has domain None.
Graph | Opens the dialog box to obtain a Graph from columns.
RoseDiagram | Opens the dialog box to obtain a Rose diagram.
ConfMat | Opens the dialog box to obtain a Confusion Matrix.
AddInfo | Opens the additional info of the table. Handy when inspecting a histogram, or when a georeference is opened as a table. Additional Info is also accessible through in the properties sheet of a histogram, a georeference, etc.
Prop | Opens the Table Properties sheet.

2. Open the dialog box of an operation

To obtain the dialog box of an ILWIS operation, type one of the following commands or aliases.

To obtain the dialog box of an operation, you can also double-click the operation in the Operation-tree or the Operation-list, or select it from the Operations menu.

Any operation which is performed through a dialog box will result in a dependent output object.

Operation | command | alias(es)
Visualization |  |
Show Map | Show | Open, Map, CopyMap
Show Table | Tbl | TabCalc
Show MapList |  |
as Color Composite | ColorComp |
as Slide Show | SlideShow | Film
Display 3D | Display3D |
Apply 3D | Apply3D |
Show Stereo Pair |  |
as Anaglyph | Anaglyph |
with Stereoscope | Stereoscope |
Raster Operations |  |
Map Calculate | MapCalc | MCalc
Attribute Map | AttribRas |
Cross | Cross |
Aggregate Map | Aggregate |
Distance | Distance |
Iteration | MapIter | Iter, Iterp
Area Numbering | AreaNumb |
Sub Map | SubRas | SubMap
Glue Maps | Glue | GlueRas
Mirror Rotate | Mirror | MirrorRotate
SMCE | SMCE |
Image Processing |  |
Filter | Filter | FiltrMap
Stretch | Stretch |
Slicing | Slicing | Clfy
Color Separation | ColorSep |
Color Composite | ColorCmp |
Cluster | Cluster |
Sample | Sample | Smpl
Classify | Classify |
Resample | Resample | GeoCorr
Epipolar Stereo Pair | MakeStereoPair |
Stereo Pair from DTM | MakeSTPfromDTM |
Statistics |  |
Histogram | Histogram | Histgram
Raster |  |
Autocorrelation | Autocorr |
Variogram Surface | VariogramSurface |
MapList |  |
Principal Components | PrincCmp |
Factor Analysis | FactAnal |
Variance Covariance | MatVarCov |
Correlation Matrix | MatCorr |
Polygons |  |
Neighbour Polygons | HistNbPol |
Segments |  |
Direction Histogram | HistSegDir | LinAnal
Points |  |
Spatial correlation | SpatCorr |
Variogram Surface | VariogramSurface |
Cross Variogram | CrossVariogram |
Pattern Analysis | PattAnal |
Interpolation |  |
Densify map | DensRas | Densify, InterpolRas
Kriging From Raster | KrigingRas |
Contour Interpolation | InterpolSeg | Interpol
Point Interpolation |  |
Nearest Point | NearestPnt |
Moving Average | MovAverage |
Trend Surface | TrendSurface |
Moving Surface | MovSurface | Gridding
Kriging | Kriging |
Anisotropic Kriging | AnisotrKriging |
Universal Kriging | UnivKriging |
CoKriging | CoKriging |
Vector Operations |  |
Unique ID | UniqueID |
Polygons |  |
Attribute Map | AttribPol |
Mask Polygons | MaskPol |
Assign Labels | LabelPol |
Transform Polygons | TransfPol |
ID Grid Map | IDGrid |
Segments |  |
Attribute Map | AttribSeg |
Mask Segments | MaskSeg | CopySeg
Assign Labels | LabelSeg |
Sub Map | SubSeg |
Glue Maps | GlueSeg |
Densify Coordinates | DensSeg |
Transform Segments | TransfSeg |
Tunneling | TunnelSeg |
Points |  |
Attribute Map | AttribPnt |
Mask Points | MaskPnt |
SubMap | SubPnt |
Glue Maps | GluePnt |
Transform Points | TransfPnt |
Coordinates |  |
Transform Coordinates | Transform |
Find Datum Parameters | FindDatumParms |
Rasterize |  |
Polygon to Raster | PolRas |
Segment to Raster | SegRas |
Segment Density | SegDensity | Ld
Point to Raster | PntRas |
Point Density | PntDensity |
Vectorize |  |
Raster to Polygon | RasPol | RasVec
Raster to Segment | RasSeg |
Raster to Point | RasPnt |
Polygon to Segment | PolSeg |
Polygon to Point | PolPnt |
Segment to Polygon | SegPol | Polygonize
Segment to Point | SegPnt |
Table Operations: |
Transpose Table | Transpose
Change Domain | TblChDom
Table to PointMap | TblPnt
Glue tables | TblGlue
DEM-Hydro Processing:
Flow Determination |
Fill Sinks | FillSinks
Flow Direction | FlowDirection
Flow Accumulation | FlowAccumulation
Flow Modification |
DEM Optimization | DemOptimization
Topological Optimization | TopologicalOptimization
Variable Threshold Computation | VariableThresholdComputation
Network and Catchment Extraction
Drainage Network Extraction | DrainageNetworkExtraction
Drainage Network Ordering | DrainageNetworkOrdering
Catchment Extraction | CatchmentExtraction
Catchment Merge | CatchmentMerge
Compound Parameter Extraction
Overland Flow Length | OverlandFlowLength
Statistical Parameter Extraction
Horton Statistics | HortonPlots

Import/Export commands:

Import | Opens the Import dialog box.
Import -generalraster
 | Opens the Import (General Raster) dialog box while for Import Format is selected: Use General Raster Import.
Import -tablewizard
 | Opens the first page of the Import Table wizard.
Export | Opens the Export dialog box.

3. Data Management

Below, you may read Folder where it reads directory.

Del | Opens the Select object to be deleted dialog box.
Del objname.ext | Deletes object objname.ext where objname is the object name and .ext the object's extension.
dir | Refreshes the current Catalog. You can also use the F5 key on the keyboard.
dir query | In the current Catalog, only show the objects that are the result of the query query. For more information, see Customize Catalog, Query, section Query syntax.
cd\ | Change the current working directory to the root of the current drive and list the objects in the current Catalog.
cd\dir | Change the current working directory to the (sub)directory dir and list the objects in that directory in the current Catalog.
cd.. | Change the current working directory to one directory up (parent directory) and list the objects in that directory in the current Catalog.
cd .. | Change the current working directory to one directory up (parent directory) and list the objects in that directory in the current Catalog.
cd subdir | Change the current working directory to subdirectory subdir and list the objects in that directory in the current Catalog.
md | Gives a dialog box to create a new subdirectory in the current working directory; specify a new directory name, then a new Catalog is opened for the new directory.
md newdir | Creates a new subdirectory newdir in the current working directory, and opens a new Catalog for the new directory.
mkdir newdir | Creates a new subdirectory newdir in the current working directory, and opens a new Catalog for the new directory.
rd | Gives a dialog box to remove an empty subdirectory from the current working directory; specify the name of an empty subdirectory.
rd subdir | Removes the empty subdirectory subdir from the current working directory.
rmdir subdir | Removes the empty subdirectory subdir from the current working directory.
a: | Sets the current working directory to the specified drive.
exit | Closes ILWIS.

Tips:

  • To work with long directory names, enclose the dir, subdir or newdir parameter in single quotes. See also How to use long object names.
  • For other data management syntax, see also Appendices : ILWIS script language (syntax), section Data management.

Other commands and expressions

?expression

Pocket line calculator, performs calculations with constant values and/or MapCalc/TabCalc functions.

!command

!command optional_parameter(s)

Starts any Windows application, a batch file, etc. and will wait until the application has finished, i.e. ILWIS cannot be used until the external application has been closed again.

Using !command with optional parameters may come in handy when you wish to adapt the Operations menu, the Operation-tree and the Operation-list. For more information, see How to customize the Operation-tree, the Operation-list and the Operations menu.

  • Type the command directly after the exclamation mark (no spaces allowed).
  • Programs with the following extensions can always be started: .exe, .com, .bat.
  • You can also use Windows shortcuts (.lnk) to Windows applications, provided that the shortcut points to the correct location of the application.
  • Furthermore, files of a registered file type can be opened with the application for which the file type has been registered (Open command). Examples of possible registered file types on your computer may be: .doc, .txt, .pdf, .xls, .ppt, .pps, .gif, .bmp, etc.
  • If no extension is specified, .exe is assumed.
  • Full paths and relative paths (relative to the currently active folder/currently active Catalog) may be used.
  • If no path is specified for a program (.exe, .com, .bat), the following locations will be searched: the currently active ILWIS working folder/Catalog, the ILWIS folder, the Windows folder, the Windows\System folder, and the folders specified in the PATH environment variable.
  • If no path is specified for a shortcut (.lnk) or for other files (e.g. .doc, .xls, .gif etc.), only the currently active ILWIS working folder, i.e. the currently active Catalog, will be searched.
  • Long file names (e.g. programs, paths or file names containing spaces) must be quoted within single quotes, including possible extensions.
  • Optionally, one or more parameters may be passed, separated by spaces. Parameters that contain spaces themselves, must again be quoted within single quotes, including possible extensions.

Examples:

  • to start NotePad, type: !NotePad
  • To start Notepad via a shortcut to Notepad, when the shortcut is located in D:\My Folder, type:
    !!'D:\My Folder\shortcut to notepad.exe.lnk'
  • To open a Word document called Document of Interest that is located in D:\My Documents, with the program that by default opens such files (i.e. Word), type:
    !'D:\My Documents\Document of Interest.doc'
  • to start a program called My Program.exe that is located in C:\Program Files\Any Folder\, type:
    !'C:\Program Files\Any Folder\My Program.exe'
  • to start a program called My Program.exe located in C:\Program Files\Any Folder\, and to pass two parameters for this program, type:
    !'C:\Program Files\Any Folder\My Program.exe' 'D:\this file.gif' 'D:\other file.tif'

!!command

!!command optional_parameter(s)

Same as !command, but enables a continuation of ILWIS while the external application is running.

Using !!command with optional parameters may come in handy when you wish to adapt the Operations menu, the Operation-tree and the Operation-list. For more information, see How to customize the Operation-tree, the Operation-list and the Operations menu.

Script expression

Executes the expression as if running a script. By using the Script command followed by any expression that is allowed in a script (see ILWIS script language), you cannot continue working with ILWIS while the expression is executed.

expression;

Same as Script expression.

See also:

How to use long object names

ILWIS expressions

ILWIS script language (syntax)

ILWIS as DDE server


Appendices : ILWIS expressions

Appendices

ILWIS expressions (alphabetic)

ILWIS expressions (menu-wise)

Any ILWIS operation like Filter, Cross and Distance calculation, can be performed by typing an ILWIS expression on the command line of the Main window. You can also use these expressions in scripts.

In this topic, the syntax of expressions of operations is described.

For an overview of MapCalc and TabCalc expressions, see Map and Table Calculation : Alphabetical overview of operators and functions or Map and Table Calculation : Functional overview of operators and functions

For details on creating expressions on the command line and in scripts, see Appendices : construction of expressions.

For special script commands, see Appendices : ILWIS script language (syntax).

Introduction

The general syntax for expressions is:

OUTMAP = expression

OUTMAP := expression

The definition symbol (=) is used to create a dependent output object;
the assignment symbol (:= ) is used to create an editable object.

For more information, see also Appendices : construction of expressions.

In the overview below, expression names are followed by parameters (between brackets, separated by commas), and:

- | Courier | is used for obligatory parts in expressions or in parameters;
- | Italics | is used for parameters with special requirements, usually a short explanation follows;
- | a vertical bar | represents a choice;
- | a paramater in square brackets [ ] represents an optional parameter;
- | the phrase 'value map' or 'map with a value domain' means that the map should have domain of type Value;
- | Any operation name in the list below starting with:
 | MapList | creates an output map list;
 | Map | creates an output raster map;
 | PolygonMap | creates an output polygon map;
 | SegmentMap | creates an output segment map;
 | PointMap | creates an output point map;
 | Table | creates an output table;
 | Matrix | creates an output matrix;
- | Furthermore, the following predefined parameters are used:
 | 'rasmap' | an input raster map;
 | 'maplist' | an input map list (set of raster maps with same domain and same georeference);
 | 'polmap' | an input polygon map;
 | 'segmap' | an input segment map;
 | 'pntmap' | an input point map;
 | 'table' | an input table;
 | 'column' | an input column;
 | 'domain' | an existing domain; the domain will be used for the output object;
 | 'georef' | an existing georeference except georef None; the georeference will be used for the output raster map;
 | 'coordsys' | any existing coordinate system;
 | 'sample set' | an input sample set;
 | 'newdomain' | the output domain that will be created by the expression;
 | 'newgeoref' | the output georeference that will be created by the expression.

Tip:

Some operations need a value input map. When your raster map is of domain type Class, ID or Group, and an attribute table is linked to the map with one or more suitable value columns, then you may type 'map.column' on the command line instead of parameter 'map' listed below. The operation then directly uses the values of the attribute column.

List of ILWIS expressions

The list below follows the order of the Operations menu in the Main window. For more information about the individual operations, click the hyper-links of the operation names.

Operation | Expression
VISUALIZATION
Apply 3D | MapApply3D(rasmap, georef3D)
 | rasmap | input raster map cannot have georef None
 | georef3D | a georeference 3D
RASTER OPERATIONS
Map Calculate | expression see MapCalc and TabCalc
Attribute Map | MapAttribute(rasmap, column) | Rasmap.column
 | rasmap | raster map with a Class, ID, or Group domain
 | column | column with Value, Class, ID, Group, Picture, or Color domain; by default a column from the attribute table of the raster map.
Cross | MapCross(rasmap1, rasmap2, output cross table) TableCross(rasmap1, rasmap2) TableCross(rasmap1, rasmap2, output cross rasmap) TableCross(rasmap1, rasmap2 [, output cross rasmap] [, IgnoreUndefs | IgnoreUndef1 | IgnoreUndef2 ])
 | rasmap2 | same georeference as input raster map 1.
Aggregate Map | MapAggregate AggFunc (rasmap, groupfactor, group [, rowoffset, coloffset] [, newgeoref] ) MapAggregate AggFunc (rasmap, groupfactor, nogroup [, rowoffset, coloffset] ) MapListApplic(maplist, MapAggregate AggFunc (##, groupfactor, group [, rowoffset, coloffset] [, newgeoref] )) MapListApplic(maplist, MapAggregate AggFunc (##, groupfactor, nogroup [, rowoffset, coloffset] ))
 | AggFunc | avg | cnt | max | med | min | prd | std | sum When no aggregation function is specified, the upper left pixel of each block is used.
 | rasmap | raster map with a value domain for aggregate functions avg, max, min, std, sum; raster map with a class, ID, or value domain for aggregate function med ; raster map with any domain for aggregate function prd
 | groupfactor | a value (>= 1) to define the size of the blocks of input pixels to be aggregated; a value of 4 means that each block of 4 x 4 input pixels will be aggregated.
 | group | each block of input pixels is aggregated to 1 output pixel; a georeference factor is created with the same name as the output map.
 | nogroup | each block of input pixels is aggregated and the output value is stored in all pixels of the block. that correspond to the considered block of input pixels; the output map uses the same georeference as the input map.
 | rowoffset | optional parameter to skip the specified number of rows.
 | coloffset | optional parameter to skip the specified number of columns.
 | newgeoref | when using option group, optional parameter to specify the name of the output georeference; if not specified, the output georeference obtains the same name as the output map.
Distance | MapDistance(source rasmap [, weight rasmap | 1] ) MapDistance(source rasmap, [weight rasmap | 1] , output rasmap Thiessen) MapThiessen(source rasmap [, weight rasmap | 1] , output rasmap Distance)
 | source rasmap | input raster map of any domain type; for all pixels with the undefined value, a distance value is calculated
 | [weight rasmap| 1]
 |  | weight map is an optional parameter to specify a map with weight factors; raster map of domain type Value. When a 1 is specified or when the parameter is not used, weight factor 1 is used for all pixels.
 | output rasmap Thiessen
 |  | name of output Thiessen raster map
 | output rasmap Distance
 |  | name of output Distance raster map
Iteration | MapIter(StartMap, IterExpr [, nr of iterations] ) MapIterProp(StartMap, IterExpr [, nr of iterations] )
 | StartMap | raster map that is used in the IterExpr.
 | IterExpr | an expression for neighbourhood operations.
 | nr of iterations | optional parameter to specify the maximum number of iterations; if not specified, the operation continues until no more changes occur.
Area Numbering | MapAreaNumbering(rasmap, 8|4)
 | 8 | 4 | 8-connected areas or 4-connected areas
Sub Map | MapSubMap(rasmap, start row, start col [, nr rows, nr cols] [, newgeoref] ) MapSubMapCorners(rasmap, start row, start col, end row, end col [, newgeoref] ) MapSubMapCoords(rasmap, start X-coord, start Y-coord, end X-coord, end Y-coord [, newgeoref] ) MapListApplic(maplist, MapSubMap(##, start row, start col [, nr rows, nr cols] [, newgeoref] )) MapListApplic(maplist, MapSubMapCorners(##, start row, start col, end row, end col [, newgeoref] )) MapListApplic(maplist, MapSubMapCoords(##, start X-coord, start Y-coord, end X-coord, end Y-coord [, newgeoref] ))
 | newgeoref | optional parameter to specify a name for the output georeference; if not specified, then the output georeference obtains the same name as the output map.
Glue Maps | MapGlue( [georef.grf,] rasmap1, rasmap2 [, rasmaps] [, newdomain] [, replace] )
 | georef.grf | optional parameter to specify an existing georeference for the output map; extension .grf is required. If not specified, then the system will automatically create a georeference for the output map.
 | rasmap1 | input raster map; if no existing georeference is specified, the georeference of this first map will be used as a basis for the georeference for the output raster map.
 | rasmap2 | input raster map that will be resampled if needed.
 | rasmaps | optional parameter to specify more input raster maps. You can specify as many input raster maps as you like; comma delimited.
 | newdomain | optional parameter, when merging class or two ID maps, to specify the name of the output domain into which all items of the input domains are merged; if not specified, the output domain will be stored by the output raster map (internal domain).
 | replace | optional parameter to use for overlapping pixels the values of the last input map; if not specified, the values of the first input map are used for overlapping pixels.
Mirror Rotate | MapMirrorRotate(rasmap, rotate type) MapListApplic(maplist, MapMirrorRotate(##, rotate type))
 | rotate type | mirrhor | mirrvert | mirrdiag | transpose | rotate90 | rotate180 | rotate270 | normal

IMAGE PROCESSING

Filter

MapFilter(rasmap, filter name| filter expression)

MapListApplic(maplist, MapFilter(##, filter name| filter expression))

rasmap

all filters use input raster maps with a value domain; the Binary filters and the Majority filters also work on other domain types.

filter name

avg3x3 | binmajor | conn8to4 | d2fdx2 | d2fdxdy | d2fdy2 | dfddn | dfdup | dfdx | dfdy | dilate4 | dilate8 | edgesenh | inbnd4 | inbnd8 | laplace | lifegame | majority | majundef | majzero | med3x3 | med5x5 | outbnd4 | outbnd8 | peppsalt | shadow | shrink4 | shrink8 |

user-defined filter on disk

filter expression

FilterLinear(rows, cols, expression) |
Average(rows, cols) |
RankOrder(rows, cols, rank [, threshold] ) |
Median(rows, cols [, threshold] ) |
Majority(rows, cols) |
ZeroMajority(rows, cols) |
UndefMajority(rows, cols) |
Pattern(threshold) |
FilterStandardDev(rows, cols)

rows,cols

size of filter in rows and columns; odd values >= 1.

threshold

if the difference between the resulting value and the original pixel value is smaller than or equal to the threshold, the calculated value is used. If the difference between the resulting value and the original pixel value is larger than the threshold, the original pixel value is retained.

rank

the rank number of which the pixel value is assigned to the central pixel.

expression

fill the values in the filter by an expression in which you can use the parameters x, y, and r.

Stretch

MapStretch[Linear](rasmap, range from, domain)

MapStretch[Linear](rasmap, range from, domain, range to)

MapStretchHistEq(rasmap, range from, intervals)

MapListApplic(maplist, MapStretch[Linear](##, range from, domain))

MapListApplic(maplist, MapStretch[Linear](##, range from, domain, range to))

MapListApplic(maplist, MapStretchHistEq(##, range from, intervals))

rasmap

input raster map using a value domain

range from

min:max | perc

perc

real value > 0

intervals

number of output intervals

domain

output value domain

range to

value range of output map as:
min:max | min:max:prec| ::prec

Slicing

MapSlicing(rasmap, domain group)

rasmap

input raster map using a value domain

Color Separation

MapColorSep[aration] (rasmap, color) | rasmap.color

rasmap

input raster map using a Picture domain or the Color domain

color

red | green | blue | yellow | magenta | cyan | grey | gray | hue | saturation | sat | intensity | intens

Color Composite

MapHeckbert(maplist, nr of colors)

MapColorComp[Linear] (maplist, range1, range2, range3)

MapColorCompHistEq(maplist, range1, range2, range3)

MapColorComp24[Linear] (maplist [, range1, range2, range3])

MapColorComp24HistEq(maplist, range1, range2, range3)

MapColorComp24HSI(maplist)

maplist

existing map list which contains three raster maps of the Image domain or definition of map list as:

mlist(ImageRed, ImageGreen, ImageBlue)

range1,2,3

min:max|perc

perc

0 £ real value < 50

nr of colors

2 £ integer value £ 255

Cluster

MapCluster(maplist, nr of clusters [, output attrib table] )

maplist

a map list which contains 1, 2, 3, or 4 raster maps that use the Image domain

nr of clusters

an integer value between 2 and 60 for the number of clusters in the output map.

Sample

-

Classify

MapClassify(sample set, classifier)

classifier

ClassifierBox(factor) |
ClassifierMinDist ( [threshold] ) |
ClassifierMinMahaDist ( [threshold] ) |
ClassifierMaxLikelihood ( [threshold] ) |
ClassifierPriorProb (table, column) |
ClassifierPriorProb (threshold, table, column)

Resample

MapResample(rasmap, georef, resamp meth [, Patch | NoPatch] )

MapListApplic(maplist, MapResample(##, georef, resamp meth [, Patch | NoPatch] ))

resamp meth

NearestNeighbour | BiLinear | BiCubic

Stereo pair from DTM

StereoPairFromDTM(rasmap, DTM)

StereoPairFromDTM(rasmap, DTM [, look angle [, ref height [, look modus [, resamp modus] ] ] ] )

DTM

raster map with a value domain

look angle

optional parameter to specify the 'projection' of the two output raster maps (degrees); 0 £ real value £ 90; if not specified, a default of 30 will be used.

ref height

optional parameter to specify the height value (real value) that will appear at the level of your monitor; if not specified, a default of ((minimum height value in DTM + maximum height value in DTM) / 2) will be used.

look modus

Left | Both | Right

optional parameter to specify how the look angle should be divided over both output raster maps.

resamp modus

Fast | Accurate

optional parameter to specify manner and speed of resampling.

STATISTICS

Histogram

TableHistogram(rasmap)

rasmap

input raster map of any domain type. Mind: the output raster histogram table will always have the same name as the input raster map.

TableHistogramPnt(pntmap)

pntmap

input point map of any domain type. Mind: the output point histogram table will always have the same name as the input point map.

TableHistogramPol(polmap)

polmap

input polygon map of any domain type. Mind: the output polygon histogram table will always have the same name as the input polygon map.

TableHistogramSeg(segmap)

segmap

input segment map of any domain type. Mind: the output segment histogram table will always have the same name as the input segment map.

RASTER

Autocorrelation

TableAutoCorrSemiVar(rasmap [, max shift] )

max shift

maximum pixel shift; integer value > 0; if not specified, a default of 20 will be used, but if either number of rows or number of columns in map is less than 100, a default of (map/5)+1 will be used.

Variogram Surface

MapVariogramSurfaceRas(rasmap [, nr of lags] )

rasmap

input raster map with a value domain

nr of lags

optional parameter to specify the number of directional distance classes (lags) in both horizontal and vertical direction; 1 <= integer value <= 4000, but not larger than neither the number of rows nor the number of columns in the input map; if not specified, default of 10 lags.

MAP LIST

Principal Components

MatrixPrincComp(maplist [, nr of output bands] )

maplist

map list containing raster maps with a value domain

Factor Analysis

MatrixFactorAnal(maplist [, nr of output bands] )

maplist

map list containing raster maps with a value domain

POLYGONS

Neighbour Polygons

TableNeighbourPol(polmap)

polmap

input polygon map with a Class, ID or Group domain

SEGMENTS

Direction Histogram

TableSegDir(segmap)

POINTS

Spatial correlation

TableSpatCorr(pntmap [, lagspacing [, plane | sphere] ] )

TableSpatCorr(pntmap [, lagspacing [, direction [, tolerance [, bandwidth] ] ] ] )

pntmap

input point map with a value domain

lagspacing

parameter to specify length of linear distance intervals; if not specified, the output table will use logarithmic distance intervals

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system of the point map (sphere); if not specified, distances will be calculated in a plane

direction

optional parameter to find point pairs in this direction; clockwise angle from Y-axis; 0° £ direction £ 90°

tolerance

optional parameter to specify half of the opening angle with which points in the specified direction should be found; 0° < tolerance £ 45°

bandwidth

optional parameter to limit the tolerance angle to a certain maximum width

Variogram Surface

MapVariogramSurfacePnt(pntmap [, lagspacing [, nr of lags] ] )

pntmap

input point map with a value domain

lagspacing

optional parameter to specify the distance in meters for the directional distance classes (lags); 0 < real value < diagonal of point map; if not specified, default of 0.5 Ö ((point map height * point map width) / nr of points)

nr of lags

optional parameter to specify the number of directional distance classes (lags) in both horizontal and vertical direction; 1 <= integer value <= 45; if not specified, default of 10 lags.

Cross Variogram

TableCrossVariogram(pntmap, columnA, columnB, lagspacing [, plane | sphere] )

pntmap

input point map with an ID domain and linked attribute table

columnA

attribute column with value domain

columnB

attribute column with value domain

lagspacing

parameter to specify length of linear distance intervals

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system of the point map (sphere); if not specified, distances will be calculated in a plane

Pattern Analysis

TablePattAnal(pntmap)

pntmap

input point map with more than two points

INTERPOLATION

Densify map

MapDensify(rasmap, factor, interpol meth)

MapListApplic(maplist, MapDensify(##, factor, interpol meth))

rasmap

raster map with a value domain for a BiLinear or Bicubic interpolation; raster map with any domain for Nearest Neighbour.

factor

real value > 1

interpol meth

BiLinear | BiCubic | NearestNeighbour

Kriging from Raster

MapKrigingFromRaster(rasmap, SemiVarModel [, LimDist [, Distance Unit [ , 1 | 0 [, min, max] ] ] ] )

rasmap

input raster map with a value domain

SemiVarModel

Model(nugget, sill, range) |
Power(nugget, slope, pow)

Model

Spherical | Exponential | Gaussian | Wave | Circular | RatQuad

LimDist

limiting distance either in meters or in number of pixels
Distance Unit

m | p

defines whether limiting distance is expressed in meters (m) or in pixels (p)

1 | 0

optional parameter to create an error map: 1 do create error map, 0 do not create error map; if not specified, no error map will be created

min, max

optional parameters to specify the minimum and maximum number of input pixels with a value to be taken into account within the limiting distance

Contour Interpolation

MapInterpolContour(segmap, georef)

segmap

input segment map with a value domain.

MapInterpolContour(rasmap)

rasmap

input raster map with a value domain; mind: algorithm only works well for rasterized contour lines.

Point Interpolation:

Nearest Point

MapNearestPoint(pntmap, georef [, plane | sphere] )

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere); if not specified, distances will be calculated in a plane

Moving Average

MapMovingAverage(pntmap, georef, weight func [, plane | sphere] )

pntmap

input point map with a value domain

weight func

InvDist(Exp,LimDist) | Linear(Exp,LimDist)

Exp

weight exponent

LimDist

limiting distance

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere); if not specified, distances will be calculated in a plane

Trend Surface

MapTrendSurface(pntmap, georef, surface type)

pntmap

input point map with a value domain

surface type

Plane | Linear2 | Parabolic2 | 2 | 3 | 4 | 5 | 6

Moving Surface

MapMovingSurface(pntmap, georef, surface type, weight func [, plane | sphere] )

pntmap

input point map with a value domain

surface type

Plane | Linear2 | Parabolic2 | 2 | 3 | 4 | 5 | 6

weight func

InvDist(Exp,LimDist) | Linear(Exp,LimDist)

Exp

weight exponent

LimDist

limiting distance

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere); if not specified, distances will be calculated in a plane

Kriging

MapKrigingSimple(pntmap, georef, SemiVarModel [, plane | sphere] [, 1 | 0 [, remove duplic [, tolerance] ] ] )

MapKrigingOrdinary(pntmap, georef, SemiVarModel [, plane | sphere] , LimDist [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

pntmap

input point map with a value domain

SemiVarModel

Model(nugget, sill, range) |
Power(nugget, slope, pow)

Model

Spherical | Exponential | Gaussian | Wave | Circular | RatQuad

plane | sphere

optional parameter to calculate distances in a plane (plane), or on the sphere by using the projection of the coordinate system as used by the georeference of the output raster map (sphere); if not specified, distances will be calculated in a plane

LimDist

limiting distance

1 | 0

optional parameter to create an error map: 1 do create error map, 0 do not create error map; if not specified, no error map will be created

min, max

optional parameters to specify the minimum and maximum number of points to be taken into account within the limiting distance

remove duplic

no | average | firstval

optional parameter to handle possible coinciding points

tolerance

optional parameter to specify a distance value in meters with which is determined whether points are coinciding or not

Anisotropic Kriging

MapKrigingAnisotropic(pntmap, georef, SemiVarModel, LimDist, angle, ratio [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

MapKrigingUniversal(pntmap, georef, SemiVarModel, LimDist, 0, angle, ratio [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

0

if using the MapKrigingUniversal syntax, obligatory parameter to indicate that there is no trend

angle

anisotropy angle (clockwise angle in degrees from North; -360 <= angle <= 360)

ratio

anisotropy ratio; largest semi-variogram range divided by smallest semi-variogram range (1 < ratio <= 10)

other parameters

see Kriging

Universal Kriging

MapKrigingUniversal(pntmap, georef, SemiVarModel, LimDist, trend type, 0, 1 [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

trend type

0 | 1 | 2

0,1

parameters to indicate that there is no anisotropy (angle and ratio)

other parameters

see Kriging

CoKriging

MapCoKriging(pntmapPred, pntmapCovar, georef, SemiVarModelPred, SemiVarModelCovar, CrossVarModel, LimDist [, 1 | 0 [, min, max [, remove duplic [, tolerance [, plane | sphere] ] ] ] ] )

pntmapPred

input point map for predictand

pntmapCovar

input point map for covariable

SemiVarModelPred

semi-variogram model for predictand, see Kriging

SemiVarModelCovar

semi-variogram model for covariable, see Kriging

CrossVarModel

cross-variogram model for both variables, see Kriging

other parameters

see Kriging

VECTOR OPERATIONS

Unique ID

PolygonMapNumbering(polmap [, , prefix] )

SegmentMapNumbering(segmap [, , prefix] )

PointMapNumbering(pntmap [, , prefix] )

prefix

optional parameter to specify a user-defined prefix for the output IDs; if this parameter is not specified, the output IDs will simply be pol 1, pol 2, pol 3, or seg 1, seg 2, seg 3, or pnt 1, pnt 2, pnt 3, etc.

POLYGONS

Attribute Map

PolygonMapAttribute(polmap, column)

polmap

polygon map with a Class, ID, or Group domain.

column

column with a Value, Class, ID, or Group domain; by default a column from the attribute table of the polygon map.

Mask Polygons

PolygonMapMask(polmap, "mask")

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

Assign Labels

PolygonMapLabels(polmap, pntmap)

Transform Polygons

PolygonMapTransform(polmap, targetcoordsys [, interval] )

interval

distance interval at which additional intermediate points should be inserted along polygon boundaries to densify the coordinates of the polygon boundaries; real value > 0

ID Grid Map

PolygonMapGrid (coordsys, originX, originY, width, height, nrVertical, nrHorizontal, , , [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

PolygonMapGrid (coordsys, originX, originY, width, height, , , oppositeX, oppositeY, [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

PolygonMapGrid (coordsys, originX, originY, , , nrVertical, nrHorizontal, oppositeX, oppositeY [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

coordsys

input coordinate system (metric or latlon)

originX, originY

X and Y coordinates of the origin. The origin is the lower left corner of the output polygon map.

width, height

width and height of an ID grid cell

nrVertical, nrHorizontal

number of vertical and horizontal grid cells

oppositeX, oppositeY

X and Y coordinates of the opposite corner coordinate. The opposite corner coordinate is the corner opposite the corner specified as 'origin coordinate'.

directionX, directionY

X and Y coordinates of the direction point. The direction point is a point on the positive Y-axis from the lower left corner (origin) of the ID grid map and is used to rotate the grids.

table

an existing attribute table with an ID domain

label

 LabelPoints | NoLabelPoints

generate a point map with label points. Do not generate a point map. If omitted NoLabelPoints will be assigned.

order

direction for labeling the grid cells. Available option are: Horizontal (H), Horizontal Continues (HC), Vertical (V) and Vertical Continues (VC). If omitted Horizontal (H) will be assigned.

startcorner

starting corner for labeling. Available option are: Lower Left (LL), Lower Right (LR), Upper Left (UL) and Upper Right (UR). If omitted Lower Left (LL) will be assigned.

startnumber

an integer that will be used as initial number to start labeling the grid cells. If the value for this parameter is omitted, 1 will be assigned.

steps

step size. The step size is a positive or negative integer that is used to determine the increase/decrease of each individual grid cell during the labeling process.

prefix

optional parameter to specify some characters that should be used as prefix for the IDs in the output polygon map.

postfix

optional parameter to specify some characters that should be used as postfix for the IDs in the output polygon map.

SEGMENTS

Attribute Map

SegmentMapAttribute(segmap, column)

segmap

segment map with a Class, ID, or Group domain.

column

column with a Value, Class, ID, or Group domain; by default a column from the attribute table of the segment map.

Mask Segments

SegmentMapMask(segmap, "mask")

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

Assign Labels

SegmentMapLabels(segmap, pntmap [, set domain] )

set domain

yes | no

optional parameter to set the domain of the output segment map to the domain of the input segment map or to the domain of the input point map; if this parameter is not specified, the output segment map will use the same domain as the input segment map.

no

domain of output segment map is domain of input segment map.

yes

domain of output segment map is domain of input point map.

Sub Map

SegmentMapSubMap(segmap, minX, minY, maxX, maxY)

SegmentMapSubMap(segmap, minLon, minLat, maxLon, maxLat)

minX

minimum X-coordinate of output map.

minY

minimum Y-coordinate of output map.

maxX

maximum X-coordinate of output map.

maxY

maximum Y-coordinate of output map.

in case input map uses coordinate system of type latlon:

minLon

minimum Longitude of output map (signed decimal degrees).

minLat

minimum Latitude of output map (signed decimal degrees).

maxLon

maximum Longitude of output map (signed decimal degrees).

maxLat

maximum Latitude of output map (signed decimal degrees).

Glue Segment Maps

SegmentMapGlue(segmap1, "mask1", segmap2, "mask2" [,...] [, newdomain] )

SegmentMapGlue(minX, minY, maxX, maxY, segmap1,"mask1", segmap2, "mask2" [, ... ] [, newdomain] )

segmap1,2, ...

are the input segment map names to be combined into one output segment map

"mask1"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

minX

minimum X-coordinate of output map.

minY

minimum Y-coordinate of output map.

maxX

maximum X-coordinate of output map.

maxY

maximum Y-coordinate of output map.

newdomain

optional parameter, when merging Class or ID maps, to specify a name for the output domain into which all items of the input domains are merged; if not specified, the output domain will be stored by the output map (internal domain).

Densify Coords

SegmentMapDensifyCoords(segmap, distance)

distance

is the distance in meters at which extra intermediate points should be inserted into segments; real value > 0

Transform Segments

SegmentMapTransform(segmap, targetcoordsys [, interval] )

interval

distance interval at which additional intermediate points should be inserted along segments to densify the segment coordinates; real value > 0

Tunneling

SegmentMapTunneling(segmap, tunnel width, remove node)

tunnel width

tunnel width in meters; real value >= 0

remove node

yes | no

remove superfluous nodes or not.

POINTS

Attribute Map

PointMapAttribute(pntmap, column)

pntmap

point map with a Class, ID, or Group domain

column

column with a Value, Class, ID, or Group domain; by default a column from the attribute table of the point map.

Mask Points

PointMapMask(pntmap, "mask")

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

Sub Map

PointMapSubMap(pntmap, minX, minY, maxX, maxY)

PointMapSubMap(pntmap, minLon, minLat, maxLon, maxLat)

minX

minimum X-coordinate of output map.

minY

minimum Y-coordinate of output map.

maxX

maximum X-coordinate of output map.

maxY

maximum Y-coordinate of output map.

in case input map uses coordinate system of type latlon:

minLon

minimum Longitude of output map (signed decimal degrees).

minLat

minimum Latitude of output map (signed decimal degrees).

maxLon

maximum Longitude of output map (signed decimal degrees).

maxLat

maximum Latitude of output map (signed decimal degrees).

Glue Point Maps

PointMapGlue(pntmap1, "mask1",pntmap2, "mask2" [,... ] [, newdomain] )

PointMapGlue(minX, minY, maxX, maxY, pntmap1,"mask1", pntmap2, "mask2" [, ... ] [, newdomain] )

pntmap1,2, ...

are the input point map names to be combined into one output point map

"mask1"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

minX

minimum X-coordinate of output map.

minY

minimum Y-coordinate of output map.

maxX

maximum X-coordinate of output map.

maxY

maximum Y-coordinate of output map.

newdomain

optional parameter, when merging Class or ID maps, to specify a name for the output domain into which all items of the input domains are merged; if not specified, the output domain will be stored by the output map (internal domain).

Transform Points

PointMapTransform(pntmap, targetcoordsys)

RASTERIZE

Polygon to Raster

MapRasterizePolygon(polmap, georef)

Segment to Raster

MapRasterizeSegment(segmap, georef)

Segment Density

MapSegmentDensity(segmap, "mask", georef)

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

Point to Raster

MapRasterizePoint(pntmap, georef, point size)

point size

size in pixels; integer value > 0

Point Density

MapRasterizePointCount(pntmap, georef, point size)

MapRasterizePointSum(pntmap, georef, point size)

point size

size in pixels; integer value > 0

VECTORIZE

Raster to Polygon

PolygonMapFromRas(rasmap [, 8|4 [, smooth|nosmooth] ] )

rasmap

input raster map cannot have georef None

8|4

distinguish 8-connected or 4-connected areas;

default 8.

smooth

smooth polygon boundaries; default.

nosmooth

do not smooth polygon boundaries.

Raster to Segment

SegmentMapFromRasAreaBnd(rasmap, 8|4, smooth|nosmooth, single|unique)

rasmap

input raster map cannot have georef None

8|4

distinguish 8-connected or 4-connected areas.

smooth

smooth segments.

nosmooth

do not smooth segments.

single

assign the name 'Boundaries' to all output segments (internal output domain).

unique

assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments; an attribute table will be created storing the names of the mapping units on both sides of each output segment and the lengths of the extracted segments. Output map and attribute table will use an internal UniqueID domain.

Raster to Point

PointMapFromRas(rasmap)

rasmap

input raster map cannot have georef None

Polygon to Segment

SegmentMapPolBoundaries(polmap, "mask", single | unique)

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes.

single

assign the name 'Boundary' to all output segments (internal output domain).

unique

assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments; an attribute table will be created storing the names of the polygons on both sides of each output segment and the lengths of the extracted segments. Output map and attribute table will use an internal UniqueID domain.

Polygon to Point

PointMapPolLabels(polmap [, AlsoUndefs] )

AlsoUndefs

optional parameter to also obtain label points for polygons which have no class name, ID or value.

Segment to Polygon

PolygonMapFromSegment(segmap [, "mask" [, labelpntmap | unique | domain [, auto] ] )

PolygonMapFromSegmentNonTopo(segmap [, "mask" [, segments | labelpntmap | unique | domain] )

"mask"

a mask consists of (multiple) search strings; asterisks and question marks can be used as wild cards; on the command line, the total mask needs to be surrounded by double quotes; if not specified all segments are used.

labelpntmap

optional parameter to automatically assign names to the output polygons according to a specified point map labelpntmap which contains the labels.

segments

optional parameter to polygonize non-topological segments while assigning to each polygon the code of the segment which encloses the polygon.

unique

optional parameter to polygonize the segments while assigning unique names to the polygons as Pol 1, Pol 2, etc. (internal domain).

domain

mainly used during polygonization in the Segment editor (see Segment editor, Polygonize); optional parameter to use a specified domain for the output polygon map; in the output map, the polygons will not have names yet: you will need to manually assign names to the polygons according to the selected domain.

If none of the parameters labelpntmap, segments, unique, or domain are specified, the Unique option will be used.

auto

optional parameter during topological polygonization to automatically correct erroneous segments in the input map; deletes false polygons, deletes segments with dead ends, insert nodes when needed; if not specified and an error is found, the program stops and no polygon map is calculated.

Segment to Point

PointMapSegCoords(segmap)

PointMapSegDist(segmap, distance)

PointMapSegNodes(segmap)

distance

distance interval in meters; real value > 0

TABLE OPERATIONS
Transpose Table | TableTranspose(table, col domain) TableTranspose(table, col domain, valuerange)
 | table | input table with a domain none, class or ID and maximum 1000 records
 | col domain | the domain that will be used for all columns in the transposed table
 | valuerange | if the column domain is a value domain, specify the value range as min:max : prec that will be used for all columns in the transposed table
Change Domain | TableChangeDomain(table, None | domain) TableChangeDomain(table, column[, avg | min | max | sum | last | no] )
 | domain | parameter to specify the name of an existing class or ID domain on disk. The output table will use this class or ID domain.
 | column | parameter to specify the name of a class or ID column in the input table; the output table will use the domain of the specified column. When no aggregation function is used, the classes or IDs in the specified column should be unique.
 | avg|min|max|sum|last|no
 |  | parameter to specify the aggregation method for other value columns, when the classes or IDs in the specified column are not unique: average, minimum value, maximum value, sum, last value encountered or no aggregation.
Table to PointMap | PointMapFromTable(table, XYcoordcolumn [, prefix | attribcolumn] ) PointMapFromTable(table, [Xcolumn, Ycolumn,] coordsys [, prefix | attribcolumn] )
 | XYcoordcolumn | parameter to specify name of a coordinate column in the table which contain the XY-coordinates for the points as (X,Y); column should use a coordinate system as its domain.
 | Xcolumn, Ycolumn | parameters to specify names of columns in the table which contain the X- and Y-coordinates for the points; do not need to be specified when table contains columns with names X and Y.
 | prefix | optional parameter for a table with domain None to create a new ID domain for the output point map and table, the IDs will consist of specified prefix followed by the record number of the table; if not specified, the new IDs will use prefix Pnt followed by the record numbers of the table.
 | attribcolumn | optional parameter to use a domain of a column in the table as the domain of the output point map.
Glue Tables | TableGlue(table1, table2 [, more tables] [, vertical] ) TableGlue([newdomain,] table1, table2 [, more tables] )
 | more tables | optional parameter to specify more input tables. You can specify as many input tables as you like; comma delimited.
 | vertical | in case the input tables have domain None: optional parameter to specify that tables should be merged vertically; if not specified, columns of the input tables will all appear as new columns in the output table (horizontally).
 | newdomain | in case the input tables have class or ID domains: optional parameter to specify a name for the domain of the output table; if not specified; the output domain will obtain the same name as the output table.

DEM-HYDRO PROCESSING

FLOW DETERMINATION

Fill Sinks

MapFillSinks(rasmap)

rasmap

input raster map is supposed to be a Digital Elevation Model (DEM), i.e. a raster map with a value domain.

Flow Direction

MapFlowDirection(rasmap, [slope | height] )

rasmap

input raster map is supposed to be a sink-free Digital Elevation Model (DEM), i.e. a raster map with a value domain.

slope | height

optional parameter to choose how flow direction should be determined:
Slope : water flows to neighbouring pixel according to steepest slope;
Height : water flows to neighbouring pixel with lowest elevation.
If not specified, slope will be used.

Flow Accumulation

MapFlowAccumulation(flowdir_rasmap)

flowdir_rasmap

as input map, use the output map of the Flow Direction operation, i.e. raster map with system class domain FlowDirection.

FLOW MODIFICATION

DEM optimization

MapDemOptimization(rasmap, segmap, table, col_buffer_dist, col_smooth_drop, col_sharp_drop)

MapDemOptimization(rasmap, segmap, bufferdist, smoothdrop [, sharpdrop] )

MapDemOptimization(rasmap, polmap, poldrop)

rasmap

input raster map is supposed to be a Digital Elevation Model (DEM), i.e. a raster map with a value domain.

segmap

input segment map (Class or ID domain) containing drainage features or watershed-divide features.

table

attribute table of the segment map.

col_buffer_dist

column in the attribute table containing buffer distance values for individual segment classes/IDs; real value > 0.

col_smooth_drop

column in the attribute table containing smooth drop values for individual segment classes/IDs; positive values represent a drop; negative values represent a raise.

col_sharp_drop

column in the attribute table containing additional sharp drop values for individual segment classes/IDs; positive values represent a drop; negative values represent a raise.

bufferdist

buffer distance value for all segments (real value > 0).

smoothdrop

smooth drop value for all segments; positive value represents a drop; negative value represents a raise.

sharpdrop

optional additional sharp drop value for all segments; positive value represents a drop; negative value represents a raise.

polmap

input polygon map (any domain) containing drainage features or catchment features.

poldrop

(sharp) drop value for all polygons; positive value represents a drop; negative value represents a raise.

Topological Optimization

MapTopologicalOptimization(drainnetwork_rasmap, flowdir_rasmap, stream_segmap, output_modified_flowdir_rasmap)

drainnetwork_rasmap

a raster map that is the outcome of the Drainage Network Extraction operation, i.e. a raster map with a Bool domain.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

stream_segmap

a segment map that will be used to improve the drainage network map.

output_modified_flowdir_rasmap

the name of a new (updated) flow direction raster map.

Variable Threshold Computation

MapVariableThresholdComputation(rasmap, filter_size, nr_classes, "UpperBounds_and_ThresholdVals", output_internal_relief_rasmap)

rasmap

input raster map is supposed to be a Digital Elevation Model (DEM), i.e. a raster map with a value domain.

filter_size

a value to define the size of the window that will move over the input map(s); filter size 3, means that each time 3 x 3 input pixels are considered.

nr_classes

value to define the number of output 'classes' that you wish to obtain in the output threshold map (1 £ integer value £ 5)

"UpperBounds_and_ThresholdVals"

string in which, for each class at a time, the upper boundary value for internal relief values is specified, followed by the desired output threshold value. Boundary values and corresponding threshold values are separated by commas, this is repeated for each output 'class'; on the command line, the total string needs to be surrounded by double quotes.

output_internal_relief_rasmap

true | false

specify true to obtain an additional raster map with the internal relief values.

specify false if no internal relief map is desired.

NETWORK AND CATCHMENT EXTRACTION

Drainage Network Extraction

MapDrainageNetworkExtraction(flowacc_rasmap, threshold)

MapDrainageNetworkExtraction(flowacc_rasmap, threshold_rasmap, flowdir_rasmap)

flowacc_rasmap

a raster map that is the outcome of the Flow Accumulation operation, i.e. a raster map with a value domain.

threshold

a value (> 0) to define the minimum number of pixels (i.e. the contributing area) that should drain into the pixel examined to form a network channel.

threshold_rasmap

a raster map which pixel values define the minimum number of pixels (i.e. the contributing area) that should drain into the pixel examined to form a network channel.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

Drainage Network Ordering

MapDrainageNetworkOrdering(DEM_rasmap, flowdir_rasmap, drainnetwork_rasmap, minLength)

DEM_rasmap

a raster map containing height values, i.e. a raster map with a value domain.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

drainnetwork_rasmap

a raster map that is the outcome of the Drainage Network Extraction operation, i.e. a raster map with a Bool domain.

minLength

value for the minimum drainage segment length (in m) that will remain in the drainage network (value ≥ 0)

Catchment Extraction

MapCatchmentExtraction(drainorder_rasmap, flowdir_rasmap)

drainorder_rasmap

a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

Catchment Merge

MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, outlet_pntmap, include_undefs, extract_segments [, output_segmap_longestFlow] )

MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, order_system, stream_order [, output_segmap_longestFlow] )

drainorder_rasmap

a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

flowacc_rasmap

a raster map that is the outcome of the Flow Accumulation operation, i.e. a raster map with a value domain.

outlet_pntmap

a point map that contains one or more outlets; sub-catchments draining into these outlets will be merged.

include_undefs

true | false

specify true to include pixels that have value undefined in the DEM into a catchment; this can only be used when there is a single outlet point in the point map.

specify false to do nothing special.

extract_segments

true | false

specify true to obtain an additional segment map and attribute table with new IDs etc., see Catchment Extraction.

specify false to not obtain an additional segment map and attribute table.

order_system

strahler | shreve

the drainage order method that should be used to merge catchments; specify either strahler or shreve.

stream_order

a stream order value, according to the Strahler or Shreve method; integer value > 0. Connected sub-catchments that have an order number smaller than or equal to the specified value will be merged.

output_segmap_longestFlow

optional parameter to generate an output segment map (specify a name for this segment map) that will contain the longest flow path for each sub-catchment; an extra attribute table will also be created.

COMPOUND PARAMETER EXTRACTION

Overland Flow Length

MapOverlandFlowLength(drainorder_rasmap, flowdir_rasmap)

drainorder_rasmap

a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map with an Identifier domain.

flowdir_rasmap

a raster map that is the outcome of the Flow Direction operation, i.e. a raster map with system domain FlowDirection.

STATISTICAL PARAMETER EXTRACTION

Horton Statistics

TableHortonPlots(catch_extr_rasmap, catch_merge_rasmap, drainorder_rasmap)

catch_extr_rasmap

a raster map that is the outcome of the Catchment Extraction operation, i.e. a raster map and its linked attribute table, both using an ID domain (in fact the ID domain of the network ordering raster map and its attribute table).

catch_merge_rasmap

a raster map that is the outcome of the Catchment Merge operation, i.e. a raster map and its linked attribute table, both using an ID domain.

drainorder_rasmap

a raster map that is the outcome of the Drainage Network Ordering operation, i.e. a raster map and its linked attribute table, both using an ID domain.

COLUMN OPERATIONS (Table window, Columns menu)
TabCalc | ColumnCalculate, see Map and Table Calculation : Alphabetical overview of operators and functions
Statistics | see Column Statistics
Join | ColumnJoin(table, column [, key1] ) ColumnJoin2ndKey(table, column [, key1], key2) ColumnJoin AggFunc(table, column, key2 [, weight [, key1] ] )
Aggregation | ColumnAggregate[Cnt|Max|Min|Sum](column [, group] ) ColumnAggregate[Avg|Med|Prd|Std](column [, group [, weight] ) ColumnAggregate[Avg|Med|Prd|Std](column [, , weight] )
Cumulative | ColumnCumulative(column [, sortcolumn] )
Least Squares | ColumnLeastSquaresFit(column1, column2, Function, n)
Semi-variogram | ColumnSemiVariogram(DistanceColumn, SemiVarModel)

See also:

Alphabetic list of ILWIS expressions

ILWIS commands

ILWIS script language (syntax)

ILWIS as DDE server


Appendices : ILWIS expressions (alphabetic)

Appendices

ILWIS expressions (menu-wise)

ILWIS expressions (alphabetic)

In the listing below, all ILWIS expressions are ordered by output object type, and then alphabetical. For more information, refer to Appendices : ILWIS expressions or to individual operations by clicking the links in the list below.

Operations resulting in a raster map:

MapAggregate AggFunc (rasmap, groupfactor, group [, rowoffset, coloffset] [, newgeoref] )

MapAggregate AggFunc (rasmap, groupfactor, nogroup [, rowoffset, coloffset] )

MapApply3D(rasmap, georef3D)

MapAreaNumbering(rasmap, 8 | 4 )

MapAttribute(rasmap, attribute column)

MapCalculate(expression)

MapCatchmentExtraction(drainorder_rasmap, flowdir_rasmap)

MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, outlet_pntmap, true | false, true | false [, output_segmap_longestFlow] )

MapCatchmentMerge(drainorder_rasmap, flowdir_rasmap, flowacc_rasmap, Strahler | Shreve, stream_order [, output_segmap_longestFlow] )

MapClassify(sample set, classifier)

MapCluster(map list, nr of clusters [, output attrib table] )

MapCoKriging(pntmapPred, pntmapCovar, georef, semivarmodelPred, semivarmodelCovar, crossvarmodel, limdist [, 1 | 0 [, min, max [, remove duplic [, tolerance [, plane | sphere] ] ] ] ] )

MapColorComp24 [Linear] (map list [, range1, range2, range3] )

MapColorComp24HistEq(map list, range1, range2, range3)

MapColorComp24HSI(map list)

MapColorComp [Linear] (map list, range1, range2, range3)

MapColorCompHistEq(map list, range1, range2, range3)

MapColorSep [aration] (rasmap,color)

MapCross(rasmap1, rasmap2, output cross table)

MapDemOptimization(rasmap, segmap, table, col_buffer_dist, col_smooth_drop, col_sharp_drop)

MapDemOptimization(rasmap, segmap, bufferdist, smoothdrop [, sharpdrop] )

MapDemOptimization(rasmap, polmap, poldrop)

MapDensify(rasmap, factor, interpolation method)

MapDistance(source rasmap [ , weight rasmap | 1 [ , output Thiessen rasmap] ] )

MapDrainageNetworkExtraction(flowacc_rasmap, threshold)

MapDrainageNetworkExtraction(flowacc_rasmap, threshold_rasmap, flowdir_rasmap)

MapDrainageNetworkOrdering(DEM_rasmap, flowdir_rasmap, drainnetwork_rasmap, minLength)

MapFillSinks(rasmap)

MapFilter(rasmap, filter | filter expression )

MapFlowAccumulation(flowdir_rasmap)

MapFlowDirection(rasmap, [slope | height] )

MapGlue( [georef.grf, ] rasmap1, rasmap2 [, rasmaps] [, newdomain] [, replace] )

MapHeckbert(map list, nr of colors)

MapInterpolContour(segmap, georef)

MapInterpolContour(rasmap)

MapIter[Prop](StartMap, IterExpr [, nr of iterations] )

MapKrigingAnisotropic(pntmap, georef, semivarmodel, limdist, angle, ratio [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

MapKrigingFromRaster(rasmap, semivarmodel [, limdist [, distance unit [, 1 | 0 [, min, max] ] ] ] )

MapKrigingOrdinary(pntmap, georef, semivarmodel [, plane | sphere] , limdist [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

MapKrigingSimple(pntmap, georef, semivarmodel [, plane | sphere] [, 1 | 0 [, remove duplic [, tolerance] ] ] )

MapKrigingUniversal(pntmap, georef, semivarmodel, limdist, 0, angle, ratio [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

MapKrigingUniversal(pntmap, georef, semivarmodel, limdist, trend type, 0, 1 [, 1 | 0 [, min, max [, remove duplic [, tolerance] ] ] ] )

MapMirrorRotate(rasmap, rotate type)

MapMovingAverage(pntmap, georef, weight function [, plane | sphere] )

MapMovingSurface(pntmap, georef, surface type, weight function [, plane | sphere] )

MapNearestPoint(pntmap, georef [, plane | sphere] )

MapOverlandFlowLength(drainorder_rasmap, flowdir_rasmap)

MapRasterizePoint(pntmap, georef, pointsize)

MapRasterizePoint[Count | Sum] (pntmap, georef, pointsize)

MapRasterizePolygon(polmap, georef)

MapRasterizeSegment(segmap, georef)

MapResample(rasmap, georef, resample method [, Patch | NoPatch] )

MapSegmentDensity(segmap [, "mask"] , georef)

MapSlicing(rasmap, domain group)

MapStretch[Linear](rasmap, range from, domain [,range to] )

MapStretchHistEq(rasmap, range from, intervals)

MapSubMap(rasmap, start row, start col [, nr rows, nr cols] [, newgeoref] )

MapSubMapCorners(rasmap, start row, start col, end row, end col [, newgeoref] )

MapSubMapCoords(rasmap, start X-coord, start Y-coord, end X-cooord, end Y-coord [, newgeoref] )

MapThiessen(source rasmap [, weight rasmap | 1 ], output Distance rasmap)

MapTopologicalOptimization(drainnetwork_rasmap, flowdir_rasmap, stream_segmap, output_modified_flowdir_rasmap)

MapTrendSurface(pntmap, georef, surface type)

MapVariableThresholdComputation(rasmap, filter_size, nr_classes, "UpperBounds_and_ThresholdVals", output_internal_relief_rasmap)

MapVariogramSurfacePnt(pntmap [, lagspacing [, nr of lags] ] )

MapVariogramSurfaceRas(rasmap [, nr of lags] )

Operations resulting in a polygon map:

PolygonMapAttribute(polmap, attribute column)

PolygonMapFromRas(rasmap [, 8 | 4 [, smooth | nosmooth] ] )

PolygonMapFromSegment(segmap [, "mask" [, labelpntmap | unique | domain [, auto ] ] ] )

PolygonMapFromSegmentNonTopo(segmap [, "mask" [, segments | labelpntmap | unique | domain ] ] )

PolygonMapGrid (coordsys, originX, originY, width, height, nrVertical, nrHorizontal, , , [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

PolygonMapGrid (coordsys, originX, originY, width, height, , , oppositeX, oppositeY, [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

PolygonMapGrid (coordsys, originX, originY, , , nrVertical, nrHorizontal, oppositeX, oppositeY, [directionX], [directionY], [table], [label], [order], [startcorner], [startnumber], [steps], [prefix], [postfix])

PolygonMapLabels(polmap, pntmap)

PolygonMapMask(polmap, "mask")

PolygonMapNumbering(polmap [, , prefix] )

PolygonMapTransform(polmap, targetcoordsys [, interval] )

Operations resulting in a segment map:

SegmentMapAttribute(segmap, attribute column)

SegmentMapDensifyCoords(segmap, distance)

SegmentMapFromRasAreaBnd(rasmap, 8 | 4, smooth | nosmooth, single | unique)

SegmentMapGlue(segmap1, "mask1", segmap2, "mask2" [, ... ] [, newdomain] )

SegmentMapGlue(minX, minY, maxX, maxY,segmap1, "mask1", segmap2, "mask2" [, ... ] [, newdomain] )

SegmentMapLabels(segmap, pntmap, set domain)

SegmentMapMask(segmap, "mask")

SegmentMapNumbering(segmap [, , prefix] )

SegmentMapPolBoundaries(polmap, "mask", single | unique)

SegmentMapSubMap(segmap, minX, minY, maxX, maxY)

SegmentMapSubMap(segmap, minLon, minLat, maxLon, maxLat)

SegmentMapTransform(segmap, targetcoordsys [, interval] )

SegmentMapTunneling(segmap, tunnel width, remove nodes)

Operations resulting in a point map:

PointMapAttribute(pntmap, attribute column)

PointMapFromRas(rasmap)

PointMapFromTable(table, XYcoordcolumn [, prefix | attribcolumn] )

PointMapFromTable(table, [Xcolumn, Ycolumn,] coordsys [, prefix | attribcolumn] )

PointMapGlue(pntmap1, "mask1", pntmap2, "mask2"[, ...] [, newdomain] )

PointMapGlue(minX, minY, maxX, maxY,pntmap1, "mask1", pntmap2, "mask2" [, ... ] [, newdomain] )

PointMapMask(pntmap, "mask")

PointMapNumbering(pntmap [, , prefix] )

PointMapPolLabels(polmap [, AlsoUndefs] )

PointMapSegCoords(segmap)

PointMapSegDist(segmap, distance)

PointMapSegNodes(segmap)

PointMapSubMap(pntmap, minX, minY, maxX, maxY)

PointMapSubMap(pntmap, minLon, minLat, maxLon, maxLat)

PointMapTransform(pntmap, targetcoordsys)

Operations resulting in a table:

TableAutoCorrSemiVar(rasmap [, max shift] )

TableChangeDomain(table, None | domainondisk)

TableChangeDomain(table, columnname [, avg | min | max | sum | last | no ] )

TableCross(rasmap1, rasmap2)

TableCross(rasmap1, rasmap2, output cross rasmap)

TableCross(rasmap1, rasmap2 [, output cross rasmap] [, IgnoreUndefs | IgnoreUndef1 | IgnoreUndef2 ] )

TableCrossVariogram(pntmap, columnA, columnB, lagspacing [, plane | sphere] )

TableGlue(table1, table2 [, more tables] [, vertical] )

TableGlue([newdomain,] table1, table2 [, more tables] )

TableHistogram(rasmap)

TableHistogramPnt(pntmap)

TableHistogramPol(polmap)

TableHistogramSeg(segmap)

TableHortonPlots(catch_extr_rasmap, catch_merge_rasmap, drainorder_rasmap)

TableNeighbourPol(polmap)

TablePattAnal(pntmap)

TableSegDir(segmap)

TableSpatCorr(pntmap [, lagspacing [, plane | sphere] ] )

TableSpatCorr(pntmap [, lagspacing [, direction [, tolerance [, bandwidth] ] ] ] )

TableTranspose(table, column domain [,value range] )

Operations on columns in a table, resulting in a column:

ColumnCalculate(expression)

ColumnCumulative(column [, sortcolumn] )

ColumnLeastSquaresFit(column1, column2, Function, n)

ColumnSemiVariogram(DistanceColumn, SemiVarModel)

Aggregation or join operations in tables, resulting in a column:

ColumnAggregateAvg(column [, group [, weight ] ] )

ColumnAggregateAvg(column [, , weight ] )

ColumnAggregateCnt(column [, group] )

ColumnAggregateMax(column [, group] )

ColumnAggregateMed(column [, group [, weight ] ] )

ColumnAggregateMed(column [, , weight ] )

ColumnAggregateMin(column [, group] )

ColumnAggregatePrd(column [, group [, weight ] ] )

ColumnAggregatePrd(column [, , weight ] )

ColumnAggregateStd(column [, group [, weight ] ] )

ColumnAggregateStd(column [, , weight ] )

ColumnAggregateSum(column [, group] )

ColumnJoin(table, column)

ColumnJoin(table, column, key1)

ColumnJoin2ndKey(table, column, key2)

ColumnJoin2ndKey(table, column, key1, key2)

ColumnJoin AggFunc (table, column, key2)

ColumnJoin AggFunc (table, column, key2, weight)

ColumnJoin AggFunc (table, column, key2, weight, key1)

Operations resulting in a map list:

MapListApplic(maplist, "MapCalcExpression containing ##")

MapListApplic(maplist, Map Operation(## [, parameters] ))

MapListApplic(maplist, MapAggregate AggFunc (##, groupfactor, group [, rowoffset, coloffset] [, newgeoref] ))

MapListApplic(maplist, MapAggregate AggFunc (##, groupfactor, nogroup [, rowoffset, coloffset] ))

MapListApplic(maplist, MapDensify(##, factor, interpol meth))

MapListApplic(maplist, MapFilter(##, filter name| filter expression))

MapListApplic(maplist, MapMirrorRotate(##, rotate type))

MapListApplic(maplist, MapResample(##, georef, resamp meth [, Patch | NoPatch] ))

MapListApplic(maplist, MapStretch[Linear](##, range from, domain))

MapListApplic(maplist, MapStretch[Linear](##, range from, domain, range to))

MapListApplic(maplist, MapStretchHistEq(##, range from, intervals))

MapListApplic(maplist, MapSubMap(##, start row, start col [, nr rows, nr cols] [, newgeoref] ))

MapListApplic(maplist, MapSubMapCorners(##, start row, start col, end row, end col [, newgeoref] ))

MapListApplic(maplist, MapSubMapCoords(##, start X-coord, start Y-coord, end X-coord, end Y-coord [, newgeoref] ))

MapListMatrixMultiply(maplist, FactorAnalysisMatrix, nr of output maps )

MapListMatrixMultiply(maplist, PrincipalComponentsMatrix, nr of output maps )

Operation resulting in a stereo pair:

StereoPairFromDTM(rasmap, DTM [, look angle [, reference height [, look modus [, resample modus] ] ] ] )

Operations resulting in a matrix:

MatrixFactorAnal(map list [, nr of output bands] )

MatrixPrincComp(map list [, nr of output bands] )

Special syntax to create attribute maps:

Map.column

Polygonmap.mpa.column

Segmentmap.mps.column

Pointmap.mpp.column

Special syntax to perform color separation:

Map.color

See also:

ILWIS expressions

ILWIS commands

ILWIS script language (syntax)

ILWIS as DDE server


Appendices : construction of expressions

Appendices

Construction of expressions

Expressions on the command line and in scripts may have additional parameters to the left of the definition symbol or the assignment symbol. Furthermore, on the command line, expressions may be followed by a semicolon. ILWIS expressions are not case-sensitive.

For more information on expressions of operations, see Appendices : ILWIS expressions.

For more information on MapCalc and TabCalc expressions, see Map and Table Calculation : General syntax.

Expressions cannot be performed if the output object is currently open or is marked read only.

In the expressions and explanation below:

- | Courier | is used for obliged parts in expressions;
- | Italics | is used for parameters with special requirements;
- | 'domain' | an existing domain; the domain will be used for the output object;
- | a vertical bar | represents a choice;
- | anything in square brackets [ ] represents an optional parameter.

1. Expressions on the command line without semicolon

[$] [objtype] OUTOBJ [{domvr}] = expression

[$] [objtype] OUTOBJ [{domvr}] := expression

  • First, it is checked whether the output object already exists. If so, a question is asked whether to overwrite the object or not. If you answer the question with 'No', no new object is created.
  • When the output object is a raster map, then a Raster Map Definition dialog box appears. In this dialog box, you can select or create a domain for the output map, in case of a value domain you can specify the value range and precision for the output map, and a description for the output map. When the expression does not contain any maps but does contain predefined variables %C, %L , then you also need to specify a geroeference.
  • When the expression starts with a $ sign, the output object will directly be calculated and displayed in a window.

2. Expressions on the command line with semicolon

OUTOBJ [{domvr}] = expression;

OUTOBJ [{domvr}] := expression;

There is no check on existing output objects; an existing output object is simply overwritten.

You can specify a domain and value range for the output map in a pair of curly brackets after the output object name.

These type of expressions are executed by the script processor.

3. Expressions in scripts

OUTOBJ [{domvr}] = expression

OUTOBJ [{domvr}] := expression

There is no check on existing output objects; existing output objects are simply overwritten.

You can specify a domain and value range for the output map in a pair of curly brackets after the output object name.

There numerous script commands to handle object properties (set domain, set value range, set georef, break dependencies, calc, release disk space, etc.). For more information, see ILWIS script language.

Explanation of syntax:

$ | to directly calculate and display the output object in a new window
objtype | to specify the output object type as: mpl | map | pol | seg | pnt | tbl | mat
OUTOBJ[.ext] | the name of the output object with optional extension
{domvr} | to specify a domain and value range for an output map as: {dom=domain} | {dom=domain;vr=valuerange} | {vr=valuerange; dom=domain} | {vr=valuerange}
valuerange | as min:max:prec | min:max | ::prec
= | to create a dependent output object
:= | to create an editable object
expression | expression of an operation or a MapCalc expression.

Input objects:

  • For each part of an expression which requires a raster map as input, you can also use:
    • if the raster map is linked to an attribute table, you can directly access attributes:
      map.column
    • if you have a table with the same domain as the raster map, you can access attributes in the table as:
      map.table.col
      map.table.ext.col
      When you do not specify a table name, it is assumed that the attribute table is linked to the raster map.
      When you do not specify an extension for the table, it is assumed that the table has extension .TBT.
  • For each part of an expression which requires a table as input, you can also specify:
    table.ext
    where table.ext is a table name and its extension. Extension .TBT can be omitted when the table has extension .TBT.
  • For each part of an expression which requires a column as input, you can also use:
    table.col
    table.ext.col
    in which table.ext is a table name and its extension and col is a column name in that table. Extension .TBT can be omitted when the table has extension .TBT.
  • For each part of an expression which requires a map list, you can also use:
    mlist(rasmap1, rasmap2, rasmap3, ...)

Domain and value range:

In MapCalc and TabCalc expressions, and in expressions for operations, you can optionally specify for the output map: an existing domain and/or the value range of and/or the precision for the output map or column by using a pair of curly brackets between the name of the ouput object and the definition or assignment symbol.

Examples:

map1{dom=domainname;vr=min:max:precision} = expression

map2{dom=domainname;vr=min:max} = expression

map3{dom=domainname;vr=::precision} = expression

map4{dom=domainname} = expression

map5{vr=min:max:precision;dom=domainname} = expression

map6{vr=min:max;dom=domainname} = expression

map7{vr=min:max:precision} = expression

map8{vr=::precision} = expression

The same applies for columns.

Note:

ILWIS uses its internal defaults to determine whether the internal calculation will be performed in integers or in reals.
In general it can be said, that:

  • when the input consists of integers, the internal calculation will also be performed in integers;
  • when the input consists of reals, the internal calculation will also be performed in reals.

Any user specification of the desired output domain and value range can only limit the results from the internal calculation. It is thus not possible, that when all input is in integers, to obtain output in reals by using a precision smaller than 1, for instance by using OUT{dom=Value;vr=0:10000:0.001} = ....


Appendices : ILWIS script language (syntax)

Appendices

ILWIS script language (syntax)

A script is a sequenced list of ILWIS commands and expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline.

This topic consists of a number of sections:

1. General information

2. Expressions for calculations and operations:

2a. MapCalc

2b. TabCalc

2c. Operations

3. Additional script commands

3a. Remarks etc.

3b. Opening objects

3c. Data management

3d. Properties of objects

3e. Creating objects

3f. Creating/deleting pyramid layers

3g. Converting domains

3h. Other

4. Import expressions:

4a. ILWIS 1.4 Raster Import

4b. ILWIS Map Import

ILWIS ASTER Import

4c. ILWIS General Raster Import

4d. ILWIS Table Import

5. Export expressions

5a. ILWIS Export

1. General information

Each line in a script is a statement that is executed via the ILWIS command line of the Main window. Via a script, you can for instance handle some necessary object management (e.g. copy or delete), display of objects (open or show), and the creation and calculation of data objects. All map and table calculations, and all ILWIS expressions to perform operations may be used. Furthermore, you can call other scripts and start other Windows applications from within a script.

When you run a script, no dialog boxes appear and no questions are asked; all lines in the script are simply performed. Error messages appear in case syntax errors are detected in a MapCalc expression, in a TabCalc expression, in an expression for another operation, or in a script command. Further error messages appear when a script command is not recognized, or when required objects are not found. A script line is ignored when the syntax is correct and necessary objects are found but the command cannot be performed otherwise (e.g. creating objects that already exist, missing or wrong extensions during a copy).

To use long directory names and/or long file names, the object name including a possible path should be enclosed in single quotes. For more information, see How to use long object names.

Parameters in scripts:

A script can use parameters. Parameters in a script replace (parts of) object names, operations, etc. Parameters in scripts work as DOS replaceable parameters in DOS batch files, and must be written on the Script Tab in the script editor as %1, %2, %3, up to %9. For more information, see How to use parameters in scripts.

  • On the Script tab, you can type your script commands and expressions. Optionally, you can use parameters %1 until %9.
  • On the Parameters tab, you can assign names to parameters. Parameter names will be visible in the Run Script dialog box when you run the script.
  • On the Default Values tab, you can fill out default objects for your parameters so that you can test the script and/or wish to have defaults in the Run Script dialog box.

To run a script:

In How to run scripts you will find procedures to run scripts, e.g. run script with or without parameters, run script from the command line, etc.

Example:

In How to use parameters in scripts two script examples are given. A more elaborated example of a script to create slope maps in percentages and in degrees is presented in Map and Table calculation : creating and running scripts.

Note:

Single text lines of a script, i.e. the commands and expressions described below, can also be typed on the command line of the Main window or the Table window. To avoid any dialog boxes when typing on the command line, you can use a semicolon ; at the end of a command line expression. In a script, semicolons at the end of a line are not required.

2. Expressions for calculations and other operations

Most text lines in a script will consist of MapCalc and TabCalc expressions and expressions of operations that you can also type on the command line of the Main window or on the command line of a Table window. You should be familiar with these expressions.

  • For an overview of MapCalc and TabCalc operators and functions, refer to Map and Table Calculation : Alphabetical overview of operators and functions or Map and Table Calculation : Functional overview of operators and functions.
  • For an overview of expressions for other operations, refer to Appendices : ILWIS expressions.
  • For more information on the creating of expressions, see Appendices : construction of expressions.

2a. MapCalc

For MapCalc expressions, no special syntax is required: you can simply type the MapCalc expression as you would type it on the command line of the Main window.

For example, to sum maps map1 and map2 to create map3, type in the script:

map3=map1+map2

By this expression, map3 is defined but not yet calculated. You can continue defining other (intermediate) maps, but at the end of a series of calculations, it is advised to calculate the last output map of these calculations. Intermediate maps will be calculated automatically when the final map is calculated.

To force the calculation of a final map of a series of calculations, use:

calc mapname.mpr

The script will continue with the next line, only after the calculation has finished.

Mind: For the calc command in a script, the extension of the object to be calculated is required.

2b. TabCalc

For TabCalc expressions, it is necessary that you type tabcalc tablename in front of the tabcalc expression. For example, to sum columns col1 and col2 in table MyTable and to store the results in column col3, type in the script:

tabcalc MyTable col3=col1+col2

For the tabcalc command in a script and when calculating with tables, the extension .TBT is not required. Only to calculate with columns in table-like objects which can be opened as a table, e.g. histograms, point maps, class representations (see also How to open objects as a table), an extension is required. To calculate with the histogram of raster map MyMap, you can type e.g.:

tabcalc MyMap.his a=b+c

Columns of the ColumnCalculate type, i.e. result of normal column calculations, will directly both be defined and calculated. There is no thus need to use the calc command separately as with MapCalc.

However, you must force the calculation of columns which are not of the ColumnCalculate type, e.g. result of an aggregation or a join, when you wish to make further calculations on the aggregation or join results. This includes for instance columns of the types ColumnAggregate, ColumnJoin, and ColumnLeastSquaresFit. To force the calculation of such columns, you can use:

calc tablename.ext | In table tablename.ext, (re)calculate all columns.
calccol tablename.ext.columnname
 | In table tablename.ext, (re)calculate column columnname.

The script will continue with the next line, only after the calculation has finished.

Mind: For the calc and the calccol commands in a script, the extension of the object to be calculated is required.

Finally, when you wish to perform a series of calculations in one table, it is advised to use the following script commands:

opentbl tablename.ext | Keep the table tablename.ext open; first line in the script before a series of TabCalc expressions on one table.
closetbl tablename.ext | Close the open table tablename.ext; last line in the script after a series of TabCalc expressions on one table.

2c. ILWIS operations

To perform ILWIS operations, you can use any ILWIS expression as described in Appendices : ILWIS expressions. To cross for example two maps (map1 and map2) and obtain a cross table (m1m2cr), type in the script:

m1m2cr = TableCross(map1,map2)

calc m1m2cr.tbt

For operations which result in a map, it is not necessary to force the calculation of temporary output objects. It is sufficient to force the calculation of the last output object in a series of calculations and operations, like in MapCalc.

However, for operations which result in a table, and when you wish to calculate with the columns in that table later on in the script, it is strongly recommended to force the calculation of the output table immediately after the operation. Some frequently used operations which result in a table are for instance: TableCross and all TableHistogram operations. To calculate for instance the histogram of raster map band1 and then do some further calculations in the histogram, use:

band1 = TableHistogram(band1)

calc band1.his

tabcalc band1.his col3=iff(area<500,0,area)

In general, it is not necessary to specify the extensions of input or output objects of operations, although the ILWIS.LOG file and the command line may suggest so. Only when an operation can use multiple types of input objects for a certain parameter, the extension of the desired object must be specified. Furthermore, it is not required to specify domain type and/or value range for every output object: the script will use defaults as in the Raster Map Definition dialog box and in any dialog box of an operation.

3. Additonal script commands

A number of additional script commands is available for data management, to show objects, handle object properties, edit object properties, create objects, calling other scripts, etc.

In many of the following script commands, object names and extensions of their object definition files must be specified (see also Appendices : object definition files). In some script commands, you are allowed to use wildcards * and ? to specify object names and their extensions (object.ext and table.ext.col).

When using a script command that works on a column in a table (table.ext.col), you can ignore the extension when the table has extension .TBT. Table extensions only need to be specified when the column is stored in a histogram, a point map, a class representation, a georeference tiepoints, etc. For more information, see How to open objects as a table.

Further, in the list below, optional parameters of script commands are shown between square brackets. Omit these square brackets when writing a script. Square brackets are only recognized for TabCalc expressions to indicate a specific record in a table.

3a. Remarks, etc.

Remarks/comments, messages and pause:

rem This is a remark | All text on this line after rem is ignored by the script. In this manner, you can document your script expressions.
// This is a remark | All text on this line after // is ignored by the script. In this manner, you can document your script expressions.
begincomment this line is comment this line is comment endcomment | All lines of text between the commands begincomment and endcomment are ignored by the script. In this manner, you can document your script expressions and you can temporarily exclude parts of your script.
message Text in message box on my screen
 | Obtain a message box on the screen with any text; the text can be as long as you like. After pressing the OK button in the message box, the script will continue. In this manner, you can display texts on the screen during demos, etc.
pause seconds | Stop the script for a certain amount of time (seconds). You can use this command for instance when you want to show multiple maps and give the user time to view each one of them.

3b. Opening objects

Open/Show an object:

show object.ext | Open/show object object.ext.
open object.ext | Open/show object object.ext.
open object.ext -noask | Open/show object object.ext with its default display options, i.e. a Display Options dialog box will be skipped. You can use this command for instance to quickly show a map on the screen.
anaglyph stereopair.stp -noask
 | Open/show a stereo pair stereopair.stp as an anaglyph with its default display options, i.e. the anaglyph's Display Options dialog box will be skipped.
setnextwindowrect X, Y, width, height
 | Specify the position and size of the next window; the map or table that is displayed next will be displayed in that window. X and Y specify the top left position of the next window and are expressed in screen pixels measured from the top left of your screen; Width and Height specify the size of the next window and are also expressed in screen pixels. Parameters may be left blank, then ILWIS will decide on defaults. Syntax primarily useable in scripts and DDE.
closeall | Close all ILWIS windows except the ILWIS Main window. You can use this command for instance to close any map and/or table windows which are displayed on the screen.

To open objects with possible user interaction, see also Appendices : ILWIS commands.

Open a pixel info window showing maps, map lists and/or coordinate systems:

pixelinfo object.ext [object.ext [object.ext [...]]]]

Open a pixel information window and show one or more objects in this pixel info window specified as object.ext. For object.ext, you can use raster maps (.mpr), polygon maps (.mpa), segment maps (.mps) and point maps (.mpp), map lists (.mpl), and/or coordinate systems (.csy). Furthermore, attribute tables linked to maps or to the domain of a map will be automatically added to the pixel info window.

3c. Data management

Change directory etc.:

cd path | Change directory to directory path.
cd d:path | Change drive to drive d: and change directory to directory path.
md [drive:]path | Make directory path. Optionally make directory path on drive drive.
mkdir [drive:]path | Make directory path. Optionally make directory on path on drive drive.
rd [drive:]path | Remove directory path. Optionally remove directory path from drive drive.
rmdir [drive:]path | Remove directory path. Optionally remove directory path from drive drive.
rd [drive:]path -force | Remove directory path while deleting all files in that directory. Optionally remove directory path and all files in that directory from drive drive.
rmdir [drive:]path -force | Remove directory path while deleting all files in that directory. Optionally remove directory path and all files in that directory from drive drive.
opendir [drive:]path | Open a new Catalog and show the contents of directory path; optionally, you can specify the drive drive: as well.

An error message appears when changing to a directory that does not exist, or when removing a directory that does not exist. The script line is ignored, when when making a directory that already exists, or when deleting files that do not exist.

Copy and delete:

copy object.ext objname | Copy object object.ext to new name objname.
copy object.ext objname -breakdep
 | Copy object object.ext to new name objname while breaking the dependency links of object.ext.
copy object.ext path | Copy object object.ext to existing directory path. Wildcards are allowed.
copy object.ext path -breakdep
 | Copy object object.ext to existing directory path while breaking the dependencies of object.ext. Wildcards are allowed.
copyfile file.ext filename.ext | Copy file file.ext to new file filename.ext.
copyfile file.ext path | Copy file file.ext to existing directory path. Wildcards are allowed.

When copying objects (or files), you cannot copy objects to another directory and give the object another name at the same time. When copying an object to another directory, existing objects in that directory are not overwritten. In the same way, when copying an object in the current directory to an object name which already exists, the script line is ignored.

del object.ext | Delete object object.ext.Wildcards are allowed. Objects that are still used by other objects will not be deleted. Also objects that are used by object.ext will not be deleted. However, when deleting a domain, the representation(s) that use this domain are not taken into account; thus the domain will be deleted while the representations will remain (and vice versa).
del object.ext -force | Delete object object.ext even when this object is still used by other objects. This command also tries to delete object object.ext which is not completely valid (i.e. an error occurs when the object is opened). Wildcards are allowed. To remove the contents of a complete directory, use del *.* -force.
delcol table.ext.column | Delete column table.ext.column.Columns which are table-owned will not be deleted.
delfile file.ext | Delete file file.ext as if this file was deleted in DOS or the File Manager. Wildcards are allowed.

Read-only objects will never be deleted. A del command is ignored when objects, columns or files do not exist.

3d. Properties of objects

Handling properties of dependent objects:

update object.ext | Make the dependent map or table object.ext up-to-date. Wildcards are allowed.
updatecol table.ext.column | Make dependent column table.ext.column up-to-date.
breakdep object.ext | Break the dependency links of dependent map or table object.ext. Wildcards are allowed.
breakdep object.ext -force | Tries to break the dependency links of dependent map object.ext which is not completely valid (i.e. an error occurs when the object is opened). Wildcards are allowed.
breakdepcol table.ext.column | Break the dependency links of dependent column column in table table.ext.
reldisksp object.ext | Delete the data file(s) of dependent object object.ext.
calc object.ext | Recalculate the data files of dependent map or table object.ext. Wildcards are allowed.
calccol table.ext.col | Recalculate dependent column table.ext.col.
editdef rasmap.mpr | For a dependent raster map rasmap.mpr created with a MapCalc formula: open the map's Raster Map Definition dialog box. You can manually change the MapCalc expression of the map and then recalculate the raster map with a calc command (see above). This command is the same as clicking the Edit Definition button in a Raster Map Property sheet.
setdescr object.ext Any text | Change the description of object object.ext to Any text.

For more information, see Basic concepts : properties of objects.

Editing properties of editable source objects (advanced):

changedom object.ext domname [valuerange]

Change the domain of raster, polygon, segment or point map object.ext to existing domain domname, while converting the class names, IDs, or values of the original domain into new domain domname.

Optionally, in case of a value domain domname, set the value range of the object to valuerange. Specify the value range as min:max:precision, as min:max, or as ::precision.

This is a rather safe way to change the domain of a map into another domain or to change the precision of a map.

setdom object.ext domname [valuerange] [-force]

Set the domain of object.ext to domname. Wildcards are allowed for object.ext.

Optionally, in case of a value domain domname, set the value range of the object to valuerange. Specify the value range as min:max:precision, as min:max, or as ::precision.

When you also specify the -force flag, no checks are performed.

setvr object.ext valuerange

Set the value range of object.ext to valuerange. Wildcards are allowed for object.ext. Specify the value range as min:max:precision, as min:max, or as ::precision.

setgrf rasmap georef

Set the georeference of raster map rasmap to georef. Wildcards are allowed for rasmap.

setcsy map.ext coordsys

Set the coordinate system of point, segment or polygon map map.ext to coordsys. Wildcards are allowed for map.ext.

setcsy georef coordsys

Set the coordinate system of georeference georef to coordsys. Wildcards are allowed for georef.

setreadonly object.ext

Mark object object.ext as read only. Read only objects cannot be edited or deleted. Wildcards are allowed.

setreadwrite object.ext

Remove the read only flag for object object.ext: the objects are editable and deleteable. Wildcards are allowed.

setatttable map.ext atttable

Set the attribute table of class or ID map map.ext to atttable.

Wildcards are allowed for map.ext.

setatttable map.ext

Remove the link between class or ID map map.ext and its attribute table. Wildcards are allowed.

setdescr object.ext Any text

Change the description of object object.ext to Any text.

The setdom, setvr, setgrf, setscy, setatttable and setdescr commands are only performed on objects that are not read only.

3e. Creating objects

Creating (empty) maps and tables:

crmap map georef domname | Create raster map map with existing georeference georef and existing domain domname.
crsegmap map crdsys [MinX MinY MaxX MaxY] domname
 | Create segment map with existing coordinate system crdsys and existing domain domname. Optionally, you can specify the coordinate boundaries of the segment map as MinX MinY MaxX MaxY.
crpntmap map crdsys [MinX MinY MaxX MaxY] domname
 | Create point map map with existing coordinate system crdsys and existing domain domname. Optionally, you can specify the coordinate boundaries of the point map as MinX MinY MaxX MaxY.
crtbl table domname | Create table table using existing Class or ID domain domname.
crtbl table nrrecs | Create table table using domain None and with a number of records specified as nrrecs.
crmaplist maplist rasmap1.mpr rasmap2.mpr [rasmap3.mpr [...]]
 | Create map list maplist that should contain a number of raster maps specified as rasmap1.mpr rasmap2.mpr rasmap3.mpr etc. All raster maps must use the same domain and the same georeference.

Creating domains:

crdom domname [-type=class|ID|group] -items=number [-prefix=prefix]

Create domain domname with a number of items specified as -items=number.

Optionally, specify:

-type=class to create a class domain, or

-type=ID to create an ID domain, or

-type=Group to create a group domain.

If parameter -type is omitted, then a class domain is created.

Optionally specify:

-prefix=prefix to obtain classes or IDs with a certain prefix.

If parameter -prefix is omitted when creating a class domain, classes will obtain prefix class, thus class 1, class 2, etc.

If parameter -prefix is omitted when creating an ID domain, the IDs will obtain prefix ID, thus ID 1, ID 2, etc.

crdom domname -type=value -min=value -max=value [-prec=value]

Create value domain domname with a specified value range between -min=value and -max=value.

Optionally, specify a precision for the value domain as -prec=value.

When this parameter is not specified, precision 1 will be used.

Examples:
crdom domname -type=class -items=10 -prefix=cl
 | Create class domain domname and add ten items to this domain with class names "cl 1", "cl 2", ... "cl 10".
crdom domname -type=id -items=100 -prefix=prov
 | Create ID domain domname and add hundred items to this domain with IDs "prov 1", "prov 2", ... "prov 100".
crdom domname -items=0 | Create class domain domname without any items. You can add items with the additemtodomain command.
crdom domname -type=value -min=100 -max=200
 | Create value domain domname with a value range between 100 and 200 (precision is 1).
crdom domname -type=value -min=10 -max=20 -prec=0.01
 | Create value domain domname with a value range between 10.00 and 20.00 and a precision of 0.01.

The crdom command is ignored when domain domname already exists.

Editing a class, ID or group domain:

additemtodomain domname class [classcode]
 | Add item class, optionally with code classcode, to class or ID domain domname. Class names which contain spaces must be enclosed by double quotes.
additemtodomaingroup domname upperlimit class [classcode]
 | Add an item to group domain domname. The item is defined by an upperlimit (a real value), a class name class and, optionally, a classcode.
mergedom domname1 domname2
 | Merge the items of class or ID domain domname2 into class or ID domain domname1.

Create representations:

crrpr rprname domname

Create representation rprname for class or value domain domname.

The crrpr command is ignored when representation rprname already exists.

Create georeference corners:

crgrf grfname nrrows nrcols [-crdsys=coordsysname] -lowleft=(minX,minY) -upright=(maxX,maxY) | -pixsize=value [-centercorners+]

Create georeference corners grfname with:

  • the number of rows as specified by nrrows,
  • the number of columns as specified by nrcols, and
  • the coordinates for the lower left corner as specified by -lowleft=(minX,minY).

Specify the coordinates for the upper right corner as:

  • -upright=(maxX, maxY) or as
  • -pixsize=value.

Mind: in a script, you are not allowed to use spaces within a coordinate expression (X,Y).

Optionally, a coordinate system coordsysname can be specified by using parameter -crdsys=coordsysname, otherwise the system coordinate system Unknown will be used.

Furthermore, you can optionally add coordinates to the centers of the corner pixels by using parameter -centercorners+. When this parameter is not used, coordinates will be added to the corners of the corner pixels.

Examples:
crgrf grfname 500 1000 -crdsys=cs -lowleft=(0,0) -upright=(10000,5000)
 | Create georeference corners grfname with 500 rows and 1000 columns and using coordinate system cs. The coordinate boundaries are defined by the lower left coordinate (0,0) and the upper right coordinate (10000,5000).
crgrf grfname 500 1000 -crdsys=cs -lowleft=(0,0) -pixsize=10
 | Create georeference corners grfname with 500 rows and 1000 columns and using coordinate system cs. The georeference has as lower left coordinate (0,0) and as pixel size 10 m.

Mind: In a script, you are NOT allowed to use spaces within a coordinate expression (X,Y).

The crgrf command is ignored when georeference grfname already exists.

Creating a two-dimensional table:

cr2dim 2dimtablename indomname1 indomname2 outdomname3 [valuerange]

Create two-dimensional table 2dimtablename

  • using existing input domains indomname1 and indomname2 and
  • using existing domain outdomname3 as the domain of the fields in the table.

If outdomname3 is a value domain, you can optionally specify the value range of this domain as min:max or as min:max:precision.

3f. Creating/deleting pyramid layers

Creating pyramid layers for one or more raster maps:

createpyramidlayers | Create pyramid layers (i.e. .MPY# files) for all raster maps in the current directory.
createpyramidlayers *.mpr
 | Create pyramid layers for all raster maps in the current directory; wildcards are allowed; extension .mpr is obligatory.
createpyramidlayers rasmap1.mpr rasmap2.mpr
 | Create pyramid layers for raster maps rasmap1 and rasmap2, separate multiple raster maps by a space; wildcards are allowed; the extension .mpr is obligatory.
createpyramidlayers maplist1.mpl maplist2.mpl
 | Create pyramid layers for the raster maps in map lists maplist1 and maplist2, separate multiple map lists by a space; wildcards are allowed; the extension .mpl is obligatory.

Pyramid layers (stored in an .MPY# file) speed up the display of large raster maps.

Deleting pyramid layers:

deletepyramidlayers | Delete the pyramid layers (.i.e. .MPY# files) of all raster maps in the current directory.
deletepyramidlayers *.mpr
 | Delete the pyramid layers of all raster maps in the current directory; wildcards are allowed; extension *.mpr is obligatory.
deletepyramidlayers rasmap1.mpr rasmap2.mpr
 | Delete the pyramid layers of raster maps rasmap1 and rasmap2; separate multiple raster maps by a space; the extension .mpr is obligatory.

3g. Converting domains

Converting domains:

domclasstoid domname[.ext]
 | Convert class domain domname into an ID domain.
domidtoclass domname[.ext]
 | Convert ID domain domname into a class domain.
dompictoclass domname[.ext]
 | Convert Picture domain domname.ext into a class domain.

These are rather safe ways to convert one domain into another. When the domain you want to convert is an internal domain which is stored in a map, you need to specify the extension of the map after the domain name.

3h. Other

Calling other scripts:

run script2

Run another script named script2.

  • When script2 contains no parameters, script2 will be directly run.
  • When script2 does contain parameters that are defined on the Parameters tab in the script editor, then the Run Script dialog box will appear, the user should select a valid map name etc. in this dialog box.
  • When script2 contains parameters that are defined on the Parameters tab and for which default 'values' have been provided on the Default Values tab in the script editor, the Run Script dialog box will appear with the default objects or values already filled out.

run script2 parameter parameter

Run another script name script2; fill out parameters (map names including extension, etc.). The first parameter specified will be used for %1 in the script, the second for %2, etc.

Tip: When you wish to use long object names as parameters for a called script, then you must use single quotes around the long object names, excluding the .ext extensions. For more information, see How to use parameters in scripts or How to use long object names.

If script2 is not found, an error message appears.

Start other Windows applications:

!expression

!expression optional_parameter(s)

Starts any Windows application, a batch file, etc. and will wait until the application has finished, i.e. the script will wait until the external application has been closed again.

  • Type the command directly after the exclamation mark (no spaces allowed).
  • Programs with the following extensions can always be started: .exe, .com, .bat.
  • You can also use Windows shortcuts (.lnk) to Windows applications, provided that the shortcut points to the correct location of the application.
  • Furthermore, files of a registered file type can be opened with the application for which the file type has been registered (Open command). Examples of possible registered file types on your computer may be: .doc, .txt, .pdf, .xls, .ppt, .pps, .gif, .bmp, etc.
  • If no extension is specified, .exe is assumed.
  • Full paths and relative paths (relative to the currently active folder/currently active Catalog) may be used.
  • If no path is specified for a program (.exe, .com, .bat), the following locations will be searched: the currently active ILWIS working folder/Catalog, the ILWIS folder, the Windows folder, the Windows\System folder, and the folders specified in the PATH environment variable.
  • If no path is specified for a shortcut (.lnk) or for other files (e.g. .doc, .xls, .gif etc.), only the currently active ILWIS working folder, i.e. the currently active Catalog, will be searched.
  • Long file names (e.g. programs, paths or file names containing spaces) must be quoted within single quotes, including possible extensions.
  • Optionally, one or more parameters may be passed, separated by spaces. Parameters that contain spaces themselves, must again be quoted within single quotes, including possible extensions.

Examples:

  • to start NotePad, type: !NotePad
  • To start Notepad via a shortcut to Notepad, when the shortcut is located in D:\My Folder, type:
    !!'D:\My Folder\shortcut to notepad.exe.lnk'
  • to open a Word document called Document of Interest that is located in D:\My Documents, use:
    !'D:\My Documents\Document of Interest.doc'
  • to start a program called My Program.exe that is located in C:\Program Files\Any Folder\, use:
    !'C:\Program Files\Any Folder\My Program.exe'
  • to start a program called My Program.exe located in C:\Program Files\Any Folder\, and to pass two parameters for this program, use:
    !'C:\Program Files\Any Folder\My Program.exe' 'D:\this file.gif' 'D:\other file.tif'

!!expression

!!expression optional_parameter(s)

Same as !expression, but enables a continuation of ILWIS while the external application is running.

4. Import expressions

4a. ILWIS 1.4 Raster Import

import14 file14.ext [outputdir]

Batch-wise import of file14.ext in the current directory, or optionally to the specified output directory outputdir.

Wildcards are allowed.

The ILWIS object(s) keep the name(s) of the 1.4 file(s); new extensions are created during import. Domains, representations, georeferences etc. are created using defaults.

import14 file14.ext [ilwis3name|outputdir] [-dmt=domtype] [-dom=domainname] [-grf=georef]

Import an ILWIS 1.4 file file14.ext according to your wishes.

All parameters shown above between square brackets can but do not have to be used.

ilwis3name|outputdir

Either specify an ILWIS 3 object name as ilwis3name for the 1.4 file to be imported, or specify an output directory as outputdir in which the imported object should appear.

If this parameter is omitted, then file14.ext is imported in the current directory and the ILWIS 3 object(s) keep the name(s) of the 1.4 file(s).

-dmt=domtype

Specify the domain type domtype for the output object as:

Picture, Image, Value, Class, or ID.

If you specify domain type Class or ID, you also have to use the -dom option to specify the name of that domain.

-dom=domname

If you specified domain type Class or ID in the previous option, then also specify a new or existing domname for the output object.

-grf=georef

When importing a raster map, you can specify the name of a new or existing georeference georef.

Tip: For more information on the domain type to choose, see How to import ILWIS 1.4 raster data.

Example:

import14 orotm4.mpd -dmt=image -grf=tmgeoref

Imports 1.4 raster map Orotm4 as an image using existing georeference tiepoints tmgeoref.

4b. ILWIS Map Import

import format(file.ext, ilwobj)

Import a data file file.ext into an ILWIS object with the name ilwobj.

The extension of the input file file.ext must be specified.

The extension for the output ILWIS object(s) ilwobj will be automatically created during import.

For format, you have to specify one of the following formats:

arcinfonas | ascii | bmp | bna | dbase | dxf | e00 | erdas | gartrip | gif | ida | idrisi | infocam | lin | pcx | shape | smt | tiff .

arcinfonas

Import an Arc/Info non-compressed ASCII raster file (.NAS or .ASC) to an ILWIS raster map.

ascii

Import an ILWIS 1.x ASCII raster file (.ASC) to an ILWIS raster map.

bmp

Import a Windows bitmap (.BMP) to an ILWIS raster map.

bna

Import an Atlas vector data file (.BNA) to an ILWIS point and/or segment and/or polygon map.

dxf

Import an AutoCad .DXF file to an ILWIS point and/or segment and/or polygon map.

e00

Import an Arc/Info file in interchange format (.E00) to an ILWIS raster and/or polygon and/or segment and/or point map. When attributes are available, also an ILWIS table will be created.

Note: Optionally, you can specify a third parameter CreatePol within the ( ) brackets to directly polygonize imported segments and points. The syntax then reads:

import e00(file.ext, ilwobj, CreatePol)

erdas

Import an Erdas .GIS file into an ILWIS raster map; or import an Erdas .LAN file into a single ILWIS raster map or into an ILWIS map list containing multiple raster maps (bands).

gartrip

Import a GARtrip file (extension .TXT or other extension) to an ILWIS vector map.

  • When the first line of the input file contains the word 'Waypoints', an ILWIS point map and an attribute table will be created.
  • When the first line of the input file contains the word 'Track', an ILWIS point map and an attribute table will be created, and furthermore an ILWIS segment map will be created.
  • When a UTM projection is used, also an ILWIS coordinate system (with UTM projection and WGS84 datum) will be created.

Note: Optionally, you can specify a third parameter height_offset, between the ( ) brackets, to correct Altitude values in an 'Alt' column. A height_offset of 20 will increase all values in the output 'Alt' column with 20. The syntax then reads:

import gartrip(file.ext, ilwobj, 20)

gif

Import a gif image (.GIF) to an ILWIS raster map.

ida

Import an IDA image (.IMG) to an ILWIS raster map.

idrisi

Import an Idrisi image (.DOC). to an ILWIS raster map.

infocam

Import an Infocam sequential file (.SEQ) to an ILWIS point and/or segment and/or polygon map. When attributes are available, also an ILWIS table will be created.

lin

Import an Arc/Info file created with the Ungenerate command (.LIN and .PTS) to an ILWIS segment and/or point map. When the extension of the Arc/Info file is .PTS, you will obtain a point map, otherwise you will obtain a segment map.

pcx

Import a PaintBrush image (.PCX) to an ILWIS raster map.

shape

Import Arc/View Shape files (.SHP, .SHX, .DBF) to an ILWIS point and/or segment and/or polygon map. Furthermore, an ILWIS table will be created.

smt

Import an ILWIS 1.x ASCII vector file (.SMT) to an ILWIS segment map.

tiff

Import a Tiff image (.TIF) to an ILWIS raster map. When the Tiff image contains GeoTiff information, a georeference will be created for the imported map; furthermore, it is attempted to create a coordinate system (you can find projection information in the description of the coordinate system).

Tip:

For more information on Import through ILWIS Map Import, see also the Import Map dialog box, or the import.def file in your ILWIS directory.

Examples:
import erdas(soil.gis, ilwsoil)
 | Imports the Erdas file SOIL.GIS into ILWIS; a raster map with the name ILWSOIL.MPR will be created. The import will also look for the availability of an Erdas file called SOIL.TRL that may accompany the .GIS file.
import e00(parcel.e00, ilwparc)
 | Imports the Arc/Info interchange file PARCEL.E00 into ILWIS; a segment map, a polygon map, a raster map and a point map can be created (all named ILWPARC), where the vector maps can also be linked to attribute tables.

ILWIS ASTER Import

Importing ASTER level 1A and/or level 1B images through ILWIS Map Import always results in an ILWIS object collection. Opening an ASTER level 1A image in ILWIS results in an object collection existing of 15 raster maps (4 VNIR bands, 6 SWIR bands and 5 TIR bands), 15 georeferences (one for each band) and 1 coordinate system. Opening an ASTER level 1B image results in an object collection consisting of 15 raster maps, 4 georeferences (VNIR, VNIR3B, SWIR and TIR) and 1 coordinate system. The name of the output object collection is always the same as the name of the imported external file.

open file.ext [-import] [-output=path\] [-noshow] [-usednvalues]

open file.ext [-import] [-output=ilwobj] [-noshow] [-usednvalues]

open file.ext [-import] [-output=path\ilwobj] [-noshow] [-usednvalues]

open

Imports a file.

file.ext

Name of the external ASTER level 1A or ASTER level 1B file. The file may or may not have an extension.

-import

Optional parameter.

If specified: data file(s) will be translated into ILWIS data files.

If omitted: data file(s) will be used in their original format (UseAs).

Service objects like georeferences and coordinate systems will always be imported into the ILWIS format.

-output=path\

Optional parameter.

If specified: results will be stored in the specified directory path\; output object(s) IN the object collection will obtain the same name as the output object collection.

If omitted: results will be stored in the current directory; output object(s) IN the object collection will obtain the same name as the output object collection.

-output=ilwobj

Optional parameter.

If specified: results will be stored in the current directory; the output object collection and output object(s) IN the object collection will obtain the specified name ilwobj.

If omitted: results will be stored in the current directory; output object(s) IN the object collection will obtain the same name as the output object collection.

-output=path\ilwobj

Optional parameter.

If specified: results will be stored in the specified directory path\; the output object collection and the output object(s) IN the object collection will obtain the specified name ilwobj.

If omitted: results will be stored in the current directory; output object(s) IN the object collection will obtain the same name as the output object collection.

-noshow

Optional parameter.

If specified: the resulting object collection will not be opened.

If omitted: the resulting object collection will be directly opened.

-usednvalues

Optional parameter.

If specified: the DN values of the ASTER file will not automatically be convert to radiance values.

If omitted: the DN values of the ASTER file will automatically be convert to radiance values.

Tips:

  • For more information on Import ASTER through ILWIS Map Import, see also the Import Map dialog box, or the import.def file in your ILWIS directory.
  • For more technical information about radiometric and geometric corrections of ASTER images refer to ASTER Import : Radiometric and geometric corrections (technical information).

Examples:
open Image_1B.hdf -import -noshow
 | Imports the ASTER level 1B file Image_1B.hdf into ILWIS; an object collection with the name Image_1B.IOC containing 15 raster maps, 4 georeferences and 1 coordinate system will be created. The data file will be translated into ILWIS data files but the resulting object collection will not be opened.
open PG-PR1A0000-2001032501_22_039 -output=Aster -usednvalues
 | Imports the ASTER level 1A file pg-PR1A0000-2001032501_22_039 into ILWIS; an object collection with the name Aster.IOC containing 15 raster maps, 15 georeferences and 1 coordinate system will be created. The data files will be used in their original format (UseAs) and instead of converting the DN values to radiance values the DN values are converted to sensor calibrated DN values.

4c. ILWIS General Raster import

As there are quite some different output possibilities, it is advised to first read the explanations in the Import General Raster dialog box.

OUTMAP | = | map(file.ext, GenRas, UseAs | Convert, NrCols, SizeHeader [, Bit | Byte | Int | Real] [, 1 | 2 | 4 | 8] [, NoSwap | SwapBytes] )
OUTMAPLIST | = | maplist(file.ext, GenRas, UseAs | Convert, NrCols, NrBands, SizeHeader [, BIL | BSQ | BIP] [, Bit | Byte | Int | Real] [, 1 | 2 | 4 | 8] [, NoSwap | SwapBytes] [, NoMPR | CreateMPR] )

OUTMAP

Name of the output raster map.

OUTLIST

Name of the output map list.

map

Command line syntax to ensure that the output of general raster import is a raster map. You should use this option when the data file contains only 1 band.

maplist

Command line syntax to ensure that the output of general raster import is a map list which may contain multiple raster maps. You sould use this option when the data file contains multiple bands, e.g. Band Interleaved, Band Sequential, or Pixel Interleaved.

file.ext

Name and extension of the external file.

GenRas

Command line syntax to use General Raster Import.

UseAs | Convert

Specify UseAs to create only one or more object definition files and keep the data file(s) in their original format.

Specify Convert to translate the data file(s) to the ILWIS raster data format (.MP#).

NrCols

Specify the number of columns of a map / band.

NrBands

In case of importing a file that contains multiple bands: specify the number of bands that the file contains.

SizeHeader

Specify the number of bytes that is used by the header in the external file.

BIL | BSQ | BIP

In case of importing a file that contains multiple bands:

  • Specify BIL when the external file is Band Interleaved.
  • Specify BSQ when the external file is Band Sequential.
  • Specify BIP when the external file is Pixel Interleaved.

Bit | Byte | Int | Real

Optional paramter to specify the type of values that are used by the pixels in the file.

  • Specify Bit when the values of the pixels are stored as bits (1 bit per pixel).
  • Specify Byte when the values of the pixels are stored as bytes (1 byte per pixel).
  • Specify Int when the values of the pixels are stored as short integers (2 bytes per value) or as long integers (4 bytes per pixel).
  • Specify Real when the values of the pixels in the file are stored as floats (4 bytes per pixel) or as reals (8 bytes per pixel).

If omitted, Byte will be used.

1 | 2 | 4 | 8

In case you specified Int or Real as the previous parameter, optional parameter to specify the number of bytes that are used to store individual pixel values.

  • Specify 1 when values are stored as bytes (same as using the Byte parameter);
  • Specify 2 when values are stored as short integers;
  • Specify 4 when values are stored as long integers or as floats;
  • Specify 8 when values are stored as reals.

If omitted, 1 will be used (1 byte per pixel).

NoSwap | SwapBytes

Optional parameter to specify whether or not bytes should be swapped:

  • Specify NoSwap when the file uses the Intel byte order (highest byte last, Low Endian).

  • Specify SwapBytes when the file uses the Motorola byte order (highest byte first, High Endian), e.g. when the file was created on an Apple or (downloaded from) a Unix machine.

If omitted, NoSwap will be used.

NoMPR | CreateMPR

In case of importing a file that contains multiple bands and using the UseAs option, optional parameter to specify whether or not an .MPR file should be created for every band:

  • Specify NoMpr when you only wish to obtain an .MPL (object definition file for the output map list). The bands in the map list will automatically be called band1, band2, band3, etc. You can calculate with the bands by addressing them as maplistname:bandnumber as for instance in OUTCalc = MyMapList:1 + MyMapList:2
  • Specify CreateMpr when you wish to obtain an .MPL and various .MPR files (object definition file for every output raster map). The output raster maps will obtain the same name as the output map list, directly followed by a band number, for instance as OutMap1, OutMap2, OutMap3, etc.

If omitted, NoMpr will be used.

Tip:

For more information, refer to the Import General Raster dialog box.

4d. ILWIS Table Import

OUTTABLE | = | table(file.ext, Comma | Space | ILWIS14 | DBF , Convert [, SkipLines] , TableDomain [, UndefValueCol1] , Col1NameValue ( coldomainname [ { min : max [ : prec] } ] [, UndefValueCol2] [, Col2Name ( ... ) ] ) )
OUTTABLE | = | table(file.ext, Comma | Space | ILWIS14 | DBF , Convert [, SkipLines] , TableDomain [, UndefValueCol1] , Col1NameClassId ( coldomainname [ { Class | ID [ , Extend ] [ , Key ] } [, UndefValueCol2] [, Col2Name ( ... ) ] ) )
OUTTABLE | = | table(file.ext, Fixed, Convert [, SkipLines] , TableDomain, WidthCol1 [, UndefValueCol1] , Col1NameValue ( coldomainname [ { min : max [ : prec] } ] [, WidthCol2 [, UndefValue] , Col2Name ( ... ) ] ) )
OUTTABLE | = | table(file.ext, Fixed, Convert [, SkipLines] , TableDomain, WidthCol1 [, UndefValueCol1] , Col1NameClassId ( coldomainname [ { Class | ID [ , Extend ] [ , Key ] } [, WidthCol2 [, UndefValueCol2] , Col2Name ( ... ) ] ) )

OUTTABLE

Name of the output table.

table

Command line syntax to import a table.

Comma | Space | ILWIS14 | DBF

Parameter to specify the file format of the file to be imported.

  • Specify Comma to import a comma delimited file (ASCII), i.e. when fields are separated by a comma.
  • Specify Space to import a space delimited file (ASCII), i.e. when fields are separated by a space or a tab.
  • Specify ILWIS14 to import an ILWIS 1.4 table (ASCII).
  • Specify DBF to import a file in dBase III/IV format.

Fixed

Parameter to import a file in Fixed format (ASCII, e.g. SDF), i.e. when columns start at fixed positions. Available character positions that are not filled with a character are expected to be filled with a space.

Convert

Parameter to specify to convert the file to the ILWIS table data format (.TB#).

SkipLines

Optional parameter to specify the number of lines at the beginning of the file that should be skipped when importing. You should use this parameter when the file has a header (e.g. when your file is an ILWIS 1.4 table, the first line should be skipped).

TableDomain

Parameter to specify use specify the number

  • If you wish to use a (class or ID) column of the input file as the domain of the imported table: use the Key parameter explained below, and specify None for this TableDomain parameter. In fact, then the specification None will be overruled by the specification Key.
  • If you wish to use an existing domain as the domain of the imported table: specify the name of the existing domain that you wish to use.
  • If you wish to use system domain None as the domain of the imported table: specify None.

WidthCol1

Obligatory parameter when importing a file that is in Fixed format.

  • The WidthCol1 parameter specifies the width of the first column of a Fixed format file; all values in this column should fit in the specified width.
  • When you wish to import a second, third, etc. column of a Fixed format file, you MUST also specify WidthCol2, WidthCol3, etc. When specifying WidthCol2, the width for the second column will start counting at the end of the first column as specified by WidthCol1, etc.

UndefValueCol1

Optional parameter to specify, for the first column of the external file, a value which should be regarded as undefined. When encountered in that column during Import, ILWIS will import the specified value as an undefined value, i.e. ?.

Similarly, you can specify a value of the second column which should be regarded as an undefined value as UndefValueCol2, etc.

Col1NameValue

Parameter to specify a name for the first column. Below, you find the syntax for when this column is supposed to contain values in contrast to classes or IDs.

Similarly, you can specify a name for the second column etc. with Col2Name, etc.

coldomainname

Parameter to specify a name for the domain of the first column. You can specify both an existing domain name and a new domain name.

Tip: When the column is supposed to contain values, you can generally use system domain Value by typing Value for this parameter.

Similarly, you can specify a name for the second column etc. with Col2Name, etc.

min : max [: prec]

Optionally, when the column is a value column, specify the value range for this column as min : max. Furthermore, you can also optionally specify the precision that should be used by the column as prec.

When you know for instance that values of this column are in the range from 0 to 1000 and that 3 decimals are used, type: 0:1000:0.001. All values outside a specified value range will be imported as undefined values.

Col1NameClassID

Parameter to specify a name for the first column. Below, you find the syntax for when this column is supposed to contain classes or IDs in contrast to values.

Similarly, you can specify a name for the second column etc. with Col2Name, etc.

coldomainname

Parameter to specify a name for the domain of the first column. You can specify both an existing domain name and a new domain name.

  • When the column is supposed to contain classes or IDs, and you specify a new domain name for this column, you MUST also use the Extend parameter for this column as explained below.
  • When the column is supposed to contain classes or IDs, and you this column should be used as the domain of the table, you should also use the Key parameter for this column as explained below.
  • When you wish to import the characters in this column simply as strings, then type String. Subsequently, you can skip for this column the parameters Class | ID, Extend, and Key.

    • Tip: Specifying system domain String for columns is a very safe way to import.

    After import, you can convert the String columns in the imported table to:

    • Value columns, type on the command line of the table window: NewCol=VALUE(stringcol)
    • Class columns, use the 'Create new domain from strings in column' button in the Column Properties dialog box of a string column;
    • ID columns, use same method as to convert to Class columns.

    Finally, you may have to use the Change domain of table operation to convert the table to an attribute table.

Similarly, you can specify a name for the second column etc. with Col2Name, etc.

Class | ID

Optional parameter to specify whether you wish to put the strings found in this column in a Class domain or in an ID domain.

  • Specify Class when the strings in this column of the external file may occur more than once in this column. The strings in the column are supposed to represent classes of something.
  • Specify ID when the strings in this column of the external file occur (generally) once in this column. The strings are supposed to represent IDs.

Parameter can be omitted, when you will accept system naming or when you specified to use the String domain for this column, i.e. as characters only.

Extend

Optional parameter to specify whether a Class or ID domain that should be used by this column (coldomainname) should be extended with any new classes or ID's found in the column during import or not.

  • Parameter MUST be used when you specified a new domain name (coldomainname) for this column, and when you specified that the domain should be a Class or ID domain.
  • Parameter may be used when you specified an existing domain name for this column and when column should be of type Class or ID.
    • If specified: Any unique string that is found in this column in the external file will be added to the domain that has been specified for this column.
    • If omitted and if a new domain name has been specified before, then the new domain will remain empty! Thus the imported column will only contain undefs.
    • If omitted and if an existing domain name has been specified before, then the existing domain will not be extended with any new strings found in this column. Some fields in the output table of this column may thus contain undefs.

Key

Optional parameter to specify whether a Class or ID domain that should be used by this column (coldomainname) should be used as the domain of the table. You can use the Key parameter only for 1 (Class or ID) column. The column for which the Key parameter is specified will not appear as a column in the table. Using the Key parameter will overrule any previous setting of the TableDomain parameter.

Purpose of this Key parameter: When an output table itself uses a certain Class or ID domain, you can link the output table to a map which uses the same Class or ID domain; the output table will then become an attribute table of the map to which you linked it. You can also link the output table to the Class or ID domain itself; then the table will be the (default) attribute table of all maps which use that domain.

  • Specify the Key parameter for the Class or ID column that contains unique strings which will be the 'record numbers' in the output table.
  • If the Key parameter is omitted for all columns, you will obtain a table with system domain None. The table will have record numbers like 1, 2, 3, etc. You may have to use the Change domain of table operation after import to convert the table to an attribute table.

Tip:

For more information, please refer to the Import Table wizard.

Examples:

ImpTable1

=

table( HOUSES.DBF, DBF, Convert, none, colAnyname(ImpTable1{ID,Extend,Key}), colHouses(value) )

Imports the dBase DBF file HOUSES.DBF into ILWIS; a table with the name ImpTable1 will be created.

One column in the DBF file will temporarily get the column name colAnyname and it will use domain ImpTable1; this is a new ID domain (therefore Extend) and this temporary column will be used as Key for the output table (i.e. as the domain of the output table).

The only column that will thus appear in the output table is called colHouses; this column will use the system Value domain.

ImpTable2

=

table( HOUSES.DBF, DBF, Convert, none, col1Name(String), col2Houses(String) )

Imports the dBase DBF file HOUSES.DBF into ILWIS. A table with the name ImpTable2 will be created, the table will use system domain None.

The first column in the output table will get column name col1Name and it will use system domain String.

The second column in the output table will get column name col2Houses and it will also use system domain String.

ImpTable3

=

table( SDFTable.SDF, Fixed, Convert, none, 10, col1(String), 25, col2(String) )

Imports the file SDFTable which is in Fixed format into ILWIS. A table with the name ImpTable3 will be created; the table will have system domain None.

The first column in the output table will get column name col1 and it will use system domain String. Col1 will contain the characters that are found on positions 1 to 10 of the input file.

The second column in the output table will get column name col2 and it will also use system domain String. Col2 will contain the characters that are found on positions 11 to 35 of the input file.

5. Export expressions

5a. ILWIS Export

export format(ilwobj.ext,filename)

Export an ILWIS 3 map or table ilwobj.ext to another data file filename.

  • For format, you have to specify one of the following formats:

    • arcinfonas | arcinfopts | ascii | bmp | bna | dbase | dbasesdf | delimited | dxf | e00 | erdasgis | erdaslan | ida | idrisi | ilwis2 | ilwis14 | infocam | lin | shapefile | smt | tiff .

  • The extension of the ILWIS 3 map or table ilwobj.ext must be specified; .mpl for a map list, .mpr for a raster map, .mpa for a polygon map, .mps for a segment map, .mpp for a point map, .tbt for a table, .his, .hsa, .hss, and .hsp for histograms and .csy for a coordinate system.

    • Furthermore, ILWIS 3 objects which are stored as a table can be exported as tables of external formats: 2-dimensional tables (.ta2), domain class/ID/group (.dom), representation class (.rpr), georeference tiepoints (.grf), coordinate system tiepoints (.csy).

  • The extension(s) for the output data file(s) filename will be automatically added during export.

Note:

  • It is not a good idea to use a space before the output filename in the expression, as this will result in output file(s) starting with a space.

arcinfonas

Export an ILWIS raster map to an Arc/Info non-compressed ASCII file (.ASC).

arcinfopts

Export an ILWIS point map to an Arc/Info .PTS (ASCII) file. From this file, (label) points can be created using the Arc/Info Generate command. For format, you may use arcinfopts (as described) or arcgen.

ascii

Export an ILWIS raster map to an ILWIS 1.x ASCII file (.ASC).

bmp

Export an ILWIS raster map to a Windows bitmap (.BMP).

bna

Export an ILWIS segment map to an Atlas vector map (.BNA).

dbase

Export an ILWIS table to a dBase III/IV file (.DBF).

dbasesdf

Export an ILWIS table to an ASCII dBase III/IV file (.SDF). This format is also known as Standard format or Fixed format.

delimited

Export an ILWIS table to an ASCII comma delimited file (.TXT).

dxf

Export an ILWIS polygon, segment or point map to an AutoCad .DXF file.

e00

Export an ILWIS polygon, segment or point map to an Arc/Info .E00 file.

erdasgis

Export an ILWIS raster map to an Erdas .GIS file; in case you exported a domain Class map, also a trailer file will be created (.TRL). The ILWIS map should preferably be north-oriented.

erdaslan

Export an ILWIS map list, which contains multiple bands of a satellite image, or export a single ILWIS raster map to an Erdas .LAN file. The ILWIS map(s) should preferably be north-oriented.

esriprj

Export an ILWIS coordinate system projection or an ILWIS coordinate system latlon to an ESRI ArcGIS projection file (.PRJ). An ILWIS coordinate system should have an ellipsoid WGS 84 or an ellipsoid and a datum.

ida

Export an ILWIS raster map to an IDA image (.IMG).

idrisi

Export an ILWIS raster map to an Idrisi map (.DOC, .IMG).

ilwis2

Export an ILWIS 3 polygon, segment, point map or table to an ILWIS 2 polygon, segment, point map or table (.MPA, .MPS, .MPP, .TBT and others). Histograms or other objects that are stored as a table cannot be exported.

ilwis14

Export an ILWIS raster, segment, point map or table to an ILWIS 1.x raster, segment, point map or table (.MPD, .SEG, .PNT, .TBL and others). Histograms or other objects that are stored as a table cannot be exported.

infocam

Export an ILWIS polygon, segment or point map to an InfoCam sequential file (.SEQ).

lin

Export an ILWIS segment map to an Arc/Info .LIN file (ASCII). From this file, lines can be created using the Arc/Info Generate command.

shapefile

Export an ILWIS polygon, segment or point map to Arc/View Shape files (.SHP, .SHX, .DBF).

smt

Export an ILWIS segment map to an ILWIS 1.x ASCII vector file (.SMT).

tiff

Export an ILWIS raster map to a Tiff image (.TIF).

Tip:

For more information, see also the Export dialog box, or the expras.def, expmpl.def, exppol.def, expseg.def, exppnt.def, exptbl.def, expcsy.def files in your ILWIS directory.

Examples:
export e00(water.mps,e00water)
 | Exports the ILWIS segment map WATER.MPS to the file E00WATER.E00 in the Arc/Info interchange format. This example also illustrates the need for the explicit mentioning of the ILWIS map extension: as the E00 export is defined for segments, polygons and points there is no other way than the extension to tell export which type should be exported.
export erdasgis(soil.mpr,erdsoil)
 | Exports the ILWIS raster map SOIL.MPR to the file ERDSOIL.GIS. If the ILWIS map has a class domain, ILWIS will also create a ERDSOIL.TRL file.

See also:

ILWIS objects : scripts

How to create a script

How to use parameters in scripts

How to run scripts

How to use long object names

Appendices : ILWIS commands

Appendices : ILWIS expressions

Appendices : ILWIS as DDE server

Import (dialog box)

Export (dialog box)


Appendices : ILWIS as DDE server

Appendices

ILWIS as DDE server (advanced)

When you have programming experience and quite some ILWIS experience, you can write your own dedicated applications e.g. Visual Basic, Delphi, or C++. The applications will run on top of ILWIS. The end users of your application are not required to have any major ILWIS knowledge.

Purpose and opportunities:

  • create your own dialog boxes for input;
  • all difficult ILWIS calculations/expressions will be performed by your dedicated application, (i.e. not by the end user);
  • combine and present information which you get from ILWIS in your own user-interface.
  • combine the functionality of two or more different programs that act as DDE servers (e.g. ILWIS, Microsoft Word, Microsoft Excel, Microsoft Access, etc.).

In short, you can:

  1. Access or execute all ILWIS commands, all MapCalc operators and functions, all TabCalc operators and functions, all ILWIS expressions, and all ILWIS script commands (SYSTEM - EXECUTE).
  2. Retrieve or calculate simple information of a map, table or georeference, such as the value in a map at a certain coordinate, the number of rows (or columns) in a raster map, the minimum (or maximum) value in a map, the value as found in a certain record and column in a table, etc. The value to be retrieved or calculated is expected to be one value, string etc. only (CALC - REQUEST).
  3. At the position of a mouse click in a map window, retrieve the value in a map or the coordinates at that mouse click, i.e. simulate Pixel Info (COORD).

GENERAL INFORMATION

What is DDE?

DDE is an abbreviation for Dynamic Data Exchange. Two Windows programs which both support DDE can exchange data with each other. The data transfer is called a conversation. A conversation takes place between a DDE server and a DDE client. A DDE client can transfer data (e.g. expressions/commands or any other information) to a DDE server. The server then replies with a response to the client; the response can either be an acknowledgement that the data was processed, or the result of a request for which the client asked. The DDE client can also 'subscribe' to data that the server sends to all subscribed clients every time a certain event occurs.

ILWIS always acts as the DDE server:

  • executing the text (command, formula, expression) that is sent via DDE as if it were a script command;
  • replying to the client by providing or calculating requested information;
  • supplying information at a mouse click in a map window to DDE clients that 'subscribed' to such information.

The DDE server or source (ILWIS) thus supplies data to another application through a DDE link.

The DDE client is a program written in Visual Basic, Delphi, C++, etc. in which:

  • you may have built your own user-interface for any necessary input;
  • you may have defined the commands, formulas, expressions that ILWIS should execute for you;
  • you may have built your own user-interface for the output.

The DDE client or destination is thus the application that requests and receives data.

In this Help topic, a general overview of DDE is given, sufficient to start building applications upon ILWIS. Some sample applications which show how DDE can be correctly used and which give some useful examples are supplied on the ILWIS CD.

For information on the programming process and required syntax of your dedicated application program, refer to the documentation of Visual Basic, Delphi or C++, etc., i.e. the language in which you are programming.

Introduction to DDE:

A DDE conversation in a DDE capable environment can be established as follows (ILWIS independent):

  1. Set the DDE Link Topic. This tells the Windows DDE manager with which DDE server you wish to communicate, and it tells the DDE server which one of its available 'topics' you wish to use. Depending on the programming language used, you may need to specify the DDE server separately.
  2. Set the DDE Link Mode. The Link Mode can be one of the following: none, manual or automatic. Setting the mode to manual or automatic will actually establish the DDE link between the client and the server. An existing link is cleared and freed when the mode is set to none.
  3. Set a Link TimeOut if needed. The Link TimeOut has to be set to 10x the number of seconds that the application should wait before it concludes that there is a problem with the DDE communication (-1 means 'wait forever').
  4. If the intention is to do a Link Request, you may first need to set the DDE Link Item (server dependent). The DDE Link Item does not have to be specified in other cases. Depending on the programming language used, the Link Item may be a parameter of the Link Request method instead of a link property. If the intention is to use automatic mode, it is recommended to set this property to a valid value before setting the Link Mode to establish the link. However, once the link is established, this property can safely be changed to a new valid value.
  5. When manual mode is used, call Link Execute or Link Request; when automatic mode is used, just wait.
    • Link Execute passes a parameter to the server; the server can read it and act accordingly.
    • Link Request makes the server respond with the result of a calculation; the calculation may have been specified in Link Item.
    • In automatic mode, the server will automatically send information 'asked for' through the Link Topic and Link Item parameters; the information will be sent every time a certain event occurs (this is up to the server).

Furthermore a DDE server usually responds to some standard DDE calls with which a client can find out, for instance, which topics are available by the DDE server and which data exchange formats are supported by the DDE server.

Language dependent DDE syntax:

DDE Link Topic

LinkTopic (Visual Basic)

SetLink (Delphi)

DDE Link Mode

LinkMode (Visual Basic)

ConnectMode (Delphi)

0 = None

1 = Automatic

2 = Manual

DDE Request method

LinkRequest (Visual Basic)

RequestData (Delphi)

DDE Execute method

LinkExecute (Visual Basic)

ExecuteMacro (Delphi)

Using the topics of the ILWIS DDE server:

The ILWIS DDE server has three available topics:

  • system

to execute ILWIS commands or ILWIS expressions, and for requesting the server's properties;
  • calc

to request results of some calculations;

  • coord

to 'subscribe' to information available at mouse clicks in a map window, or to request the latest version of this information.

The system topic is meant to make the server execute ILWIS commands and ILWIS expressions; it is the only topic that will respond to the DDE Execute method. The ILWIS commands and expressions are passed (as a string) by the required parameter of this method.

The 'system' topic will also respond to Link Request methods. In that case, the only possible values for the Link Item property are 'topics', 'sysitems', 'status' and 'format'. The responses are only informative and are implemented so that ILWIS complies with the requirements of the DDE protocol.

The calc topic will only respond to the Link Request method, in which case the value of the Link Item property is used to pass the expression.

The coord topic will automatically respond upon clicks in a map window when the mode is set to Automatic, i.e. no Request is required; when the mode is set to Manual, the 'coord' topic will respond to the Request method. In both cases, the only possible values for the Link Item property are .X, .Y, .XY and mapname.ext.

Thus, the three Link Topics that are implemented in ILWIS and the Methods to access the topics are:

  • for the system topic, use the Link Execute method, see section SYSTEM - EXECUTE,
  • for the calc topic, use the Link Request method, see section CALC - REQUEST,
  • for the coord topic, it is optional to use the Link Request method, see section COORD.

Detailed information can be found in the sections below.

For more information on ILWIS syntax that you may wish to use, refer to:

  • To execute commands/expressions (SYSTEM - EXECUTE): Appendices : ILWIS commands, Map and Table Calculation : Functional overview of operators and functions, Appendices : ILWIS expressions, Appendices : ILWIS script language;
  • To retrieve or calculate a single value (CALC - REQUEST): Coordinate functions, Point functions, Data property functions, Color functions;
  • To retrieve information at mouse clicks (COORD): Pixel information window : functionality.

Tips:

  • For more information about how to set up and close a DDE conversation, refer to the related documentation of Visual Basic, Delphi or C++, etc. Also check the sample applications available on the ILWIS CD.
  • Make sure that ILWIS, i.e. the DDE server program, is running during the entire DDE conversation. Your program may hang or crash if no DDE server responds to a request.
  • Mind that all data sent to ILWIS and all 'values' returned by ILWIS are in text format (strings).

1. SYSTEM - EXECUTE - MANUAL MODE

Use this DDE conversation method to perform ILWIS tasks as in an ILWIS script in order to define and/or calculate an ILWIS map, table, column, etc. or to display an ILWIS object, without the need to actually create an ILWIS script.

Through a DDE link, you can assign any task to ILWIS that can be handled by an ILWIS script. You can for instance:

  • open an ILWIS dialog box on your screen;
  • show an ILWIS map or table on your screen;
  • perform any ILWIS MapCalc/TabCalc formula;
  • perform any ILWIS operation;
  • use the additional ILWIS script commands.

DDE syntax for SYSTEM - EXECUTE

To use the SYSTEM - EXECUTE conversation method in your application program:

  • the DDE topic should be "ilwis|system"

    or server="ilwis" and topic="system" depending on the language you're using;

  • use the DDE Execute method, its parameter is a string containing one or more ILWIS command(s) or expression(s); the ILWIS commands and expressions will be executed by ILWIS as if running an ILWIS script.
    • You can establish one DDE link after the other, each time using a DDE Execute command and specifying one ILWIS expression, or
    • You can also use one DDE Execute command, and specify all ILWIS expressions in the string; separate the expressions by semicolons.
      Note that this is only valid for ILWIS, as it differs from the method provided by the DDE protocol in which all commands are enclosed in square brackets ('[' and ']'). The square brackets are also supported by ILWIS for compatibility reasons.

The string containing the ILWIS command(s)/expression(s) to be executed is sent to the server; this string is a parameter to the DDE method 'Execute'; each call to the method 'Execute' is a request of the client to the server to execute the command(s)/expression(s) that are contained in the string.

Some examples of the ILWIS commands, MapCalc/TabCalc formulae, ILWIS operation expressions, and ILWIS Script commands that may be used are given below.

DDE example for SYSTEM - EXECUTE (Visual Basic):

' Assumption: MyControl is an existing object of class Control (e.g. a text box in the Visual Basic form)

MyControl.LinkTopic = "ilwis|system"

MyControl.LinkMode = 2 'mode Manual, to start the DDE conversation

MyControl.LinkExecute "Tmb1Edge=MapFilter(tmb1,edgesenh);calc Tmb1Edge.mpr;open -noask Tmb1Edge.mpr"

' The string on the previous line contains the ILWIS commands and expressions to be executed, separated by a ';'

MyControl.LinkMode = 0 'mode None, to close the DDE conversation

Map TMB1 is filtered with the edge enhancement filter, the output map TMB1Edge is calculated and displayed on the screen.

Some examples of ILWIS commands, MapCalc/TabCalc formulae, ILWIS expressions for operations, and ILWIS script commands which can be used with SYSTEM - EXECUTE:

filter | Opening the dialog box of the Filter operation on the screen.
open MAP.ext -noask | Displaying raster, polygon, segment or point map MAP.ext without a Display Options dialog box.
 | see Appendices : ILWIS commands
OUTMAP = MAP1 + MAP2 | Defining output map OUTMAP by performing a MapCalc formula.
OUTMAP = NDVI(MAP1, MAP2)
 | Defining output map OUTMAP by performing a MapCalc formula to calculate an NDVI map.
OUTMAP{dom=suitable}= IFF((SOIL="clay") AND (LANDUSE="agriculture", "very suitable", "unsuitable")
 | Defining output map OUTMAP using class domain Suitable by performing a MapCalc formula with the IFF function.
 | See Map calculation : overview of operators and functions
tabcalc OUTTABLE OUTCOLUMN = COLUMN1 + COLUMN2
 | Defining output column OUTCOLUMN in existing table OUTTABLE by performing a TabCalc formula.
tabcalc OUTTABLE OUTCOLUMN = ColumnAggregateAvg(COLUMNNAME, WeightColumn)
 | Defining output column OUTCOLUMN in existing table OUTTABLE by a column operation which aggregates values of column COLUMNNAME using weight values of column WeightColumn.
tabcalc OUTTABLE OUTCOLUMN = ColumnJoinAvg(TableName, ColumnName, GroupBy)
 | Defining output table OUTTABLE and output column OUTCOLUMN by performing a Join operation.
 | See Table calculation : overview of operators and functions Aggregate functions Table calculation : joining columns from other tables
OUTMAP = MapFilter(MAP, filtername)
 | Defining output map OUTMAP by performing the ILWIS Filter operation.
OUTTABLE = TableCross(MAP1, MAP2)
 | Defining output table OUTTABLE by performing the ILWIS Cross operation.
 | See Appendices : ILWIS expressions
calc MAP.ext | Calculating output raster, polygon, segment or point map MAP.ext.
open MAP.ext -noask | Displaying map MAP.ext.
crdom suitable -type=class | Creating class domain Suitable.
additemtodomain suitable "very suitable"
 | Adding class "very suitable" to domain Suitable.
additemtodomain suitable "unsuitable"
 | Adding class "not suitable" to domain Suitable.
cd\path | Make a certain directory the current ILWIS working directory. It is strongly advised to first set the ILWIS working directory to the directory where your ILWIS data is located! If you don't set the path to the working directory, you need to use full paths to refer to ILWIS data. See Appendices : ILWIS script language

2. CALC - REQUEST - MANUAL MODE

Use this DDE conversation method to retrieve or calculate a single value as using the pocket line calculator, in order to get information from ILWIS and use this in your dedicated application program.

DDE syntax for CALC - REQUEST

To use the CALC - REQUEST conversation method in your application program:

  • the DDE topic should be "ilwis|calc"

    or server="ilwis" and topic="calc" depending on the language you're using;

  • in the Link Item property, specify an ILWIS expression (string) to be evaluated;

  • use the DDE Request method.

By applying the DDE Request method on a client control in your application, the server is asked to evaluate the expression. The result is then made available as the value of the used control object.

Some examples of MapCalc/TabCalc functions that retrieve or calculate a single value or a single string are given below.

DDE example for CALC - REQUEST (Visual Basic):

' Assumption: TextResult is an existing object of class Control (e.g. a text box in the Visual Basic form)

TextResult.LinkTopic = "ilwis|calc"

TextResult.LinkMode = 2 'mode Manual, to start the DDE conversation

TextResult.LinkItem = "MAPVALUE(tmb1, coord(800000,8080000))"

' The string on the previous line sets the expression to be evaluated at the next request

TextResult.LinkRequest

TextResult.LinkMode = 0 'mode None, to close the DDE conversation

The value in map TMB1 at the specified XY-coordinate will be retrieved from ILWIS and displayed in the TextResult control in the dialog box of your application.

Examples of ILWIS MapCalc/TabCalc functions that retrieve/calculate a single value or a single string:

MAPVALUE (MapName.ext, COORD(99834,299287))
 | Retrieving the class name, ID or value in raster, polygon, segment or point map MapName.ext at specified coordinates.
RASVALUE(RasMapName, rownr, colnr)
 | Retrieving the class name, ID or value in raster map RasMapName at specified row and column.
TRANSFORM(COORD(234982,2934729,CurrentCoordSys), OtherCoordSys)
 | Calculate/Transforms coordinate COORD(X,Y) from the current coordinate system to a coordinate in the other coordinate system
MAPCRD(RasMapName, rownr, colnr)
 | Retrieve from raster map RasMapName the XY-coordinate at specified row and column.
MINCRDX(MapName.ext) | Retrieve the minimum X-coordinate of raster, polygon, segment or point map MapName.ext
 | See Coordinate functions
PNTNR(PntMapName, "Laguna Santa Rosa")
 | Retrieve point number of point "Laguna Santa Rosa".
PNTVAL(PntMapName, Pntnr) | Retrieve the class name, ID or value of point number Pntnr in point map PntMapName.
PNTCRD(PntMapName, Pntnr) | Retrieve the XY-coordinate of the point stored as Pntnr in point map PntMapName.
PNTCRD(PntMapName, "Laguna Santa Rosa")
 | Retrieve the XY-coordinate of the point called "Laguna Santa Rosa".
 | See Map and Table Calculation : Functional overview of operators and functions
PIXSIZE(RasMapName) | Retrieve the pixel size of raster map RasMapName.
MAPROWS(RasMapName) | Retrieve the number of rows in raster map RasMapName.
MAPMIN(MapName.ext) | Retrieve/calculate the minimum value in raster, polygon, segment or point map MapName.ext. Mind: this function works only on maps with a value domain.
MAPMAX(MapName.ext) | Retrieve/calculate the maximum value in raster, polygon, segment or point map MapName.ext. Mind: this function works only on maps with a value domain.
TBLRECS(TableName.ext) | Retrieve the number of records of table TableName. When you specify an extension, you can also access representations, domains, histograms, etc.
TBLCOLS(TableName.ext) | Retrieve the number of columns of table TableName. When you specify an extension, you can also access representations, domains, histograms, etc.
TBLVALUE(TableName.ext, "ColumnName", RecNr | "Class or ID")
 | Retrieve from table TableName.ext, the value as found in column "ColumnName" and in record number RecNr (value) or in record "ClassName" or "ID" (string). When you specify an extension, you can also access representations, domains, histograms, etc.
 | See Data property functions

3. COORD - AUTOMATIC AND MANUAL MODE

Use this DDE conversation method to retrieve value or coordinate information from maps at the position of a mouse click in a map window as in Pixel Info, in order to get information from ILWIS and use this in your dedicated application program.

When an analog map is referenced on a digitizer tablet, you can also use the digitizer cursor to retrieve this information. For more information, see Pixel information window : functionality.

If Automatic Mode is used, each mouse click will be automatically sent to your DDE application; this method 'subscribes' your application to (a subset of) the information that ILWIS can send to subscribed DDE clients on every mouse click.

If Manual Mode is used, the 'value' of the latest mouse click has to be requested for.

DDE syntax for COORD

To use the COORD conversation method in your application program:

  • the DDE topic should be "ilwis|coord"

    or server="ilwis" and topic="coord" depending on the language you're using;

  • set the Link Item property to either .X, .Y, .XY or mapname.ext.
    • .X | To retrieve the X-coordinate of any raster, polygon, segment or point map at the position of a mouse click.
.Y | To retrieve the Y-coordinate of any raster, polygon, segment or point map at the position of a mouse click.
.XY | To retrieve the XY-coordinate as (X, Y) of any raster, polygon, segment or point map at the position of a mouse click.
MapName.ext | To get the class name, ID or value from any raster, polygon, segment or point map MapName.ext at the coordinate of the mouse click. It is not required that Map MapName.ext is currently displayed in the map window.

When specifying Automatic Mode, any click in a map window will automatically update the value of the object in the dedicated application program. This happens in the same way as with the CALC conversation method: the result becomes available as the value of the control object used to do the DDE conversation.

When using Manual Mode, information of the latest click in a map window will be sent to the dedicated application program upon making a Request.

The Timeout can be used to determine how long a control waits before assuming that there is a problem with the DDE conversation. A Timeout of -1 will keep the DDE conversation active forever.

DDE example for COORD, using Mode Automatic (Visual Basic):

' Assumption: CurrVal and CurrX are existing objects of class Control (e.g. text boxes in the Visual Basic form)

CurrVal.LinkTopic = "ilwis|coord"

CurrVal.LinkItem = "Landuse.mpa"

CurrVal.LinkMode = 1 'mode Automatic

CurrVal.LinkTimeOut = -1

CurrX.LinkTopic = "ilwis|coord"

CurrX.LinkItem = ".X"

CurrX.LinkMode = 1 'mode Automatic

CurrX.LinkTimeOut = -1

CurrVal | will give you the value, class name or ID in polygon map Landuse at the position of a mouse click in a map window.
CurrX | will give you the X-coordinate of the click in a map window.

OVERVIEW of DDE syntax in ILWIS

Server | Topic | Item | Method | Mode
ILWIS | SYSTEM | <not used> | EXECUTE Specify any ILWIS command, a MapCalc/TabCalc formula or an expression as in an ILWIS script. Separate multiple expressions by semicolons. | Mode Manual
ILWIS | SYSTEM | TOPICS | REQUEST | Mode Manual
ILWIS | SYSTEM | SYSITEMS | REQUEST | Mode Manual
ILWIS | SYSTEM | STATUS | REQUEST | Mode Manual
ILWIS | SYSTEM | FORMAT | REQUEST | Mode Manual
ILWIS | CALC | Specify a MapCalc/TabCalc formula that will retrieve or calculate 1 value. | REQUEST | Mode Manual
ILWIS | COORD | .X Get X-coord at mouse click in map window. | REQUEST only for Mode Manual. | Mode Automatic or Mode Manual
 |  | .Y Get Y-coord at mouse click in map window.
 |  | .XY Get (X,Y)-coord at mouse click in map window.
 |  | MapName.ext Get value from raster, polygon, segment or point map MapName.ext at the coordinate of the mouse click.

The topic identifies the source application and topic.

The item identifies the particular data (the item) that the server sends to the client. Under topic SYSTEM, the items TOPICS, SYSITEMS, STATUS and FORMAT (that resp. return the server's topics, the system items, the status and the supported data formats) are only there so that ILWIS complies to the DDE protocol. Most likely you will not need to use these items in your application.

The execute method sends a command string to the conversation partner; the request method asks the server to update the property values of a client's DDE control.

The mode identifies the type of link that is used during a DDE conversation. It lets the application determine whether the client control receives new values anytime the data changes in the source ('automatic' or 'hot link'). Alternatively, the mode lets the application decide whether the client must explicitly request the updated values ('manual' or 'cold link').

The timeout determines how long a control waits before assuming that there is a problem with the DDE conversation.

Topic, Item, Mode and Timeout are the properties of a DDE conversation.

Execute and Request are methods that act as DDE commands.


Appendices : file extensions

Appendices

File extensions

In ILWIS 2 and beyond, all ILWIS objects have an ASCII object definition file which refers to the object's data file, domain, store type, projection, georeference, representation (color, line width etc.), etc. Thus, object definition files may refer to further object definition files and to binary data files. The last character of the extension of a binary data file is mostly #.

ILWIS file extensions:

.AT#

Binary data file for an annotation text object. Stores text strings, positions of text strings (XY-coordinate or RowCol numbers) and settings such as font name, font size, bold, italics, underline, justification, color, transparent and rotation for all text items. Always together with a .ATX file.

.ATX

Object definition file for an annotation text object. ASCII file. Always together with a .AT# file.

.CS#

Binary data file for a coordinate system tiepoints. Stores the tiepoints (X, Y, Xref, Yref, dX, and dY). Always together with a .CSY file.

.CSY

Object definition and data file for a coordinate system. ASCII file. Coordinate systems store the possible minimum and maximum XY-coordinates or LatLon-coordinates that can be used in point, segment, and polygon maps and in georeferences of raster maps. A coordinate system tiepoints also has a .CS# file.

.DOM

Object definition file for a domain. Stores the set of valid IDs, Class names or values for a data object. ASCII file. Domains of type Class, ID and Group also have a binary data file (.DM#).

A domain is used by one or more raster, polygon, segment and/or point maps, tables and/or columns in tables. A domain Class, Value, and Picture use a representation.

.DM!

Binary data file for an internal class, ID or group domain of a point map. If a point map has an internal domain, the object definition file of the point map (.MPP) contains a reference to this .DM! file. A .DM! file is comparable to a .DM# file.

.DM@

Binary data file for an internal class, ID or group domain of a polygon map. If a polygon map has an internal domain, the object definition file of the polygon map (.MPA) contains a reference to this .DM@ file. A .DM@ file is comparable to a .DM# file.

.DM#

Binary data file for a domain ID, Class, or Group. Always together with a .DOM file.

.DM$

Binary data file for an internal class, ID or group domain of a segment map. If a segment map has an internal domain, the object definition file of the segment map (.MPS) contains a reference to this .DM$ file. A .DM$ file is comparable to a .DM# file.

.DM%

Binary data file for an internal class, ID or group domain of a raster map. If a raster map has an internal domain, the object definition file of the raster map (.MPR) contains a reference to this .DM% file. A .DM% file is comparable to a .DM# file.

.FIL

Object definition file for filters which includes its ASCII data file. Standard filters are available in the \SYSTEM directory.

.FND

ASCII data file for functions. Always together with a .FUN file.

.FUN

Object definition file for functions. ASCII file. Always together with a .FND file. Standard functions are available in the \SYSTEM directory.

.GR#

Binary data file for a georeference tiepoints, a georef direct linear and a georef orthophoto. Stores the tiepoints (row, col, X, Y, drow, and dcol), uses a background raster map. Always together with a .GRF file.

.GRF

Object definition file for the georeference of raster maps. Stores the relation between rows and columns and real-world coordinates. ASCII file. A georeference tiepoints, a georef direct linear and a georef orthophoto, also have a .GR# file. A georeference can be used by one or more raster maps. A georeference uses a coordinate system; a georeference tiepoints also uses a background raster map on which tiepoints are positioned.

.GRH

Object definition file for a graph. Stores the table name(s) which contain the columns from which the graph was created and stores display options of the graph. ASCII file.

.HA#

Binary data file for a histogram of a polygon map. Always together with a .HSA file.

.HI#

Binary data file for a histogram of a raster map. Always together with a .HIS file.

.HIS

Object definition file for histograms of a raster map. ASCII file. Always together with a .HI# file. A histogram of a raster map belongs to the raster map with the same name.

.HP#

Binary data file for a histogram of a point map. Always together with a .HSP file.

.HS#

Binary data file for a histogram of a segment map. Always together with a .HSS file.

.HSA

Object definition file for histograms of a polygon map. ASCII file. Always together with a .HA# file. A histogram of a polygon map belongs to the polygon map with the same name.

.HSP

Object definition file for histograms of a point map. ASCII file. Always together with a .HP# file. A histogram of a point map belongs to the point map with the same name.

.HSS

Object definition file for histograms of a segment map. ASCII file. Always together with a .HS# file. A histogram of a segment map belongs to the segment map with the same name.

.ILO

Object definition file for layouts. Stores the name and location of the map view(s) that were inserted in the layout; stores the display settings of annotation (Legend, Map Border, North Arrow, Scale Bar, Scale Text, Text, Box) inserted in the layout, and; stores inserted Bitmaps and/or Pictures completely. When the layout does not contain bitmaps or pictures, this file is an ASCII file. When the layout does contain bitmaps or pictures, the file is partly binary.

.IOC

Object definition file for object collections and database collections. ASCII file. Stores the name and location of the object definition files that are included in this object collection.

.ISF

ILWIS Script File. ASCII data file for a script, containing the commands and expressions. Always together with a .ISL file.

.ISL

ILWIS Script Language. Object definition file for a script. ASCII file. Always together with a .ISF file.

.MAT

Object definition and data file for a matrix. ASCII file. A matrix is for instance produced by the operations Principle Components and Factor Analysis.

.MP#

Binary data file for a raster map. Stores the raw values of a raster map. Always together with an .MPR file.

.MPA

Object definition file for polygon maps (A for Area). Together with an .MPAP# and an .MPAT# file, unless a dependent polygon map was not calculated yet. A polygon map uses a domain and a coordinate system. Maps of domain Class, ID or Group can have an attribute table.

.MPAP#

Binary data file for polygon maps. Stores coordinates of the bounding box around each polygon, polygon areas, length of polygon boundaries, polygon codes and contains references to the topology of the polygons. Always together with an .MPA and an .MPAT# file.

.MPAT#

Binary data file for polygon maps. Stores coordinates of polygon boundaries, coordinates of nodes, and topology information of the polygon map. Always together with an .MPA and an .MPAP# file.

.MPL

Object definition and data file for map lists. Stores the names of raster maps in the map list. ASCII file. A map list thus has a reference to a number of raster maps, and to a georeference. If a variance-covariance or correlation matrix is calculated, then the values are stored in the .MPL.

.MPP

Object definition file for point maps. ASCII file. Together with a .PT# file, unless a dependent point map was not calculated yet. A point map uses a domain and a coordinate system. Maps of domain Class, ID or Group can have an attribute table.

.MPR

Object definition file for raster maps. ASCII file. Together with an .MP# file, unless a dependent raster map was not calculated yet. Optionally, also a file for the pyramid layers (.MPY#) may exist. A raster map uses a domain and a georeference. Maps of domain Class, ID or Group can have an attribute table.

.MPS

Object definition file for segment maps. ASCII file. Together with an .MPS# file, unless a dependent segment map was not calculated yet. A segment map uses a domain and a coordinate system. Maps of domain Class, ID or Group can have an attribute table.

.MPS#

Binary data file for segment maps. Stores coordinates of intermediate points, coordinates of nodes and segment codes. Always together with an .MPS file.

.MPV

Object definition file for map views. ASCII file. Stores the names and display options of the data and annotation layers that were saved as a map view.

.MPY#

Binary file for a raster map that has been stored with pyramid layers. Stores the raw values of a raster map at all possible zoom factors (factors of 2). Always together with an .MPR and an .MP# file.

.PT#

Binary data file for point maps. Stores all point coordinates and the codes of the points. Always together with an .MPP file.

.RP!

Binary data file for an internal representation class of a point map. When a point map has an internal representation, the object definition file of the point map (.MPP) contains a reference to this .RP! file. A .RP! file is comparable to a .PR# file.

.RP@

Binary data file for an internal representation class of a polygon map. When a polygon map has an internal representation, the object definition file of the polygon map (.MPP) contains a reference to this .RP@ file. A .RP@ file is comparable to a .PR# file.

.RP#

Binary data file for a representation belonging to a domain Class, Group, or Picture. Always together with a .RPR file.

.RP$

Binary data file for an internal representation class of a segment map. When a segment map has an internal representation, the object definition file of the segment map (.MPS) contains a reference to this .RP$ file. A .RP$ file is comparable to a .PR# file.

.RP%

Binary data file for an internal representation class of a raster map. When a raster map has an internal representation, the object definition file of the raster map (.MPR) contains a reference to this .RP% file. A .RP% file is comparable to a .PR# file.

.RP^

Binary data file for an internal representation class of a picture domain. When a picture domain has an internal representation, the object definition file of the domain (.DOM) contains a reference to this .RP^ file. A .RP^ file is comparable to a .PR# file.

.RPR

Object definition file for representation. Stores the representation of raster, polygon, segment or point maps: colors, line width, etc. ASCII file. A representation for a domain type Class, Group, or Picture also has a binary data file (.RP#). A representation uses a domain.

.SMC

Object definition file for criteria trees. ASCII file. Stores references to the name(s) of the output map(s), the names of all criteria, whether these are factors, constraints or a group, the names of all input maps, and the methods of standardization and weighing.

.SMS

Object definition file for sample sets. ASCII file. Stores references to a sample map with positions of training pixels, a map list and a background map.

.STP

Object definition file for a stereo pair. ASCII file. Contains references to two input raster maps, position of fiducial marks, principal points, transferred principal points, and optional scaling points. If the stereo pair is calculated, it also stores the names of the Left and Right output raster maps.

.T2#

Binary data file for a two-dimensional table. Always together with a .TA2 file.

.TA2

Object definition file for two-dimensional tables. ASCII file. Always together with a T2# file.

.TB#

Binary data file for a table. Always together with a .TBT file.

.TBT

Object definition file for tables. Stores attribute information belonging to raster, polygon, segment, and/or point maps. ASCII file. Together with a .TB# file, unless a dependent table was not calculated yet. A table uses a domain.

The following ILWIS 2 file extensions for vector maps can be read by ILWIS 3.x: .PC#, .PD#, .PL#, .PS#, .TP# (polygons), .CD#, .SC#, .SG# (segments), .PN# (points). However, these extensions are obsolete as soon as the ILWIS 2 vector map is edited in ILWIS 3.x. Furthermore, all ILWIS 1.4 file extensions are obsolete since ILWIS 3.x.

See also:

Appendices : object definition files


Appendices : object definition files

Appendices

Object definition files

All ILWIS objects have an object definition file which stores all information on an object.

Object definition files are almost always plain ASCII files divided into sections, similar to the Windows WIN.INI and SYSTEM.INI files. In the user-interface, the relevant contents of an object definition file are shown in the properties of an object.

Object definition files list for instance:

  • the name, description, and creation time of the object,
  • the name and store type of the data files of the object,
  • references to other required objects such as domain, georeference, representation, etc.,
  • whether the object is dependent or not.

The object definition files of dependent data objects list furthermore:

  • the definition or expression of how a dependent map, table or column was created; this includes the names of the objects on which the current object depends,
  • whether the object is calculated or not, whether the object is up-to-date or not, etc.

For dependent maps and tables, in principle only the small object definition files are stored on disk. The data files are automatically calculated and stored on disk when the dependent map or table is displayed. Dependent data objects can be recalculated in case the input data have changed.

For data objects, the following object definition files exist:

.MPR | for raster maps
.MPA | for polygon maps (area)
.MPS | for segment maps
.MPP | for point maps
.TBT | for tables

For containers, the following object definition files exist:

.MPL | for map lists
.IOC | for object collections and database collections
.MPV | for map views
.ILO | for layouts
.ATX | for annotation text objects
.GRH | for graphs

For service objects, the following object definition files exist:

.DOM | for domains
.RPR | for representation
.GRF | for georeference
.CSY | for coordinate system

For special objects, the following object definition files exist:

.HIS | for histograms of raster maps
.HSA | for histograms of polygon maps
.HSS | for histograms of segment maps
.HSP | for histograms of point maps
.SMS | for sample sets
.STP | for stereo pairs
.SMC | for criteria trees
.TA2 | for two-dimensional tables
.MAT | for matrices
.FIL | for filters
.FUN | for user-defined functions
.ISL | for user-written scripts (ILWIS Script Language)

See also:

Basic concepts : properties of objects

Appendices : relations between objects

Appendices : file extensions


Appendices : keyboard shortcuts

Appendices

Keyboard shortcuts

General:

F1 | Open context-sensitive Help about the currently active window or dialog box.
Alt+F4 | Close the active window.
Alt+Tab | Show all opened Windows applications one by one.
Alt+Esc | Activate all windows and minimized windows on the desktop one by one (next applications).
Shift+Alt+Esc | Activate all windows and minimized windows on the desktop one by one (previous applications).
Ctrl+Esc | Open the Task List.

To open menus and to choose commands on menus:

Alt or F10 | Activate the menu bar of the current window. Use the Down arrow or type an underlined letter to open a menu, and use the Left and Right Arrow to move to another menu.
Alt+char | To open a menu in a window, press Alt and simultaneously the key of an underlined letter in a menu name. For instance, to open the File menu, press Alt+F.
char | To choose a menu command when a menu is opened, press the key of an underlined command name. For instance, to choose Exit on the opened File menu, press X.
Esc | Stop the activation of a menu.
Alt+Space | Open the Control Menu of a window.

Cut, Copy, Paste, Clear:

Ctrl+X | Cut: clear the (selected) contents from the active window and copy it to the clipboard.
Ctrl+C | Copy the (selected) contents of the active window to the clipboard.
Ctrl+V | Paste the contents of the clipboard into the active window.
Del | Clear the (selected) contents from the active window.
Shift+Del | Cut: clear the (selected) contents from the active window and copy it to the clipboard.
Ctrl+Ins | Copy the (selected) contents of the active window to clipboard.
Shift+Ins | Paste the contents of the clipboard into the active window.
PrintScrn | Copy the entire screen/desktop to the clipboard.
Alt+PrintScrn | Copy an entire active window to clipboard including title bar, menu bar, window borders etc.

Main window:

Help | F1 | Open Help on Main window.
Move cursor | Arrows | When an item is selected in the Operation-tree or Operation-list or in the Catalog, the cursor moves up and down in the Operation-tree or Operation-list, or up, down, to the left or to the right in the Catalog.
 | PgUp,PgDn | When an item is selected in the Operation-tree, Operation-list or in the Catalog, the cursor moves up or down in the Operation-tree, Operation-list or in the Catalog.
 | Character | In the Operation-tree, Operation-list and in the Catalog, the cursor moves to the next item beginning with that character.
Clear cmdline | Esc | The cursor is located on the command line, Esc will clear the command line.
Close | Alt+F4 | Close the Main window and thus leave ILWIS.

Map window:

Help | F1 | Open Help on map window.
Redraw map | F5 | Redraw the map; the color lookup table is re-initialized.
 | Ctrl+R | Redraw the map; the color lookup table is re-initialized.
Copy | Ctrl+C | Copy the contents of the map window to the clipboard.
 | Ctrl+Ins | Copy the contents of the map window to the clipboard.
Paste | Ctrl+V | Paste the contents of the clipboard into a map window as a new annotation layer.
 | Shift+Ins | Paste the contents of the clipboard into a map window as a new annotation layer.
Zoom | Ctrl+I | Zoom in on the center of the map window with a factor 2.
 | Ctrl+O | Zoom out with a factor 2.
 | Ctrl+E | Display the entire map.
Move cursor | Arrows | Move the cursor 1 screen pixel up, down, to the left or to the right.
 | Ctrl+Arrow | Move the cursor 10 screen pixels up, down, to the left or to the right.
Scrolling | PgUp | Scroll upwards (100 screen pixels).
 | PgDn | Scroll downwards (100 screen pixels).
 | Home | Scroll to the left (100 screen pixels).
 | End | Scroll to the right (100 screen pixels).
 | Ctrl+PgUp | Scroll to the first line of the current column.
 | Ctrl+PgDn | Scroll to the last line of the current column.
 | Ctrl+Home | Scroll to the first column of the current line.
 | Ctrl+End | Scroll to the last column of the current line.
Print | Ctrl+P | Print the contents of the map window.
Close | Alt+F4 | Close a map window.

All editors:

F1 | Help on the current editor.
Enter | Edit code of selection.

Pixel editor/Sample set editor:

Arrows | Move the pixel selection cursor 1 pixel up, down, to the left, or to the right.
Shift+arrows | Move the pixel selection cursor 1 pixel up, down, to the left, or to the right, and switch the selection of this pixel: deselect it when it was selected, and select it when it was not yet selected.
Ctrl+arrows | Move the pixel selection cursor 1 pixel up, down, to the left, or to the right, and add this pixel to the selection.
Shift+Ctrl+arrows | Move the pixel selection cursor 1 pixel up, down, to the left, or to the right, and deselect this pixel from the selection.
Space | Switch the selection of this pixel: deselect it when it was selected, and select it when it was not yet selected.
Esc | Clear the current selection.
Del | Clear the current selection.

Copy and Paste in the pixel editor:

Cut | Copy the selected pixels into the clipboard, and clear the selection. The clipboard contains the pixels in point format as well as in table format; so you may paste the pixels as points into a point map or into any table.
Copy | Copy the currently selected pixels into the clipboard. The clipboard contains the pixels in point format as well as in table format; so you may paste the pixels as points into a point map or into any table.
Paste | On the coordinates of the points in the clipboard: paste the point codes into the current map.

Polygon editor:

Esc

Switch to Select mode.

Segment editor:

Esc

Switch to Select Mode, or
when entering a segment: stop entering the segment, and return to the situation before starting to enter this segment; or
when moving a point: stop moving the point, and return to the situation before starting to move this point.

Point editor:

Esc

Switch to Select Mode.

Copy and Paste in the point editor:

Cut | Delete the selected points and copy them into the clipboard. The clipboard contains the points also in table format; so you may paste it into any table.
Copy | Copy the currently selected points into the clipboard. The clipboard contains the points also in table format; so you may paste it into any table.
Paste | Pastes points in the clipboard into the current map.

Annotation Text editor:

Esc | Clear the current selection.
Ins | Insert a new annotation text item.
Del | Delete the currently selected text items.

For one or more selected text items:

Shift + F | To select another font;
Shift + S | To change the font size;
Shift + B | Toggle between bold / not bold;
Shift + I | Toggle between italics / not italics;
Shift + U | Toggle between underlined / not underlined;
Shift + C | To select another color;
Shift + J | To select another justification method;
Shift + T | Toggle between transparent / not transparent;
Shift + R | To specify another rotation.

Copy and paste in the Annotation Text editor:

Cut | Delete the selected annotation text items and copy them into the clipboard. The clipboard contains the text items, each one on a new line.
Copy | Copy the currently selected annotation text items into the clipboard. The clipboard contains the text items, each one on a new line.
Paste | Pastes the first line in the clipboard as a new text item into the current annotation text object. The new text item will be displayed on the map in the annotation text editor.

Table window:

Ctrl+G | Goto a specific record.
Esc | Clear the current selection, or clear the command line.
Scrolling | PgUp | scroll 10 records up.
 | PgDn | scroll 10 records down.
 | Ctrl+Home | scroll vertically to the top field of the table.
 | Ctrl+End | scroll vertically to the bottom field of the table.
 | Ctrl+PgDn | scroll 4 columns to the right.
 | Ctrl+PgUp | scroll 4 columns to the left.

When editing a table:

Left arrow | Move one character to the left within the active field, or when editing a field of a domain type Class column: select the previous class in the class list.
Right arrow | Move one character to the right within the active field, or when editing a field of a domain type Class column: select the next class in the class list.
Ctrl+Left | Move to the previous word in the active field.
Ctrl+Right | Move to the next word in the active field.
Home | Move to the beginning of the active field.
Ctrl+Home | Move to the beginning of the active field.
End | Move to the end of the active field.
Ctrl+End | Move to the end of the active field.
Esc | Stop editing, do not save the contents current field.
Enter | Accept the contents of the current field.
Up Arrow | Accept the contents of the current field and move one field up.
Down Arrow | Accept the contents of the current field and move one field down.
Tab | Accept the contents of the current field and move one field to the right.
Shift+Tab | Accept the contents of the current field and move one field to the left.
Shift+Up | Accept the contents of the current field and move 10 fields up.
Shift+Down | Accept the contents of the current field and move 10 fields down.
Ctrl+Tab | Accept the contents of the current field and move 5 fields to the right.
Ctrl+Up | Accept the contents of the current field and move 100 fields up.
Ctrl+Down | Accept the contents of the current field and move 100 fields down.

Copy and Paste in a table window:

Copy | Copies the current selection to the clipboard.
Paste | Pastes the contents of the clipboard into the currently selected fields.

Dialog boxes:

F1 | Open Help for this dialog box.
Tab | Move to the next option or area in the dialog box.
Shift+Tab | Move to the previous option or area in the dialog box.
Alt+char | To move to certain dialog box item, press Alt and simultaneously the key of an underlined letter in the dialog box.
Space | When the currently selected item in the dialog box is a check box, press the space bar to select or clear this check box. When the currently selected item in the dialog box are option buttons, press the space bar to select the next option.
Enter | Close the dialog box and perform the action according to the parameters used in the dialog box (OK). If a parameter is not correctly selected, the dialog box remains open and the incorrect entry is highlighted.
Esc or Alt+F4 | Close the dialog box without performing any action (Cancel).

See also:

Appendices : Mouse functions

Windows features : using a menu

Windows features : using a dialog box


Appendices : mouse functions

Appendices

Mouse functions

Objects in Catalog:

Move mouse | Shows the description of the object on the status bar.
Click | Shows the double-click action on the command line.
Double-click | Opens the object in a new window or shows it in a dialog box. Exceptions: double-clicking a filter opens the Filter operation dialog box; and double-clicking a script runs the script.
Right mouse click | A context-sensitive menu appears which lists the operations and other commands that can be performed on the object.
Drag to other object | Performs the operation as described on the status bar. The operation's dialog box is displayed. The dragged object is already selected in this dialog box.
Drag to operation | Performs the operation as described on the status bar. The operation's dialog box is displayed. The dragged object is already selected in this dialog box.
Drag to map window | Adds the dragged map to the map window. Also, georeferences and coordinate systems may be dragged to a map window.
Drag to pixel info window | Adds this map (and its attribute table) to the pixel info window.
Drag to drop-down list box | You can drag an ILWIS object from the Catalog to a drop-down list box in a dialog box: the dragged object is selected.

Operations in the Operation-list:

Move mouse | Shows the description of the operation on the status bar.
Click | Shows the double-click action on command line.
Double-click | The operation's dialog box is displayed.

Map window:

Move mouse | The status bar displays the current Column Row number, XY-coordinates, geographic coordinates.
Left mouse down | Shows the code of the element located at the mouse pointer, of the top most layer in the map window which has option Info active.
Right mouse click | A context-sensitive menu appears which gives some short cuts to go to Normal pointing mode, to Zoom In, Zoom Out, or Pan, to Display the Entire Map, or to re-specify display options of all layers that were added to the map window.
Double-click | Depending on how you defined the double-click action: Attributes, Representation, or Execute Action of the top most layer in the map window of which the Info check box has been selected (in the Display Options dialog box of a layer).

All editors:

Click | Clear the current selection and select this element.
Shift+click | Switch selection: when you click on already selected elements, then these are deselected; when you click on non-selected elements, then these are selected.
Ctrl+click | Add element to selection.
Ctrl+Shift+click | Remove element from selection.
Double-click | Edit the code of the element that was double-clicked.
Right mouse click | A context-sensitive menu appears which lists actions related to the editor.

Pixel editor and Sample set editor:

Move mouse | The code of the element at the mouse pointer is displayed on the status bar.
Click | Select the pixel; use Shift and Ctrl modifiers as described above.
Drag rectangle | Select all pixels in the area; use Shift and Ctrl modifiers as described above.

Point editor

Point editor - Select mode:

Click | Select the point; use Shift and Ctrl modifiers as described above.
Drag rectangle | Select all points in the area; use Shift and Ctrl modifiers as described above.
Double-click | Edit the code of the point.

Point editor - Add Point mode:

Click

Add a point and immediately edit its code.

Point editor - Move Points mode:

Drag | Take a point and move it to a new position.
Release left mouse | Drop the point at this position.

Segment editor

Segment editor - Select mode:

Click | Select the segment; use the Shift and Ctrl modifiers as described above.
Double-click | Edit the code of the segment.

Segment editor - Add mode:

Click

Enter a segment coordinate. If this is the first coordinate of a new segment, a begin node is created.

  • If AutoSnap is not active, this side of the segment is a loose end.
  • If AutoSnap is active (default) and you start a new segment on top of an existing segment, then the new segment is automatically snapped to the existing one.

Shift+click

Snap to an existing node (to begin or to end a segment).

Ctrl+click

Split and Snap: create a node in an existing segment and snap to it (to begin or to end a segment).

Left Mouse + move

Enter segment coordinates.

Right Mouse

While entering segment coordinates: delete the last coordinate. When the begin node of a segment is reached, this is also removed.

Double-click

While entering segment coordinates: create an end node for this segment. This side of the segment is a loose end.

Shift+release left mouse

While entering segment coordinates: snap to an existing node (to end a segment).

Ctrl+release left mouse

While entering segment coordinates: split and snap: create a node on an existing segment and snap to it (to end a segment).

AutoSnap active:

The option AutoSnap makes the use of Shift and Ctrl keys redundant:

  • when starting a segment on top of an existing one, a node to connect both segments is automatically created and
  • when entering segment coordinates and releasing the left mouse button on top of an existing segment, a node to connect both segments is automatically created.

Segment editor - Move Points mode:

Drag | Take a node or an intermediate segment coordinate and move it to a new position.
Release left mouse | Drop the node or intermediate segment coordinate at this position.
Shift+release left mouse | When moving nodes: snap the moved node to an existing node.

Polygon editor

Polygon Editor - Select mode:

Click

Select the polygon.

Shift+click

Switch selection:

  • when you click on an already selected polygon, then deselect it;
  • when you click on a non-selected polygon, then select it.

Ctrl+click

Add the polygon to the selection.

Double-click

Edit the code of the polygon.

Annotation Text editor:

Double-click | Double-click at a new position to insert a new text item. Double-click an existing text item to modify text, XY- or RowCol position or change settings like font, font size, color, etc.
Select+drag | Moves the selected text item(s) to another position.
Select+Ctrl+drag | Makes a duplicate of the selected text item(s).
Drag rectangle | Selects all text items in the area.

Table window:

Drag rectangle on fields | Select fields.
Drag column button | Move the column to another position in the table (i.e. change the order of columns).
Drag column button edge | Change the width of the column.
Drag on row buttons | Select the records.
Click field | Edit the field.
Shift+click field | After selecting a field, use Shift+click on another field to select all fields in between.
Click column button | Select the column.
Shift+click column button | After selecting a column, use Shift+click on another column button to select all columns in between.
Click row button | Switch to record view.
Shift+click row button | After selecting records, use Shift+click on another row button to selects all records in between.
Click upper left button | Switch to record view.
Double-click column button | Change the properties of the column.

Drop-down list box in a dialog box:

In a drop-down list box in a dialog box, directories and drives are listed besides the ILWIS objects.

Click directory | Go to that directory, and show the objects in that directory.
Click drive | Go to that drive, and show the objects and directories on that drive.

See also:

Appendices : keyboard shortcuts


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

Aggregate map

Aggregate statistics

Anaglyph

Anisotropic Kriging

Annotation

Annotation layers

Annotation Text

Annotation Text editor

Apply 3D

Area numbering

Assign labels to polygons

Assign labels to segments

Attribute map of point map (operation)

Attribute map of polygon map (operation)

Attribute map of raster map (operation)

Attribute map of segment map (operation)

Attribute table

Autocorrelation and semivariance of raster map

B

Bitmap

Boxes

C

Calculations

Catalog

Catchment extraction

Catchment merge

Change domain of table (operation)

Check boxes in a dialog box

Class coverage statistics

Classify

Clustering

CoKriging

Color composite

Color separation

Column

Command buttons in a dialog box

Command line in Main window

Command line in Table window

Commands on the Command line

Compound Index calculation

Confusion matrix

Constraints (SMCE)

Context-sensitive menus

Contour interpolation

Coordinate system

Coplanar tiepoints in a georef direct linear

Correlation matrix (operation)

Create button in a dialog box

Criteria tree

Cross

Cross Variogram

Cumulative hypsometric curve

D

Data layers

Data objects

Data window

Database collections

DDE

Definition of dependent data objects

DEM optimization

DEM visualization

Densify raster map

Densify segment coordinates

Dependent data objects

Display 3D

Display options

Distance calculation

Domains

Domain Class/ID editor

Drag and drop

Drainage network extraction

Drainage network ordering

Drop-down list boxes in a dialog box

Dynamic Data Exchange

E

Editors

Epipolar stereo pair

Expressions on the Command line

F

Factor analysis

Factors: Benefits and Costs (SMCE)

Fill sinks

Filtering

Filters

Find datum transformation parameters

Flow accumulation

Flow direction

Function editor

Functions

G

Georeference

Georeference 3D editor

Georeference tiepoints

Glue point maps

Glue raster maps

Glue segment maps

Glue tables

Graphs

Graph window

Graticule

Grid lines

H

Histogram (object)

Histogram (operation)

Horton statistics

I

ID Grid map

ILWIS commands on the Command line

ILWIS data objects and their icons

ILWIS expressions on the Command line

ILWIS objects

Iteration

K

Kriging

Kriging from Raster

L

Layers

Layout editor

Layouts

Legends

List boxes in a dialog box

Long object names

M

Main window

Map calculation

Map list

Map view

Map window

Mask

Mask points

Mask polygons

Mask segments

Matrices

Metafile

Mirror rotate raster map

Monoplotting

Moving average

Moving surface

N

Navigator

NDVI

Nearest point

Neighbour polygons

North arrow

O

Object collections

Object definition files

Object names

Objects

Operation-list

Operation-tree

Operations

Optimum Index Factor

Option buttons in a dialog box

Orthophoto

Overland flow length

P

Pattern analysis of points

Picture (Windows metafile)

Pixel editor

Pixel information window

Pocket line calculator

Point density

Point editor

Point interpolation

Point map

Point statistics

Points to raster

Polygon editor

Polygon map

Polygons to points

Polygons to raster

Polygons to segments

Precision

Principal components

Progress manager

Properties of an object

R

Raster map

Raster to points

Raster to polygons

Raster to segments

Representation

Representation Class editor

Representation Value/Gradual editor

Resample

S

Sample set

Sample set editor

Sampling

Scale bar

Screen digitizing

Script editor

Scripts

Segment density

Segment direction histogram

Segment editor

Segment map

Segments to points

Segments to polygons

Segments to raster

Service objects

Show map list as color composite

Show map list as slide show

Slicing

Source map for distance calculation

SMCE

SMCE Constraints

SMCE Factors: Benefits and Costs

Spatial correlation of points

Spatial Multi-Criteria Evaluation (SMCE)

Special objects

Status bar

Stereo pair

Stereo pair from DTM

Stereoscope

Stretch

Sub-map of point map

Sub-map of raster map

Sub-map of segment map

T

Table

Table calculation

Table to point map

Table window

Texts

Text boxes in a dialog box

Toolbar

Topological optimization

Transform coordinates

Transform point map

Transform polygon map

Transform segment map

Transpose table

Travel time map

Trend surface

Tunnel segments

Two-dimensional tables

U

Unique ID

Universal Kriging

User-defined filters

User-defined funtions

V

Value range

Variable threshold computation

Variance-covariance matrix (operation)

Variogram surface

Z

Zoom in


Index

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

Add ...

Aggregate map

Aggregate statistics

Aggregating column values

Anaglyph

Anisotropic Kriging

Annotation

Annotation Text

Annotation Text editor

Appendices

Apply 3D

Area numbering

Aspect map

Assign labels to polygons

Assign labels to segments

Attribute map of point map

Attribute map of polygon map

Attribute map of raster map

Attribute map of segment map

Attribute tables

Autocorrelation-semivariance

B

Basic concepts

Break dependency links

C

Calculate ...

Calculate (advanced) ...

Catalog

Catchment extraction

Catchment merge

Change ...

Change domain of map (How to ...)

Change domain of table (operation)

Check segments

Chi-square test

Class coverage statistics

Classify (operation)

Classifying maps or columns ...

Cluster

CoKriging

Color composite

Color composite (interactive)

Color separation

Column management

Column properties

Column statistics

Columns

Command line in Main window

Command line in Table window

Commands and expressions (App.)

Compound Index calculation

Confidence interval maps

Confusion matrix

Contour interpolation

Coordinate system Tiepoint editor

Coordinate systems

Coplanarity of tiepoints in a georef Direct Linear

Correlation (columns)

Correlation matrix

Covariance (columns)

Covariance matrix

Create ...

Create attribute map

Criteria trees (object)

Cross

Cross Variogram

Cross-section through terrain

Cumulative hypsometric curve

Customize ...

D

Data objects

Database collections

Databases

DDE

Definition of dependent data objects

DEM Hydro-Processing

DEM optimization

DEM visualization

Densify raster map

Densify segment coordinates

Dependent data objects

Digitizing

Display 3D

Display maps and tables

Display options

Distance calculation

Domain Class/ID editor

Domains

Drag and drop

Drainage network extraction

Drainage network ordering

Dynamic Data Exchange

E

Edit ...

Epipolar stereo pair (operation)

Epipolar stereo pair - creation window

Epipolar stereo pairs (object)

Export (dialog box)

Export (How to ...)

Export (through script)

Expressions

Extensions

F

Factor analysis

File extensions

Fill sinks

Filter (operation)

Filter types

Filters

Find datum transformation parameters

Flow accumulation

Flow direction

Function editor

Functions (alphabetical overview)

Functions (functional overview)

Functions (user-defined)

G

Georeference

Georeference 3D editor

Georeference Tiepoints editor

Glue point maps

Glue raster maps

Glue segment maps

Glue tables

Graphs

Graph window

H

Histogram (object)

Histogram (operation)

Horton statistics

How to ...

Hydrologic operations

I

ID Grid map

ILWIS commands (App.)

ILWIS commands and expressions (App.)

ILWIS expressions (App.)

ILWIS introduction

ILWIS objects and icons

ILWIS operations

ILWIS operations (quick reference)

ILWIS window types

Image Processing

Import (dialog box)

Import (How to ...)

Import (through script)

Interactive color composite

Interpolation

Iteration

J

Join

K

Keyboard shortcuts

Kriging

Kriging from Raster

L

Layer management

Layers in a map window

Layout editor

Layouts

Least squares fit

Line types (segments)

Link between maps and tables

Long object names

Low level command line language

M

Main window

Map calculation

Map lists

Map views

Map window

Mask points

Mask polygons

Mask segments

Matrices

Measure distance

Menu commands

Mirror/Rotate

Monoplotting

Mouse functions (App.)

Moving average

Moving surface

N

Nearest point

Neighbour polygons

Neighbourhood operations

O

Object collections

Object definition files

Object names

Object properties

Open object as table

Operation-list

Operations

Optimum Index Factor

Orthophoto

Overland flow length

P

Paste data into a table window

Pattern analysis

Pixel editor

Pixel information window

Point density

Point editor

Point interpolation

Point map properties

Point maps

Point statistics

Point symbols

Points to raster

Polygon editor

Polygon map properties

Polygon maps

Polygonize segments

Polygons to points

Polygons to raster

Polygons to segments

Preferences

Principal Component Analysis

Progress manager

Projections

Properties of an object

Pyramid layers

R

Raster Kriging

Raster map definition

Raster map properties

Raster maps

Raster operations

Raster to points

Raster to polygons

Raster to segments

Rasterize

Regression

Relations between ILWIS objects

Release disk space

Representation

Representation Class editor

Representation Value/Gradual editor

Resample

S

Sample set editor

Sample sets

Screen digitizing

Script editor

Script language (syntax)

Scripts

Segment density

Segment direction histogram

Segment editor

Segment map properties

Segment maps

Segments to points

Segments to polygons

Segments to raster

Semi-variogram (graph)

Semi-variogram values (point data)

Service objects

Show stereopair as anaglyph

Show stereopair with stereoscope

Slicing

Slicing (interactive)

Slide show

Slope map

Spatial correlation

SMCE

SMCE Weigh methods (additional info)

Spatial Multi-Criteria Evaluation (SMCE)

Special objects

Standard deviation (columns)

Standard error (columns)

Standard filters

Start operations

Statistics

Status bar

Stereo pair - Stereoscope window

Stereo pair from DTM

Stereo pairs (object)

Stretch

Sub-map of point map

Sub-map of segment map

Sub-map of raster map

T

Table calculation

Table properties

Table operations

Table to point map

Table window

Tables

Thiessen map

Tiepoint editor

Topological optimization

Transform point map

Transform polygon map

Transform segment map

Transpose table

Travel time map

Trend surface

T-test

Tunnel segments

Two-dimensional tables

U

Unique ID (operation)

Universal Kriging

Use ...

User-defined filters

User-defined functions

V

Variable threshold computation

Variance (columns)

Variance-Covariance matrix

Variogram surface

Vector operations

Vectorize

Views

Visualization

W

Windows features


How to aggregate

How to aggregate ... UP

column values


How to use representations

Representation types

Representations can be created and selected depending on the domain of the map.

For maps with a class domain or group domain, you have to create and edit a user-defined representation Class (1).

For maps with a value domain or the image domain, two types of representations are available: representation Value (2) and representation Gradual (3).

Maps with a domain ID can only be displayed in 1, 7, 15, or 31 system colors.

1. Representation Class:

A representation Class is user-defined: colors have to specified for all classes in a certain class domain, see Representation Class editor. Each class is represented by a specific color. You can create multiple representations for the same domain.

2. Representation Value:

A representation Value is user-defined: colors can be specified for different values in a certain Value domain, see Representation Value/Gradual editor. You can specify the colors for the smallest and largest values in the domain and insert other breakpoints/limits as required.

Each value is represented by a specific color. You can create multiple representations for the same domain.

3. Representation Gradual:

A number of system representations Gradual are available:

  • Gray: from black to white (default for images).
  • Inverse: from white to black.
  • Pseudo: from blue via green to red.
  • Red, Green, Blue, Yellow, Magenta, Cyan: from black to pure color.
  • ClrStp6, ClrStp8, ClrStp10, ClrStp12: 6, 8, 10, 12 times from black to a pure color; pure colors ranging from blue to magenta. Useful for DEMs, distance maps, etc.

A representation Gradual can also be user-defined. The domain of a representation Gradual is the system domain Value. Each value in the map is stretched to a percentage value between 0 and 100; each percentage value is represented by a specific color, see Representation Value/Gradual editor. You can specify the colors for 0% and 100% and insert other breakpoints/limits as required. Representations Gradual can be used for all maps with a value domain.

Domain and representation

All maps with the same domain are displayed with the same representation. Every domain is always linked to one representation.

To view which representation is currently used by a certain domain, or to select or to create a new representation, open the Display Options dialog box or the Domain Properties dialog box.

To obtain a Display Options dialog box:

  • in the Catalog, double-click a map, or
  • from the File menu in the Main window, choose Open, and select a map, or
  • in a map window, open the Layers menu, choose the Display Options command, and select the layer, or
  • in a map window, open the Layers menu, choose the Layer Management command, select the layer and click the Display Options button, or
  • in a map window, use the right mouse button, and select a layer from the context-sensitive menu.

To obtain a Domain Properties dialog box:

  • from the Edit menu of the Main window, choose Change Properties and select a domain Class, Group or Value, or
  • select a domain Class, Group or Value in the Catalog, use the right mouse button, and select Properties from the context-sensitive menu, or
  • in a domain Class editor, open the Edit menu, and choose the Properties command.

Using representations

To create a new representation for a domain Class, Group, Value or Image:

  • in a Display Options dialog box of a domain Class, Group or Value map or an Image, click the little create button next to the representation list box, or
  • in a Domain Properties dialog box, create a new representation through the little create button, or
  • from the File menu of the Main window, choose Create Representation, or
  • in the Operation-list, double-click icon New Repr.

To link another representation to a domain:

  • in a Display Options dialog box of a domain Class, Group, Value map, or Image select another representation, or
  • in a Domain Properties dialog box, select another representation.

To edit an existing representation:

  • when a map with a domain Class, Group, Value or Image is displayed in a map window, open the Edit menu in the map window, choose Representation, or
  • when a map with a domain Class, Group, Value or Image is displayed in a map window, set the double-click action in the map window to Edit Representation, and double-click a unit in a domain class map, or
  • in the Catalog, double-click a user-defined representation, or
  • in the Catalog, double-click a domain Class, Group, or Value, then choose Representation from the Edit menu, or
  • in the domain Class/ID editor, open the Edit menu and choose the Representation command.

For more information on Representation editors, see How to edit a representation.

See also:

ILWIS objects : representation

How to create a representation

How to edit a representation


ILWIS objects : graphs

ILWIS objects

Graphs

A graph can be created from columns in a table.

You can either create a so-called graph from columns (displayed as points, bars, line, step or needle), or a rose diagram. The graph will be shown in a graph window.

After you displayed a graph from columns, you can add graphs from formula, a least squares fit, or a semi-variogram model. The graphs are shown in the graph window. The different graph layers will furthermore appear in the Graph Management pane.

For more information on a graph window and on types of graphs, refer to Graph window : functionality and Graph window : examples of graphs.

A saved graph contains all necessary display options to redisplay the graph after the graph window has been closed.

Names of graphs:

In ILWIS 3, object names comply with Windows long file names. Also Universal Naming Convention (UNC) paths are supported. For more information, see How to use long object names.

To create a new graph:

To obtain a graph window containing a new graph:

  • open the table which contains the column(s) from which you wish to create a graph,
  • choose Create Graph or Create Rose Diagram from the File menu in the table window.

The Create Graph dialog box or the Create Rose Diagram dialog box will be opened. After you selected the column(s), a new graph window will be opened.

To create a graph, you can also:

  • click the Graph button [image] in the toolbar of a table window,
  • use the New Graph command in the Operation-tree or the Operation-list, or
  • click a table with the right mouse button in a Catalog, and choose the Create Graph or the Create Rose Diagram command from the context-sensitive menu.

The graph will be shown in a Graph window.

To edit a graph:

  • In the Catalog, double-click a graph,
  • select a graph in the Catalog, open the Edit menu in the Main window and choose Edit Object, or
  • in the Catalog, click a graph with the right mouse button, and select Open from the context-sensitive menu.

The graph will be opened in a Graph window.

You can also open existing graphs from within a graph window.

In a graph window, you can add graph layers, show/hide graph layers, remove graph layers, change the appearance of a graph layer (Graph Options), adapt the axes of the graph, etc. The final graph can be saved; you can furthermore print the graph, copy it to the clipboard, etc. For more information, refer to Graph window : functionality and Graph window : Graph Management.

Technical information:

Graphs consist of an ASCII object definition file (.GRH). This file contains references to the table(s) that contain the columns from which the graph was created. Furthermore, it stores among others the display settings of the graphs layers and the display settings and domains used by the axes.

By opening the properties of a graph, you can see on the Contains tab, the table name(s) that contain the columns from which the graph was constructed. For more information, see the Graph Properties sheet.

See also:

Graph window : functionality

Graph window : Graph Management


Status bar

The status bar is by default displayed at the bottom of a window. The states line gives a brief explanation on selected menu commands, on the functionality of buttons in a toolbar and it may give additional information when the mouse pointer is located in the Catalog, a map window, a table window, the pixel information window or an editor.

Information on menu commands:

Open a menu, and drag the mouse pointer along the commands on the menu, the status bar displays information that helps explain the task of the highlighted menu command. You can also use the UP ARROW and DOWN ARROW keys on the keyboard to move through the commands on a menu.

Information on buttons in the toolbar:

Move the mouse pointer over a button in the toolbar; the status bar gives a short explanation of the function of the button.

To hide or show the status bar:

You can hide the status bar by selecting the Status Bar command from the View or the Options menu. The check mark [image] to the left of the Status Bar command disappears, and the status bar will no longer appear in your window. When you choose the command again, the check mark will reappear and the status bar will be shown.

For details that are displayed on the status bar when the mouse pointer is located in the Catalog, Operation-list, a map window, a table window, the pixel information window, or an editor, see:

  • Main window : status bar
  • Map window : status bar
  • Table window : status bar
  • Pixel information window : status bar


Windows features : control-menu

Windows features

Control menu

To open the Control menu, click the Control-menu box (in ILWIS represented by a small ILWIS related icon) in the upper left corner of a window, or click the title bar of a window with the right mouse button.

With the Control menu you can close, minimize or maximize a window, move a window, restore an icon to a window etc. For dialog boxes and Property sheets, the Control menu can also be used to copy the contents to the clipboard or to print the contents. The Control menu is especially convenient if you use the keyboard rather than the mouse. Open the Control menu for a window by selecting the Control-menu box in the upper-left corner of a window, or press Alt+Spacebar on the keyboard. When a window is minimized to icon on the Windows taskbar, you can open the Control menu by clicking the icon on the taskbar with the right mouse button.

Control menu commands:

Restore | Restore a window to its former size after you have enlarged (maximized) it or reduced (minimized) it to an icon.
Move | Move the window to another position by using the keyboard.
Size | Change the size of the window by using the keyboard.
Minimize | Reduce the window to an icon.
Maximize | Enlarge a window to its maximum size.
Close | Close the window. If you close the ILWIS Main window, you close all ILWIS data windows and you exit ILWIS.
ILWIS | Switch to ILWIS Main window.

When you double-click the Control-menu box in the ILWIS Main window, you close all ILWIS windows and you exit ILWIS. When you double-click the Control-menu box in an ILWIS data window, you close that data window. When you double-click an icon, the icon is restored to a window.

See also:

Windows features : introduction

Windows features : parts of a window

Windows features : using a menu

Windows features : using a dialog box


Windows features : introduction

Windows features

Introduction

To learn and practice basic Windows functions, it is recommended to read some Windows Help; use for instance the Index tab in the Windows Help to find topics on Introduction and Welcome.

The map windows, table windows etc., in which ILWIS displays data, have some common Windows features:

Moving a window:

A window can be moved over your desktop by dragging the title bar of a window to a new position: position the mouse pointer on the title bar, press the left mouse button and hold it down, and move the mouse pointer to a new position, then release the left mouse button.

Changing the size and shape of a window:

A window can be sized by dragging its borders. Select the window you want to resize, point to a border or a corner of a window, the cursor changes into a two-headed arrow, drag (press the left mouse button and hold it down) the border or corner until the window has the size you want, then release the mouse button.

A window cannot be resized when a map or table is already entirely displayed in a window.

Resizing a window is possible when the border of a window consists of double lines.

Maximize:

A window can be enlarged to the full size of your screen:

  • by clicking the maximize button (the delta-up button at the upper-right corner of a window), or
  • by clicking the Control-menu box in the upper-left corner of a window to open the Control menu, select the Maximize command, or
  • by double-clicking the title bar of a window.

To restore a window, double-click the title bar again. When two or more windows are open and you maximize one of them, all the others are covered up by the maximized one.

Restoring a window to its previous size: (after maximize)

A window is restored to its previous size by clicking the restore button, i.e. the double-delta button at the upper-right corner of a maximized window. You can also restore a window to its previous size by double-clicking the title bar. Another way is to click the Control-menu box and select Restore from the menu.

Minimize:

A window can be reduced to an icon on the desktop if you want the window or application available for later use. To reduce a window to an icon:

  • click the minimize button (the delta-down button at the upper-right corner of a window), or
  • click the Control-menu box in the upper-left corner of the window to open the Control menu, select the Minimize command.

After a window is reduced to an icon, you can select and move the icon in the same way you select and move a window. See also: icons of minimized ILWIS windows.

Restoring an icon: (after minimize)

An icon can be restored to a window by double-clicking it. You can also click the minimized icon and select Restore from the Control menu.

Using scroll bars:

When an ILWIS map or table cannot be entirely displayed in a window, scroll bars appear at the right and/or bottom of the window. You may have both a horizontal and vertical scroll bar or only one of them, depending on the size of your map/table in the window. You can use the scroll bars to view information that does not fit in the window.

The buttons with the arrows are called scroll arrows, the area between the scroll arrows is called the scroll bar, and the button in the scroll bar is called the scroll box.

The best ways to use the scroll bars in ILWIS are:

  • Click above or below the scroll box on the vertical scroll bar: the contents of the window will scroll vertically.
  • Click to the left or right of the scroll box on the horizontal scroll bar: the contents of the window will scroll horizontally.
  • Drag the scroll box in a scroll bar to the position you want. The section of the map/table that moves into view depends on where you position the scroll box. For example, if you position the scroll box half way down the vertical scroll bar, the contents halfway the map/table appear.

Using scroll bars can be convenient when you have zoomed in on a map.

Closing a window:

A window can be closed:

  • from the File menu, choose Exit,
  • by double-clicking the Control-menu box,
  • from the Control menu, choose Close, or
  • by pressing Alt+F4 on the keyboard.

When you close the ILWIS Main window, you will close all ILWIS windows and leave ILWIS. When you close an ILWIS data window, you close the window in which a map, table, or pixel information is displayed.

See also:

Windows features : parts of a window

Windows features : using a menu

Windows features : Control menu

Windows features : using a dialog box

Status bar


Windows features : parts of a window

Windows features

Parts of a window

Most windows have certain elements in common, such as a title bar and a menu bar. Not all windows, however, have every element.

The Control-menu box is in the upper-left corner of each window; it is generally represented by a small icon that belongs to the program/application you are running. Click the Control-menu box to open the Control menu. The Control menu is most useful if you use the keyboard rather than the mouse to move, size, and close a window.

The title bar shows the name of the application, map, or table. If more than one window is open, the title bar of the active window has a color and intensity different from other title bars.

The menu bar contains available menus from which you can choose commands.

The scroll bars enable you to move through a map or table when the entire map or table does not fit in the window. Click the scroll arrows with the mouse to move through a map or table.

Clicking the Close button [image] in the upper right corner of a window closes the window. You can also use the Close command on the Control menu.

Clicking the Maximize button [image] in the upper right corner of a window enlarges the active window so that it fills the entire desktop. You can also use the Maximize command on the Control menu.

The Restore button [image] replaces the Maximize button after you enlarge a window. Clicking the Restore button in the upper right corner of a window returns the window to its previous size. You can also use the Restore command in the Control menu.

Clicking the Minimize button [image] in the upper right corner of a window reduces the active window to an icon on the Windows taskbar. You can also use the Minimize command on the Control menu.

The window border is the outside edge of a window. You can change the size of a window by lengthening or shortening the border on each side of a window. You can only resize a window when just a part of the map or table is displayed in a window.

Moving the window corner shortens or lengthens two adjoining sides of a window border at the same time. You can only resize a window when just a part of the map or table is displayed in a window.

The insertion point (a flashing vertical bar) marks the place where text appears when you begin typing.

The mouse pointer or cursor appears if you have a mouse installed. When you move the mouse, the position of the pointer changes on the screen. The shape of the pointer may vary; normally an arrow but for instance a hand when in an editor.

The status bar is shown at the bottom of a window. The status bar gives short clues on menu commands, on the effect of buttons in the toolbars, and in some cases displays additional information on actions in a window.

See also:

Windows features : introduction

Windows features : using a menu

Windows features : Control-menu

Windows features : using a dialog box

Status bar


Windows features : using a dialog box

Windows features

Using a dialog box

A dialog box appears when you need to supply additional information to complete a task.

Most dialog boxes contain options you can select. After you specify options, you can choose the OK button to carry out the command. Some dialog boxes may display information, warnings, or messages indicating why a requested task cannot be accomplished. You can move a dialog box to another location on the screen by dragging its title bar.

To move within a dialog box:

The currently selected option within a dialog box appears as a highlight, a dotted rectangle, or both.

To move to another option in a dialog box:

  • click the option or area with the mouse, or
  • press Tab to move to the next, or Shift+Tab to move to the previous option or area.

If the option, box, or button has an underlined letter in its name, you can choose that item by pressing and holding down Alt while typing the underlined letter.

Dialog box options

A dialog box can contain the following options:

Command buttons:

A command button initiates an action, such as carrying out or cancelling a command. The OK, Cancel and Help buttons are common command buttons. They are often located along the right side of a dialog box.

The currently selected button has a border that is darker than that of other buttons. Unavailable options appear dimmed.

Example of a command button:

To choose a command button:

  • click the desired command button with the mouse, or
  • press Tab until the button you want is selected, then press Enter.

Text boxes:

In a text box you type information. When you move to an empty text box, an insertion point (a flashing vertical bar) appears. The text you type starts at the insertion point.

If the box you move to contains text, and the text is highlighted, any text you type will replace it. You can also delete existing text by pressing the Del or BackSpace.

Example of a text box:

To select text in a text box:

  • drag the pointer across the text, or double-click a word to select one word at a time, or
  • position the mouse pointer in the text box and press and hold down Shift while pressing an arrow key.

List boxes:

A list box displays a list of choices. If there are more choices than can fit in the box, scroll bars are provided so you can move quickly through the list.

Usually, you can select one item in a list box.

Example of a list box:

To select an item with the mouse:

  • click the up or down scroll arrow, or drag the scroll box until the item you want to select is displayed,
  • click the item.

To select an item by using the keyboard:

  • press the Up Arrow or Down Arrow key to move through the available options until you reach the one you want.

Drop-down list boxes:

A drop-down list box initially appears as a rectangular box containing the current selection. When you select the down arrow in the square box at the right, a list of available choices appears. If there are more items than can fit in the box, scroll bars are provided. In ILWIS, you will sometimes find at the right end of a drop-down list box, a so-called create button. When you click on the create button, an object can be created.

Examples of a drop-down list box:

To open a drop-down list box and select an item with the mouse:

  • click the box or the arrow to open the list box,
  • click the up or down scroll arrow, or drag the scroll box until the item you want to select is displayed,
  • click the item.

To select an item from a drop-down list box by using the keyboard:

  • press the Up Arrow or Down Arrow key to move through the available options until you reach the one you want.

To create an object with the create button:

  • click the create button (rising sun) at the extreme right of the list box.

Option buttons:

Option buttons represent a group of mutually exclusive options. You can select only one button at a time. If you already have one option selected, your current selection replaces it. The selected option button contains a black dot. Names of unavailable options appear dimmed.

Example of option buttons:

To select an option button:

  • click the option button or press the Spacebar.

If the option has an underlined letter, you can select the option button by pressing and holding down Alt while typing the underlined letter.

Check boxes:

A check box presents non-exclusive options: you can select as many check box options as needed. When a check box is selected, it contains an X. Names of unavailable options appear dimmed.

Example of a check box:

To select or clear a check box:

  • click the check box with the mouse, or press the Spacebar.

If the option name has an underlined letter, you can select or clear the check box by pressing and holding down Alt while typing the underlined letter.


Windows features : using a menu

Windows features

Using a menu

Open a menu by clicking a name of a menu in the menu bar. The items displayed on a menu are called commands. You can click the menu item you want to use. You can also drag the mouse pointer down the menu until the menu item is highlighted and then release the mouse button. While selecting a menu command, the status bar gives a short explanation on the effect of the command.

Tips:

  • To open a menu by keyboard, press and hold down the Alt key, and type the letter of the menu name that is underlined (e.g. Alt+E to open the Edit menu).
  • To also directly move to a command on a menu, then type the letter of the command name that is underlined.

Menu conventions:

Dimmed menu commands

You cannot use the menu command at the current time. (For example, you may need to select another item before you can use this command.)

An ellipsis (...) following a command

A dialog box appears when you choose the command. The dialog box contains options you need to select before the command can be carried out.

A check mark [image] to the left of a command

The command is in effect. When you remove the check mark (by choosing the same command again), the command is no longer in effect.

An option bullet [image] to the left of a command

The command is in effect. When you choose another command, the option bullet will be removed from the previous command and will appear for the newly selected one.

A key combination (e.g. CTRL+I ) to the right of a command

The key combination is a shortcut for choosing the command. You can press the keys listed to choose the command without first opening the menu. (CTRL+I means Zoom In on a map window.)

A triangle ( [image]) to the right of a command

When you choose this command, a cascading menu or submenu appears.

See also:

Windows features : introduction

Windows features : parts of a window

Windows features : Control-menu

Windows features : using a dialog box


aggregation functions popup

Aggregation functions

The following aggregations functions are available:

Average | Returns the average of a whole column, the averages per group, the weighted average of a whole column or weighted averages per group.
Count | Counts the number of records which are not undefined in a column or counts the number of records which are not undefined per group.
Maximum | Returns the maximum value of a whole column or the maximum values per group.
Median | Returns the median value of a whole column, the median values per group, weighted median value of a whole column, or weighted medians per group.
Minimum | Returns the minimum value of a whole column or the minimum values per group.
Predominant | Returns the predominant value of a whole column, the predominant values per group, weighted predominant value of a whole column, or weighted predominant values per group.
Standard Deviation | Returns the standard deviation of a whole column, the standard deviations per group, the weighted standard deviation, or the weighted standard deviations per group.
Sum | Sums the values of a whole column or sums values per group.

When using an aggregation function, a 'group by' column can be selected to calculate sums, averages etc. per group.

All aggregation functions expect a value column on which the aggregation should be performed; however, the functions Count, Median and Predominant also work an a class or ID input column.

See also:

TabCalc : aggregate functions

TabCalc : joining columns from other tables


aggregation group by column popup

'Group by' column

A 'group by' column is needed when performing an aggregation.

This can be:

  • during an aggregation within a table, or
  • during a join, when the values that you wish to joined need to be aggregated; the selected key 2 column will act as a 'group by' column.

When a 'group by' column is used:

  • groups are formed for all records in the table that have the same class name, or ID in the specified 'group by' column,
  • then, the specified aggregation function calculates the sum, average, etc. of values per group.

See also:

TabCalc : aggregate functions

TabCalc : joining columns from other tables


ann bitmap popup

Windows bitmap

A bitmap is a standard Windows graphic file format (.BMP) in 'raster' form.

In the layout editor, you can also save or export a complete layout (including map views and annotation) as a bitmap.

Bitmaps are stored in device independent bitmap (dib) format, i.e. bitmaps are not dependent on the graphic board. Bitmaps can use a 2, 16 or 256 color palette, or 24-bit colors. The default file extension for bitmaps is .BMP.

Furthermore, the bitmap format is one of the formats that is used very often by the clipboard, i.e. when using Cut, Copy, Paste for graphics.

You can add one or more pictures, either from file or from clipboard, to a layout.

See also:

Insert Bitmap or Picture (dialog box)

Layout editor : Paste


ann box popup

Boxes

When one or more maps and optional grid lines, graticules and/or annotation text layers in a map window are saved as a map view, and when the map view is added to a layout, you can add one or more boxes to the layout.

Boxes can for instance be used to obtain borders around a legend or a title, etc.

In the layout editor, in the Insert/Edit Box dialog box, you can specify the line type and a color for the borders of the box. When you select line type Single, you can also specify the line width. By default, the inside of a box is transparent, but you can also fill the box with a color.

You can size a box by dragging one of the size handles of the box in the Layout editor.

Tips:

  • To obtain borders around a map view, select a map view in your layout and use the Map Border button [image] or the Map Border command on the Insert menu; use the Neatline tab or the Outline tab.
  • To obtain a page border, choose the Page Border command on the Edit menu.

See also:

Layout editor : functionality


ann graticule popup

Graticule

A graticule draws parallels and meridians in a map window; the maps in the map window require a coordinate system of the type projection which contains projection information. You are allowed to add multiple graticules to one map window.

In the Display Options - Graticule dialog box, you can specify the spacing of the graticule in degrees, minutes and seconds. Furthermore, you can specify a color for the graticule.

You can save the map window as a map view; then you can add the map view to a layout.

In the layout editor, you can add ticks and coordinates (Latitudes/Longitudes) through the Map Border button [image] in the layout toolbar, or through the Map Border command on the Insert menu of the layout editor.


ann grid lines popup

Grid lines

Grid lines can be drawn in a map window as lines which are parallel to the X- and Y-axes of the coordinate system used by the map window. You are allowed to add multiple grid lines to one map window.

When a map window displays:

  • a North-oriented map (e.g. raster map with a georef corners), the grid lines will be straight and exactly horizontal and vertical;
  • a raster map which has a georef tiepoints with a conformal or an affine transformation, the grid lines will be straight but not exactly horizontal and vertical;
  • a raster map which has a georef tiepoints with a higher order transformation, or a georef direct linear, georef orthophoto, the grid lines will be curved.

In the Display Options - Grid Lines dialog box, you can specify the spacing of the grid lines in meters. Furthermore, you can select a color for the grid lines.

You can save the map window as a map view; then you can add the map view to a layout.

In the layout editor, you can add ticks and XY-coordinates through the Map Border button [image] in the layout toolbar, or through the Map Border command on the Insert menu of the layout editor.


ann legend popup

Legend

In a map window, the legends of maps that were added to the map window are by default shown in the Layer Management pane of the map window.

To be able to print maps with legends, you need to save one or more maps and optional grid lines, graticules and/or annotation text layers in a map window as a map view. Then, you should create a layout to which you can add your map views and additional annotation.

In the layout editor, you can add a custom legend for each layer in a map view.

Legends are more or less automatically created from the domain of a map in a map view and from the representation used by that domain.

  • For a class map, you will get a legend consisting of color boxes and class names for selected items in the class domain.

    • For more information, see Display Options - Legend (Class) dialog box.

  • For an image or a value map, you will get a legend consisting of a vertical color bar with values along a side of the bar.

    • For more information, see Display Options - Legend (Image/Value) dialog box.

  • For other legend types, see Insert a legend.

See also:

Layout editor : functionality


ann map border popup

Map Border

When one or more maps and optional grid lines, graticules and/or annotation text layers in a map window are saved as a map view, and when the map view is added to a layout, you specify what should appear along the borders of the map view in the layout.

In the Insert/Edit Map Border sheet in the Layout editor, you can choose to add:

  • a neatline around the map view as a thin single line or as an alternating black and white pattern;
  • ticks for grid lines and optionally coordinates for the grid line ticks;
  • ticks for a graticule and optionally coordinates for the graticule ticks;
  • coordinates for the corners of the map(s) in the map view;
  • an extra outline around the map view.

When you move a selected map border to another position, both the map view and its border will be moved.

Tips:

  • To obtain a sizeable box around text or around a legend in a layout, and use the Box button [image] or the Box command on the Insert menu.
  • To obtain a page border, choose the Page Border command on the Edit menu.

See also:

Layout editor : functionality


ann north arrow popup

North arrow

When one or more maps and optional grid lines, graticules and/or annotation text layers in a map window are saved as a map view, and when the map view is added to a layout, you can add a North arrow for each map view in the layout using the layout editor.

The North is determined from the georeference of the maps in the selected map view. The North is defined as the positive Y-direction.

In the Insert/Edit North Arrow dialog box, you can choose between eight types of North arrows. Furthermore, you can specify whether you want to obtain text(s) like N, E, S, W, etc.

See also:

Layout editor : functionality


ann page border popup

Layout Page Border

When one or more maps and optional grid lines, graticules and/or annotation text layers in a map window are saved as a map view, and when the map view is added to a layout, you can add a page border along the margins of the layout.

In the layout editor, choose Page Border from the Edit menu.

  • When the Page Border command is active and marked with a [image] check mark, the Page Border will be drawn in black and it will be printed.
  • When the Page Border command is not active, the paper margins will be drawn in gray for orientation purposes and the border will not be printed.

The Page Border automatically fits the paper margins as specified during Page Setup.

Tips:

  • To obtain borders around a map view, select a map view in your layout and use the Map Border button [image] or the Map Border command on the Insert menu; use the Neatline tab and/or the Outline tab.
  • To obtain a sizeable box around text or around a legend in a layout, select a map view in your layout, and use the Box button [image] or the Box command on the Insert menu.

See also:

Layout editor : functionality


ann scale bar and scale text popup

Scale bar and scale text

When one or more maps and optional grid lines, graticules and/or annotation text layers in a map window are saved as a map view, and when the map view is added to a layout, you can add a scale bar and scale text (e.g. 1 : 100000) for each map view in the layout using the layout editor.

A scale bar and a scale text largely depend on the scale that you specified to display (and print) a particular map view in the layout.

  • In the Insert/Edit Scale Bar dialog box, you can specify how the scale bar should look like.
  • In the Insert/Edit Scale Text dialog box, you can specify font and color settings for the scale text.

See also:

Layout editor : functionality


ann text popup

Texts

Texts, such as for instance a title or some other textual information, can be added to a layout in the layout editor.

A layout is a virtual sheet of paper on which you can add one or more map views (each containing one or more maps and optional grid lines, graticules and/or annotation text layers), and additional annotation.

In the layout editor, each text has to be typed into an Insert/Edit Text dialog box.

  • The text may actually consist of multiple text lines; use the Enter key or the Shift+Enter key.
  • Furthermore, you may rotate a text, specify a font, a color, etc.
  • Each text can be dragged to a certain position.

Tip:

When you want to obtain label-like texts for all points, segment or polygons of a map, or when you want to store multiple texts at multiple positions, it is advised to create an Annotation Text object.

  • In a map window, open the File menu and choose Create Annotation Text. The Create Annotation Text dialog box will appear, in which you can choose to use a map on which the texts/labels should be based.
  • Then, in the Annotation Text editor, you can easily reposition selected texts, and you can specify fonts, font sizes, appearance (bold, italics, underline), colors, rotations, etc. Texts in an Annotation Text object can only consist of one line.

See also:

Layout editor : functionality

Annotation Text editor editor : functionality


ann windows metafile popup

Windows metafile / Picture

A Windows metafile or picture is a standard Windows graphic file format (.WMF, .EMF) in 'vector' form.

A metafile consists of a set of Windows drawing instructions. The default extension for Windows metafiles is .WMF; the extension for enhanced Windows metafiles is .EMF.

Furthermore, the metafile format is one of the formats often used by the clipboard, i.e. when using Cut, Copy, Paste for graphics.

You can add one or more pictures, either from file or from clipboard, to a layout.

See also:

Insert Bitmap or Picture (dialog box)

Layout editor : Paste


Annotation Text editor popup

Annotation Text editor

The Annotation Text editor allows you to edit (multiple) texts stored in an Annotation Text object.

You can:

  • insert new texts and delete selected existing texts,
  • move one or more selected texts to another position,
  • make text duplicates, and
  • specify fonts, sizes, colors, etc. for (multiple) selected texts.

You can also edit an annotation text object in table form.


Annotation Text popup

Annotation Text

An Annotation Text object, also called an annotation text layer, is designed to display and store multiple texts (such as labels of points, segments or polygons) at multiple positions.

  • In a map window, open the File menu and choose Create Annotation Text. The Create Annotation Text dialog box will appear, in which you can choose to use a map on which the texts/labels should be based.
  • Then, in the Annotation Text editor, you can easily reposition selected texts, and you can specify fonts, font sizes, appearance (bold, italics, underline), colors, rotations, etc. Texts in an Annotation Text object can only consist of one line.

Tip:

When one or more maps, annotation text layers, optional grid lines and graticules that are displayed in a map window are saved as a map view, and when the map view is added to a layout, you can add further texts (such as a title) to the layout.


Attribute data popup

Attribute data

Attribute data is information which is related to a point, segment, polygon or rasterized forms of these. Attributes are stored in tables which have the same domain as the map to which they relate.


toolbar popup

Toolbar

Buttons in a toolbar provide shortcuts for some regularly used menu commands. When you leave the mouse pointer for a short period of time on top of a button, a tooltip will appear with the name of the button and the menu command that it will perform. Also the status bar at the bottom of the window may provide you with a short explanation on the effect of using the button.


Laws of exponents

Negative exponents: | a-n = 1/an | thus a-3 = 1/a3
Fractional exponents: | am/n =nÖ(am) | thus a2/3 = 3Öa2
Multiplication: | anam = an+m | thus a3a2 = a3+2 = a5
Division: | an/am = an-m | thus a3/a2 = a3-2 = a1
Raising to a power: | (an)m = anm | thus (a3)2 = a3*2 = a6

Special cases

a1 returns a

a0 returns 1

1n returns 1

00 returns undefined

See also:

SQ | POW
SQRT | EXP
HYP |


Laws of logarithms

Multiplication: | log(n*m) = log(n) + log(m) | thus log(2*3) = log(2) + log(3)
Division: | log(n/m) = log(n) - log(m) | thus log(2/3) = log(2) - log(3)
Raising to a power: | log(nm) = m * log(n) | thus log(23) = 3 * log(2)
 | ln(exp(n)) = n | thus ln(exp(2)) = 2

Changing the base of a logarithm

If instead of calculating 10log (a), you wish to calculate blog(a), divide the logarithm of a by the logarithm of b:

blog (a) = 10log (a) / 10log( b )

See also:

LOG

LN


Catalog popup

Catalog(s)

The large right-central part of the Main window may show one or more Catalogs.

A Catalog provides an overview of:

  • the ILWIS objects in a directory,

  • the raster maps that are available in a map list,
  • the objects that are available in an object-collection.

Objects shown in a Catalog can be double-clicked, dragged to an existing map window, dragged to a pixel information window, dragged to an operation in the Operation-tree or the Operation-list, or dragged to a text box in a dialog box.

Furthermore, when you click an object with the right mouse button, a context-sensitive menu appears which contains all relevant actions/operations for that object.

For more information, see also How to use a Catalog or Main window : Catalog.


column semivariogram popup

Column Semi-variogram

For distance values (h) in a distance column, the Column Semi-variogram operation calculates semi-variogram values (g) according to a semi-variogram model and its parameters as specified by the user. The calculated semi-variogram values are stored in an output column. The aim of storing modelled semi-variogram values in a column is for instance to be able to assess the 'Goodness of Fit (R2)' between modelled semi-variogram values and experimental semi-variogram values.

This operation is generally used on the output table of Spatial Correlation and presumably after you have fit some semi-variogram models through the experimental semi-variogram values in a graph window.


command line main commands popup

ILWIS commands on the command line

By using an ILWIS command on the command line, a dialog box will be opened and generally some user-interaction is required before an action can be continued.

You can for instance obtain dialog boxes to display, edit, create or view the properties of ILWIS objects, and dialog boxes to start an ILWIS operation.

When using an ILWIS command, you always have to fill out the entries in the appearing dialog box and click its OK button. For more information, see Appendices : ILWIS commands.


command line main expressions popup

ILWIS expressions on the command line

By typing an expression on the command line of the Main window, you can perform a calculation or another operation. To calculate with raster maps, type a MapCalc formula; to perform an operation, type a complete expression that includes all parameters required by that operation. The operation's dialog box is skipped.

When you use the definition sign = in an expression, the output map, table or column will be dependent. The expression by which these dependent maps, tables and columns are created is stored by these maps, tables and columns as their definition.

A simple ILWIS expression reads: OUTMAP = MapFilter(band1, avg3x3)

A list of ILWIS expressions for operations is presented in Appendices : ILWIS expressions. Advanced users can create a script to execute a series of expressions.


Command line main window popup

Command line in Main window

The command line of the Main window is by default located at the top of the Main window, just below the menu bar and the toolbar.

The command line is used:

  • to type ILWIS commands to display, edit, create an object or view the properties of an object, and to obtain dialog boxes of ILWIS operations,
  • to type ILWIS expressions to perform map calculations and to perform complete ILWIS operations,
  • to run scripts which contain a sequence of ILWIS expressions.

The command line can also be used as a pocket line calculator.


command line pocket calculator popup

Pocket line calculator

The command line in the Main window and the command line of a table window can be used as a pocket calculator.

Type a question mark on the command line followed by an expression, i.e. a combination of constant values and operators or functions, or an expression of functions on map names, etc. It is allowed to use map, table and column names in the pocket line calculator.

Examples:

? 2 + 4 | returns 6
? SQRT(64) | returns 8
? POW(2,8) | returns 256
? MAX(MyColumn) | in a table window, returns the maximum value of column MyColumn
? STD(MyColumn) | in a table window, returns the standard deviation of column MyColumn
? MyFunc(22,44,66) | returns the result of a user-defined function MyFunc; the first three parameters in this function are replaced by values 22, 44, and 66.

Constant value p can be used by typing PI

Constant value e can be used by typing EXP(1).

See also:

Map calculation : pocket line calculator

Table calculation : pocket line calculator

Map calculation : overview of operators and functions

Table calc : overview of operators and functions


Command line Table window popup

Command line in a table window

The command line of a table window is by default located at the top of a table window, just below the menu bar and the toolbar.

You can type table calculation formulae on the command line to perform calculations with (attribute) data in columns and fields of the displayed table.

The command line can also be used as a pocket line calculator.


confusion matrix popup

Confusion matrix

To access the accuracy of an image classification, it is common practice to create a confusion matrix. In a confusion matrix, your classification results are compared to additional ground truth information.

To obtain a confusion matrix, you require a raster map with ground truth information (which has not been used to train the classifier); cross this map with your classification result, and display the cross table; finally, choose the Confusion matrix command from the View menu in the table window.

For more information, refer to How to calculate a confusion matrix.


Context-sensitive menu Catalog

The context-sensitive menu that appears when clicking the right mouse button on an object in the Catalog offers:

  • short cuts to open or edit the selected object,
  • for data objects: a list of operations appears that can be performed on the selected object,
  • for service objects: short cuts to create other objects that should use the selected object,
  • for map lists, filters and scripts: a possibility to open the object in another way than normal,
  • a short cut to view the properties of the object,
  • short cuts to copy or delete the object.

When you use the right mouse button in the white space between objects in a Catalog, you can:

  • switch between List View and Details View,
  • paste the object(s) that were copied to clipboard into this Catalog,
  • specify the object types that should be visible and/or the sorting method of the objects,
  • open the Customize Catalog sheet.


context-sensitive menu editors

Context-sensitive menus in editors

The context-sensitive menu that appears when you click the right mouse button in the Pixel editor, Polygon editor, Segment editor, Point editor, Georeference Tiepoints editor, Sample Set editor, Annotation Text editor or the Layout editor is partly the same as the context-sensitive menu of a normal map window but also lists all useful commands for editing.


Context-sensitive menu map

Context-sensitive menu in a map window

The context-sensitive menu that appears when clicking the right mouse button in a map window:

  • offers short cuts to go to Normal pointing mode, to Zoom In, Zoom Out, or Pan and to display the Entire Map,
  • offers short cuts to re-specify display options of all layers that were added to the map window.


context-sensitive menus popup

Context-sensitive menus

A context-sensitive menu may appear when clicking the right mouse button. A context-sensitive menu only lists commonly used menu commands which are applicable to the situation when you clicked the right mouse button. Selecting a command from a context-sensitive menu is often quicker than selecting a command from the normal menu.

A context-sensitive menu appears by clicking the right mouse button when the mouse pointer is located:

  • on a folder/directory in the navigator,
  • on an object in a Catalog,
  • in the white space between objects in a Catalog,
  • on an operation in the Operation-tree or the Operation-list,
  • in a map window,
  • in the Pixel editor, Polygon editor, Segment editor, Point editor, Domain Class/ID editor, Georeference Tiepoint editor, Sample set editor, Function editor, Script editor, Annotation Text editor and the Layout editor,
  • in a table window, in a graph window,
  • on the main goal, a sub goal, or a single output map in the SMCE window.


coordinate_boundary_popup

Coordinate boundaries of the map

The coordinate boundaries of a map are the minimum and maximum XY-coordinates of the map.

  • With the minimum XY-coordinate, the XY-coordinate of the lower left corner of the map is meant;
  • with the maximum XY-coordinate, the XY-coordinate of the upper right corner of the map is meant.

The four boundary values determine the outermost coordinate values of a map.

This means that you can only add points or segments to the map within the map's coordinate boundaries.

  • However, while editing a point map or a segment map, you can change the map's coordinate boundaries: choose Boundaries of Map from the File menu of the point editor, or Boundaries of Map from the File menu of the segment editor.
  • You can furthermore change the coordinate boundaries of vector maps with the following operations: Sub-map of point map, Sub-map of segment map, Glue point maps, Glue segment maps.


Coordinate system tiepoint editor popup

Coordinate system Tiepoints editor

With the Coordinate system Tiepoints editor you can edit a coordinate system tiepoints: to add coordinates to a vector map.

For more information on coordinate systems, see ILWIS objects : coordinate systems.


coplanar tiepoints in georef direct linear popup

Coplanar tiepoints in a georef direct linear

You may have a problem with coplanar tiepoints when you use a georeference direct linear and during screen digitizing you notice a shift between the location of the segments or points which you were digitizing and the location where these digitized segments and points are appearing in the photo on the screen.

In a georef direct linear, at least 2 tiepoints should clearly deviate in Z-direction from a (tilted) plane that can be fit by means of a least squares approximation through the active tiepoints.

See also:

ILWIS objects : georeference direct linear


Data window popup

Data window

A data window is a map window, a table window or a pixel information window. You can open as many data windows as you like.


DDE popup

DDE

By programming an application in Visual Basic, Delphi, or Java, etc. you can:

  • access and execute ILWIS commands, ILWIS expressions, ILWIS script commands,
  • retrieve or calculate simple information on maps and tables as single values, as using the ILWIS pocket line calculator,
  • retrieve coordinate(s) or values at a mouse click in a map window as using Pixel Information.

The process of exchanging data between two Windows programs is called Dynamic Data Exchange (DDE). A DDE conversation takes place between your own application (DDE client) and ILWIS (DDE server).

For more information, see Appendices : ILWIS as DDE server.


display options popup

Display options

Display options are specified in a Display Options dialog box; this tells the system how a certain layer should be displayed for instance in a map window.

Display options for maps (data layers) mainly include: colors, line widths of segments and polygons boundaries, size of points, and, in case of images or map with a value domain, the stretch range.

Display Options have to be specified for each new layer that you want to display, but you can also change the display options of layers that are already displayed. For more information on the latter, see How to change display options of layers in a map window.


domain Class/ID editor popup

Domain Class/ID editor

The domain Class/ID editor allows you to add and edit names, codes and descriptions of classes in a class domain and of IDs in an ID domain. You can also add and edit upper boundary values, names, codes and descriptions of groups in a group domain.

Furthermore, you can set the sorting order of a class or ID domain, use Copy and Paste to add certain domain items of another domain into the current one, merge all items of another domain into the current one, change the prefix of IDs in an ID domain when available, delete domain items, and print all or selected items of a domain.


drag and drop popup

Drag and drop

The idea of drag and drop is that you can pick up one or more objects, e.g. a map from a Catalog or from Windows Explorer, to move the object(s) to another position, and to release the object(s) at the new position in order to perform a certain task without using any menu.

Select one or more objects in a Catalog or in Windows Explorer, and move the object(s) to another position while holding the left mouse button down. Then release the left mouse button.

Examples:

  • When you drag one or more selected objects from a Catalog and drop them in an another Catalog, the objects are copied to the other Catalog.
  • When you drag one or more selected objects from a Catalog and drop them on a directory listed in the Navigator, the objects are copied to the other directory.
  • When you drag one or more selected maps from a Catalog and drop them in an existing map window, the maps are added as extra data layers to the map window.
  • When you drag one or more selected maps from a Catalog and drop them in a pixel information window, the maps and optional attribute tables are added to the pixel information window.
  • When you drag a map from a Catalog and drop it on an operation in the Operation-tree or in the Operation-list, the dialog box for the operation appears and the dragged object serves as input for the operation.
  • In the Layer Management pane of a map window, you can change the order of the layers drawn in the map window.
  • In a table window, you can change the order of the columns by dragging a column name to a new position.
  • In the domain class editor, you can change the order of the classes in that domain by dragging a class to a new position.
  • In the dialog boxes for legends of class maps, etc., you can change the order of the classes in the legend by dragging classes to a new position.

See also:

Basic concepts : drag and drop


drag popup

Drag

By dragging you can for instance change the size a window, change the width of a column, and change the size of annotation objects in the Layout editor.

  • click an object to select it,
    • for windows: position the mouse pointer at the border of a window,
    • for columns: position the mouse pointer in between 2 column names,
    • for annotation: position the mouse pointer at one of the 4 or 8 size handles,
  • the mouse pointer usually changes into a double-headed arrow when you are at the right position to start dragging,
  • press the left mouse button, and hold the left mouse button down,
  • move the mouse pointer to a new position,
  • then, release the left mouse button.

See also: Drag and drop


Editors popup

Editors

Pixel editor: | To edit class names, IDs, or values of pixels in a raster map.
Polygon editor: | To edit class names, IDs, or values of polygons, to create labels from polygons, or apply labels to polygons, and to extract segments.
Segment editor: | To add new segments or delete existing ones, to edit class names, IDs, or values of segments, to change the shape of segments, to split and merge segments, and to check segments and polygonize segments.
Point editor: | To insert new points and delete existing ones, to edit class names, IDs, or values of points in a point map, to move points to a new position.

Other editors are: Domain Class/ID editor, Representation Class editor, Representation Value editor, Georeference Tiepoints editor, Georeference 3D editor, Coordinate System Tiepoints editor, Sample Set editor, Filter editor, Function editor, Script editor, Annotation Text editor, Layout editor.

For more information, see Editors.


Filter popup

Filter

Filtering is an image processing technique which is used for example to sharpen an image, to detect line features, to remove noise from an image, etc.

A filter is an odd sized matrix moving over a map and applying a certain function on the pixels it considers (e.g. the avg3x3 filter considers 9 pixels at a time, until the whole map is done). The answer of the function is assigned to that pixel in the output map which was currently the at the center of the matrix. The output value for each pixel thus depends on the value of the pixel itself and on the values of its neighbours.


Font popup

Font

A font, or typeface, is a collection of characters, letters, numerals, symbols and punctuation marks, that have common characteristics. Fonts have various sizes and styles.

  • Font sizes indicate the height of a character and are measured in points; a point equals 1/72 of an inch.
  • Font styles include bold and italics.

Examples:

This is my text in Arial, bold, point 10.

This is my text in Times, regular, point 10.


Function editor popup

Function editor

The function editor allows you to view and/or edit user-defined functions.

With the editor you can for example:

  • modify the function,
  • change the domain types of input parameters for the function as well as the domain of the output map or column, or
  • add remarks.


georeference 3D editor popup

Georeference 3D editor

With the Georeference 3D editor, you can edit a georeference 3D and obtain a 3D view of your study area according to your wishes. To create a new georeference 3D, you need first of all an interpolated height map (Digital Terrain Model/Digitial Elevation Model), see also How to calculate a Digital Elevation Model.

To create a georeference 3D and to edit it, refer to Georeference 3D editor : functionality or to How to display Digital Elevation Models.


georeference sigma popup

Tiepoint editor: sigma calculation

Sigma is calculated as:

where:

DRow | are the values in column DRow in the tiepoint table
DCol | are the values in column DCol in the tiepoint table
n | are the number of active tiepoints
(n - df) * 2 | are the degrees of freedom, that is the number of required tiepoints for a certain transformation

Georef tiepoints: | conformal df = 2; affine df = 3; second order df = 4; full second order df = 6; third order df = 10; projective df = 4 .
Georef direct linear: | df = 6
Georef orthophoto: | df = 3


georeference tiepoints editor popup

Georeference Tiepoints editor

With the Georeference Tiepoints editor you can edit:

  • a georeference tiepoints: to add coordinates to a satellite image or to a scanned photograph without using a DTM, or
  • a georeference direct linear: to add coordinates to a scanned photograph while using a DTM, or
  • a georeference orthophoto: to add coordinates to a scanned aerial photograph while using a DTM and camera parameters.

For more information on georeferences, see ILWIS objects : georeferences.


georeference_tiepoints_popup

Georeference tiepoints

A georeference tiepoints stores the relation between user-indicated points in a raster map or image (row,col) and real world coordinates (X,Y). These user-indicated points are called tiepoints or ground control points. A georeference tiepoints can be edited with the tiepoint editor.

A georeference tiepoints is mostly used to add coordinates to a satellite image which is not North-oriented and in which the pixels do not represent exactly square areas on the ground. One georeference tiepoints can be used for all bands of an image.

When you have raster maps of different sources or images of different dates and you want to perform raster operations to combine these maps or images (e.g. MapCalc, Cross), first create a georeference tiepoints for each set of maps/images, then use the Resample operation and resample the maps/images preferably to a georeference corners.

When you want to combine rasterized vector maps with satellite data, you can rasterize the vector data on the georeference tiepoints of the satellite images. In case you prefer North-oriented raster maps, rasterize the vector maps with a georeference corners, and Resample the images with the georeference tiepoints to this georeference corners.


georeference transformation method sec

Georef Tiepoints and Coordsys Tiepoints: transformation methods

Conformal: | minimum of 2 tiepoints required; Col = aX + bY + c1 Row = bX - aY + c2
Affine: | recommended for satellite images and for most vector maps with a coordinate system tiepoints; minimum of 3 tiepoints required; Col = a11X + a12Y + b1 Row = a12X + a22Y + b2
Second order bilinear: | minimum of 4 tiepoints required; Col = a1 + b1X + c1Y + d1XY Row = a2 + b2X + c2Y + d2XY
Full second order: | minimum of 6 tiepoints required; Col = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 Row = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2
Third order: | minimum of 10 tiepoints required; Col = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 + g1 X3 + h1 X2Y + i1XY2 + j1 Y3 Row = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2 + g2 X3 + h2 X2Y + i2XY2 + j2 Y3
Projective: | recommended for scanned photographs when a DTM is not available; minimum of 4 tiepoints required; Col = (aX + bY + c) / (gX + hY +1) Row = (dX + eY + f) / (gX + hY + 1)


Graph window popup

Graph window

A graph window displays one or more graphs.

From columns in a table, you can create a so-called graph from columns (displayed as points, bar, line, step, needle) or a rose diagram.

After you displayed a graph from columns, you can add graphs from formula, a least squares fit, or a semi-variogram model.

A graph window consists of a viewer which displays your graph(s), a Graph Management pane, menu bar, a toolbar and a status bar. Furthermore, a context-sensitive menu is available within the Graph Management pane.

For more information, refer to Graph window : functionality and Graph window : examples of graphs.


history of command lines popup

History

The command line of the Main window and the command line of each table window have a history: previously used commands and expressions can be retrieved.

You can use the history for instance to repeat a certain calculation or expression and change input and output map names, input and output column names, parameters, etc.

To open the history of a command line:

  • click the arrow at the right hand side of the command line,
  • then, select a command or expression from the list.

You can also use the Arrow Up and the Arrow Down keys on the keyboard:

  • activate the command line;
  • press the Arrow Up key on the keyboard to retrieve previously used commands and expressions;
  • press the Arrow Down key to 'scroll' forward again.

The amount of commands and expressions that can be retrieved can be set in the Preferences of the Main window. The maximum number of commands or expressions that can be retrieved is 30. The commands and expressions are stored in the registry.


icons of minimized windows popup

Icons of minimized ILWIS windows

Windows can be reduced to an icon on the desktop if you want the window or application available for later use. To reduce a window to an icon click the minimize button, or open the Control menu and choose the command Minimize. An icon can be restored to a window by double-clicking it, or click the icon to open the Control menu and choose the command Restore.

minimized Main window,

minimized raster map,

minimized polygon map,

minimized segment map,

minimized table.


annotation layer popup

Annotation

Annotation can be added to a layout in the layout editor. A layout is a virtual sheet of paper on which you can make a composition of one or more map views and annotation before printing.

Tip: To obtain a layout, first save a map window containing one or more maps, optionally Annotation Text, grid lines and/or graticules as a map view. Then, create a layout and add one or more map views to it.

Annotation that can be added to a layout in the layout editor is for instance:

  • texts such a titles;
  • boxes;
  • bitmaps and/or pictures;
  • a page border.

Furthermore, for each map view in a layout, you can add:

  • a legend for a specific layer in the map view;
  • a map border, including ticks and coordinates for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

Tip:

When you wish to obtain label-like texts for all points, segment or polygons of a map, it is advised to create an [image] Annotation Text object. An Annotation Text object can be created in a map window, not in a layout.

See also:

Basic concepts : map views and layouts

Layout editor : functionality


Layers data layers popup

Data layers

Maps that are displayed in a map window are called data layers.

In one map window, you can display one or more raster maps combined with one or more polygon maps, segment maps and/or point maps. Also three images of a map lists can be displayed in a map window (as an interactive color composite), and all maps in a map list can be shown as a slide show.

Other types of layers that can be added to a map window are: Annotation Text objects, which usually contain the labels of a point, segment or polygon map; grid lines and graticules.

You can save a map window as a map view and then add one or more map views to a layout. To a layout, you can add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

Mind: In a layout, a map view may only contain one raster map.


layers popup

Layers

In a map window, you can display one or more raster map combined with one or more polygon maps, segment maps and/or point maps. You can also display three images of a map list as an interactive color composite, and all maps in a map list can be shown as a slide show. Maps displayed in a map window are called data layers.

You can also create an Annotation Text object which usually contains the labels of a point, segment or polygon map. You can add multiple Annotation Text objects to a map window.

Furthermore, you can add grid lines and graticules as a layer to a map window.

For each layer in a map window, you need to specify display options; each layer added to a map window will appear in the Layer Management pane of the map window.

A map window displaying one or more maps, annotation text layers, optional grid lines and graticules can be saved as a map view. Map views can be added to a layout which is used to make a final composition before printing.

To a layout, you can add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

Mind: In a layout, a map view may only contain one raster map.


layout editor popup

Layout editor

In the Layout editor you can edit a layout. A layout is a virtual sheet of paper on which you can make a composition of one or more map views and annotation before printing.

In the layout editor, you can add to a layout:

  • one or more map views to be printed on a certain scale; each map view may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules;
  • texts such a titles;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

For each map view in a layout, you can furthermore add:

  • a legend for a layer in a map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

You can also add or delete layers from a map view, or edit the grid lines or graticule(s) in a map view.

Finally, any picture or bitmap that was copied into the clipboard from another Windows application program can be pasted into a layout.

Tip: Multiple texts stored in an Annotation Text object can be edited in the Annotation Text editor.


Main window popup

Main window

The Main window is the window which is opened when ILWIS is started.

It consists of:

  • one or more Catalogs,
  • the Operation-tree and the Operation-list,
  • the Navigator,
  • the standard toolbar and the object selection toolbar, and
  • the command line.

Furthermore, the Main window has a statusbar.


Map calculation popup

Map calculation

Map calculation is used for the execution of most spatial analysis functions and modelling operations. It integrates spatial and tabular data. MapCalc enables you to perform queries and overlays on raster maps.

  • You can directly type map calculation formulae on the command line of the Main window;
  • You can also double-click the MapCalc item in the Operation-list or choose the Map Calculate command on the Operations menu in the Main window; then, type a formula in the appearing Map Calculation dialog box.

The following calculations can be performed:

  • manipulation of one or more raster maps using arithmetical, relational, logical, conditional, exponential, logarithmic and other operators and functions,
  • creation of attribute maps from raster maps that have an attribute table,
  • classification of value maps according to a domain group,
  • integration of two raster maps according to two-dimensional tables,
  • application of user-defined functions.


Map window popup

Map window

A map window may display one or more raster maps combined with one or more polygon maps, segment maps and/or point maps. Maps that are displayed in a map window are called data layers. The legend of each map is automatically displayed in the Layer Management pane of a map window.

A map window can also display three images of a map list as an interactive color composite, or all maps of a map list as a slide show.

Optionally, you can create an Annotation Text object which usually contains the labels of a point, segment or polygon map. You can add multiple Annotation Text objects to a map window.

Furthermore, you can add grid lines and graticules as a layer to a map window.

A map window displaying one or more maps, a map list, one or more annotation text layers, optional grid lines and graticules can be saved as a map view. Map views can be added to a layout which is used to make a final composition before printing. To the layout, you can add further annotation such as legends, map borders including ticks and coordinates for grid lines or a graticule, north arrows, scale bars and scale texts, texts (such as a title), boxes, bitmaps and pictures, and a page border.

Mind: In a layout, a map view may only contain one raster map.


Map window transparent layers example

Example of transparent layers in a map window

Part of a map window showing the layers:

  • image TMB4,
  • resampled raster map Landuse shown with 60% transparency,
  • segment map Drainage, and
  • the "Fault" segments of segment map Faults.


mask gloss popup

Mask

By specifying a mask, you can search for pixels, points, segments or polygons with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those pixels, points, segments or polygons in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas. For more information, see How to use masks.


monoplotting_popup

Monoplotting

Monoplotting is the process of creating and/or editing a segment or point map while a scanned photogrammetric aerial photograph is displayed as a background in a map window. On the photograph, you should be able to distinguish 2, 3, or 4 fiducial marks and you should know the camera's principal distance. Furthermore, a Digital Terrain Model (DTM) of the area should be available.

By creating a georeference orthophoto (differential rectification) for the photograph, you will obtain a georeference with corrections for tilt and relief displacement and you can, by using the mouse, directly digitize elements of interest on the scanned aerial photograph. See also How to monoplot.


multiple selection popup

Multiple selection

To select two or more objects in sequence:

  • click the first object you wish to select,
  • press and hold down the Shift key while you click the last object in the group,

or

  • click the first object you wish to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last object you wish to select,
  • then release the left mouse button.

To select two or more objects out of sequence:

  • press and hold down the Ctrl key while you click each object.

To cancel the selection of an object:

  • press and hold down the Ctrl key while you click a selected object.

See also:

How to drag and drop


Navigator popup

Navigator

The Navigator is located on the third tab in the Operations/Navigator pane, by default along the left hand side of the Main window.

The Navigator:

  • provides a tree structure for all drives and directories,
  • has a history of recently visited drives and directories.

To view the contents of a drive or directory:

When you click a directory in the Navigator, the contents of the currently active Catalog will be replaced with the contents of the selected drive or directory.

When you click a directory in the Navigator with the right mouse button, and choose New Catalog from the context-sensitive menu, the contents of the selected directory will be shown in a new Catalog.

Tip: To open a new Catalog, you can also click the [image] New Catalog button in the standard toolbar of the Main window.

For more information, refer to Main window : Navigator.


NDVI popup

NDVI

NDVI (Normalized Difference Vegetation Index) values are a measure for the presence and condition of green vegetation.

NDVI values are calculated from two satellite bands; one band containing visible or red reflectance values, the other band near-infrared reflectance values. Use the NDVI function in MapCalc: NDVI(a,b) in which a is the band with visible or red reflectance and b the band with near-infrared reflectance.

The NDVI is calculated as:

near infrared band - visible band

near infrared band + visible band

NDVI values range from -1 to 1:

  • Vegetated areas will generally yield high values because of their relatively high near-infrared reflectance and low visible reflectance.
  • In contrast, water, clouds, and snow have larger visible reflectance than near-infrared reflectance. Thus, these features yield negative index values.
  • Rock and bare soil areas have similar reflectances in the two bands and result in vegetation indices near zero.


obj_linear_filter_popup

Linear filters

User-defined linear filters can be created in the dialog box of the Filter operation or through the File menu in the Main window, etc. For linear filters, you can specify filter size, matrix values and a gain factor. You can edit a linear filter in the Filter editor.

Linear filters use a linear combination of all pixels in a rectangle around the input pixel. For more information, see Filters : linear filters and the Filter operation : functionality.


object column name popup

Column name

In ILWIS 3, object names and column names comply with Windows long file names.

  • In object names and column names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name or column name.

Long object names and column names can be used freely in dialog boxes.

On the command line and in scripts however, object names and column names must be enclosed by single quotes when the object name or the column name:

  • starts with a digit from 0 to 9,
  • contains one or more spaces,
  • contains any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

Object extensions should be left outside the quotes. If an object name or a column name already contains a single quote, this single quote must be duplicated.

See also:

How to use long object names


Object definition files popup

Object definition files

All ILWIS objects have an ASCII object definition file which stores all information on the object. Object definition files list for instance the object's name, its creation time, relations to other required objects (e.g. domain, georeference, representation, etc.), the name of the object's data files, whether the object is dependent or not, whether a dependent object is up to date or not, etc. The contents of object definition files is shown in the properties of an object.

Object definition files of dependent data objects also store the definition of how the dependent map, table or column was created. For dependent maps and tables, in principle only the map's or table's object definition file is stored on disk. When the dependent map or table is displayed, the data file is automatically calculated and stored on disk. All dependent data objects can be recalculated in case the input data have changed.


object definition of dependent data objects

Definition of dependent data objects

The definition of a dependent data object, which is the result of a calculation or another operation, stores the complete expression by which the dependent data object was created. The definition thus defines how a dependent map, table or column was created. The definition of a dependent data object is shown in the properties of an object.

A dependent data object can easily be recalculated when it is not up-to-date anymore when input data have changed; ILWIS can simply execute the definition again. When the definition is a MapCalc or TabCalc formula, you can even change the expression itself.

The definition of dependent maps and tables is stored in the map's or table's object definition file. In principle, only the object definition files are stored on disk; data files are calculated when a dependent map or table is displayed. For dependent columns, the definition is stored in the object definition file of the table to which the column belongs.


Object dependent data objects popup

Dependent data objects

Dependent maps, tables or columns are the result of a calculation (in which you used the definition sign =) or another operation. The complete expression by which dependent output objects are created is stored by the output maps, tables and columns as the object's definition. Dependent data objects thus know how they were created and on which input data they depend.

Based on the definition, dependent data objects can be made up-to-date in case input objects on which they depend have changed. When the definition of a dependent raster map or a dependent column is a MapCalc or TabCalc formula, you can even change the expression itself.

For dependent maps and tables, the definition is stored in a map's or table's object definition file. In principle, only the object definition file is stored on disk. When a dependent map or table is displayed, the data file is automatically calculated and stored on disk. The definition of a dependent column is stored in the object definition file of the table; dependent columns are always calculated.

See also:

Basic concepts : dependent data objects


object name popup

Object names

In ILWIS 3, object names comply with Windows long file names.

  • In object names, any character may be used except \ / : * ? < > | "
  • The maximum length of an object name is 255 characters including the full path.

Furthermore, it is not allowed to use % in any ILWIS object name.

Long object names can be used freely in dialog boxes.

On the command line and in scripts however, object names must be enclosed by single quotes when the object name:

  • starts with a digit from 0 to 9,
  • contains one or more spaces,
  • contains any of the following characters ` ~ ! @ # $ ^ & ( ) - + = [ ] { } ; ' , .

Object extensions should be left outside the quotes. If an object name already contains a single quote, this single quote must be duplicated.

Furthermore, in ILWIS 3, Universal Naming Convention (UNC) paths are supported. A UNC path starts with \\ServerName\... rather than with DriveLetter:\...

See also:

How to use long object names


object properties popup

Properties of an object

The properties of an object describe the object and its relations to other objects.

The Property sheet of an object lists:

  • object type, object name, date and time of last change, read-only or not, total size of object on disk, object description,
  • objects used by the current object, for instance domain, georeference, coordinate system,
  • for maps and domains: whether an attribute table is linked to the map or to the domain and the name of the attribute table,
  • additional information on the object such as pixel size, number of lines and columns (raster map), number of segments (segment maps), etc.,
  • for dependent data objects: the object definition.

Furthermore, Property sheets are designed to handle the properties of dependent data objects, e.g. Make up-to-date, Edit Definition, Release Disk Space, etc. For more information, refer to Basic concepts : properties of objects. To view the properties of an object, refer to How to view and edit the properties of an object.


objects-column popup

Column

A table consists of columns. You can perform calculations with columns using TabCalc.

Each column has a domain. A column with a value domain contains values, a column with a class domain contains class names, a column with domain ID contains IDs, etc. Columns can also have domain String; you can use this to type for instance descriptions.

If in an attribute table you have columns with a class domains, or with user-defined value domains, you may consider to prepare a representation for these columns as well. When you open the map to which the attribute table is linked, and you can directly display the map by one of its attributes.


Objects-coordinate system popup

Coordinate system

A coordinate system defines the possible XY- or LatLon-coordinates that can be used in your maps and thus stores information on the kind of coordinates you are using in your maps. You may for instance use user-defined coordinates, coordinates defined by a national standard or coordinates of a certain UTM zone. Point, segment and polygon maps always have a coordinate system. Raster maps have a georeference which uses a coordinate system. A coordinate system is a service object for point, segment and polygon maps, and for georeferences of raster maps.

There are five main types of coordinate systems:

  • coordsys boundary only: to define XY-coordinates for maps by only specifying the boundaries of your study area.
  • coordsys projection: to define XY-coordinates for maps by specifying the boundaries of your study area and optionally projection information, ellipsoid information and/or datum information.
  • coordsys latlon: to define LatLon-coordinates for maps by specifying the boundaries of your study area in Latitudes and Longitudes and optionally ellipsoid information and/or datum information.
  • coordsys formula: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you know the relation between the two coordinate systems.
  • coordsys tiepoints: when you obtained data which is using different XY-coordinates than the coordinate system of your project, and when you do not know the relation between the two coordinate systems.

Tip:

It is advised to use one coordinate system for all your maps. In case you have data of different sources in different projections, it is advised to transform all data to one common coordinate system.


Objects criteria trees popup

Criteria trees

A criteria tree contains the definition of a complicated calculation in which multiple input maps and/or attribute columns are combined, according to certain user-defined rules or criteria, to obtain a final output raster map using Spatial Multi-Criteria Evaluation (SMCE).

Under the main goal of a criteria tree, you can add:

  • criteria: these rules are either factors or constraints.
  • groups: as many criteria may be involved, you can create groups under the main goal of a tree to keep an overview of all rules. A group defines an intermediate or a partial goal. Under a group, you can add one or more factors.

A criteria tree as a whole contains all rules you defined; it thus contains the way in which all input data should be standardized, grouped or weighed, to be able to calculate the final output map. The calculated final output map will show the performance of an area for the main goal that was set.

To build a criteria tree, you need to:

  • specify the name of the main goal as text, and specify the name of the output raster map that will contain the calculated final result,

  • add criteria under the main goal, i.e.:
    • add factors (benefits and/or costs) and add constraints,
    • specify the name of each factor or constraint as text,
    • select for each factor or constraint the input raster map or the attribute column that needs to be used.

  • optionally, add groups (partial goals) under the main goal, or under another partial goal, i.e.:
    • specify the name of a group as text,
    • optionally, specify the name of the output raster map that will contain the calculated result for this group,
      • add factors (benefits and/or costs) under the group,
      • specify the name of each factor as text,
      • select for each factor the input raster map or the attribute column that needs to be used.

Optionally, you can calculate performance by multiple scenarios or alternatives, in order to select the best scenario or alternative, and to identify poorly performing scenarios or alternatives. You will use:

  • the same criteria tree, i.e. the same rules for standardization, grouping and weighing of criteria,
  • for each alternative: other input maps.

See also:

SMCE Factors (Benefits and Costs)

SMCE Constraints

SMCE window : functionality

SMCE window : criteria tree viewer

ILWIS objects : criteria trees


Objects-database collection popup

Database collection

A database collection is a special form of an object collection. While an object collection may contain all kinds of ILWIS objects (maps, tables, layouts, etc.), a database collection may only contain tables. The tables of a database collection are in Use As mode [image] u.

A database collection is the result of:

  • accessing an external database.

You are not allowed to add any tables to a database collection, and you cannot delete any tables from a database collection.

Tip:

To convert a Use As table to a regular ILWIS table, open the Use As table, and choose Save Copy As from the File menu of the table window.

See also:

ILWIS objects : tables - databases

ILWIS objects : object collections


Objects-domains ilwobj popup

Domains

A domain is a set of possible values of a variable. In ILWIS, a domain is the set of possible IDs, class names, or values that can be used for instance in a map. All maps, tables and columns (data objects) have a domain; a domain is a service object for maps, tables and columns. One domain can be used for several data objects.

The four main types of domains are:

  • ID

for data objects that contain unique identifiers (e.g. plot 1024, plot 1025)

  • Class

for data objects that contain classes (e.g. soil units: clay, sandy loam)
  • Value

for data objects that contain measured, calculated or interpolated values (e.g. height, concentration)
  • Image

for satellite images containing values between 0 and 255.

Maps which use a class, value or the Image domain can have a user-defined representation.


Objects-domains popup

Domains

A domain defines the values, classes or identifiers that can be stored in a map or column. When you create a map or column, you also have to select or create a suitable domain for that map or column. When you create an attribute table for a map, the attribute table must use the same domain as the map to which the table refers; the domain provides the link between the map and the table. Further, a domain uses a certain representation which defines the graphical representation of a map, e.g. the coloring.

The four main types of domains are:

  • ID

for data objects that contain unique identifiers (e.g. plot 1024, plot 1025)

  • Class

for data objects that contain classes (e.g. soil units: clay, sandy loam)
  • Value

for data objects that contain measured, calculated or interpolated values (e.g. height, concentration)
  • Image

for satellite images containing values between 0 and 255.

All ILWIS data objects have a domain. One domain can be used for several data objects. For an introduction on domains, see Basic concepts : before creating maps and tables and Basic concepts : working with domains.

See also:

ILWIS objects : domains


objects filters popup

Filters

Filters are used in the Filter operation.

ILWIS offers you:

  • a choice of six filter types: Linear filters, Rank order filters, Majority filters, Binary filters, a Pattern filter and a Standard deviation filter. Each filter type calculates results by a different method;
  • a choice of about 30 standard filters;
  • the possibility to create, edit and store your own linear filters, for instance through the New Filter option in the Operation-list;
  • the possibility to modify the Average filter, Majority filters, Median filters, the Pattern filter, Rank Order filters, and the Standard Deviation filter according to your wishes in the Filter : dialog box.


objects-georeference popup

Georeference

A georeference is a service object which stores the relation between rows and columns of a raster map (row,col) and coordinates (X,Y). A georeference is needed for raster maps. A georeference uses a coordinate system. It is advised that raster maps of the same area use the same georeference.

  • For rasterized vector maps (usually North-oriented), use a georef corners.
  • For other raster maps, for example satellite images, which are not North-oriented and in which the pixels do not represent exactly square areas on the ground, use a georef tiepoints.
  • To add coordinates to a scanned photograph while using a Digital Terrain Model (DTM), create a georef direct linear.
  • To add coordinates to a scanned aerial photograph with fiducial marks for which you have DTM, create a georef orthophoto.
  • To obtain three dimensional views of maps using a DTM, create a georef 3D.

To combine raster maps with different georeferences, for instance in MapCalc or Cross, first use the Resample operation, so that all maps will use one georeference.


Objects graph popup

Graph

A graph can be created from columns in a table.

You can either create a so-called graph from columns (displayed as points, bars, line, step or needle), or a rose diagram. The graph will be shown in a graph window.

After you displayed a graph from columns, you can add graphs from formula, a least squares fit, or a semi-variogram model. In the graph window, the different graph layers will appear in the Graph Management pane.

For more information on graph windows and types of graphs, refer to Graph window : functionality and Graph window : examples of graphs.


objects-histogram point popup

Histogram of a point map

A histogram is a special object which lists frequency information on values, classes or IDs in a map. A point histogram lists the number of points per class, ID or value in a point map. If the input point map uses a value domain, also the cumulative number of points are calculated.

In a histogram window, the histogram is presented as a table and as a graph.

A point histogram is obtained by performing the Histogram operation on a point map. For point maps that use a value domain and of which no histogram is available yet, a histogram is automatically calculated just before such a value map is displayed.

With the Histogram operation, you can also calculate histograms of raster, polygon and segment maps.


objects-histogram polygon popup

Histogram of a polygon map

A histogram is a special object which lists frequency information on values, classes or IDs in a map. A polygon histogram lists the number of polygons and the total perimeter and total area of polygons per class, ID, or value in the map. If the input polygon map uses a value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.

In a histogram window, the histogram is presented as a table and as a graph.

A polygon histogram is obtained by performing the Histogram operation on a polygon map. For polygon maps that use a value domain and of which no histogram is available yet, a histogram is automatically calculated just before such a value map is displayed.

With the Histogram operation, you can also calculate histograms of raster, segment and point maps.


objects-histogram popup

Histogram

A histogram is a special object which lists frequency information on values, classes or IDs in a raster, polygon, segment or point map. A histogram is automatically calculated when displaying a value map with stretching; you can also use the Histogram operation.

In a histogram window, the histogram is presented as a table and as a graph. Summary information of a histogram of a value raster map, such as mean, standard deviation, and percentage intervals, can be viewed both in the histogram window as well as Properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a Value domain, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.

A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.

A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.


objects-histogram raster popup

Histogram of a raster map

A histogram is a special object which lists frequency information on values, classes or IDs in a map. A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID in the raster map. If the input raster map uses a value domain, also cumulative number of pixels and cumulative percentages are calculated.

In a histogram window, the histogram is presented as a table and as a graph. For Value raster maps, summary information, such as mean, standard deviation, and percentage intervals, is available in the histogram window as well as in the Properties of the histogram.

A raster histogram is obtained by performing the Histogram operation on a raster map. For value raster maps that are stored using 1 or 2 bytes per pixel and of which no histogram is available yet, a histogram is automatically calculated just before such a value map is displayed.

With the Histogram operation, you can also calculate histograms of polygon, segment and point maps.


objects-histogram segment popup

Histogram of a segment map

A histogram is a special object which lists frequency information on values, classes or IDs in a map. A segment histogram lists the number of segments and their total length per class, ID or value in the map. If the input segment map uses a value domain, also the cumulative number of segments and cumulative lengths are calculated.

In a histogram window, the histogram is presented as a table and as a graph.

A segment histogram is obtained by performing the Histogram operation on a segment map. For segment maps that use a value domain and of which no histogram is available yet, a histogram is automatically calculated just before such a value map is displayed.

With the Histogram operation, you can also calculate histograms of raster, polygon and point maps.


objects_internal_domains_popup

Internal domains

Some operations (can) create for their output map a new Class, ID or Picture domain that is not stored as a separate object but which is stored by the output map. You can use internal domains to reduce the number of domains shown in the Catalog. When the operation creates an internal domain of the Class or Picture type, then its representation is also stored by the output map (internal representation).

You can view internal domains and representations in the same way as normal domains and representations:

  • open the output map of the operation in a map window, open the Edit menu and choose Domain, or
  • open the output map of the operation in a map window, open the Edit menu and choose Representation, or
  • click the output map of the operation with the right mouse button in the Catalog, then choose Open As Domain or Open As Representation from the context-sensitive menu.

Internal domains and representations do not have their own Properties dialog box and cannot be shown as a table. For more information, see How to open internal domains and internal representations.

Mind: When you open an internal UniqueID domain, you can only edit the Prefix of the IDs.


Objects-layout popup

Layout

A layout is required to print maps with optional annotation. A layout is a virtual sheet of paper on which you can make a composition of one or more map views, specify the scale on which these map views should be printed, and on which you can insert annotation.

In the layout editor, you can add to a layout:

  • one or more map views, each of which may include one raster map and/or one or more point maps, segment maps and/or polygon maps, annotation text layers, grid lines and/or graticules;
  • texts such a titles;
  • boxes;
  • pictures and/or bitmaps;
  • a page border.

For each map view, you can add to the layout:

  • a legend for a layer in a map view;
  • a map border, including coordinates and ticks for grid lines and/or a graticule;
  • a North arrow;
  • a scale bar and scale text.

Tip:

To obtain a layout, first save a map window containing one or more maps, optionally Annotation Text, grid lines and/or graticules as a map view. Then, create a layout and add one or more map views to it.

See also:

Basic concepts : map views and layouts

ILWIS objects : map views

ILWIS objects : layouts

Layout editor : functionality


Objects-map list popup

Map list

A map list is a set of raster maps, for example the bands of a satellite image. All raster maps in the map list must have the same georeference and the same domain.

A map list is used:

  • for sampling and classification,
  • to display three maps in a map list as an interactive color composite,
  • to present multi-temporal changes in maps as a slide show,
  • to perform a Principal Components Analysis,
  • to apply the same MapCalc formula on all raster maps in the map list, or
  • to perform an operation on all raster maps in the map list.

A map list can be created from the File menu in the Main window or while starting an operation which requires a map list as input. You can include as many raster maps in a map list as you like.


Objects-map view popup

Map view

A map view is a saved map window.

In one map window, you can display:

  • one or more raster maps and/or one or more polygon maps, segment maps and/or point maps;
  • one or more Annotation Text objects which usually contains the labels of a point, segment or polygon map;
  • grid lines and graticules.

When you save a map window as a map view, all layers in the map window and their display settings as well as the georeference of the map window are stored. When you open a map view later on, the map window will appear exactly as it was saved. You do not need to add individual maps to the map window anymore, nor specify their display options.

Map views MUST be created when you wish to print maps. After saving the map window(s) as map view(s), create a layout to which you can add one or more map views and additional annotation such as legends, north arrows, scale bars and scale texts, texts (such as a title), map borders including ticks and coordinates for grid lines or a graticule, a page border, boxes, bitmaps and pictures.

Mind: In a layout, a map view may only contain one raster map.

In the layout editor, you can then make a final composition of the map views and the annotation.

See also:

Basic concepts : map views and layouts

ILWIS objects : map views

ILWIS objects : layouts

Layout editor : functionality


objects-matrices popup

Matrices

A matrix is a 2-dimensional array of values. Matrices are calculated by the Principal Components operation and by the Factor Analysis operation. The Principal Components operation calculates a.o. a variance-covariance matrix and the Factor Analysis operation calculates a.o. a correlation matrix. The matrices can be shown.

When a matrix has been calculated, the Matrix Properties sheet lists some additional information on the matrix, namely the total variances in the output bands.


Objects-object collection popup

Object collection

An object collection is a set of ILWIS objects.

An object collection only stores the names and locations of the object definition files of the maps, tables, etc. that are included in the object collection. The object definition files of these maps, tables, etc. contain further references to the names and locations of the data files on disk.

Object collections:

  • can be created to organize your data as 'projects';
  • are the result of importing Aster images through ILWIS Map Import.

Furthermore, a special case of object collections are database collections. Database collections are the result of accessing an external database, and only contain the Use As tables [image] u of the external database.

See also:

ILWIS objects : object collections

ILWIS objects : tables - databases


objects-point map popup

Point map

A point map contains points, for example water wells or sample points. Points are either identified by IDs, class names or values; this is determined by the domain of the map. Further, a point map uses a certain coordinate system.

To obtain a point map you should create one and edit it with the point editor (with or without digitizer).


Objects-polygon map popup

Polygon map

A polygon map is a vector map containing closed areas and the boundaries making up the areas. Polygon maps can for example contain uniquely codified areas such as cadastral plots, or mapping units such as land use classes, geological units or soil units. The areas are either codified by IDs, class names or values; this is determined by the domain of the map. Further, polygon maps use a certain coordinate system.

Polygon maps are generally used as a stepping stone to raster maps.

To obtain a polygon map, you first have to create a new segment map and edit it with the segment editor (with or without digitizer); then polygonize these segments within the segment editor or with the Segments to Polygons operation.


Objects popup

Objects

Data objects

Service objects

Special objects

Annotation


objects-raster map popup

Raster map

A raster map consists of pixels (picture elements) of a certain size, e.g. 20m x 20m. Pixels are either codified by IDs, class names, values, or colors; this is determined by the domain of the map. A raster map should have coordinates, that is a georeference. In ILWIS, most spatial operations are performed on raster maps.

To obtain a raster map:

  • rasterize an existing point, segment or polygon map, or
  • create a new raster map and edit it with the pixel editor,
  • use a satellite image which is already a raster map, or
  • scan a map or photograph and import it into ILWIS.


Objects-representation popup

Representation

A representation defines the manner in which the classes of a map with a class domain, or the values of a map with a value domain or the image domain should be represented on the screen and on a printer. A representation is a service object for a domain, i.e. a domain may use certain representations. Maps which use the same domain are by default displayed in the same colors.

Representation types:

  • Representation class: for raster, polygon, segment and point maps with a certain class domain, and for raster maps with a certain group domain or a certain picture domain. For each class in the domain, a representation class contains: colors for mapping units in raster maps; colors, hatching or patterns for polygons; colors, line types, line widths, etc. or equally spaced symbols for segments; colors, symbol type, symbol sizes, etc. for points.
  • Representation value: for raster, polygon, and segment maps with a certain value domain or the Image domain. A representation value contains colors assigned to specific values and to ranges of values.
  • Representation gradual: can be created for maps with the system domain Value but can be used to display any value map. A representation gradual contains colors assigned percentage values and to ranges of percentage values.


objects-sample set popup

Sample set

Prior to an image classification, sample pixels or training pixels have to be selected in a sample set. To create a sample set, first a map list and a domain have to be specified. Then, with sampling, assign class names to groups of pixels that are supposed to represent a known feature on the ground and that have similar spectral values in the maps in the map list.

A sample set contains:

  • a reference to a map list, that is the set of images you want to classify in a later stage. The spectral values of the images in the map list, at the position of the training pixels provide the basis on which decisions are made in the classification. During sampling, these values can be inspected in the sample statistics of a certain class of training pixels, and can be visualized in feature spaces;
  • a reference to a class domain, that is the collection of class names that you want to assign to your training pixels and that are the classes that you want to obtain from the classification. The representation of this domain determines in which colors the training pixels are displayed during sampling;
  • a reference to a raster map which is automatically created and obtains the same name as the sample set. This so-called sample map contains the locations of the training pixels and the class names assigned to them.

When your graphics board is configured to use 256 colors, you can locate your training pixels on a background map, for instance a color composite. In case your graphics board is configured to use more than 256 colors, you will use an interactive color composite; then, a background map is not used.


objects-script popup

Script

A script is a sequenced list of ILWIS commands and expressions. By creating a script, you can build a complete GIS or Remote Sensing analysis for your own research discipline. Scripts are more or less equivalent to batch files in ILWIS version 1.4.

For more information, see ILWIS objects : scripts. For the syntax that can be used in scripts, see Appendices : ILWIS Script Language (syntax).


Objects-segment map popup

Segment map

A segment map is a vector map containing lines (for example roads, rivers or contour lines). Segments are either codified by IDs, class names or values (height map); this is determined by the domain of the map. Further, a segment map uses a certain coordinate system.

To obtain a segment map, you should create one and edit it with the segment editor (with or without digitizer).


objects-stereo pair popup

Stereo pair

A stereo pair allows you to view raster maps, scanned photographs or images in stereo, using a stereoscope mounted onto your monitor or red-green or red-blue glasses (anaglyph).

A stereo pair can be calculated:

  • with the Epipolar stereo pair operation which requires two raster maps with overlap as input, for instance two scanned aerial photographs with overlap; in the output stereo pair you can view the area of overlap in stereo;
  • with the Stereo pair from DTM operation which a single raster map as input, for instance a scanned photograph or an image, and a Digital Terrain Model (DTM); in the output stereo pair, you can view the whole area of the input map displayed over the DTM in stereo.

A stereo pair is automatically calculated when it is opened for display. The stereo pair then contains:

  • two resampled output raster maps,
  • where each raster map uses a new georeference which retains original coordinates.

A stereo pair can be displayed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.


object system objects

System objects

System objects are the standard domains, standard representations, standard coordinate systems and standard filters that are installed during the setup of ILWIS.

Examples are for instance: system domain Value, system domain Image; the standard Gray and Pseudo representations; the standard LatLonWGS84 coordinate system; and the standard filters AVG3x3, DFDX, and Laplace.

System objects cannot be edited. System objects are by default located in your ILWIS\SYSTEM directory.


objects-table2dim popup

Two-dimensional tables

A two-dimensional table is used to combine or reclassify two raster maps with a class or ID domain. It defines a value for each possible combination of input classes or IDs.

A two-dimensional table view consists of rows which represent one domain and of columns which represent another domain. In the two-dimensional table, you have to assign a value, class name or ID to the fields which represent the combination of these domains.

When you apply the two-dimensional table on the command line of the Main window, you need two input raster maps which have the domains as used by the two-dimensional table, the output raster map then contains the values, classes or IDs that you entered in the fields of the two-dimensional table.

See also:

Map Calculation : classifying maps according to a two-dimensional table


objects-table popup

(Attribute) Table

A table consists of records and columns. A table is an attribute table when the table stores additional information on elements in a map; i.e. extra tabular data which relates to mapping units, points, segments, or polygons in maps. To create an attribute table, see How to create an attribute table.

Raster, polygon, segment and point maps which use a domain type Class or ID can have attribute tables. The domain of the attribute table should be the same as the domain of the map to which it relates. An attribute table can be linked to a map or to a domain through the Properties of a map or a domain.

An attribute table can be edited when the table is displayed in a table window. When an attribute table is linked to a map or to a domain, and the map is displayed in a map window, you can also double-click the units in the map (see Map window : advanced functionality).


objects-userdef functions popup

Functions

Functions can be used in all three calculators in ILWIS: MapCalc, in TabCalc, in scripts or in the pocket line calculator. Some 50 internal functions are available (see also MapCalc and TabCalc), but also user-defined functions can be created.

A user-defined function generally contains of a combination of:

  • existing MapCalc/TabCalc operators and functions, and
  • user-defined parameters which represent maps and/or columns on which the function will be applied later on.

For more information, see ILWIS objects : functions or Create a function (dialog box)


Operation-tree Operation-list popup

Operation-tree and Operation-list

The Operation-tree and the Operation-list are located on the first two tabs in the Operations/Navigator pane, by default along the left hand side of the Main window.

  • The Operation-tree provides a tree structure for all ILWIS operations, similar to the Operations menu in the Main window;
  • The Operation-list contains an alphabetic list of all ILWIS operations.

Futhermore, both lists contain a number of commands to create objects, show objects, edit objects, open the pixel information window, start sampling, etc.

Tips:

To start an operation:

  • double-click an item in the Operation-tree or Operation-list,
  • drag a data object from the Catalog to an item in the Operation-tree or Operation-list,
  • click an item in the Operation-list with the right mouse button, and choose Run from the context-sensitive menu, or

You can also choose an operation from the Operations menu.

For more information, see How to start operations or Main window : Operation-tree and Operation-list.


Optimum index factor popup

Optimum Index Factor

The Optimum Index Factor (OIF) is a statistic value that can be used to select the optimum combination of three bands in a satellite image with which you want to create a color composite. The optimum combination of bands out of all possible 3-band combinations is the one with the highest amount of 'information' (= highest sum of standard deviations), with the least amount of duplication (lowest correlation among band pairs).


orthophoto_popup

Orthophoto

An orthophoto is a rectified (North-oriented raster map with square pixels) scanned photogrammetric aerial photograph with corrections for tilt and relief displacement. An orthophoto is obtained by resampling a photograph which has a georef orthophoto to a georef corners. See also How to create an orthophoto.


pixel editor popup

Pixel editor

With the pixel editor, you can edit pixels in a raster map:

  • edit the class names, IDs, or values of pixels in the raster map.


Pixel information window popup

Pixel information window

The pixel information window allows you to interactively inspect class names, IDs or values in multiple raster, polygon, segment and point maps with the same or a compatible coordinate system. When one map is displayed in a map window, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the mouse pointer in the map window. In the same way, when you have an analog paper map on the digitizer and you performed MapReference, the pixel information window is capable of retrieving values of all maps added to the pixel info window, at the position of the digitizer cursor.

Raster maps as well as polygon, segment and point maps can be added to the pixel information window. When an attribute table is linked to one of those maps or to the domains of the maps, the attribute information is shown as well.

Also, when of a dependent map only the object definition file exists, pixel info is able to actually calculate output values of the dependent map on the fly. This is possible for output maps of map calculation, and for output maps of the Mapcalc, Filter, Classify, Densify, Slicing and Attribute map operations.


pixinfo possible coordinate system transformations

Possible coordinate system transformations

The following coordinate system types can be transformed to each other:

  • a coordsys projection with a certain projection, ellipsoid and/or datum to another coordsys projection with a different projection, ellipsoid and/or datum;
  • a coordsys projection with a certain projection, ellipsoid and/or datum to a coordsys latlon with a certain ellipsoid and/or datum (and vice versa);
  • a coordsys latlon with a certain ellipsoid and/or datum to another coordsys latlon with a different ellipsoid and/or datum;
  • a coordsys formula to the 'related coordsys' of this coordsys formula (and vice versa);
  • a coordsys tiepoints to the 'related coordsys' of this coordsys tiepoints (and vice versa).

See also:

ILWIS objects : coordinate systems

Pixel information window : functionality

Transform coordinates (dialog box)

Transform operations


point editor popup

Point editor

With the point editor, you can edit points in a point map:

  • insert new points and delete existing ones,
  • edit the class names, IDs, or values of points, and
  • move points to a new position.


polygon editor popup

Polygon editor

With the polygon editor, you can edit polygons in a polygon map:

  • edit the class names, IDs, or values of polygons,
  • create labels from polygons,
  • apply labels to polygons,
  • extract segments.


Progress manager popup

Progress manager

The progress manager lists all actions, calculations and operations that are currently performed by ILWIS and which will take some time. The progress manager shows the progress of each of these background processes.


Azimuthal projections (popup)

Azimuthal projections

In an azimuthal projection, part of the earth is projected on a plane. The plane touches the earth sphere in one point (point of tangency, c); this point has the so-called central latitude and longitude. The projection rays can be a bundle, convergent in a point on the line through c, perpendicular to the tangent plane. The projection can also be secant, i.e. intersecting the sphere, instead of tangent.

In the projection, the azimuth or direction from the center of projection to any other point is shown correctly.

The mapmaker has to select the center of projection, i.e. a central meridian and central parallel:

  • when the center point is located at a pole, we speak of a polar aspect;
  • when the point is located at the equator, we speak of the equatorial aspect;
  • when the point is located anywhere else, we speak of the oblique aspect.

See also:

Conical | Conformal
Cylindrical | Equal Area
 | Equidistant
ILWIS objects : coordinate systems
Select Projection (dialog box)


Conformal projections (popup)

Conformal projections

Same angles. Angles between two directions in a map with a conformal projection and between these two directions on earth are the same, i.e. the difference in bearing (also known as the azimuth) between two points on the map and on earth is the same.

Topographic maps and maps used for navigation are usually maps with a conformal projection.

See also:

Equal Area | Azimuthal
Equidistant | Conical
 | Cylindrical
ILWIS objects : coordinate systems
Select Projection (dialog box)


Conical projections (popup)

Conical projections

In a conic projection, part of the earth is projected as a plane that is wrapped like a cone around the globe. After unrolling the outline of the world would be fan shaped. In case the cone axis would be coinciding with the earth axis, the meridians will be represented as straight lines and parallels as concentric circles.

The mapmaker has to specify a central meridian and two standard parallels. The values for the standard parallel indicate the latitudes where the cone is secant through the earth surface; when the values for both standard parallels are the same, the cone is tangent to the earth surface. The parallel(s) where the cone touches (or intersects) the globe has (or have) the same length as on earth.

Conic projections are suitable for parts of the temperate zones that are located either on the northern hemisphere or on the southern hemisphere.

See also:

Azimuthal | Conformal
Cylindrical | Equal Area
 | Equidistant
ILWIS objects : coordinate systems
Select Projection (dialog box)


Cylindrical projections (popup)

Cylindrical projections

In a cylindrical projection, part of the earth is projected on a cylinder. After unrolling, the meridians are parallel straight lines that cross at right angles by straight parallel lines of latitude.

The mapmaker has to select a central meridian. For some projections also a central parallel has to be specified; the central parallel is sometimes called the Latitude of true scale.

See also:

Azimuthal | Conformal
Conical | Equal Area
 | Equidistant
ILWIS objects : coordinate systems
Select Projection (dialog box)


Equidistant projections (popup)

Equidistant projections

An equidistant map has the characteristic that scale remains true along one or more lines in the map.

Some projections show:

  • true scale between one or two points and every other point in a map,
  • true scale along all meridians,
  • true scale along parallels.

See also:

Conformal | Azimuthal
Equal Area | Conical
 | Cylindrical
ILWIS objects : coordinate systems
Select Projection (dialog box)


Perspective projections (popup)

Perspective projections

Projection produced by projecting straight lines radiating from a selected point (or from infinity) through points on the surface of a sphere or an ellipsoid, and then onto a tangent or secant plane. Also called geometric projection.


Equal area projections (popup)

Equal Area projections

Equal area or Equivalent: the areas of all regions in the map are shown in the same proportion to their true areas on earth. Shape, scale and angles are distorted.

See also:

Conformal | Azimuthal
Equidistant | Conical
 | Cylindrical
ILWIS objects : coordinate systems
Select Projection (dialog box)


representation class editor popup

Representation Class editor

The Representation Class editor allows you to change the representation of any map with a class domain, a group domain, or a picture domain.

For each class as present in the domain to which this representation is linked, you can select or create a color. You can also assign a range of colors to multiple selected classes.

Furthermore, you can choose a hatching type or select or create a pattern for polygon classes; select a line type, line width, etc. for segment classes; and a symbol type, symbol size, etc. for point classes.


representation value/gradual editor popup

Representation Value/Gradual editor

The Representation Value/Gradual editor allows you to change the representation of any map with a value domain.

In general, in the representation Value/Gradual editor, you can:

  • insert, change and delete boundary values,
  • assign or change the color of a boundary value,
  • assign or change the coloring of the values in between the boundary values.

Colors in between boundary values are either stretched, this means gradual colors in a number of steps (you can increase or decrease the number of steps used to stretch), or are the same color as the boundary above or the boundary below.

For ILWIS 1.4 users:

Using the representation Value/Gradual editor gives the same results on the screen as applying a classify table and preparing a color lookup table for an output map, but the original values of the input map are retained.


sample set editor popup

Sample set editor

In the sample set editor you can select sample pixels also called training pixels for certain classes prior to an image classification. In the sample set editor, the process of assigning class names to groups of pixels with similar spectral values and that are supposed to represent the classes that you want to obtain from the classification is called sampling.


sample statistics popup

Sample statistics

The following sample statistics are calculated per band, for training pixels in a selected class:

  • mean,
  • standard deviation,
  • number of training pixels with the predominant value,
  • predominant value,
  • total number of training pixels of this class.

The same is calculated for the current set of selected pixels; this is displayed in the Lower half of the Sample Statistics window.

The first map in the map list is represented by Band 1, the second by Band 2, etc. Based on the sample statistics, you may decide to sample more training pixels of a certain class, merge classes, delete classes, etc.


sampling feature space popup

Feature space

During sampling, one or more feature spaces can be shown. A feature space visually shows the separation of classes of sampled pixels. Each class is shown in its class color.

A feature space uses 2 axes, values in one band are plotted against values in the other band, and at the position of a sampled pixel, the color of the class assigned to this pixel appears.


screen_digitizing_popup

Screen digitizing

Screen digitizing is the process of creating and/or editing a segment or point map while an existing raster map is displayed as a background in a map window. The raster map can be for instance a band of a satellite image, a color composite, a scanned map, or a scanned photograph. By using the mouse, you can directly digitize elements of interest on the background map. See also How to screen digitize.


Script editor popup

Script editor

The script editor allows you to create, view, edit and test scripts. With a script you can build your own GIS and Remote Sensing application.


segment editor popup

Segment editor

With the segment editor, you can edit segments in a segment map:

  • insert segments and delete existing ones,
  • edit the class names, IDs, or values of segments,
  • change the shape of segments,
  • split and merge segments, and
  • check segments and polygonize segments.


drag size handles popup

Size handles

Size handles appear as 4 or 8 little black boxes at the edges of a selected annotation element. Size handles are used to change the size of an object.

To change the size of a text, legend, box, scale bar, North arrow, bitmap or picture in the Layout editor:

  • click the object that you wish to resize,
  • position the mouse pointer at one of the 4 or 8 size handles: the mouse pointer changes into a double-sided arrow,
  • drag the size handle to a new position.

Dragging one of the corner handles maintains the original height-width ratio (isotropic).

Dragging one of the middle handles resizes the annotation horizontally or vertically; the height-width ratio changes (anisotropic).


SMCE constraint popup

SMCE [image] Constraints

A Constraint in the SMCE application is a criterion that determines in the calculation of the main goal:

  • which areas should be considered as absolutely NOT suitable/performing; these areas will obtain value 0 in the final output;
  • calculation of output values will take place only in all other areas, namely according to the inserted (groups of) Factors; these areas will obtain a value between 0 and 1 in the final output.

A Constraint is either an input map or an attribute column in an attribute table.

As opposed to factors, poor performance of a constraint cannot be compensated by good performance of another factor or constraint. This leads to a nil (0) performance value in the composite index map.

When creating and filling a criteria tree:

  • constraints can only be inserted directly under the main goal in a criteria tree.
  • you need to specify for each constraint:
    • a name as text (like a description), and
    • an input map or an input attribute column (the data).

For more information, see Insert Constraint.

Before calculating the main goal (i.e. the final composite index map), you also need to:

  • standardize the input data for each constraint.

For more information, see Standardize.

Note: When standardizing constraints, you must select Boolean values (True or False).

See also:

Insert Constraint

Standardize

SMCE window : functionality

SMCE window : criteria tree viewer

SMCE Factors


SMCE factor popup

SMCE Factors: Benefits and [image] Costs

A Factor in the SMCE application is a criterion that contributes to a certain degree to the output.

  • a Benefit: contributes positively to the output; the more you have (the higher the values), the better it is.
  • a Cost: contributes negatively to the output; the less you have (the lower the values), the better it is.

A Factor is either an input map or an attribute column in an attribute table.

As opposed to constraints, poor performance of a factor can be compensated by good performance of another factor. This can still lead to good overall performance in the composite index map.

When creating and filling a criteria tree, you need to specify for each factor:

  • a name as text (like a description), and
  • an input map or an input attribute column (the data).

For more information, see Insert Factor.

Before calculating a sub goal or the main goal (i.e. a composite index map), you also need to:

  • standardize the input data for each factor,
  • specify the weight for each factor.

For more information, see Standardize and Weigh.

Optionally, to keep overview of various criteria that can be considered as a sub goal of the main goal, you can add a Group of Factors (i.e. sub goals). Under a Group, you can add multiple Cost Factors and multiple Benefit Factors.

See also:

Insert Factor

Standardize

Weigh

SMCE window : functionality

SMCE window : criteria tree viewer

SMCE Constraints


SMCE window popup

SMCE window

The Spatial Multi-Criteria Evaluation (SMCE) window is an application that assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way.

As input for the application, you need to build a criteria tree:

  1. specify a main goal and supply a name for the final output map,
  2. optionally, add groups to the main goal; a group is supposed to contain multiple factors,
  3. add criteria to the main goal, and specify whether a criterion is a factor or a constraint.

For each factor and for each constraint, you need to specify a name as text (like a description), and an input map or input attribute column.

A criteria tree lists and defines:

  • all inserted groups, factors and constraints,
  • the way in which all groups, factors and constraints should be grouped, standardized and weighed,
  • in order to calculate the final output map.

The initial output of the operation are so-called 'composite index' raster maps. These maps combine all input data according to the rules for weighing and standardization of the factors and/or constraints.

  • As you can use multiple alternatives, which use different input maps, the output maps of the various alternatives can be compared to each other.
  • The composite index maps can be classified or sliced so that the sliced output maps contain a limited number of classes. Furthermore, from the sliced output maps, the Shape Index and Connectivity Index can be calculated.

The output maps show the suitability for the goal that was set, and can be an aid in planning and decision-making.

The SMCE window consists of a menu bar, a toolbar, a criteria tree viewer, a status bar, and a context-sensitive menu.


status bar popup

Status bar

The status bar is by default displayed at the bottom of a window. The states bar gives a brief explanation on selected menu commands and on the functionality of buttons in a toolbar.

Furthermore, the status bar may give additional information when the mouse pointer is located in the Catalog, the Operation-list, a map window, a table window, the pixel information window, or an editor.


Table calculation popup

Table calculation

Table calculation is used to perform calculations with columns in a table. You can perform calculation on columns in attribute tables, but you can also perform calculations on columns of histograms and on columns of tables that are the result of an operation.

Type table calculation formulae on the command line of a table window. For complicated table calculations such as aggregations, join, cumulative values and least square fits, you can use the Columns menu of the table window.

The following list gives an overview of the functionalities:

  • column and record calculations using arithmetical, relational, logical, conditional, exponential, logarithmic and other operators and functions,
  • creation, storing and application of user-defined functions,
  • aggregation of values by using a group column,
  • calculation with columns of another table on disk (join),
  • least squares fit,
  • retrieval of data from raster maps based on coordinates columns in the table.


table selection popup

Table selections

Selecting fields:

  • To select a single field: click the field.
  • To select multiple adjacent fields: drag a rectangle over the fields of interest.
  • To select multiple fields out of sequence: click the first field of interest, press and hold the Shift key, and click the other fields of interest.

Selecting columns:

  • To select a single column: click a column name.
  • To select multiple consecutive columns: click the first column of interest, press and hold the Shift key, and click the last column of interest.

Selecting records:

  • To select a single record: click a record. (The record will also be shown in Record View.)
  • To select multiple consecutive records, click the first record of interest, hold the left mouse button down, move to the last record of interest and release the left mouse button.
  • To select multiple consecutive records, click the first record of interest, press and hold the Shift key, and click the last column of interest.

Selecting the contents of the whole table:

  • Open the Edit menu of the table window and choose Select All.

To clear a selection:

  • Press Esc on the keyboard.


Table window popup

Table window

A table is displayed in a table window. In a table window, you can view and edit table data, and you can calculate with your table data.

A table window consists of:

  • a table viewer which displays the table data,
  • a command line on which you can type your table calculation statements,
  • a statistics pane, at the bottom of a table window, to view the minimum, maximum, average, standard deviation and sum of values in a value column,
  • a record view (dockable window) in which you can display table data record by record,

Furthermore, a menu bar, a toolbar, a status bar, and a context-sensitive menu are available.

Furthermore, parts of the table window are also used when a histogram, a cross table, or a two-dimensional table is opened, or when the georeference tiepoints editor or the coordinate system tiepoints editor is opened.

See also:

Table window : functionality


Transform_operations_popup

Transform operations

With the Transform point map, Transform segment map and the Transform polygon map operations, you can transform the points, segments, or polygons of a map from its current coordinate system into another coordinate system.

With the Transform coordinates operation, you can interactively transform XY-coordinates from one coordinate system into another coordinate system.

See also:

ILWIS objects : coordinate systems


win: check boxes popup

Check boxes

A check box presents non-exclusive options: you can select as many check box options as needed. When a check box is selected, it contains an X. Names of unavailable options appear dimmed.

Example of a check box:

To select or clear a check box:

  • click the check box with the mouse, or press the Spacebar.

If the option name has an underlined letter, you can select or clear the check box by pressing and holding down Alt while typing the underlined letter.


win:command buttons popup

Command buttons

A command button initiates an action, such as carrying out or cancelling a command. The OK, Cancel and Help buttons are common command buttons. They are often located along the right side of a dialog box.

The currently selected button has a border that is darker than that of other buttons. Unavailable options appear dimmed.

Example of a command button:

To choose a command button:

  • click the desired command button with the mouse, or
  • press Tab until the button you want is selected, then press Enter.


win:controlmenubox_popup

Control-menu box

The Control-menu box is located in the upper left corner of a window. Click the Control-menu box to open the Control menu. The Control menu is most useful if you use the keyboard (rather than the mouse) to move, size, and close a window. Double-clicking the Control-menu box of a map, table, pixel info or editor window closes that window. Double-clicking the Control-menu box of the ILWIS Main window closes ILWIS.


win_create

Create button

At the extreme right of a drop-down list box in a dialog box, you may find a create button. If the list box does not contain a suitable object, you can click the create button to create a new object.

To create an object with the create button:

  • click the create button (rising sun) at the extreme right of a drop-down list box.


win: drop down list boxes popup

Drop-down list boxes

A drop-down list box initially appears as a rectangular box containing the current selection. When you select the down arrow in the square box at the right, a list of available choices appears. If there are more items than can fit in the box, scroll bars are provided. In ILWIS, you will sometimes find at the right end of a drop-down list box, a so-called create button. When you click on the create button, an object can be created.

Examples of a drop-down list box:

To open a drop-down list box and select an item with the mouse:

  • click the box or the arrow to open the list box,
  • click the up or down scroll arrow, or drag the scroll box until the item you want to select is displayed,
  • click the item.

To select an item from a drop-down list box by using the keyboard:

  • press the Up Arrow or Down Arrow key to move through the available options until you reach the one you want.

To create an object with the create button:

  • click the create button (rising sun) at the extreme right of the list box.


win:list boxes popup

List boxes see also: Drop-down list boxes

A list box displays a list of choices. If there are more choices than can fit in the box, scroll bars are provided so you can move quickly through the list.

Usually, you can select one item in a list box.

Example of a list box:

To select an item with the mouse:

  • click the up or down scroll arrow, or drag the scroll box until the item you want to select is displayed,
  • click the item.

To select an item by using the keyboard:

  • press the Up Arrow or Down Arrow key to move through the available options until you reach the one you want.


win:maximize_popup

Maximize button

The maximize button is the middle button depicting a square, located at the upper right corner of a window. Clicking the maximize button with the mouse enlarges the active window so that it fills the entire desktop. You can also double-click the title bar of a window or use the Maximize command in the Control menu.


win:menubar_popup

Menu bar

The menu bar is located just below the title bar and contains available menus from which you can choose commands.


win:minimize_popup

Minimize button

The minimize button is the _ button located in the upper right corner of a window, to the left of the maximize button. Clicking the Minimize button reduces your window to an icon on the Windows taskbar. You can also use the Minimize command in the Control menu. Restore your window by double-clicking the icon.


win: option buttons popup

Option buttons

Option buttons represent a group of mutually exclusive options. You can select only one button at a time. If you already have one option selected, your current selection replaces it. The selected option button contains a black dot. Names of unavailable options appear dimmed.

Example of option buttons:

To select an option button:

  • click the option button or press the Spacebar.

If the option has an underlined letter, you can select the option button by pressing and holding down Alt while typing the underlined letter.


win:statusline_popup

Status bar

The Status bar is located at the bottom of a window and gives short explanations on menu commands, functionality of buttons in toolbars, additional information on maps, tables, etc.


win: text boxes popup

Text boxes

In a text box you type information. When you move to an empty text box, an insertion point (a flashing vertical bar) appears. The text you type starts at the insertion point.

If the box you move to contains text, and the text is highlighted, any text you type will replace it. You can also delete existing text by pressing the Del or Backspace.

Example of a text box:

To select text in a text box:

  • drag the pointer across the text, or double-click a word to select one word at a time, or
  • position the mouse pointer in the text box and press and hold down Shift while pressing an arrow key.


win:titlebar_popup

Title bar

The title bar is located at the top of a window. A title bar usually shows the name of the application, map or table. If more than one window is open, the title bar of the active window has a color or intensity different from other title bars.


Calculation

Calculations

You can calculate with raster maps by typing a Map Calculation formula on the command line of the Main window or in the Map Calculation dialog box. You can calculate with columns by typing a Table Calculation formula on the command line of a table window.

When the definition symbol = is used in a calculation, the output map or column is dependent. For dependent maps and columns, the formula by which they are created is stored by these output maps and columns as their definition. You can easily update dependent objects in case input data have changed. You can also change the formula itself.

A simple MapCalc formula reads: Map3 = Map1 + Map2

When the assignment symbol := is used in a calculation, dependency links are immediately broken.


Operation

Operations

An operation performs a certain task on input data, and stores the results in an output map or table. Contour Interpolation, Cross, Distance Calculation and Filter are examples of operations.

You can start an operation by selecting an operation from the Operation-tree or the Operation-list, from the Operations menu, by clicking an input object in the Catalog with the right mouse button and choosing an operation from the context-sensitive menu, by dragging an input object from the Catalog to an operation in the Operation-list, or by typing an ILWIS command on the command line of the Main window. Subsequently, fill out the appearing dialog box of that operation and click the OK button; this generates an ILWIS expression on the command line of the Main window.

Advanced users can type such complete ILWIS expressions on the command line of the Main window or create a script to execute a series of expressions.


Precision

The precision for a value map or a value column determines the 'resolution' of possible values in the value map or value column. All values will be rounded so that they will fit the specified precision.

If you specify that a value map or a value column should use:

  • precision 1, then values in the map or column will be natural (whole) numbers;
  • precision 0.1, then values will have 1 decimal;
  • precision 0.01, then values will have 2 decimals;
  • precision 100, then values can increase and decrease by 100 (e.g. 0, 100, 200, 300);
  • precision 25, then values can increase and decrease by 25 (e.g. 0, 25, 50, 75).

For the precision of a value map or a value column you can choose any figure you like, also 2, 5, or 250.

During calculations or operations, the system will come up with a suggestion for the precision of the output map or column. If allowed by the domain that you selected for the output object, you can adjust the precision yourself.

You cannot specify the precision for the values in an output map or column when you select a domain that has a fixed precision (e.g. system domains Image, NOAA, or Radar).

The smaller you choose the precision of a map, the larger the size of the map will be (in bytes on disk), as more bytes will be needed to store each value in the map. Values in value maps can be stored as fixed point real numbers (using 1 byte, 2 bytes, 4 bytes per pixel) or as floating point real numbers (using 8 bytes per pixel). The display of maps using 1 byte per pixel is fast and the display of 8 byte maps is slower, also calculation time may increase.

See also:

Value range


Value range in expressions

Specifying a value range and precision

When typing expressions on the command line or in a script, you can, for some operations, specify the value range and precision of the output map. You can specify a value range and a precision in three ways:

OUT{min : max : prec} = expression

OUT{min : max} = expression

OUT{: : prec} = expression

where:

min | is the minimum value
max | is the maximum value
prec | is the precision of the values


Value range

The value range defines the range of possible values in a value map or a value column. Calculated values outside this range are assigned the undefined value.

During calculations or operations, the system will come up with a suggestion for the value range of the output map or column. If allowed by the domain that you selected for the output object, you can adjust these values for the output object: make a liberal estimate of minimum and maximum output values.

You cannot specify the value range for the values in an output map or column when you select a domain that has a fixed value range (e.g. system domains Image, Min1to1, NOAA, or Radar).

The wider you chose the value range, the larger the size of the output map will be (in bytes on disk), as more bytes are needed to store each value in the map. Values in value maps can be stored as fixed point real numbers (using 1 byte, 2 bytes, 4 bytes per pixel) or as floating point real numbers (using 8 bytes per pixel). The display of maps using 1 byte per pixel is fast and the display of 8 byte maps is slower, also calculation time may increase.

See also:

Precision


System domain Bit

System domain Bit (deprecated)

  • designed to store values 0 and 1 in raster maps,
  • user-defined color for value 1,
  • domain type: Bit.


System domain Bool

  • designed to store values 0 (False), 1 (True), and undefined,
  • user-defined colors for True and False,
  • domain type: Bool.


System domain Byte

  • designed for 'images' where value 0 should be regarded as undefined,
  • fixed value range from 1 to 255, and fixed precision 1,
  • during calculations or other operations, you cannot change the value range nor the precision for the output object,
  • undefined values are possible (value 0),
  • domain type: Value,
  • default representation: Gray.


System domain Count

  • designed for counting, for example in histograms to count pixels,
  • default value range from 0 to 1 billion, and fixed precision 1,
  • during calculations or other operations, you may change the value range for the output object, but not the precision,
  • undefined values are allowed,
  • domain type: Value,
  • default representation: Gray.


System domain Distance

  • designed to calculate distances,
  • default value range from 0 to 1 billion, and default precision 0.1,
  • during operations, you may change the value range and precision for the output object,
  • undefined values are allowed,
  • fixed unit 'm' (meters),
  • domain type: Value,
  • default representation: Pseudo.


System domain FlowDirection

  • designed to calculate with eight compass directions: N (to the North), E (to the East), S, W, NE, SE, SW, NW,
  • fixed output domain for the Flow direction operation,
  • undefined values are allowed,
  • domain type: Class,
  • representation: system representation FlowDirection.


System domain Image

  • designed for satellite images that use values between 0 and 255,
  • fixed value range from 0 to 255, and fixed precision 1,
  • during operations, you cannot change the value range and precision for the output object,
  • undefined values are not possible,
  • domain type: Image,
  • default representation: Gray.


System domain Min1to1

  • designed for use with trigonometric functions,
  • fixed value range from -1.00 to 1.00, and default precision 0.01,
  • during calculations or other operations, you may change the precision for the output object, but not the value range,
  • undefined values are allowed,
  • domain type: Value,
  • default representation: Gray.


System domain Min1to1

System domain NILto1

  • designed for use with Spatial Multi Criteria Evaluation (SMCE),
  • fixed value range from 0.00 to 1.00, and default precision 0.01,
  • during calculations or other operations, you may change the precision for the output object, but not the value range,
  • undefined values are allowed,
  • domain type: Value,
  • default representation: NILto1.


System domain NOAA

  • designed for NOAA satellite images, that use values between 0 and 1023,
  • fixed value range from 0 to 1023, and fixed precision 1,
  • during calculations or other operations, you cannot change the value range nor the precision for the output object,
  • domain type: Value,
  • default representation: Gray.


System domain None

  • designed for tables of which the records are not linked to a map,
  • records in the table will simply be numbered like 1, 2, 3, 4, 5, etc.
  • domain type: None.


System domain Perc

  • designed to calculate with percentages, for example in histograms,
  • default value range from 0.00 to 100.00, and default precision 0.01,
  • during calculations or other operations, you may change the precision, but it is not advised to change the value range,
  • undefined values are allowed,
  • fixed unit '%',
  • domain type: Value,
  • default representation: Gray.


System domain Radar

  • designed for radar satellite images that use values between 0 and 32767,
  • fixed value range from 0 to 32767, and fixed precision 1,
  • during calculations or other operations, you cannot change the value range nor the precision for the output object,
  • domain type: Value,
  • default representation: Gray.


System domain String

  • designed for use in columns that should store texts,
  • undefined values are allowed,
  • domain type: String,
  • no representation possible.


System value domains

The system domains that can contain values are:

  • system domain Value,
  • system domain Distance,
  • system domain Count,
  • system domain Min1to1,
  • system domain NILto1,
  • system domain Perc,
  • system domain Byte,
  • system domain Image,
  • system domain NOAA,
  • system domain Radar.

For Boolean values, the following system domains are available:

  • system domain Bool, and
  • system domain Yes/No.


System domain Value

  • designed for general use,
  • default value range from -9999999.9 to 9999999.9 (i.e. from almost -10 million to almost 10 million), and default precision 0.1,
  • during any operation or any calculation with MapCalc or TabCalc, you can adjust the value range and precision for the output map or column, so that they fit to the expected range of output values that you want to store for your output data; in most cases ILWIS will come up with a proper default,
  • undefined values are allowed,
  • domain type: Value,
  • default representation: Pseudo.

For the system domain Value, you can create a representation gradual but also a representation value.


System domain Yes/No

  • designed to store values 0 (No), 1 (Yes), and undefined,
  • user-defined colors for Yes and No,
  • domain type: Bool.


zoom in popup

Zoom in

To zoom in on maps displayed in a map window or a map editor, first:

  • click the Zoom In button [image] in a map window's toolbar or a map editor's toolbar, or
  • press the right mouse button while in a map window or a map editor; choose the Zoom In commmand from the context-sensitive menu, or
  • from the Options menu in a map window or a map editor, choose the Zoom In command.

The mouse pointer changes into a magnifying glass, then:

  • click somewhere in the map to zoom in on this spot with a factor 2, or
  • drag the mouse pointer from one spot in the map to another to zoom in on an area of interest (any zoom factor).

You can also use the overview window in a map window to zoom in.

Whether the shape of the map window then changes or not depends on whether the command Adjust Window Size on the Options menu of the map window is marked or not.

To zoom in, you can also press CTRL + I on the keyboard: ILWIS will automatically zoom in at the center of the window with a factor 2. You can then use the PgUp and PgDn keys on the keyboard to scroll vertically, and the Home and End keys to scroll horizontally.


Domain type : Class

A class domain is a list of class names and optionally class codes that can be used for instance in a certain map. Class domains are suitable for thematic maps for instance a land use map, a soil unit map, etc. The mapping units, i.e. the classes, have a certain meaning, should be represented by a certain color, probably have attribute information, and generally occur more than once in the map.

In a map with a class domain, the points, segments, polygons or mapping units use the class names as listed in the domain linked to that map. Points, segments, polygons or pixels without a class name are considered undefined.

When you create a class domain, you have to add all class names and optionally class codes to the domain yourself in the Domain Class editor. You can always add more classes to a class domain later on.

A class domain is always linked to an editable user-defined representation class. You can assign a color to each class of the domain but you can also assign a range of colors to multiple classes. For polygons, segments and points, there are also possibilities for hatching and patterns, for line types and line widths, and for symbols and symbol sizes, etc. For more information, see Representation Class editor.
All maps that use the same class domain will by default appear in the same colors. A class domain and its representation together form the legend of a map.

Maps with a class domain (or an identifier domain) can have an attribute table. The domain of the attribute table is the same as the domain of the map to which the table refers; the domain provides the record entries in the table. You can then add additional attribute information (in columns of the table) on each of the classes in your map.
Just as maps, each column has a domain to define the type of information you want to store in that column: when you want to store values in a column, use a value domain for that column; when you want to store class information in a column, use a class domain for that column, etc.

In MapCalc or TabCalc, you can calculate with specific classes by using double quotes around the class names or their codes.

Examples:

  • point maps containing water well types, e.g. by pump type, or simply all water wells.
  • segment maps containing road types, e.g. highways, primary roads, secondary roads, or simply all roads.
  • segment maps containing river types or simply all rivers.
  • polygon maps containing land use classes, e.g. paddy rice fields, upland field crops, tree crops, homestead gardens, grazing, forest, etc.
  • polygon maps containing terrain units, e.g. tidal lowland, coastal upland, volcanic hills, colluvial footslopes, etc.
  • polygon map containing soil texture units, e.g. sandy clay loam, sandy loam, clay loam.
  • rasterized forms of these point, segment and polygon maps.
  • attribute tables containing extra attribute information on the classes in the maps above.
  • columns containing extra attribute information.
  • attribute maps of attribute columns stored in a class column.
  • output maps of MapCalc operations on raster maps with a class domain.
  • output map of the Classify operation on satellite images.

Tips:

  • When you work with for example land use maps of different years of the same area, it is strongly advised to work with one class domain Landuse for all maps. In this user-defined domain called Landuse you should list all possible land use classes of all years. Use this one domain Landuse for all landuse maps of all different years. Not every class name of the domain has to be used in each map.
  • It is advised to use class domains for thematic maps on semi-detailed to reconnaissance scale (approx. 1 : 25,000 to 1 : 250,000).

See also:

Before creating ILWIS maps and tables

Basic concepts : working with domains

ILWIS objects : domains

Domain Class/ID editor


Domain type : ID (1)

Domain type Identifier

An identifier domain is a list of unique identifiers (IDs) and optionally codes that can be used for instance in a certain map. Identifier domains are suitable for instance for cadastral maps where each polygon has a unique ID. Individual mapping units each with a unique ID generally occur only once in a map, have no meaning nor color of themselves but probably have a lot of attribute information about them.

In a map with an identifier domain, the points, segments, polygons or mapping units are identified by one of the IDs as listed in the identifier domain linked to that map. In principle, each ID in an identifier domain occurs only once in the map but it is possible that you use IDs more than once. Points, segments, polygons, or pixels without an identifier are considered undefined.

When you create an identifier domain, you can either add all IDs to the domain yourself in the Domain Class/ID editor, or you can specify to use a certain list of numbers with or without using your own prefix. Furthermore, you can always add new IDs yourself to the domain later on, i.e. in the Domain Class/ID editor, or interactively, for instance during digitizing.

Maps with an identifier domain (or a class domain) can have an attribute table. The domain of the attribute table is the same as the domain of the map to which the table refers; the domain provides the record entries in the table. You can then add additional attribute information (in the columns of the table) on each of the IDs in your map.
Just as maps, also each column has a domain to define the type of information you want to store in that column: when you want to store values in a column, use a value domain for that column; when you want to store class information in a column, use a class domain for that column, etc.

Maps with an identifier domain have no user-defined representation; they can only be shown in 1, 7, 15 or 31 system colors. However, ID maps will usually be shown by selecting a certain attribute column of interest as stored in the attribute table of the map. When a selected attribute column has a value domain, you can use a representation value or a representation gradual; when the attribute column has a class domain, you can use a representation class.
There are special possibilities to display point maps with an identifier domain and attribute information: these can be shown for instance by sized symbols, or the attribute information can be shown as pie charts, bar graphs, etc.

In MapCalc or TabCalc, you can calculate with specific IDs by using double quotes around the IDs or their codes.

Examples:

You can use an identifier domain:

  • for point maps with individual water wells where each well has a number,
  • for segment maps with individual road sections where each road section has an ID,
  • for segment maps with individual river sections,
  • for polygon maps of cadastral plots where each plot has an ID,
  • for rasterized forms of these maps,
  • as the domain of an attribute table for an ID map: the attribute table contains extra attribute information on the individual IDs in the map,
  • output map of an Area Numbering operation on a raster map of domain type class.

Tips:

  • When you work with for example maps of different years of cadastral plots, you should work with one identifier domain e.g. PLOTID for all maps. In this user-defined domain called PLOTID you should list all possible plot identifiers of all years. Not every ID has to exist in each year.
  • It is advised to use an ID domain for detailed maps on large scales, for instance larger than 1 : 2,500 for example for cadastral and infrastructural purposes.

See also:

Before creating ILWIS maps and tables

Basic concepts : working with domains

ILWIS objects : domains


Domain type : Image

Maps with the Image domain are supposed to contain whole values between 0 and 255 without any undefined values. You should use the Image domain for satellite images which have this kind of values, for instance Landsat, TM and SPOT images. The Image domain is also suitable for scanned black & white aerial photographs (scanned in 256 colors). System domain Image is only available for raster maps.

Pixel values in an image (or band of an image) represent reflection values in a certain wave-lenght interval as measure by the satellite. These values are also called Digital Numbers (DN). All pixels in an image have a value or DN; there are no undefined values.

Maps with the Image domain are by default displayed from black (0) to white (255); this is system representation Gray. You can choose to stretch the image so that the contrast within the image will increase, or not, for instance to be able to compare different bands.
You can select another representation gradual to show an image, but you can also create your own representation value, for instance to interactively slice an image (see How to slice an image). For more information on representations, see ILWIS objects : representations.

Tips:

  • For satellite imagery with values in another range than between 0 and 255, you can use the system domain NOAA, the system domain Radar, or any other Value domain.
  • If in images with values from 0 to 255 you want to regard value 0 as undefined, use the system domain Byte.
  • To convert maps with a certain domain to another domain, see How to change the domain of a map.

See also:

Before creating ILWIS maps and tables

Basic concepts : working with domains

ILWIS objects : domains


Domain type : Bit

Domain type Bit (deprecated)

The Bit domain can only contain values 1 (True) and 0 (False). You can use the Bit domain only for raster maps. In most cases however it is advised to use the system Bool domain.

The Bit domain is available as:

  • system domain Bit (deprecated).

The Bit domain has no representation. You have to select colors for True values each time you display a map with the Bit domain in the map's Display Options dialog box.

See also:

ILWIS objects : domains


Domain type : Bool

Bool domains can only contain boolean values 1 (True), 0 (False) and undefined. Domain type Bool can be used for raster, polygon, segment and point maps and for columns which contains this type of values. You can use a Bool domain for instance to quickly discriminate whether a certain condition is true or not in any map, see the example below.

Bool domains are available as:

  • system domain Bool,
  • system domain YesNo.

You can also create your own Bool domains, for instance containing "Suitable" and "Not Suitable".

Boolean domains have no representation: you have to select colors for True and False values each time you display a map with a Bool domain in the map's Display Options dialog box. The default colors for True and False can be set through the Preferences in the Main window.

Example:

To find all areas with forest in a land use map, type the following MapCalc statement and accept the Bool domain:

OUT = Landuse = "Forest"

See also:

ILWIS objects : domains


Domain type : Color

The Color domain stores values that are actually colors which can be displayed on monitors configured for 16-bit or 24-bit display.

You can use the Color domain for instance for scanned color photographs (scanned with more than 256 colors) and for 24-bit color composites. The Color domain is also used for interactive color composites. The Color domain is only available for raster maps.
As the colors of a map using the Color domain are defined the values in the map, no representation object is needed or involved.

Note:

You can only use the Color domain when within Windows your monitor is properly configured to use more that 256 colors, for instance High Color 16-bit or True Color for 24-bit (see Display Settings in Windows' Control Panel).

See also:

ILWIS objects : domains


Domain type : Group

A group domain is designed to permanently slice a satellite image or to permanently classify values in a value raster map or in a value column. A group domain contains upper boundary values or limits (as used in an input map or column) and class names (as used in the output map or column). The classification or slicing of the values is permanent, i.e. after applying the group domain to a value map or column, you will continue to work with classes. A group domain can only be used for raster maps and for columns. A group domain is a special case of a class domain.

To create a group domain and insert upper boundary values or limits, class names and optionally codes, see How to create a group domain. A group domain is linked to a representation class. You can edit the colors of the output classes when creating the group domain but also when the output map which uses the group domain is displayed.

To apply a group domain on a value map, use the Slicing operation or use the CLFY function in MapCalc. Both the operation and the function produce the same results. To classify a column according to a group domain, use the CLFY function in TabCalc. The group domain is used to look up which ranges of values of the input should be grouped together into one output class. The output map or column will use the group domain. For more information, see How to slice an image or How to classify a map or column.

You can always adjust the limits and class names in the group domain later on in the Domain Class/ID/Group editor, then recalculate the output map which uses the group domain: open the properties of the output map and click the Make Up-to-Date button.

Tips:

  1. To permanently slice an image or classify values in a value raster map, you can create a group domain and apply it on the image or the value map.
  2. To interactively slice an image or classify a value map (raster, polygon, or segment map), there is no need to create a domain group: you can just create a representation value/gradual for your image or value map, and edit this representation in the Representation Value/Gradual editor. You have to indicate upper boundary values or limits and colors for these values. In between the limits, you can use the color of the limit above or below (slicing) or apply a kind of stretching of the colors. By keeping both the Representation Value/Gradual editor and the map window open, you edit limits and colors interactively.
    When the image or value map is displayed with the newly created representation, the colors in which the map is displayed suggest a sliced image or a classified value map, but the original values of the image or map are still available, for instance when pressing the left mouse button in the map window to get Info.
  3. To interactively classify maps which use system domain Value, you can only create or select a representation gradual (working in percentages). In order to create a representation value (working in values) for such maps, you have to change the domain of the map from system domain Value to a user-defined value domain, see How to change the domain of a map.
  4. For more information on the interactive and permanent methods to slice or classify maps, refer to How to slice an image or How to classify a map.

Example of a group domain:

For example, to slice a map with slope values ranging from 0 to 200% into relief classes: Flat (0-2%), Undulating (2-8%), Rolling (8-16%), Hilly (16-30%), Mountainous (>30%) (FAO), the following group domain may be created:

Upper Boundary | Group Name
2 | Flat
8 | Undulating
16 | Rolling
30 | Hilly
200 | Mountainous

See also:

How to create a domain Group

How to slice an image

How to classify a map or column

Slicing

CLFY function


Domain type : ID (2)

Domain type Identifier

An Identifier/ID domain is a list of unique identifiers (IDs), and optionally unique codes, descriptions, etc. for features in one or more maps.

An Identifier domain can be used in maps when each feature can be identified by a unique name (an ID/identifier); features without an ID/identifier are considered undefined. Each 'named'/'identified' feature generally occurs only in one place in the map.

When you create an Identifier domain, you can either add all IDs to the domain yourself, or use a list of numbers created by the system with or without using your own prefix. Furthermore, you can always add new IDs yourself to the domain later on, for instance during digitizing.

Attributes can be linked to the unique names, that is to the identifiers. The attribute table should have the same domain as the map. The attribute table contains additional information on the uniquely identified features.

You can use an Identifier domain in point, segment, and polygon maps, and in rasterized point, segment, and polygon maps. It is advised to use an ID domain for detailed maps on large scales such as 1: 500 for cadastral and infrastructural purposes.

Examples:

You can use an Identifier domain for:

  • point maps with individual water wells,
  • segment maps with individual road sections,
  • segment maps with individual river sections,
  • polygon maps of cadastral plots,
  • rasterized forms of these maps,
  • a map-related table which contains extra attribute information on the IDs in the maps above,
  • an output map of an Area Numbering operation on a raster map of domain type Class.

Tip:

When you work with for example multiple maps for different years of cadastral plots, you should work with one domain e.g. PLOTID (domain Identifier) for all maps. In this user-defined domain called PLOTID, you should list all possible plot identifiers of all years. Not every ID has to exist in each year.

See also:

Basic concepts : working with domains

ILWIS objects : domains


Domain type : Image (2)

Domain type Image

The Image domain can only contain whole values between 0 and 255. You can use the Image domain for satellite images with such values, for instance Landsat, TM and SPOT images. The Image domain is thus only available for raster maps.

All pixel values in the image represent reflection values in a certain wave-lenght interval. These pixel values are also called Digital Numbers (DN). All pixels have a value or DN; there are no undefined values.

The Image domain is available as:

  • system domain Image.

The Image domain has default representation Gray, but you can also create your own representation value, for instance to slice an image. For more information, see How to slice an image.

Tips:

  • For satellite imagery with values in another range than between 0 and 255, you can use the system domain NOAA, the system domain Radar, or any other Value domain.
  • If in images with values from 0 to 255 you want to regard value 0 as undefined, use the system domain Byte.
  • To convert maps with a certain domain to another domain, see How to change the domain of a map.

See also:

Basic concepts : working with domains

ILWIS objects : domains


Domain type : Picture

Picture domains are designed for raster maps which use a maximum of 256 different colors. You should use a picture domain for example for scanned pictures, i.e. when a raster map contains merely colors and when the pixels do not have a meaning in the sense of classes or values.

A picture domain can only be used by raster maps.

The colors in a picture domain are defined by Red, Green and Blue values, each ranging from 0 to 255. For example, orange is defined by (255, 128, 0) meaning 255 Red, 128 Green and 0 Blue.

You can convert a picture domain to a class domain: in the Properties dialog box of a picture domain, click the Convert to classes button.

Examples:

  • The output of a Color Composite operation is a domain Picture map; the pixels in a color composite represent colors, not values.
  • Scanned color photographs (scanned in 256 colors).

See also:

Basic concepts : working with domains

ILWIS objects : domains


Domain type : String

The String domain can store free text. You can only use the String domain for columns in which you want to store for instance descriptions of units, see the example below. Some special TabCalc functions are available which enable you to work with String columns.

The String domain is available as:

  • system domain String.

You cannot create your own string domains and the String domain has no representation.

Example:

In the following table, column Description uses the String domain:

Landcover | Description
Fb | Secondary forest & bushland
Fp | Primary forest
G | Grassland
H | Homestead gardens
P | Fish ponds
Pi | Paddy rice fields; irrigated
Pr | Paddy rice fields; rainfed
Tu | Tree crops and upland field crops
U | Upland field crops
Ut | Upland fields crops and tree crops
Waterbody | Waterbody

See also:

ILWIS objects : domains


Domain type : Value (1)

Domain type Value

Value maps and value columns are supposed to contain values in contrast to maps and columns that contain for instance class names or identifiers. Elements in value maps (raster, polygon, segment, or points) or fields in value columns represent measured, calculated, or interpolated values. Values in a value domain are defined by a minimum and maximum value (the value range) and a precision; values smaller than the minimum or larger than the maximum are considered undefined.
It is not possible to link attributes to a map with a value domain.

There are a number of system value domains available that can be used for value maps and columns, but you can also create your own value domain.

  • When calculating with value maps or value columns, you can usually select system domain Value, and adjust the value range and precision for the output map or output column during each individual operation.
  • It is advised to create a user-defined value domain when values in a map or column have a specific meaning, are in a specific range and should be represented by specific colors or ranges of colors.
  • For the system domain Value, you can choose to create a representation gradual (boundaries in percentages) or a representation value (boundaries in values). For all other system value domains and for user-defined value domains, you can create a representation value (boundaries in value).
  • A representation gradual can be used to display any value map;
    a representation value can be used to display maps which use the value domain for which the representation value was created.

For more information on representations for a value domain, see Representation Value/Gradual editor.

Examples:

  • point maps with height values,
  • segment map with height values (contour lines),
  • raster map of rasterized point, segment, or polygon maps with values,
  • raster map with interpolated height values (Digital Elevation Model),
  • columns containing calculated values,
  • attribute maps of attributes stored in a value column in map-related tables,
  • output maps of calculations with maps that use a value domain or the image domain.

For a height map of a mountainous area, you can create a user-defined value domain Height with values between 3500 and 5000m. You can then create a representation value Height in which you can define the colors for various ranges of values.

See also:

Basic concepts : working with domains

ILWIS objects : domains


Domain type : Value (2)

Domain type Value

Value maps and value columns are supposed to contain measured, calculated or interpolated values in contrast to maps and columns that contain for instance class names or identifiers. You should use a value domain for a map when the map contains for example height information such as in a contour map or a Digital Elevation Model. Ranges of values in a value map will be represented by ranges of colors. It is not possible to link attributes to a map with a value domain.

By using a certain value domain for a map or column, you define the kind of values that should be available in the map or column. This comprises the possible minimum and maximum value that you want to be available (the value range) and the number of decimals you want to work with (the precision). Values smaller than the minimum or larger than the maximum are considered undefined.

A number or system value domains are avaible in ILWIS, such as:

  • system domain Value which can generally be accepted when calculating with value maps or columns; it can store any value you can imagine,
  • system domain Min1to1 which is designed to store values between -1.00 and 1.00; it is suitable for instance NDVI calculations or correlations,
  • system domain Perc which is designed to store percentage values between 0 and 100, etc.

It is advised to create create a user-defined value domain when values in a map or column have a specific meaning, are in a specific range and should be represented by specific colors or ranges of colors.
For example, for a height map of a mountainous area, you can create a user-defined value domain Height with values between 3500 and 5000m. You can then create a representation value Height in which you can define the colors for various ranges of values.

As a value domain is linked to a certain representation value or a representation gradual, the value domain you choose thus also defines the default representation (= coloring) in which a map will appear. Maps using the same value domain will by default appear in the same colors.

  • For value maps which use the system domain Value, you can choose to create a representation value (boundaries in values) or a representation gradual (boundaries in percentages).
  • For value maps which use another system value domain or a user-defined value domain, you can create a representation value (boundaries in values).
  • A representation gradual can be used to display any value map;
    a representation value can be used to display maps which use the value domain for which the representation value was created.

For more information on representations for a value domain, see ILWIS objects : representations or Representation Value/Gradual editor.

During calculations with MapCalc or TabCalc or when performing operations on value raster maps or columns, you will usually need to specify a domain for the output value map or value column, as well as a value range and precision for the output value map or value column.

  • Domain for output map or column: You can generally select system domain Value for an output map or column. You can also select or create another value domain, for instance when the value range of that other domain will better suit the output values. ILWIS will generally come up with a proper default domain for the output map or column.
  • Value range and precision for output map or column: You also need to specify a value range and precision for an output value map or column.
    • The value range of an output map determines between which minimum and maximum value the values in the output map can occur. The actual minimum and maximum values occuring in an output map will be somewhere in between these values.
    • The precision of an output map determines the resolution of the values in the output map; a precision of 1 means whole values, a precision of 0.01 means working with 2 decimals, and a precision of 25 means that only values like 0, 25, 50, 75, 100 etc. will be stored.
    • For raster maps, the value range and precision of a map together determine in how many bytes per pixel the output map will be stored; this determines the size of the raster map in bytes on disk and has concequences for the amount of time required for calculations and display, etc.

    ILWIS will come up with defaults for the value range and precision of an output map or column; these defaults are based on actual minimum and maximum values as occuring in the input map(s) and columns(s), or if these are not known, on the value range and precision of the domain(s) of the input maps and columns, and on the default value range and precision of the domain which you selected for the output map.

    You can of course adapt the defaults so that the value range and precision for an output map will better fit the expected values in an output map or column or will better suit your needs.

Examples:

  • point maps with height values,
  • segment map with height values (contour lines),
  • raster map of rasterized point, segment, or polygon maps with values,
  • raster map with interpolated height values (Digital Elevation Model),
  • columns containing calculated values,
  • attribute maps of attributes stored in a value column in map-related tables,
  • output maps of calculations with maps that use a value domain or the image domain.

See also:

Before creating ILWIS maps and tables

Basic concepts : working with domains

ILWIS objects : domains


obj sec

ILWIS objects and icons

Data objects:

raster maps

polygon maps

segment maps

point maps

tables

Container objects:

map lists

object collections and database collections

map views

layouts

annotation text objects

graphs

Service objects:

domains

representations

georeferences

coordinates systems

Special objects:

histograms of raster maps

histograms of polygon maps

histograms of segment maps

histograms of point maps

sample sets

stereo pairs

criteria trees

two-dimensional tables

matrices

(user-defined) filters

user-defined functions

scripts

directories

drives


mask_sec

Mask

By specifying a mask, you can search for points, segments or polygons with a certain class name, ID or value. A mask is in fact a simple query to find (retrieve), display or use only those points, segments or polygons in a map that have certain class names, identifiers or values. A mask contains one or more search strings in which wild cards, asterisks (*) and question marks (?), are allowed. You can enter as many search strings in a mask as you like; separate the strings by commas. A mask can be specified in Display Options dialog boxes of vector maps and in several Vector Operations. For more information, see How to use masks.

Mask syntax:

  • search strings in a mask are compared with the classes, IDs or values of the domain of a map; when a map uses a class or ID domain and the classes or IDs have codes, the mask works on the codes and on the names and on the combination of codes and names,
  • to find/retrieve one specific class name, identifier or value: type that class name, ID or identifier in the mask,
  • to find/retrieve multiple class names, identifiers or values: separate the different class names, identifiers or values in the mask by commas (it does not matter whether you use spaces before or after a comma)
  • you can use asterisks as wild cards to replace zero or more characters in class names, IDs or values, for example road*,riv* or 1*,2*,3* , or even *25,*50,*75,*00, or A*b*,D*g*
  • you can use question marks as wild cards to replace single characters in class names, identifiers or values, for example Ab?,D?,Gl? or ?p,??i, or A*b??,D*g??
  • in a dialog box, you should not use quotes around class names, identifiers or values,
  • on the command line, you must use double quotes around the complete mask.


obj extentsions sec

Extensions of ILWIS object definition files

Data objects:

Raster maps | .MPR
Polygon maps | .MPA
Segment maps | .MPS
Point maps | .MPP
Tables | .TBT

Container objects:

Map lists | .MPL
Object collections and Database collections | .IOC
Map views | .MPV
Layouts | .ILO
Annotation Text objects | .ATX
Graphs | .GRH

Service objects:

Domains | .DOM
Representations | .RPR
Georeferences | .GRF
Coordinate systems | .CSY

Special objects:

Raster map histograms | .HIS
Polygon map histograms | .HSA
Segment map histograms | .HSS
Point map histograms | .HSP
Sample sets | .SMS
Stereo pairs | .STP
Criteria trees | .SMC
Two-dimensional tables | .TA2
Matrices | .MAT
Filters | .FIL
Functions | .FUN
Scripts | .ISL

See also:

Appendices : file extensions

Appendices : object definition files


System domains

The following domains are system domains:

For values including undefined:
system domain Value | For general use to calculate with value maps.
system domain Distance | Designed to calculate distances; unit 'm'.
system domain Count | Designed to count values that are not undefined; fixed precision.
system domain Min1to1 | Designed to calculate with values from -1.00 to +1.00; fixed value range.
system domain NILto1 | Designed to calculate with values from 0.00 to +1.00; fixed value range.
system domain Perc | Designed to calculate with percentage values; unit '%'.
system domain Byte | To calculate with images which have a value range from 1 to 255; where 0 should mean undefined; fixed value range and precision.
For satellite imagery:
system domain Image | For images with integer values from 0 to 255.
system domain NOAA | For NOAA images with integer values from 0 to 1023.
system domain Radar | For Radar images with integer values from 0 to 32767.
For Boolean values and undefined:
system domain Bool | To calculate with boolean values True, False and undefined.
system domain YesNo | To calculate with boolean values Yes, No and undefined.
For Boolean values and no undefined:
system domain Bit | To calculate with values 0 and 1 (deprecated).
Other:
system domain String | To use in columns that should contain plain texts such as descriptions.
system domain UniqueID | To use in maps in which each mapping unit should obtain its own unique ID.
system domain Color | To use for colored images (256 x 256 x 256 colors).
system domain ColorCmp | Is used as output domain by the Color Composite operation.
system domain FlowDirection | To calculate with eight compass directions: N (to the North), E (to the East), S, W, NE, SE, SW, NW. Fixed output domain for the Flow direction operation.
system domain None | For tables that have no class or ID domain, i.e. when the table should simply store records.

See also:

ILWIS objects : domains


System representations

The following system representations are representations gradual:

Blue | From black to blue in 16 stretch steps.
Clrstp6 | Six times from black to a color (6 colors between blue to red), each time in 8 stretch steps.
Clrstp8 | Eight times from black to a color (8 colors between blue to red), each time in 8 stretch steps.
Clrstp10 | Ten times from black to a color (10 colors between blue to red), each time in 8 stretch steps.
Clrstp12 | Twelve times from black to a color (12 colors between blue to red), each time in 8 stretch steps.
Cyan | From black to cyan in 16 stretch steps.
FineGray | From black to white in 60 stretch steps.
Gray | From black to white in 30 stretch steps. Default representation for system domain Image, and for the system domains Byte, Count, Min1to1, NOAA, Perc and Radar.
Green | From black to green in 16 stretch steps.
Inverse | From white to black in 30 stretch steps.
Magenta | From black to magenta in 16 stretch steps.
Pseudo | From blue to green to red in 6 x 9 stretch steps. Default representation for system domain Value and system domain Distance.
Red | From black to red in 16 stretch steps.
Yellow | From black to yellow in 16 stretch steps.

The following system representation is a representation value:

NILto1

Designed for SMCE standardized maps that have values between 0.00 and 1.00;

  • from red (0.00) to yellow (0.50) in 10 stretch steps, and
  • from yellow (0.50) to green (1.00) in 10 stretch steps.

Default representation for system domain NILto1.

The following system representations are representations class:

ColorCmp

Designed for output raster maps of the Color Composite operation created with the Standard option; 216 colors.

FlowDirection

Designed to display the eight compass directions N, NE, E, SE, S, SW, W, NW, W; default representation for maps using system domain FlowDirection.

Output maps of the Flow Direction operation always use system domain FlowDirection and are therefore by default displayed with the FlowDirection representation.

Note:

System representations cannot be edited, but you can always create a new representation, for instance by clicking the Create button [image] next to the Representation entry in a map's Display Options dialog box. For more information, see sections 2 and 3 on creating representations in the ILWIS objects : representations topic.

See also:

ILWIS objects : representations


Value maps/Value columns (2)

Value maps

For some operations, it is stated that a 'value map' is required or will be produced. Value maps are supposed to contain values in contrast to maps that contain for instance class names or identifiers. Values can be stored in any value domain or the Image domain. A Bool domain can only store a very limited amount of values.

When an operation needs a value map as input:

  • usually a map with a value domain or the Image domain is meant.

While performing calculations or other operations:

  • you can usually select system domain Value for the output map or output column, and
  • you can vary the value range and the precision for the values in the output map or output column during each individual operation.

You can also create your own value domains for maps and columns that contain values with a special 'standardized' meaning, for instance pH, height, yield, or concentration values. You can then create your own representation value (in values) with your default colors for this domain. When you create a user-defined value domain, it is advised to use a value range and a precision that fit your data.

See also:

More information on Value maps and Value columns


Value maps/Value columns

Value maps and value columns contain values in contrast to maps and columns that contain for instance class names or identifiers.

When it is stated that an operation requires or will produce a value map:

  • generally a map with a value domain or the Image domain is meant,
  • but sometime also a Bool domain can be used.

While performing calculations or operations:

  • the system will generally suggest a domain,
  • a value range and
  • a precision for the values of the output map or column.

If allowed by the (selected) domain of the output object, you may vary the value range and the precision for the output map or column yourself, during each individual operation.

Value maps may use one of the system domains listed below, however, you can also create your own value domains when certain maps or columns contain values with a special meaning, for instance pH, height, yields, or concentration values. When you create a user-defined value domain, it is advised to use a value range and a precision that fit your data. Subsequently, you can also create a meaningful representation (type value) for the values in such a domain.

System domains for values, including the undefined value:

  • system domain Value,
  • system domain Distance,
  • system domain Count,
  • system domain Min1to1,
  • system domain Perc,
  • system domain Byte.

System domains for images:

  • system domain Image,
  • system domain NOAA,
  • system domain Radar.

Furthermore, most operations that can be performed on a map with a value domain can also be performed on maps with one of the following domains:

  • system domain Bool,
  • system domain Yes/No,
  • system domain Bit (deprecated).

See also:

ILWIS objects : domains


Point statistics

Point statistics may help to get an impression of the nature of your point data prior to for instance a point interpolation, and to find necessary input parameters for a Kriging operation.

For point statistics a point map is required in which:

  • the points themselves are values (point map with a value domain), for instance concentration values, or
  • the points have an identifier (point map with a Class or ID domain) and values are stored in a column of the attribute table that is linked to the map.

The output of the Spatial correlation, Cross Variogram and the Pattern analysis operations is a table. By displaying the output table, you can also display graphs, especially semi-variograms. The output of the Variogram surface operation is a plot-like raster map.

Operations to calculate point statistics:

  • Spatial correlation: calculates spatial autocorrelation (as Moran's I), spatial variance (as Geary's c) and semi-variogram values g(h) for point values that are at certain distances towards each other in a point map.

    • Regarding spatial autocorrelation and spatial variance is the user encouraged to compare his or her data set with a data set consisting of the same point locations, with a set of attribute values, approximately in the same range as the measured variable, but created at random (using one of the RND functions in Table Calculation). If the correlation/variance graphs are very much the same for the measured data and the random data, no autocorrelation exists between the data points. Hence, point interpolation is not useful.

    By calculating semi-variogram values, you can display a semi-variogram. By modelling the semi-variogram, you can find the necessary input parameters, such as a model (spherical, exponential, etc.) and sill, range, and nugget values, for a Kriging operation.

  • Variogram surface: calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis. As input, you can use a point map or a raster map.

    • Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model and investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.

  • Cross Variogram: calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns. The Cross Variogram operation is a multivariate form of the Spatial correlation operation.

    • From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables. All three models serve as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

  • Pattern analysis: a tool to obtain information on the spatial distribution of points in a point map. The output table contains six columns with the probabilities of finding 1 point (Prob1Pnt) within a certain distance from any point in your input map, then 2 points (Prob2Pnt), 3 points (Prob3Pnt), etc. Another column (ProbAllPnt) contains the sum of Prob1Pnt, Prob2Pnt, ..., Prob(n-1), in which n is the number of points in the input map.

    • By inspecting the graphs of distances against probabilities, you may recognize distribution patterns of your points like random, clustered, regular, paired etc.

See also:

Spatial correlation

Variogram surface

Cross variogram

Pattern analysis


aggregate map popup

Aggregate Map

The Aggregate Map operation aggregates blocks of input pixels by applying an aggregation function: Average, Count, Maximum, Median, Minimum, Predominant, Standard Deviation or Sum.

The Aggregate Map operation either creates a new georeference in which each block of input pixels corresponds to one output pixel (group) or the output raster map uses the same georeference as the input map (no group).


aggregate statistics popup

Aggregate Statistics

The Aggregate Statistics script allows you to cross a merged catchments map with a DEM (or any other map): you will obtain for each catchment the following values: average, minimum, maximum, std, predominant, median, sum, count.

The results are added as new columns to your existing merged catchments table.

As input is required:

  • the output table of a previous Catchment Merge operation,
  • the output map of a previous Catchment Merge operation,
  • another raster map containing values, e.g. your DEM.

For more information, refer to Aggregate Statistics.


anaglyph popup

Anaglyph

Anaglyph will show a calculated stereo pair in a map window; the anaglyph is either displayed in Red-Green or in Red-Blue. You will be able to view the height differences in the stereo pair by using red-green or red-blue glasses.

To create a stereo pair:

  • use the Epipolar Stereo Pair operation, or
  • use the Stereo pair from DTM operation.

Tip: A stereo pair can also be shown in a Stereoscope window where you can view the stereo pair with a stereoscope.

See also:

Show stereo pair as anaglyph


Anisotropic kriging popup

Anisotropic Kriging

Anisotropic Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Anisotropic Kriging is a variant of the Ordinary Kriging operation: Anisotropic Kriging incorporates the influence of direction dependency.

Before Anisotropic Kriging, you should investigate the direction of anisotropy for instance with Variogram Surface, the semi-variogram values in two directions for instance with Spatial Correlation, and determine the range of the semi-variogram values in two directions by preparing semi-variogram models in a graph window (Graph window : Add semi-variogram model).


apply 3D popup

Apply 3D

The Apply 3D operation resamples an input raster map according to a georeference 3D. This enables you to permanently and quickly display the output raster map in three dimensions, i.e. as 3D view.

You can create a georeference 3D with Display 3D or Apply 3D; a Digital Elevation Model (DEM) is required and you have to specify 3D view parameters using the Georeference 3D editor.


area numbering popup

Area numbering

Area numbering is a raster operation which assigns unique identifiers to pixels with the same class names or values that are horizontally, vertically or diagonally connected.

The output of Area numbering is a map in which these connected areas are codified as Area 1, Area 2, etc. Furthermore, an attribute table is created for the output map. The table contains the new IDs; the class names, IDs, or values of the original mapping units; and the size (npix and area) of the unique output units.

Area numbering can be used to make a decision based on the size of individual groups of pixels with the same class name or value (uniquely identified areas) instead of on all pixels with the same class name or value.


assign labels to polygons popup

Assign labels to polygons

The Assign labels to polygons operation can be used to recode polygons in a polygon map according to label points in a point map. For each label point, the surrounding polygon is determined; then the class name, ID, or value of the label point is assigned to that polygon.


assign labels to segments popup

Assign labels to segments

The Assign labels to segments operation can be used to recode segments in a segment map according to label points in a point map. For each label point, the closest segment is determined; then the class name, ID or value of the label point is assigned to that segment.


attribute map of points popup

Attribute map of point map

By creating an attribute map of a point map, the class name or ID of each point in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A point map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the point map or to its domain through the Properties dialog box of the map or the domain.


attribute map of polygons popup

Attribute map of polygon map

By creating an attribute map of a polygon map, the class name or ID of each polygon in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A polygon map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the polygon map or to its domain through the Properties dialog box of the map or the domain.


attribute map of raster map popup

Attribute map of raster map

By creating an attribute map of a raster map, the class name or ID of each pixel in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A raster map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the raster map or to its domain through the Properties dialog box of the map or the domain.


attribute map of segments popup

Attribute map of segment map

By creating an attribute map of a segment map, the class name or ID of each segment in the original map is replaced by the value, class or ID found in a certain column in an attribute table.

A segment map using a Class or ID domain, can have extra attribute information on the classes or identifiers in the map. These attributes are stored in columns in an attribute table. The attribute table can be linked to the map to which it refers, or to the domain of the map. You can check whether an attribute table is linked to the segment map or to its domain through the Properties dialog box of the map or the domain.


autocorrelation popup

Autocorrelation - Semivariance

The Autocorrelation - Semivariance operation calculates the autocorrelation and semivariance of a raster map. The autocorrelation of a raster map is generated by calculating the correlation between pixel values of a raster map and pixel values of the same raster map for different shifts (lags) in horizontal and vertical directions. The semivariance, a measure for the spatial variability of a raster map, is calculated for the same shifts.


bicubic interpolation popup

Bicubic interpolation

In a bicubic interpolation, first the XY-coordinate of each pixel in the output map is determined. Then the values of 16 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

See also:

Bicubic interpolation example


bilinear interpolation popup

Bilinear interpolation

In a bilinear interpolation, first the XY-coordinate of each pixel in the output map is determined. Then the values of 4 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

A bilinear interpolation takes much less time than a bicubic interpolation.

See also:

Example bilinear interpolation


catchment extraction popup

Catchment Extraction

The Catchment Extraction operation constructs catchments; a catchment will be calculated for each stream found in the output map of the Drainage Network Ordering operation.

As input is required:

  • the output raster map of the Drainage Network Ordering operation,
  • the output raster map of the Flow Direction operation.

As output a raster map, a polygon map and an attribute table are produced which all use the ID domain of the input Drainage Network Ordering map.

The attribute table contains information on each catchment, such as:

  • area and perimeter of the catchment,
  • total upstream area, i.e. the area of all catchments that drain into this catchment, etc.


catchment merge popup

Catchment Merge

The Catchment Merge operation is able to merge adjacent catchments, as found by the Catchment Extraction operation. In fact, new catchments will be created on the basis of the Drainage Network Ordering map and its attribute table.

As input is required:

  • the output map and attribute table of the Drainage Network Ordering operation,
  • the output map of the Flow Direction operation,
  • the output map of the Flow Accumulation operation.

You can merge catchments in two manners:

  • by specifying a point map that contains locations of stream outlets within a catchment; all adjacent catchments that drain into such outlets will be merged,
  • by simply specifying a Strahler or Shreve ordering value: all adjacent catchments that have this Strahler or Shreve order value (or a lower value) and which drain into a common catchment will be merged.

As output a new catchment raster map, polygon map and attribute table are produced. These all use a new ID domain.

The attribute table contains information on the new catchments, similar to the output attribute table of the Catchment Extraction operation, but you will also find information on:

  • total drainage length, total upstream area,
  • drainage density,
  • longest flow path length and longest drainage length.

Optionally, you can also obtain:

  • a segment map with the longest flow path per catchment and a linked attribute table,
  • a segment ordering map and attribute table, that only contain the segment streams within the new catchments; other streams will not appear anymore; output is similar to the segment map and attribute table of the Drainage Network Ordering operation.

The last option is only available when you use an input point map with outlets.

Finally, this operation also has an option to include undefined pixels (from the Flow direction map) into a catchment. Then, a point map that only contains a single point is required.


Change domain of table popup

Change domain of table

The Change domain of table operation copies the contents of an input table to a new table; the new table will have another domain than the input table.

For the domain of the output table, you can choose:

  • domain None;
  • an existing class or ID domain on disk;
  • a class or ID domain of a column in the input table when that column contains unique classes or IDs;
  • a class or ID domain of a column in the input table where the column does not contain unique classes or IDs and other column values need to be aggregated (average, minimum, maximum, sum, last value encountered).


class coverage statistics popup

Class Coverage Statistics

The Class Coverage Statistics script crosses a selected catchment from a merged catchments map with a raster map that has a class domain, for instance land use classes or land cover classes.

Then, for each class, the area in percentages is calculated, i.e. the area that is occupied by each class in the selected catchment. The output is stored in column area_percent.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a raster map with a class domain, for instance a land use map or a land cover map,

When the script is finished, the output cross table is displayed.

For more information, refer to Class Coverage Statistics.


classify_multispectral_popup

Multi-spectral

The term multi-spectral is used to indicate that you work with multiple bands of a satellite image, for instance 3 SPOT bands, or 7 TM bands. Each band contains reflection values for a specific wavelength interval, we therefore speak of spectral bands. In ILWIS, the multi-spectral bands can be put together in a map list.


classify popup

Classify

The Classify operation performs a multi-spectral image classification according to training pixels in a sample set.

The following classification methods can be used:

  • Box classifier,
  • Minimum distance,
  • Minimum Mahalanobis distance,
  • Maximum Likelihood,
  • Maximum Likelihood including Prior Probabilities.


cluster popup

Cluster

Clustering, or unsupervised classification, is a rather quick process in which image data is grouped into spectral clusters based on the statistical properties of all pixel values. It is an automated classification approach with a maximum of 4 input bands.

Optionally, an attribute table can be created for the output map. The table will contain statistical information on the output clusters: the average, predominant and minimum and maximum value of each cluster as found in the input bands.


CoKriging popup

CoKriging

CoKriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. CoKriging is a multivariate variant of the Ordinary Kriging operation: CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).

Before CoKriging, you should perform the Cross Variogram operation and determine a semi-variogram model for the predictand, for the covariable and a cross-variogram model for the combination of the variables in a graph window (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation.


color composite popup

Color composite

A color composite is a combination of three raster bands. One band is displayed in shades of red, one in shades of green and one in shades of blue. Putting three bands together in one color composite map can give a better visual impression of the reality on the ground, than by displaying one band at a time. Examples of color composites are false color (or IR) images and 'natural color' images.

The Color Composite operation on the Operations, Image Processing menu creates a permanent color composite raster map.

To interactively display a map list as a color composite (16 or 24-bit), choose Show MapList as Color Composite from the Operations, Visualization menu. Interactive color composites can be stored by saving the map window as a map view.


color separation popup

Color separation

The Color separation operation allows you to extract different 'bands' for instance from a scanned or digital color photo as if using color filters when taking the picture. After color extraction, you can perform the normal Image Processing operations like Filtering, Classification, etc. on these bands.

Maps that have a Picture domain or the (24 bit) Color domain store for each pixel three values: Red, Green and Blue. The Color separation operation allows you to retrieve for each pixel either the Red, Green or Blue value and store these in a separate map. You can also retrieve Yellow, Magenta, Cyan, combined Gray values, or Hue, Saturation or Intensity values for each pixel.


Compound Index Calculation

The Compound Index Calculation script calculates:

  • Wetness Index,
  • Stream Power Index, and
  • Sediment Transport Index.

As input is required:

  • a DEM,
  • the output of a previous Flow Accumulation operation.

For more information, refer to Compound Index Calculation.


contour interpolation popup

Contour interpolation

Contour interpolation is an operation which first rasterizes contour lines of a segment map with a value domain, and then calculates values for pixels that are not covered by segments by means of a linear interpolation. Furthermore, on the command line, this operation can also use an input raster map.

When using Contour interpolation on a segment map containing height (contour) information, the resulting raster map is a Digital Elevation Model (DEM).


correlation matrix popup

Correlation matrix

The Correlation matrix operation calculates correlation coefficients of input raster maps of a map list. Correlation coefficients characterize the distribution of pixel values in two raster maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.


cross popup

Cross

The Cross operation performs an overlay of two raster maps which have the same georeference. Pixels on the same positions in both maps are compared; the occurring combinations of class names, identifiers or values of pixels in the first input map and those of pixels in the second input map are stored.

These combinations give an output cross table and optionally an output cross map. The cross table contains the combinations of input values, classes or IDs in both maps, the number of pixels that occur for each combination, and the area of each combination.


Cross Variogram popup

Cross Variogram

The Cross Variogram operation calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. As input for the Cross Variogram operation, you can use a point map with a linked attribute table containing at least two value attribute columns. The Cross Variogram operation is a multivariate form of the Spatial correlation operation.

From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables (Graph window : Add semi-variogram model). All three models serve as input for the CoKriging operation. CoKriging calculates estimates or predictions for a poorly sampled variable (the predictand) with help of a well-sampled variable (the covariable). The variables should be highly correlated (positive or negative).


cumulative hypsometric curve popup

Cumulative Hypsometric Curve

The Cumulative Hypsometric Curve script crosses a merged catchments map with your DEM. The script will ask for the ID of a single catchment that you wish to use in the Cross. In the resulting cross table, cumulative values are calculated for the Area of subsequent height values in pixels and in percentages. The output is stored in columns: cum_area and cum_percent.

With the output cross table and its newly calculated columns, you can create graphs:

  • use column cum_area or column cum_percent on the X-axis,
  • use the column with the height values on the Y-axis.

This will give you a so-called cumulative hypsometric curve.

As input, this script requires:

  • an output map of a previous Catchment Merge operation, and the ID of a catchment in this map,
  • a DEM.

For more information, refer to Cumulative Hypsometric Curve.


dem optimization popup

DEM optimization

The DEM optimization operation enables you to 'burn' existing drainage features into a Digital Elevation Model (DEM), so that a subsequent Flow direction operation on the output DEM will better follow the existing drainage pattern.

The DEM optimization operation offers the following possibilities:

  • Gradual drop of (drainage) segments in the output DEM, over a certain distance to the (drainage) segments.
  • Gradual raise of (watershed-divide) segments on the output DEM, over a certain distance to the (watershed-divide) segments.
  • Additional sharp drop or raise of segments on top of the gradual drop or raise.
  • Simple drop or raise of polygons in the output DEM.


dem visualization popup

DEM Visualization

The DEM Visualization script creates a color composite for you from a DEM. First, three shadow maps are created by the script, using three different shadow filters. The combination of them in a color composite gives a very good impression of the relief in your area.

As input is required:

  • a DEM.

At the end of the script, the color composite of the shadow maps is displayed.

For more information, refer to DEM Visualization.


densify popup

Densify

The Densify operation allows you to reduce the pixel size of a raster map, i.e. the number of rows and columns is increased in the output map. When the input map is a value map, new values can be assigned to the pixels in the output map by means of nearest neighbour, or a bilinear or bicubic interpolation. When the input map is a domain class or ID map, only the nearest neighbour method is available.

Densify should be used after you performed a point interpolation. Furthermore, you can use Densify before printing raster maps with the Image domain or a value domain, to improve the quality of the printed maps.


densify segment coordinates popup

Densify segment coordinates

The Densify segment coordinates operation allows you to obtain more intermediate coordinates within segments. The segments of an input map are copied, and extra intermediate coordinates are added to the segments in the output map at a user-specified distance.

The Densify segment coordinates operation can be used separately before a Transform segments operation, but you can also use the Densify coordinates option within the Transform segments or the Transform polygons operations.


display 3D popup

Display 3D

With Display 3D, you can create and edit a georeference 3D in order to obtain a three dimensional view of one or more maps. For the creation of a georeference 3D, a Digital Elevation Model (DEM) is required.

The DEM can then be displayed as 3D grid lines with or without a drape of a raster map. The georeference 3D can be edited with the Georeference 3D editor. When finished editing the 3D view, you can add point, segment and/or polygon maps and/or annotation to improve the 3D view.

With Apply3D, you can create a permanent raster map which uses your georeference 3D. In fact an input raster map is resampled to the georeference 3D.


Distance calculation distance map popup

Distance map

By calculating a distance map, each pixel is assigned the distance in meters towards user-specified source pixels, for example distance to schools, distance to roads etc.


distance calculation popup

Distance calculation

Distance calculation assigns to each pixel the smallest distance in meters towards user-specified source pixels, for example to schools, to roads etc. The output is called a distance map.

The input map for a distance calculation is called a source map: all pixels with a class name, ID, or value are regarded as source pixels, and distance values will be calculated for all pixels that are undefined. In the Distance calculation dialog box, a source map can be any raster map with a class domain or an ID domain. On the command line, you can also use raster maps with a value domain.

Inaccessible or less accessible areas can be indicated in a weight map. The weight factors in such a map represent the relative difficulty, a 'resistance', to surpass pixels. By using weight factors that are inversely proportional to the possible speed that can be obtained in different mapping units, a so-called time travel map can be calculated.

Through a distance calculation, also a Thiessen map can be calculated. A weight map can be used, but is not obligatory.


source map distance popup

Source map for distance calculation

A source map is obligatory input for a distance calculation. In the Distance calculation dialog box, a source map can be any raster map with a class domain or an ID domain. On the command line, you can also use raster maps with a value domain. All pixels in the source map that have a class name, ID or value are considered as sources. For all pixels that have the undefined value, a distance value is calculated.

Thus, as a source map, you can directly use a rasterized point, segment, or polygon map. Of course, you can also use one or more MapCalc statements to prepare a source map from an existing raster map.

If all parts in your map are equally accessible, there is no need to specify a weight map: the system assumes a weight of 1 for all undefined pixels.

For ILWIS 1.4 users:

The input map for a distance calculation is no longer a map in which value 0 is used for sources and value 1 is used for accessible pixels.


distance calculation thiessen map popup

Thiessen map

By calculating a Thiessen map, each pixel is assigned the class name, ID or value of the nearest source.

A Thiessen map can be created by performing a Distance calculation on any raster source map. In the Distance calculation dialog box, a source map can be any raster map with a class domain or an ID domain. On the command line, you can also use raster maps with a value domain. A weight map can be used but is not obligatory.

If your sources are points, and you do not want to take accessibily factors into account, the best way to create a Thiessen map is to use the Nearest point operation.


Distance calculation time travel map popup

Travel time map

By calculating a travel time map, each pixel is assigned the time required to reach that pixel from user-specified source pixels, for example time to reach schools, villages etc.

A travel time map can be created in three steps:

  • prepare a source map and a weight map. The weight (resistance) factors in the weight map reflect the relative decrease of speed in less accessible terrains compared to the best accessible terrain;
  • perform a distance calculation using both maps;
  • perform a MapCalc operation to convert the obtained output values from the distance calculation into time units (seconds, minutes, hours, etc.).


distance calculation weight map popup

Weight map for distance calculation

A weight map is optional input for a distance calculation. If all parts in your map are equally accessible, there is no need to specify a weight map: the system assumes a weight of 1 for all undefined pixels.

  • To exclude inaccessible areas from a distance calculation or to indicate insurpassable barriers, prepare a weight map in which negative values or the undefined value are assigned to inaccessible areas; assign value 1 to accessible pixels.
  • To work with relative accessibility, prepare a weight map in which weight values represent the relative difficulty to surpass pixels.
  • To calculate a travel time map, prepare a weight map in which weight values are inversely proportional to the relative speed that can be obtained in the different mapping units.

In a weight map, value 1 means normal accessibility, positive values represent a factor of resistance, and negative values represent insurpassable barriers i.e. inaccessible areas. Value 0 in a weight map means free accessibility, distance/time values will not increase while passing these areas.


drainage network extraction popup

Drainage Network Extraction

The Drainage Network Extraction operation extracts a basic drainage network (boolean raster map).

As input is required: the output raster map of the Flow Accumulation operation.

You can choose to use as additional input:

  • a threshold value, to set a minimum for the number of pixels that should drain into a pixel that is examined;
  • a threshold raster map, where pixels can have a threshold value based on e.g. their geological unit or height values;
    • when using a threshold map, also the output map of a previous Flow Direction operation is required.

When using a threshold map, the operation will furthermore fill possible gaps between drainage lines.

The output raster map will show the basic drainage as pixels with value True, while other pixels have value False.


drainage network ordering popup

Drainage Network Ordering

The Drainage Network Ordering operation:

  • examines all drainage lines in the drainage network map, i.e. output map from the Drainage Network Extraction operation,
  • finds the nodes where two or more streams meet, and
  • assigns a unique ID to each stream in between these nodes, as well as to the streams that only have a single node.

To limit the number of output streams and reduce calculation time, you can specify the minimum length that streams should have to remain in the network.

The output of this operation is a raster map, a segment map and an attribute table that all use a newly created ID domain.

The attribute table contains information on each stream, such as:

  • Strahler ordering number, Shreve ordering number,
  • stream length, calculated along the drainage, and calculated as a straight line between XY-coordinates,
  • slope values in degrees and in percentages, calculated along the drainage and calculated as a straight line between XY-coordinates, and elevation,
  • sinuosity of the drainage path as a measure of meandering,
  • total upstream drainage length, i.e. the total length of the streams that drain into the current one, etc.


Epipolar Stereo Pair

With the Epipolar Stereo Pair operation, you will create a stereo pair from two scanned aerial photographs with overlap.

In short, the process is as follows:

  • Specify the left input map and the right input map; one of the maps may already have a georeference.
  • Specify the output name of the stereo pair that will be created.

Then, in the Epipolar Stereo Pair - Creation window:

  • Mark on each photograph two, three, or four fiducial marks.
  • Mark the calculated principal point of the left photograph, on the right photograph (transferred principal point).
  • Mark the principal point of the right photograph, on the left photograph (transferred principal point).
  • In case of large scale differences between the two input maps, specify one or two scaling points in both photographs.

When you close the Epipolar Stereo Pair - Creation window, both input photographs will be resampled to output maps, i.e. the stereo pair is calculated. Rotation differences and possible scale differences between the photographs will be removed.

A calculated stereo pair can be viewed:

  • in a stereoscope window, while using a stereoscope, and
  • as an anaglyph in a map window, while using red-green or red-blue glasses.


export popup

Export

Export an ILWIS 3 object to ILWIS 2, ILWIS 1.4 or to another package using ILWIS export.


factor analysis popup

Factor Analysis

The Factor analysis operation is used to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Factor analysis each variable is transformed into a linear combination of orthogonal common factors (output raster maps) with decreasing variation. The linear transformation assumes the factors will explain all of the correlation in each variable. Hence each factor (output raster map) carries different information which is uncorrelated with other factors.


fill sinks popup

Fill sinks

The Fill sinks operation 'removes' local depressions (of single pixels and of multiple pixels) from a Digital Elevation Model (DEM).

  • The height value of a single-pixel depression is raised to smallest value of the 8 neighbours of a single-pixel depression.
  • The height values of a local depression consisting of multiple pixels are raised to the smallest value of a pixel that is both adjacent to the outlet for the depression, and that would discharge into the initial depression.

By using the Fill sinks operation,

  • and a subsequent Flow direction operation on the output map of the Fill sinks operation,
  • and a Flow accumulation operation on the output map of Flow direction operation,

it is ensured:

  • that a flow direction will be found for every pixel in the map, and
  • that water in any pixel will be discharged into outlets towards the edges of the map.


filter average popup

Average filters

An average filter may have any user-defined size. The filter calculates the average of the pixels considered, and assigns this value to the center pixel in the output map.

The standard average filter is the linear filter AVG3x3. Furthermore, you can use user-defined average filters: specify the size of the filter.


filter binary filter popup

Binary filters

Binary filters regard the input map as a binary map. This means that zero values in the input map are regarded as 0 (false), and all other defined values as 1 (true). By ordering the 9 input pixels in a certain way, the filter produces a number of 9 binary digits. This figure solely depends on the positions of true and false pixels in the map. To decide whether to assign a 0 or 1 to the output pixel, the binary number is looked up in a table which is present in each binary filter itself.

Binary filters are widely used for morphologic filtering.

Standard binary filters are: BINMAJOR, CONN8TO4, DILATE4, DILATE8, SHRINK4, SHRINK8, INBND4, INBND8, OUTBND4, OUTBND8, PEPPSALT, LIFEGAME.

There are no possibilities to define your own binary filters.

See also:

Filter types : binary filters


filter linear filter popup

Linear (convolution) filters

Linear convolution filters consist of a matrix with values and a gain factor. When a linear filter of size 3x3 is used, the 9 matrix values are multiplied with 9 pixel values in the input raster map, this is summed and then multiplied with the gain factor. The result is assigned to the center pixel in the output map.

Standard linear filters are: AVG3x3, EDGESENH, LAPLACE, SHADOW. The gradient filters are also linear filters: DFDX, DFDY, DFDDN, DFDUP, D2FDX2, D2FDY2, D2FDXDY. For technical information on gradient filters, see Filters: gradient or derivatitve filters.

Furthermore, user-defined linear filters may be created and stored on disk: specify filter size, matrix values, and gain factor. You can also use user-defined average filters:specify the filter size.


filter majority popup

Majority filters

Majority filters assign the predominant (=most frequently occurring) value or class name of each 3x3 pixels to the center pixel in the output map. Undef-majority filters only do this when the center pixel in the input map is undefined; zero-majority filters only do this when the value of the center pixel in the input map is 0.

Undef-majority filters are often used after an image classification to reduce the number of undefined pixels.

Standard majority filters are: MAJORITY, MAJUNDEF, and MAJZERO.

Furthermore, user-defined majority filters can be used: specify the size of the filter and whether a condition has to be used or not.


filter median popup

Median filters

A median filter is a special type of a rank order filter. A median filter calculates the median of the pixels considered, and assigns this value to the center pixel in the output map. A median filter may have any user-defined size.

The standard median filters are MED3x3 and MED5x5.

Furthermore, you can use user-defined median filters: specify the size of the filter and optionally a threshold.


filter pattern popup

Pattern filters

A pattern filter always works in a 3x3 environment. For each neighbour, it checks whether the absolute difference between the value of the center pixel and the value of the neighbour is smaller than or equal to a specified threshold value. According to the position of a true neighbour, a certain bit is set. The value assigned to the output center pixel is the bitwise combination of all true neighbours.

The pattern filter is thus able to detect areas where pixels have more or less the same value (value 255 in the output map), outliers where there are large differences between the center pixel and all neighbouring pixel values (value 0 in the output map), and bitwise the directions in which differences are found (other output value).

As there is no standard pattern filter, you always use user-defined pattern filters: specify the threshold value.


filter popup

Filter

Filtering is a raster operation in which each pixel value in a raster map is replaced with a new value.

The new value is obtained by applying a certain function to each input pixel and its direct neighbours. These neighbours are usually the 8 adjacent pixels (in a 3 x 3 filter) or the 24 surrounding pixels (in a 5 x 5 filter). When you create or define your own filters, any odd sized matrix is allowed (5 x 1, 11 x 23, 25 x 25).

Filtering is for instance used to sharpen a satellite image, to detect line features, etc.


filter rank order filter popup

Rank order filters

A rank order filter of size 3x3 for example, examines 9 pixel values of the input map at a time, sorts these values from small to large, and selects as output value that value which is encountered at a certain rank order number.

Standard rank order filters are the median filters: MED3x3 and MED5x5. The median filters can for instance be used to smooth an image.

Furthermore, user-defined rank order and median filters can be used; specify the size of a rank order filter, the rank order number and a threshold. In this way you can obtain for example the minimum or maximum value of a number of pixels examined.


filter standard deviation popup

Standard deviation filters

A standard deviation filter may have any user-defined size. The filter calculates the standard deviation of the pixels considered, and assigns the answer to the center pixel in the output map.

As there is no standard standard deviation filter, you always use user-defined standard deviation filters.


Find datum transformation parameters

The Find datum transformation parameters operation enables you to find datum transformation parameters between the coordinate systems of two point maps, where:

  • the coordinate system of the first point map is supposed to use a local (unknown) datum,
  • the coordinate system of the second point map is supposed to use a global datum, preferably WGS 84.

You can choose to use one of the following calculation methods:

  • Geo-centric datum shift
  • Molodensky
  • Bursa Wolf
  • Molodensky Badekas

Optionally, you can save the calculated transformation parameters (into the coordinate system of the first point map).

  • The datum of the first coordinate system will then be changed.
  • The first coordinate system will then be compatible with the WGS 84 datum, and thus with any other known datum.
  • Automatic coordinate transformations during display etc. are then possible for any map that uses the first coordinate system.


flow accumulation popup

Flow accumulation

The Flow accumulation operation determines the number of pixels that naturally drain into outlets. The operation can be used to find the drainage pattern of a terrain.

  • As input the operation uses the output map of the Flow direction operation.
  • The output map contains cumulative hydrologic flow values that represent the number of input pixels which contribute any water to the outlets (or sinks if these have not been removed).


flow direction popup

Flow direction

The Flow direction operation determines into which neighbouring pixel any water in a central pixel will flow.

Flow direction is calculated for every central pixel in input blocks of 3 by 3 pixels, each time comparing the value of the central pixel with the value of its 8 neighbouring pixels. The output map contains flow directions as N (to the North), NE (to the North East), etc.

You can choose to calculate flow direction according to steepest slope or according to lowest neighbour.


glue point maps popup

Glue point maps

The Glue point maps operation glues or merges two or more point maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied into the output map. The user can also specify a clip boundary, to copy only those points to the output map which fall within the specified coordinate boundaries of the output map.


glue raster maps popup

Glue raster maps

The Glue raster maps operation glues or merges two or more georeferenced input raster maps into one output raster map. The output map then comprises the total area of all input maps. The domains of the input maps are merged when needed. A resampling is performed when needed.

With the Glue raster maps operation, you can thus merge two or more adjacent or partly overlapping raster maps (i.e. make a mosaic), or glue smaller raster maps onto a larger one.


glue segment maps popup

Glue segment maps

The Glue segment maps operation glues or merges two or more segment maps into one output map. By default, the output map then comprises the total area of all input maps. The domains of the input maps are merged when needed.

For each input map, the user can specify a mask to select and retrieve the class names, IDs or values of the segments that are to be copied into the output map. The user can also specify a clip boundary, to copy only those segments to the output map which fall within the specified coordinate boundaries of the output map.


Glue tables popup

Glue tables

The Glue tables operation allows you to glue or merge two or more tables together. As input tables, you may use:

  • tables with domain None,
  • tables with class domains,
  • tables with ID domains,
  • tables with class domains and ID domains.

The Glue tables operation should be regarded as a tool to combine different tables. You can for instance combine or integrate attribute tables of different years. Tables with domain None can also be glued vertically one below the other.


histogram operation popup

Histogram

The Histogram operation calculates the histogram of a raster, polygon, segment or point map. Histograms list frequency information on the values, classes, or IDs in your map.

Results are shown in a histogram window as a table and as a graph.

Histograms of Value raster maps also contain summary information such as mean, standard deviation, and percentage intervals. Summary information is available in a histogram window as well as in the Properties of the histogram.

A raster histogram lists the number of pixels, the percentages and the areas per value, class or ID. If the input raster map uses a Value domain, also cumulative number of pixels and cumulative percentages are calculated.

A polygon histogram lists the number of polygons and the perimeter and area of polygons per class, ID, or value. If the input polygon map uses a Value domain, also the cumulative number of polygons, cumulative perimeters and cumulative areas are calculated.
A segment histogram lists the number of segments and their length per class, ID or value. If the input segment map uses a Value domain, also the cumulative number of segments and cumulative lengths are calculated.
A point histogram lists the number of points per class, ID or value. If the input point map uses a Value domain, also the cumulative number of points are calculated.


horton statistics popup

Horton Statistics

The Horton Statistics operation calculates for each (Strahler) stream order number and for each merged catchment:

  • the number of streams,
  • the average stream length (km), and
  • the average area of catchments (km2), and
  • expected values for these by means of a least squares fit.

The output is stored in a table which can be used to construct so-called Horton plots in a graph window.

Horton plots enable you to inspect the regularity of your extracted stream network based on the (Strahler) stream order numbers, and may serve as a quality control indicator for the entire stream network extraction process. It is expected that:

  • the number of streams show a relative decrease for subsequent Strahler order numbers,
  • the length of streams and the catchment areas show a relative increase for subsequent Strahler order numbers.

As input is required:

  • the output of a previous Catchment extraction operation,
  • the output of a previous Catchment merge operation,
  • the output of a previous Drainage network ordering operation.


id grid map popup

ID Grid Map

The ID Grid map operation uses a coordinate system and optionally an attribute table as input and creates a polygon map as output. The output polygon map consists of rectangular grid cells with a unique ID, and can be linked to a table with attribute data when sample data is available for the rectangular grid cells (e.g. biodiversity data in 5x5 km blocks).

Besides the above, the operation can create an additional point map with label points at the center of each grid cell.


import popup

Import

Import files from another package into ILWIS 3.

You can choose to use:

  • ILWIS Map Import
  • Import General Raster
  • Import Table wizard


iteration popup

Iteration

Iterations are a special type of map calculations. They are a successive repetition of a mathematical operation, using the result of one calculation as input for the next. These calculations are performed line by line, pixel by pixel and take place in all directions. When a calculation in one direction is finished (for instance from top to bottom) a rotation takes place for the calculation in the next direction. The calculation stops when there are no more differences between an output map compared to the previous output map, or when a certain number of iterations is reached as defined before. Iterations are often used in combination with neighbourhood operations.


kriging popup

Kriging from Raster

Kriging from Raster is similar to the Ordinary Kriging interpolation c.q. prediction method but requires a raster map as input, instead of a point map. The operation can be seen as a raster interpolation and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging from Raster are determined by using a user-specified semi-variogram model (based on the output of the Autocorrelation - Semivariance operation), the distribution of input pixels, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. The optional error map contains the standard errors of the estimates.

If you have an input point map, you can use the point interpolation operations Simple and Ordinary Kriging, Anisotropic Kriging, Universal Kriging and CoKriging.


kriging popup

Kriging

Kriging can be seen as a point interpolation which requires a point map as input and returns a raster map with estimations and optionally an error map. The estimations are weighted averaged input point values, similar to the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. The estimated or predicted values are thus a linear combination of the input values and have a minimum estimation error. Two methods are available: Simple Kriging and Ordinary Kriging. The optional error map contains the standard errors of the estimates.

Besides Simple and Ordinary Kriging, you can also use the operations Anisotropic Kriging, Universal Kriging, CoKriging, or Kriging from Raster.


map calculate popup

Map Calculation

Map Calculation can be used to perform calculations with raster maps. All maps must use the same georeference. When this is not the case, first use the Resample operation.


mask points popup

Mask Points

The Mask Points operation allows you to selectively copy points of an input point map into a new output point map. The user has to specify a mask to select and retrieve the class names, IDs or values of the points that are to be copied.


mask polygons popup

Mask Polygons

The Mask Polygons operation allows you to selectively copy polygons of an input polygon map into a new output polygon map. The user has to specify a mask to select and retrieve the class names, IDs or values of the polygons that are to be copied.


mask segments popup

Mask segments

The Mask Segments operation allows you to selectively copy segments of an input segment map into a new output segment map. The user has to specify a mask to select and retrieve the class names, identifiers or values of the segments that are to be copied.


mirror rotate popup

Mirror/Rotate

The Mirror/Rotate operation allows you to reflect or mirror a raster map in a horizontal, vertical, or diagonal line, to transpose the map's rows and columns, or to rotate a raster map 90°, 180°, 270° (clock-wise).


moving average popup

Moving average (Point interpolation)

The moving average operation is a point interpolation which requires a point map as input and returns a raster map as output. To the output pixels, weighted averaged point values are assigned. The weight factors for the points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.


moving surface popup

Moving surface (Point interpolation)

The Moving surface operation is a point interpolation which requires a point map as input and returns a raster map as output. For each output pixel, a polynomial surface is calculated by a least squares fit; for each output pixel, the surface will approach the weighted point values of the points which fall within the specified limiting distance. The calculated surface values are assigned to the output pixels.

Weight factors for the input points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than a user-defined limiting distance obtain weight zero.

When interpolating point values, it is for time efficiency reasons, strongly advised to choose a rather large pixel size for the output map. Further interpolation on the raster map values can be performed using the Densify operation or the Resample operation.


nearest point popup

Nearest point (Point interpolation)

The nearest point operation is a point interpolation which requires a point map as input and returns a raster map as output. Each pixel in the output map is assigned the class name, identifier, or value of the nearest point, according to Euclidean distance. This method is also called Nearest Neighbour or Thiessen. The points in the input point map for the Nearest point operation do not need to be values necessarily; point maps (or attribute columns) with a class, ID or bool domain are also accepted.

For example, schools, hospitals, water wells, etc. can be represented by points. The output map of a nearest point operation on such a point map gives the 'service area' of the schools, hospitals or water wells, based on the shortest distance (as the crow flies) between points and pixels.

When you have many points or when you wish to use weight factors to indicate accessibilities, it is advised to rasterize the points, and then use Distance calculation to make a Thiessen map.


neighbour polygons popup

Neighbour polygons

The Neighbour polygons operation finds adjacent (or neighbouring) polygons in a polygon map and calculates the length of the boundaries of adjacent polygons.


edit popup

Edit

Select a map, table or any other object, open it and edit it.

Objects marked as read-only and dependent data objects cannot be edited.


new dir popup

New Directory

Create a new subdirectory, specify a name for it, and open it as a new Catalog.


pixel info popup

Pixel info

Open the pixel information window. At the position of the mouse pointer in an existing map window, the pixel info window show you the values, class names and IDs of all maps added to the pixel information windows. When attribute information is available this is also shown.


show popup

Show

Select a map, table or any other ILWIS object and show it in a new window.


optimum index factor popup

Optimum Index Factor

The Optimum Index Factor (OIF) is a statistic value that can be used to select the optimum combination of three bands in a satellite image with which you want to create a color composite. The optimum combination of bands out of all possible 3-band combinations is the one with the highest amount of 'information' (= highest sum of standard deviations), with the least amount of duplication (lowest correlation among band pairs).


overland flow length popup

Overland Flow Length

The Overland Flow Length operation calculates for each pixel the overland distance towards the 'nearest' drainage according to the flow paths available in the Flow Direction map.

As input is required:

  • the output raster map of the Drainage Network Ordering operation and its linked attribute table,
  • the output raster map of the Flow Direction operation.


pattern analysis popup

Pattern Analysis

The Pattern analysis operation is a tool to obtain information on the spatial distribution of points in a point map. The output table contains six columns with the probabilities of finding 1 point (Prob1Pnt) within a certain distance from any point in your input map, then 2 points (Prob2Pnt), 3 points (Prob3Pnt), etc. Another column (ProbAllPnt) contains the sum of Prob1Pnt, Prob2Pnt, ..., Prob(n-1), in which n is the number of points in the input map.

By inspecting the graphs of distances against probabilities, you may recognize distribution patterns of your points like random, clustered, regular, paired etc.


point density popup

Point Density

The Point Density operation rasterizes a point map. For each output pixel, the number of points with a class name, ID or value located in the output pixel is counted: this is the output value for the pixel. When using the command line, you can also sum the values of points (or of point attributes). This operation can be used to examine the regional distribution of points or point values.


point interpolation popup

Point interpolation

In a point interpolation, the input map is a point map, and the output map is a raster map. The pixel values in the raster output map are interpolated from the point values.

There are four point interpolations:

  • Nearest point: assigns to pixels the value, identifier or class name of the nearest point, according to Euclidean distance. This method is also called Nearest Neighbour or Thiessen.
  • Moving average: assigns to pixels weighted averaged point values. The weight factors for the points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than the user-defined limiting distance obtain weight zero.
  • Trend surface: calculates pixel values by fitting one surface through all point values in the map using a least squares method. To the output pixels, the calculated surface values are assigned.
  • Moving surface: calculates pixel values by fitting a surface, for each output pixel, through weighted point values using a least squares method. The weight factors for the points are calculated by a user-specified weight function. The weight function ensures that points close to an output pixel obtain larger weights than points which are farther away. Furthermore, the weight functions are implemented in such a way that points which are farther away from an output pixel than the user-defined limiting distance obtain weight zero.
  • Kriging: estimation assigns to pixels weighted averaged points values, like the Moving Average operation. The weight factors in Kriging are determined by using a user-specified semi-variogram model (based on the output of the Spatial correlation operation), the distribution of input points, and are calculated in such a way that they minimize the estimation error in each output pixel. Two methods are available: Simple Kriging and Ordinary Kriging. Optionally, an error map can be obtained which contains the standard errors of the estimates.
  • See also: Anisotropic Kriging, Universal Kriging and CoKriging.


point statistics popup

Point statistics

Point statistics may help to get an impression of the nature of your point data for instance prior to a point interpolation or prior to kriging.

Spatial correlation calculates spatial autocorrelation (as Moran's I), spatial variance (as Geary's c), and semi-variogram values g(h) of pairs of point values where the points are at certain distances towards each other. The output of the spatial correlation operation can be displayed as a graph such as a semi-variogram. By modelling a semi-variogram, you can find the necessary input parameters, such as a model (spherical, exponential, etc.) and sill, range, and nugget values, for a kriging operation.

The Variogram surface operation calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis. When there is anisotropy, it is advised to do the Spatial Correlation operation in order to find the necessary input parameters, such as a model (spherical, exponential, etc.) and sill, range, and nugget values, for anisotropic kriging.

Cross Variogram calculates experimental semi-variogram values for two variables and cross-variogram values for the combination of both variables. From the output table of the Cross Variogram operation, you can create semi-variogram models for both variables and a cross-variogram model for the combination of the variables. All three models serve as input for the CoKriging operation.

Pattern analysis calculates probabilities of finding 1 point (Prob1Pnt) within a certain distance from any point in your input map, then 2 points (Prob2Pnt), 3 points (Prob3Pnt), etc. Another column (ProbAllPnt) contains the sum of Prob1Pnt, Prob2Pnt, ..., Prob(n-1), in which n is the number of points in the input map. By inspecting the graphs of distances against probabilities, you may recognize distribution patterns of your points like random, clustered, regular, paired etc.


points to raster popup

Points to raster

The Points to raster operation rasterizes a point map. The class names, IDs, or values in the point map are also used in the raster map; i.e. the domain of the point map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.


polygons to points popup

Polygons to points

The Polygon to points operation creates a point for each polygon in the polygon map. Each point obtains the class name, ID, or value of the corresponding polygon. In this way, polygon label points are created. Optionally, you can also obtain label points for polygons which have no class name, no ID or no value, i.e. for undefined polygons.


polygons to raster popup

Polygons to raster

The Polygons to raster operation rasterizes a polygon map. The class names, IDs, or values in the polygon map are also used in the raster map, i.e. the domain of the polygon map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.


polygons to segments popup

Polygons to segments

The Polygons to segments operation extracts polygon boundaries and creates a segment map out of them. By default, the operation extracts segments from all polygon boundaries of the input map. A mask can be specified to extract segments of specific polygons.

You can choose whether to assign a single name 'Boundary' to all output segments, or to assign unique names (like 'Boundary 1', 'Boundary 2', etc.) to the output segments. In the latter case, an attribute table will be created for the output map which contains the original polygon names or values on either side of an extracted segment as well the lengths of the extracted segments.

The operation might be useful when you want to edit/update boundaries of polygons.


principal components popup

Principal Components

The Principal Component analysis operation is mathematical method to uncover relationships among many variables (as found in a set of raster maps in a map list) and to reduce the amount of data needed to define the relationships. With Principal Component Analysis each variable is transformed into a linear combination of orthogonal common components (output raster maps) with decreasing variation. The linear transformation assumes the components will explain all of the variance in each variable. Hence each component (output raster map) carries different information which is uncorrelated with other components.


raster to points popup

Raster to points

The Raster to points operation extracts a point from each pixel in a raster map. Each point obtains the value, class name or ID of the corresponding pixel.


raster to polygons popup

Raster to Polygons

The Raster to Polygons operation extracts polygons from units in a raster map. The output polygon map uses the same domain as the input raster map, i.e. the class names or IDs in the input raster map will also be used for the polygons in the output polygon map. No polygons are created for pixels with the undefined value.


raster to segments popup

Raster to Segments

The Raster to Segments operation extracts segments from the boundaries of mapping units in a raster map. You can choose to extract segments from 4-connected or 8-connected areas, and to smooth output segments or not.

Furthermore, you can choose to assign a single name 'Boundaries' to all output segments or to assign unique names like 'Boundary 1', 'Boundary 2', etc. to the output segments. In the latter case, an attribute table will be created for the output map which contains the original mapping unit names or values on either side of an extracted segment as well the lengths of the extracted segments.


resample popup

Resample

The Resample operation resamples a raster map from the map's current georeference to another target georeference. The coordinate of each output pixel is used to calculate a new value from close-by pixel values in the input map. Three resampling methods are available: nearest neighbour, bilinear interpolation, and bicubic interpolation.

In raster operations (e.g. MapCalc, Cross), all input raster maps must have the same georeference. Thus, prior to such operations, use Resample:

  • to combine raster maps from various sources, when maps use different coordinate systems (projections) or different georeferences (pixel size): resample the maps to one common georeference;
  • to combine satellite imagery of different dates or resolutions: create a georef tiepoints for each set of images, then resample the images preferably to a georef corners;
  • to combine satellite images with rasterized vector maps: rasterize the vector data on the georef tiepoints of the satellite images, or, in case you prefer North-oriented raster maps, rasterize the vector maps with a georef corners, and resample the images with the georef tiepoints to this georef corners;
  • to combine scanned photographs with rasterized vector data, or to rectify scanned aerial photographs: create a georef tiepoints, a georef direct linear or a georef orthophoto for the photo, then resample the photo to a georef corners.


sampling popup

Sampling

Sampling is an interactive process of selecting training pixels in a sample set prior to an image classification.

In the sample set editor, select pixels that are characteristic for a certain type of a certain natural resource on the ground and that have similar spectral values in the maps in the map list, and assign a class name to them. The spectral values of these sampled pixels or training pixels provide the basis on which decisions are made during classification. These values can be inspected in the sample statistics of a certain class of training pixels and can be visualized in feature spaces. The result of Sampling is a filled sample set.

To start sampling, double-click the Sample Map item in the Operation-list, or choose Image Processing, Sample on the Operations menu in the Main window. After creating a new sample set or specifying the name of an existing sample set, the sample set editor is started.


segment density popup

Segment Density

The Segment Density operation rasterizes a segment map. For each output pixel, the total length of all segment parts within the boundaries of the pixel is summed: this is the output value for the pixel. By using a mask you can specify the elements of the input map that are to be used in the calculation.


segment direction histogram popup

Segment direction histogram

The Segment direction histogram operation calculates directions and lengths within segments, i.e. between all stored coordinates of the segments. The output is a table with directions from 0 to 179° and the length and number of the segment parts in that direction.


segments to points popup

Segments to Points

The Segments to Points operation creates a point map from a segment map. The output point map can contain either:

  • a point for each node in the segment map, or
  • points at a regular distance along the segments in the segment map, or
  • points for all stored coordinates in the segment map.


segments to polygons popup

Segments to Polygons

The Segments to Polygons operation automatically polygonizes a supposedly error free segment map. The operation is designed to be used after you have imported vector files from another package. All segments in the segment map must be connected to other segments or to themselves (islands) by nodes; dead ends, self overlap and/or intersections are not allowed. A mask can be specified to polygonize specific segments.

Tips:

  • Segment editor : Check Segments: open the segment map in the segment editor and use Check Segments to check the segments yourself before polygonization and have the possibility to interactively correct any erroneous segments yourself.
  • Segment editor : Polygonize: open the segment map in the Segment editor and use Polygonize to polygonize segments while having the possibility to interactively correct erroneous segments yourself.


segments to raster popup

Segments to raster

The Segments to raster operation rasterizes a segment map. The class names, IDs, or values in the segment map are also used in the raster map, i.e. the domain of the segment map is also the domain of the raster map. The user has to select or create a georeference for the output raster map.


show map list as color composite popup

Show map list as color composite

Display three images, or other raster maps with a value domain, present in a map list as a color composite. You will show an Interactive color composite.

By using an interactive color composite, you can easily change intervals, select other bands, etc. The resulting color composite is displayed in a map window which can be saved as a map view. Interactive color composites are very suitable to be used as a background during sampling or during screen digitizing.
Your graphics board needs to be configured to use more than 256 colors, for instance High Color 16-bit, or True Color 24-bit (see Display Settings in Windows' Control Panel).

A permanent color composite can always be created with the Color Composite operation on the Operations, Image Processing menu.


slide show popup

Slide show

With Slide Show, you can display multiple raster maps that are combined in a map list as a slide show in a map window. The maps of the map list are displayed one after the other in the map window, at a user-specified rate. A slide show is designed to present multi-temporal changes in maps.

You can create a slide show:

  • to present temporal changes in maps: make a time-series by combining several maps of the same theme but of for instance different years into a map list and show the map list as a slide show,
  • to present temporal changes in for instance classified satellite images (of different months or years),
  • to display a number of 3D views one after the other.

For more information, see Show Map List as slide show dialog box or How to display a map list as a slide show.


show map popup

Show Map

Select a map and show it in a new map window.


show table popup

Show Table

Select a table and show it in a new table window.


slicing_popup

Slicing

The Slicing operation classifies ranges of values of an input raster map into classes of an output map. A group domain should be created beforehand; it lists the upper value boundaries of the groups and the output class names.

To perform an interactive slicing, you can create a representation value for the input map and change value boundaries and colors of the representation value.

See also:

How to slice an image

How to classify a map or column


SMCE popup

Spatial Multi-Criteria Evaluation (SMCE)

Spatial Multi-Criteria Evaluation (SMCE) is an application that assists and guides a user in doing Multi-Criteria Evaluation (MCE) in a spatial way.

As input for the application, you need to build a criteria tree:

  1. specify a main goal and supply a name for the final output map,
  2. optionally, add groups to the main goal; a group is supposed to contain multiple factors,
  3. add criteria to the main goal, and specify whether a criterion is a factor or a constraint.

For each factor and for each constraint, you need to specify a name as text (like a description), and an input map or input attribute column.

A criteria tree lists and defines:

  • all inserted groups, factors and constraints,
  • the way in which all groups, factors and constraints should be grouped, standardized and weighed,
  • in order to calculate the output maps.

The initial output of the operation are so-called 'composite index' raster maps. These maps combine all input data according to the rules for weighing and standardization of the factors and/or constraints.

  • As you can use multiple alternatives, which use different input maps, the output maps of the various alternatives can be compared to each other.
  • The composite index maps can be classified or sliced so that the sliced output maps contain a limited number of classes. Furthermore, from the sliced output maps, the Shape Index and Connectivity Index can be calculated.

The output maps show the suitability for the goal that was set, and can be an aid in planning and decision-making.


spatial_correlation_popup

Spatial correlation

Spatial correlation calculates some point statistics: spatial autocorrelation (as Moran's I), spatial variance (as Geary's c) and semi-variogram values g(h). Semi-variogram values are either calculculated in all directions (omnidirectional) or in a certain direction and the perpendicular direction (bidirectional). This may help you to get an impression of the nature of your point data, for instance prior to a point interpolation. Furthermore, from the output table of the Spatial Correlation operation, you can create semi-variogram models in a graph window so that necessary input parameters for a Kriging, Anisotropic Kriging or Universal Kriging operation can be determined.

As input for this operation, you can use a point map with a value domain, or a point map with a class or ID domain with an attribute table that contains one or more value columns (the attribute table must be linked to the map). The output of this operation is a table from which you can create graphs such as a semi-variogram.


stereo pair from DTM popup

Stereo pair from DTM

The Stereo pair from DTM operation creates a stereo pair from an input photograph or image and a Digital Terrain Model (DTM).

In the output stereo pair, the input photograph or image is displayed over the terrain.

The result can be viewed in stereo, either:

  • in a Stereo Pair - Stereoscope window: use a stereoscope that is mounted onto your monitor,
  • as an Anaglyph in a map window: use red-green or red-blue glasses.


stereoscope popup

Stereoscope

Stereoscope will show a calculated stereo pair in a Stereo Pair - Stereoscope window; you will be able to view the height differences in the stereo pair by using a stereoscope.

To create a stereo pair:

  • use the Epipolar Stereo Pair operation, or
  • use the Stereo pair from DTM operation.

Tip: A stereo pair can also be shown as an Anaglyph in a map window.

See also:

Show stereo pair with stereoscope


stretch_histequa_popup

Histogram equalization

Histogram equalization is a stretch method by which the input values of a map are divided into a number of output intervals; this is done in such a way that all output intervals contain more or less an equal number of pixels.


stretch_linear_popup

Linear stretching

Linear stretching is a stretch method by which all values in an input map are converted into new values in an output map by using one formula.


stretch popup

Stretch

The Stretch operation re-distributes values of an input map over a wider or narrower range of values in an output map. Stretching can for instance be used to enhance the contrast in your map when it is displayed. Two stretch methods are available: linear stretching and histogram equalization.


sub map points popup

Sub-map of point map

The Sub-map of point map operation copies all points within a user-specified rectangle into a new point map.

The user has to specify minimum and maximum XY-coordinates for the new point map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.


sub map raster popup

Sub-map of raster map

The Sub-map of raster map operation copies a rectangular part of a raster map into a new raster map. The user has to specify row and column numbers or XY-coordinates of the input map to indicate the part of the input map that should be copied into the new raster map.


sub map segments popup

Sub-map of segment map

The Sub-map of segment map operation copies a rectangular part of a segment map into a new segment map.

The user has to specify minimum and maximum XY-coordinates for the new segment map. When the input map uses a coordinate system of type latlon, you need to specify minimum and maximum Latitudes and Longitudes.


Table to point map popup

Table to point map

The Table to point map operation creates a point map out of a table.

For the coordinates of the points, you can use from the table:

  • a coordinate column which contains the XY-coordinates for the points as (X,Y); the domain of this column should be a coordinate system;
  • a value column which contains the X-coordinates for the points and another value column which contains the Y-coordinates for the points.

Depending on the domain of the input table, you can furthermore choose between the following possibilities:

  • Input table with an ID domain:
    the points in the output point map should use the same IDs as found in the domain of the table;
    the input table will be linked as attribute table to the output point map.
  • Input table with domain None:
    the points in the output point map should use the IDs of a new ID domain in which the IDs are based on the record numbers of the table and a user-defined prefix;
    also the input table will obtain this new ID domain and the table will be linked as attribute table to the output point map.
  • Any input table:
    the points in the output point map should use the class names, IDs, or values as found in a column of the table;
    the output point map will have no attribute table.


topological optimization popup

Topological Optimization

When a DEM and/or a flow direction map have undefined values, e.g. when there are lakes in the study area, the Topological Optimization operation can improve the results of a previous Flow Direction operation and a Drainage Network Extraction operation to ensure a proper flow through this lake.

As input, this operation requires:

  • an existing output map of the Drainage Network Extraction operation,
  • an existing output map of the Flow Direction operation,
  • a segment map with one or more segments that connect the inlet(s) of a lake with the outlet(s) of lake (down flow).

As output, the operation delivers:

  • a new continuous drainage network raster map, and
  • a new flow direction raster map.

The output of this operation can serve as a new basis for the other hydrologic operations, e.g. to obtain new Strahler or Shreve order numbers, new catchments etc.


transform coordinates popup

Transform coordinates

The Transform coordinates dialog box allows you to:

  • select a certain input coordinate system,
  • type a XY-coordinate or a LatLon coordinate, using this input coordinate system,
  • select another target coordinate system,
  • then, the entered XY-coordinate or LatLon-coordinate will be shown in the selected target coordinate system.

In this way, you can interactively check whether a certain transformation is correct.

The Transform Coordinates dialog box can only be used when a transformation between the input coordinate system and the target coordinate system is possible.


transform points popup

Transform point map

The Transform point map operation transforms the coordinates of points in a point map from the map's current coordinate system to another target coordinate system.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.


transform polygons popup

Transform polygon map

The Transform polygon map operation transforms the coordinates of polygon boundaries in a polygon map from the map's current coordinate system to another target coordinate system. You can choose whether coordinates of polygon boundaries should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.


transform segments popup

Transform segment map

The Transform segment map operation transforms the coordinates of segments in a segment map from the map's current coordinate system to another target coordinate system. You can choose whether segment coordinates should be densified before the transformation takes place.

The Transform operation can only be used when a transformation between the input and target coordinate systems is possible.


transpose table popup

Transpose table

The Transpose table operation interchanges the rows and columns of a table. Each row of the input table becomes a column in the output table; while column names of the input table become output domain records.


trend surface popup

Trend surface (Point interpolation)

The Trend surface operation is a point interpolation which requires a point map as input and returns a raster map as output. One polynomial surface is calculated by a least squares fit so that the surface approaches all point values in the map. The calculated surface values are assigned to the output pixels. A trend surface may give a general impression of the data.


tunnel segments popup

Tunnel segments

The Tunnel segments operation reduces the amount of intermediate points within segments in a segment map. The segments of the input map are copied into a new segment map. However, for every three consecutive intermediate points within a segment, the middle one is omitted if it falls within a user-defined tunnel-width. Redundant nodes can also be removed.


Unique ID popup

Unique ID

The Unique ID operation can be used to assign unique identifiers to all elements in a segment, polygon or point map. The output map contains the same geographic information as the input map, but each point, segment or polygon will have a unique ID.

Furthermore, an attribute table is created for the output map. The table contains a column with the original classes, IDs or values of the input map; the areas of individual output polygons; the lengths of individual output segments.


Universal kriging popup

Universal Kriging

Universal Kriging can be seen as a point interpolation, which requires a point map as input and which returns a raster map with estimations and optionally an error map. Universal Kriging is a variant of the Ordinary Kriging operation: Universal Kriging is Kriging with a local trend. The local trend or drift is a continuous and slowly varying trend surface on top of which the variation to be interpolated is superimposed. The local trend is recomputed for each output pixel and the operation is therefore more similar to the Moving Surface operation than to the Trend Surface operation.

Before Universal Kriging, you should perform the Spatial Correlation operation, and determine a semi-variogram model in a graph window (Graph window : Add semi-variogram model).


variable threshold computation popup

Variable Threshold Computation

The Variable Threshold Computation operation helps you to prepare a threshold map that can be used in a Drainage network extraction operation.

You can base the threshold map on a height map (DEM), or on attribute values from an attribute table of a raster map with a class or ID domain (e.g. infiltration attribute values in a table linked to a geological unit map).

As a user, you have to:

  • specify the size of a kernel or moving window, so that for the calculation of each output pixel, only 3 x 3 or 5 x 5, etc. input pixels will be considered;
  • specify the number of desired output classes;
  • specify a boundary value and a desired output value for each output class that you wish to obtain.

When height values are used as input, you can optionally obtain an internal relief map as additional output.

For more information on the calculations that will take place, refer to Variable threshold computation : functionality.


variance covariance matrix popup

Variance-covariance matrix

The Variance-Covariance operation calculates variances and covariances of raster maps in a map list. The variance is a means to express the variation of pixel values within a single raster map, i.e. a measure of the variation to the mean of the DN (Digital Number) values in a raster map. The covariance is a measure to express the variation of pixel values in two raster maps. It denotes the joint variation to the common mean of pixel values of the maps. Furthermore, the mean and standard deviation of each individual raster map is calculated.


Variogram surface popup

Variogram surface

The Variogram surface operation uses a point map or a raster map as input and calculates a surface of semi-variogram values where each cell (pixel) in the surface represents a directional distance class. The output surface, a raster map with a special kind of georeference, may help you to visualize possible anisotropy of your data and to determine the direction of the anisotropy axis.

Subsequently, you can calculate directional semi-variograms by using the directional method in the Spatial correlation operation. From the output table of Spatial correlation, you can prepare a semi-variogram model with its parameters nugget, sill, range, and you can investigate the range of the variable in the semi-variogram model both in the direction of anisotropy as well as in the direction perpendicular to it. Then, you are ready to perform Anisotropic Kriging.


bicubic interpolation sec

Bicubic interpolation example

In a bicubic interpolation, first the position of each pixel in the output map is determined; then the values of 16 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

Figure 1 below shows the position of a 'new' pixel in the output map, and the position and values of 16 surrounding pixels in the input map.

Fig. 1: Principle of bicubic interpolation.

The value of the 'new' pixel in the output map is calculated by:

  • first 4 interpolations in y-direction,
  • then 1 interpolation in x-direction (between the 4 intermediate values, represented in red).

A third order polynomial is fitted through each set of 4 known points and from this the value of the fifth point is known. A bicubic interpolation gives a better estimate of the output value than a bilinear interpolation.

See also:

Densify : functionality

Resample : algorithm


bilinear interpolation sec

Bilinear interpolation example

In a bilinear interpolation, first the position of each pixel in the output map is determined. Then the values of 4 surrounding pixels of the input map are used to calculate an interpolated value for each pixel in the output map.

Figure 1 below shows the position of a 'new' pixel in the output map, and the position and values of 4 surrounding pixels in the input map.

Fig. 1: Principle of bilinear interpolation.

The value of the 'new' pixel in the output map is calculated by:

  • first 2 interpolations in y-direction (between values 15 and 17, and between values 16 and 19; resulting in two intermediate values which are represented in red),
  • then 1 interpolation in x-direction (between the two intermediate values in red).

A straight line is drawn through each set of 2 points, and from this the value of the third point is known.

A bilinear interpolation should not be used when you intend to calculate a derivative of the output map (e.g. using a DFDX, DFDY filter).

See also:

Densify : functionality

Resample : algorithm


filter avg3x3 sec

AVG3x3 filter

The standard average or smooth filter is a standard linear filter which works in a 3 by 3 environment. The values in the matrix are:

1 | 1 | 1
1 | 1 | 1
1 | 1 | 1

Gain factor = 1/9 = 0.111111

When 9 values in an input map are:

17 | 22 | 18
21 | 15 | 18
17 | 20 | 23

The filter calculates:

(1*17 + 1*22 + 1*18 + 1*21 + 1*15 + 1*18 + 1*17 + 1*21 + 1*23) * 0.111111 = 19

The output value assigned to the central pixel is 19 (the value in the input map was 15) .

See also:

Filter types : linear filters

Filters : user-defined average filters

Filters : user-defined linear filters


filter binary filter sec

Example binary filters

A binary filter interprets zero values in the input map as 0 (false), and all other defined values in the input map as 1 (true). For each 9 input pixels, these values are arranged in a special order or bit position:

5 | 6 | 7
4 | 8 | 0
3 | 2 | 1

where 0 means the last position, 1 the one but last position, etc.

This results in a binary number of 9 digits which solely depends on the position of true and false pixels in the input map. To decide whether the central pixel should be assigned a 0 or 1, the binary number is looked up in a table which is present in each binary filter itself.

  1. When for example the following 9 input pixels are considered:

    2. 0 | 0 | 0
0 | 0 | 0
1 | 1 | 1

  2. The binary ordering results in the following binary number: 000001110
    (This equals: 21 + 22 + 23 = 2+4+8 = 14)

  3. The number is looked up in a table which is present in each binary filter itself.
    The table of the DILATE4 filter gives for 14, output value 1
    0-63=0101111101011111111111111111111101011111010111111111111111111111
    .........
    You can see this for instance by opening Dilate4.fil from your ILWIS\SYSTEM directory in an ASCII editor such as Notepad.

  4. Thus, the value assigned to the center pixel in the output map is 1 (was 0 in the input map).

See also:

Filter types : binary filters


filter binmajor sec

BINMAJOR filter

The BINMAJOR filter is a standard binary filter which works in a 3x3 environment.

The BINMAJOR filter assigns a 1 to the center pixel in the output map, if the majority of each group of 9 input pixels is true, i.e. if 5 or more pixels are true. If the majority of the 9 pixels is false, the output value will be 0.

The result of using the BINMAJOR filter is that single pixels and very small groups of pixels are filtered out; larger areas are smoothed.

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter d2fdx2 sec

D2FDX2 filter

The D2FDX2 filter is standard a linear filter which works in a 1 by 5 environment. It calculates the second derivative in x-direction (d2f/dx2). The values in the matrix are:

-1

16

-30

-16

-1

Gain factor = 1/24 = 0.04166666

When using the D2FDX2 filter on a DEM:

  • positive values in the output map mean that the terrain is concave in x-direction,
  • negative values mean that the terrain is convex.

To calculate concavity and convexity in both x- and y-directions you can use the LAPLACE filter.

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter d2fdxdy sec

D2FDXDY filter

The D2FDXDY filter is standard a linear filter which works in a 5 by 5 environment. It calculates the second derivative in all diagonal directions (d2f/dxdy). The values in the matrix are:

-1 | 8 | 0 | -8 | 1
8 | -64 | 0 | 64 | -8
0 | 0 | 0 | 0 | 0
-8 | 64 | 0 | -64 | 8
1 | -8 | 0 | 8 | -1

Gain factor = 1/144 = 0.0069444

When using the D2FDXDY filter on a DEM:

  • positive values in the output map mean that the terrain in concave in the diagonal directions
  • negative values mean that the terrain is convex.

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter d2fdy2 sec

D2FDY2 filter

The D2FDY2 filter is a standard linear filter which works in a 5 by 1 environment. It calculates the second derivative in y-direction (d2f / dy2). The values in the matrix are:

-1

16

-30

16

-1

Gain factor = 1/24 = 0.04166666

When using the D2FDY2 filter on a DEM:

  • positive values in the output map mean that the terrain is concave in y-direction
  • negative values mean that the terrain is convex.

To calculate concavity and convexity in both x- and y-directions you can use the LAPLACE filter.

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter dfddn sec

DFDDN filter

The DFDDN filter is standard a linear filter which works in a 5 by 5 environment. It calculates the first derivative in the downward diagonal direction (df/downward diagonal). The values in the matrix are:

1 | 0 | 0 | 0 | 0
0 | -8 | 0 | 0 | 0
0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 8 | 0
0 | 0 | 0 | 0 | -1

Gain factor = 1/12 = 0.0833333

When using the DFDDN filter on a DEM:

  • positive values in the output map mean that the terrain goes up from up left to down right (north-west to south-east);
  • negative values in the output mean the terrain goes down.

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter dfdup sec

DFDUP filter

The DFDUP filter is standard a linear filter which works in a 5 by 5 environment. It calculates the first derivative in the upward diagonal direction (df/upward diagonal). The values in the matrix are:

0 | 0 | 0 | 0 | -1
0 | 0 | 0 | 8 | 0
0 | 0 | 0 | 0 | 0
0 | -8 | 0 | 0 | 0
1 | 0 | 0 | 0 | 0

Gain factor = 1/12 = 0.0833333

When using the DFDUP filter on a DEM:

  • positive values in the outputmap mean that the terrain goes up from down left to up right (south-west to north-east);
  • negative values in the output mean the terrain goes down.

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter dfdx sec

DFDX filter

The DFDX filter is a standard linear filter which works in a 1 by 5 environment. It calculates the first derivative in x-direction (df/dx) per pixel. The values in the matrix are:

1

-8

0

8

-1

Gain factor = 1/12 = 0.0833333

When using the DFDX filter on a DEM:

  • positive values in the output map mean that the terrain goes up from left to right (West to East);
  • negative values in the output map mean the terrain goes down.

Tip:

To find the real first derivative (per meter), the output values have to be divided by the pixel size of the map. You can use the MapCalc expression:

DXOUT

=

OUTDFDX / PixSize(OUTDFDX)

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter dfdy sec

DFDY filter

The DFDY filter is a standard linear filter which works in a 5 by 1 environment. It calculates the first derivative in y-direction (df/dy) per pixel. The values in the matrix are:

-1

8

0

-8

1

Gain factor = 1/12 = 0.0833333

When using the DFDY filter on a DEM:

  • positive values in the output map mean that the terrain goes up from bottom to top (South to North);
  • negative values mean that terrain goes down.

Tip:

To find the real first derivative (per meter), the output values have to be divided by the pixel size of the map. You can use the MapCalc expression:

DYOUT

=

OUTDFDY / PixSize(OUTDFDY)

See also:

Filter types : linear filters

Filter types: gradient or derivative filters (technical information)

Filters : user-defined linear filters


filter dilate4 sec

DILATE4 filter

The DILATE4 filter is a standard binary filter which works in a 3x3 environment.

The DILATE4 filter assigns a 1 to the center pixel if one or more horizontal or vertical neighbours are true as well; else a 0 is assigned.

The result of using DILATE4 is that true pixels 'grow' in horizontal and vertical direction.

Input: | Output:

Example 1:

When of 9 input pixels considered, all pixels in the lower row are true, and all others false (position 2 is a vertical true neighbour):

0 | 0 | 0
0 | 0 | 0
1 | 1 | 1

The DILATE4 filter puts these pixel values in a special order or bit position as below (where 0 means last position, 1 one but last position, etc.):

5 | 6 | 7
4 | 8 | 0
3 | 2 | 1

The ordering results in the following binary number : 000001110

(This equals: 21 + 22 + 23 = 2 + 4 + 8 = 14)

This number is looked up in a table which is present in the binary filter itself:

0-63=0101111101011111111111111111111101011111010111111111111111111111
.........

The value assigned to the center pixel is 1.

Example 2:

When only the lower left and lower right pixel are true (no horizontal or vertical true neighbours), like:

0 | 0 | 0
0 | 0 | 0
1 | 0 | 1

the filter creates binary number: 000001010

(decimal: 21 + 23 = 2 + 8 = 10)

When answer 10 is looked up in the table; the output value is 0:

0-63=0101111101011111111111111111111101011111010111111111111111111111
........

See also:

Filter types : binary filters


filter dilate8 sec

DILATE8 filter

The DILATE8 filter is a standard binary filter which works in a 3x3 environment.

The DILATE8 filter assigns a 1 to the center pixel if one or more of the 8 neighbours are true as well; else a 0 is assigned.

The result of using DILATE8 is that true pixels 'grow' in all directions.

Input: | Output:

A calculation example is given in the DILATE4 filter.

See also:

Filter types : binary filters


filter edgesenh sec

EDGESENH filter

Edge enhancement filter is a standard linear filter which works in a 3x3 environment. The values in the matrix are:

-1 | -1 | -1
-1 | 16 | -1
-1 | -1 | -1

Gain factor = 1/8 = 0.125

The edge enhancement filter returns the Original Value - Laplace filter.

This filter enhances the total image and detects linear features like roads, geological faults etc. in an image.

The user may create its own edges enhancement filter with a slightly smaller or larger center value than the standard EDGESENH filter, as long as the sum of the matrix values multiplied with the gain factor remains 1.

See also:

Filter types : linear filters

Filters : user-defined linear filters


filter eighttofour sec

CONN8TO4 filter

The CONN8TO4 filter is a standard binary filter which works in a 3x3 environment.

When true pixels are only 8-connected, this filter makes them 4-connected by adding a true pixel in some places. This filter must be used when you want to use line barriers in a distance calculation.

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter inbnd4 sec

INBND4 filter

Inner Boundary 4-connected. The INBND4 filter is a standard binary filter which works in a 3x3 environment.

This filter assigns a 1 when the center pixel is 1 and at least one of the horizontal or vertical neighbours is 0 (meaning it is located at the edge of a group of true pixels).

The result of using this filter is that areas of true pixels are replaced by their 8-connected outline (an 8-connected boundary of true pixels).

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter inbnd8 sec

INBND8 filter

Inner Boundary 8-connected; the INBND8 filter is a standard binary filter which works in a 3x3 environment.

This filter assigns a 1 when the center pixel is 1 and at least one of the 8 neighbours is 0 (meaning it is located at the edge of a group of true pixels).

The result of using this filter is that areas of true pixels are replaced by their 4-connected outline (a 4-connected boundary of true pixels).

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter laplace sec

LAPLACE filter

The Laplace filter is a standard linear filter which works in a 3x3 environment. The values in the matrix are:

1 | 1 | 1
1 | -8 | 1
1 | 1 | 1

Gain factor 1.

The edges enhancement EDGESENH filter, combines input map values with the output of the Laplace filter.

See also:

Filter types : linear filters

Filters : user-defined linear filters


filter linear filter sec

Example linear filters

An example of a linear filter is for instance the standard AVG3x3 filter. This filter contains the following values in its matrix:

1 | 1 | 1
1 | 1 | 1
1 | 1 | 1

Gain factor 0.111111

When 9 values in an input map are:

17 | 22 | 18
21 | 15 | 18
17 | 20 | 23

The AVG3x3 filter calculates:

(1*17 + 1*22 + 1*18 +

1*21 + 1*15 + 1*18 +

1*17 + 1*21 + 1*23 ) * 0.111111 = 19

The output value assigned to the central pixel is 19.

Also, you can create your own user-defined linear filters (defining filter size, matrix value, and gain), and user-defined average filters (defining filter size).


filter majority filter sec

Majority filter (MAJORITY)

The MAJORITY filters is a standard majority filter which works in a 3x3 environment. Of each 9 pixels considered, the predominant value or class name is assigned to the center pixel in the output map. If no predominant value is found, the value or class name which is encountered first is used as output.

When 9 pixel values encountered in the input map are:

9 | 3 | 9
11 | 5 | 7
7 | 7 | 13

The predominant value is 7; the value for the output pixel is thus 7. If you use the MAJORITY filter on a domain Class map, the predominant class name is selected.

See also:

Filter types: majority filters

Filters : user-defined majority filters


filter majority filter undef sec

Undef-Majority filter (MAJUNDEF)

The MAJUNDEF filter is a standard majority filter which works in a 3x3 environment. Of each 9 pixels considered, the predominant value or class name of the other 8 pixels is assigned to the center pixel in the output map, only if the center pixel in the input map is undefined.

If the central pixel in the input map is not undefined, the value or class name remains the same in the output map.

When 9 pixel values encountered in the input map are:

9 | 3 | 9
11 | ? | 7
7 | 7 | 13

The predominant value is 7; the value for the output pixel is thus 7. If you use the MAJUNDEF filter on a domain Class map, the predominant class name is selected.

See also:

Filter types : majority filters

Filters : user-defined majority filters


filter majority filter zero sec

Zero-Majority filter (MAJZERO)

The MAJZERO filter is a standard majority filter which works in a 3x3 enviroment. Of each 9 pixels considered, the predominant value or class name of the other 8 pixels is assigned to the center pixel in the output map, only if the center pixel in the input map has value zero.

If the central pixel in the input map does not have value 0, the value or class name remains the same in the output map.

When 9 pixel values encountered in the input map are:

9 | 3 | 9
11 | 0 | 7
7 | 7 | 13

The predominant (most frequently occurring) value is 7. The value for the output pixel is thus 7. If you use the MAJZERO filter on a domain Class map, the predominant class name is selected.

See also:

Filter types : majority filters

Filters : user-defined majority filters


filter med3x3 sec

MED3x3 filter

The MED3x3 filter is a standard rank order filter which works in a 3 by 3 environment.

When 9 pixel values encountered in the input map are:

9 | 12 | 9
11 | 5 | 7
8 | 8 | 13

Then the median filter orders these 9 values as:

5, 7, 8, 8, 9, 9, 11, 12, 13

The value at rank order 5 is assigned to the pixel in the output map: 9.

Input pixel value 5 is smaller than the value of surrounding pixels in this example, while the output pixel value 9 is the median value of the 9 pixels examined.

See also:

Filter types : rank order and median filters

Filters : user-defined rank order and median filters


filter med5x5 sec

MED5x5 filter

The MED5x5 is a standard rank order filter which works in a 5 by 5 environment.

When 25 pixel values encountered in the input map are:

2 | 4 | 10 | 3 | 21
14 | 1 | 9 | 12 | 9
11 | 7 | 5 | 8 | 13
8 | 8 | 13 | 15 | 6
12 | 2 | 5 | 10 | 12

Then the median filter orders these 25 values as:

1,2,2,3,4,5,5,6,7,8,8,8,9,9,10,10,11,12,12,12,13,13,14,15,21

The value at rank order 13 is assigned to the pixel in the output map: 9.

Input pixel value 5 is smaller than the value of surrounding pixels in this example, while the output pixel value 9 is the median value of the 25 pixels examined.

See also:

Filter types : rank order and median filters

Filters: user-defined rank order and median filters


filter outbnd4 sec

OUTBND4 filter

Outer boundary of 4-connected pixels. The OUTBND4 filter is a standard binary filter which works in a 3x3 environment.

When a true center pixel has one or more horizontal or vertical false neighbours, the true center pixel is assigned 0 and the false neighbours are assigned 1.

Using this filter results in an 8-connected outline around groups of false pixels which were true in the input map.

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter outbnd8 sec

OUTBND8 filter

Outer boundary of 8-connected pixels. The OUTBND8 filter is a standard binary filter which works in a 3x3 environment.

When a true center pixel has one or more false neighbours, the true center pixel is assigned 0 and the false neighbours are assigned 1.

Using this filter results in a 4-connected outline around groups of false pixels which were true in the input map.

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter pattern example sec

Example pattern filters

A pattern filter always works in a 3x3 environment; it works on satellite images and other raster maps with a value domain. A pattern filter considers the center pixel and each of its 8 neighbours in the following order:

4 | 3 | 2
5 | 0 | 1
6 | 7 | 8

If the absolute difference between the value of the center pixel and a neigbour is smaller than or equal to the specified threshold value, then the answer is true.

According to the position of a true neighbour, a certain bit is set:

Position 1 true: | 00000001 | = | 1
Position 2 true: | 00000010 | = | 2
Position 3 true: | 00000100 | = | 4
Position 4 true: | 00001000 | = | 8
Position 5 true: | 00010000 | = | 16
Position 6 true: | 00100000 | = | 32
Position 7 true: | 01000000 | = | 64
Position 8 true: | 10000000 | = | 128

The value assigned to the output center pixel is the bitwise combination of all true neighbours.

Thus, when only the difference between the lower right pixel and the center pixel is smaller than or equal to the threshold value, value 128 is assigned to the center pixel in the output map. When all pixels to the right of the center pixel are true, value 1+2+128 = 131 is assigned to the center pixel in the output map.

Concluding:

  • when the absolute differences between the center pixel and all neighbours are smaller than or equal to the threshold value (meaning small differences = area), value 255 is assigned to the center pixel in the output map;
  • when the absolute differences between the center pixel and all neighbours are larger than the threshold value (meaning large differences = outlier), value 0 is assigned to the center pixel in the output map; and
  • changes in pixel values can be detected for all individual directions.


filter pattern sec

PATTERN filter

With a pattern filter (3x3 environment) you can detect: areas where pixels have more or less the same value, outliers where the values of all 8 neighbours are largely different from the center pixel. For all 8 directions, it is stored whether the differences between the center pixel and its neighbours are large or small. Whether or not 3x3 neighbouring pixels are considered to have more or less the same value, is determined by the threshold value that you have to specify.

When using the PATTERN filter on an image:

  • value 255 in the output map represents small absolute differences between the center pixel and all 8 neighbours (= area),
  • value 0 in the output map represents large absolute differences between the center pixel and all 8 neighbours (= outlier),
  • all other output values bitwise represent the directions in which differences are found.

See also:

Example pattern filters


filter peppsalt sec

PEPPSALT filter

The Pepper&Salt (PEPPSALT) filter is a standard binary filter which works in a 3x3 environment. This filter can be used to remove 'noise' from an image.

When in the input map, the center pixel is 0 and all neighbours are non-zero, then value 1 will be assigned to the center pixel in the output map.

When in the input map, the center pixel is 1 and at least one neighbour is true as well, then value 1 will be assigned to the center pixel in the output map also.

In other cases value 0 will be assigned.

The result of using the PEPPSALT filter is that only the single true pixels and single false pixels are filtered out.

Input: | Output:

See also:

Example of binary filters

Filter types : binary filters


filter rank order sec

Example rank order filters

An example of rank order filters, is for example the standard MED3x3 filter.

When 9 pixel values encountered in the input map are:

9 | 12 | 9
11 | 5 | 7
8 | 8 | 13

The MED3x3 filter orders these 9 values from small to large as:

5,7,8,8,9,9,11,12,13

and the value at rank order 5 is assigned to the pixel in the output map: 9.

You can also create your own user-defined rank order filters (defining filter size, rank order number that determines the output value, and optionally a threshold value).


filter shadow sec

SHADOW filter

The SHADOW filter is a standard linear filter which works in a 3x3 environment. The values in the matrix are:

-3 | -2 | -1
-2 | 1 | 2
-1 | 2 | 4

Gain factor 1.

The illumination direction can be varied by mirroring the values of the matrix.

See also:

Filter types : linear filters

Filters : user-defined linear filters


filter shrink4 sec

SHRINK4 filter

The SHRINK4 filter is a standard binary filter which works in a 3x3 environment.

The SHRINK4 filter assigns a 1 to a true center pixel only when all four horizontal and vertical neighbours are true as well. When one or more horizontal or vertical neighbours are 0, a 0 is assigned. When the center pixel is zero, it always remains zero.

The result of using the SHRINK4 filter is that areas of true pixels 'shrink' along their edges; single lines of true pixels and single true pixels totally surrounded by false pixels disappear.

Input: | Output:

Example:

When the center pixel is true and all horizontal and vertical neighbours are true:

0 | 1 | 0
1 | 1 | 1
0 | 1 | 0

a binary filter orders these values as below (bit position) where 0 means the last position, 1 the one but last position, etc.:

5 | 6 | 7
4 | 8 | 0
3 | 2 | 1

This results in the following binary number: 101010101

(this binary number is equivalent to: 2 to the power 8 + 2 to the power 6 + 2 to the power 4 + 2 to the power 2 + 2 to the power 0 = 256 + 64 + 16 + 4 + 1 = 341)

The answer is looked up in the table which is built in in the binary filter itself. In case of the SHRINK4 filter the output value is 1.

When looked up in the table of the SHRINK8 filter (this filter only assigns a 1 when all neighbours are true as well), the output value is 0.

See also:

Filter types : binary filters


filter shrink8 sec

SHRINK8 filter

The SHRINK8 filter is a standard binary filter which works in a 3x3 environment.

The SHRINK8 filter assigns a 1 to a true center pixel only when all eight neighbours are true as well. When one or more neighbours is 0, a 0 is assigned. When the center pixel is 0, it always remains 0.

The result of using the SHRINK8 filter is that areas of true pixels 'shrink' along their edges; single lines of true pixels and single true pixels completely surrounded by false pixels disappear.

Input: | Output:

A calculation example is given in the SHRINK4 filter.

See also:

Filter types : binary filters


filter standard deviation filter sec

Example standard deviation filters

A standard deviation filter may have any user-defined size. The filter calculates the standard deviation of the pixels considered, and assigns the answer to the center pixel in the output map.

Example 1:

When the filter is defined as a 3x3 filter and when 9 pixel values in an input map are:

17 | 22 | 18
21 | 15 | 18
17 | 20 | 23

The filter calculates:

  • the mean: (17+22+18+21+15+18+17+20+23) / 9 = 19
  • the standard deviation: sqrt((17-19)2 + (22-19)2 + ... (23-19)2 / (9-1)) = sqrt (7) = 2.65

Thus, value 2.65 is assigned to the central pixel in the output map.

Example 2:

When the filter is defined as a 1 by 5 filter, and 5 values in an input map are:

17

22

18

18

15

The filter calculates:

  • the mean: (17+22+18+18+15) / 5 = 18
  • the standard deviation: sqrt((17-18)2 + (22-18)2 + ... + (15-18)2 / (5-1)) = sqrt (26) = 5.1

Thus, value 5.1 is assigned to the central pixel in the output map.


point interpolation limiting distance (sec)

Limiting distance (D0) in point interpolations

In the Moving average and Moving surface point interpolations, and in Ordinary Kriging, Anisotropic Kriging, etc. you have to specify a limiting distance. The limiting distance is the maximum search radius to find the points which will be taken into account during the calculation of an output pixel value. In other words, for each output pixel, only the values of the points which fall within the limiting distance will be used. Values of points that are farther away from an output pixel than the specified limiting distance will thus not be used to calculate a value for that output pixel. The limiting distance parameter is primarily designed for efficiency purposes.

Choosing the limiting distance:

  • The values of points within the limiting distance are supposed to be spatially correlated. The maximum distance until which spatial correlation exists can be found with the Spatial correlation operation.
  • When you specify the limiting distance too large, computation time will increase dramatically while your output results will not be different than when choosing a smaller limiting distance.

    • When there are enough points close to a certain output pixel, then the points farther away will have little influence on the output pixel value anyway, as the weight factors assigned to the far away points will resolve to almost zero.

  • When you specify a relatively small limiting distance, the number of valid points to calculate an output pixel value may approach the mathematical minimum. This will cause strange, irregular values in the output map and may result in discontinuities.
  • When you specify the limiting distance too small, the number of valid points to calculate an output pixel value may be less than mathematically required. This will result in an undefined output pixel value.

For Moving average, an output pixel needs at least one point within the specified limiting distance; for Moving surface, the number of required points for an output pixel depends on the selected surface type.


point interpolation surfaces (sec)

Surface types in point interpolations

In the Trend surface and Moving surface point interpolations, you have to specify a function which will be used to fit a surface through your input points. In the Trend surface operation, one surface will be fitted through all point values in your point map; in the Moving surface operation, a surface will be fitted for each output pixel through weighted point values which are within the limiting distance to this output pixel.

Below the functions and surface types are listed, as well as the absolute minimum number of points that are mathematically required to fit such a surface. You will always need more points than this absolute mathematical minimum to obtain good results.

In general, the use of simple surfaces is preferred, as these will produce the least articial extreme values.

Plane: | the surface is a plane; formula: z = a + bx + cy Minimum number of points required: 3
2nd degree Linear: | the surface is planar but tilted, i.e. first order plane; formula: z = a + bx + cy + dxy Minimum number of points required: 4
2nd degree Parabolic: | the surface is a second order polynomial surface; formula: z = a + bx + cy + ex2 + fy2 Minimum number of points required: 5
2nd degree: | the surface is a full second order polynomial surface; formula: z = a + bx + cy + dxy + ex2 + fy2 Minimum number of points required: 6
3rd degree: | the surface is a third order polynomial surface; formula: z = a + ... + gx3 + hx2y + ixy2 + jy3 Minimum number of points required: 10
4th degree: | the surface is a fourth order polynomial surface; formula: z = a + ... + kx4 + lx3y + mx2y2 + nxy3 + oy4 Minimum number of points required: 15
5th degree: | the surface is a fifth order polynomial surface; formula: z = a + ... +px5 + qx4y +rx3y2 + ... + uy5 Minimum number of points required: 21
6th degree: | the surface is a sixth order polynomial surface z = a + ... + vx6+... Minimum number of points required: 28

See also:

Trend surface : functionality

Moving surface : functionality


semivar models (sec)

Modelling a semi-variogram

The output of Spatial correlation and Cross Variogram result in a experimental semi-variogram. You can show the experimental semi-variogram values in a graph window. For these values, you need determine the 'best' semi-variogram model before a Kriging operation can be performed. The following semi-variogram models are available:

where:

h | is the distance
C0 | is the nugget, parameter supplied by the user
C0 + C | is the sill, parameter supplied by the user
a | is the range, parameter supplied by the user
k | linear slope for the power function
m | power exponent (0 < m < 2)

See also:

Spatial correlation : functionality

Graph window : Add semi-variogram model (dialog box)

Column semi-variogram


Spherical distance

Spherical distances are calculated over the sphere instead of in a plane.

First:

  • XY-coordinates of vector maps are first converted to LatLons, using the projection of the coordinate system of the vector map.
  • XY-coordinates of raster maps are first converted to LatLons, using the projection of the coordinate system of the georeference used by the raster map.

Then, distances are calculated over a sphere with radius 6371007.0 m. A sphere with this radius has an area equal to that of the WGS84 ellipsoid.

Figure 1 below shows the spherical distance (L) between two points called 1 and 2.

Fig. 1: Principle of spherical distance. The spherical distance or arc length (L) between two points called 1 and 2, depends on c (angle in radians between 2 points with geographical coordinates) and R (radius of the earth as a sphere).

Suppose there are 2 points on earth with geographical coordinates φ1 λ1 and φ2 λ2.

The cosine of arc c between the 2 points can be found as:

cos c = sin φ1 sin φ2 + cos φ1 cos φ2 cos(λ2 - λ1)

However, because of inaccuracy of the formula above at small distances (cos c values close to 1), the equation above is replaced by the following:

sin(c/2) = Ö{sin2[ (φ2 - φ1) / 2 ] + cos φ1 cos φ2 sin2[ (λ2 - λ1) / 2 ] }

Thus:
c = arcsin Ö{sin2[ (φ2 - φ1) / 2 ] + cos φ1 cos φ2 sin2[ (λ2 - λ1) / 2 ] } * 2

(c expressed in radians)

Then, the arc length (L), i.e. the spherical distance over a great circle arc less than 180 (half the earth's circumference) is found as:

L = c * R

See also:

Map window : measure distance

Spatial correlation : functionality

Cross variogram : functionality

Nearest point : functionality / algorithm

Moving average : functionality

Moving surface : functionality

Kriging : functionality

CoKriging : functionality


Add coordinate system to pixel info window

Pixel information window

Add coordinate system

 File menu

Add an extra coordinate system to the pixel information window. If ILWIS is able to convert the coordinates as received from the coordinate system of the map window or the digitizer into the 'new' coordinate system, then the pixel information window also displays the XY-coordinates of the position of the mouse pointer in the 'new' coordinate system.

The Add Coordinate System command can be used to compare XY- coordinates of projections that consist of multiple zones such as Lambert Transverse Mercator (Gauss-Krüger) and UTM projections. When a map window displays a map which has a coordinate system with a projection of a particular zone, and you add a second coordinate system to the pixel information window with a projection of the next zone, then the pixel info window also displays the XY-coordinates as received from the map window expressed in the second coordinate system.

An example of adding multiple coordinate systems to a pixel information window is described in Pixel information window : functionality (advanced).

Dialog box:

Select coordinate system:
 | Select a coordinate system to be used by the pixel information window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Tips:

  • Instead of choosing the menu command Add Coordinate System, you can also drag a coordinate system from the Catalog to the pixel info window. This has the same effect.
  • To permanently change the coordinate system of a vector map, use one of the Transform operations.
  • To show raster maps with a different coordinate system or georeference, the Resample operation should be used.

See also:

Pixel information window : functionality

Pixel information window : functionality (advanced)


Add map to pixel information window

Pixel information window

Add Map

 File menu

Add a raster, polygon, segment or point map to the pixel information window. If the map has an attribute table, also the columns of the attribute table are displayed in the pixel info window. You can add as many maps to the pixel information window as you like.

The pixel information window shows the class names, identifiers and/or values of all maps and tables that are added to the pixel info window, at the coordinate received from the mouse pointer in a map window or from the digitizer cursor. This provides you with a kind of cross-section at a specific coordinate through all the maps and tables that you added to the pixel info window. The class names, identifiers and/or values found in the different maps and tables at that coordinate are shown in the pixel info window.

In case a map window only displays a raster map with georeference None, the pixel info window displays the Row and Column numbers of the actual mouse position.

Dialog box options:

Select map: | Select a raster, polygon, segment or point map which you want to add to the pixel information window.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Tips:

  • You can also drag maps from the Catalog to the pixel info window with the mouse.
  • To hide or show maps or columns of an attribute table in the pixel info window, select the Customize command from the Options menu.

See also:

Pixel information window : introduction

Pixel information window : functionality


Annotation Text editor : Add text / Edit text

Annotation Text editor

Add Text / Edit Text

 Edit menu

Add a new text item to the Annotation Text object, or edit the text and settings of one selected text item.

This dialog box appears:

  • when you choose the Add Text command from the Edit menu,
  • when you click the right mouse button in the editor window and choose Add Text from the context-sensitive menu,
  • when you double-click at a new position in the editor window,
  • when you double-click a text item in the editor window,
  • when you select one text item and choose Edit from the Edit menu or from the context-sensitive menu.

When you select an existing text item in the editor window, the selected item will appear highlighted.

Dialog box options:

Text box:

Type a new text or modify the existing text. The text box has no limitation on the number of characters that you can enter.

X Y:

When working with XY-coordinates, type X- and Y-coordinates where the text should appear or modify the XY-coordinate of the existing text.

Row Col:

When working with RowCols, type Row and Column numbers where the text should appear or modify the RowCols of the existing text.

Font name:

Select a font in which the text should appear. Open the list box by clicking it. You can select any installed True Type font.

Font size:

Type a value for the font size in which the text should appear.

Bold:

Select this check box when the text should appear in Bold.

Italic:

Select this check box when the text should appear in Italics.

Underline:

Select this check box when the text should appear Underlined.

Justification:

Select a position for the justification mark of this text. Justification Baseline Center gives a justification mark located at the center of the base line of the text; justification Top Left gives a justification mark located at the top left of the rectangle which surrounds the text.

Text color:

Select a color in which the text should appear. Open the list box by clicking it. To create your own color, select Custom from the bottom of the list or click the create button.

Transparent:

Select this check box when the rectangle in which this text appears should be transparent; you will see the text directly on the contents of the map window.

Clear this check box when a rectangle around the text should have the background color as defined for the map window.

Rotation:

Type a value for the rotation of this text. Rotation is specified in degrees: rotation 0 gives text in direction left to right, rotation 90 gives text in direction bottom to top. Maximum rotation is 360.

Tips:

  1. To move a text item: select a text item and drag it to another position in the editor window.
  2. To make a duplicate of a text item: press and hold the Ctrl key down, select a text item, and drag it to another position.
  3. You can also edit an annotation text object in a table window:
    • double-click an annotation text object in the Catalog, or
    • in the Main window, open the File menu, choose Open as Table, and select the desired annotation text object.
  4. To install a Windows True Type font:
    • In the Windows Settings, choose Control Panel, and choose Fonts. A list of installed fonts will appear.
    • When the desired font is not yet in this list, choose File, Install New Font. The Add Font dialog box will appear.
    • Specify the directory where fonts are available and select the font(s) you want to install. Then click OK.

    Now that the fonts are registered by Windows, you can use them in ILWIS as well.

See also:

Annotation Text editor

ILWIS objects : annotation text


Annotation Text editor : Edit texts

Annotation Text editor

Edit Texts

 Edit menu

Edit the settings of multiple selected text items.

This dialog box appears:

  • when you select multiple texts in the editor window and choose the Edit command from the Edit menu or from the context-sensitive menu.

For more information on multiple selection, see below.

Dialog box options:

Font name:

Select a font in which the selected texts should appear. Open the list box by clicking it. You can select any installed True Type font.

Font size:

Type a value for the font size in which the texts should appear.

Bold:

Select this check box when the selected texts should appear in Bold.

Italic:

Select this check box when the selected texts should appear in Italics.

Underline:

Select this check box when the selected texts should appear Underlined.

Justification:

Select a position for the justification mark of the selected texts. Justification Baseline Center gives justification marks located at the center of the base line of each text; justification Top Left gives justification marks located at the top left of the rectangle which surrounds each text.

Text color:

Select a color in which the selected texts should appear. Open the list box by clicking it. To create your own color, select Custom from the bottom of the list or click the create button.

Transparent:

Select this check box when the rectangles in which the texts appear should be transparent; you will see the texts directly on the contents of the map window.

Clear this check box when rectangles around texts should have the background color as defined for the map window.

Rotation:

Type a value for the rotation of selected texts. Rotation is specified in degrees: rotation 0 gives text in direction left to right, rotation 90 gives text in direction bottom to top. Maximum rotation is 360.

Multiple selection

To select two or more text items:

  • choose the Select All command from the Edit menu; all texts in the annotation text object will be selected;
  • drag a rectangle with the mouse pointer in the editor window; all texts within this rectangle will be selected;
  • press and hold the Shift key down and click individual text items.

To deselect a selected item:

  • press and hold the Shift key down and click the selected text item(s) which you want to deselect.

Tips:

  1. To move multiple text items: select multiple text items and drag them to another position in the editor window.
  2. To make duplicates of multiple text items: press and hold the Ctrl key down, select multiple text items, and drag them to another position.
  3. To change the text of a text item, double-click a text in the editor window.
  4. You can also edit an annotation text object in a table window:
    • double-click an annotation text object in the Catalog, or
    • open the File menu in the Main window, choose Open as Table, and select the desired annotation text object.
  5. To install a Windows True Type font:
    • In the Windows Settings, choose Control Panel, and choose Fonts. A list of installed fonts will appear.
    • When the desired font is not yet in this list, choose File, Install New Font. The Add Font dialog box will appear.
    • Specify the directory where fonts are available and select the font(s) you want to install. Then click OK.

    Now that the fonts are registered by Windows, you can use them in ILWIS as well.

See also:

Annotation Text editor

ILWIS objects : annotation text


Annotation Text editor : Options

Annotation Text editor

Options

 File menu

Change the working scale, or change from working in XY-coordinates to working in RowCols or vice versa.

This dialog box appears:

  • when in the Annotation Text editor, you choose the Options command from the File menu or from the context-sensitive menu.

Dialog box options:

Working scale: | Type a value for your new working scale; this can be for instance the scale on which you will print your maps later on.
Use XY-coordinates: | You can use XY-coordinates for the positions of your texts in the Annotation Text object when you are working on a map with a georeference corners, or a georeference tiepoints (conformal or affine transformation).
Use RowCols: | You should use RowCol-numbers for the positions of your texts in the Annotation Text object when you are working on a map with a georeference tiepoints (second order transformation or higher order transformation), a georeference 3D, a georeference direct linear, or a georeference orthophoto.

When changing the working scale, a message will follow asking you to update all font sizes as stored in the Annotation Text object (i.e. the table):

  • to have your texts appear in the same proportions on your map, answer this question with Yes; the font sizes in the table will be updated to your new working scale,
  • to use the same font sizes as currently stored in the Annotation Text object, answer No; your texts will either appear larger or smaller in your map window, depending on whether you specified a larger value for the working scale or a smaller one.

Tips:

  • Annotation Text objects using XY-coordinates can be used on any georeference of about the same area, e.g. drag drop from Catalog to map window.
  • Text items in an Annotation Text objects using RowCols can be easily aligned regardless of the georeference. For precise editing of RowCol numbers, it is adivised to open the annotation text object as a table.
  • An Annotation Text object should work in Row Cols when you have a georef direct linear, georef orthophoto, or a georef3D and you want to position texts in the map window but outside the DTM area (there are no coordinates defined outside your DTM area).

See also:

Annotation Text editor

ILWIS objects : annotation text


Coordinate system Tiepoints editor : Add tiepoint

Coordinate system Tiepoints editor

Add tiepoint

 Edit menu

Adds a tiepoint to this coordinate system tiepoints. A tiepoint establishes the relation between a current XY-coordinate and a future correct XY-coordinate.

Dialog box:

X Y:

The current XY-coordinate of the position that you clicked in the background map is shown.

Related X Y:

To obtain a correct XY-coordinate for this tiepoint, either:

  • read the correct XY-coordinate for this position from a paper map, and type these in the Rel X Y boxes, or
  • click at the same position in a map window which already has correct coordinates (master/slave) and the related X Y boxes are automatically filled out, or
  • digitize the same position on a map stuck on the digitizer and the related X Y boxes are automatically filled out.

When you already have a (mathematically) sufficient number of tiepoints, and you add a new tiepoint, the dialog box comes up with a suggestion for the correct XY-coordinates for this point. The suggested correct XY-coordinate gives an indication of the quality of your existing tiepoints. You should never accept this suggestion but always look up the correct XY-coordinate from a paper map, a master, etc.

When you click OK, the tiepoint will be added to the tiepoint table.

Tips:

  • To make a tiepoint inactive for this coordinate system: in column Active, set the value on False by typing an F.
  • To check the quality of a coordinate system tiepoints, you can add a vector map with correct coordinates and a correct coordinate system to the map window. Then, add tiepoints to the map with artificial coordinates and redraw the map window once in a while: you can see how well the maps fit.
  • To add a created coordinate system tiepoints to other vector maps which use the same artificial coordinates: open the properties of these vector maps, in the Properties dialog box, click the Edit Properties button, then select the newly created coordinate system tiepoints.

See also:

Coordinate system Tiepoints editor : functionality


Coordinate system Tiepoints editor : Boundaries

Coordinate system Tiepoints editor

Boundaries

 Edit menu

Change the minimum and maximum XY-values of the boundaries of the current coordinate system tiepoints (artificial coordinates).

Dialog box options:

Description:

Type a description for the coordinate system. The description is visible on the status bar of the Main window when moving the mouse pointer over the coordinate system in the Catalog.

Min X, Y:

Type the minimum X-coordinate and the minimum Y-coordinate for this coordinate system; the boundary values should more or less coincide with your artificial coordinates.

Max X, Y:

Type the maximum X-coordinate and the maximum Y-coordinate for this coordinate system; the boundary values should more or less coincide with your artificial coordinates.

Defaults:

When you click the Defaults button, the coordinate boundaries of the related coordinate system are transformed according to the current transformation method and tiepoints. This will usually show the coordinate boundaries of the map with artificial coordinates. In most cases, you will only use the defaults button to check whether the transformation is more or less correct.

In case you used the Defaults button and the boundary values changed to rather unexpected values: click the Cancel button to prevent changes.

See also:

Coordinate system Tiepoints editor : functionality


Coordinate system Tiepoints editor : Customize

Coordinate system Tiepoints editor

Customize

 Edit menu

Customize the way in which tiepoints are displayed on the background map in the Tiepoint editor.

Dialog box options:

Active color: | Select a color for the active tiepoints and their numbers; open the list box by clicking it. To create your own custom color, click the create button or select 'Custom' at the bottom of the drop-down list.
Passive color: | Select a color for the passive tiepoints and their numbers; open the list box by clicking it. To create your own custom color, click the create button or select 'Custom' at the bottom of the drop-down list.
Symbol size: | Type a value (integer > 0) for the size of the symbols that represent your tiepoints. Tiepoints are always represented by a plus sign.

See also:

Coordinate system Tiepoints editor : functionality


Coordinate system Tiepoints editor : Delete tiepoint

Coordinate system Tiepoints editor

Delete tiepoint

 Edit menu

Deletes a tiepoint.

Dialog box options:

Tiepoint number:

Type the number of the tiepoint you want to delete.

The tiepoint is removed from the map window as well as from the tiepoint table. The deleted tiepoint is no longer part of the coordinate system tiepoints which you are editing.

Tips:

  • To delete a tiepoint, you can also select a tiepoint in the tiepoint table (click the tiepoint number in the table) and press Del on the keyboard.
  • To delete a tiepoint, you can also select a tiepoint in the tiepoint table (click the tiepoint number in the table), then click the right mouse button and choose Delete from the context-sensitive menu.
  • To make a tiepoint inactive for this coordinate system tiepoints: in column Active, set the value on False by typing an F.

See also:

Coordinate system Tiepoints editor : functionality


Coordinate system Tiepoints editor : Transformation

Coordinate system Tiepoints editor

Transformation

 Edit menu

When editing a coordsys tiepoints, select the transformation method with which the relation between the artificial XY-coordinates and the correct XY-coordinates of your tiepoints should be calculated.

In the formulae below:

  • Xout and Yout are used for the current coordinate system tiepoints (artificial coordinates);
  • X and Y are used for the related coordinate system with correct coordinates.

Dialog box options:

Select one of the transformation methods:

Conformal: | Plane, minimum of 2 tiepoints required; Xout = aX + bY + c1 Yout = bX - aY + c2
Affine: | Plane; recommended; minimum of 3 tiepoints required; Xout = a11X + a12Y + b1 Yout = a12X + a22Y + b2
Second order bilinear: | Second degree linear surface; minimum of 4 tiepoints required; Xout = a1 + b1X + c1Y + d1XY Yout = a2 + b2X + c2Y + d2XY
Full second order: | Full second degree polynomial surface; minimum of 6 tiepoints required; Xout = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 Yout = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2
Third order: | Third degree polynomial surface; minimum of 10 tiepoints required; Xout = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 + g1 X3 + h1 X2Y + i1XY2 + j1 Y3 Yout = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2 + g2 X3 + h2 X2Y + i2XY2 + j2 Y3
Projective: | Recommended for oblique vector maps; minimum of 4 tiepoints required; Xout = (aX + bY + c) / (gX + hY +1) Yout = (dX + eY + f) / (gX + hY + 1)

The transformation method and calculated sigma are visible at the top of the tiepoints table.

Tip:

For each transformation method, a certain number of tiepoints is mathematically required. It is advised to always add more tiepoints than the absolute minimum number required.

See also:

Coordinate system Tiepoints editor : functionality


Custom colors

Select or define a new custom color.

This dialog box appears when creating a new custom color:

  • when you click the create button next to a Color drop-down list box,
  • when you select the Custom item in a list box of ILWIS colors,
  • when you click the Custom Color command button when editing a class representation in the Representation Class editor.

Custom colors can for example be defined:

  • in Display Options dialog boxes of data and annotation layers,
  • when using double-click action in a map window (Edit Representation),
  • when creating or editing a representation Class in the Representation Class editor,
  • when creating or editing a representation Value or Gradual in the Representation Value/Gradual editor.
  • when editing graphs.

In the left part of this dialog box, you can select an existing color from the Basic Colors or Custom Colors palette.

In the right part of this dialog box, you can create your own color:

  • drag the cursor in the color refiner box and the arrow beside the luminosity bar to define your color, or
  • type numbers between 0 and 255 in the Red, Green, and Blue boxes, or the Hue, Sat (saturation), and Lum (luminosity) boxes.

The color you create is shown in the left side of the Color/Solid box.

If you want to use this custom color more often, you can add it to the existing custom colors:

  1. In the Custom Colors palette, select a box for the color. Select an empty box or one that contains a color you want to change to the new color.
  2. Choose the Add Custom Colors button.
  3. Create any other colors you want, and add them to the palette.

The colors available in the Custom Colors palette remain available during one ILWIS session.

When satisfied, choose the OK button.


Select object to be deleted

Select a map or table, or any other object and delete it.

This dialog box only appears when:

  • when you type Del on the command line of the Main window.

Dialog box options:

Select an object: | Select the object which you want to delete.
Select object type: | Select the type of object you want to delete: a map, a table, a map list, a map view, a domain, a representation, a georeference, a coordinate system, a histogram, etc.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

First, ILWIS checks whether the object you selected is still in use by other objects. For example, a domain or a georeference can be used by many maps.

  • If the selected object is not used by other objects, you will get a question whether you are sure to delete the selected object.
  • If the selected object is used by other objects, you will get a message saying that in principle you cannot delete the selected object; however, if you want, you can still delete the object.

To view which objects use the current object, check the properties of the object.

Tips:

  • You can also delete one or more objects, by selecting objects in the Catalog, then choose Delete from the Edit menu or from the context-sensitive menu.
  • You can also delete multiple objects by using the command line in the Main window. For more information, see Appendices : ILWIS script language (syntax).

See also:

How to delete objects


Setup Digitizer - Manual Setup

Setup Digitizer wizard

Manual Setup

 < Back | Next >

Unravel the received ASCII string yourself.

Received digitizer coordinates (check whether you have communication):

You have communication between the digitizer and the computer:

  • when the first line of this page reads:

    • Received: coordinates as readable numbers;

  • when coordinates change from about 0,0 (when moving the digitizer cursor into the lower left corner of the tablet) to greater positive figures (when moving the digitizer cursor into upper right corner of the tablet).

You definitely don't have a proper communication between your digitizer and your computer:

  • when the first line of this page reads:

    Received: Nothing

    Received: coordinates as unreadable characters

  • when coordinates do not change when you move the digitizer cursor over the tablet,
  • when coordinates only appear after pressing a button on the digitizer cursor.

Read the Trouble shooting section on the Automatic Setup page.

Page options:

Received: | Try to interpret the ASCII string after 'Received' yourself. You should be able to determine an X-coordinate, a Y-coordinate, and a value for the digitizer buttons (flags).
Nr chars: | Specify a value for total numbers of characters in the string after 'Received'. Count all characters in the string, including possible spaces, commas, etc. which may be used as separators.
X Pos: | Specify a value for the position where the first character of the X-coordinate is found in the string; this could be 1.
X Length: | Specify a value for the total number of characters used for the X-coordinate in the string. Do not include spaces or commas that are used as separators.
Y Pos: | Specify a value for the position where the first character of the Y-coordinate is found in the string.
Y Length: | Specify a value for the total number of characters used for the Y-coordinate in the string. Do not include spaces or commas that are used as separators.
Flag Pos: | Specify a value for the position where digitizer cursor button flags (sent when digitizer cursor buttons are pressed) are found in the string; this a single position.
Flag Codes: | Specify values for the flag codes that are received by the computer when digitizer cursor buttons are pressed; e.g. 1248

Example:

Suppose a received string reads: 07287,07980,0. When pressing digitizer cursor buttons 0,1,2,3, you obtain flag codes 1,2,4,8. Then, you should specify the following values:

Nr chars | 13 |  |
X Pos | 1 | X Length | 5
Y Pos | 7 | Y Length | 5
Flag Pos | 13 | Flag Codes | 1248

When finished, click the Next button on this page; the Setup Digitizer - Size, Resolution, Final Check page will appear.

See also:

Setup Digitizer - Size, Resolution, Final Check

How to setup a digitizer


Select object to be edited

Select a map, or table or any other object, open it and edit it.

Dialog box options:

Select an object: | Select the object which you want to edit.
Select object type: | Select the type of object you want to edit: a map, a table, a map list, a domain, a representation, a georeference, a coordinate system, etc.
Directories: | If necessary, change the current directory.
Drives: | If necessary, change the current drive.

Depending on the selected object, an editor or a dialog box appears:

Raster map: | The Pixel editor is started.
Polygon map: | The Polygon editor is started.
Segment map: | The Segment editor is started.
Point map: | The Point editor is started.
Table: | The table is displayed in a table window. Fields of source columns can directly be edited.
Two-dimensional table: | The two-dimensional table is displayed in a table window. Fields in the table can directly be edited.
Map list: | The map list is opened in a kind of Catalog which has some extra possibilities. See How to edit a map list.
Map view: | The map view is displayed in a map window. You can add data and annotation layers as usual.
Domain: | For a class or identifier domain, the Domain Class/ID editor is started. For a value domain, the Edit Domain Value dialog box appears.
Representation: | For a representation linked to a class domain, the Representation Class editor is started. For a representation linked to a value domain: the Representation Value/Gradual editor is started.
Georeference: | For a georeference corners, the Edit Georeference Corners dialog box appears. For a georeference tiepoints, the Georeference Tiepoints editor is started. For a georeference 3D, the Georeference 3D editor is opened.
Coordinate system: | For a coordinate system boundary only, the Edit Coordinate System Boundary Only dialog box will appear. For a coordinate system projection, the Edit Coordinate System Projection dialog box will appear. For a coordinate system latlon, the Edit Coordinate System LatLon dialog box will appear. For a coordinate system formula, the Edit Coordinate System Formula dialog box will appear. For a coordinate system tiepoints, the Coordinate system Tiepoints editor will be opened.
Histogram: | The histogram is displayed in a table window. Histogram columns cannot be edited, but you can perform calculations using the histogram columns.
Sample set: | The Sample set editor is started.
Matrix: | The matrix is displayed. You cannot edit the matrix.
Filter: | The Filter editor is started.
Function: | The Function editor is started.
Script: | The Script editor is started.

Tips:

  1. To edit a map or a map list, you can also click the right mouse button on the map or map list in the Catalog, and choose Edit from the context-sensitive menu.
  2. In a map window, you can also choose Edit Layer from the Edit menu and select the layer which you want to edit; the appropriate map editor is opened.
  3. To edit a table, domain, a representation, a georeference or a coordinate system, it is generally easier to double-click it in the Catalog. The object is opened and you can directly edit it.
  4. To edit a table, domain, representation, georeference, coordinate system, map view, sample set, filter, function or script, you can also click it with the right mouse button in the Catalog, and then choose Open from the context-sensitive menu.
  5. To select the type of objects that are displayed in the Catalog, click the Customize Catalog button [image] in the toolbar of the Main window.
  6. Dependent data objects and objects marked as read-only cannot be edited.

See also:

ILWIS objects

Editors


Font

Select a font, font style, and font size. A font, or typeface is a collection of characters, letters, numerals, symbols and punctuation marks, that have common characteristics. Fonts have various sizes and styles. Font sizes indicate the height of a character and are measured in points, a point equaling 1/72 of an inch. Font styles include bold and italic.

This dialog box appears when you clicked the Font command button in a previous dialog box.

Dialog box options:

Font: | Select one of the fonts from the list of installed fonts.
Font style: | Select a font style: Regular, Italic, Bold, or Bold Italic.
Font size: | Select a font size.

Examples:

This is my text in Arial, bold, point 10.

This is my text in Times, regular, point 10.


Georef 3D editor : Edit

Georeference 3D editor

Edit

To obtain a nice three-dimensional view of your study area, specify some parameters which define your georeference 3D, i.e. the observer's perspective on the 3D model.

It is advised to adjust:

  • the View Angle, until you see your whole study area in the map window,
  • the Vertical and Horizontal Rotation, until you see your area from a favourable position,
  • the View Point, until the 3D view is nicely positioned in the map window,
  • the Scale Height, to exaggerate height differences,
  • or other parameters as you wish.

To see the effect of changed view parameters, you need to redraw the map window: click the Redraw button [image] or press Ctrl+R on the keyboard.

Dialog box options:

View Angle:

Specify a view angle in degrees to define how much of the 3D model is observed.

Scale Height:

Specify the vertical exaggeration of the 3D model, i.e. altitude relative to XY-scale.

View Point:

Specify the XY-coordinate of the view point, i.e. the point in your model that you want to look at. The Z-coordinate depends on the DEM. The view point is drawn in the center of the map window when you redraw the 3D view.

You can also change the View Point in the map window itself: simply click somewhere in the map window where your new view point should be; then redraw the map window. Note that in this way the Location Point and Location Height automatically change. It is clear that this an easu way to control the View Point in the DEM.

Horizontal Rotation:

Specify the rotation of the 3D view in horizontal direction in degrees.

Vertical Rotation:

Specify the rotation of the 3D view in degrees away from a vertical through the terrain.

Distance:

Specify the distance between the observer and the view point.

Location Point:

Specify the location of the observer in XY-coordinates.

Location Height:

Specify the altitude of the observer.

All changed parameters are immediately stored in your georeference 3D.

Tips:

  1. To see the effect of changed view parameters, you need to redraw the map window: click the Redraw button [image] in the toolbar of the map window, or press Ctrl+R on the keyboard.
  2. To obtain the Display Options - 3D Grid dialog box again, for instance to choose another grid size, choose Display Options from the Layers menu or from the context-sensitive menu.
  3. To add other layers to the map window, choose Add Layers from the Layers menu.
  4. To close the Georeference 3D editor and return to the map window, choose Exit from the File menu, press the Exit Editor button in the window. Your 3D view remains displayed in the map window. When you double-click the contol-menu box of the map window, the window is closed.
  5. To save your 3D view, choose the Save View or Save View As command from the File menu in the map window.
  6. To permanently display a raster map with a georeference 3D, use the Apply 3D operation.

Note:

The 3D view parameters are not independent. When you change one parameter, some others may automatically change as well. When you edit the values of the view point, horizontal rotation, vertical rotation or distance, the values of the location point and/or location height of the observer automatically change, and vice versa.

Some examples of different perspectives are presented in Georeference 3D editor : functionality.


Georef Tiepoints editor : Add tiepoint

Georeference Tiepoints editor

Add Tiepoint

 Edit menu

Adds a tiepoint, also called ground control point, to this georeference tiepoints, this georeference direct linear or this georeference orthophoto. A tiepoint establishes the relation between a Row Column number in a map and its real world XY- or XYZ-coordinate.

Dialog box:

Row Col:

The Row and Column numbers of the position that you clicked in the background image are shown.

X Y:

To obtain the XY-coordinate for this tiepoint, either:

  • read the XY-coordinate of this position from a paper map, and type these in the X Y boxes, or
  • click at the same position in a map window which already has correct coordinates (master/slave) and the X Y boxes are automatically filled out, or
  • digitize the same position on a map stuck on the digitizer and the X Y boxes are automatically filled out.

When you already have a (mathematically) sufficient number of tiepoints, and you add a new tiepoint, the dialog box comes up with a suggestion for the XY-coordinates for this point. The suggested XY-coordinate gives an indication of the quality of your existing tiepoints. You should never accept this suggestion but always look up the correct XY-coordinate from a paper map, a master, etc.

Z:

When adding a tiepoint to a georef direct linear or a georef orthophoto, select this check box when you want to fill out a Z (height) value for the inserted tiepoint; as a default, the Z-value found in the DTM is given.

Clear this check box when you want to use the height value found in the DTM.

When you click OK, the tiepoint will be added to the tiepoint table.

Tips:

  • To make a tiepoint inactive for this georeference: in column Active, set the value on False by typing an F.
  • To check the quality of a georeference tiepoints, you can add a segment map with digitized features on top of the raster map when adding tiepoints. Then, add tiepoints, redraw the map window once in a while and see when the segments fit well enough on your background image.
  • To add a created georeference tiepoints to other bands of a satellite image, open the properties of the other bands: in the Properties dialog box, click the Edit Properties button, then select the newly created georeference tiepoints. For more information, see How to view and edit the properties of an object.

See also:

Georeference Tiepoints editor : functionality


Georef Tiepoints editor : Customize

Georeference Tiepoints editor

Customize

 Edit menu

Customize the way in which tiepoints, also called ground control points, are displayed on the background image in the Tiepoint editor.

Dialog box options:

Active color: | Select a color for well positioned tiepoints and for the active tiepoint; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list. A tiepoint is considered well positioned if: Ö(DRow2 + DCol2) <= (1.2 * Sigma).
Medium error: | Select a color for tiepoints with medium error. A tiepoint is considered to have a medium error if: (1.2 * Sigma) < Ö(DRow2 + DCol2) <= (2 * Sigma).
Large error: | Select a color for tiepoints with a large error. A tiepoint is considered to have a large error if: Ö(DRow2 + DCol2) > (2 * Sigma).
Passive color: | Select a color for the non-active tiepoints; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Fiducial marks: | When editing a georef orthophoto and the Locate Fiducial Marks dialog box is open: select a color for the fiducial marks and their numbers; open the list box by clicking it. To create your own custom color, click the create button or select Custom at the bottom of the drop-down list.
Symbol size: | Type a value (integer > 0) for the size of the symbols that represent your tiepoints. Tiepoints are always represented by a plus sign.

See also:

Georeference Tiepoints editor : functionality


Georef Tiepoints editor : Delete tiepoint

Georeference Tiepoints editor

Delete Tiepoint

 Edit menu

Deletes a tiepoint or a ground control point.

Dialog box options:

Tiepoint number:

Type the number of the tiepoint you want to delete.

The tiepoint is removed from the map window as well as from the tiepoint table. The deleted tiepoint is no longer part of the georeference tiepoints which you are editing.

Tips:

  • To delete a tiepoint, you can also select a tiepoint in the tiepoint table (click the tiepoint number in the table) and press Del on the keyboard.
  • To delete a tiepoint, you can also select a tiepoint in the tiepoint table (click the tiepoint number in the table), then click the right mouse button and choose Delete from the context-sensitive menu.
  • To make a tiepoint inactive for this georeference: in column Active, set the value on False by typing an F.

See also:

Georeference Tiepoints editor : functionality


Georef Tiepoints editor : Transformation

Georeference Tiepoints editor

Transformation

 Edit menu

When editing a georeference tiepoints, select the transformation method with which the relation between Row and Column values and the XY-coordinates of your tiepoints should be calculated.

Dialog box options:

Select one of the transformation methods:

Conformal: | Plane, minimum of 2 tiepoints required; Xout = aX + bY + c1 Yout = bX - aY + c2
Affine: | Plane; recommended; minimum of 3 tiepoints required; Xout = a11X + a12Y + b1 Yout = a12X + a22Y + b2
Second order bilinear: | Second degree linear surface; minimum of 4 tiepoints required; Xout = a1 + b1X + c1Y + d1XY Yout = a2 + b2X + c2Y + d2XY
Full second order: | Full second degree polynomial surface; minimum of 6 tiepoints required; Xout = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 Yout = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2
Third order: | Third degree polynomial surface; minimum of 10 tiepoints required; Xout = a1 + b1X + c1Y + d1XY + e1X2 + f1Y2 + g1 X3 + h1 X2Y + i1XY2 + j1 Y3 Yout = a2 + b2X + c2Y + d2XY + e2X2 + f2Y2 + g2 X3 + h2 X2Y + i2XY2 + j2 Y3
Projective: | Recommended for oblique vector maps; minimum of 4 tiepoints required; Xout = (aX + bY + c) / (gX + hY +1) Yout = (dX + eY + f) / (gX + hY + 1)

The transformation method and calculated sigma are visible at the top of the tiepoints table.

Tip:

For each transformation method, a certain number of tiepoints is mathematically required. It is advised to always add more tiepoints than the absolute minimum number required.

See also:

Georeference Tiepoints editor : functionality


Insert/Edit Legend Legend (point ID + attributes, symbols as graphs)

Layout editor

 Insert menu

Insert/Edit Legend (ID point maps)

Symbols as pie charts, bar charts or composed bars

When an ID point map that has an attribute table is displayed as stretched pie charts, bar charts or composed bars, you can add two types of legends: a size legend and a color legend.

Choose which type of legend you wish to add; you can add the other legend type later on.

Dialog box options:

Size legend: | To add a legend which explains the size of pie charts, bar charts or composed bars. The Display Options - Legend (symbols as graphs, size) dialog box will appear.
Color legend: | To add a legend which explains the colors in the pie charts, bar charts, or composed bars. The Display Options - Legend (symbols as graphs, color) dialog box will appear.

See also:

Display Options - Point Map (dialog box)

Symbols as Graphs (dialog box)


Print pixel information window

Pixel info window

Print Options

 File menu

Prints the contents of the pixel information window on the default printer.

Dialog box options:

Header on all pages: | Select this check box to obtain a header on each page. Clear this check box when you do not want to obtain a header on the print out(s).
Leftmost column on all pages: | Select this check box to print the name of the maps, and attribute columns as appearing in the leftmost part of the pixel info window. This will appear to the left of any printed columns and fields. Clear this check box when you only wish to print fields.
Font Name: | Select one of the fonts from the list of installed fonts.
Font Size: | Type a font size for printing.
Bold: | Select this check box when you wish to print columns/fields in Bold.
Italics: | Select this check box when you wish to print columns/fields in Italics.
All: | When you made a selection in the pixel info window, select this option to print the entire pixel info window.
Current selection: | When you made a selection in the pixel info window, select this option to print the selected part of the pixel info window only.

When you click OK, a standard Windows Print dialog box will follow in which you can select a printer and specify some settings for the selected printer.

When you click OK in the Windows Print dialog box, the contents of the pixel info window will be printed.

Tip: To install a printer and choose a default printer, see your Windows documentation.

See also:

Pixel information window : functionality


Repr Class editor : Column width

Representation Class editor

Column Width

 View menu

Change the width used to display colors and class names in the Representation Class editor.

Dialog box option:

Column width:

Type a value for the column width used to display colors and class names.

The smaller you choose the column width, the more classes are shown in the Representation Class editor, but class names may become unreadable.

The larger you choose the column width, the more space is used to display colors and class names, but you might end up with very few classes in the window.

Minimum column width is 20, maximum column width is 250.

The column width is stored in the representation.

See also:

Representation Class editor


Repr Class editor : Edit item (point)

Representation Class editor

Edit Item (point)

 Edit menu

When editing the representation of a class domain in the representation class editor, specify a symbol type, a color, a size, etc. for each class of points.

This dialog box appears when you selected to edit the point form of a representation class in the representation class editor, and

  • you double-click a class in the editor window, or
  • you select a class in the editor window, and you choose Edit Item from the Edit menu, or
  • you select a class in the editor window, and you press Enter on the keyboard.

For more information, see Representation Class editor : functionality.

Furthermore, this dialog box appears:

  • when a map window displays a point map with a class domain, and
  • in the Display Options dialog box for the point map, the Info check box is marked, and
  • in the map window, you set the Double-Click Action to Edit Representation, and
  • you subsequently double-click a point in the map window.

For more information, see Map window : advanced functionality.

Dialog box options:

Class name: | The selected class name is shown as text at the top of the dialog box.
Symbol type: | Select Simple symbols or any installed True Type symbol font; open the list box by clicking it. Windows symbol fonts are for example Symbol, Wingdings, etc. You can also select an installed Corel Draw symbol font, see also the Tip below.

In case of symbol type Simple:

Symbol: | Select a symbol type from the list box: circle, square, diamond, delta up, delta down, plus, minus, or cross.
Size: | Specify a value for the symbol size. Symbol size is expressed in points (1/72 inch), i.e. as choosing a font size in word processing packages.
Fill color: | For symbols circle, square, diamond, delta up, delta down: select a color to fill the symbols with; open the list box by clicking it. To create your own color, select 'Custom' at the bottom of the drop-down list. To obtain symbols which are not filled, select 'Transparent' at the top of the drop-down list.
Line width: | Specify a value for the line width with which the selected symbols should be drawn. Line width values are expressed in screen pixels (for on the screen) and in dots (for on the printer).
Color: | For symbols circle, square, diamond, delta up, delta down: select a color for the outer line of a symbol, and for symbols plus, minus, cross: select a color for the whole symbol. Open the list box by clicking it. To create your own color, click the create button or choose the 'Custom' item at the bottom of the color list; the Custom Colors dialog box will appear.

In case of a Windows symbol font:

Symbol box: | Select a symbol from the symbol box by clicking it.
Size: | Specify a value for the symbol size. Symbol size is expressed in points, i.e. as choosing a font size in word processing packages.
Color: | Select a color with which the symbols should be drawn; open the list box by clicking it. To create your own color, click the create button or choose the 'Custom' item at the bottom of the color list; the Custom Colors dialog box will appear.
Rotation: | Type a value for the rotation of the symbols. Rotation is expressed in degrees (anti-clock wise).

Tips:

  1. To edit colors of multiple classes, select multiple classes in the editor window (use the Shift and Ctrl keys), and choose Edit Multiple Items from the Edit menu.
  2. To apply the changes in the representation in a displayed map (with a domain to which this representation is linked), press the Redraw [image] button in the map window. In this way, you can work with the representation editor and a map window simultaneously.
  3. When using the double-click action to edit a representation, representation changes will be applied immediately in the map window. For more information, see Map window : advanced functionality.
  4. To use for instance a Corel Draw symbol font, first make sure that the font is registered by Windows:
    • In the Windows Settings, choose Control Panel, and choose Fonts. A list of installed fonts will appear.
    • When the desired symbol fonts are not yet in this list, choose File, Install New Font. The Add Font dialog box will appear.
    • Specify the Corel Draw/Symbols directory, select the fonts you want to use and click OK.

    Now that the symbol fonts are registered by Windows, you can use them in ILWIS as well.

See also:

Representation Class editor : Edit multiple items

Representation Class editor : functionality


Repr Class editor : Edit item (polygon)

Representation Class editor

Edit Item (polygon)

 Edit menu

When editing the representation of a class domain in the representation class editor, specify a color for each class of polygons.Optionally, you can use hatchings or patterns for polygon classes.

This dialog box appears when you selected to edit the polygon form of a representation class in the representation class editor, and

  • you double-click a class in the editor window, or
  • you select a class in the editor window, and you choose Edit Item from the Edit menu, or
  • you select a class in the editor window, and you press Enter on the keyboard.

For more information, see Representation Class editor.

Furthermore, this dialog box appears:

  • when a map window displays a polygon map with a class domain, and
  • in the Display Options dialog box for the polygon map, the Info check box is marked, and
  • in the map window, you set the Double-Click Action to Edit Representation, and
  • you subsequently double-click a polygon in the map window.

For more information, see Map window : advanced functionality.

Dialog box options:

Class name: | The selected class name is shown as text at the top of the dialog box.
Color list box: | Select a color for the selected polygon class in the list box. If you want to define your own color you can double-click the 'Custom' item at the bottom of the list; then, the Custom Colors dialog box will appear.
 | To define your own custom color, you can also click the Custom Color command button; the Custom Colors dialog box will appear.
Solid: | Select option Solid when the selected class of polygons should appear as filled polygons, i.e. as solid areas in the color as selected above.
Hatching: | Select option Hatching when the selected class of polygons should be hatched with the color as selected above. Subsequently, select a Windows hatching type: Upwards, Downwards, Crossing, Diagonal, Horizontal, or Vertical. Hatch angles and spacing cannot be specified. Optionally, a background color can be specified.
Pattern: | Select option Pattern when the selected class of polygons should be represented in a Windows pattern, such as Bricks, Plaid, Tiles, etc. or in a pattern which you created yourself. To create or modify an existing Windows pattern, see the Tip below. Subsequently, select a pattern, and specify a background color. The white part of a pattern will be drawn in the color as selected above in the Color list box; the black part of a pattern will be drawn in the background color.
Background color: | For Hatching or Pattern: select a background color which will be used as background for the hatching or the pattern. The color as selected in he Color list box will be used as the foreground color. For hatching, it is advisable to choose Transparent as background. You can then use the polygon hatching for instance on top of a raster map which uses other colors. For patterns which use alternating pixels in foreground and background color, it is advisable to choose White or Black as background color. Furthermore, when using patterns, you cannot choose Transparent as background color but you can create your own background color by clicking the create button, or by choosing 'Custom' at the bottom of the list.
 | For Hatching or Pattern: click this command button to easily switch the foreground and background colors of your hatching or your pattern.

Tips:

  1. To obtain a hatched polygon map on top of a raster map which uses other colors:
    • Display the raster map (any domain) and the polygon map (class domain) in one map window;
    • Open the Edit menu in the map window, choose Representation and select the polygon map;
    • In the representation class editor, double-click a polygon class; in the appearing Edit Item dialog box, select the Hatching option and select a hatching type, choose Black in the color list box, and choose Transparent as the background color;
    • If necessary, redraw [image] the map window;
    • Continue to edit hatchings for other polygon classes.
  2. To apply the changes in the representation in a displayed map (with a domain to which this representation is linked), press the Redraw [image] button in the map window. In this way, you can work with the representation editor and a map window simultaneously.
  3. When using the double-click action to edit a representation, representation changes will be applied immediately in the map window. For more information, see Map window : advanced functionality.
  4. To edit colors of multiple classes, select multiple classes in the editor window (use the Shift and Ctrl keys), and choose Edit Multiple Items from the Edit menu.
  5. To create or edit a Windows pattern (8x8): open your Windows Settings, choose Display, and select the Background tab.
    • To edit an existing pattern: select a pattern in the Pattern list box and click the Edit Pattern button. The Edit Pattern dialog box will appear. You can edit the pattern by clicking in it with the left mouse button: each mouse click changes a foreground color to a background color and vice versa.
    • To create a new pattern: select a pattern in the Pattern list box and click the Edit Pattern button. The Edit Pattern dialog box will appear. For the name: type a new name. Then, edit the pattern as described above.
  6. Windows patterns are stored in your Windows directory in the control.ini file.

See also:

Representation Class editor : Edit multiple items

Representation Class editor : functionality


Repr Class editor : Edit item (raster)

Representation Class editor

Edit Item (raster)

 Edit menu

When editing the representation of a class domain in the representation class editor, specify a color for each class of pixels.

This dialog box appears when you selected to edit the raster form of a representation class in the representation class editor, and

  • you double-click a class in the editor window, or
  • you select a class in the editor window, and you choose Edit Item from the Edit menu, or
  • you select a class in the editor window, and you press Enter on the keyboard.

For more information, see Representation Class editor.

Furthermore, this dialog box appears:

  • when a map window displays a raster map with a class domain, and
  • in the Display Options dialog box for the raster map, the Info check box is marked, and
  • in the map window, you set the Double-Click Action to Edit Representation, and
  • you subsequently double-click a pixel in the map window.

For more information, see Map window : advanced functionality.

Dialog box options:

Class name: | The selected class is shown as text at the top of the dialog box.
Color list box: | Select a color from the list box. If you want to define your own color you can double-click the 'Custom' item at the bottom of the list; then the Custom Colors dialog box will appear.
 | To define your own custom color, you can also click the Custom Color command button; the Custom Colors dialog box will appear.

Tips:

  1. To edit colors of multiple classes, select multiple classes in the editor window (use the Shift and Ctrl keys), and choose Edit Multiple Items from the Edit menu.
  2. To apply the changes in the representation in a displayed map (with a domain to which this representation is linked), press the Redraw [image] button in the map window. In this way, you can work with the representation editor and a map window simultaneously.
  3. When using the double-click action to edit a representation, representation changes will be applied immediately in the map window. For more information, see Map window : advanced functionality.

See also:

Representation Class editor : Edit multiple items

Representation Class editor : functionality


Repr Class editor : Edit item (segment)

Representation Class editor

Edit Item (segment)

 Edit menu

When editing the representation of a class domain in the representation class editor, specify a color, line type, line width and other attributes for each class of segments.

This dialog box appears when you selected to edit the segment form of a representation class in the representation class editor, and

  • you double-click a class in the editor window, or
  • you select a class in the editor window, and you choose Edit Item from the Edit menu, or
  • you select a class in the editor window, and you press Enter on the keyboard.

For more information, see Representation Class editor : functionality.

Furthermore, this dialog box appears:

  • when a map window displays a segment map with a class domain, and
  • in the Display Options dialog box for the segment map, you marked the Info check box, and
  • in the map window, you set the Double-Click Action to Edit Representation, and
  • you subsequently double-click a segment in the map window.

For more information, see Map window : advanced functionality.

Dialog box options:

Class name:

The selected class name is shown as text at the top of the dialog box.

Color list box:

Select a color for the selected segment class in the list box. If you want to define your own color you can double-click the 'Custom' item at the bottom of the list; then, the Custom Colors dialog box will appear.

To define your own custom color, you can also click the Custom Color command button; the Custom Colors dialog box will appear.

Line type:

Select a line type:

Support line:

For line types Single, Dot, Dash, Dash Dot, Dash Dot Dot and Symbol; select this check box when an extra support line should be drawn below the selected line type. Subsequently, specify the color of the support line in the Background Color list box in this dialog box.

Clear this check box when only your segments should be drawn.

Background color:

When a support line is specified for line types Single, Dot, Dash, Dash Dot, Dash Dot Dot or Symbol: select an extra color for the support line.

For line types Double, Triple or Blocked, select an extra color for the inner part of a double, triple or blocked line.

Line width (mm):

Type a value for the line width of the selected segment class. Line width 0 means: a width of 1 pixel on the screen, and a width of 1 dot on a printer, i.e. as fine as possible (hair line). Values larger than 0 are in mm.

When a support line is specified, this option refers to the line width of the support line; the selected line type will be drawn as fine as possible.

Block distance (mm):

For line type Blocked: type a value for the distance between the blocks (mm).

For line type Symbol: Click the Symbol button to select a symbol, a symbol size, and a rotation. You can use simple symbols or a symbol from any installed symbol font. The Line Symbols dialog box will appear.

Symbol distance (mm):

For line type Symbol: specify a value for the distance between the symbols.

Examples:

Color Red; Line type Single; No Support line; Line width 0.0

Color Red; Line type Single; No Support line; Line width 1.0

Color Red; Line type Double; No Support line; Background color White; Line width 0.5

Color Red; Line type Triple; No Support line; Background color Yellow; Line width 1.5

Color Black; Line type Dot; No Support line

Color Black; Line type Dash Dot; Support line; Background color Yellow; Line width 1.3

Color Black; Line type Blocked; Background color White; Line width 1.0; Block distance 5

Color Black; Line type Symbol; Symbol type Symbol; Size 15; Rotation 0; No Support line; Symbol distance 6

Color Red; Line type Symbol; Symbol type Simple; Symbol Circle; Symbol Size 4; Symbol Fill color Red; Symbol Line width 1; Support line; Background color Red; Line width 0.3; Symbol distance 5

Color Blue; Line type Symbol; Symbol type Windings; Size 20; Rotation 0; No Support line; Symbol distance 8

Tips:

  1. To edit colors of multiple classes, select multiple classes in the editor window (use the Shift and Ctrl keys), and choose Edit Multiple Items from the Edit menu.
  2. To apply the changes in the representation in a displayed map (with a domain to which this representation is linked), press the Redraw [image] button in the map window. In this way, you can work with the representation editor and a map window simultaneously.
  3. When using the double-click action to edit a representation, representation changes will be applied immediately in the map window. For more information, see Map window : advanced functionality.

See also:

Line symbols

Representation Class editor : Edit multiple items

Representation Class editor : functionality


Repr Class editor : Edit multiple items

Representation Class editor

Edit multiple items

 Edit menu

When editing the representation of a class domain in the representation class editor, assign a single color or assign a range of colors to multiple selected classes.

Assigning a range of colors can be used:

  • to obtain smooth color changes between multiple classes, for instance from yellow to red, through orange, or
  • to obtain similar colors for related classes in a domain, e.g. various forest types in similar shades of green, etc.

This dialog box appears when:

  • you selected multiple classes in the editor window (see the Multiple Selection information below), and
    • you choose Edit Multiple Items from the Edit menu, or
    • you press the Enter key on the keyboard.

For more information, refer to Representation Class editor : functionality.

Dialog box options:

Single color: | Select this option to assign the same color to all selected classes.
Color range: | Select this option to assign a range of colors to the selected classes. Specify the color for the first class in your selection in the From Color list box, and specify the color for the last class in your selection in the To Color list box. A straight line will be drawn between these two colors in the Red, Green, Blue color cube; and all other selected classes will obtain a color on this line according to the class order in the domain. To change the order of classes in the domain, see the Tips below.
From color: | Select a color for the first domain item in the selection. To define your own color, click the create button or double-click the Custom item at the bottom of the list; the Custom Colors dialog box will appear.
To color: | Select a color for the last domain item in the selection. To define your own color, click the create button or double-click the Custom item at the bottom of the list; the Custom Colors dialog box will appear.
Variation: | Select this check box when a random color variation should be used around the straight line between the specified From and To Color in the RGB color cube. Subsequently, specify a value between 1 and 255 for the maximum variation allowed.

Tips:

  1. Once you have assigned a range of colors to multiple domain items, you can refine the colors for individual items:
    • by selecting a single class in the editor window and use the Red, Green, Blue slide bars, or
    • by double-clicking a class in the editor window; the Edit Item (raster), Edit Item (polygon), Edit Item (segment) or Edit Item (point) dialog box will appear.
  2. To change the order of classes in the domain, choose the Domain command from the Edit menu. The Domain Class editor will be opened.
    In the Domain Class editor:
    • select Manual Ordering from the Edit menu; and
    • drag the listed domain items (i.e. your classes) in the domain to the desired positions.

    The position of the classes in the representation class editor will change accordingly.

  3. To apply the changes in the representation in a displayed map (with a domain to which this representation is linked), press the Redraw [image] button in the map window. In this way, you can work with the representation editor and a map window simultaneously.

Multiple Selection

To select two or more items in sequence:

  • click the first domain item you want to select,
  • keep the left mouse button down, and
  • move the mouse pointer to the last domain item you want to select,
  • then release the left mouse button;

or

  • click the first domain item you want to select,
  • press and hold down the Shift key while you click the last domain item in the group.

To select two or more items out of sequence:

  • press and hold down the Ctrl key while you click each domain item.

To cancel a selected item:

  • press and hold down the Ctrl key while you click a selected domain item.

See also:

Representation Class editor : functionality


Symbols on segments or lines

Line Symbols

Represent a segment or a line by equally spaced symbols; a symbol can be selected from any installed symbol font.

This option can be used to represent segments or lines in annotation elements by equally spaced symbols 'over' the segments or the lines (see examples below).

  • When you use this option for segments classes (representation class), you can specify symbol type, symbol, symbol size and rotation for each class of segments.
  • When you use this option for annotation elements, you can specify symbol type, symbol, symbol size and rotation for the whole line in the annotation element.

This dialog box appears:

  1. In the representation class editor, when you edit the segment form of a representation class:
    • in the Edit Item (segment) dialog box, choose Line Type Symbol, and click the Symbol button;
  2. In the layout editor, when you insert or edit a box in a layout:
    • in the Insert/Edit Box dialog box, choose Line Type Symbol, and click the Symbol button.
  3. In the layout editor, when you insert or edit a map outline for a map view in a layout:
    • in the Insert/Edit Map Border sheet, click the Outline tab,
    • choose Line Type Symbol, and click the Symbol button.

Dialog box options:

Symbol type:

Select Simple symbols or any installed True Type symbol font; open the list box by clicking it. Windows symbol fonts are for example Symbol, Wingdings, etc. You can also select an installed Corel Draw symbol font, see also the Tip below.

In case of symbol type Simple:

Symbol: | Select a symbol type from the list box: circle, square, diamond, delta up, delta down, plus, minus, or cross.
Size: | Specify a value for the symbol size. Symbol size is expressed in points (1/72 inch), i.e. as choosing a font size in word processing packages.
Fill color: | For symbols circle, square, diamond, delta up, delta down: select a color to fill the symbols with; open the list box by clicking it. To create your own color, select 'Custom' at the bottom of the drop-down list. To obtain symbols which are not filled, select 'Transparent' at the top of the drop-down list.
Line width: | Specify a value for the line width with which the selected symbols should be drawn. Line width values are expressed in screen pixels (for on the screen) and in dots (for on the printer).

In case of a Windows symbol font:

Symbol box: | Select a symbol from the symbol box by clicking it.
Size: | Specify a value for the symbol size. Symbol size is expressed in points, i.e. as choosing a font size in word processing packages.
Rotation: | Type a value for the rotation of the symbols. Rotation is expressed in degrees (anti-clock wise).

When finished, one of the following dialog boxes will become activate again:

  • the Representation Class editor : Edit Item (segment) dialog box,
  • the Insert/Edit Box dialog box, or
  • the Insert/Edit Map Border sheet, Outline tab.

In these dialog boxes, you can specify the color with which the symbol should be drawn, you can choose to obtain an optional support line, and you can specify the distance between the symbols.

Examples:

Color Black; Line type Symbol; Symbol type Symbol; Size 15; Rotation 0; No Support line; Symbol distance 6

Color Red; Line type Symbol; Symbol type Simple; Symbol Circle; Symbol Size 4; Symbol Fill color Red; Symbol Line width 1; Support line; Background color Red; Line width 0.3; Symbol distance 5

Color Blue; Line type Symbol; Symbol type Windings; Size 20; Rotation 0; No Support line; Symbol distance 8

Tips:

To use for instance a Corel Draw symbol font, first make sure that the font is registered by Windows:

  • In the Windows Settings, choose Control Panel, and choose Fonts. A list of installed fonts will appear.
  • When the desired symbol fonts are not yet in this list, choose File, Install New Font. The Add Font dialog box will appear.
  • Specify the Corel Draw/Symbols directory, select the fonts you want to use and click OK.

Now that the symbol fonts are registered by Windows, you can use them in ILWIS as well.

See also:

Representation Class editor : functionality

Layout editor : functionality


Repr Value/Gradual editor : Edit limit

Representation Value/Gradual editor

Edit Limit

 Edit menu

Edit the value of a selected limit (or break point) and/or the color of this selected limit (or break point) in this representation value or representation gradual.

  • When you are editing a representation value (i.e. the representation is linked to any value domain except system domain Value), the editor works in values.
  • When you are editing a representation gradual (i.e. the representation is linked to system domain Value), the editor works in percentages.

This dialog box appears:

  • when you double-click a value or percentage limit in the representation window, or
  • when you select a value or percentage limit in the representation window with the mouse pointer and select Edit Limit from the Edit menu, or
  • when you select a value or percentage limit in the representation window by using the Arrow Up and Arrow Down keys on the keyboard, and then press Enter.

Dialog box options:

Value: | For a representation value, type another value between the minimum and maximum value of this domain. For a representation gradual, type another value between 0 and 100%.
Color: | Select another color for this limit (break point); open the list box by clicking it. To create a custom color, you can click the create button or click the 'Custom' item at the bottom of the color list.

The color bar at the bottom of the representation editor shows the colors of the entire representation.

Tip 1:

For the colors in between two limits (or break points), there are three possiblities:

  • values in between two limits are stretched between the colors of the upper and lower limit (Stretch), or
  • values in between two limits get the same color as the upper limit (Upper), or
  • values in between two limits get the same color as the lower limit (Lower).

To edit the colors of values in between two limits:

  • double-click on the words Stretch, Upper, Lower that appear in between two limits in the representation editor window, or.
  • select one of the words Stretch, Upper, Lower as they appear in between two limits in the representation editor window and press the Enter key.

When the color method in between limits was Stretch, then Upper is assigned;

when it was Upper, then Lower is assigned;

when it was Lower, then Stretch is assigned. This is a cyclic choice.

To change the number of colors used for values in between two limits in case of Stretch, choose the Color Steps command from the Edit menu.

Tip 2:

To interactively edit the colors of a value map,

  1. Display the value map in a map window,
  2. Open the map's representation by selecting Representation from the Edit menu in the map window,
  3. In the Representation Value/Gradual editor, edit colors, insert limits, etc.
  4. Keep the editor open and switch to the map window,
  5. Click the Redraw button [image] in the map window to apply the changes.
  6. Switch to the Representation editor to continue to insert limits and changing colors and switch to the map window and click the Redraw button to apply the changes.

When you displayed a value map in the map window and you selected a system representation, like Gray, Pseudo, etc., you cannot edit the representation. Instead, in the map's Display Options dialog box, click the create button [image] next to the Representation list box to create a new representation. After the Representation editor has opened, you can interactively edit the new representation of the map.

See also:

Representation Value/Gradual editor

ILWIS objects : representations


Repr Value/Gradual editor : Insert limit

Representation Value/Gradual editor

Insert Limit

 Edit menu

Insert a limit (or break point) in this representation value or representation gradual. Type a value or percentage value for a new limit (or break point) and select a color for this limit.

  • When you are editing a representation value (i.e. the representation is linked to any value domain except system domain Value), the editor works in values.
  • When you are editing a representation gradual (i.e. the representation is linked to system domain Value), the editor works in percentages.

This dialog box appears when in the Representation Value/Gradual editor:

  • you select the Insert Limit command from the Edit menu, or
  • you press Ins on the keyboard.

Dialog box options:

Value: | For a representation value, type a value between the maximum and maximum value of this domain. For a representation gradual, type a value between 0 and 100%.
Color: | Select a color for this limit (break point); open the list box by clicking it. To create a custom color, you can click the create button or click the 'Custom' item at the bottom of the color list.

The color bar at the bottom of the representation editor shows the colors of the entire representation.

Tips:

To interactively edit the colors of a value map,

  1. Display the value map in a map window;
  2. Open the map's representation by selecting Representation from the Edit menu in the map window;
  3. In the Representation Value/Gradual editor, edit colors, insert limits, etc.;
  4. Keep the editor open and switch to the map window;
  5. Click the Redraw button [image] in the map window to apply the changes;
  6. Switch to the Representation editor to continue to insert limits and changing colors and switch to the map window and click the Redraw button to apply the changes, until satisfied.

When you displayed a value map in the map window and you selected a system representation, like Gray, Pseudo, etc., you cannot edit the representation. Instead, in the map's Display Options dialog box, click the create button [image] next to the Representation list box to create a new representation. After the Representation editor has opened, you can interactively edit the new representation of the map.

See also:

Representation Value/Gradual editor

ILWIS objects : representations


Repr Value/Gradual editor : Stretch steps

Representation Value/Gradual editor

Stretch Steps

 Edit menu

Type a value for the number of colors that should be used for values or percentages in between two limits.

When you use stretch for the values or percentages in between two limits, the values or percentages in between these two limits are shown with a number of gradual colors that range from the color of the lower limit to the color of the upper limit.

Dialog box options:

Stretch steps:

Type a value for the number of colors that should be used for values/percentages in between two limits in case of stretching.
When you select a large value, the more gradual colors will change from one limit into the other. The maximum number of colors between to limits is 30.
When you type a small value, you can simulate a kind of 'classification'.

The color step value applies for all values in between limits that are stretched.

The color bar at the bottom of the representation editor shows the colors of the entire representation.

Additional information:

For the colors in between two limits (or break points), there are three possiblities:

  • values in between two limits are stretched between the colors of the upper and lower limit (Stretch), or
  • values in between two limits get the same color as the upper limit (Upper), or
  • values in between two limits get the same color as the lower limit (Lower).

To edit the colors of values in between two limits:

  • double-click on the words Stretch, Upper, Lower that appear in between two limits in the representation editor window, or.
  • select one of the words Stretch, Upper, Lower as they appear in between two limits in the representation editor window and press the Enter key.

When the color method in between limits was Stretch, then Upper is assigned;

when it was Upper, then Lower is assigned;

when it was Lower, then Stretch is assigned. This is a cyclic choice.

Hardware limitation:

Mind that in total only 256 colors are available. It is therefore advised not to use a large value for the color steps, especially when you use many stretch ranges.

See also:

Representation Value/Gradual editor


Sample set editor : Delete class

Sample set editor

 Edit menu

Delete Class

Delete a class of training pixels from the sample set.

Dialog box options:

Class:

Select a class of training pixels that you want to remove from the sample set.

All training pixels of the selected class are removed from the sample set, but the class name remains available in the domain.

See also:

Sample set editor : functionality (2)


Sample set editor : Edit selection

Sample set editor

 Edit menu

Edit ...

Assign a class name to the current selection of pixels; these pixels in the map list will become training pixels. Or edit the class name of the current selection of existing training pixels. The process of assigning class names to training pixels is called sampling.

In the sample set editor, you can assign class names to pixels:

  • by selecting one or more pixels, then
    • choose Edit from the Edit menu, or
    • choose Edit from the context-sensitive menu, or
    • press Enter on the keyboard, or
    • double-click the selection while holding the Ctrl key on the keyboard,

or

  • by double-clicking a single pixel.

Dialog box:

New value:

Select an existing class name that you want to assign to the selected pixel(s). Or assign a new class name to this selection by selecting <new> from the list; subsequently enter a new class name, (optional) code and color. The new class name will be added to the domain as used by the sample map of this sample set.

This dialog box only appears when you selected multiple pixels. When you selected a single pixel to edit, you can directly choose a class name in a little edit box.

To select pixels:

  • To select a single pixel: click a pixel.
  • To select multiple pixels: drag a box around the pixels you want to select. You can also use the Ctrl key to add more pixels to a selection.
  • To clear a selection: click a selected pixel again, or use the Shift key or a combination of the Shift and Ctrl keys.

For more information, see Sample set editor : functionality (1).

Tips:

  • When you make a selection, the lower half of the Sample Statistics window under the heading Current Selection displays the mean, standard deviation, number of pixels with predominant value, predominant value of the currently selected pixels for all maps in the map list, and the total number of currently selected pixels.
    You can compare the values of the current selection with the values of existing classes of training pixels as listed in the upper half of the Sample Statistics window.
  • The width of class names as shown in the Edit dialog box, depends on the width of the domain. You can change the width of a domain by editing the properties of the domain.

See also:

Sample set editor : functionality (1)


Sample set editor : Feature space

Sample set editor

 Edit menu

Feature Space

Show a feature space of two bands. A feature space gives a visual overview of the separation of classes of training pixels. The spectral values of one map are put along an horizontal axis, and the spectral values of another map are put along the vertical axis. At the position of a sampled pixel, the color of the assigned class appears.

You can open as many feature spaces as you like, but as each of them is updated after a new selection of training pixels, speed may decrease. Currently selected pixels appear black in a feature space. Feature spaces can be shown with or without additional grid lines, can be copied to clipboard and printed.

Dialog box options:

Band 1: | Select the map to be used for the horizontal axis of the feature space.
Band 2: | Select the map to be used for the vertical axis of the feature space.

The feature space appears in a separate window; you can size the window by dragging its borders.

Example:

Feature space of bands TMB3 and TMB4:

See also:

Sample set editor : functionality (1)


Sample set editor : Merge classes

Sample set editor

 Edit menu

Merge Classes

Merge one class of training pixels in the sample set into another class.

When you find that the spectral values of two classes of training pixels are very similar to each other, you may decide to merge these classes into one class. This decision can be based on similar statistics of these classes in the sample statistics and/or overlapping classes in feature spaces.

Dialog box options:

Merge Class: | Select a class of training pixels that you want to merge into another class (i.e. specify the old class name).
Into Class: | Select the class into which the other class should be merged (i.e. specify the new class name).

See also:

Sample set editor : functionality (2)


Script editor : Run script

Script editor

Run Script

 Edit menu

Run or test a script.

The Run Script dialog box only appears if your script contains parameters for which a user still needs to select input objects or for which a user still needs to specify an output file name etc.

If your script does not contain any parameters, or if all parameters were already specified (i.e. on command line), this dialog box will be skipped and your script will immediately be executed.

Dialog box options:

In the Run Script dialog box, all parameter names are listed as specified on the Parameters tab of the script editor.

Furthermore, default objects may be shown as specified on the Defaults Values tab of the script editor:

  • If default objects or file names were not specified on the Defaults Values tab, you will need to select objects for input parameters and/or names for output parameters in this Run Script dialog box.
  • If you selected objects on the Default Values tab, the Run Script dialog box will show these defaults.

When the OK button is clicked and when all parameters are correctly specified, the script will be executed.

Tips:

  • For an example of how a Run Script dialog box may look like, see How to use parameters in scripts.
  • For more information about running scripts, e.g. running a script from the command line, see How to run scripts.

Creating your own Help for a script

When you have created a script and when you click the Help button in the Run Script dialog box for the first time, an HTML page is automatically generated listing all parameter names of the script and a minimal explanation. This HTML file is stored with the same name and in the same directory as the script. You are free to adapt the auto-generated HTML file according to your wishes. You can for instance give a better introduction of the working of the script, explain input and possible output parameters more in depth, etc. When you save the edited HTML file with the same name and the same location as the script, your own 'Help' will appear whenever the Run Script Help button is clicked again.

The auto-generated HTML file lists:

  • the script description for the first paragraph of text
  • parameter names as specified before on the Parameters tab
  • optional default objects as specified on the Default Values tab.

The HTML file uses the same stylesheet (.css file) as the ILWIS Help.

Note:

When you copy a script to another directory, please copy your script's .htm file and the ilwis.css file yourself.

See also:

Script editor : functionality

How to use parameters in scripts


Annotation Text editor Change popup

Change

For all text items in the current selection, change only one setting: either the font, font size, appearance (bold, italic, underline), color, justification, transparency or the rotation.

When you select to change the font, font size, color, justification, or rotation, a small dialog box will follow in which you can specify the desired setting.

The options bold, italic, underline, and transparency are toggles (on/off).


Annotation Text editor Copy popup

Copy

Copies the selected text item(s) to the clipboard. To copy a selection, you can also press the Ctrl+C key. You can use Windows' Clipboard Viewer to inspect the contents of the clipboard.


Annotation Text editor Cut popup

Cut

Copies the selected text item(s) as multiple lines to the clipboard, and deletes them from the current annotation text object. To cut a selection, you can also press the Ctrl+X key. You can use Windows' Clipboard Viewer to inspect the contents of the clipboard.


Annotation Text editor Delete popup

Delete

Deletes the currently selected text item(s) from the annotation text object. To delete a selection, you can also press the Del key.


Annotation Text editor Paste popup

Paste

Pastes the first line of text in the clipboard into the current annotation text object. You can use Windows' Clipboard Viewer to inspect the contents of the clipboard.

To paste the contents of the clipboard at a specific location in your window:

  • position the mouse pointer where you want the text to appear, and
  • press Ctrl+V on the keyboard.


Annotation Text editor select all popup

Select All

Selects all text items in the Annotation Text object. When you subsequently select the Edit command from the Edit menu or from the context-sensitive menu, you can make changes (font, font size, color, etc.) to all text items in the Annotation Text object.

To clear the whole selection, press Esc on the keyboard. To exclude some text items from the selection, press and hold the Shift key down and click the text items which you want to exclude.


Coordsys_tiepoint_editor_copy_popup

Copy Tiepoints to clipboard

Copies selected tiepoints from the secondary window to the clipboard, similarly as in a table window. For more information, see Copy table selection to clipboard.


coordsys_tiepoint_editor_delete_popup

Delete

Deletes selected tiepoints in the secondary window from that window, similarly as in a table window. For more information, see Delete a selection from a table.


coordsys_tiepoint_editor_paste_popup

Paste

Pastes tiepoints, that were previously copied into the clipboard, from the clipboard into the secondary window, similarly as in a table window. For more information see Paste table data into a table window.


domain class/id editor copy popup

Copy

Copy the names, codes, and descriptions of one or more selected domain items to the clipboard.

In case of a group domain, also upper boundary values are copied.

You can also use the Ctrl+C keys on the keyboard.


domain class/id editor delete item popup

Delete Item

Delete one or more selected items from this domain. You can also use the Del key on the keyboard.

Deleting items from a domain should be done with care. When the domain and the deleted class, ID or group was used:

  • in map, the undefined value will appear;
  • as a table domain, the record will not be shown any more;
  • as field in a column of a table, the undefined value will appear.


domain class/id editor description bar popup

Description bar

Select this menu command to show the description bar in this domain Class/ID editor window; a [image] check mark appears in front of the menu command. Deselect this menu command to hide the description bar.

You can move the description bar and dock it along an edge of the window; you can also make the description bar floating.

Settings are stored in the registry.


domain class/id editor manual ordering popup

Manual ordering

Allows you to order the domain items manually; an [image] option bullet appears in front of this menu command. Subsequently, select a domain item in the domain Class/ID editor and drag it to a new position in the list and continue to do so until satisfied.

The sorting order of the classes or IDs in a domain determines the order of these items in a legend in a map window, the order of classes in a representation class, and the order of records in an attribute table.


domain class/id editor paste popup

Paste

Paste the contents of the clipboard into this domain.

You can also use the Ctrl+V keys on the keyboard.

For class and ID domains, the expected format is: Name<TAB>Code<TAB>Description<CR><LF>

For group domains, the expected format is: Name<TAB>Code<TAB>Description<TAB>UpperBoundaryValue<CR><LF>


domain class/id editor print popup

Print

Print the domain or print a selection of the domain.


domain class/id editor Representation popup

Open Representation

When editing a class domain or a group domain, open the Representation Class editor with the class representation that is currently linked to this domain. In the Representation Class editor, you can edit the representation (colors etc.) of each class or group in this domain.

As ID domains do not have a representation, this option is grayed out when editing an ID domain.


domain class/id editor save copy as popup

Save Copy As ...

Make a copy of this domain and save it with a different name. When you use this command for a class or group domain, also the representation linked to this domain is copied.


domain class/id editor select all popup

Select All

Select all items in this domain. Subsequently, you can use for instance the Copy command to copy all domain items to the clipboard.

To clear a selection, press Esc on the keyboard.


domain class/id editor sort by code popup

Sort by Code

Sort the items in this class or ID domain alphabetically by Code; an [image] option bullet appears in front of this menu command.

The sorting order of the classes or IDs in a domain determines the order of these items in a legend in a map window, the order of classes in a representation class, and the order of records in an attribute table.


domain class/id editor sort by name popup

Sort by Name

Sort the items in this class or ID domain alphabetically by Name; an [image] option bullet appears in front of this menu command.

The sorting order of the classes or IDs in a domain determines the order of these items in a legend in a map window, the order of classes in a representation class, the order of records in an attribute table, and the order in lists from which you can choose a class name or ID, for instance when editing units in a map editor and when editing fields of class columns in a table.


domain class/id editor status bar popup

Status bar

Select this menu command to show the status bar at the bottom of this domain Class/ID editor window; a [image] check mark appears in front of this menu command. Deselect this menu command to hide the status bar.

Settings are stored in the registry.


domain class/id editor toolbar popup

Toolbar

Show or hide the toolbar of the domain Class/ID editor. The toolbar is shown when a [image] check mark appears in front of the menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


exit_annotation_text_editor_popup

Exit Editor

Closes the Annotation Text editor. A display options dialog box will appear which asks you to display the annotation text in the map window or not. The editor window will change to a map window.


exit_coordsys_tiepoints_editor_popup

Exit Editor

Closes the Tiepoint editor. All changes that were made in the coordinate system tiepoints are automatically and continuously stored.


Exit_domain_Class_ID_editor_popup

Exit

Closes the domain Class/ID/Group editor. All changes are already stored, namely while editing the domain.


exit_georef_tiepoints_editor editor_popup

Exit Editor

Closes the Tiepoint editor. All changes that were made in the georeference tiepoints, the georeference direct linear, or the georeference orthophoto are automatically and continuously stored.


exit_georeference3D_editor_popup

Exit Editor

Closes the georeference 3D editor. All changes that were made in the georeference 3D displayed in the georeference 3D editor are automatically stored.


exit_graphwindow_popup

Exit

Closes this graph window.

If the graph has changed, a question will be asked whether the graph should be saved before you close it.


exit_ilwis_popup

Exit ILWIS

Leave ILWIS and close all ILWIS windows; running operations will be aborted.


exit_annotation_editor_popup

Exit Editor

Close the Layout editor. If the layout has been changed, a question will be asked whether the layout should be saved or not.

Mind: You have to save any changed map views yourself before closing the layout!

To save a changed map view:

  • select a map view in the layout editor, and
  • click the selected map view with the right mouse button and choose Save View or Save View As from the context-sensitive menu, or
  • click the Save button [image] in the standard toolbar of the layout editor.


exit_mapwindow_popup

Exit

Closes this map window.


exit pixel editor popup

Exit Editor

Closes the pixel editor; all changes you made are automatically stored.

The editor will be closed but the map(s) remain displayed in a map window.

You can also use the Exit Editor button [image] in the toolbar of the pixel editor.


exit_pixel_info_popup

Exit

Closes the pixel information window.


exit point editor popup

Exit Editor

Close the point editor; all changes you made are automatically stored.

The editor will be closed but the map(s) remain displayed in a map window.

You can also use the Exit Editor button [image] in the toolbar of the point editor.


exit polygon editor popup

Exit Editor

Close the polygon editor; all changes you made are automatically stored.

The editor will be closed but the map(s) remain displayed in a map window.

You can also use the Exit Editor button [image] in the toolbar of the polygon editor.


Exit_representation_class_editor_popup

Exit

Closes the Representation Class editor. All changes that were made in the representation displayed in the editor are automatically stored.


exit_representation_value_gradual_editor_popup

Exit

Closes the Representation Value/Gradual editor. All changes that were made in the representation displayed in the editor are automatically stored.


exit_sample_editor_popup

Exit Editor

Closes the sample set editor. All changes that were made in the sample set in the sample set editor are automatically stored.


exit segment editor popup

Exit Editor

Close the segment editor; all changes you made are automatically stored.

The editor will be closed but the map(s) remain displayed in a map window.

You can also use the Exit Editor button [image] in the toolbar of the segment editor.


exit_tablewindow_popup

Exit

Close this table window.

As changes are immediately stored during editing, all changes are already stored.


Function editor copy popup

Copy

Copy the current selection to the clipboard. You can also use the Ctrl+C keys on the keyboard.


Function editor cut popup

Cut

Copy the current selection to the clipboard and delete the selection from the function. You can also use the Ctrl+X keys on the keyboard.


Function editor toolbar popup

Description bar

Select this menu command to show the description bar in this function editor window; a [image] check mark appears in front of the menu command. Deselect this menu command to hide the description bar.

You can move the description bar and dock it along an edge of the window; you can also make the description bar floating. Settings are stored in the registry.


Function editor exit popup

Exit

Closes the function editor. If the function contains any unsaved changes, you will be prompted to save the function before the editor is closed. You can also use the Alt+F4 keys on the keyboard.


Function editor find popup

Find

Search for certain characters or text. You can also use the Ctrl+F keys on the keyboard.


Function editor open popup

Open

Open another user-defined function.


Function editor paste popup

Paste

Paste the contents of the clipboard into this function. You can also use the Ctrl+V keys on the keyboard.


Function editor print popup

Print

Print the user-defined function or print a selection of the function. You can also use the Ctrl+P keys on the keyboard.


Function editor replace popup

Replace

Search for certain characters or text and replace these with other characters or text. You can also use the Ctrl+H keys on the keyboard.


Function editor save as popup

Save As ...

Save the user-defined function with a different name and/or location.


Function editor save popup

Save

Save the user-defined function with its current file name and location. You can also use the Ctrl+S keys on the keyboard.


Function editor select all popup

Select All

Select the whole function in the function editor. Subsequently, you can for instance copy the selection to the clipboard. You can also use the Ctrl+A keys on the keyboard.


Function editor status bar popup

Status bar

Select this menu command to show the status bar at the bottom of this function editor window; a [image] check mark appears in front of this menu command. Deselect this menu command to hide the status bar.

Settings are stored in the registry.


Function editor tool bar popup

Toolbar

Show or hide the toolbar of function editor. The toolbar is shown when a [image] check mark appears in front of the menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Function editor undo popup

Undo

Reverse the last action. Regards typing, cut, paste and delete.

Using Undo more than once makes makes the previous Undo undone.


georef3D_editor_distance_popup

Distance

The Distance is the distance between the observer and the view point.

  • When a large distance is specified, you get a general overview of the observed 3D view.
  • To observe the 3D view in detail, you should decrease the distance.


georef3D editor horizontal rotation popup

Horizontal Rotation

The Horizontal Rotation is an angle in degrees to rotate the 3D view anti-clock wise from the south-north direction.

  • When 0° is specified, the 3D view is orientated south-north. The observer is located to the south of the DEM.
  • When 90° is specified, the 3D view is oriented west-east. The observer is located to the west of the DEM.
  • When -90° is specified, the 3D view is oriented east-west. The observer is located to the east of the DEM.


georef3D_editor_location_height_popup

Location Height

The Location Height is the altitude of the observer.


georef3D_editor_location_point_popup

Location Point

The Location Point is the location of the observer in XY-coordinates.


georef3D_editor_scale_height_popup

Scale Height

The Scale Height defines how much the altitude (Z) should be exaggerated compared to the XY-scale.

  • A scale height of 1 means no height exaggeration.
  • A scale height > 1 means that vertical exaggeration is increased.

Note that when you increase the scale height, more parts of your study may fall behind exaggerated parts and can thus no longer be seen.


georef3D_editor_vertical_rotation_popup

Vertical Rotation

The Vertical Rotation is an angle in degrees away from a vertical through the terrain.

  • When 0° is specified, the line of sight is perpendicular to the 3D view; the observer is located high in the sky and looks straight down on the 3D view.
  • When 90° is specified, the line of sight is parallel to the 3D view; the oberver is located on the same height as the view point and sees the 3D view in front of him.


georef3D_editor_view_angle_popup

View Angle

The View Angle is an angle in degrees which defines the aperture of your view, i.e. how much you can see of your 3D model.

  • When the view angle is small, only a small area of the total 3D view is observed, with the view point as the middle of the observed area.
  • The larger the angle, the larger the area that is observed.
  • A maximum of 180° is allowed.


georef3D_editor_view_point_popup

View Point

The View Point is the XY-location you want to look at. The Z-coordinate of this point is defined by the DEM. The view point will be drawn in the center of the map window.


Georeference_tiepoints_editor_edit_copy_popup

Copy Tiepoints to clipboard

Copies selected tiepoints from the secondary window to the clipboard, similarly as in a table window. For more information, see Copy table selection to clipboard.


Georeference_tiepoints_editor_edit_delete_popup

Delete

Deletes selected tiepoints in the secondary window from that window, similarly as in a table window. For more information, see Delete a selection from a table.


georeference tiepoints editor edit fiducial marks popup

Fiducial Marks

When editing a georeference orthophoto, edit the fiducial marks of the scanned photograph. The Locate Fiducial Marks dialog box will appear.


Georeference tiepoints editor : Paste

Paste

Pastes tiepoints, that were previously copied into the clipboard, from the clipboard into the tiepoint table. Pasting into the tiepoint table is similar to pasting into fields in a table window.

For more information, refer to How to paste coordinates into a georeference tiepoints or Table window : Paste.


layout editor edit item popup

Edit item

Edit the selected item in the layout editor.

  • When you select a map view, you can add or remove layers to the map view or change display options of layers in the map view. Click the Redraw button [image] to apply any changes.
  • When you select an annotation element, an Edit dialog box or a Display Options dialog box will appear.

You can also double-click an item in your layout to edit it.


layout editor entire map popup

Entire map

Display the entire map view in the area currently available for the map view in the layout editor.

This command can be used when you accidentally reduced the size map view while the scale was already fixed for this map view.

After using this command, you can resize your map view by:

  • making the Keep Scale button appear up, and
  • dragging the size handles of the map view.


layout editor entire page popup

Entire page

Fit the entire page of this layout in the layout editor window.

Choosing the Entire Page command from the menu is the same as clicking the Entire Page button [image] in the standard toolbar.


layout editor new layout popup

New Layout

Prompts to save any changes in the current layout and then opens a new layout in the layout editor.

The new layout will use the same paper size and orientation as the previous layout. You can start to insert map views and annotation.


map window normal popup

Normal

Return to Normal pointing mode after you used Zoom In, Zoom Out or Pan. The mouse pointer will change back into a normal pointer.

When the layout editor window is in Normal pointing mode, the Normal command is preceded by an option bullet [image].

Choosing the Normal command from the menu is the same as clicking the Normal button [image] in the standard toolbar. You can also return to Normal pointing mode by pressing the Esc key or the Ctrl+N keys on the keyboard.


layout editor page border popup

Page border

Display page border lines along the margins of this layout.

  • When the Page Border command is selected and marked with a [image] check mark, the page borders will be drawn as a black line on the layout, and the page border will also be printed (without further options).
  • When the Page Border command is cleared, the page borders will be drawn in gray in your layout for orientation purposes; the page border will then not be printed.

Tips:

  • To set the paper margins, refer to Page Setup.
  • To obtain borders around a map view, select a map view in your layout and use the Map Border button [image] or the Map Border command on the Insert menu; use the Neatline tab or the Outline tab.
  • To obtain a sizeable box around text or around a legend in a layout, select a map view in your layout, and use the Box button [image] or the Box command on the Insert menu.


layout editor pan popup

Pan

Allows you to roam through the entire page of the layout, when you zoomed in on the layout. The mouse pointer will change into a hand.

When the layout editor is in Pan mode, the Pan command is preceded by an option bullet [image].

Choosing the Pan command from the menu is the same as clicking the Pan button [image] in the standard toolbar of the layout editor.

Tip:

To Pan within a selected map view on which you zoomed in, choose Pan from the context-sensitive menu.


layout editor redraw popup

Redraw

Redraw the entire layout or redraw the currently selected map view in this layout.

You must use this command when you added or removed layers to or from a map view in this layout, or when you changed display options of layers in a map view in this layout.

You can also redraw the layout by clicking the Redraw button [image] in the standard toolbar or by pressing Ctrl+R on the keyboard.


layout editor zoom in popup

Zoom in

Zoom in on a part of this layout.

The mouse pointer changes into a magnifying glass with a large plus inside, then:

  • click somewhere in the layout, to zoom in on a certain position with a factor 2, or
  • drag a rectangle with the mouse pointer from one point of interest to another, to zoom in on the area of interest (any zoom factor).

When the layout editor window is in Zoom In mode, the Zoom In command is preceded by an option bullet [image].

Choosing the Zoom In command from the menu is the same as clicking the Zoom In button [image] in the standard toolbar. You can also go to Zoom In mode by pressing the Ctrl+I keys on the keyboard.

See also:

Map window : zoom in


layout editor zoomout popup

Zoom Out

Allows you to zoom out from a layout.

The mouse pointer changes to a 'magnifying' glass with a large minus inside, then:

  • click somewhere in your layout to zoom out with a factor 2, or
  • draw a rectangle in the layout: the smaller the rectangle, the more you will zoom out.

Choosing the Zoom Out menu command is the same as pressing the Zoom Out button [image] in the standard toolbar. You can also zoom out by pressing the Ctrl+O keys on the keyboard.


arrange catalogs popup

Arrange Catalogs

Organize all Catalogs, map lists and object collections that are open in the Main window.

  • Cascade: Arrange Catalogs so that all title bars appear; contents of Catalogs are overlapping.
  • Tile Horizontally: Arrange Catalogs so that they appear one below the other; the whole Catalog area in the Main window will be used.
  • Tile Vertically: Arrange Catalogs so that they appear one next to the other; the whole Catalog area in the Main window will be used.


close all catalogs popup

Close All Catalogs

Close all Catalogs, map lists and object collections that are available in the Main window.


main window copy popup

Copy

Copy the objects that are currently selected in the active Catalog to the clipboard. After you copied objects to the clipboard, you can use the Paste command to paste these objects into another Catalog (directory), map list or object collection, or into a map window.

To copy objects to the clipboard, you can also use the Ctrl+C keys on the keyboard. To copy a selected object to another directory, you can also use the Copy Object To command on the Edit menu.

For more information on copying objects, see also How to copy objects.


data windows close minimize restore all popup

Close, Minimize or Restore All Data windows

ILWIS data windows are all ILWIS windows outside the Main window, e.g. map windows, table windows, pixel info windows, domain editors, representation editors, script editors, etc.

  • Close All: Close all ILWIS data windows.
  • Minimize All: Reduce all open ILWIS data windows to icons on the Windows taskbar.
  • Restore All: Restore all ILWIS data windows to their former size after you have minimized them.


main window delete popup

Delete

Delete the object(s) that are currently selected in the active Catalog.

For more information on deleting objects, see also How to delete objects.


main window paste popup

Paste

Paste the contents of the clipboard into the active Catalog (directory), map list or object collection.

This command can be used when you first copied one or more objects to clipboard with the Copy command, e.g. from another directory.

To paste objects, you can also use the Ctrl+V keys on the keyboard.


Refresh

Update the list of objects in all Catalogs, map lists and object collections that are open in the Main window.

Furthermore, update the History of the Navigator and all drives and directories shown in the Navigator.


main window select all popup

Select All

Select all objects in the active Catalog, or in the opened and active map list or object collection.


main window switch to catalog popup

Switch to a certain Catalog, object collection or map list

Bring a selected Catalog, map list or object collection which you opened before in the Main window to the foreground.

When you select a window which is minimized, that window is restored.

The currently active Catalog, map list or object collection is preceded by a check mark [image].


map window entire map

Entire map

Display the entire map(s) in the map window.

You can also click the Entire Map button [image] in the toolbar of the map window or press the Ctrl+E keys on the keyboard.


map window normal popup

Normal

Leave the Measure Distance, Pan, Zoom In, or Zoom Out mode and return to Normal pointing mode. The mouse pointer will change back into a normal pointer.

When the map window is in Normal pointing mode, the Normal command is preceded by an option bullet [image].

Choosing the Normal command from the menu is the same as clicking the Normal button [image] in the toolbar of the map window. You can also return to Normal pointing mode by pressing the Esc key or the Ctrl+N keys on the keyboard.


map window pan popup

Pan

Go to Pan mode to be able to roam through the maps displayed in the map window when zoomed in. The mouse pointer will change into a hand.

When the map window is in Pan mode, the Pan command is preceded by an option bullet [image].

Choosing the Pan command from the menu is the same as clicking the Pan button [image] in the toolbar of the map window.


Paste objects into map window

When one or more objects were copied to clipboard in a Catalog (by selecting objects in a Catalog and using the Copy command), the copied objects will be pasted into the current map window.

By using Copy and Paste, you can add to a map window:

  • multiple point, segment and polygon maps;
  • (multiple) raster maps, or map lists (to be displayed as a color composite).

Before the map(s) or the map list are displayed in the map window, you may need to specify display options.

Tips:

  • In the Display Options dialog box of a layer, you can specify whether a layer has to be displayed with a certain degree of transparency. For more information, see How to add extra layers to a map window.
  • You can also drag and drop objects between a Catalog and a map window to add objects to the map window.
  • To paste from clipboard, you can also press Ctrl+V on the keyboard.
  • You can use Windows' Clipboard Viewer to inspect the current contents of the clipboard.


Show histogram in map window popup

Show Histogram

Show the histogram graph of the raster map or the map list which is displayed in the map window.

You can move the histogram graph and dock it along an edge of the window; you can also make the histogram graph floating. Settings are stored in the registry.


open pixel information in sample editor popup

Open Pixel Information

Opens the pixel information window. During sampling, you can already create some dependent output maps for the Classify operation using the current sample set as input. When creating the dependent output maps, do not mark the Show check box in the dialog boxes; just create the definition for the output maps.

When you add these dependent maps to the pixel info window, you can already see the results of the classifications while sampling.

For more information, see Pixel information window : functionality.


open pixel information popup

Open pixel information

Open a pixel information window. A pixel information window is used to interactively inspect values and meanings of one or more maps and their attribute information, and/or their coordinates.

For more information, see Pixel information window : functionality or How to use pixel information.


Options additional info pane table popup

Show/Hide Additional Info

Show or hide the additional info pane in a table window. The additional info pane is shown when a check mark [image] appears in front of this menu command.

The additional info pane is for instance useful when inspecting a histogram, or when a georeference is opened as a table. Additional Info is also accessible through in the properties sheet of a histogram, a georeference, etc.

Settings are not stored.


Options adjust window size popup

Adjust window size

Select this menu command if you want that the size of the map window is automatically adjusted to the size of the area you select with Zoom In. When this menu command is selected, a check mark [image] appears in front of the menu command.

Deselect this menu command to keep the size of the map window fixed.

Settings are stored in the registry.


Options command line main popup

Show/Hide Command Line

Show or hide the command line in the Main window. The command line is shown when a check mark [image] appears in front of this menu command.

You can move the command line and dock it along an edge of the window; you can also make the command line floating. Settings are stored in the registry.


Options command line table popup

Show/Hide Command line

Show or hide the command line of a table window. The command line is shown when a check mark [image] appears in front of this menu command.

The command line of a table window is used to perform calculations using one or more columns in the table.

Operations on columns like Aggregation, Join, or Least Squares Fit, can be found on the Columns menu.

You can move the command line and dock it along an edge of the window; you can also make the command line floating. Settings are not stored.

See also:

Table window : command line

Table calculation


Options Graph Management popup

Show/Hide Graph Management

Show or hide the Graph Management pane in a graph window. The Graph Management pane gives an overview of the axes settings and of the graph layers in your graph. The Graph Management pane is shown when a check mark [image] appears in front of this menu command.

You can move the Graph Management pane and dock it along an edge of the window; you can also make the Graph Management pane floating. Settings are not stored.


Options Layer Management window popup

Show/Hide Layer Management

Show or hide the Layer Management pane in a map window. The Layer Management pane gives an overview of the layers that were added to the map window. The Layer Management pane is shown when a check mark [image] appears in front of this menu command.

You can move the Layer Management pane and dock it along an edge of the window; you can also make the Layer Management pane floating. Settings are stored in the registry.


Options Layout Management layout editor popup

Show/Hide Layout Management

Show or hide the Layout Management pane in the layout editor. The Layout Management pane gives an overview of the map views and the annotation layers that were added to the layout. The Layout Management pane is shown when a check mark [image] appears in front of this menu command.

You can move the Layout Management pane and dock it along an edge of the window; you can also make the Layout Management pane floating. Settings are stored in the registry.


Options no zoom popup

No Zoom

Select this command to display each pixel of a raster map displayed in a map window as one pixel on the screen. The automatic fitting of an entire raster map in a map window is overruled.


Options operation-list navigator popup

Show/Hide Operation-tree, Operation-list, Navigator

Show or hide the Operation-tree, the Operation-list and the Navigator in the Main window. The Operation-tree, Operation-list and Navigator are shown when a check mark [image] appears in front of this menu command.

You can move the pane containing the Operation-tree, Operation-list and Navigator and make it for instance floating. Settings are stored in the registry.


Options Overview window popup

Show/Hide Overview Window

Show or hide the Overview window in a map window. The Overview window displays the entire area of the maps displayed in the window; it allows you to quickly zoom in on a certain area, and it helps to orient yourself on which part of the entire map is shown in the map window. The Overview window is shown when a check mark [image] appears in front of this menu command.

You can move the Overview window and dock it along an edge of the window; you can also make the Overview window floating. Settings are not stored.


Options pixel info always on top popup

Always on top

Select this menu command to have this pixel information window always appear on top of all other windows; a check mark [image] will appear in front of this menu command. Deselect this menu command when this pixel information window should behave like a normal window.

Settings are stored in the registry.


Options record view table window popup

Show/Hide Record View

Show or hide the Record View dockable window. When Record View is shown, a check mark [image] appears in front of this menu command.

Record View allows you to inspect and edit the values of a specific record in the table.

You can move the Record View window and dock it along an edge of the window; you can also make the Record View window floating. Settings are stored per table.


Options redraw map window popup

Redraw

Redraw the currently active map window.

You can also redraw the map window by clicking the Redraw button [image] in the toolbar or by pressing Ctrl+R on the keyboard.


Options scale control map window popup

Show/Hide Scale control

Show or hide the scale control in a map window. The scale control displays the approximate scale on which the maps in the map window are displayed. The scale control is shown when a check mark [image] appears in front of this menu command.

In a map window, you can move the scale control and dock it along an edge of the window; you can also make the scale control floating. Settings are stored in the registry.


Options statistics pane table window popup

Show/Hide Statistics pane

Show or hide the statistics pane in a table window. The statistics pane is shown when a check mark [image] appears in front of this menu command.

For Value columns in a table, the statistics pane lists the minimum value, the maximum value, the average, the standard deviation and the sum of the values in the column.

Settings are stored per table.


Options status bar table popup

Show/Hide Status bar

Show or hide the status bar of a graph window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are not stored.


Options status bar layout editor popup

Status bar

Show or hide the status bar of a layout editor window. The status bar is shown when a check mark [image] appears in front of this menu command.

The status bar of a layout editor lists amongst others the current paper size of the layout as specified in Page Setup.

Settings are stored in the registry.


Options status bar main popup

Show/Hide Status Bar

Show or hide the status bar at the bottom of the Main window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar map window popup

Status bar

Show or hide the status bar of a map window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar pixel editor popup

Status bar

Show or hide the status bar of the pixel editor. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar pixel info window popup

Status bar

Show or hide the status bar of the pixel information window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar point editor popup

Status bar

Show or hide the status bar of the point editor. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar polygon editor popup

Status bar

Show or hide the status bar of the polygon editor. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar segment editor popup

Status bar

Show or hide the status bar of the segment editor. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are stored in the registry.


Options status bar table popup

Show/Hide Status bar

Show or hide the status bar of a table window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are not stored.


Options toolbar table popup

Show/Hide Toolbar

Show or hide the toolbar in a graph window. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are not stored.


Options toolbar layout editor layout popup

Show/Hide Layout toolbar

Show or hide the Layout toolbar of the Layout editor. The toolbar is shown when a check mark [image] appears in front of the menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar objsel main popup

Show/Hide Object Selection toolbar

Show or hide the Object Selection toolbar of the Main window. The toolbar is shown when a check mark [image] appears in front of the menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar main popup

Show/Hide Standard toolbar

Show or hide the Standard toolbar of the Main window. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar map window popup

Toolbar

Show or hide the toolbar in a map window. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar pixel editor popup

Toolbar

Show or hide the toolbar in a pixel editor. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar point editor popup

Toolbar

Show or hide the toolbar in a point editor. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar polygon editor popup

Toolbar

Show or hide the toolbar in a polygon editor. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar segment editor popup

Toolbar

Show or hide the toolbar in a segment editor. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options standard toolbar layout editor popup

Show/Hide Standard toolbar

Show or hide the Standard toolbar of the Layout editor. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Options toolbar table popup

Show/Hide Toolbar

Show or hide the toolbar in a table window. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are not stored.


options zoomout popup

Zoom Out

Allows you to zoom out from a map window.

The mouse pointer changes to a 'magnifying' glass with a large minus inside, then:

  • click somewhere in your map window to zoom out with a factor 2, or
  • draw a rectangle in the map window: the smaller the rectangle, the more you will zoom out.

Choosing the Zoom Out menu command is the same as pressing the Zoom Out button [image] in the toolbar of a map window. You can also zoom out by pressing the Ctrl+O keys on the keyboard.


Pixel info copy to clipboard popup

Copy

Copies the contents of the pixel info window to the clipboard.

You can also use:

  • Ctrl+C or
  • Alt+PrintScrn (copies the whole window inclusive borders)


Point editor File digitizer active popup

Digitizer, Active

The Digitizer, Active command should be preceded by a check mark [image] before you can add or edit points in the point editor with a digitizer.

When the Digitizer, Active command is active, a small digitizer window appears titled Point editor. This window contains the digitizer commands.

The Digitizer, Active command may be switched off if you wish to edit the point map with the mouse only, and not with a digitizer.

Notes:

  • The Digitizer, Active command is grayed out when you did not reference an analog map on your digitizer yet. Then, first choose Digitizer, Map Reference from the File menu.
  • If also the Map Reference command is grayed out, you have to switch on and/or setup your digitizer (see Main window : Setup digitizer wizard).

See also:

Point editor : Digitizer

How to setup a digitizer and start digitizing


Point editor select all popup

Select All

Selects all points in the point map.

After selecting all points, you may for instance copy all points to the clipboard. You can then paste the clipboard contents into another point map, into another editor, or into another Windows program.

Tip: To clear the selection, press Esc on the keyboard, or click in the white space of the editor.

See also:

Point editor : Copy to clipboard

Point editor : Paste

Segment editor : Paste


Polygon editor File digitizer active popup

Digitizer, Active

The Digitizer, Active command should be preceded by a check mark [image] before you can edit polygons in the polygon editor with a digitizer.

When the Digitizer, Active command is active, a small digitizer window appears titled Edit Polygons. This window contains the digitizer commands.

The Digitizer, Active command may be switched off if you wish to edit the polygon map with the mouse only, and not with a digitizer.

Notes:

  • The Digitizer, Active command is grayed out when you did not reference an analog map on your digitizer yet. Then, first choose Digitizer, Map Reference from the File menu.
  • If also the Map Reference command is grayed out, you have to switch on and/or setup your digitizer (see Main window : Setup digitizer wizard).

See also:

Polygon editor : Digitizer

How to setup a digitizer and start digitizing


Polygon editor select all popup

Select All

Selects all polygons in the polygon map.

After selecting all polygons, you may for instance copy all polygons to the clipboard. You can then paste the clipboard contents into another editor, or into another Windows program.

Tip: To clear the selection, press Esc on the keyboard, or click in the white space of the editor.

See also:

Polygon editor : Copy to clipboard

Point editor : Paste

Segment editor : Paste

Pixel editor : Paste


repr_class_editor_button_bar_popup

Toolbar

Select this menu command to have the toolbar displayed below the menu bar in the representation editor window; a check mark [image] appears in front of this menu command. Deselect this menu command to hide the toolbar.

This setting is automatically stored in the ILWISCFG.INI file.


repr_class_editor_edit_domain_popup

Edit domain

When editing the representation of a class domain, and when you want to assign the same or similar colors to various classes with the Edit Multiple Items command in the representation class editor, you may wish to change the order of classes in the domain.

By using this Edit, Domain command in the representation class editor, the domain class editor is opened with the class domain for which you are preparing a representation.

In the domain class editor:

  • select Manual Ordering from the Edit menu, and
  • drag the listed domain items (i.e. your classes) in the domain to the desired positions.

The position of the classes in the representation editor will change accordingly.


repr_class_editor_point_popup

Point

Edit the colors, symbols, symbol sizes, etc. of this representation as used to display a point map. You can also click the Point button [image] in the toolbar.


repr_class_editor_polygon_popup

Polygon

Edit the colors, hatchings or patterns of this representation as used to display a polygon map. You can also click the Polygon button [image] in the toolbar.


repr_class_editor_raster_popup

Raster

Edit the colors of this representation as used to display a raster map. You can also click the Raster button [image] in the toolbar.


repr_class_editor_segment_popup

Segment

Edit the colors, line types, line widths, etc. of this representation as used to display a segment map. You can also click the Segment button [image] in the toolbar.


repr_class_editor_status_line_popup

Status bar

Select this menu command to have the status bar displayed at the bottom of the representation editor window; a check mark [image] appears in front of this menu command. Deselect this menu command to hide the status bar.

This setting is automatically stored in the ILWISCFG.INI file.


repr_value_gradual_editor_status_line_popup

Status bar

Select this menu command to have the status bar displayed at the bottom of the representation editor window; a check mark [image] appears in front of this menu command. Deselect this menu command to hide the status bar.

This setting is automatically stored in the ILWISCFG.INI file.


Representation Value/Gradual editor Delete limit popup

Delete Limit

Delete a selected limit (or break point) from this representation value or representation gradual. You can also delete a limit by selecting a limit in the representation editor window and pressing the Del key on the keyboard.


Sample_set_editor_edit_copy_popup

Copy

Copies selected training pixels with their coordinates and class names to the clipboard, similarly as in the pixel editor. For more information, see Pixel editor : Copy to clipboard.


Sample_set_editor_edit_cut_popup

Cut

Copies selected training pixels with their coordinates and class names to the clipboard and clears the selection, similarly as in the pixel editor. For more information, see Pixel editor : Cut.


Sample_set_editor_edit_delete_popup

Delete

Clears the selection of training pixels, similarly as in the pixel editor. For more information, see Pixel editor : delete.


Sample_set_editor_edit_legend_popup

Legend

Display a legend of the classes of training pixels in this sample set. All domain items and their representation are listed in a secondary window. To obtain a legend, you can also click the Legend button in the toolbar of the sample set editor.

To close the Legend window, select Legend again, or double-click the Control-menu box of the secondary window.


Sample_set_editor_edit_paste_popup

Paste

Pastes data from the clipboard into the sample set editor, similarly as in the pixel editor. For more information, see Pixel editor : paste.


sample_set_editor_edit_Representation_popup

Representation

Opens the Representation Class editor in which you can edit the colors of your classes of training pixels. These colors are used in the sample set editor to display training pixels on top of the background map and in feature spaces.


Script editor copy popup

Copy

Copy the current selection to the clipboard. You can also use the Ctrl+C keys on the keyboard.


Script editor cut popup

Cut

Copy the current selection to the clipboard and delete the selection from the script. You can also use the Ctrl+X keys on the keyboard.


Script editor toolbar popup

Description bar

Select this menu command to show the description bar in this script editor window; a [image] check mark appears in front of the menu command. Deselect this menu command to hide the description bar.

You can move the description bar and dock it along an edge of the window; you can also make the description bar floating.

Settings are stored in the registry.


Exit_domain_Class_ID_editor_popup

Exit

Closes the script editor. If the script contains any unsaved changes, you will be prompted to save the script. You can also use the Alt+F4 keys on the keyboard.


Script editor find popup

Find

Search for certain characters and text. You can also use the Ctrl+F keys on the keyboard.


Script editor open popup

Open

Open another script.


Script editor paste popup

Paste

Paste the contents of the clipboard into this script. You can also use the Ctrl+V keys on the keyboard.


Script editor print popup

Print

Print the script or print a selection of the script. You can also use the Ctrl+P keys on the keyboard.


Script editor replace popup

Replace

Search for certain characters or text and replace these with other characters or text. You can also use the Ctrl+H keys on the keyboard.


Script editor save as popup

Save As ...

Save the script with a certain name and/or location.


Script editor save popup

Save

Save the script with its current filename and location. You can also use the Ctrl+S keys on the keyboard.

When you save a new script for the first time, the Save As dialog box will appear in which you can specify a name for the script and a directory.


Script editor select all popup

Select All

Select the whole script in the script editor. Subsequently, you can for instance copy the selection to the clipboard. You can also use the Ctrl+A keys on the keyboard.


Script editor status bar popup

Status bar

Select this menu command to show the status bar at the bottom of this script editor window; a [image] check mark appears in front of this menu command. Deselect this menu command to hide the status bar.

Settings are stored in the registry.


Script editor tool bar popup

Toolbar

Show or hide the toolbar of the script editor. The toolbar is shown when a [image] check mark appears in front of the menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are stored in the registry.


Script editor undo popup

Undo

Reverse the last action. Regards typing, cut, paste and delete.

Using Undo more than once makes makes the previous Undo undone.


Segment editor Customize snap tolerance popup

Snap tolerance

The snap tolerance is a distance which determines whether the beginning or the end of a new segment can be snapped:

  • to an existing node, or
  • to an existing segment which then will be split in the process.

Snap/split will only be allowed if the distance between the beginning or end coordinate of a new segment and the coordinate of an existing node or any segment to which you want to connect is smaller than the specified snap tolerance.

When working with a digitizer, a snap tolerance in meters is used; the snap/split distance is then independent from any zooming. The default snap tolerance (in meters) is calculated as: the largest coordinate range, i.e. Xmax-Xmin or Ymax-Ymin as defined by the map's boundaries, divided by 150.

When working with the mouse, a snap tolerance in screen pixels is used; the snap/split distance then varies with zooming. The default snap tolerance (in pixels) is 5.


Segment editor Customize tunnel tolerance popup

Tunnel tolerance

During the insertion of new segments and when moving points within the segment editor, automatic tunnelling is performed. Tunnelling is meant to reduce the number of stored intermediate points (data reduction). Tunnelling is especially effective when you enter new segments while keeping the left mouse button or the digitizer cursor down (stream mode).

The tunnel tolerance determines the width of the tunnels; see Figure 1 for an explanation of the tunnelling process.

Fig. 1: Tunnelling: The first tunnel is constructed around node 1, and intermediate coordinates 2 and 3. Intermediate coordinate 2 falls outside the tunnel and thus remains. The second tunnel is constructed around intermediate coordinates 2, 3, and 4. Intermediate coordinate 3 falls inside the tunnel and is thus omitted. Now that point 3 is omitted, the next tunnel will be constructed around intermediate coordinates 4, 5, and 6 (point 6 is not in this picture).

In the segment editor, the default tunnel tolerance is calculated as the largest coordinate range, i.e. Xmax-Xmin or Ymax-Ymin as defined by the map's coordinate boundaries, divided by 1500. Optionally, you can specify the tunnel tolerance yourself in the Customize dialog box of the segment editor (File menu).


Segment editor File digitizer active popup

Digitizer, Active

The Digitizer, Active command should be preceded by a check mark [image] before you can add or edit segments in the segment editor with a digitizer.

When the Digitizer, Active command is active, a small digitizer window appears titled Add Segments. This window contains the digitizer commands.

The Digitizer, Active command may be switched off if you wish to edit the segment map with the mouse only, and not with a digitizer.

Notes:

  • The Digitizer, Active command is grayed out when you did not reference an analog map on your digitizer yet. Then, first choose Digitizer, Map Reference from the File menu.
  • If also the Map Reference command is grayed out, you have to switch on and/or setup your digitizer (see Main window : Setup digitizer wizard).

See also:

Segment editor : Digitizer

How to setup a digitizer and start digitizing


Segment editor select all popup

Select All

Selects all segments in the segment map.

After selecting all segments, you may for instance copy all segments to the clipboard. You can then paste the clipboard contents into another segment map, into another editor, or into another Windows program.

Tip: To clear the selection, press Esc on the keyboard, or click in the white space of the editor.

See also:

Segment editor : Copy to clipboard

Segment editor : Paste

Point editor : Paste

Pixel editor : Paste


smce_window_exit_popup

Exit SMCE window

Closes the SMCE window.

If the criteria tree has been changed, a question will be asked whether the criteria tree should be saved or not.


smce_window_multicriteria_analysis_mode_popup

Multicriteria Analysis mode

Choose the Multicriteria Analysis mode to:

  • standardize input maps and/or attribute columns,
  • assign weights to multiple factors under the main goal, and to assign weights to multiple factors under optional sub goals, and
  • generate output maps.

When the Multicriteria Analysis mode is active:

  • an option bullet [image] appears in front of this menu command, and
  • the Multicriteria Analysis mode button in the toolbar appears down.

To edit the structure of a criteria tree, use the Problem Definition mode.


smce_window_problem_definition_mode_popup

Problem Definition mode

Choose the Problem Definition mode to create, fill and edit a criteria tree:

  • specify a textual name for the main goal,
  • insert new criteria, i.e. insert factors, insert constraints and/or insert groups of factors,
  • edit the names of (groups of) criteria,
  • delete (groups of) criteria,
  • select appropriate criteria maps (input data),
  • specify output map names for the main goal and optional sub goals, and
  • decide about the number and the names of the alternative situations.

When the Problem Definition mode is active:

  • an option bullet [image] appears in front of this menu command, and
  • the Problem Definition mode button in the toolbar appears down.

When the Problem Definition phase is completed, the criteria tree can be fixed and the application can be switched to the Multicriteria Analysis mode.


View status bar SMCE window popup

Show/Hide Status bar

Show or hide the status bar of the SMCE window. The status bar is shown when a check mark [image] appears in front of this menu command.

Settings are not stored.


View toolbar SMCE window popup

Show/Hide Toolbar

Show or hide the toolbar in the SMCE window. The toolbar is shown when a check mark [image] appears in front of this menu command.

You can move the toolbar and dock it along an edge of the window; you can also make the toolbar floating. Settings are not stored.


table_goto_first_record_popup

Goto First Record

Scrolls to the first record in the table and slightly highlights this record.

The record is furthermore shown in Record View.


table_goto_last_record_popup

Goto Last Record

Scrolls to the last record in the table and slightly highlights this record.

The record is furthermore shown in Record View.


table_goto_next_record_popup

Goto Next Record

Scrolls to the next record in the table and slightly highlights this record.

The record is furthermore shown in Record View.


table_goto_previous_record_popup

Goto Previous Record

Scrolls to the previous record in the table and slightly highlights this record.

The record is furthermore shown in Record View.


table_select_all_popup

Select All

Selects the whole table. This includes column names, record names and all fields in the table.

After selecting an entire table, you may for instance copy it to the clipboard.

Tip: To clear a selection, press Esc on the keyboard, or first click a field which already contains a value, and then press Esc on the keyboard.


Display options sec

Display options Layers menu

Display options have to be specified for each data layer that you wish to add to a map window and for each annotation layer that you wish to add to a layout. The display options specify how the layer should be displayed.

Display Options for layers in a map window:

Display Options - Raster map: domain Class

Display Options - Raster map: domain ID

Display Options - Raster map: domain Image

Display Options - Raster map: domain Value

Display Options - Raster map: domain Picture

Display Options - Raster map: domain Color

Display Options - Raster map: domain Bit

Display Options - Raster map: domain Bool

Display Options - Polygon map

Display Options - Segment map

Display Options - Point map

Display Options - Map List as Color Composite

Display Options - Map List as Slide Show

Display Options - 3D Grid (3D view)

Display Options - Grid Lines

Display Options - Graticule

Display Options - Stereo Pair as Anaglyph

Display Options for annotation layers in a layout:

Insert/Edit Text

Display Options - Legend (Class/ID)

Display Options - Legend (Image/Value)

Display Options - Legend (point values as sized symbols)

Display Options - Legend (point ID + attributes, symbols as arrows)

Display Options - Legend (point ID + attributes, symbols as graphs, color)

Display Options - Legend (point ID + attributes, symbols as graphs, size)

Insert/Edit Box

Insert/Edit Scale Bar

Insert/Edit North Arrow


Import Arc/Info E00 - Additional info on recognized tags (sec)

Import Arc/Info .E00 - Additional info on recognized tags

The following tags are recognized and used by ILWIS:

ARC: | plain segments or topologies (for polygons).
GRD: | ASCII grid (raster map), both integer and floating point types.
LAB: | points or label points (for polygons).
PAL: | polygon information; this is detected only, and will cause the import to start a polygonize outine when the import itself is done.
IFO: | subsections. When the IFO section contains one table only, this table will be imported as a table with domain None.
BND: | the coverage boundary.

The following tags are recognized, but skipped:

CNT: | centroids.
LOG: | logfile containing the history of the coverage data.
MSK: | unknown tag.
PAR: | unknown tag.
PFF: | unknown tag.
PRJ: | projection/coordinate system information.
SIN: | spatial index.
TOL: | tolerances.
TX6, TX7, TXT: | text.


Import ILWIS ASCII vector SMT example (sec)

Import ILWIS ASCII vector SMT - example

Segments

795500 | 8071899
808200 | 8090490

drainage

805939.147 | 8085613.801
805851.891 | 8085364.281
805835.052 | 8085350.504
805821.275 | 8085200.485

drainage

808200.135 | 8078988.507
808106.757 | 8078859.920
807869.483 | 8078588.969

etc.


Import TIFF - Additional info on GeoTiff (sec)

Import TIFF - Additional info on GeoTiff

Determination of the georeference:

When a GeoTiff file contains tiepoint information, ILWIS will be able to establish the geometric relation between map pixels (rows and columns) and coordinates (X,Y). In ILWIS this is stored by a georeference (.GRF).

Three possible cases are handled while importing GeoTiff files:

  1. Given: the pixel scale in X and Y-direction in meters and X, Y-coordinates of 1 tiepoint. A GeoRefCorners is created with RowCol size equal to the Tiff map size. Limiting coordinates cMin, cMax are calculated such that the tiepoint coincides with the correct pixel position of it.
  2. Given: X,Y-coordinates of 2 tiepoints (pixel size computed by ILWIS). When X scale and/or Y scale are given as well, they will be disregarded. A GeoRefCorners is created with RowCol size equal to the Tiff map size. Limiting coordinates cMin, cMax are calculated assuming that both tiepoints lie in upper left and lower right opposite corners.
  3. Given: X,Y-coordinates of 3 or more tiepoints. A GeoRefTiepoints is created during import, with affine transformation by default, which can be modified by the user if so desired. The Georeference Tiepoints editor allows you to judge the accuracy of the given points.

Determination of map projection information:

A GeoTiff file can contain so called GeoKeys. These are tags pointing to data in the file concerning the definition of a projection like:

  • Geographic (latlon), Projected (X,Y) or Geocentric (X,Y,Z) coordinate model,
  • Units of measurement,
  • Ellipsoid used,
  • Datum used,
  • Projection Forward and Backward equations,
  • Projection Parameters (Central Meridian, Scale Factor, False Origin etc.).

In ILWIS, such information is stored in a coordinate system (.CSY). All text information as found in the Tiff file regarding GeoKeys will be written into the Description field of the new coordinate system. You need to edit this coordinate system yourself in the Edit Coordinate System dialog box, and specify projection parameters and datum, etc. as found in the description.

When the coordinate system type is Geographic (Latlon), the ILWIS system coordinate system LatLon.csy will be used.


Logarithmic stretching

When displaying a value raster map with a representation gradual, e.g. representation Pseudo or representation Gray, you have the possibility to choose Logarithmic stretching in the raster map's Display Options dialog box.

By using logarithmic stretching you can enhance the visualization of rather small values in the map; small values in the map will be mapped on a wide range of colors. Large values will be displayed in similar colors; the majority of the values in the map are mapped on a short range of colors.

The formula for Logarithmic stretching reads:

log(x - min + 1) / log(max - min + 1)

where:

x | is a value in the map between min and max
min | is the minimum value specified in the Stretch range, i.e. a value in the map where stretching should start. Any values in the map that are smaller than the specified minimum Stretch range value will obtain the same color as the minimum Stretch range value.
max | is the maximum value specified in the Stretch range, i.e. a value in the map where stretching should end. Any values in the map that are larger than the specified maximum Stretch range value will obtain the same color as the maximum Stretch range value.

See also:

Display Options - Raster map: domain Value


Property sheets

Property sheets list all kind of important information on an object; in fact, relevant information as stored in an object's object definition file is shown. Property sheets are designed to handle the properties of dependent data objects.

For a general introduction on object properties, see Basic concepts : properties of objects.

Raster map properties

Polygon map properties

Segment map properties

Point map properties

Table properties

Column properties

Map list properties

Object collection and database collection properties

Map View properties

Layout properties

Annotation Text properties

Graph properties

Domain properties

Representation properties

Georeference properties

Coordinate system properties

Histogram properties

Sample Set properties

Stereo Pair properties

Two-dimensional Table properties

Matrix properties

Filter properties

Function properties

Script properties


Annotation_Text_editor_Edit_menu_sec2

Annotation Text editor - Edit menu UP

Cut

Copy

Paste

Delete

Select All

Add Text ...

Edit ...

Change


Annotation_Text_editor_File_menu_sec2

Annotation Text editor - File menu UP

Options

Exit Editor


Coordinate_system_tiepoint_editor_Edit_menu_sec2

Coordsys tiepoint editor - Edit menu UP

Copy

Paste

Delete

Add Tiepoint ...

Delete Tiepoint ...

Transformation ...

Boundaries ...

Customize ...


Coordinate_system_tiepoint_editor_File_menu_sec2

Coordsys tiepoint editor - File menu UP

Exit Editor


Coordinate system tiepoint editor sec2

Coordsys tiepoint editor UP

File

Edit

Layers (see map window)

Options (see map window)


georef3D_editor_File_menu_sec2

Georeference 3D editor - File menu UP

Exit Editor


Georeference_Tiepoints_editor_Edit_menu_sec2

Georef Tiepoints editor - Edit menu UP

Copy

Paste

Delete

Add Tiepoint ...

Delete Tiepoint ...

Transformation ...

Fiducial Marks

Customize


Georeference_Tiepoints_editor_File_menu_sec2

Georef Tiepoints editor - File menu UP

Exit Editor


Menu commands sec2

Menu commands

Main window

Map window

Table window / Graph window

Pixel information window

Editors


Pixel Info - Edit menu (sec2)

Pixel info window - Edit menu UP

Copy


Pixel Info - File menu (sec2)

Pixel info window - File menu UP

Add Map

Add Coordinate System

Print ...

Exit


Pixel Info - Options menu (sec2)

Pixel info window - Options menu UP

 | Customize
Ö | Always on top
Ö | Status bar


Repr_Class_editor_Edit_menu_sec2

Representation Class editor - Edit menu UP

Edit Item (Raster)

Edit Item (Polygon)

Edit Item (Segment)

Edit Item (Point)

Edit Multiple Items

Domain


Repr_Class_editor_File_menu_sec2

Representation Class editor - File menu UP

Properties

Exit


Repr_Class_editor_View_menu_sec2

Representation Class editor - View menu UP

Ö | Raster
 | Polygon
 | Segment
 | Point
 | Column Width
Ö | Toolbar
Ö | Status Bar


Repr_Value_Gradual_editor_Edit_menu_sec2

Representation Value/Gradual editor - Edit menu UP

Insert Limit

Edit Limit

Delete Limit

Stretch Steps


Repr_Value_Gradual_editor_File_menu_sec2

Representation Value/Gradual editor - File menu UP

Properties

Exit


Repr_Value_Gradual_editor_View_menu_sec2

Representation Value/Gradual editor - View menu UP

Ö

Status Bar


sample set editor Edit menu sec2

Sample set editor - Edit menu UP

Cut

Copy

Paste

Delete

Edit ...

Feature Space ...

Delete Class ...

Merge Class ...

Legend

Representation


sample set editor File menu sec2

Sample set editor - File menu UP

Open Pixel Information

Exit Editor